:userdoc.
:prolog.
:title.GNUPLOT
:docprof toc=12345.
:eprolog.
:h1 res=37. gnuplot
:p.:h2 res=38. Copyright
:p.:p.      Copyright (C) 1986 - 1993, 1998, 2004   Thomas Williams, Colin Kelley
.br
:p.Permission to use, copy, and distribute this software and its 
documentation for any purpose with or without fee is hereby granted, 
provided that the above copyright notice appear in all copies and 
that both that copyright notice and this permission notice appear 
in supporting documentation&per. 
:p.Permission to modify the software is granted, but not the right to 
distribute the complete modified source code&per.  Modifications are to 
be distributed as patches to the released version&per.  Permission to 
distribute binaries produced by compiling modified sources is granted, 
provided you 
:p.  1&per. distribute the corresponding source modifications from the
.br
   released version in the form of a patch file along with the binaries,
.br
  2&per. add special version identification to distinguish your version
.br
   in addition to the base release version number,
.br
  3&per. provide your name and address as the primary contact for the
.br
   support of your modified version, and
.br
  4&per. retain our contact information in regard to use of the base
.br
   software&per.
.br
Permission to distribute the released version of the source code along 
with corresponding source modifications in the form of a patch file is 
granted with same provisions 2 through 4 for binary distributions&per. 
:p.This software is provided "as is" without express or implied warranty 
to the extent permitted by applicable law&per. 
:p.:p.:p.      AUTHORS
.br
:p.:p.      Original Software&colon.
.br
         Thomas Williams,  Colin Kelley&per.
.br
:p.:p.      Gnuplot 2&per.0 additions&colon.
.br
         Russell Lang, Dave Kotz, John Campbell&per.
.br
:p.:p.      Gnuplot 3&per.0 additions&colon.
.br
         Gershon Elber and many others&per.
.br
:p.:p.      Gnuplot 4&per.0 additions&colon.
.br
         See list of contributors at head of this document&per.
.br
:h2 res=83. Introduction
:p.:link reftype=hd res=37.gnuplot:elink. is a command-driven interactive function and data plotting program&per. 
It is case sensitive (commands and function names written in lowercase are 
not the same as those written in CAPS)&per.  All command names may be abbreviated 
as long as the abbreviation is not ambiguous&per.  Any number of commands may 
appear on a line (with the exception that :link reftype=hd res=2338.load:elink. or :link reftype=hd res=1710.call:elink. must be the final 
command), separated by semicolons (;)&per.  Strings are indicated with quotes&per. 
They may be either single or double quotation marks, e&per.g&per., 
:p.:p.      load "filename"
.br
      cd 'dir'
.br
:p.although there are some subtle differences (see :link reftype=hd res=1554.syntax:elink. for more details)&per. 
:p.Any command-line arguments are assumed to be names of files containing 
:link reftype=hd res=37.gnuplot:elink. commands, with the exception of standard X11 arguments, which are 
processed first&per.  Each file is loaded with the :link reftype=hd res=2338.load:elink. command, in the order 
specified&per.  :link reftype=hd res=37.gnuplot:elink. exits after the last file is processed&per.  When no load 
files are named, :link reftype=hd res=37.gnuplot:elink. enters into an interactive mode&per.  The special 
filename "-" is used to denote standard input&per.  See "help batch/interactive" 
for more details&per. 
:p.Many :link reftype=hd res=37.gnuplot:elink. commands have multiple options&per.  These options must appear in 
the proper order, although unwanted ones may be omitted in most cases&per.  Thus 
if the entire command is "command a b c", then "command a c" will probably 
work, but "command c a" will fail&per. 
:p.Commands may extend over several input lines by ending each line but the last 
with a backslash (\)&per.  The backslash must be the _last_ character on each 
line&per.  The effect is as if the backslash and newline were not there&per.  That 
is, no white space is implied, nor is a comment terminated&per.  Therefore, 
commenting out a continued line comments out the entire command 
(see :link reftype=hd res=529.comments:elink.)&per.  But note that if an error occurs somewhere on a multi-line 
command, the parser may not be able to locate precisely where the error is 
and in that case will not necessarily point to the correct line&per. 
:p.In this document, curly braces ({}) denote optional arguments and a vertical 
bar (|) separates mutually exclusive choices&per.  :link reftype=hd res=37.gnuplot:elink. keywords or :link reftype=hd res=2266.help:elink. 
topics are indicated by backquotes or :hp2.boldface:ehp2. (where available)&per.  Angle 
brackets (<>) are used to mark replaceable tokens&per.  In many cases, a default 
value of the token will be taken for optional arguments if the token is 
omitted, but these cases are not always denoted with braces around the angle 
brackets&per. 
:p.For on-line help on any topic, type :link reftype=hd res=2266.help:elink. followed by the name of the topic 
or just :link reftype=hd res=2266.help:elink. or :hp2.?:ehp2. to get a menu of available topics&per. 
:p.The new :link reftype=hd res=37.gnuplot:elink. user should begin by reading about :link reftype=hd res=1475.plotting:elink. (if on-line, 
type :hp2.help plotting:ehp2.)&per. 
:p.See the simple&per.dem demo, also available together with other demos on the web page 
:p.          http&colon.//www&per.gnuplot&per.info/demo/simple&per.html
.br
:h2 res=139. Seeking-assistance
:p.There is a mailing list for :link reftype=hd res=37.gnuplot:elink. users&per.  Note, however, that the 
newsgroup 
:p.      comp&per.graphics&per.apps&per.gnuplot
.br
is identical to the mailing list (they both carry the same set of messages)&per. 
We prefer that you read the messages through the newsgroup rather than 
subscribing to the mailing list&per.  Instructions for subscribing to gnuplot 
mailing lists may be found via the gnuplot development website on SourceForge 
:p.          http&colon.//sourceforge&per.net/projects/gnuplot
.br
:p.The address for mailing to list members is&colon. 
:p.      gnuplot-info@lists&per.sourceforge&per.net
.br
:p.Bug reports and code contributions should be mailed to&colon. 
:p.      gnuplot-bugs@lists&per.sourceforge&per.net
.br
:p.The list of those interested in beta-test versions is&colon. 
:p.      gnuplot-beta@lists&per.sourceforge&per.net
.br
:p.There is also the canonical (if occassionally out-of-date) gnuplot web page at 
:p.:p.          http&colon.//www&per.gnuplot&per.info
.br
:p.Before seeking help, please check the 
:p.:p.          FAQ (Frequently Asked Questions) list&per.
.br
:p.When posting a question, please include full details of the version of 
:link reftype=hd res=37.gnuplot:elink., the machine, and operating system you are using&per.  A _small_ script 
demonstrating the problem may be useful&per.  Function plots are preferable to 
datafile plots&per.  If email-ing to gnuplot-info, please state whether or not 
you are subscribed to the list, so that users who use news will know to email 
a reply to you&per.  There is a form for such postings on the WWW site&per. 
:p.:h2 res=182. What is New in Version 4&per.0
:p.The previous official release of gnuplot was version 3&per.7, with subversions up 
to 3&per.7&per.3&per. Gnuplot version 4&per.0 contains many new features, which were gradually 
introduced into a series of development snapshots 3&per.8a through 3&per.8k&per. This 
section lists major additions and gives a partial list of changes and minor 
new features&per. Sample gnuplot scripts demonstrating many of these features are 
provided in the gnuplot distribution, and are referred to here by name&per. 
:p.:h3 res=191. Mouse and hotkey support in interactive terminals
:p.:p.Interaction with the current plot via mouse and hotkeys is supported for the 
X11, OS/2 Presentation Manager, ggi and Windows terminals&per. See :link reftype=hd res=1385.mouse input:elink. 
for more information on mousing&per. See help for :link reftype=hd res=1396.bind:elink. for information on 
hotkeys&per. Also see the documentation for individual mousing terminals :link reftype=hd res=8829.ggi:elink., 
:link reftype=hd res=9796.pm:elink., :link reftype=hd res=10692.windows:elink. and :link reftype=hd res=10898.x11:elink.&per. 
:p.Here are briefly some useful hotkeys&per. 
Hit 'h' in the interactive interval for help&per. Hit 'm' to switch mousing on/off&per. 
Hit 'g' for grid, 'l' for log and 'e' for replot&per. 
Hit 'r' for ruler to measure peak distances (linear scale) or peak ratios (log 
scale), and '5' for polar coordinates inside a map&per. 
Zoom by mouse (MB3), and move in the zoom history by 'p', 'u', 'n'; hit 'a' for 
autoscale&per. 
Use other mouse buttons to put current mouse coordinates to clipboard (double 
click of MB1), add temporarily or permanently labels to the plot (middle mouse 
button MB2)&per. 
Rotate a 3D surface by mouse&per.  
Hit spacebar to switch to the gnuplot command window&per. 
:p.Sample script&colon. mousevariables&per.dem 
:p.:h3 res=214. New terminal features
:p.:p.:link reftype=hd res=7518.aqua:elink.&colon. New terminal for Mac OS X&per. Requires AquaTerm 1&per.0 or later&per. 
:p.:link reftype=hd res=8412.epslatex:elink.&colon. New terminal&per. Prepares eps figures for inclusion in LaTeX 
documents&per. 
:p.:link reftype=hd res=8862.gif:elink.&colon. Support for this terminal has been dropped in favour of the :link reftype=hd res=8677.png:elink. 
format for legal reasons; under usual configure conditions, old scripts that 
request gif will work but will produce a :link reftype=hd res=8677.png:elink. file instead&per. 
:p.:link reftype=hd res=8829.ggi:elink.&colon. New full-screen interactive terminal for Linux&per. Interface to the 
General Graphics Interface Library&per. 
:p.:link reftype=hd res=9776.pdf:elink.&colon. New terminal exporting Adobe Portable Document Format&per. Requires libpdf&per. 
:p.:link reftype=hd res=8677.png:elink. and :link reftype=hd res=8758.jpeg:elink.&colon. Support for both PNG and JPEG image output is provided by a 
new driver via libgd&per. The new driver supports many more features than the 
old png driver, including TrueType fonts&per. Requires libgd&per. 
:p.:link reftype=hd res=6442.postscript:elink.&colon. The PostScript driver now provides an oblique symbol font, and 
allows run-time inclusion of embedded PostScript fonts&per. It also supports 
additional character encodings&per. See :link reftype=hd res=10089.postscript fontfile:elink. and :link reftype=hd res=4500.set encoding:elink.&per. 
:p.Sample script&colon. fontfile&per.dem 
:p.:link reftype=hd res=10343.svg:elink.&colon. New terminal exporting Scalable Vector Graphics&per. 
:p.:link reftype=hd res=10898.x11:elink.&colon. The X-windows driver now allows you to specify fonts, see 
:link reftype=hd res=10977.set term x11 x11_fonts:elink.&per. There is no longer a limit to the number of x11 plot 
windows opened simultaneously, and each plot window can be given its own 
title&per. See :link reftype=hd res=10898.set term x11:elink.&per. 
:p.:h3 res=247. New plot style :link reftype=hd res=5929.pm3d:elink.
:p.:p.The :link reftype=hd res=12442.splot:elink. command is now capable of plotting 2D maps and 3D surfaces  
colored by greyscale or color palettes&per. See help for :link reftype=hd res=5929.set pm3d:elink., :link reftype=hd res=6136.set palette:elink.,  
:link reftype=hd res=12391.set cbrange:elink., :link reftype=hd res=11617.set view map:elink., :link reftype=hd res=4152.set colorbox:elink. and :link reftype=hd res=12700.test palette:elink.&per. 
:p.Sample scripts&colon. pm3d&per.dem pm3dcolors&per.dem pm3dgamma&per.dem 
:p.:h3 res=255. New plot style :link reftype=hd res=7051.filledcurves:elink.
:p.:p.The style :link reftype=hd res=7051.filledcurves:elink. allows to fill an area between the drawn curve and a 
horizontal line&per. 
:p.Sample script&colon. fillcrvs&per.dem 
:p.:h3 res=262. Filled boxes
:p.:p.A solid color or patterned fill style can be set for any plot style that  
contains boxes&per. See :link reftype=hd res=6991.boxes:elink., :link reftype=hd res=6968.boxerrorbars:elink., :link reftype=hd res=7088.boxxyerrorbars:elink., 
:link reftype=hd res=7105.candlesticks:elink., :link reftype=hd res=6793.set style fill:elink.&per. 
:p.Sample scripts&colon. fillstyle&per.dem candlesticks&per.dem 
:p.:h3 res=270. New plot option smooth frequency
:p.:p.Input data can be filtered through several built-in routines for interpolation 
or approximation of data&per.  See :link reftype=hd res=2610.smooth:elink., :link reftype=hd res=2726.frequency:elink., :link reftype=hd res=2709.unique:elink.&per. 
:p.Sample scripts&colon. step&per.dem mgr&per.dem 
:p.:h3 res=277. Improved text options
:p.:p.Most gnuplot plot commands that produce text labels now accept modifiers to  
specify text color, font, size, and rotation angle&per. See :link reftype=hd res=5235.set label:elink.&per. 
Not all terminal types support these options, however&per.  The enhanced text 
mode previously available for the postscript and pm terminals has been 
extended to other terminal types as well&per.  Terminal types currently supported 
include dumb, jpeg, pdf, pm, png, postscript, and x11&per. See :link reftype=hd res=9958.enhanced text:elink.&per. 
:p.Sample scripts&colon. textcolor&per.dem textrotate&per.dem 
:p.:h3 res=288. More text encodings
:p.:p.Several terminals, including :link reftype=hd res=6442.postscript:elink., :link reftype=hd res=10898.x11:elink. and :link reftype=hd res=9796.pm:elink., support additional 
text :link reftype=hd res=4500.encodings:elink.&colon. ISO 8859-1 (Latin 1), ISO 8859-2 (Latin 2), ISO 8859-15  
(variant of 8859-1 with Euro sign), KOI8-R (cyrillic), and miscellaneous 
codepages&per. See :link reftype=hd res=4500.encoding:elink. for more details&per. 
:p.:h3 res=295. Arrows
:p.:p.Single- or double-ended arrows can be placed on a plot individually from the 
command line or from a data file via the :hp2.plot with vectors:ehp2. style&per. 
See :link reftype=hd res=6701.set style arrow:elink., :link reftype=hd res=7259.plotting styles vectors:elink.&per. 
:p.Sample script&colon. arrowstyle&per.dem 
:p.:h3 res=303. Data file format
:p.:p.The new :link reftype=hd res=4269.set datafile:elink. command can be used to specify information about the 
format of input data files, including the characters used to separate fields,  
to indicate comment lines, and to specify missing data&per.  Gnuplot now attempts  
to recognize text fields with embedded blanks as single entities based on the  
datafile format settings&per.  This allows input from csv (comma-separated value) 
files such as those exported by spreadsheet programs&per. See :link reftype=hd res=4269.set datafile:elink.&per. 
:p.:h3 res=312. Other changes and additions
:p.:p.The preferred syntax to undo a command :hp2.set <something>:ehp2. is now  
:hp2.unset <something>:ehp2. rather than :hp2.set no<something>:ehp2.&per. The older form has been 
deprecated&per.  Version 4&per.0 continues to allow the older syntax, but such  
backwards compatibility may be lost in future versions&per. 
:p.Commands of the form :hp2.set <something> <style>:ehp2. also are deprectated in favor 
of the more general form :hp2.set style <something> <options>:ehp2.&per.  Many more plot 
elements now have style options of their own, including arrows, filled 
areas, lines, and points&per. There are also style settings for input data and 
formatting&per. Please see :link reftype=hd res=6679.set style:elink., :link reftype=hd res=4376.set decimalsign:elink., and :link reftype=hd res=4269.set datafile:elink.&per. 
:p.Improved 2D and 3D clipping (hidden lines)&per. 
:p.More consistent point styles and other default formatting styles across 
all terminals&per. Please use the :link reftype=hd res=12700.test:elink. command to check default styles and 
plotting capabilities for the currently selected terminal type&per. 
:p.The :link reftype=hd res=5235.set label:elink. command supports associated points, and allows you to  
specify point style and text style (font, rotation, etc)&per. User variables 
can be included in labels via format specifiers in the label text&per. 
See :link reftype=hd res=5235.set label:elink.&per. 
:p.New command :link reftype=hd res=11617.set view map:elink. to select top-view 2D projection of 3D surface plot&per. 
:p.New commands :hp2.set term push:ehp2. and :hp2.set term pop:ehp2. to achieve platform 
independent restoring of the terminal after printing, 
:p.The :link reftype=hd res=2338.load:elink. and :link reftype=hd res=3434.save:elink. commands accept piped input and output, respectively&per. 
:p.The :link reftype=hd res=2283.history:elink. command (for gnuplot with its own readline, not with GNU 
readline) now includes several useful options&per. 
:p.The built-in function :hp2.rand(x):ehp2. has been modified to allow explicit seeding 
of the pseudo-random number generator&per. See :link reftype=hd res=1110.random:elink.&per. 
:p.The MS Windows package includes an additional executable :hp2.pgnuplot&per.exe:ehp2. to 
support piping command through standard input, which is otherwise not 
available for graphical applications on this system&per. 
:p.:h3 res=353. Accompanying documentation
:p.:p.In directory docs/psdocs/ you may find new information in the gnuplot output 
postscript file guide, list of postscript symbols in different encodings&per. 
:p.Improved FAQ&per. Please read it before asking your question in a public forum&per. 
:p.There are plenty of new demos *&per.dem in the demo/ directory&per. Please run them, 
for example by 
:p.      load "all&per.dem"
.br
before asking for help&per.  Plots produced by the demo scripts can also be viewed 
at  
http&colon.//www&per.gnuplot&per.info/demo/ 
:p.:h2 res=369. Batch/Interactive Operation
:p.:link reftype=hd res=37.gnuplot:elink. may be executed in either batch or interactive modes, and the two 
may even be mixed together on many systems&per. 
:p.Any command-line arguments are assumed to be names of files containing 
:link reftype=hd res=37.gnuplot:elink. commands (with the exception of standard X11 arguments, which are 
processed first)&per.  Each file is loaded with the :link reftype=hd res=2338.load:elink. command, in the order 
specified&per.  :link reftype=hd res=37.gnuplot:elink. exits after the last file is processed&per.  When no load 
files are named, :link reftype=hd res=37.gnuplot:elink. enters into an interactive mode&per.  The special 
filename "-" is used to denote standard input&per. 
:p.Both the :link reftype=hd res=1772.exit:elink. and :link reftype=hd res=3338.quit:elink. commands terminate the current command file and 
:link reftype=hd res=2338.load:elink. the next one, until all have been processed&per. 
:p.Examples&colon. 
:p.To launch an interactive session&colon. 
:p.      gnuplot
.br
:p.To launch a batch session using two command files "input1" and "input2"&colon. 
:p.      gnuplot input1 input2
.br
:p.To launch an interactive session after an initialization file "header" and 
followed by another command file "trailer"&colon. 
:p.      gnuplot header - trailer
.br
:h2 res=395. Command-line-editing
:p.Command-line editing is supported by the Unix, Atari, VMS, MS-DOS and OS/2 
versions of :link reftype=hd res=37.gnuplot:elink.&per.  Also, a history mechanism allows previous commands to 
be edited and re-executed&per.  After the command line has been edited, a newline 
or carriage return will enter the entire line without regard to where the 
cursor is positioned&per. 
:p.(The readline function in :link reftype=hd res=37.gnuplot:elink. is not the same as the readline used in 
GNU Bash and GNU Emacs&per.  If the GNU version is desired, it may be selected 
instead of the :link reftype=hd res=37.gnuplot:elink. version at compile time&per.) 
:p.:p.The editing commands are as follows&colon. 
:p.:p.:p.:p.:table cols=' 12 52'.
:row.
:c.c l &per.
:c.
:row.
:c.Character
:c.Function
:row.
:c._
:c.
:row.
:c.Line Editing
:c.
:row.
:c.^B
:c.move back a single character&per.
:row.
:c.^F
:c.move forward a single character&per.
:row.
:c.^A
:c.move to the beginning of the line&per.
:row.
:c.^E
:c.move to the end of the line&per.
:row.
:c.^H, DEL
:c.delete the previous character&per.
:row.
:c.^D
:c.delete the current character&per.
:row.
:c.^K
:c.delete from current position to the end of line&per.
:row.
:c.^L, ^R
:c.redraw line in case it gets trashed&per.
:row.
:c.^U
:c.delete the entire line&per.
:row.
:c.^W
:c.delete from the current word to the end of line&per.
:row.
:c._
:c.
:row.
:c.History
:c.
:row.
:c.^P
:c.move back through history&per.
:row.
:c.^N
:c.move forward through history&per.
:etable.
:p.On the IBM PC, the use of a TSR program such as DOSEDIT or CED may be desired 
for line editing&per.  The default makefile assumes that this is the case;  by 
default :link reftype=hd res=37.gnuplot:elink. will be compiled with no line-editing capability&per.  If you 
want to use :link reftype=hd res=37.gnuplot:elink.'s line editing, set READLINE in the makefile and add 
readline&per.obj to the link file&per.  The following arrow keys may be used on the 
IBM PC and Atari versions if readline is used&colon. 
:p.:table cols=' 16 15'.
:row.
:c.c l &per.
:c.
:row.
:c.Arrow key
:c.Function
:row.
:c._
:c.
:row.
:c.Left Arrow
:c.same as ^B&per.
:row.
:c.Right Arrow
:c.same as ^F&per.
:row.
:c.Ctrl Left Arrow
:c.same as ^A&per.
:row.
:c.Ctrl Right Arrow
:c.same as ^E&per.
:row.
:c.Up Arrow
:c.same as ^P&per.
:row.
:c.Down Arrow
:c.same as ^N&per.
:row.
:c._
:c.
:etable.
:p.The Atari version of readline defines some additional key aliases&colon. 
:p.:table cols=' 9 21'.
:row.
:c.c l &per.
:c.
:row.
:c.Key
:c.Function
:row.
:c._
:c.
:row.
:c.Undo
:c.same as ^L&per.
:row.
:c.Home
:c.same as ^A&per.
:row.
:c.Ctrl Home
:c.same as ^E&per.
:row.
:c.Esc
:c.same as ^U&per.
:row.
:c.Help
:c.help plus return&per.
:row.
:c.Ctrl Help
:c.help &per.
:row.
:c._
:c.
:etable.
:h2 res=529. Comments
:p.Comments are supported as follows&colon. a :hp2.#:ehp2. may appear in most places in a line 
and :link reftype=hd res=37.gnuplot:elink. will ignore the rest of the line&per.  It will not have this effect 
inside quotes, inside numbers (including complex numbers), inside command 
substitutions, etc&per.  In short, it works anywhere it makes sense to work&per. 
:p.See also :link reftype=hd res=4351.set datafile commentschars:elink. for specifying comment characters in 
data files&per. 
:h2 res=538. Coordinates
:p.The commands :link reftype=hd res=3545.set arrow:elink., :link reftype=hd res=5094.set key:elink., and :link reftype=hd res=5235.set label:elink. allow you to draw 
something at an arbitrary position on the graph&per.  This position is specified 
by the syntax&colon. 
:p.:p.      {<system>} <x>, {<system>} <y> {,{<system>} <z>}
.br
:p.Each <system> can either be :hp2.first:ehp2., :hp2.second:ehp2., :hp2.graph:ehp2. or :hp2.screen:ehp2.&per. 
:p.:hp2.first:ehp2. places the x, y, or z coordinate in the system defined by the left 
and bottom axes; :hp2.second:ehp2. places it in the system defined by the second axes 
(top and right); :hp2.graph:ehp2. specifies the area within the axes---0,0 is bottom 
left and 1,1 is top right (for splot, 0,0,0 is bottom left of plotting area; 
use negative z to get to the base---see :link reftype=hd res=11380.set ticslevel:elink.); and :hp2.screen:ehp2. 
specifies the screen area (the entire area---not just the portion selected by 
:link reftype=hd res=6618.set size:elink.), with 0,0 at bottom left and 1,1 at top right&per. 
:p.If the coordinate system for x is not specified, :hp2.first:ehp2. is used&per.  If the 
system for y is not specified, the one used for x is adopted&per. 
:p.If one (or more) axis is timeseries, the appropriate coordinate should 
be given as a quoted time string according to the :link reftype=hd res=11451.timefmt:elink. format string&per. 
See :link reftype=hd res=11736.set xdata:elink. and :link reftype=hd res=11451.set timefmt:elink.&per.  :link reftype=hd res=37.gnuplot:elink. will also accept an integer 
expression, which will be interpreted as seconds from 1 January 2000&per. 
:h2 res=563. Environment
:p.A number of shell environment variables are understood by :link reftype=hd res=37.gnuplot:elink.&per.  None of 
these are required, but may be useful&per. 
:p.If GNUTERM is defined, it is used as the name of the terminal type to be 
used&per.  This overrides any terminal type sensed by :link reftype=hd res=37.gnuplot:elink. on start-up, but 
is itself overridden by the &per.gnuplot (or equivalent) start-up file 
(see :hp2.start-up:ehp2.) and, of course, by later explicit changes&per. 
:p.On Unix, AmigaOS, AtariTOS, MS-DOS and OS/2, GNUHELP may be defined to be the 
pathname of the HELP file (gnuplot&per.gih)&per. 
:p.On VMS, the logical name GNUPLOT$HELP should be defined as the name of the 
help library for :link reftype=hd res=37.gnuplot:elink.&per.  The :link reftype=hd res=37.gnuplot:elink. help can be put inside any system 
help library, allowing access to help from both within and outside :link reftype=hd res=37.gnuplot:elink. 
if desired&per. 
:p.On Unix, HOME is used as the name of a directory to search for a &per.gnuplot 
file if none is found in the current directory&per.  On AmigaOS, AtariTOS, 
MS-DOS, Windows and OS/2, GNUPLOT is used&per.  On Windows, the NT-specific 
variable USERPROFILE is tried, too&per. VMS, SYS$LOGIN&colon. is used&per. Type :link reftype=hd res=2266.help 
start-up:elink.&per. 
:p.On Unix, PAGER is used as an output filter for help messages&per. 
:p.On Unix, AtariTOS and AmigaOS, SHELL is used for the :link reftype=hd res=12413.shell:elink. command&per.  On 
MS-DOS and OS/2, COMSPEC is used for the :link reftype=hd res=12413.shell:elink. command&per. 
:p.On MS-DOS, if the BGI or Watcom interface is used, PCTRM is used to tell 
the maximum resolution supported by your monitor by setting it to 
S<max&per. horizontal resolution>&per. E&per.g&per. if your monitor's maximum resolution is 
800x600, then use&colon. 
:p.      set PCTRM=S800
.br
If PCTRM is not set, standard VGA is used&per. 
:p.FIT_SCRIPT may be used to specify a :link reftype=hd res=37.gnuplot:elink. command to be executed when a 
fit is interrupted---see :link reftype=hd res=1781.fit:elink.&per.  FIT_LOG specifies the default filename of the 
logfile maintained by fit&per. 
:p.GNUPLOT_LIB may be used to define additional search directories for data 
and command files&per. The variable may contain a single directory name, or 
a list of directories separated by a platform-specific path separator, 
eg&per. '&colon.' on Unix, or ';' on DOS/Windows/OS/2/Amiga platforms&per. The contents 
of GNUPLOT_LIB are appended to the :link reftype=hd res=5378.loadpath:elink. variable, but not saved 
with the :link reftype=hd res=3434.save:elink. and :hp2.save set:ehp2. commands&per. 
:p.Several gnuplot terminal drivers access TrueType fonts via the gd library&per. 
For these drivers the font search path is controlled by the environmental 
variable GDFONTPATH&per.  Furthermore, a default font for these drivers may be 
set via the environmental variable GNUPLOT_DEFAULT_GDFONT&per. 
:p.The postscript terminal uses its own font search path&per. It is controlled by 
the environmental variable GNUPLOT_FONTPATH&per. The format is the same as for 
GNUPLOT_LIB&per. The contents of GNUPLOT_FONTPATH are appended to the :link reftype=hd res=4570.fontpath:elink. 
variable, but not saved with the :link reftype=hd res=3434.save:elink. and :hp2.save set:ehp2. commands&per. 
:h2 res=619. Expressions
:p.In general, any mathematical expression accepted by C, FORTRAN, Pascal, or 
BASIC is valid&per.  The precedence of these operators is determined by the 
specifications of the C programming language&per.  White space (spaces and tabs) 
is ignored inside expressions&per. 
:p.Complex constants are expressed as {<real>,<imag>}, where <real> and <imag> 
must be numerical constants&per.  For example, {3,2} represents 3 + 2i; {0,1} 
represents 'i' itself&per.  The curly braces are explicitly required here&per. 
:p.Note that gnuplot uses both "real" and "integer" arithmetic, like FORTRAN and 
C&per.  Integers are entered as "1", "-10", etc; reals as "1&per.0", "-10&per.0", "1e1", 
3&per.5e-1, etc&per.  The most important difference between the two forms is in 
division&colon. division of integers truncates&colon. 5/2 = 2; division of reals does 
not&colon. 5&per.0/2&per.0 = 2&per.5&per.  In mixed expressions, integers are "promoted" to reals 
before evaluation&colon. 5/2e0 = 2&per.5&per.  The result of division of a negative integer 
by a positive one may vary among compilers&per.  Try a test like "print -5/2" to 
determine if your system chooses -2 or -3 as the answer&per. 
:p.The integer expression "1/0" may be used to generate an "undefined" flag, 
which causes a point to ignored; the :link reftype=hd res=1254.ternary:elink. operator gives an example&per. 
:p.The real and imaginary parts of complex expressions are always real, whatever 
the form in which they are entered&colon. in {3,2} the "3" and "2" are reals, not 
integers&per. 
:h3 res=645. Functions
:p.The functions in :link reftype=hd res=37.gnuplot:elink. are the same as the corresponding functions in 
the Unix math library, except that all functions accept integer, real, and 
complex arguments, unless otherwise noted&per. 
:p.For those functions that accept or return angles that may be given in either 
degrees or radians (sin(x), cos(x), tan(x), asin(x), acos(x), atan(x), 
atan2(x) and arg(z)), the unit may be selected by :link reftype=hd res=3500.set angles:elink., which 
defaults to radians&per. 
:p.:table cols=' 12 11 48'.
:row.
:c.c c l &per.
:c.
:c.
:row.
:c.Function
:c.Arguments
:c.Returns
:row.
:c._
:c.
:c.
:row.
:c.abs(x)
:c.any
:c.absolute value of x, |x|; same type
:row.
:c.abs(x)
:c.complex
:c.length of x, 
:row.
:c.acos(x)
:c.any
:c.(inverse cosine)
:row.
:c.acosh(x)
:c.any
:c.(inverse hyperbolic cosine) in radians
:row.
:c.arg(x)
:c.complex
:c.the phase of x
:row.
:c.asin(x)
:c.any
:c.(inverse sin)
:row.
:c.asinh(x)
:c.any
:c.(inverse hyperbolic sin) in radians
:row.
:c.atan(x)
:c.any
:c.(inverse tangent)
:row.
:c.atan2(y,x)
:c.int or real
:c.(inverse tangent)
:row.
:c.atanh(x)
:c.any
:c.(inverse hyperbolic tangent) in radians
:row.
:c.besj0(x)
:c.int or real
:c.Bessel function of x, in radians
:row.
:c.besj1(x)
:c.int or real
:c.Bessel function of x, in radians
:row.
:c.besy0(x)
:c.int or real
:c.Bessel function of x, in radians
:row.
:c.besy1(x)
:c.int or real
:c.Bessel function of x, in radians
:row.
:c.ceil(x)
:c.any
:c.smallest integer not less than x (real part)
:row.
:c.cos(x)
:c.radians
:c.cosine of x
:row.
:c.cosh(x)
:c.any
:c.hyperbolic cosine of x in radians
:row.
:c.erf(x)
:c.any
:c.error function of real (x)
:row.
:c.erfc(x)
:c.any
:c.1&per.0 - error function of real (x)
:row.
:c.exp(x)
:c.any
:c.exponential function of x
:row.
:c.floor(x)
:c.any
:c.largest integer not greater than x (real part)
:row.
:c.gamma(x)
:c.any
:c.gamma function of real (x)
:row.
:c.ibeta(p,q,x)
:c.any
:c.ibeta function of real (p,q,x)
:row.
:c.inverf(x)
:c.any
:c.inverse error function real(x)
:row.
:c.igamma(a,x)
:c.any
:c.igamma function of real (a,x)
:row.
:c.imag(x)
:c.complex
:c.imaginary part of x as a real number
:row.
:c.invnorm(x)
:c.any
:c.inverse normal distribution function real(x)
:row.
:c.int(x)
:c.real
:c.integer part of x, truncated toward zero
:row.
:c.lambertw(x)
:c.real
:c.Lambert W function
:row.
:c.lgamma(x)
:c.any
:c.lgamma function of real (x)
:row.
:c.log(x)
:c.any
:c.natural logarithm (base e) of x
:row.
:c.log10(x)
:c.any
:c.logarithm (base ) of x
:row.
:c.norm(x)
:c.any
:c.normal distribution function of real(x)
:row.
:c.rand(x)
:c.any
:c.pseudo random number generator
:row.
:c.real(x)
:c.any
:c.real part of x
:row.
:c.sgn(x)
:c.any
:c.1 if x > 0, -1 if x < 0, 0 if x = 0&per. ignored
:row.
:c.sin(x)
:c.any
:c.sine of x
:row.
:c.sinh(x)
:c.any
:c.hyperbolic sine of x in radians
:row.
:c.sqrt(x)
:c.any
:c.square root of x
:row.
:c.tan(x)
:c.any
:c.tangent of x
:row.
:c.tanh(x)
:c.any
:c.hyperbolic tangent of x in radians
:etable.
:h4 res=664. abs
:p.The :hp2.abs(x):ehp2. function returns the absolute value of its argument&per.  The 
returned value is of the same type as the argument&per. 
:p.For complex arguments, abs(x) is defined as the length of x in the complex 
plane [i&per.e&per.,  sqrt(real(x)**2 + imag(x)**2) ]&per. 
:h4 res=678. acos
:p.The :hp2.acos(x):ehp2. function returns the arc cosine (inverse cosine) of its 
argument&per.  :link reftype=hd res=678.acos:elink. returns its argument in radians or degrees, as selected by 
:link reftype=hd res=3500.set angles:elink.&per. 
:h4 res=687. acosh
:p.The :hp2.acosh(x):ehp2. function returns the inverse hyperbolic cosine of its argument 
in radians&per. 
:h4 res=695. arg
:p.The :hp2.arg(x):ehp2. function returns the phase of a complex number in radians or 
degrees, as selected by :link reftype=hd res=3500.set angles:elink.&per. 
:h4 res=703. asin
:p.The :hp2.asin(x):ehp2. function returns the arc sin (inverse sin) of its argument&per. 
:link reftype=hd res=703.asin:elink. returns its argument in radians or degrees, as selected by :hp2.set 
angles:ehp2.&per. 
:h4 res=712. asinh
:p.The :hp2.asinh(x):ehp2. function returns the inverse hyperbolic sin of its argument in 
radians&per. 
:h4 res=720. atan
:p.The :hp2.atan(x):ehp2. function returns the arc tangent (inverse tangent) of its 
argument&per.  :link reftype=hd res=720.atan:elink. returns its argument in radians or degrees, as selected by 
:link reftype=hd res=3500.set angles:elink.&per. 
:h4 res=729. atan2
:p.The :hp2.atan2(y,x):ehp2. function returns the arc tangent (inverse tangent) of the 
ratio of the real parts of its arguments&per.  :link reftype=hd res=729.atan2:elink. returns its argument in 
radians or degrees, as selected by :link reftype=hd res=3500.set angles:elink., in the correct quadrant&per. 
:h4 res=738. atanh
:p.The :hp2.atanh(x):ehp2. function returns the inverse hyperbolic tangent of its 
argument in radians&per. 
:h4 res=746. besj0
:p.The :hp2.besj0(x):ehp2. function returns the j0th Bessel function of its argument&per. 
:link reftype=hd res=746.besj0:elink. expects its argument to be in radians&per. 
:h4 res=754. besj1
:p.The :hp2.besj1(x):ehp2. function returns the j1st Bessel function of its argument&per. 
:link reftype=hd res=754.besj1:elink. expects its argument to be in radians&per. 
:h4 res=762. besy0
:p.The :hp2.besy0(x):ehp2. function returns the y0th Bessel function of its argument&per. 
:link reftype=hd res=762.besy0:elink. expects its argument to be in radians&per. 
:h4 res=770. besy1
:p.The :hp2.besy1(x):ehp2. function returns the y1st Bessel function of its argument&per. 
:link reftype=hd res=770.besy1:elink. expects its argument to be in radians&per. 
:h4 res=778. ceil
:p.The :hp2.ceil(x):ehp2. function returns the smallest integer that is not less than its 
argument&per.  For complex numbers, :link reftype=hd res=778.ceil:elink. returns the smallest integer not less 
than the real part of its argument&per. 
:h4 res=788. cos
:p.The :hp2.cos(x):ehp2. function returns the cosine of its argument&per.  :link reftype=hd res=788.cos:elink. accepts its 
argument in radians or degrees, as selected by :link reftype=hd res=3500.set angles:elink.&per. 
:h4 res=796. cosh
:p.The :hp2.cosh(x):ehp2. function returns the hyperbolic cosine of its argument&per.  :link reftype=hd res=796.cosh:elink. 
expects its argument to be in radians&per. 
:h4 res=804. erf
:p.The :hp2.erf(x):ehp2. function returns the error function of the real part of its 
argument&per.  If the argument is a complex value, the imaginary component is 
ignored&per.  See :link reftype=hd res=813.erfc:elink., :link reftype=hd res=860.inverf:elink., and :link reftype=hd res=934.norm:elink.&per. 
:h4 res=813. erfc
:p.The :hp2.erfc(x):ehp2. function returns 1&per.0 - the error function of the real part of 
its argument&per.  If the argument is a complex value, the imaginary component is 
ignored&per.  See :link reftype=hd res=804.erf:elink., :link reftype=hd res=860.inverf:elink., and :link reftype=hd res=934.norm:elink.&per. 
:h4 res=822. exp
:p.The :hp2.exp(x):ehp2. function returns the exponential function of its argument (:hp2.e:ehp2. 
raised to the power of its argument)&per.  On some implementations (notably 
suns), exp(-x) returns undefined for very large x&per.  A user-defined function 
like safe(x) = x<-100 ? 0 &colon. exp(x) might prove useful in these cases&per. 
:h4 res=832. floor
:p.The :hp2.floor(x):ehp2. function returns the largest integer not greater than its 
argument&per.  For complex numbers, :link reftype=hd res=832.floor:elink. returns the largest integer not 
greater than the real part of its argument&per. 
:h4 res=842. gamma
:p.The :hp2.gamma(x):ehp2. function returns the gamma function of the real part of its 
argument&per.  For integer n, gamma(n+1) = n!&per.  If the argument is a complex 
value, the imaginary component is ignored&per. 
:h4 res=851. ibeta
:p.The :hp2.ibeta(p,q,x):ehp2. function returns the incomplete beta function of the real 
parts of its arguments&per. p, q > 0 and x in [0&colon.1]&per.  If the arguments are 
complex, the imaginary components are ignored&per. 
:h4 res=860. inverf
:p.The :hp2.inverf(x):ehp2. function returns the inverse error function of the real part 
of its argument&per.   See :link reftype=hd res=804.erf:elink. and :link reftype=hd res=885.invnorm:elink.&per. 
:h4 res=868. igamma
:p.The :hp2.igamma(a,x):ehp2. function returns the incomplete gamma function of the real 
parts of its arguments&per.  a > 0 and x >= 0&per.  If the arguments are complex, 
the imaginary components are ignored&per. 
:h4 res=877. imag
:p.The :hp2.imag(x):ehp2. function returns the imaginary part of its argument as a real 
number&per. 
:h4 res=885. invnorm
:p.The :hp2.invnorm(x):ehp2. function returns the inverse normal distribution function of 
the real part of its argument&per.  See :link reftype=hd res=934.norm:elink.&per. 
:h4 res=893. int
:p.The :hp2.int(x):ehp2. function returns the integer part of its argument, truncated 
toward zero&per. 
:h4 res=901. lambertw
:p.The lambertw function returns the value of the principal branch of 
Lambert's W function, which is defined by the equation (W(z)*exp(W(z))=z&per. 
z must be a real number with z >= -exp(-1)&per. 
:h4 res=910. lgamma
:p.The :hp2.lgamma(x):ehp2. function returns the natural logarithm of the gamma function 
of the real part of its argument&per.  If the argument is a complex value, the 
imaginary component is ignored&per. 
:h4 res=919. log
:p.The :hp2.log(x):ehp2. function returns the natural logarithm (base :hp2.e:ehp2.) of its 
argument&per.  See :link reftype=hd res=927.log10:elink.&per. 
:h4 res=927. log10
:p.The :hp2.log10(x):ehp2. function returns the logarithm (base 10) of its argument&per. 
:h4 res=934. norm
:p.The :hp2.norm(x):ehp2. function returns the normal distribution function (or Gaussian) 
of the real part of its argument&per.   See :link reftype=hd res=885.invnorm:elink., :link reftype=hd res=804.erf:elink. and :link reftype=hd res=813.erfc:elink.&per. 
:h4 res=942. rand
:p.:hp2.rand(0):ehp2.  returns a pseudo random number in the interval [0&colon.1] generated 
:p.           from the current value of two internal 32-bit seeds&per. 
.br
:hp2.rand(-1):ehp2. resets both seeds to a standard value&per.  
:hp2.rand(x):ehp2.  for x>0 sets both seeds to a value based on the value of x&per. 
:hp2.rand({x,y}):ehp2. for x>0 sets seed1 to x and seed2 to y&per. 
Note&colon. This behavior has changed starting with gnuplot version 3&per.8l&per. Older 
scripts that expected rand(x>0) to produce sequential pseudo-random numbers 
from the same seeded sequence must be changed to call rand(0) instead&per. 
:h4 res=956. real
:p.The :hp2.real(x):ehp2. function returns the real part of its argument&per. 
:h4 res=963. sgn
:p.The :hp2.sgn(x):ehp2. function returns 1 if its argument is positive, -1 if its 
argument is negative, and 0 if its argument is 0&per.  If the argument is a 
complex value, the imaginary component is ignored&per. 
:h4 res=972. sin
:p.The :hp2.sin(x):ehp2. function returns the sine of its argument&per.  :link reftype=hd res=972.sin:elink. expects its 
argument to be in radians or degrees, as selected by :link reftype=hd res=3500.set angles:elink.&per. 
:h4 res=980. sinh
:p.The :hp2.sinh(x):ehp2. function returns the hyperbolic sine of its argument&per.  :link reftype=hd res=980.sinh:elink. 
expects its argument to be in radians&per. 
:h4 res=988. sqrt
:p.The :hp2.sqrt(x):ehp2. function returns the square root of its argument&per. 
:h4 res=995. tan
:p.The :hp2.tan(x):ehp2. function returns the tangent of its argument&per.  :link reftype=hd res=995.tan:elink. expects 
its argument to be in radians or degrees, as selected by :link reftype=hd res=3500.set angles:elink.&per. 
:h4 res=1003. tanh
:p.The :hp2.tanh(x):ehp2. function returns the hyperbolic tangent of its argument&per.  :link reftype=hd res=1003.tanh:elink. 
expects its argument to be in radians&per. 
:p.A few additional functions are also available&per. 
:p.:table cols=' 11 13 55'.
:row.
:c.c c l &per.
:c.
:c.
:row.
:c.Function
:c.Arguments
:c.Returns
:row.
:c._
:c.
:c.
:row.
:c.column(x)
:c.int
:c. column x during datafile manipulation&per.
:row.
:c.defined(X)
:c.variable name
:c. returns 1 if a variable X is defined, 0 otherwise&per.
:row.
:c.tm_hour(x)
:c.int
:c.the hour
:row.
:c.tm_mday(x)
:c.int
:c.the day of the month
:row.
:c.tm_min(x)
:c.int
:c.the minute
:row.
:c.tm_mon(x)
:c.int
:c.the month
:row.
:c.tm_sec(x)
:c.int
:c.the second
:row.
:c.tm_wday(x)
:c.int
:c.the day of the week
:row.
:c.tm_yday(x)
:c.int
:c.the day of the year
:row.
:c.tm_year(x)
:c.int
:c.the year
:row.
:c.valid(x)
:c.int
:c. test validity of column(x) during datafile manip&per.
:etable.
:h4 res=1022. column
:p.:hp2.column(x):ehp2. may be used only in expressions as part of :link reftype=hd res=2845.using:elink. manipulations 
to fits or datafile plots&per.  See :link reftype=hd res=2845.plot datafile using:elink.&per. 
:h4 res=1030. defined
:p.:hp2.defined(X):ehp2. returns 1 if a variable named X has been defined, otherwise  
it returns 0&per. 
:h4 res=1037. tm_hour
:p.The :link reftype=hd res=1037.tm_hour:elink. function interprets its argument as a time, in seconds from 
1 Jan 2000&per.  It returns the hour (an integer in the range 0--23) as a real&per. 
:h4 res=1044. tm_mday
:p.The :link reftype=hd res=1044.tm_mday:elink. function interprets its argument as a time, in seconds from 
1 Jan 2000&per.  It returns the day of the month (an integer in the range 1--31) 
as a real&per. 
:h4 res=1052. tm_min
:p.The :link reftype=hd res=1052.tm_min:elink. function interprets its argument as a time, in seconds from 
1 Jan 2000&per.  It returns the minute (an integer in the range 0--59) as a real&per. 
:h4 res=1059. tm_mon
:p.The :link reftype=hd res=1059.tm_mon:elink. function interprets its argument as a time, in seconds from 
1 Jan 2000&per.  It returns the month (an integer in the range 0--11) as a real&per. 
:h4 res=1066. tm_sec
:p.The :link reftype=hd res=1066.tm_sec:elink. function interprets its argument as a time, in seconds from 
1 Jan 2000&per.  It returns the second (an integer in the range 0--59) as a real&per. 
:h4 res=1073. tm_wday
:p.The :link reftype=hd res=1073.tm_wday:elink. function interprets its argument as a time, in seconds from 
1 Jan 2000&per.  It returns the day of the week (an integer in the range 0--6) as 
a real&per. 
:h4 res=1081. tm_yday
:p.The :link reftype=hd res=1081.tm_yday:elink. function interprets its argument as a time, in seconds from 
1 Jan 2000&per.  It returns the day of the year (an integer in the range 1--366) 
as a real&per. 
:h4 res=1089. tm_year
:p.The :link reftype=hd res=1089.tm_year:elink. function interprets its argument as a time, in seconds from 
1 Jan 2000&per.  It returns the year (an integer) as a real&per. 
:h4 res=1096. valid
:p.:hp2.valid(x):ehp2. may be used only in expressions as part of :link reftype=hd res=2845.using:elink. manipulations 
to fits or datafile plots&per.  See :link reftype=hd res=2845.plot datafile using:elink.&per. 
See also  
airfoil&per.dem&colon. use of functions and complex variables for airfoils demo&per. 
:p.:h4 res=1110. Random number generator
:p.:p.The behavior of the built-in function :hp2.rand(x):ehp2. has changed as of version 3&per.8l&per. 
Older scripts that expected rand(x>0) to produce sequential pseudo-random 
numbers from the same seeded sequence must be changed to call rand(0) instead&per. 
The current behavior is as follows&colon. 
:p. :hp2.rand(0):ehp2.  returns a pseudo random number in the interval [0&colon.1] generated
.br
            from the current value of two internal 32-bit seeds&per. 
.br
 :hp2.rand(-1):ehp2. resets both seeds to a standard value&per. 
.br
 :hp2.rand(x):ehp2.  for x>0 sets both seeds to a value based on the value of x&per.
.br
 :hp2.rand({x,y}):ehp2. for x>0 sets seed1 to x and seed2 to y&per.
.br
:p.:h3 res=1125. Operators
:p.The operators in :link reftype=hd res=37.gnuplot:elink. are the same as the corresponding operators in the 
C programming language, except that all operators accept integer, real, and 
complex arguments, unless otherwise noted&per.  The ** operator (exponentiation) 
is supported, as in FORTRAN&per. 
:p.Parentheses may be used to change order of evaluation&per. 
:h4 res=1134. Unary
:p.The following is a list of all the unary operators and their usages&colon. 
:p.:table cols=' 6 76 25'.
:row.
:c.:hp9.Symbol:ehp9.
:c.:hp9.Example:ehp9.
:c.:hp9.Explanation:ehp9.
:row.
:c.-
:c.-a
:c.unary minus
:row.
:c.+
:c.+a
:c.unary plus (no-operation)
:row.
:c.~
:c.~a
:c.* one's complement
:row.
:c.!
:c.!a
:c.* logical negation
:row.
:c.!
:c.a!
:c.* factorial
:row.
:c.3
:c.* call arg/column during :link reftype=hd res=2845.using:elink. manipulation
:c.
:row.
:c._
:c.
:c.
:etable.
(*) Starred explanations indicate that the operator requires an integer 
argument&per. 
:p.Operator precedence is the same as in Fortran and C&per.  As in those languages, 
parentheses may be used to change the order of operation&per.  Thus -2**2 = -4, 
but (-2)**2 = 4&per. 
:p.The factorial operator returns a real number to allow a greater range&per. 
:h4 res=1182. Binary
:p.The following is a list of all the binary operators and their usages&colon. 
:p.:p.:table cols=' 11 12 24'.
:row.
:c.c c l &per.
:c.
:c.
:row.
:c.Symbol
:c.Example
:c.Explanation
:row.
:c._
:c.
:c.
:row.
:c.**
:c.a**b
:c.exponentiation
:row.
:c.*
:c.a*b
:c.multiplication
:row.
:c./
:c.a/b
:c.division
:row.
:c.%
:c.a%b
:c.* modulo
:row.
:c.+
:c.a+b
:c.addition
:row.
:c.-
:c.a-b
:c.subtraction
:row.
:c.==
:c.a==b
:c.equality
:row.
:c.!=
:c.a!=b
:c.inequality
:row.
:c.<
:c.a<b
:c.less than
:row.
:c.<=
:c.a<=b
:c.less than or equal to
:row.
:c.>
:c.a>b
:c.greater than
:row.
:c.>=
:c.a>=b
:c.greater than or equal to
:row.
:c.&amp.
:c.a&amp.b
:c.* bitwise AND
:row.
:c.^
:c.a^b
:c.* bitwise exclusive OR
:row.
:c.|
:c.a|b
:c.* bitwise inclusive OR
:row.
:c.&amp.&amp.
:c.a&amp.&amp.b
:c.* logical AND
:row.
:c.||
:c.a||b
:c.* logical OR
:etable.
(*) Starred explanations indicate that the operator requires integer 
arguments&per. 
:p.Logical AND (&amp.&amp.) and OR (||) short-circuit the way they do in C&per.  That is, 
the second :hp2.&amp.&amp.:ehp2. operand is not evaluated if the first is false; the second 
:hp2.||:ehp2. operand is not evaluated if the first is true&per. 
:h4 res=1254. Ternary
:p.There is a single ternary operator&colon. 
:p.:p.:table cols=' 11 11 19'.
:row.
:c.c c l &per.
:c.
:c.
:row.
:c.Symbol
:c.Example
:c.Explanation
:row.
:c._
:c.
:c.
:row.
:c.?&colon.
:c.a?b&colon.c
:c.* ternary operation
:etable.
The ternary operator behaves as it does in C&per.  The first argument (a), which 
must be an integer, is evaluated&per.  If it is true (non-zero), the second 
argument (b) is evaluated and returned; otherwise the third argument (c) is 
evaluated and returned&per. 
:p.The ternary operator is very useful both in constructing piecewise functions 
and in plotting points only when certain conditions are met&per. 
:p.Examples&colon. 
:p.Plot a function that is to equal sin(x) for 0 <= x < 1, 1/x for 1 <= x < 2, 
and undefined elsewhere&colon. 
:p.      f(x) = 0<=x &amp.&amp. x<1 ? sin(x) &colon. 1<=x &amp.&amp. x<2 ? 1/x &colon. 1/0
.br
      plot f(x)
.br
Note that :link reftype=hd res=37.gnuplot:elink. quietly ignores undefined values, so the final branch of 
the function (1/0) will produce no plottable points&per.  Note also that f(x) 
will be plotted as a continuous function across the discontinuity if a line 
style is used&per.  To plot it discontinuously, create separate functions for the 
two pieces&per.  (Parametric functions are also useful for this purpose&per.) 
:p.For data in a file, plot the average of the data in columns 2 and 3 against 
the datum in column 1, but only if the datum in column 4 is non-negative&colon. 
:p.:p.      plot 'file' using 1&colon.( $4<0 ? 1/0 &colon. ($2+$3)/2 )
.br
:p.Please see :link reftype=hd res=2845.plot datafile using:elink. for an explanation of the :link reftype=hd res=2845.using:elink. syntax&per. 
:h3 res=1300. User-defined
:p.New user-defined variables and functions of one through five variables may 
be declared and used anywhere, including on the :link reftype=hd res=2402.plot:elink. command itself&per. 
:p.User-defined function syntax&colon. 
:p.      <func-name>( <dummy1> {,<dummy2>} &per.&per.&per. {,<dummy5>} ) = <expression>
.br
:p.where <expression> is defined in terms of <dummy1> through <dummy5>&per. 
:p.User-defined variable syntax&colon. 
:p.      <variable-name> = <constant-expression>
.br
:p.Examples&colon. 
:p.      w = 2
.br
      q = floor(tan(pi/2 - 0&per.1))
.br
      f(x) = sin(w*x)
.br
      sinc(x) = sin(pi*x)/(pi*x)
.br
      delta(t) = (t == 0)
.br
      ramp(t) = (t > 0) ? t &colon. 0
.br
      min(a,b) = (a < b) ? a &colon. b
.br
      comb(n,k) = n!/(k!*(n-k)!)
.br
      len3d(x,y,z) = sqrt(x*x+y*y+z*z)
.br
      plot f(x) = sin(x*a), a = 0&per.2, f(x), a = 0&per.4, f(x)
.br
:p.Note that the variable :hp2.pi:ehp2. is already defined&per.  But it is in no way magic; 
you may redefine it to be whatever you like&per. 
:p.Valid names are the same as in most programming languages&colon. they must begin 
with a letter, but subsequent characters may be letters, digits, "$", or "_"&per. 
Note, however, that the :link reftype=hd res=1781.fit:elink. mechanism uses several variables with names 
that begin "FIT_"&per.  It is safest to avoid using such names&per.  "FIT_LIMIT", 
however, is one that you may wish to redefine&per. See the documentation 
on :link reftype=hd res=1781.fit:elink. for details&per. 
:p.See :link reftype=hd res=4853.show functions:elink., :link reftype=hd res=11596.show variables:elink., and :link reftype=hd res=1781.fit:elink.&per. 
:p.:h2 res=1340. Glossary
:p.Throughout this document an attempt has been made to maintain consistency of 
nomenclature&per.  This cannot be wholly successful because as :link reftype=hd res=37.gnuplot:elink. has 
evolved over time, certain command and keyword names have been adopted that 
preclude such perfection&per.  This section contains explanations of the way 
some of these terms are used&per. 
:p.A "page" or "screen" is the entire area addressable by :link reftype=hd res=37.gnuplot:elink.&per.  On a 
monitor, it is the full screen; on a plotter, it is a single sheet of paper&per. 
:p.A screen may contain one or more "plots"&per.  A plot is defined by an abscissa 
and an ordinate, although these need not actually appear on it, as well as 
the margins and any text written therein&per. 
:p.A plot contains one "graph"&per.  A graph is defined by an abscissa and an 
ordinate, although these need not actually appear on it&per. 
:p.A graph may contain one or more "lines"&per.  A line is a single function or 
data set&per.  "Line" is also a plotting style&per.  The word will also be used in 
sense "a line of text"&per.  Presumably the context will remove any ambiguity&per. 
:p.The lines on a graph may have individual names&per.  These may be listed 
together with a sample of the plotting style used to represent them in 
the "key", sometimes also called the "legend"&per. 
:p.The word "title" occurs with multiple meanings in :link reftype=hd res=37.gnuplot:elink.&per.  In this 
document, it will always be preceded by the adjective "plot", "line", or 
"key" to differentiate among them&per. 
:p.A 2-d graph may have up to four labelled axes&per.  The names of the four axes 
for these usages are "x" for the axis along the bottom border of the plot, 
"y" for the left border, "x2" for the top border, and "y2" for the right 
border&per. 
:p.A 3-d graph may have up to three labelled axes -- "x", "y" and "z"&per.  It is 
not possible to say where on the graph any particular axis will fall because 
you can change the direction from which the graph is seen with :link reftype=hd res=11617.set view:elink.&per. 
:p.When discussing data files, the term "record" will be resurrected and used 
to denote a single line of text in the file, that is, the characters between 
newline or end-of-record characters&per.  A "point" is the datum extracted from 
a single record&per.  A "datablock" is a set of points from consecutive records, 
delimited by blank records&per.  A line, when referred to in the context of a 
data file, is a subset of a datablock&per. 
:h2 res=1385. mouse input
:p.The :link reftype=hd res=10898.x11:elink., :link reftype=hd res=9796.pm:elink., :link reftype=hd res=10692.windows:elink., and :link reftype=hd res=8829.ggi:elink. terminals allow interaction with the 
current plot using the mouse&per. They also support the definition of hotkeys 
to activate pre-defined functions by hitting a single key while the mouse 
focus is in the active plot window&per.  It is even possible to combine mouse 
input with :hp2.batch:ehp2. command scripts, by invoking the command :link reftype=hd res=5530.pause mouse:elink. 
and then using the mouse variables returned by mouse clicking as parameters 
for subsequent scripted actions&per. See :link reftype=hd res=1396.bind:elink. and :link reftype=hd res=11596.mouse variables:elink.&per.   
See also the command :link reftype=hd res=5530.set mouse:elink.&per. 
:p.:h3 res=1396. bind
:p.The :link reftype=hd res=1396.bind:elink. allows defining or redefining a hotkey, i&per.e&per. a sequence of gnuplot 
commands which will be executed when a certain key or key sequence is pressed 
while the driver's window has the input focus&per. Note that :link reftype=hd res=1396.bind:elink. is only 
available if gnuplot was compiled with :link reftype=hd res=5530.mouse:elink. support and it is used by all 
mouse-capable terminals&per. Bindings overwrite the builtin bindings (like in 
every real editor), except <space> and 'q' which cannot be rebound&per. Mouse 
buttons cannot be rebound&per. 
:p.Note that multikey-bindings with modifiers have to be quoted&per. 
:p.Syntax&colon. 
:p.      bind [<key-sequence>] ["<gnuplot commands>"]
.br
      bind!
.br
:p.Examples&colon. 
:p.- set bindings&colon. 
:p.:p.    bind a "replot"
.br
    bind "ctrl-a" "plot x*x"
.br
    bind "ctrl-alt-a" 'print "great"'
.br
    bind Home "set view 60,30; replot"
.br
:p.- show bindings&colon. 
:p.    bind "ctrl-a"          # shows the binding for ctrl-a
.br
    bind                   # shows all bindings
.br
:p.- remove bindings&colon. 
:p.    bind "ctrl-alt-a" ""   # removes binding for ctrl-alt-a
.br
                             (note that builtins cannot be removed)
.br
    bind!                  # installs default (builtin) bindings
.br
:p.- bind a key to toggle something&colon. 
:p.  v=0
.br
  bind "ctrl-r" "v=v+1;if(v%2)set term x11 noraise; else set term x11 raise"
.br
:p.Modifiers (ctrl / alt) are case insensitive, keys not&colon. 
:p.    ctrl-alt-a == CtRl-alT-a
.br
    ctrl-alt-a != ctrl-alt-A
.br
:p.List of modifiers (alt == meta)&colon. 
:p.    ctrl, alt
.br
:p.List of supported special keys&colon. 
:p.:p.   "BackSpace", "Tab", "Linefeed", "Clear", "Return", "Pause", "Scroll_Lock",
.br
   "Sys_Req", "Escape", "Delete", "Home", "Left", "Up", "Right", "Down",
.br
   "PageUp", "PageDown", "End", "Begin",
.br
:p.:p.   "KP_Space", "KP_Tab", "KP_Enter", "KP_F1", "KP_F2", "KP_F3", "KP_F4",
.br
   "KP_Home", "KP_Left", "KP_Up", "KP_Right", "KP_Down", "KP_PageUp",
.br
   "KP_PageDown", "KP_End", "KP_Begin", "KP_Insert", "KP_Delete", "KP_Equal",
.br
   "KP_Multiply", "KP_Add", "KP_Separator", "KP_Subtract", "KP_Decimal",
.br
   "KP_Divide",
.br
:p.:p.   "KP_1" - "KP_9", "F1" - "F12"
.br
:p.See also help for :link reftype=hd res=5530.mouse:elink. and :link reftype=hd res=2307.if:elink.&per. 
:p.:h3 res=1458. mouse_variables
:p.When mousing is active, clicking in the active window will set several user 
variables that can be accessed from the gnuplot command line&per. The coordinates 
of the mouse at the time of the click are stored in MOUSE_X MOUSE_Y MOUSE_X2 
and MOUSE_Y2&per. The mouse button clicked, and any meta-keys active at that time, 
are stored in MOUSE_BUTTON MOUSE_SHIFT MOUSE_ALT and MOUSE_CTRL&per.  These  
variables are set to undefined at the start of every plot, and only become  
defined in the event of a mouse click in the active plot window&per. To determine 
from a script if the mouse has been clicked in the active plot window, it is 
sufficient to test for any one of these variables being defined&per. 
:p.:p.      plot 'something'
.br
      set pause mouse
.br
      if (defined(MOUSE_BUTTON)) call 'something_else'; \
.br
      else print "No mouse click&per." 
.br
:p.:h2 res=1475. Plotting
:p.There are three :link reftype=hd res=37.gnuplot:elink. commands which actually create a plot&colon. :link reftype=hd res=2402.plot:elink., 
:link reftype=hd res=12442.splot:elink. and :link reftype=hd res=3344.replot:elink.&per.  :link reftype=hd res=2402.plot:elink. generates 2-d plots, :link reftype=hd res=12442.splot:elink. generates 3-d 
plots (actually 2-d projections, of course), and :link reftype=hd res=3344.replot:elink. appends its 
arguments to the previous :link reftype=hd res=2402.plot:elink. or :link reftype=hd res=12442.splot:elink. and executes the modified 
command&per. 
:p.Much of the general information about plotting can be found in the discussion 
of :link reftype=hd res=2402.plot:elink.; information specific to 3-d can be found in the :link reftype=hd res=12442.splot:elink. section&per. 
:p.:link reftype=hd res=2402.plot:elink. operates in either rectangular or polar coordinates -- see :link reftype=hd res=6494.set polar:elink. 
for details of the latter&per.  :link reftype=hd res=12442.splot:elink. operates only in rectangular coordinates, 
but the :link reftype=hd res=5454.set mapping:elink. command allows for a few other coordinate systems to be 
treated&per.  In addition, the :link reftype=hd res=2845.using:elink. option allows both :link reftype=hd res=2402.plot:elink. and :link reftype=hd res=12442.splot:elink. to 
treat almost any coordinate system you'd care to define&per. 
:p.:link reftype=hd res=2402.plot:elink. also lets you use each of the four borders -- x (bottom), x2 (top), y 
(left) and y2 (right) -- as an independent axis&per.  The :hp2.axes:ehp2. option lets you 
choose which pair of axes a given function or data set is plotted against&per.  A 
full complement of :link reftype=hd res=3481.set:elink. commands exists to give you complete control over 
the scales and labelling of each axis&per.  Some commands have the name of an 
axis built into their names, such as :link reftype=hd res=11790.set xlabel:elink.&per.  Other commands have one 
or more axis names as options, such as :hp2.set logscale xy:ehp2.&per.  Commands and 
options controlling the z axis have no effect on 2-d graphs&per. 
:p.:link reftype=hd res=12442.splot:elink. can plot surfaces and contours in addition to points and/or lines&per. 
In addition to :link reftype=hd res=12442.splot:elink., see :link reftype=hd res=5063.set isosamples:elink. for information about defining 
the grid for a 3-d function;  :link reftype=hd res=12482.splot datafile:elink. for information about the 
requisite file structure for 3-d data values; and :link reftype=hd res=4208.set contour:elink. and 
:link reftype=hd res=4049.set cntrparam:elink. for information about contours&per. 
:p.In :link reftype=hd res=12442.splot:elink., control over the scales and labels of the axes are the same as 
with :link reftype=hd res=2402.plot:elink., except that commands and options controlling the x2 and y2 axes 
have no effect whereas of course those controlling the z axis do take effect&per. 
:p.:link reftype=hd res=12442.splot:elink. allows plotting of binary and matrix data, but only for specific 
data formats&per.  See :link reftype=hd res=12442.splot:elink. for details&per. 
:h2 res=1513. Start-up
:p.When :link reftype=hd res=37.gnuplot:elink. is run, it looks for an initialization file to load&per. 
This file is called :link reftype=hd res=1513.&per.gnuplot:elink. on Unix and AmigaOS systems, and 
:hp2.GNUPLOT&per.INI:ehp2. on other systems&per.  If this file is not found in the 
current directory, the program will look for it in the HOME directory 
(under AmigaOS, Atari(single)TOS, MS-DOS, Windows and OS/2, the 
environment variable :hp2.GNUPLOT:ehp2. should contain the name of this 
directory; on Windows NT, it will use :hp2.USERPROFILE:ehp2. if GNUPLOT isn't 
defined)&per.  Note&colon. if NOCWDRC is defined during the installation, 
:link reftype=hd res=37.gnuplot:elink. will not read from the current directory&per. 
:p.If the initialization file is found, :link reftype=hd res=37.gnuplot:elink. executes the commands in it&per. 
These may be any legal :link reftype=hd res=37.gnuplot:elink. commands, but typically they are limited to 
setting the terminal and defining frequently-used functions or variables&per. 
:h2 res=1531. Substitution
:p.Command-line substitution is specified by a system command enclosed in 
backquotes&per.  This command is spawned and the output it produces replaces 
the name of the command (and backquotes) on the command line&per.  Some 
implementations also support pipes;  see :link reftype=hd res=2738.plot datafile special-filenames:elink.&per. 
:p.Command-line substitution can be used anywhere on the :link reftype=hd res=37.gnuplot:elink. command 
line, except inside strings delimited by single quotes&per. 
:p.Example&colon. 
:p.This will run the program :hp2.leastsq:ehp2. and replace :hp2.leastsq:ehp2. (including 
backquotes) on the command line with its output&colon. 
:p.      f(x) = :hp2.leastsq:ehp2.
.br
:p.or, in VMS 
:p.      f(x) = :hp2.run leastsq:ehp2.
.br
:p.These will generate labels with the current time and userid&colon. 
:p.      set label "generated on :hp2.date +%Y-%m-%d:ehp2.by :hp2.whoami:ehp2." at 1,1
.br
      set timestamp "generated on %Y-%m-%d by :hp2.whoami:ehp2."
.br
:p.:h2 res=1554. Syntax
:p.The general rules of syntax and punctuation in :link reftype=hd res=37.gnuplot:elink. are that keywords 
and options are order-dependent&per.  Options and any accompanying parameters are 
separated by spaces whereas lists and coordinates are separated by commas&per. 
Ranges are separated by colons and enclosed in brackets [], text and file 
names are enclosed in quotes, and a few miscellaneous things are enclosed 
in parentheses&per.  Braces {} are used for a few special purposes&per. 
:p.Commas are used to separate coordinates on the :link reftype=hd res=3481.set:elink. commands :link reftype=hd res=3545.arrow:elink., 
:link reftype=hd res=5094.key:elink., and :link reftype=hd res=5235.label:elink.; the list of variables being fitted (the list after the 
:hp2.via:ehp2. keyword on the :link reftype=hd res=1781.fit:elink. command); lists of discrete contours or the loop 
parameters which specify them on the :link reftype=hd res=4049.set cntrparam:elink. command; the arguments 
of the :link reftype=hd res=3481.set:elink. commands :link reftype=hd res=4403.dgrid3d:elink., :link reftype=hd res=4468.dummy:elink., :link reftype=hd res=5063.isosamples:elink., :link reftype=hd res=5786.offsets:elink., :link reftype=hd res=5818.origin:elink., 
:link reftype=hd res=6591.samples:elink., :link reftype=hd res=6618.size:elink., :hp2.time:ehp2., and :link reftype=hd res=11617.view:elink.; lists of tics or the loop parameters 
which specify them; the offsets for titles and axis labels; parametric 
functions to be used to calculate the x, y, and z coordinates on the :link reftype=hd res=2402.plot:elink., 
:link reftype=hd res=3344.replot:elink. and :link reftype=hd res=12442.splot:elink. commands; and the complete sets of keywords specifying 
individual plots (data sets or functions) on the :link reftype=hd res=2402.plot:elink., :link reftype=hd res=3344.replot:elink. and :link reftype=hd res=12442.splot:elink. 
commands&per. 
:p.Parentheses are used to delimit sets of explicit tics (as opposed to loop 
parameters) and to indicate computations in the :link reftype=hd res=2845.using:elink. filter of the :link reftype=hd res=1781.fit:elink., 
:link reftype=hd res=2402.plot:elink., :link reftype=hd res=3344.replot:elink. and :link reftype=hd res=12442.splot:elink. commands&per. 
:p.(Parentheses and commas are also used as usual in function notation&per.) 
:p.Brackets are used to delimit ranges, whether they are given on :link reftype=hd res=3481.set:elink., :link reftype=hd res=2402.plot:elink. 
or :link reftype=hd res=12442.splot:elink. commands&per. 
:p.Colons are used to separate extrema in :hp2.range:ehp2. specifications (whether they 
are given on :link reftype=hd res=3481.set:elink., :link reftype=hd res=2402.plot:elink. or :link reftype=hd res=12442.splot:elink. commands) and to separate entries in 
the :link reftype=hd res=2845.using:elink. filter of the :link reftype=hd res=2402.plot:elink., :link reftype=hd res=3344.replot:elink., :link reftype=hd res=12442.splot:elink. and :link reftype=hd res=1781.fit:elink. commands&per. 
:p.Semicolons are used to separate commands given on a single command line&per. 
:p.Braces are used in text to be specially processed by some terminals, like 
:link reftype=hd res=6442.postscript:elink.&per.  They are also used to denote complex numbers&colon. {3,2} = 3 + 2i&per. 
:p.Text may be enclosed in single- or double-quotes&per.  Backslash processing of 
sequences like \n (newline) and \345 (octal character code) is performed for 
double-quoted strings, but not for single-quoted strings&per. 
:p.The justification is the same for each line of a multi-line string&per.  Thus the 
center-justified string 
:p.      "This is the first line of text&per.\nThis is the second line&per."
.br
will produce 
:p.                       This is the first line of text&per.
.br
                          This is the second line&per.
.br
but 
:p.      'This is the first line of text&per.\nThis is the second line&per.'
.br
will produce 
:p.          This is the first line of text&per.\nThis is the second line&per.
.br
:p.Filenames may be entered with either single- or double-quotes&per.  In this 
manual the command examples generally single-quote filenames and double-quote 
other string tokens for clarity&per. 
:p.At present you should not embed \n inside {} when using the :link reftype=hd res=9958.enhanced postscript:elink. 
terminal&per. 
:p.The EEPIC, Imagen, Uniplex, LaTeX, and TPIC drivers allow a newline to be 
specified by \\ in a single-quoted string or \\\\ in a double-quoted string&per. 
:p.Back-quotes are used to enclose system commands for substitution&per. 
:h2 res=1621. Time/Date data
:p.:link reftype=hd res=37.gnuplot:elink. supports the use of time and/or date information as input data&per. 
This feature is activated by the commands :hp2.set xdata time:ehp2., :hp2.set ydata time:ehp2., 
etc&per. 
:p.Internally all times and dates are converted to the number of seconds from 
the year 2000&per.  The command :link reftype=hd res=11451.set timefmt:elink. defines the format for all inputs&colon. 
data files, ranges, tics, label positions---in short, anything that accepts a 
data value must receive it in this format&per.  Since only one input format can 
be in force at a given time, all time/date quantities being input at the same 
time must be presented in the same format&per.  Thus if both x and y data in a 
file are time/date, they must be in the same format&per. 
:p.The conversion to and from seconds assumes Universal Time (which is the same 
as Greenwich Standard Time)&per.  There is no provision for changing the time 
zone or for daylight savings&per.  If all your data refer to the same time zone 
(and are all either daylight or standard) you don't need to worry about these 
things&per.  But if the absolute time is crucial for your application, you'll 
need to convert to UT yourself&per. 
:p.Commands like :link reftype=hd res=11888.show xrange:elink. will re-interpret the integer according to 
:link reftype=hd res=11451.timefmt:elink.&per.  If you change :link reftype=hd res=11451.timefmt:elink., and then :link reftype=hd res=3481.show:elink. the quantity again, it 
will be displayed in the new :link reftype=hd res=11451.timefmt:elink.&per.  For that matter, if you give the 
deactivation command (like :link reftype=hd res=11736.set xdata:elink.), the quantity will be shown in its 
numerical form&per. 
:p.The command :link reftype=hd res=4612.set format:elink. defines the format that will be used for tic labels, 
whether or not the specified axis is time/date&per. 
:p.If time/date information is to be plotted from a file, the :link reftype=hd res=2845.using:elink. option 
_must_ be used on the :link reftype=hd res=2402.plot:elink. or :link reftype=hd res=12442.splot:elink. command&per.  These commands simply use 
white space to separate columns, but white space may be embedded within the 
time/date string&per.  If you use tabs as a separator, some trial-and-error may 
be necessary to discover how your system treats them&per. 
:p.The following example demonstrates time/date plotting&per. 
:p.Suppose the file "data" contains records like 
:p.:p.      03/21/95 10&colon.00  6&per.02e23
.br
:p.This file can be plotted by 
:p.:p.      set xdata time
.br
      set timefmt "%m/%d/%y"
.br
      set xrange ["03/21/95"&colon."03/22/95"]
.br
      set format x "%m/%d"
.br
      set timefmt "%m/%d/%y %H&colon.%M"
.br
      plot "data" using 1&colon.3
.br
:p.which will produce xtic labels that look like "03/21"&per. 
:p.See the descriptions of each command for more details&per. 
:h1 res=1677. Commands
:p.This section lists the commands acceptable to :link reftype=hd res=37.gnuplot:elink. in alphabetical 
order&per.  Printed versions of this document contain all commands; on-line 
versions may not be complete&per.  Indeed, on some systems there may be no 
commands at all listed under this heading&per. 
:p.Note that in most cases unambiguous abbreviations for command names and their 
options are permissible, i&per.e&per., ":hp2.p f(x) w li:ehp2." instead of ":hp2.plot f(x) with 
lines:ehp2."&per. 
:p.In the syntax descriptions, braces ({}) denote optional arguments and a 
vertical bar (|) separates mutually exclusive choices&per. 
:h2 res=1690. cd
:p.The :link reftype=hd res=1690.cd:elink. command changes the working directory&per. 
:p.Syntax&colon. 
:p.      cd '<directory-name>'
.br
:p.The directory name must be enclosed in quotes&per. 
:p.Examples&colon. 
:p.      cd 'subdir'
.br
      cd "&per.&per."
.br
:p.DOS users _must_ use single-quotes---backslash [\] has special significance 
inside double-quotes&per.  For example, 
:p.      cd "c&colon.\newdata"
.br
fails, but 
:p.      cd 'c&colon.\newdata'
.br
works as expected&per. 
:h2 res=1710. call
:p.The :link reftype=hd res=1710.call:elink. command is identical to the load command with one exception&colon. you 
can have up to ten additional parameters to the command (delimited according 
to the standard parser rules) which can be substituted into the lines read 
from the file&per.  As each line is read from the :link reftype=hd res=1710.call:elink.ed input file, it is 
scanned for the sequence :hp2.$:ehp2. (dollar-sign) followed by a digit (0--9)&per.  If 
found, the sequence is replaced by the corresponding parameter from the 
:link reftype=hd res=1710.call:elink. command line&per.  If the parameter was specified as a string in the 
:link reftype=hd res=1710.call:elink. line, it is substituted without its enclosing quotes&per.  :hp2.$:ehp2. followed by 
any character other than a digit will be that character&per.  E&per.g&per. use :hp2.$$:ehp2. to 
get a single :hp2.$:ehp2.&per.  Providing more than ten parameters on the :link reftype=hd res=1710.call:elink. command 
line will cause an error&per.  A parameter that was not provided substitutes as 
nothing&per.  Files being :link reftype=hd res=1710.call:elink.ed may themselves contain :link reftype=hd res=1710.call:elink. or :link reftype=hd res=2338.load:elink. 
commands&per. 
:p.The :link reftype=hd res=1710.call:elink. command _must_ be the last command on a multi-command line&per. 
:p.Syntax&colon. 
:p.      call "<input-file>" <parameter-0> <parm-1> &per.&per.&per. <parm-9>
.br
:p.The name of the input file must be enclosed in quotes, and it is recommended 
that parameters are similarly enclosed in quotes (future versions of gnuplot 
may treat quoted and unquoted arguments differently)&per. 
:p.Example&colon. 
:p.If the file 'calltest&per.gp' contains the line&colon. 
:p.      print "p0=$0 p1=$1 p2=$2 p3=$3 p4=$4 p5=$5 p6=$6 p7=x$7x"
.br
:p.entering the command&colon. 
:p.      call 'calltest&per.gp' "abcd" 1&per.2 + "'quoted'" -- "$2"
.br
:p.will display&colon. 
:p.      p0=abcd p1=1&per.2 p2=+ p3='quoted' p4=- p5=- p6=$2 p7=xx
.br
:p.NOTE&colon. there is a clash in syntax with the datafile :link reftype=hd res=2845.using:elink. callback 
operator&per.  Use :hp2.$$n:ehp2. or :hp2.column(n):ehp2. to access column n from a datafile inside 
a :link reftype=hd res=1710.call:elink.ed datafile plot&per. 
:h2 res=1750. clear
:p.The :link reftype=hd res=1750.clear:elink. command erases the current screen or output device as specified 
by :link reftype=hd res=5831.set output:elink.&per.  This usually generates a formfeed on hardcopy devices&per.  Use 
:link reftype=hd res=7403.set terminal:elink. to set the device type&per. 
:p.For some terminals :link reftype=hd res=1750.clear:elink. erases only the portion of the plotting surface 
defined by :link reftype=hd res=6618.set size:elink., so for these it can be used in conjunction with :hp2.set 
multiplot:ehp2. to create an inset&per. 
:p.Example&colon. 
:p.      set multiplot
.br
      plot sin(x)
.br
      set origin 0&per.5,0&per.5
.br
      set size 0&per.4,0&per.4
.br
      clear
.br
      plot cos(x)
.br
      unset multiplot
.br
:p.Please see :link reftype=hd res=5642.set multiplot:elink., :link reftype=hd res=6618.set size:elink., and :link reftype=hd res=5818.set origin:elink. for details of these 
commands&per. 
:h2 res=1772. exit
:p.The commands :link reftype=hd res=1772.exit:elink. and :link reftype=hd res=3338.quit:elink. and the END-OF-FILE character will exit the 
current :link reftype=hd res=37.gnuplot:elink. command file and :link reftype=hd res=2338.load:elink. the next one&per.  See "help 
batch/interactive" for more details&per. 
:p.Each of these commands will clear the output device (as does the :link reftype=hd res=1750.clear:elink. 
command) before exiting&per. 
:h2 res=1781. fit
:p.The :link reftype=hd res=1781.fit:elink. command can fit a user-defined function to a set of data points 
(x,y) or (x,y,z), using an implementation of the nonlinear least-squares 
(NLLS) Marquardt-Levenberg algorithm&per.  Any user-defined variable occurring in 
the function body may serve as a fit parameter, but the return type of the 
function must be real&per. 
:p.Syntax&colon. 
:p.      fit {[xrange] {[yrange]}} <function> '<datafile>'
.br
          {datafile-modifiers}
.br
          via '<parameter file>' | <var1>{,<var2>,&per.&per.&per.}
.br
:p.Ranges may be specified to temporarily limit the data which is to be fitted; 
any out-of-range data points are ignored&per. The syntax is 
:p.      [{dummy_variable=}{<min>}{&colon.<max>}],
.br
analogous to :link reftype=hd res=2402.plot:elink.; see :link reftype=hd res=3079.plot ranges:elink.&per. 
:p.<function> is any valid :link reftype=hd res=37.gnuplot:elink. expression, although it is usual to use a 
previously user-defined function of the form f(x) or f(x,y)&per. 
:p.<datafile> is treated as in the :link reftype=hd res=2402.plot:elink. command&per.  All the :link reftype=hd res=2441.plot datafile:elink. 
modifiers (:link reftype=hd res=2845.using:elink., :link reftype=hd res=2515.every:elink.,&per.&per.&per.) except :link reftype=hd res=2610.smooth:elink. and the deprecated :link reftype=hd res=2821.thru:elink. 
are applicable to :link reftype=hd res=1781.fit:elink.&per. See :link reftype=hd res=2441.plot datafile:elink.&per. 
:p.The default data formats for fitting functions with a single independent 
variable, y=f(x), are {x&colon.}y or x&colon.y&colon.s; those formats can be changed with 
the datafile :link reftype=hd res=2845.using:elink. qualifier&per.  The third item (a column number or an 
expression), if present, is interpreted as the standard deviation of the 
corresponding y value and is used to compute a weight for the datum, 1/s**2&per. 
Otherwise, all data points are weighted equally, with a weight of one&per. 
Note that if you don't specify a :link reftype=hd res=2845.using:elink. option at all, no y deviations are 
read from the datafile even if it does have a third column, so you'll 
always get unit weights&per. 
:p.To fit a function with two independent variables, z=f(x,y), the required 
format is :link reftype=hd res=2845.using:elink. with four items, x&colon.y&colon.z&colon.s&per.  The complete format must be 
given---no default columns are assumed for a missing token&per.  Weights for 
each data point are evaluated from 's' as above&per.  If error estimates are 
not available, a constant value can be specified as a constant expression 
(see :link reftype=hd res=2845.plot datafile using:elink.), e&per.g&per., :hp2.using 1&colon.2&colon.3&colon.(1):ehp2.&per. 
:p.Multiple datasets may be simultaneously fit with functions of one 
independent variable by making y a 'pseudo-variable', e&per.g&per., the dataline 
number, and fitting as two independent variables&per.  See :link reftype=hd res=2154.fit multi-branch:elink.&per. 
:p.The :hp2.via:ehp2. qualifier specifies which parameters are to be adjusted, either 
directly, or by referencing a parameter file&per. 
:p.Examples&colon. 
:p.      f(x) = a*x**2 + b*x + c
.br
      g(x,y) = a*x**2 + b*y**2 + c*x*y
.br
      FIT_LIMIT = 1e-6
.br
      fit f(x) 'measured&per.dat' via 'start&per.par'
.br
      fit f(x) 'measured&per.dat' using 3&colon.($7-5) via 'start&per.par'
.br
      fit f(x) '&per./data/trash&per.dat' using 1&colon.2&colon.3 via a, b, c
.br
      fit g(x,y) 'surface&per.dat' using 1&colon.2&colon.3&colon.(1) via a, b, c
.br
:p.After each iteration step, detailed information about the current state 
of the fit is written to the display&per.  The same information about the 
initial and final states is written to a log file, "fit&per.log"&per.  This file 
is always appended to, so as to not lose any previous fit history;  it 
should be deleted or renamed as desired&per. By using the command  
:hp2.set fit logfile:ehp2., the name of the log file can be changed&per. 
:p.If gnuplot was built with this option, and you activated it using :hp2.set fit 
errorvariables:ehp2., the error for each fitted parameter will be stored in 
a variable named like the parameter, but with "_err" appended&per.  Thus the 
errors can be used as input for further computations&per. 
:p.The fit may be interrupted by pressing Ctrl-C (any key but Ctrl-C under 
MSDOS and Atari Multitasking Systems)&per.  After the current iteration 
completes, you have the option to (1) stop the fit and accept the current 
parameter values, (2) continue the fit, (3) execute a :link reftype=hd res=37.gnuplot:elink. command 
as specified by the environment variable FIT_SCRIPT&per.  The default for 
FIT_SCRIPT is :link reftype=hd res=3344.replot:elink., so if you had previously plotted both the data 
and the fitting function in one graph, you can display the current state 
of the fit&per. 
:p.Once :link reftype=hd res=1781.fit:elink. has finished, the :link reftype=hd res=12730.update:elink. command may be used to store final 
values in a file for subsequent use as a parameter file&per.   See :link reftype=hd res=12730.update:elink. 
for details&per. 
:h3 res=1866. adjustable parameters
:p.There are two ways that :hp2.via:ehp2. can specify the parameters to be adjusted, 
either directly on the command line or indirectly, by referencing a 
parameter file&per.  The two use different means to set initial values&per. 
:p.Adjustable parameters can be specified by a comma-separated list of variable 
names after the :hp2.via:ehp2. keyword&per.  Any variable that is not already defined 
is created with an initial value of 1&per.0&per.  However, the fit is more likely 
to converge rapidly if the variables have been previously declared with more 
appropriate starting values&per. 
:p.In a parameter file, each parameter to be varied and a corresponding initial 
value are specified, one per line, in the form 
:p.      varname = value
.br
:p.Comments, marked by '#', and blank lines are permissible&per.  The 
special form 
:p.      varname = value       # FIXED
.br
:p.means that the variable is treated as a 'fixed parameter', initialized by the 
parameter file, but not adjusted by :link reftype=hd res=1781.fit:elink.&per.  For clarity, it may be useful to 
designate variables as fixed parameters so that their values are reported by 
:link reftype=hd res=1781.fit:elink.&per.  The keyword :hp2.# FIXED:ehp2. has to appear in exactly this form&per. 
:p.:h3 res=1895. short introduction
:p.:link reftype=hd res=1781.fit:elink. is used to find a set of parameters that 'best' fits your data to your 
user-defined function&per.  The fit is judged on the basis of the sum of the 
squared differences or 'residuals' (SSR) between the input data points and 
the function values, evaluated at the same places&per.  This quantity is often 
called 'chisquare' (i&per.e&per., the Greek letter chi, to the power of 2)&per.  The 
algorithm attempts to minimize SSR, or more precisely, WSSR, as the residuals 
are 'weighted' by the input data errors (or 1&per.0) before being squared; 
see :link reftype=hd res=1959.fit error_estimates:elink. for details&per. 
:p.That's why it is called 'least-squares fitting'&per.  Let's look at an example 
to see what is meant by 'non-linear', but first we had better go over some 
terms&per.  Here it is convenient to use z as the dependent variable for 
user-defined functions of either one independent variable, z=f(x), or two 
independent variables, z=f(x,y)&per.  A parameter is a user-defined variable 
that :link reftype=hd res=1781.fit:elink. will adjust, i&per.e&per., an unknown quantity in the function 
declaration&per.  Linearity/non-linearity refers to the relationship of the 
dependent variable, z, to the parameters which :link reftype=hd res=1781.fit:elink. is adjusting, not of 
z to the independent variables, x and/or y&per.  (To be technical, the 
second {and higher} derivatives of the fitting function with respect to 
the parameters are zero for a linear least-squares problem)&per. 
:p.For linear least-squares (LLS), the user-defined function will be a sum of 
simple functions, not involving any parameters, each multiplied by one 
parameter&per.  NLLS handles more complicated functions in which parameters can 
be used in a large number of ways&per.  An example that illustrates the 
difference between linear and nonlinear least-squares is the Fourier series&per. 
One member may be written as 
:p.     z=a*sin(c*x) + b*cos(c*x)&per.
.br
If a and b are the unknown parameters and c is constant, then estimating 
values of the parameters is a linear least-squares problem&per.  However, if 
c is an unknown parameter, the problem is nonlinear&per. 
:p.In the linear case, parameter values can be determined by comparatively 
simple linear algebra, in one direct step&per.  However LLS is a special case 
which is also solved along with more general NLLS problems by the iterative 
procedure that :link reftype=hd res=37.gnuplot:elink. uses&per.  :link reftype=hd res=1781.fit:elink. attempts to find the minimum by doing 
a search&per.  Each step (iteration) calculates WSSR with a new set of parameter 
values&per.  The Marquardt-Levenberg algorithm selects the parameter values for 
the next iteration&per.  The process continues until a preset criterion is met, 
either (1) the fit has "converged" (the relative change in WSSR is less than 
FIT_LIMIT), or (2) it reaches a preset iteration count limit, FIT_MAXITER 
(see :link reftype=hd res=2100.fit control variables:elink.)&per.  The fit may also be interrupted 
and subsequently halted from the keyboard (see :link reftype=hd res=1781.fit:elink.)&per. 
:p.Often the function to be fitted will be based on a model (or theory) that 
attempts to describe or predict the behaviour of the data&per.  Then :link reftype=hd res=1781.fit:elink. can 
be used to find values for the free parameters of the model, to determine 
how well the data fits the model, and to estimate an error range for each 
parameter&per.  See :link reftype=hd res=1959.fit error_estimates:elink.&per. 
:p.Alternatively, in curve-fitting, functions are selected independent of 
a model (on the basis of experience as to which are likely to describe 
the trend of the data with the desired resolution and a minimum number 
of parameters*functions&per.)  The :link reftype=hd res=1781.fit:elink. solution then provides an analytic 
representation of the curve&per. 
:p.However, if all you really want is a smooth curve through your data points, 
the :link reftype=hd res=2610.smooth:elink. option to :link reftype=hd res=2402.plot:elink. may be what you've been looking for rather 
than :link reftype=hd res=1781.fit:elink.&per. 
:h3 res=1959. error estimates
:p.In :link reftype=hd res=1781.fit:elink., the term "error" is used in two different contexts, data error 
estimates and parameter error estimates&per. 
:p.Data error estimates are used to calculate the relative weight of each data 
point when determining the weighted sum of squared residuals, WSSR or 
chisquare&per.  They can affect the parameter estimates, since they determine 
how much influence the deviation of each data point from the fitted function 
has on the final values&per.  Some of the :link reftype=hd res=1781.fit:elink. output information, including 
the parameter error estimates, is more meaningful if accurate data error 
estimates have been provided&per. 
:p.The 'statistical overview' describes some of the :link reftype=hd res=1781.fit:elink. output and gives some 
background for the 'practical guidelines'&per. 
:h4 res=1976. statistical overview
:p.The theory of non-linear least-squares (NLLS) is generally described in terms 
of a normal distribution of errors, that is, the input data is assumed to be 
a sample from a population having a given mean and a Gaussian (normal) 
distribution about the mean with a given standard deviation&per.  For a sample of 
sufficiently large size, and knowing the population standard deviation, one 
can use the statistics of the chisquare distribution to describe a "goodness 
of fit" by looking at the variable often called "chisquare"&per.  Here, it is 
sufficient to say that a reduced chisquare (chisquare/degrees of freedom, 
where degrees of freedom is the number of datapoints less the number of 
parameters being fitted) of 1&per.0 is an indication that the weighted sum of 
squared deviations between the fitted function and the data points is the 
same as that expected for a random sample from a population characterized by 
the function with the current value of the parameters and the given standard 
deviations&per. 
:p.If the standard deviation for the population is not constant, as in counting 
statistics where variance = counts, then each point should be individually 
weighted when comparing the observed sum of deviations and the expected sum 
of deviations&per. 
:p.At the conclusion :link reftype=hd res=1781.fit:elink. reports 'stdfit', the standard deviation of the fit, 
which is the rms of the residuals, and the variance of the residuals, also 
called 'reduced chisquare' when the data points are weighted&per.  The number of 
degrees of freedom (the number of data points minus the number of fitted 
parameters) is used in these estimates because the parameters used in 
calculating the residuals of the datapoints were obtained from the same data&per. 
:p.To estimate confidence levels for the parameters, one can use the minimum 
chisquare obtained from the fit and chisquare statistics to determine the 
value of chisquare corresponding to the desired confidence level, but 
considerably more calculation is required to determine the combinations of 
parameters which produce such values&per. 
:p.Rather than determine confidence intervals, :link reftype=hd res=1781.fit:elink. reports parameter error 
estimates which are readily obtained from the variance-covariance matrix 
after the final iteration&per.  By convention, these estimates are called 
"standard errors" or "asymptotic standard errors", since they are calculated 
in the same way as the standard errors (standard deviation of each parameter) 
of a linear least-squares problem, even though the statistical conditions for 
designating the quantity calculated to be a standard deviation are not 
generally valid for the NLLS problem&per.  The asymptotic standard errors are 
generally over-optimistic and should not be used for determining confidence 
levels, but are useful for qualitative purposes&per. 
:p.The final solution also produces a correlation matrix, which gives an 
indication of the correlation of parameters in the region of the solution; 
if one parameter is changed, increasing chisquare, does changing another 
compensate?  The main diagonal elements, autocorrelation, are all 1; if 
all parameters were independent, all other elements would be nearly 0&per.  Two 
variables which completely compensate each other would have an off-diagonal 
element of unit magnitude, with a sign depending on whether the relation is 
proportional or inversely proportional&per.  The smaller the magnitudes of the 
off-diagonal elements, the closer the estimates of the standard deviation 
of each parameter would be to the asymptotic standard error&per. 
:h4 res=2034. practical guidelines
:p.If you have a basis for assigning weights to each data point, doing so lets 
you make use of additional knowledge about your measurements, e&per.g&per., take into 
account that some points may be more reliable than others&per.  That may affect 
the final values of the parameters&per. 
:p.Weighting the data provides a basis for interpreting the additional :link reftype=hd res=1781.fit:elink. 
output after the last iteration&per.  Even if you weight each point equally, 
estimating an average standard deviation rather than using a weight of 1 
makes WSSR a dimensionless variable, as chisquare is by definition&per. 
:p.Each fit iteration will display information which can be used to evaluate 
the progress of the fit&per.  (An '*' indicates that it did not find a smaller 
WSSR and is trying again&per.)  The 'sum of squares of residuals', also called 
'chisquare', is the WSSR between the data and your fitted function; :link reftype=hd res=1781.fit:elink. 
has minimized that&per.  At this stage, with weighted data, chisquare is expected 
to approach the number of degrees of freedom (data points minus parameters)&per. 
The WSSR can be used to calculate the reduced chisquare (WSSR/ndf) or stdfit, 
the standard deviation of the fit, sqrt(WSSR/ndf)&per.  Both of these are 
reported for the final WSSR&per. 
:p.If the data are unweighted, stdfit is the rms value of the deviation of the 
data from the fitted function, in user units&per. 
:p.If you supplied valid data errors, the number of data points is large enough, 
and the model is correct, the reduced chisquare should be about unity&per.  (For 
details, look up the 'chi-squared distribution' in your favourite statistics 
reference&per.)  If so, there are additional tests, beyond the scope of this 
overview, for determining how well the model fits the data&per. 
:p.A reduced chisquare much larger than 1&per.0 may be due to incorrect data error 
estimates, data errors not normally distributed, systematic measurement 
errors, 'outliers', or an incorrect model function&per.  A plot of the residuals, 
e&per.g&per., :hp2.plot 'datafile' using 1&colon.($2-f($1)):ehp2., may help to show any systematic 
trends&per.  Plotting both the data points and the function may help to suggest 
another model&per. 
:p.Similarly, a reduced chisquare less than 1&per.0 indicates WSSR is less than that 
expected for a random sample from the function with normally distributed 
errors&per.  The data error estimates may be too large, the statistical 
assumptions may not be justified, or the model function may be too general, 
fitting fluctuations in a particular sample in addition to the underlying 
trends&per.  In the latter case, a simpler function may be more appropriate&per. 
:p.You'll have to get used to both :link reftype=hd res=1781.fit:elink. and the kind of problems you apply it 
to before you can relate the standard errors to some more practical estimates 
of parameter uncertainties or evaluate the significance of the correlation 
matrix&per. 
:p.Note that :link reftype=hd res=1781.fit:elink., in common with most NLLS implementations, minimizes the 
weighted sum of squared distances (y-f(x))**2&per.  It does not provide any means 
to account for "errors" in the values of x, only in y&per.  Also, any "outliers" 
(data points outside the normal distribution of the model) will have an 
exaggerated effect on the solution&per. 
:h3 res=2092. fit controlling
:p.There are a number of :link reftype=hd res=37.gnuplot:elink. variables that can be defined to affect 
:link reftype=hd res=1781.fit:elink.&per.  Those which can be defined once :link reftype=hd res=37.gnuplot:elink. is running are listed 
under 'control_variables' while those defined before starting :link reftype=hd res=37.gnuplot:elink. 
are listed under 'environment_variables'&per. 
:h4 res=2100. control variables
:p.The default epsilon limit (1e-5) may be changed by declaring a value for 
:p.      FIT_LIMIT
.br
When the sum of squared residuals changes between two iteration steps by 
a factor less than this number (epsilon), the fit is considered to have 
'converged'&per. 
:p.The maximum number of iterations may be limited by declaring a value for 
:p.      FIT_MAXITER
.br
A value of 0 (or not defining it at all)  means that there is no limit&per. 
:p.If you need even more control about the algorithm, and know the 
Marquardt-Levenberg algorithm well, there are some more variables to 
influence it&per. The startup value of :hp2.lambda:ehp2. is normally calculated 
automatically from the ML-matrix, but if you want to, you may provide 
your own one with 
:p.      FIT_START_LAMBDA
.br
Specifying FIT_START_LAMBDA as zero or less will re-enable the automatic 
selection&per. The variable 
:p.      FIT_LAMBDA_FACTOR
.br
gives the factor by which :hp2.lambda:ehp2. is increased or decreased whenever 
the chi-squared target function increased or decreased significantly&per. 
Setting FIT_LAMBDA_FACTOR to zero re-enables the default factor of 
10&per.0&per. 
:p.Other variables with the FIT_ prefix may be added to :link reftype=hd res=1781.fit:elink., so it is safer 
not to use that prefix for user-defined variables&per. 
:p.The variables FIT_SKIP and FIT_INDEX were used by earlier releases of 
:link reftype=hd res=37.gnuplot:elink. with a 'fit' patch called :hp2.gnufit:ehp2. and are no longer available&per. 
The datafile :link reftype=hd res=2515.every:elink. modifier provides the functionality of FIT_SKIP&per. 
FIT_INDEX was used for multi-branch fitting, but multi-branch fitting of 
one independent variable is now done as a pseudo-3D fit in which the 
second independent variable and :link reftype=hd res=2845.using:elink. are used to specify the branch&per. 
See :link reftype=hd res=2154.fit multi-branch:elink.&per. 
:h4 res=2138. environment variables
:p.The environment variables must be defined before :link reftype=hd res=37.gnuplot:elink. is executed; how 
to do so depends on your operating system&per. 
:p.:p.      FIT_LOG
.br
changes the name (and/or path) of the file to which the fit log will be 
written from the default of "fit&per.log" in the working directory&per. The default 
value can be overwritten using the command :hp2.set fitlogfile:ehp2.&per. 
:p.:p.      FIT_SCRIPT
.br
specifies a command that may be executed after an user interrupt&per. The default 
is :link reftype=hd res=3344.replot:elink., but a :link reftype=hd res=2402.plot:elink. or :link reftype=hd res=2338.load:elink. command may be useful to display a plot 
customized to highlight the progress of the fit&per. 
:h3 res=2154. multi-branch
:p.In multi-branch fitting, multiple data sets can be simultaneously fit with 
functions of one independent variable having common parameters by minimizing 
the total WSSR&per.  The function and parameters (branch) for each data set are 
selected by using a 'pseudo-variable', e&per.g&per., either the dataline number (a 
'column' index of -1) or the datafile index (-2), as the second independent 
variable&per. 
:p.Example&colon.  Given two exponential decays of the form, z=f(x), each describing 
a different data set but having a common decay time, estimate the values of 
the parameters&per.  If the datafile has the format x&colon.z&colon.s, then 
:p.     f(x,y) = (y==0) ? a*exp(-x/tau) &colon. b*exp(-x/tau)
.br
     fit f(x,y) 'datafile' using  1&colon.-1&colon.2&colon.3  via a, b, tau
.br
:p.For a more complicated example, see the file "hexa&per.fnc" used by the 
"fit&per.dem" demo&per. 
:p.Appropriate weighting may be required since unit weights may cause one 
branch to predominate if there is a difference in the scale of the dependent 
variable&per.  Fitting each branch separately, using the multi-branch solution 
as initial values, may give an indication as to the relative effect of each 
branch on the joint solution&per. 
:h3 res=2180. starting values
:p.Nonlinear fitting is not guaranteed to converge to the global optimum (the 
solution with the smallest sum of squared residuals, SSR), and can get stuck 
at a local minimum&per.  The routine has no way to determine that;  it is up to 
you to judge whether this has happened&per. 
:p.:link reftype=hd res=1781.fit:elink. may, and often will get "lost" if started far from a solution, where 
SSR is large and changing slowly as the parameters are varied, or it may 
reach a numerically unstable region (e&per.g&per., too large a number causing a 
floating point overflow) which results in an "undefined value" message 
or :link reftype=hd res=37.gnuplot:elink. halting&per. 
:p.To improve the chances of finding the global optimum, you should set the 
starting values at least roughly in the vicinity of the solution, e&per.g&per., 
within an order of magnitude, if possible&per.  The closer your starting values 
are to the solution, the less chance of stopping at another minimum&per.  One way 
to find starting values is to plot data and the fitting function on the same 
graph and change parameter values and :link reftype=hd res=3344.replot:elink. until reasonable similarity 
is reached&per.  The same plot is also useful to check whether the fit stopped at 
a minimum with a poor fit&per. 
:p.Of course, a reasonably good fit is not proof there is not a "better" fit (in 
either a statistical sense, characterized by an improved goodness-of-fit 
criterion, or a physical sense, with a solution more consistent with the 
model&per.)  Depending on the problem, it may be desirable to :link reftype=hd res=1781.fit:elink. with various 
sets of starting values, covering a reasonable range for each parameter&per. 
:h3 res=2209. tips
:p.Here are some tips to keep in mind to get the most out of :link reftype=hd res=1781.fit:elink.&per.  They're not 
very organized, so you'll have to read them several times until their essence 
has sunk in&per. 
:p.The two forms of the :hp2.via:ehp2. argument to :link reftype=hd res=1781.fit:elink. serve two largely distinct 
purposes&per.  The :hp2.via "file":ehp2. form is best used for (possibly unattended) batch 
operation, where you just supply the startup values in a file and can later 
use :link reftype=hd res=12730.update:elink. to copy the results back into another (or the same) parameter 
file&per. 
:p.The :hp2.via var1, var2, &per.&per.&per.:ehp2. form is best used interactively, where the command 
history mechanism may be used to edit the list of parameters to be fitted or 
to supply new startup values for the next try&per.  This is particularly useful 
for hard problems, where a direct fit to all parameters at once won't work 
without good starting values&per.  To find such, you can iterate several times, 
fitting only some of the parameters, until the values are close enough to the 
goal that the final fit to all parameters at once will work&per. 
:p.Make sure that there is no mutual dependency among parameters of the function 
you are fitting&per.  For example, don't try to fit a*exp(x+b), because 
a*exp(x+b)=a*exp(b)*exp(x)&per.  Instead, fit either a*exp(x) or exp(x+b)&per. 
:p.A technical issue&colon.  the parameters must not be too different in magnitude&per. 
The larger the ratio of the largest and the smallest absolute parameter 
values, the slower the fit will converge&per.  If the ratio is close to or above 
the inverse of the machine floating point precision, it may take next to 
forever to converge, or refuse to converge at all&per.  You will have to adapt 
your function to avoid this, e&per.g&per., replace 'parameter' by '1e9*parameter' in 
the function definition, and divide the starting value by 1e9&per. 
:p.If you can write your function as a linear combination of simple functions 
weighted by the parameters to be fitted, by all means do so&per.  That helps a 
lot, because the problem is no longer nonlinear and should converge with only 
a small number of iterations, perhaps just one&per. 
:p.Some prescriptions for analysing data, given in practical experimentation 
courses, may have you first fit some functions to your data, perhaps in a 
multi-step process of accounting for several aspects of the underlying 
theory one by one, and then extract the information you really wanted from 
the fitting parameters of those functions&per.  With :link reftype=hd res=1781.fit:elink., this may often be 
done in one step by writing the model function directly in terms of the 
desired parameters&per.  Transforming data can also quite often be avoided, 
though sometimes at the cost of a more difficult fit problem&per.  If you think 
this contradicts the previous paragraph about simplifying the fit function, 
you are correct&per. 
:p.A "singular matrix" message indicates that this implementation of the 
Marquardt-Levenberg algorithm can't calculate parameter values for the next 
iteration&per.  Try different starting values, writing the function in another 
form, or a simpler function&per. 
:p.Finally, a nice quote from the manual of another fitting package (fudgit), 
that kind of summarizes all these issues&colon.  "Nonlinear fitting is an art!" 
:h2 res=2266. help
:p.The :link reftype=hd res=2266.help:elink. command displays on-line help&per. To specify information on a 
particular topic use the syntax&colon. 
:p.:p.      help {<topic>}
.br
:p.If <topic> is not specified, a short message is printed about :link reftype=hd res=37.gnuplot:elink.&per. 
After help for the requested topic is given, a menu of subtopics is given; 
help for a subtopic may be requested by typing its name, extending the help 
request&per.  After that subtopic has been printed, the request may be extended 
again or you may go back one level to the previous topic&per.  Eventually, the 
:link reftype=hd res=37.gnuplot:elink. command line will return&per. 
:p.If a question mark (?) is given as the topic, the list of topics currently 
available is printed on the screen&per. 
:h2 res=2283. history
:p.:link reftype=hd res=2283.history:elink. command lists or saves previous entries in the history of the 
command line editing, or executes an entry&per. 
:p.Here you find 'usage by examples'&colon. 
:p.:p.      history               # show the complete history
.br
      history 5             # show last 5 entries in the history
.br
      history quiet 5       # show last 5 entries without entry numbers
.br
      history "hist&per.gp"     # write the complete history to file hist&per.gp
.br
      history "hist&per.gp" append # append the complete history to file hist&per.gp
.br
      history 10 "hist&per.gp"  # write last 10 commands to file hist&per.gp
.br
      history 10 "|head -5 >>diary&per.gp" # write 5 history commands using pipe
.br
      history ?load         # show all history entries starting with "load"
.br
      history ?"set c"      # like above, several words enclosed in quotes
.br
      hi !reread            # execute last entry starting with "reread"
.br
      hist !"set xr"        # like above, several words enclosed in quotes
.br
      hi !hi                # guess yourself &colon.-))
.br
:p.On systems which support a popen function (Unix), the output of history can be 
piped through an external program by starting the file name with a '|', as one 
of the above examples demonstrates&per. 
:h2 res=2307. if
:p.The :link reftype=hd res=2307.if:elink. command allows commands to be executed conditionally&per. 
:p.Syntax&colon. 
:p.      if (<condition>) <command-line> [; else if (<condition>) &per.&per.&per.; else &per.&per.&per.]
.br
:p.<condition> will be evaluated&per.  If it is true (non-zero), then the command(s) 
of the <command-line> will be executed&per.  If <condition> is false (zero), then 
the entire <command-line> is ignored until the next occurrence of :hp2.else:ehp2.&per. 
Note that use of :hp2.;:ehp2. to allow multiple commands on the same line will 
_not_ end the conditionalized commands&per. 
:p.Examples&colon. 
:p.      pi=3
.br
      if (pi!=acos(-1)) print "?Fixing pi!"; pi=acos(-1); print pi
.br
will display&colon. 
:p.      ?Fixing pi!
.br
      3&per.14159265358979
.br
but 
:p.      if (1==2) print "Never see this"; print "Or this either"
.br
will not display anything&per. 
:p.else&colon. 
:p.      v=0
.br
      v=v+1; if (v%2) print "2" ; else if (v%3) print "3"; else print "fred"
.br
(repeat the last line repeatedly!) 
:p.See :link reftype=hd res=3376.reread:elink. for an example of how :link reftype=hd res=2307.if:elink. and :link reftype=hd res=3376.reread:elink. can be used together to 
perform a loop&per. 
:h2 res=2338. load
:p.The :link reftype=hd res=2338.load:elink. command executes each line of the specified input file as if it 
had been typed in interactively&per.  Files created by the :link reftype=hd res=3434.save:elink. command can 
later be :link reftype=hd res=2338.load:elink.ed&per.  Any text file containing valid commands can be created 
and then executed by the :link reftype=hd res=2338.load:elink. command&per.  Files being :link reftype=hd res=2338.load:elink.ed may themselves 
contain :link reftype=hd res=2338.load:elink. or :link reftype=hd res=1710.call:elink. commands&per.  See :link reftype=hd res=529.comments:elink. for information about 
comments in commands&per.  To :link reftype=hd res=2338.load:elink. with arguments, see :link reftype=hd res=1710.call:elink.&per. 
:p.The :link reftype=hd res=2338.load:elink. command _must_ be the last command on a multi-command line&per. 
:p.Syntax&colon. 
:p.      load "<input-file>"
.br
:p.The name of the input file must be enclosed in quotes&per. 
:p.The special filename "-" may be used to :link reftype=hd res=2338.load:elink. commands from standard input&per. 
This allows a :link reftype=hd res=37.gnuplot:elink. command file to accept some commands from standard 
input&per.  Please see "help batch/interactive" for more details&per. 
:p.On some systems which support a popen function (Unix), the load file can be 
read from a pipe by starting the file name with a '<'&per. 
:p.Examples&colon. 
:p.      load 'work&per.gnu'
.br
      load "func&per.dat"
.br
      load "< loadfile_generator&per.sh"
.br
:p.The :link reftype=hd res=2338.load:elink. command is performed implicitly on any file names given as 
arguments to :link reftype=hd res=37.gnuplot:elink.&per.  These are loaded in the order specified, and 
then :link reftype=hd res=37.gnuplot:elink. exits&per. 
:h2 res=2370. pause
:p.The :link reftype=hd res=2370.pause:elink. command displays any text associated with the command and then 
waits a specified amount of time or until the carriage return is pressed&per. 
:link reftype=hd res=2370.pause:elink. is especially useful in conjunction with :link reftype=hd res=2338.load:elink. files&per. 
:p.Syntax&colon. 
:p.      pause <time> {"<string>"}
.br
      pause mouse {"<string>"}
.br
:p.<time> may be any constant or expression&per.  Choosing -1 will wait until a 
carriage return is hit, zero (0) won't pause at all, and a positive number 
will wait the specified number of seconds&per.  The time is rounded to an integer 
number of seconds if subsecond time resolution is not supported by the given 
platform&per.  :hp2.pause 0:ehp2. is synonymous with :link reftype=hd res=3323.print:elink.&per. 
:p.If the current terminal supports mousing, then :link reftype=hd res=5530.pause mouse:elink. will terminate 
on either a mouse click or on ctrl-C&per.  For all other terminals, or if mousing 
is not active, :link reftype=hd res=5530.pause mouse:elink. is equivalent to :hp2.pause -1:ehp2.&per. 
:p.Note&colon. Since :link reftype=hd res=2370.pause:elink. communicates with the operating system rather than the 
graphics, it may behave differently with different device drivers (depending 
upon how text and graphics are mixed)&per. 
:p.Examples&colon. 
:p.      pause -1    # Wait until a carriage return is hit
.br
      pause 3     # Wait three seconds
.br
      pause -1  "Hit return to continue"
.br
      pause 10  "Isn't this pretty?  It's a cubic spline&per."
.br
      pause mouse "Click mouse on selected data point"
.br
:p.:h2 res=2402. plot
:p.:link reftype=hd res=2402.plot:elink. is the primary command for drawing plots with :link reftype=hd res=37.gnuplot:elink.&per.  It creates 
plots of functions and data in many, many ways&per.  :link reftype=hd res=2402.plot:elink. is used to draw 2-d 
functions and data; :link reftype=hd res=12442.splot:elink. draws 2-d projections of 3-d surfaces and data&per. 
:link reftype=hd res=2402.plot:elink. and :link reftype=hd res=12442.splot:elink. contain many common features; see :link reftype=hd res=12442.splot:elink. for differences&per. 
Note specifically that :link reftype=hd res=12442.splot:elink.'s :link reftype=hd res=12529.binary:elink. and :link reftype=hd res=12622.matrix:elink. options do not exist 
for :link reftype=hd res=2402.plot:elink., and :link reftype=hd res=2402.plot:elink.'s :hp2.axes:ehp2. option does not exist for :link reftype=hd res=12442.splot:elink.&per. 
:p.Syntax&colon. 
:p.      plot {<ranges>}
.br
           {<function> | {"<datafile>" {datafile-modifiers}}}
.br
           {axes <axes>} {<title-spec>} {with <style>}
.br
           {, {definitions,} <function> &per.&per.&per.}
.br
:p.where either a <function> or the name of a data file enclosed in quotes is 
supplied&per.  A function is a mathematical expression or a pair of mathematical 
expressions in parametric mode&per.  The expressions may be defined completely or 
in part earlier in the stream of :link reftype=hd res=37.gnuplot:elink. commands (see :link reftype=hd res=1300.user-defined:elink.)&per. 
:p.It is also possible to define functions and parameters on the :link reftype=hd res=2402.plot:elink. command 
itself&per.  This is done merely by isolating them from other items with commas&per. 
:p.There are four possible sets of axes available; the keyword <axes> is used to 
select the axes for which a particular line should be scaled&per.  :hp2.x1y1:ehp2. refers 
to the axes on the bottom and left; :hp2.x2y2:ehp2. to those on the top and right; 
:hp2.x1y2:ehp2. to those on the bottom and right; and :hp2.x2y1:ehp2. to those on the top and 
left&per.  Ranges specified on the :link reftype=hd res=2402.plot:elink. command apply only to the first set of 
axes (bottom left)&per. 
:p.Examples&colon. 
:p.      plot sin(x)
.br
      plot f(x) = sin(x*a), a = &per.2, f(x), a = &per.4, f(x)
.br
      plot [t=1&colon.10] [-pi&colon.pi*2] tan(t), \
.br
           "data&per.1" using (tan($2))&colon.($3/$4) smooth csplines \
.br
                    axes x1y2 notitle with lines 5
.br
:p.See also :link reftype=hd res=5920.show plot:elink.&per. 
:h3 res=2441. data-file
:p.Discrete data contained in a file can be displayed by specifying the name of 
the data file (enclosed in single or double quotes) on the :link reftype=hd res=2402.plot:elink. command line&per. 
:p.Syntax&colon. 
:p.      plot '<file_name>' {index <index list>}
.br
                            {every <every list>}
.br
                            {thru <thru expression>}
.br
                            {using <using list>}
.br
                            {smooth <option>}
.br
:p.The modifiers :link reftype=hd res=2585.index:elink., :link reftype=hd res=2515.every:elink., :link reftype=hd res=2821.thru:elink., :link reftype=hd res=2845.using:elink., and :link reftype=hd res=2610.smooth:elink. are discussed 
separately&per.  In brief, :link reftype=hd res=2585.index:elink. selects which data sets in a multi-data-set 
file are to be plotted, :link reftype=hd res=2515.every:elink. specifies which points within a single data 
set are to be plotted, :link reftype=hd res=2845.using:elink. determines how the columns within a single 
record are to be interpreted (:link reftype=hd res=2821.thru:elink. is a special case of :link reftype=hd res=2845.using:elink.), and 
:link reftype=hd res=2610.smooth:elink. allows for simple interpolation and approximation&per.  (:link reftype=hd res=12442.splot:elink. has a 
similar syntax, but does not support the :link reftype=hd res=2610.smooth:elink. and :link reftype=hd res=2821.thru:elink. options&per.) 
:p.Data files should contain at least one data point per record (:link reftype=hd res=2845.using:elink. 
can select one data point from the record)&per. Records beginning with :hp2.#:ehp2. 
(and also with :hp2.!:ehp2. on VMS) will be treated as comments and ignored&per. 
Each data point represents an (x,y) pair&per. For :link reftype=hd res=2402.plot:elink.s with error bars or 
error bars with lines (see :link reftype=hd res=7305.set style errorbars:elink. or :link reftype=hd res=7357.set style errorlines:elink.), 
each data point is (x,y,ydelta), (x,y,ylow,yhigh), 
(x,y,xdelta), (x,y,xlow,xhigh), or (x,y,xlow,xhigh,ylow,yhigh)&per. 
:p.In all cases, the numbers of each record of a data file must be separated 
by white space (one or more blanks or tabs) unless a format specifier is 
provided by the :link reftype=hd res=2845.using:elink. option&per. This white space divides each record into 
columns&per. However, whitespace inside a pair of double quotes is ignored when 
counting columns, so the following datafile line has three columns&colon. 
:p.      1&per.0 "second column" 3&per.0
.br
:p.Data may be written in exponential format with the exponent preceded by the 
letter e, E, d, D, q, or Q&per. 
:p.Only one column (the y value) need be provided&per.  If x is omitted, :link reftype=hd res=37.gnuplot:elink. 
provides integer values starting at 0&per. 
:p.In datafiles, blank records (records with no characters other than blanks and 
a newline and/or carriage return) are significant---pairs of blank records 
separate :link reftype=hd res=2585.index:elink.es (see :link reftype=hd res=2585.plot datafile index:elink.)&per.  Data separated by double 
blank records are treated as if they were in separate data files&per. 
:p.Single blank records designate discontinuities in a :link reftype=hd res=2402.plot:elink.; no line will join 
points separated by a blank records (if they are plotted with a line style)&per. 
:p.If autoscaling has been enabled (:link reftype=hd res=3652.set autoscale:elink.), the axes are automatically 
extended to include all datapoints, with a whole number of tic marks if tics 
are being drawn&per.  This has two consequences&colon. i) For :link reftype=hd res=12442.splot:elink., the corner of 
the surface may not coincide with the corner of the base&per.  In this case, no 
vertical line is drawn&per.  ii) When plotting data with the same x range on a 
dual-axis graph, the x coordinates may not coincide if the x2tics are not 
being drawn&per.  This is because the x axis has been autoextended to a whole 
number of tics, but the x2 axis has not&per.  The following example illustrates 
the problem&colon. 
:p.:p.      reset; plot '-', '-' axes x2y1
.br
      1 1
.br
      19 19
.br
      e
.br
      1 1
.br
      19 19
.br
      e
.br
:p.To avoid this, you can use the :hp2.fixmin:ehp2./:hp2.fixmax:ehp2. feature of the 
:link reftype=hd res=3652.set autoscale:elink. command, which turns off the automatic extension of the 
axis range upto the next tic mark&per. 
:h4 res=2515. every
:p.The :link reftype=hd res=2515.every:elink. keyword allows a periodic sampling of a data set to be plotted&per. 
:p.In the discussion a "point" is a datum defined by a single record in the 
file; "block" here will mean the same thing as "datablock" (see :link reftype=hd res=1340.glossary:elink.)&per. 
:p.Syntax&colon. 
:p.      plot 'file' every {<point_incr>}
.br
                          {&colon.{<block_incr>}
.br
                            {&colon.{<start_point>}
.br
                              {&colon.{<start_block>}
.br
                                {&colon.{<end_point>}
.br
                                  {&colon.<end_block>}}}}}
.br
:p.The data points to be plotted are selected according to a loop from 
<:hp2.start_point:ehp2.> to <:hp2.end_point:ehp2.> with increment <:hp2.point_incr:ehp2.> and the 
blocks according to a loop from <:hp2.start_block:ehp2.> to <:hp2.end_block:ehp2.> with 
increment <:hp2.block_incr:ehp2.>&per. 
:p.The first datum in each block is numbered '0', as is the first block in the 
file&per. 
:p.Note that records containing unplottable information are counted&per. 
:p.Any of the numbers can be omitted; the increments default to unity, the start 
values to the first point or block, and the end values to the last point or 
block&per.  If :link reftype=hd res=2515.every:elink. is not specified, all points in all lines are plotted&per. 
:p.Examples&colon. 
:p.      every &colon.&colon.&colon.3&colon.&colon.3    # selects just the fourth block ('0' is first)
.br
      every &colon.&colon.&colon.&colon.&colon.9     # selects the first 10 blocks
.br
      every 2&colon.2        # selects every other point in every other block
.br
      every &colon.&colon.5&colon.&colon.15    # selects points 5 through 15 in each block
.br
:p.See 
, 
, and 
&per. 
:h4 res=2562. example datafile
:p.This example plots the data in the file "population&per.dat" and a theoretical 
curve&colon. 
:p.:p.      pop(x) = 103*exp((1965-x)/10)
.br
      plot [1960&colon.1990] 'population&per.dat', pop(x)
.br
:p.The file "population&per.dat" might contain&colon. 
:p.:p.      # Gnu population in Antarctica since 1965
.br
         1965   103
.br
         1970   55
.br
         1975   34
.br
         1980   24
.br
         1985   10
.br
:p.:h4 res=2585. index
:p.The :link reftype=hd res=2585.index:elink. keyword allows only some of the data sets in a multi-data-set 
file to be plotted&per. 
:p.Syntax&colon. 
:p.      plot 'file' index <m>{{&colon.<n>}&colon.<p>}
.br
:p.Data sets are separated by pairs of blank records&per.  :hp2.index <m>:ehp2. selects only 
set <m>; :hp2.index <m>&colon.<n>:ehp2. selects sets in the range <m> to <n>; and :link reftype=hd res=2585.index 
<m>&colon.<n>&colon.<p>:elink. selects indices <m>, <m>+<p>, <m>+2<p>, etc&per., but stopping at 
<n>&per.  Following C indexing, the index 0 is assigned to the first data set in 
the file&per.  Specifying too large an index results in an error message&per.  If 
:link reftype=hd res=2585.index:elink. is not specified, all sets are plotted as a single data set&per. 
:p.Example&colon. 
:p.      plot 'file' index 4&colon.5
.br
:p.:h4 res=2610. smooth
:p.:link reftype=hd res=37.gnuplot:elink. includes a few general-purpose routines for interpolation and 
approximation of data; these are grouped under the :link reftype=hd res=2610.smooth:elink. option&per.  More 
sophisticated data processing may be performed by preprocessing the data 
externally or by using :link reftype=hd res=1781.fit:elink. with an appropriate model&per. 
:p.Syntax&colon. 
:p.      smooth {unique | frequency | csplines | acsplines | bezier | sbezier}
.br
:p.:link reftype=hd res=2709.unique:elink. and :link reftype=hd res=2726.frequency:elink. plot the data after making them monotonic&per.  Each of 
the other routines uses the data to determine the coefficients of a 
continuous curve between the endpoints of the data&per.  This curve is then 
plotted in the same manner as a function, that is, by finding its value at 
uniform intervals along the abscissa (see :link reftype=hd res=6591.set samples:elink.) and connecting these 
points with straight line segments (if a line style is chosen)&per. 
:p.If :link reftype=hd res=3652.autoscale:elink. is in effect, the ranges will be computed such that the 
plotted curve lies within the borders of the graph&per. 
:p.If :link reftype=hd res=3652.autoscale:elink. is not in effect, and the smooth option is either :hp2.acspline:ehp2. 
or :hp2.cspline:ehp2., the sampling of the generated curve is 
done across the intersection of the x range covered by the input data and 
the fixed abscissa range as defined by :link reftype=hd res=11888.set xrange:elink.&per. 
:p.If too few points are available to allow the selected option to be applied, 
an error message is produced&per.  The minimum number is one for :link reftype=hd res=2709.unique:elink. and 
:link reftype=hd res=2726.frequency:elink., four for :link reftype=hd res=2645.acsplines:elink., and three for the others&per. 
:p.The :link reftype=hd res=2610.smooth:elink. options have no effect on function plots&per. 
:h5 res=2645. acsplines
:p.The :link reftype=hd res=2645.acsplines:elink. option approximates the data with a "natural smoothing spline"&per. 
After the data are made monotonic in x (see :link reftype=hd res=2709.smooth unique:elink.), a curve is 
piecewise constructed from segments of cubic polynomials whose coefficients 
are found by the weighting the data points; the weights are taken from the 
third column in the data file&per.  That default can be modified by the third 
entry in the :link reftype=hd res=2845.using:elink. list, e&per.g&per., 
:p.      plot 'data-file' using 1&colon.2&colon.(1&per.0) smooth acsplines
.br
:p.Qualitatively, the absolute magnitude of the weights determines the number 
of segments used to construct the curve&per.  If the weights are large, the 
effect of each datum is large and the curve approaches that produced by 
connecting consecutive points with natural cubic splines&per.  If the weights are 
small, the curve is composed of fewer segments and thus is smoother; the 
limiting case is the single segment produced by a weighted linear least 
squares fit to all the data&per.  The smoothing weight can be expressed in terms 
of errors as a statistical weight for a point divided by a "smoothing factor" 
for the curve so that (standard) errors in the file can be used as smoothing 
weights&per. 
:p.Example&colon. 
:p.      sw(x,S)=1/(x*x*S)
.br
      plot 'data_file' using 1&colon.2&colon.(sw($3,100)) smooth acsplines
.br
:h5 res=2676. bezier
:p.The :link reftype=hd res=2676.bezier:elink. option approximates the data with a Bezier curve of degree n 
(the number of data points) that connects the endpoints&per. 
:h5 res=2687. csplines
:p.The :link reftype=hd res=2687.csplines:elink. option connects consecutive points by natural cubic splines 
after rendering the data monotonic (see :link reftype=hd res=2709.smooth unique:elink.)&per. 
:h5 res=2698. sbezier
:p.The :link reftype=hd res=2698.sbezier:elink. option first renders the data monotonic (:link reftype=hd res=2709.unique:elink.) and then 
applies the :link reftype=hd res=2676.bezier:elink. algorithm&per. 
:h5 res=2709. unique
:p.The :link reftype=hd res=2709.unique:elink. option makes the data monotonic in x; points with the same 
x-value are replaced by a single point having the average y-value&per.  The 
resulting points are then connected by straight line segments&per. 
demos 
:h5 res=2726. frequency
:p.The :link reftype=hd res=2726.frequency:elink. option makes the data monotonic in x; points with the same 
x-value are replaced by a single point having the summed y-values&per.  The 
resulting points are then connected by straight line segments&per. 
:h4 res=2738. special-filenames
:p.A special filename of :hp2.'-':ehp2. specifies that the data are inline; i&per.e&per., they 
follow the command&per.  Only the data follow the command; :link reftype=hd res=2402.plot:elink. options like 
filters, titles, and line styles remain on the :link reftype=hd res=2402.plot:elink. command line&per.  This is 
similar to << in unix shell script, and $DECK in VMS DCL&per.  The data are 
entered as though they are being read from a file, one data point per record&per. 
The letter "e" at the start of the first column terminates data entry&per.  The 
:link reftype=hd res=2845.using:elink. option can be applied to these data---using it to filter them through 
a function might make sense, but selecting columns probably doesn't! 
:p.:hp2.'-':ehp2. is intended for situations where it is useful to have data and commands 
together, e&per.g&per., when :link reftype=hd res=37.gnuplot:elink. is run as a sub-process of some front-end 
application&per.  Some of the demos, for example, might use this feature&per.  While 
:link reftype=hd res=2402.plot:elink. options such as :link reftype=hd res=2585.index:elink. and :link reftype=hd res=2515.every:elink. are recognized, their use forces 
you to enter data that won't be used&per.  For example, while 
:p.:p.      plot '-' index 0, '-' index 1
.br
      2
.br
      4
.br
      6
.br
:p.:p.:p.      10
.br
      12
.br
      14
.br
      e
.br
      2
.br
      4
.br
      6
.br
:p.:p.:p.      10
.br
      12
.br
      14
.br
      e
.br
:p.does indeed work, 
:p.:p.      plot '-', '-'
.br
      2
.br
      4
.br
      6
.br
      e
.br
      10
.br
      12
.br
      14
.br
      e
.br
:p.is a lot easier to type&per. 
:p.If you use :hp2.'-':ehp2. with :link reftype=hd res=3344.replot:elink., you may need to enter the data more than once 
(see :link reftype=hd res=3344.replot:elink.)&per. 
:p.A blank filename ('') specifies that the previous filename should be reused&per. 
This can be useful with things like 
:p.:p.      plot 'a/very/long/filename' using 1&colon.2, '' using 1&colon.3, '' using 1&colon.4
.br
:p.(If you use both :hp2.'-':ehp2. and :hp2.'':ehp2. on the same :link reftype=hd res=2402.plot:elink. command, you'll need to 
have two sets of inline data, as in the example above&per.) 
:p.On some computer systems with a popen function (Unix), the datafile can be 
piped through a shell command by starting the file name with a '<'&per.  For 
example, 
:p.:p.      pop(x) = 103*exp(-x/10)
.br
      plot "< awk '{print $1-1965, $2}' population&per.dat", pop(x)
.br
:p.would plot the same information as the first population example but with 
years since 1965 as the x axis&per.  If you want to execute this example, you 
have to delete all comments from the data file above or substitute the 
following command for the first part of the command above (the part up to 
the comma)&colon. 
:p.:p.      plot "< awk '$0 !~ /^#/ {print $1-1965, $2}' population&per.dat"
.br
:p.While this approach is most flexible, it is possible to achieve simple 
filtering with the :link reftype=hd res=2845.using:elink. or :link reftype=hd res=2821.thru:elink. keywords&per. 
:h4 res=2821. thru
:p.The :link reftype=hd res=2821.thru:elink. function is provided for backward compatibility&per. 
:p.Syntax&colon. 
:p.      plot 'file' thru f(x)
.br
:p.It is equivalent to&colon. 
:p.:p.      plot 'file' using 1&colon.(f($2))
.br
:p.While the latter appears more complex, it is much more flexible&per.  The more 
natural 
:p.:p.      plot 'file' thru f(y)
.br
:p.also works (i&per.e&per. you can use y as the dummy variable)&per. 
:p.:link reftype=hd res=2821.thru:elink. is parsed for :link reftype=hd res=12442.splot:elink. and :link reftype=hd res=1781.fit:elink. but has no effect&per. 
:h4 res=2845. using
:p.The most common datafile modifier is :link reftype=hd res=2845.using:elink.&per. 
:p.Syntax&colon. 
:p.      plot 'file' using {<entry> {&colon.<entry> {&colon.<entry> &per.&per.&per.}}} {'format'}
.br
:p.If a format is specified, each datafile record is read using the C library's 
'scanf' function, with the specified format string&per.  Otherwise the record is 
read and broken into columns at spaces or tabs&per.  A format cannot be specified 
if time-format data is being used (this must be done by :hp2.set data time:ehp2.)&per. 
:p.The resulting array of data is then sorted into columns according to the 
entries&per.  Each <entry> may be a simple column number, which selects the 
datum, an expression enclosed in parentheses, or empty&per.  The expression can 
use $1 to access the first item read, $2 for the second item, and so on&per.  It 
can also use :hp2.column(x):ehp2. and :hp2.valid(x):ehp2. where x is an arbitrary expression 
resulting in an integer&per.  :hp2.column(x):ehp2. returns the x'th datum; :hp2.valid(x):ehp2. 
tests that the datum in the x'th column is a valid number&per.  A column number 
of 0 generates a number increasing (from zero) with each point, and is reset 
upon encountering two blank records&per.  A column number of -1 gives the 
dataline number, which starts at 0, increments at single blank records, and 
is reset at double blank records&per.  A column number of -2 gives the index 
number, which is incremented only when two blank records are found&per.  An empty 
<entry> will default to its order in the list of entries&per.  For example, 
:hp2.using &colon.&colon.4:ehp2. is interpreted as :hp2.using 1&colon.2&colon.4:ehp2.&per. 
:p.N&per.B&per.---the :link reftype=hd res=1710.call:elink. command also uses $'s as a special character&per.  See :link reftype=hd res=1710.call:elink. 
for details about how to include a column number in a :link reftype=hd res=1710.call:elink. argument list&per. 
:p.If the :link reftype=hd res=2845.using:elink. list has but a single entry, that <entry> will be used for y 
and the data point number is used for x; for example, ":hp2.plot 'file' using 1:ehp2." 
is identical to ":hp2.plot 'file' using 0&colon.1:ehp2."&per.  If the :link reftype=hd res=2845.using:elink. list has two 
entries, these will be used for x and y&per.  Additional entries are usually 
errors in x and/or y&per.  See :link reftype=hd res=6679.set style:elink. for details about plotting styles that 
make use of error information, and :link reftype=hd res=1781.fit:elink. for use of error information in 
curve fitting&per. 
:p.'scanf' accepts several numerical specifications but :link reftype=hd res=37.gnuplot:elink. requires all 
inputs to be double-precision floating-point variables, so :hp2.lf:ehp2. is the only 
permissible specifier&per.  'scanf' expects to see white space---a blank, tab 
("\t"), newline ("\n"), or formfeed ("\f")---between numbers; anything else 
in the input stream must be explicitly skipped&per. 
:p.Note that the use of "\t", "\n", or "\f" requires use of double-quotes 
rather than single-quotes&per. 
:p.Examples&colon. 
:p.This creates a plot of the sum of the 2nd and 3rd data against the first&colon. 
The format string specifies comma- rather than space-separated columns&per. 
The same result could be achieved by specifying :hp2.set datafile separator ",":ehp2.&per. 
:p.      plot 'file' using 1&colon.($2+$3) '%lf,%lf,%lf'
.br
:p.In this example the data are read from the file "MyData" using a more 
complicated format&colon. 
:p.      plot 'MyData' using "%*lf%lf%*20[^\n]%lf"
.br
:p.The meaning of this format is&colon. 
:p.:p.      %*lf        ignore a number
.br
      %lf         read a double-precision number (x by default)
.br
      %*20[^\n]   ignore 20 non-newline characters
.br
      %lf         read a double-precision number (y by default)
.br
:p.One trick is to use the ternary :hp2.?&colon.:ehp2. operator to filter data&colon. 
:p.:p.      plot 'file' using 1&colon.($3>10 ? $2 &colon. 1/0)
.br
:p.which plots the datum in column two against that in column one provided 
the datum in column three exceeds ten&per.  :hp2.1/0:ehp2. is undefined; :link reftype=hd res=37.gnuplot:elink. 
quietly ignores undefined points, so unsuitable points are suppressed&per. 
:p.In fact, you can use a constant expression for the column number, provided it 
doesn't start with an opening parenthesis; constructs like :link reftype=hd res=2845.using 
0+(complicated expression):elink. can be used&per.  The crucial point is that the 
expression is evaluated once if it doesn't start with a left parenthesis, or 
once for each data point read if it does&per. 
:p.If timeseries data are being used, the time can span multiple columns&per.  The 
starting column should be specified&per.  Note that the spaces within the time 
must be included when calculating starting columns for other data&per.  E&per.g&per., if 
the first element on a line is a time with an embedded space, the y value 
should be specified as column three&per. 
:p.It should be noted that :hp2.plot 'file':ehp2., :hp2.plot 'file' using 1&colon.2:ehp2., and :link reftype=hd res=2402.plot 
'file' using ($1)&colon.($2):elink. can be subtly different&colon. 1) if :link reftype=hd res=6380.file:elink. has some lines 
with one column and some with two, the first will invent x values when they 
are missing, the second will quietly ignore the lines with one column, and 
the third will store an undefined value for lines with one point (so that in 
a plot with lines, no line joins points across the bad point); 2) if a line 
contains text at the first column, the first will abort the plot on an error, 
but the second and third should quietly skip the garbage&per. 
:p.In fact, it is often possible to plot a file with lots of lines of garbage at 
the top simply by specifying 
:p.:p.      plot 'file' using 1&colon.2
.br
:p.However, if you want to leave text in your data files, it is safer to put the 
comment character (#) in the first column of the text lines&per. 
Feeble using demos&per. 
:h3 res=2955. errorbars
:p.Error bars are supported for 2-d data file plots by reading one to four 
additional columns (or :link reftype=hd res=2845.using:elink. entries); these additional values are used in 
different ways by the various errorbar styles&per. 
:p.In the default situation, :link reftype=hd res=37.gnuplot:elink. expects to see three, four, or six 
numbers on each line of the data file---either 
:p.:p.      (x, y, ydelta),
.br
      (x, y, ylow, yhigh),
.br
      (x, y, xdelta),
.br
      (x, y, xlow, xhigh),
.br
      (x, y, xdelta, ydelta), or
.br
      (x, y, xlow, xhigh, ylow, yhigh)&per.
.br
:p.The x coordinate must be specified&per.  The order of the numbers must be 
exactly as given above, though the :link reftype=hd res=2845.using:elink. qualifier can manipulate the order 
and provide values for missing columns&per.  For example, 
:p.:p.      plot 'file' with errorbars
.br
      plot 'file' using 1&colon.2&colon.(sqrt($1)) with xerrorbars
.br
      plot 'file' using 1&colon.2&colon.($1-$3)&colon.($1+$3)&colon.4&colon.5 with xyerrorbars
.br
:p.The last example is for a file containing an unsupported combination of 
relative x and absolute y errors&per.  The :link reftype=hd res=2845.using:elink. entry generates absolute x min 
and max from the relative error&per. 
:p.The y error bar is a vertical line plotted from (x, ylow) to (x, 
yhigh)&per. If ydelta is specified instead of ylow and yhigh, ylow = y - 
ydelta and yhigh = y + ydelta are derived&per. If there are only two 
numbers on the record, yhigh and ylow are both set to y&per. The x error 
bar is a horizontal line computed in the same fashion&per. To get lines 
plotted between the data points, :link reftype=hd res=2402.plot:elink. the data file twice, once with 
errorbars and once with lines (but remember to use the :hp2.notitle:ehp2. 
option on one to avoid two entries in the key)&per. Alternately, use the 
errorlines command (see :link reftype=hd res=3007.errorlines:elink.)&per. 
:p.The error bars have crossbars at each end unless :link reftype=hd res=3781.set bars:elink. is used 
(see :link reftype=hd res=3781.set bars:elink. for details)&per. 
:p.If autoscaling is on, the ranges will be adjusted to include the error bars&per. 
See also 
errorbar demos&per. 
:p.See :link reftype=hd res=2845.plot using:elink., :link reftype=hd res=3195.plot with:elink., and :link reftype=hd res=6679.set style:elink. for more information&per. 
:h3 res=3007. errorlines
:p.Lines with error bars are supported for 2-d data file plots by reading 
one to four additional columns (or :link reftype=hd res=2845.using:elink. entries); these additional 
values are used in different ways by the various errorlines styles&per. 
:p.In the default situation, :link reftype=hd res=37.gnuplot:elink. expects to see three, four, or six 
numbers on each line of the data file---either 
:p.:p.      (x, y, ydelta),
.br
      (x, y, ylow, yhigh),
.br
      (x, y, xdelta),
.br
      (x, y, xlow, xhigh),
.br
      (x, y, xdelta, ydelta), or
.br
      (x, y, xlow, xhigh, ylow, yhigh)&per.
.br
:p.The x coordinate must be specified&per. The order of the numbers must be 
exactly as given above, though the :link reftype=hd res=2845.using:elink. qualifier can manipulate 
the order and provide values for missing columns&per. For example, 
:p.:p.      plot 'file' with errorlines
.br
      plot 'file' using 1&colon.2&colon.(sqrt($1)) with xerrorlines
.br
      plot 'file' using 1&colon.2&colon.($1-$3)&colon.($1+$3)&colon.4&colon.5 with xyerrorlines
.br
:p.The last example is for a file containing an unsupported combination 
of relative x and absolute y errors&per. The :link reftype=hd res=2845.using:elink. entry generates 
absolute x min and max from the relative error&per. 
:p.The y error bar is a vertical line plotted from (x, ylow) to (x, 
yhigh)&per. If ydelta is specified instead of ylow and yhigh, ylow = y - 
ydelta and yhigh = y + ydelta are derived&per. If there are only two 
numbers on the record, yhigh and ylow are both set to y&per. The x error 
bar is a horizontal line computed in the same fashion&per. 
:p.The error bars have crossbars at each end unless :link reftype=hd res=3781.set bars:elink. is used 
(see :link reftype=hd res=3781.set bars:elink. for details)&per. 
:p.If autoscaling is on, the ranges will be adjusted to include the error bars&per. 
:p.See :link reftype=hd res=2845.plot using:elink., :link reftype=hd res=3195.plot with:elink., and :link reftype=hd res=6679.set style:elink. for more information&per. 
:h3 res=3051. parametric
:p.When in parametric mode (:link reftype=hd res=5872.set parametric:elink.) mathematical expressions must be 
given in pairs for :link reftype=hd res=2402.plot:elink. and in triplets for :link reftype=hd res=12442.splot:elink.&per. 
:p.Examples&colon. 
:p.      plot sin(t),t**2
.br
      splot cos(u)*cos(v),cos(u)*sin(v),sin(u)
.br
:p.Data files are plotted as before, except any preceding parametric function 
must be fully specified before a data file is given as a plot&per.  In other 
words, the x parametric function (:hp2.sin(t):ehp2. above) and the y parametric 
function (:hp2.t**2:ehp2. above) must not be interrupted with any modifiers or data 
functions; doing so will generate a syntax error stating that the parametric 
function is not fully specified&per. 
:p.Other modifiers, such as :link reftype=hd res=3195.with:elink. and :link reftype=hd res=3153.title:elink., may be specified only after the 
parametric function has been completed&colon. 
:p.:p.      plot sin(t),t**2 title 'Parametric example' with linespoints
.br
:p.See also 
Parametric Mode Demos&per. 
:h3 res=3079. ranges
:p.The optional ranges specify the region of the graph that will be displayed&per. 
:p.Syntax&colon. 
:p.      [{<dummy-var>=}{{<min>}&colon.{<max>}}]
.br
      [{{<min>}&colon.{<max>}}]
.br
:p.The first form applies to the independent variable (:link reftype=hd res=11888.xrange:elink. or :link reftype=hd res=11578.trange:elink., if 
in parametric mode)&per.  The second form applies to the dependent variable 
:link reftype=hd res=12211.yrange:elink. (and :link reftype=hd res=11888.xrange:elink., too, if in parametric mode)&per.  <dummy-var> is a new 
name for the independent variable&per.  (The defaults may be changed with :hp2.set 
dummy:ehp2.&per.)  The optional <min> and <max> terms can be constant expressions or *&per. 
:p.In non-parametric mode, the order in which ranges must be given is :link reftype=hd res=11888.xrange:elink. 
and :link reftype=hd res=12211.yrange:elink.&per. 
:p.In parametric mode, the order for the :link reftype=hd res=2402.plot:elink. command is :link reftype=hd res=11578.trange:elink., :link reftype=hd res=11888.xrange:elink., 
and :link reftype=hd res=12211.yrange:elink.&per.  The following :link reftype=hd res=2402.plot:elink. command shows setting the :link reftype=hd res=11578.trange:elink. to 
[-pi&colon.pi], the :link reftype=hd res=11888.xrange:elink. to [-1&per.3&colon.1&per.3] and the :link reftype=hd res=12211.yrange:elink. to [-1&colon.1] for the 
duration of the graph&colon. 
:p.:p.      plot [-pi&colon.pi] [-1&per.3&colon.1&per.3] [-1&colon.1] sin(t),t**2
.br
:p.Note that the x2range and y2range cannot be specified here---:link reftype=hd res=11706.set x2range:elink. 
and :link reftype=hd res=12144.set y2range:elink. must be used&per. 
:p.Ranges are interpreted in the order listed above for the appropriate mode&per. 
Once all those needed are specified, no further ones must be listed, but 
unneeded ones cannot be skipped---use an empty range :hp2.[]:ehp2. as a placeholder&per. 
:p.:hp2.*:ehp2. can be used to allow autoscaling of either of min and max&per.  See also 
:link reftype=hd res=3652.set autoscale:elink.&per. 
:p.Ranges specified on the :link reftype=hd res=2402.plot:elink. or :link reftype=hd res=12442.splot:elink. command line affect only that 
graph; use the :link reftype=hd res=11888.set xrange:elink., :link reftype=hd res=12211.set yrange:elink., etc&per., commands to change the 
default ranges for future graphs&per. 
:p.With time data, you must provide the range (in the same manner as the time 
appears in the datafile) within quotes&per.  :link reftype=hd res=37.gnuplot:elink. uses the :link reftype=hd res=11451.timefmt:elink. string 
to read the value---see :link reftype=hd res=11451.set timefmt:elink.&per. 
:p.Examples&colon. 
:p.This uses the current ranges&colon. 
:p.      plot cos(x)
.br
:p.This sets the x range only&colon. 
:p.      plot [-10&colon.30] sin(pi*x)/(pi*x)
.br
:p.This is the same, but uses t as the dummy-variable&colon. 
:p.      plot [t = -10 &colon.30]  sin(pi*t)/(pi*t)
.br
:p.This sets both the x and y ranges&colon. 
:p.      plot [-pi&colon.pi] [-3&colon.3]  tan(x), 1/x
.br
:p.This sets only the y range, and turns off autoscaling on both axes&colon. 
:p.      plot [ ] [-2&colon.sin(5)*-8] sin(x)**besj0(x)
.br
:p.This sets xmax and ymin only&colon. 
:p.      plot [&colon.200] [-pi&colon.]  exp(sin(x))
.br
:p.This sets the x range for a timeseries&colon. 
:p.      set timefmt "%d/%m/%y %H&colon.%M"
.br
      plot ["1/6/93 12&colon.00"&colon."5/6/93 12&colon.00"] 'timedata&per.dat'
.br
:p.See also 
ranges demo&per. 
:h3 res=3153. title
:p.A line title for each function and data set appears in the key, accompanied 
by a sample of the line and/or symbol used to represent it&per.  It can be 
changed by using the :link reftype=hd res=3153.title:elink. option&per. 
:p.Syntax&colon. 
:p.      title "<title>" | notitle
.br
:p.where <title> is the new title of the line and must be enclosed in quotes&per. 
The quotes will not be shown in the key&per.  A special character may be given as 
a backslash followed by its octal value ("\345")&per.  The tab character "\t" is 
understood&per.  Note that backslash processing occurs only for strings enclosed 
in double quotes---use single quotes to prevent such processing&per.  The newline 
character "\n" is not processed in key entries in either type of string&per. 
:p.The line title and sample can be omitted from the key by using the keyword 
:hp2.notitle:ehp2.&per.  A null title (:hp2.title '':ehp2.) is equivalent to :hp2.notitle:ehp2.&per.  If only 
the sample is wanted, use one or more blanks (:hp2.title ' ':ehp2.)&per. 
:p.If :hp2.key autotitles:ehp2. is set (which is the default) and neither :link reftype=hd res=3153.title:elink. nor 
:hp2.notitle:ehp2. are specified the line title is the function name or the file name as 
it appears on the :link reftype=hd res=2402.plot:elink. command&per.  If it is a file name, any datafile modifiers 
specified will be included in the default title&per. 
:p.The layout of the key itself (position, title justification, etc&per.) can be 
controlled by :link reftype=hd res=5094.set key:elink.&per.  Please see :link reftype=hd res=5094.set key:elink. for details&per. 
:p.Examples&colon. 
:p.This plots y=x with the title 'x'&colon. 
:p.      plot x
.br
:p.This plots x squared with title "x^2" and file "data&per.1" with title 
"measured data"&colon. 
:p.      plot x**2 title "x^2", 'data&per.1' t "measured data"
.br
:p.This puts an untitled circular border around a polar graph&colon. 
:p.      set polar; plot my_function(t), 1 notitle
.br
:h3 res=3195. with
:p.Functions and data may be displayed in one of a large number of styles&per. 
The :link reftype=hd res=3195.with:elink. keyword provides the means of selection&per. 
:p.Syntax&colon. 
:p.      with <style> { {linestyle | ls <line_style>}
.br
                     | {{linetype  | lt <line_type>}
.br
                        {linewidth | lw <line_width>}
.br
                        {pointtype | pt <point_type>}
.br
                        {pointsize | ps <point_size>}
.br
                        {fill | fs <fillstyle>}
.br
                        {palette}}
.br
                   }
.br
:p.where <style> is either :link reftype=hd res=7213.lines:elink., :link reftype=hd res=7237.points:elink., :link reftype=hd res=7221.linespoints:elink., :link reftype=hd res=7205.impulses:elink., 
:link reftype=hd res=7144.dots:elink., :link reftype=hd res=7246.steps:elink., :link reftype=hd res=7170.fsteps:elink., :link reftype=hd res=7183.histeps:elink., :link reftype=hd res=2955.errorbars:elink., :link reftype=hd res=7274.xerrorbars:elink., 
:link reftype=hd res=7305.yerrorbars:elink., :link reftype=hd res=7286.xyerrorbars:elink., :link reftype=hd res=3007.errorlines:elink., :link reftype=hd res=7325.xerrorlines:elink., :link reftype=hd res=7357.yerrorlines:elink., 
:link reftype=hd res=7337.xyerrorlines:elink., :link reftype=hd res=6991.boxes:elink., :link reftype=hd res=7051.filledcurves:elink., :link reftype=hd res=6968.boxerrorbars:elink., 
:link reftype=hd res=7088.boxxyerrorbars:elink., :link reftype=hd res=7152.financebars:elink., :link reftype=hd res=7105.candlesticks:elink., :link reftype=hd res=7259.vectors:elink. or :link reftype=hd res=5929.pm3d:elink.&per. Some 
of these styles require additional information&per. See :link reftype=hd res=6922.plotting styles:elink. for 
details of each style&per.  :hp2.fill:ehp2. is relevant only to certain 2D plots 
(currently :link reftype=hd res=6991.boxes:elink. :link reftype=hd res=7088.boxxyerrorbars:elink. and :link reftype=hd res=7105.candlesticks:elink.)&per.   
Note that :link reftype=hd res=7051.filledcurves:elink. and :link reftype=hd res=5929.pm3d:elink. can take an additional option not  
listed above (the latter only when used in the :link reftype=hd res=12442.splot:elink. command)---see  
their help or examples below for more details&per. 
:p.Default styles are chosen with the :link reftype=hd res=6828.set style function:elink. and :link reftype=hd res=6778.set style data:elink. 
commands&per. 
:p.By default, each function and data file will use a different line type and 
point type, up to the maximum number of available types&per.  All terminal 
drivers support at least six different point types, and re-use them, in 
order, if more are required&per.  The LaTeX driver supplies an additional six 
point types (all variants of a circle), and thus will only repeat after 12 
curves are plotted with points&per.  The PostScript drivers (:link reftype=hd res=6442.postscript:elink.) 
supplies a total of 64&per. 
:p.If you wish to choose the line or point type for a single plot, <line_type> 
and <point_type> may be specified&per.  These are positive integer constants (or 
expressions) that specify the line type and point type to be used for the 
plot&per.  Use :link reftype=hd res=12700.test:elink. to display the types available for your terminal&per. 
:p.You may also scale the line width and point size for a plot by using 
<line_width> and <point_size>, which are specified relative to the default 
values for each terminal&per.  The pointsize may also be altered 
globally---see :link reftype=hd res=6474.set pointsize:elink. for details&per.  But note that both <point_size> 
as set here and  as set by :link reftype=hd res=6474.set pointsize:elink. multiply the default point 
size---their effects are  not cumulative&per.  That is, 
:hp2.set pointsize 2; plot x w p ps 3:ehp2. will use points three times default size, 
not six&per. 
:p.If you have defined specific line type/width and point type/size combinations 
with :link reftype=hd res=6844.set style line:elink., one of these may be selected by setting <line_style> to 
the index of the desired style&per. 
:p.If gnuplot was built with :link reftype=hd res=5929.pm3d:elink. support, the special keyword :link reftype=hd res=6136.palette:elink. is 
allowed for smooth color change of lines, points and dots in :hp2.splots:ehp2.&per. The 
color is chosen from a smooth palette which was set previously with the 
command :link reftype=hd res=6136.set palette:elink.&per. The color value corresponds to the z-value of the 
point coordinates or to the color coordinate if specified by the 4th parameter 
in :link reftype=hd res=2845.using:elink.&per. The 2d :link reftype=hd res=2402.plot:elink. command ignores this option&per. 
:p.The keywords may be abbreviated as indicated&per. 
:p.Note that the :link reftype=hd res=8118.linewidth:elink., :link reftype=hd res=6474.pointsize:elink. and :link reftype=hd res=6136.palette:elink. options are not supported 
by all terminals&per. 
:p.Examples&colon. 
:p.This plots sin(x) with impulses&colon. 
:p.      plot sin(x) with impulses
.br
:p.This plots x with points, x**2 with the default&colon. 
:p.      plot x w points, x**2
.br
:p.This plots tan(x) with the default function style, file "data&per.1" with lines&colon. 
:p.      plot [ ] [-2&colon.5] tan(x), 'data&per.1' with l
.br
:p.This plots "leastsq&per.dat" with impulses&colon. 
:p.      plot 'leastsq&per.dat' w i
.br
:p.This plots the data file "population" with boxes&colon. 
:p.      plot 'population' with boxes
.br
:p.This plots "exper&per.dat" with errorbars and lines connecting the points 
(errorbars require three or four columns)&colon. 
:p.      plot 'exper&per.dat' w lines, 'exper&per.dat' notitle w errorbars
.br
:p.Another way to plot "exper&per.dat" with errorlines (errorbars require three 
or four columns)&colon. 
:p.      plot 'exper&per.dat' w errorlines
.br
:p.This plots sin(x) and cos(x) with linespoints, using the same line type but 
different point types&colon. 
:p.      plot sin(x) with linesp lt 1 pt 3, cos(x) with linesp lt 1 pt 4
.br
:p.This plots file "data" with points of type 3 and twice usual size&colon. 
:p.      plot 'data' with points pointtype 3 pointsize 2
.br
:p.This plots two data sets with lines differing only by weight&colon. 
:p.      plot 'd1' t "good" w l lt 2 lw 3, 'd2' t "bad" w l lt 2 lw 1
.br
:p.This plots filled curve of x*x and a color stripe&colon. 
:p.      plot x*x with filledcurve closed, 40 with filledcurve y1=10
.br
:p.This plots x*x and a color box&colon. 
:p.      plot x*x, (x>=-5 &amp.&amp. x<=5 ? 40 &colon. 1/0) with filledcurve y1=10 lt 8
.br
:p.This plots a surface with color lines&colon. 
:p.      splot x*x-y*y with line palette
.br
:p.This plots two color surfaces at different altitudes&colon. 
:p.      splot x*x-y*y with pm3d, x*x+y*y with pm3d at t
.br
:p.See :link reftype=hd res=6679.set style:elink. to change the default styles&per. See also 
styles demos&per. 
:h2 res=3323. print
:p.The :link reftype=hd res=3323.print:elink. command prints the value of <expression> to the screen&per.  It is 
synonymous with :hp2.pause 0:ehp2.&per.  <expression> may be anything that :link reftype=hd res=37.gnuplot:elink. can 
evaluate that produces a number, or it can be a string&per. 
:p.Syntax&colon. 
:p.      print <expression> {, <expression>, &per.&per.&per.}
.br
:p.See :link reftype=hd res=619.expressions:elink.&per.  The output file can be set with :link reftype=hd res=6559.set print:elink.&per. 
:h2 res=3334. pwd
:p.The :link reftype=hd res=3334.pwd:elink. command prints the name of the working directory to the screen&per. 
:h2 res=3338. quit
:p.The :link reftype=hd res=1772.exit:elink. and :link reftype=hd res=3338.quit:elink. commands and END-OF-FILE character will exit :link reftype=hd res=37.gnuplot:elink.&per. 
Each of these commands will clear the output device (as does the :link reftype=hd res=1750.clear:elink. 
command) before exiting&per. 
:h2 res=3344. replot
:p.The :link reftype=hd res=3344.replot:elink. command without arguments repeats the last :link reftype=hd res=2402.plot:elink. or :link reftype=hd res=12442.splot:elink. 
command&per.  This can be useful for viewing a plot with different :link reftype=hd res=3481.set:elink. options, 
or when generating the same plot for several devices&per. 
:p.Arguments specified after a :link reftype=hd res=3344.replot:elink. command will be added onto the last 
:link reftype=hd res=2402.plot:elink. or :link reftype=hd res=12442.splot:elink. command (with an implied ',' separator) before it is 
repeated&per.  :link reftype=hd res=3344.replot:elink. accepts the same arguments as the :link reftype=hd res=2402.plot:elink. and :link reftype=hd res=12442.splot:elink. 
commands except that ranges cannot be specified&per.  Thus you can use :link reftype=hd res=3344.replot:elink. 
to plot a function against the second axes if the previous command was :link reftype=hd res=2402.plot:elink. 
but not if it was :link reftype=hd res=12442.splot:elink., and similarly you can use :link reftype=hd res=3344.replot:elink. to add a plot 
from a binary file only if the previous command was :link reftype=hd res=12442.splot:elink.&per. 
:p.N&per.B&per.---use of 
:p.:p.      plot '-' ; &per.&per.&per. ; replot
.br
:p.is not recommended&per.  :link reftype=hd res=37.gnuplot:elink. does not store the inline data internally, so 
since :link reftype=hd res=3344.replot:elink. appends new information to the previous :link reftype=hd res=2402.plot:elink. and then 
executes the modified command, the :hp2.'-':ehp2. from the initial :link reftype=hd res=2402.plot:elink. will expect 
to read inline data again&per. 
:p.Note that :link reftype=hd res=3344.replot:elink. does not work in :link reftype=hd res=5642.multiplot:elink. mode, since it reproduces 
only the last plot rather than the entire screen&per. 
:p.See also :link reftype=hd res=395.command-line-editing:elink. for ways to edit the last :link reftype=hd res=2402.plot:elink. (:link reftype=hd res=12442.splot:elink.) 
command&per. 
:p.See also :link reftype=hd res=5920.show plot:elink. to show the whole current plotting command, and the 
possibility to copy it into the :link reftype=hd res=2283.history:elink.&per. 
:h2 res=3376. reread
:p.The :link reftype=hd res=3376.reread:elink. command causes the current :link reftype=hd res=37.gnuplot:elink. command file, as specified 
by a :link reftype=hd res=2338.load:elink. command or on the command line, to be reset to its starting 
point before further commands are read from it&per.  This essentially implements 
an endless loop of the commands from the beginning of the command file to 
the :link reftype=hd res=3376.reread:elink. command&per.  (But this is not necessarily a disaster---:link reftype=hd res=3376.reread:elink. can 
be very useful when used in conjunction with :link reftype=hd res=2307.if:elink.&per.  See :link reftype=hd res=2307.if:elink. for details&per.) 
The :link reftype=hd res=3376.reread:elink. command has no effect if input from standard input&per. 
:p.Examples&colon. 
:p.Suppose the file "looper" contains the commands 
:p.      a=a+1
.br
      plot sin(x*a)
.br
      pause -1
.br
      if(a<5) reread
.br
and from within :link reftype=hd res=37.gnuplot:elink. you submit the commands 
:p.      a=0
.br
      load 'looper'
.br
The result will be four plots (separated by the :link reftype=hd res=2370.pause:elink. message)&per. 
:p.Suppose the file "data" contains six columns of numbers with a total yrange 
from 0 to 10; the first is x and the next are five different functions of x&per. 
Suppose also that the file "plotter" contains the commands 
:p.      c_p = c_p+1
.br
      plot "$0" using 1&colon.c_p with lines linetype c_p
.br
      if(c_p <  n_p) reread
.br
and from within :link reftype=hd res=37.gnuplot:elink. you submit the commands 
:p.      n_p=6
.br
      c_p=1
.br
      unset key
.br
      set yrange [0&colon.10]
.br
      set multiplot
.br
      call 'plotter' 'data'
.br
      unset multiplot
.br
The result is a single graph consisting of five plots&per.  The yrange must be 
set explicitly to guarantee that the five separate graphs (drawn on top of 
each other in multiplot mode) will have exactly the same axes&per.  The linetype 
must be specified; otherwise all the plots would be drawn with the same type&per. 
See also 
Reread Animation Demo (animate&per.dem)&per. 
:h2 res=3421. reset
:p.The :link reftype=hd res=3421.reset:elink. command causes all graph-related options that can be set with the 
:link reftype=hd res=3481.set:elink. command to take on their default values&per.  This command is useful, e&per.g&per., 
to restore the default graph settings at the end of a command file, or to 
return to a defined state after lots of settings have been changed within a 
command file&per.  Please refer to the :link reftype=hd res=3481.set:elink. command to see the default values 
that the various options take&per. 
:p.The following :link reftype=hd res=3481.set:elink. commands do not change the graph status and are thus left 
unchanged&colon. the terminal set with :link reftype=hd res=7403.set term:elink., the output file set with :hp2.set 
output:ehp2. and directory paths set with :link reftype=hd res=5378.set loadpath:elink. and :link reftype=hd res=4570.set fontpath:elink.&per. 
:h2 res=3434. save
:p.The :link reftype=hd res=3434.save:elink. command saves user-defined functions, variables, the :hp2.set 
term:ehp2. status, all :link reftype=hd res=3481.set:elink. options, or all of these, plus the last :link reftype=hd res=2402.plot:elink. 
(:link reftype=hd res=12442.splot:elink.) command to the specified file&per. 
:p.Syntax&colon. 
:p.      save  {<option>} '<filename>'
.br
:p.where <option> is :link reftype=hd res=4853.functions:elink., :link reftype=hd res=11596.variables:elink., :link reftype=hd res=7403.terminal:elink. or :link reftype=hd res=3481.set:elink.&per. If 
no option is used, :link reftype=hd res=37.gnuplot:elink. saves functions, variables, :link reftype=hd res=3481.set:elink. 
options and the last :link reftype=hd res=2402.plot:elink. (:link reftype=hd res=12442.splot:elink.) command&per. 
:p.:link reftype=hd res=3434.save:elink.d files are written in text format and may be read by the 
:link reftype=hd res=2338.load:elink. command&per. For :link reftype=hd res=3434.save:elink. with the :link reftype=hd res=3481.set:elink. option or without any 
option, the :link reftype=hd res=7403.terminal:elink. choice and the :link reftype=hd res=5831.output:elink. filename are written 
out as a comment, to get an output file that works in other 
installations of gnuplot, without changes and without risk of 
unwillingly overwriting files&per. 
:p.:link reftype=hd res=7403.save terminal:elink. will write out just the :link reftype=hd res=7403.terminal:elink. status, without 
the comment marker in front of it&per. This is mainly useful for 
switching the :link reftype=hd res=7403.terminal:elink. setting for a short while, and getting back 
to the previously set terminal, afterwards, by loading the saved 
:link reftype=hd res=7403.terminal:elink. status&per. Note that for a single gnuplot session you may 
rather use the other method of saving and restoring current terminal 
by the commands :hp2.set term push:ehp2. and :hp2.set term pop:ehp2., see :link reftype=hd res=7403.set term:elink.&per. 
:p.The filename must be enclosed in quotes&per. 
:p.The special filename "-" may be used to :link reftype=hd res=3434.save:elink. commands to standard output&per. 
On systems which support a popen function (Unix), the output of save can be 
piped through an external program by starting the file name with a '|'&per. 
This provides a consistent interface to :link reftype=hd res=37.gnuplot:elink.'s internal settings to 
programs which communicate with :link reftype=hd res=37.gnuplot:elink. through a pipe&per.  Please see 
"help batch/interactive" for more details&per. 
:p.Examples&colon. 
:p.      save 'work&per.gnu'
.br
      save functions 'func&per.dat'
.br
      save var 'var&per.dat'
.br
      save set 'options&per.dat'
.br
      save term 'myterm&per.gnu'
.br
      save '-'
.br
      save '|grep title >t&per.gp'
.br
:h2 res=3481. set-show
:p.The :link reftype=hd res=3481.set:elink. command can be used to set _lots_ of options&per.  No screen is 
drawn, however, until a :link reftype=hd res=2402.plot:elink., :link reftype=hd res=12442.splot:elink., or :link reftype=hd res=3344.replot:elink. command is given&per. 
:p.The :link reftype=hd res=3481.show:elink. command shows their settings;  :link reftype=hd res=3481.show all:elink. shows all the 
settings&per. 
:p.Options changed using :link reftype=hd res=3481.set:elink. can be returned to the default state by giving the  
corresponding :link reftype=hd res=12719.unset:elink. command&per.  See also the :link reftype=hd res=3421.reset:elink. command, which returns 
all settable parameters to default values&per. 
:p.If a variable contains time/date data, :link reftype=hd res=3481.show:elink. will display it according to 
the format currently defined by :link reftype=hd res=11451.set timefmt:elink., even if that was not in effect 
when the variable was initially defined&per. 
:h3 res=3500. angles
:p.By default, :link reftype=hd res=37.gnuplot:elink. assumes the independent variable in polar graphs is in 
units of radians&per.  If :link reftype=hd res=3500.set angles degrees:elink. is specified before :link reftype=hd res=6494.set polar:elink., 
then the default range is [0&colon.360] and the independent variable has units of 
degrees&per.  This is particularly useful for plots of data files&per.  The angle 
setting also applies to 3-d mapping as set via the :link reftype=hd res=5454.set mapping:elink. command&per. 
:p.Syntax&colon. 
:p.      set angles {degrees | radians}
.br
      show angles
.br
:p.The angle specified in :hp2.set grid polar:ehp2. is also read and displayed in the 
units specified by :link reftype=hd res=3500.set angles:elink.&per. 
:p.:link reftype=hd res=3500.set angles:elink. also affects the arguments of the machine-defined functions 
sin(x), cos(x) and tan(x), and the outputs of asin(x), acos(x), atan(x), 
atan2(x), and arg(x)&per.  It has no effect on the arguments of hyperbolic 
functions or Bessel functions&per.  However, the output arguments of inverse 
hyperbolic functions of complex arguments are affected; if these functions 
are used, :hp2.set angles radians:ehp2. must be in effect to maintain consistency 
between input and output arguments&per. 
:p.:p.      x={1&per.0,0&per.1}
.br
      set angles radians
.br
      y=sinh(x)
.br
      print y         #prints {1&per.16933, 0&per.154051}
.br
      print asinh(y)  #prints {1&per.0, 0&per.1}
.br
but 
:p.      set angles degrees
.br
      y=sinh(x)
.br
      print y         #prints {1&per.16933, 0&per.154051}
.br
      print asinh(y)  #prints {57&per.29578, 5&per.729578}
.br
See also 
poldat&per.dem&colon. polar plot using :link reftype=hd res=3500.set angles:elink. demo&per. 
:h3 res=3545. arrow
:p.Arbitrary arrows can be placed on a plot using the :link reftype=hd res=3545.set arrow:elink. command&per. 
:p.Syntax&colon. 
:p.      set arrow {<tag>} {from <position>} {to|rto <position>}
.br
                { {arrowstyle | as <arrow_style>}
.br
                  | {nohead | head | heads}
.br
                    {size <length>,<angle>}
.br
                    {filled | nofilled}
.br
                    {front | back}
.br
                    { {linestyle | ls <line_style>}
.br
                      | {linetype | lt <line_type>}
.br
                        {linewidth | lw <line_width} } }
.br
      unset arrow {<tag>}
.br
      show arrow {<tag>}
.br
:p.<tag> is an integer that identifies the arrow&per.  If no tag is given, the 
lowest unused tag value is assigned automatically&per.  The tag can be used to 
delete or change a specific arrow&per.  To change any attribute of an existing 
arrow, use the :link reftype=hd res=3545.set arrow:elink. command with the appropriate tag and specify the 
parts of the arrow to be changed&per. 
:p.The <position>s are specified by either x,y or x,y,z, and may be preceded by 
:hp2.first:ehp2., :hp2.second:ehp2., :hp2.graph:ehp2., or :hp2.screen:ehp2. to select the coordinate system&per. 
Unspecified coordinates default to 0&per.  The endpoints can be specified in 
one of four coordinate systems---:hp2.first:ehp2. or :hp2.second:ehp2. axes, :hp2.graph:ehp2. or 
:hp2.screen:ehp2.&per.  See :link reftype=hd res=538.coordinates:elink. for details&per.  A coordinate system specifier 
does not carry over from the "from" position to the "to" position&per.  Arrows 
outside the screen boundaries are permitted but may cause device errors&per. 
If the endpoint is specified by "rto" instead of "to" it is drawn relatively 
to the start point&per. 
:p.Specifying :hp2.nohead:ehp2. produces an arrow drawn without a head---a line segment&per. 
This gives you yet another way to draw a line segment on the plot&per.  By 
default, arrows have heads&per. Specifying :hp2.heads:ehp2. draws arrow heads on both 
ends of the line&per. 
:p.Head size can be controlled by :hp2.size <length>,<angle>:ehp2., where <length> 
defines length of each branch of the arrow head and <angle> the angle (in 
degrees) they make with the arrow&per. <Length> is in x-axis units; this can be 
changed by :hp2.first:ehp2., :hp2.second:ehp2., :hp2.graph:ehp2. or :hp2.screen:ehp2. before the <length>; 
see :link reftype=hd res=538.coordinates:elink. for details&per. 
:p.Specifying :hp2.filled:ehp2. produces filled arrow heads (if heads are used)&per. 
Filling is supported on filled-polygon capable terminals, see help of :link reftype=hd res=5929.pm3d:elink. 
for their list, otherwise the arrow heads are closed but not filled&per. 
Further, filling is obviously not supported on terminals drawing arrows by 
their own specific routines, like :link reftype=hd res=8586.fig:elink., :link reftype=hd res=9349.metafont:elink., :link reftype=hd res=9445.metapost:elink., :link reftype=hd res=9257.latex:elink. or 
:link reftype=hd res=10467.tgif:elink.&per. 
:p.The line style may be selected from a user-defined list of line styles 
(see :link reftype=hd res=6844.set style line:elink.) or may be defined here by providing values for 
<line_type> (an index from the default list of styles) and/or <line_width> 
(which is a  multiplier for the default width)&per. 
:p.Note, however, that if a user-defined line style has been selected, its 
properties (type and width) cannot be altered merely by issuing another 
:link reftype=hd res=3545.set arrow:elink. command with the appropriate index and :hp2.lt:ehp2. or :hp2.lw:ehp2.&per. 
:p.If :hp2.front:ehp2. is given, the arrow is written on top of the graphed data&per. If 
:hp2.back:ehp2. is given (the default), the arrow is written underneath the graphed 
data&per.  Using :hp2.front:ehp2. will prevent an arrow from being obscured by dense data&per. 
:p.Examples&colon. 
:p.To set an arrow pointing from the origin to (1,2) with user-defined style 5, 
use&colon. 
:p.      set arrow to 1,2 ls 5
.br
:p.To set an arrow from bottom left of plotting area to (-5,5,3), and tag the 
arrow number 3, use&colon. 
:p.      set arrow 3 from graph 0,0 to -5,5,3
.br
:p.To change the preceding arrow to end at 1,1,1, without an arrow head and 
double its width, use&colon. 
:p.      set arrow 3 to 1,1,1 nohead lw 2
.br
:p.To draw a vertical line from the bottom to the top of the graph at x=3, use&colon. 
:p.      set arrow from 3, graph 0 to 3, graph 1 nohead
.br
:p.To draw a vertical arrow with T-shape ends, use&colon. 
:p.      set arrow 3 from 0,-5 to 0,5 heads size screen 0&per.1,90
.br
:p.To draw an arrow relatively to the start point, where the relative distances 
are given in graph coordinates, use&colon. 
:p.      set arrow from 0,-5 rto graph 0&per.1,0&per.1
.br
:p.To delete arrow number 2, use&colon. 
:p.      unset arrow 2
.br
:p.To delete all arrows, use&colon. 
:p.      unset arrow
.br
:p.To show all arrows (in tag order), use&colon. 
:p.      show arrow
.br
See also  
arrows demos&per. 
:h3 res=3652. autoscale
:p.Autoscaling may be set individually on the x, y or z axis or globally on all 
axes&per. The default is to autoscale all axes&per. 
:p.Syntax&colon. 
:p.      set autoscale {<axes>{|min|max|fixmin|fixmax|fix} | fix | keepfix}
.br
      unset autoscale {<axes>}
.br
      show autoscale
.br
:p.where <axes> is either :hp2.x:ehp2., :hp2.y:ehp2., :hp2.z:ehp2., :hp2.cb:ehp2., :hp2.x2:ehp2., :hp2.y2:ehp2. or :hp2.xy:ehp2.&per.  A keyword with 
:hp2.min:ehp2. or :hp2.max:ehp2. appended (this cannot be done with :hp2.xy:ehp2.) tells :link reftype=hd res=37.gnuplot:elink. to 
autoscale just the minimum or maximum of that axis&per.  If no keyword is given, 
all axes are autoscaled&per. 
:p.A keyword with :hp2.fixmin:ehp2., :hp2.fixmax:ehp2. or :hp2.fix:ehp2. appended tells gnuplot to disable 
extension of the axis range to the next tic mark position, for autoscaled 
axes using equidistant tics; :hp2.set autoscale fix:ehp2. sets this for all axes&per. 
Command :hp2.set autoscale keepfix:ehp2. autoscales all axes while keeping the fix 
settings&per. 
:p.When autoscaling, the axis range is automatically computed and the dependent 
axis (y for a :link reftype=hd res=2402.plot:elink. and z for :link reftype=hd res=12442.splot:elink.) is scaled to include the range of the 
function or data being plotted&per. 
:p.If autoscaling of the dependent axis (y or z) is not set, the current y or z 
range is used&per. 
:p.Autoscaling the independent variables (x for :link reftype=hd res=2402.plot:elink. and x,y for :link reftype=hd res=12442.splot:elink.) is a 
request to set the domain to match any data file being plotted&per.  If there are 
no data files, autoscaling an independent variable has no effect&per.  In other 
words, in the absence of a data file, functions alone do not affect the x 
range (or the y range if plotting z = f(x,y))&per. 
:p.Please see :link reftype=hd res=11888.set xrange:elink. for additional information about ranges&per. 
:p.The behavior of autoscaling remains consistent in parametric mode, (see 
:link reftype=hd res=5872.set parametric:elink.)&per.  However, there are more dependent variables and hence more 
control over x, y, and z axis scales&per.  In parametric mode, the independent or 
dummy variable is t for :link reftype=hd res=2402.plot:elink.s and u,v for :link reftype=hd res=12442.splot:elink.s&per.  :link reftype=hd res=3652.autoscale:elink. in 
parametric mode, then, controls all ranges (t, u, v, x, y, and z) and allows 
x, y, and z to be fully autoscaled&per. 
:p.Autoscaling works the same way for polar mode as it does for parametric mode 
for :link reftype=hd res=2402.plot:elink., with the extension that in polar mode :link reftype=hd res=4468.set dummy:elink. can be used to 
change the independent variable from t (see :link reftype=hd res=4468.set dummy:elink.)&per. 
:p.When tics are displayed on second axes but no plot has been specified for 
those axes, x2range and y2range are inherited from xrange and yrange&per.  This 
is done _before_ xrange and yrange are autoextended to a whole number of 
tics, which can cause unexpected results&per.  You can use the :hp2.fixmin:ehp2. 
or :hp2.fixmax:ehp2. options to avoid this&per. 
:p.Examples&colon. 
:p.This sets autoscaling of the y axis (other axes are not affected)&colon. 
:p.      set autoscale y
.br
:p.This sets autoscaling only for the minimum of the y axis (the maximum of the 
y axis and the other axes are not affected)&colon. 
:p.      set autoscale ymin
.br
:p.This disables extension of the x2 axis tics to the next tic mark, 
thus keeping the exact range as found in the plotted data and functions&colon. 
:p.      set autoscale x2fixmin
.br
      set autoscale x2fixmax
.br
:p.This sets autoscaling of the x and y axes&colon. 
:p.      set autoscale xy
.br
:p.This sets autoscaling of the x, y, z, x2 and y2 axes&colon. 
:p.      set autoscale
.br
:p.This disables autoscaling of the x, y, z, x2 and y2 axes&colon. 
:p.      unset autoscale
.br
:p.This disables autoscaling of the z axis only&colon. 
:p.      unset autoscale z
.br
:h4 res=3737. parametric mode
:p.When in parametric mode (:link reftype=hd res=5872.set parametric:elink.), the xrange is as fully scalable 
as the y range&per.  In other words, in parametric mode the x axis can be 
automatically scaled to fit the range of the parametric function that is 
being plotted&per.  Of course, the y axis can also be automatically scaled just 
as in the non-parametric case&per.  If autoscaling on the x axis is not set, the 
current x range is used&per. 
:p.Data files are plotted the same in parametric and non-parametric mode&per. 
However, there is a difference in mixed function and data plots&colon. in 
non-parametric mode with autoscaled x, the x range of the datafile controls 
the x range of the functions; in parametric mode it has no influence&per. 
:p.For completeness a last command :link reftype=hd res=3737.set autoscale t:elink. is accepted&per.  However, the 
effect of this "scaling" is very minor&per.  When :link reftype=hd res=37.gnuplot:elink. determines that the 
t range would be empty, it makes a small adjustment if autoscaling is true&per. 
Otherwise, :link reftype=hd res=37.gnuplot:elink. gives an error&per.  Such behavior may, in fact, not be very 
useful and the command :link reftype=hd res=3737.set autoscale t:elink. is certainly questionable&per. 
:p.:link reftype=hd res=12442.splot:elink. extends the above ideas as you would expect&per.  If autoscaling is set, 
then x, y, and z ranges are computed and each axis scaled to fit the 
resulting data&per. 
:h4 res=3762. polar mode
:p.When in polar mode (:link reftype=hd res=6494.set polar:elink.), the xrange and the yrange are both found 
from the polar coordinates, and thus they can both be automatically scaled&per. 
In other words, in polar mode both the x and y axes can be automatically 
scaled to fit the ranges of the polar function that is being plotted&per. 
:p.When plotting functions in polar mode, the rrange may be autoscaled&per.  When 
plotting data files in polar mode, the trange may also be autoscaled&per.  Note 
that if the trange is contained within one quadrant, autoscaling will produce 
a polar plot of only that single quadrant&per. 
:p.Explicitly setting one or two ranges but not others may lead to unexpected 
results&per. 
See also 
polar demos&per. 
:h3 res=3781. bars
:p.The :link reftype=hd res=3781.set bars:elink. command controls the tics at the ends of error bars, 
and also the width of the boxes in plot styles candlesticks and 
financebars&per. 
:p.Syntax&colon. 
:p.      set bars {small | large | <size>}
.br
      unset bars
.br
      show bars
.br
:p.:hp2.small:ehp2. is a synonym for 0&per.0, and :hp2.large:ehp2. for 1&per.0&per. 
The default is 1&per.0 if no size is given&per. 
:h3 res=3798. bmargin
:p.The command :link reftype=hd res=3798.set bmargin:elink. sets the size of the bottom margin&per. 
Please see :link reftype=hd res=5502.set margin:elink. for details&per. 
:h3 res=3804. border
:p.The :link reftype=hd res=3804.set border:elink. and :link reftype=hd res=3804.unset border:elink. commands control the display of the graph 
borders for the :link reftype=hd res=2402.plot:elink. and :link reftype=hd res=12442.splot:elink. commands&per.  Note that the borders do not 
necessarily coincide with the axes; with :link reftype=hd res=2402.plot:elink. they often do, but with 
:link reftype=hd res=12442.splot:elink. they usually do not&per. 
:p.Syntax&colon. 
:p.      set border {<integer> { {linestyle | ls <line_style>}
.br
                              | {linetype | lt <line_type> }
.br
                                {linewidth | lw <line_width>} } }
.br
      unset border
.br
      show border
.br
:p.With a :link reftype=hd res=12442.splot:elink. displayed in an arbitrary orientation, like :hp2.set view 56,103:ehp2., 
the four corners of the x-y plane can be referred to as "front", "back", 
"left" and "right"&per.  A similar set of four corners exist for the top surface, 
of course&per.  Thus the border connecting, say, the back and right corners of the 
x-y plane is the "bottom right back" border, and the border connecting the top 
and bottom front corners is the "front vertical"&per.  (This nomenclature is 
defined solely to allow the reader to figure out the table that follows&per.) 
:p.The borders are encoded in a 12-bit integer&colon. the bottom four bits control the 
border for :link reftype=hd res=2402.plot:elink. and the sides of the base for :link reftype=hd res=12442.splot:elink.; the next four bits 
control the verticals in :link reftype=hd res=12442.splot:elink.; the top four bits control the edges on top 
of the :link reftype=hd res=12442.splot:elink.&per.  In detail, :hp2.<integer>:ehp2. should be the sum of the appropriate 
entries from the following table&colon. 
:p.:table cols=' 11 9 18'.
:row.
:c.c c c &per.
:c.
:c.
:row.
:c.Bit
:c.plot
:c.splot
:row.
:c._
:c.
:c.
:row.
:c.1
:c.bottom
:c.bottom left front
:row.
:c.2
:c.left
:c.bottom left back
:row.
:c.4
:c.top
:c.bottom right front
:row.
:c.8
:c.right
:c.bottom right back
:row.
:c.16
:c.no effect
:c.left vertical
:row.
:c.32
:c.no effect
:c.back vertical
:row.
:c.64
:c.no effect
:c.right vertical
:row.
:c.128
:c.no effect
:c.front vertical
:row.
:c.256
:c.no effect
:c.top left back
:row.
:c.512
:c.no effect
:c.top right back
:row.
:c.1024
:c.no effect
:c.top left front
:row.
:c.2048
:c.no effect
:c.top right front
:etable.
:p.Various bits or combinations of bits may be added together in the command&per. 
:p.The default is 31, which is all four sides for :link reftype=hd res=2402.plot:elink., and base and z axis 
for :link reftype=hd res=12442.splot:elink.&per. 
:p.Using the optional <line_style>, <line_type> and <line_width> specifiers, the 
way the border lines are drawn can be influenced (limited by what the current 
terminal driver supports)&per. 
:p.For :link reftype=hd res=2402.plot:elink., tics may be drawn on edges other than bottom and left by enabling 
the second axes -- see :link reftype=hd res=11968.set xtics:elink. for details&per. 
:p.If a :link reftype=hd res=12442.splot:elink. draws only on the base, as is the case with ":hp2.unset surface; set 
contour base:ehp2.", then the verticals and the top are not drawn even if they are 
specified&per. 
:p.The :link reftype=hd res=4872.set grid:elink. options 'back', 'front' and 'layerdefault' also 
control the order in which the border lines are drawn with respect to 
the output of the plotted data&per. 
:p.Examples&colon. 
:p.Draw default borders&colon. 
:p.      set border
.br
:p.Draw only the left and bottom (:link reftype=hd res=2402.plot:elink.) or both front and back bottom left 
(:link reftype=hd res=12442.splot:elink.) borders&colon. 
:p.      set border 3
.br
:p.Draw a complete box around a :link reftype=hd res=12442.splot:elink.&colon. 
:p.      set border 4095
.br
:p.Draw a topless box around a :link reftype=hd res=12442.splot:elink., omitting the front vertical&colon. 
:p.      set border 127+256+512 # or set border 1023-128
.br
:p.Draw only the top and right borders for a :link reftype=hd res=2402.plot:elink. and label them as axes&colon. 
:p.      unset xtics; unset ytics; set x2tics; set y2tics; set border 12
.br
:p.See also 
borders demo&per. 
:h3 res=3927. boxwidth
:p.The :link reftype=hd res=3927.set boxwidth:elink. command is used to set the default width of boxes in the 
:link reftype=hd res=6991.boxes:elink., :link reftype=hd res=6968.boxerrorbars:elink. and :link reftype=hd res=7105.candlesticks:elink. styles&per. 
:p.Syntax&colon. 
:p.      set boxwidth {<width>} {absolute|relative}
.br
      show boxwidth
.br
:p.If a data file is plotted without the width being specified in the third, 
fourth, or fifth column (or :link reftype=hd res=2845.using:elink. entry), or if a function is plotted, the 
width of each box is set by the :link reftype=hd res=3927.set boxwidth:elink. command&per.  (If a width is given 
both in the file and by the :link reftype=hd res=3927.set boxwidth:elink. command, the one in the file is 
used&per.)  If the width is not specified in one of these ways, the width of each 
box will be calculated automatically so that it touches the adjacent boxes&per. 
:hp2.relative:ehp2. indicates, that the specified boxwidth is a scaling factor for 
the automatically calculated boxwidth, otherwise the boxwidth is taken as an 
:hp2.absolute:ehp2. value (which is the default)&per. In a four-column data set, the fourth 
column will be interpreted as the box width unless the width is set to -2&per.0, 
in which case the width will be calculated automatically&per.  See 
:link reftype=hd res=6968.set style boxerrorbars:elink. for more details&per. 
:p.To set the box width to automatic use the command 
:p.      set boxwidth
.br
:p.or, for four-column data, 
:p.      set boxwidth -2
.br
:p.The same effect can be achieved with the :link reftype=hd res=2845.using:elink. keyword in :link reftype=hd res=2402.plot:elink.&colon. 
:p.      plot 'file' using 1&colon.2&colon.3&colon.4&colon.(-2)
.br
:p.To set the box width to half of the automatic size use 
:p.      set boxwidth 0&per.5 relative
.br
:p.To set the box width to an absolute value of 2 use 
:p.      set boxwidth 2 absolute
.br
:p.or, if you didn't specify a relative boxwidth before, 
:p.      set boxwidth 2
.br
:h3 res=3970. clabel
:p.:link reftype=hd res=37.gnuplot:elink. will vary the linetype used for each contour level when clabel is 
set&per.  When this option on (the default), a legend labels each linestyle with 
the z level it represents&per.  It is not possible at present to separate the 
contour labels from the surface key&per. 
:p.Syntax&colon. 
:p.      set clabel {'<format>'}
.br
      unset clabel
.br
      show clabel
.br
:p.The default for the format string is %8&per.3g, which gives three decimal places&per. 
This may produce poor label alignment if the key is altered from its default 
configuration&per. 
:p.The first contour linetype, or only contour linetype when clabel is off, is 
the surface linetype +1; contour points are the same style as surface points&per. 
:p.See also :link reftype=hd res=4208.set contour:elink.&per. 
:h3 res=3996. clip
:p.:link reftype=hd res=37.gnuplot:elink. can clip data points and lines that are near the boundaries of a 
graph&per. 
:p.Syntax&colon. 
:p.      set clip <clip-type>
.br
      unset clip <clip-type>
.br
      show clip
.br
:p.Three clip types for points and lines are supported by :link reftype=hd res=37.gnuplot:elink.&colon. :link reftype=hd res=7237.points:elink.,  
:hp2.one:ehp2., and :hp2.two:ehp2.&per. One, two, or all three clip types may be active for a  
single graph&per. 
Note that clipping of color filled quadrangles drawn by :link reftype=hd res=5929.pm3d:elink. maps and  
surfaces is not controlled by this command, but by :hp2.set pm3d clip1in:ehp2. and 
:hp2.set pm3d clip4in:ehp2.&per. 
:p.The :link reftype=hd res=7237.points:elink. clip type forces :link reftype=hd res=37.gnuplot:elink. to clip (actually, not plot at all) 
data points that fall within but too close to the boundaries&per.  This is done 
so that large symbols used for points will not extend outside the boundary 
lines&per.  Without clipping points near the boundaries, the plot may look bad&per. 
Adjusting the x and y ranges may give similar results&per. 
:p.Setting the :hp2.one:ehp2. clip type causes :link reftype=hd res=37.gnuplot:elink. to draw a line segment which has 
only one of its two endpoints within the graph&per.  Only the in-range portion of 
the line is drawn&per.  The alternative is to not draw any portion of the line 
segment&per. 
:p.Some lines may have both endpoints out of range, but pass through the graph&per. 
Setting the :hp2.two:ehp2. clip-type allows the visible portion of these lines to be 
drawn&per. 
:p.In no case is a line drawn outside the graph&per. 
:p.The defaults are :hp2.noclip points:ehp2., :hp2.clip one:ehp2., and :hp2.noclip two:ehp2.&per. 
:p.To check the state of all forms of clipping, use 
:p.      show clip
.br
:p.For backward compatibility with older versions, the following forms are also 
permitted&colon. 
:p.      set clip
.br
      unset clip
.br
:p.:link reftype=hd res=3996.set clip:elink. is synonymous with :hp2.set clip points:ehp2.; :link reftype=hd res=3996.unset clip:elink. turns off all 
three types of clipping&per. 
:h3 res=4049. cntrparam
:p.:link reftype=hd res=4049.set cntrparam:elink. controls the generation of contours and their smoothness for 
a contour plot&per. :link reftype=hd res=4208.show contour:elink. displays current settings of :link reftype=hd res=4049.cntrparam:elink. as 
well as :link reftype=hd res=4208.contour:elink.&per. 
:p.Syntax&colon. 
:p.      set cntrparam { { linear
.br
                      | cubicspline
.br
                      | bspline
.br
                      | points <n>
.br
                      | order <n>
.br
                      | levels { auto {<n>} | <n>
.br
                                 | discrete <z1> {,<z2>{,<z3>&per.&per.&per.}}
.br
                                 | incremental <start>, <incr> {,<end>}
.br
                               }
.br
                      }
.br
                    }
.br
      show contour
.br
:p.This command has two functions&per.  First, it sets the values of z for which 
contour points are to be determined (by linear interpolation between data 
points or function isosamples&per.)  Second, it controls the way contours are 
drawn between the points determined to be of equal z&per.  <n> should be an 
integral constant expression and <z1>, <z2> &per.&per.&per. any constant expressions&per. 
The parameters are&colon. 
:p.:hp2.linear:ehp2., :hp2.cubicspline:ehp2., :hp2.bspline:ehp2.---Controls type of approximation or 
interpolation&per.  If :hp2.linear:ehp2., then straight line segments connect points of 
equal z magnitude&per.  If :hp2.cubicspline:ehp2., then piecewise-linear contours are 
interpolated between the same equal z points to form somewhat smoother 
contours, but which may undulate&per.  If :hp2.bspline:ehp2., a guaranteed-smoother curve 
is drawn, which only approximates the position of the points of equal-z&per. 
:p.:link reftype=hd res=7237.points:elink.---Eventually all drawings are done with piecewise-linear strokes&per. 
This number controls the number of line segments used to approximate the 
:hp2.bspline:ehp2. or :hp2.cubicspline:ehp2. curve&per.  Number of cubicspline or bspline 
segments (strokes) = :link reftype=hd res=7237.points:elink. * number of linear segments&per. 
:p.:hp2.order:ehp2.---Order of the bspline approximation to be used&per.  The bigger this 
order is, the smoother the resulting contour&per.  (Of course, higher order 
bspline curves will move further away from the original piecewise linear 
data&per.)  This option is relevant for :hp2.bspline:ehp2. mode only&per.  Allowed values are 
integers in the range from 2 (linear) to 10&per. 
:p.:hp2.levels:ehp2.--- Selection of contour levels,  controlled by :hp2.auto:ehp2. (default), 
:hp2.discrete:ehp2., :hp2.incremental:ehp2., and <n>, number of contour levels, limited to 
:p. MAX_DISCRETE_LEVELS as defined in plot&per.h (30 is standard&per.)
.br
:p.For :hp2.auto:ehp2., <n> specifies a nominal number of levels; the actual number will 
be adjusted to give simple labels&per. If the surface is bounded by zmin and zmax, 
contours will be generated at integer multiples of dz between zmin and zmax, 
where dz is 1, 2, or 5 times some power of ten (like the step between two 
tic marks)&per. 
:p.For :hp2.levels discrete:ehp2., contours will be generated at z = <z1>, <z2> &per.&per.&per. as 
specified; the number of discrete levels sets the number of contour levels&per. 
In :hp2.discrete:ehp2. mode, any :hp2.set cntrparam levels <n>:ehp2. are ignored&per. 
:p.For :hp2.incremental:ehp2., contours are generated at values of z beginning at <start> 
and increasing by <increment>, until the number of contours is reached&per. <end> 
is used to determine the number of contour levels, which will be changed by 
any subsequent :hp2.set cntrparam levels <n>:ehp2.&per. 
:p.If the command :link reftype=hd res=4049.set cntrparam:elink. is given without any arguments specified,  the 
defaults are used&colon. linear, 5 points, order 4, 5 auto levels&per. 
:p.Examples&colon. 
:p.      set cntrparam bspline
.br
      set cntrparam points 7
.br
      set cntrparam order 10
.br
:p.To select levels automatically, 5 if the level increment criteria are met&colon. 
:p.      set cntrparam levels auto 5
.br
:p.To specify discrete levels at &per.1, &per.37, and &per.9&colon. 
:p.      set cntrparam levels discrete &per.1,1/exp(1),&per.9
.br
:p.To specify levels from 0 to 4 with increment 1&colon. 
:p.      set cntrparam levels incremental  0,1,4
.br
:p.To set the number of levels to 10 (changing an incremental end or possibly 
the number of auto levels)&colon. 
:p.      set cntrparam levels 10
.br
:p.To set the start and increment while retaining the number of levels&colon. 
:p.      set cntrparam levels incremental 100,50
.br
:p.See also :link reftype=hd res=4208.set contour:elink. for control of where the contours are drawn, and 
:link reftype=hd res=3970.set clabel:elink. for control of the format of the contour labels and linetypes&per. 
:p.See also 
contours demo (contours&per.dem) 
and 
contours with user defined levels demo (discrete&per.dem)&per. 
:h3 res=4152. color box
:p.:p.The color scheme, i&per.e&per. the gradient of the smooth color with min_z and 
max_z values of :link reftype=hd res=5929.pm3d:elink.'s :link reftype=hd res=6136.palette:elink., is drawn in a color box unless :link reftype=hd res=12719.unset 
colorbox:elink.&per. 
:p.:p.      set colorbox
.br
      set colorbox {
.br
                 { vertical | horizontal }
.br
                 { default | user }
.br
                 { origin x, y }
.br
                 { size x, y }
.br
                 { noborder | bdefault | border [line style] }
.br
               }
.br
      show colorbox
.br
      unset colorbox
.br
:p.Colorbox position can be :hp2.default:ehp2. or :hp2.user:ehp2.&per.  If the latter is specified the 
values as given with the :link reftype=hd res=5818.origin:elink. and :link reftype=hd res=6618.size:elink. subcommands are used&per. 
:p.:hp2.vertical:ehp2. and :hp2.horizontal:ehp2. switches the orientation of the color 
gradient&per. 
:p.:hp2.origin x, y:ehp2. and :hp2.size x, y:ehp2. are used only in combination with the :hp2.user:ehp2. 
option&per. The x and y values must be given in screen coordinates (as everything 
else did not seem to make sense) that is between [0 - 1]&per. Try for example&colon. 
:p.    set colorbox horiz user origin &per.1,&per.02 size &per.8,&per.04
.br
which will draw a horizontal gradient somewhere at the bottom of the graph&per. 
:p.:link reftype=hd res=3804.border:elink. turns the border on (this is the default)&per. :link reftype=hd res=3804.noborder:elink. turns the border 
off&per. If an positive integer argument is given after :link reftype=hd res=3804.border:elink., it is used as a 
line style tag which is used for drawing the border, e&per.g&per.&colon. 
:p.    set style line 2604 linetype -1 linewidth &per.4
.br
    set colorbox border 2604
.br
will use line style :hp2.2604:ehp2., a thin line with the default border color (-1) 
for drawing the border&per. :hp2.bdefault:ehp2. (which is the default) will use the default 
border line style for drawing the border of the color box&per. 
:p.The axis of the color box is called :hp2.cb:ehp2. and it is controlled by means of the 
usual axes commands, i&per.e&per. :hp2.set/unset/show:ehp2. with :link reftype=hd res=12391.cbrange:elink., :hp2.[m]cbtics:ehp2., 
:link reftype=hd res=4612.format cb:elink., :hp2.grid [m]cb:ehp2., :link reftype=hd res=12373.cblabel:elink., and perhaps even :link reftype=hd res=12260.cbdata:elink., :hp2.[no]cbdtics:ehp2., 
:hp2.[no]cbmtics:ehp2.&per. 
:p.:link reftype=hd res=4152.set colorbox:elink. without any parameter switches the position to default&per. 
:link reftype=hd res=4152.unset colorbox:elink. resets the default parameters for the colorbox and switches 
the colorbox off&per. 
:p.See also help for :link reftype=hd res=5929.set pm3d:elink., :link reftype=hd res=6136.set palette:elink., :link reftype=hd res=11292.x11 pm3d:elink., and :link reftype=hd res=6844.set style line:elink.&per. 
:p.:h3 res=4208. contour
:p.:link reftype=hd res=4208.set contour:elink. enables contour drawing for surfaces&per. This option is available 
for :link reftype=hd res=12442.splot:elink. only&per. 
:p.Syntax&colon. 
:p.      set contour {base | surface | both}
.br
      unset contour
.br
      show contour
.br
:p.The three options specify where to draw the contours&colon. :hp2.base:ehp2. draws the 
contours on the grid base where the x/ytics are placed, :link reftype=hd res=7378.surface:elink. draws the 
contours on the surfaces themselves, and :hp2.both:ehp2. draws the contours on both 
the base and the surface&per.  If no option is provided, the default is :hp2.base:ehp2.&per. 
:p.See also :link reftype=hd res=4049.set cntrparam:elink. for the parameters that affect the drawing of 
contours, and :link reftype=hd res=3970.set clabel:elink. for control of labelling of the contours&per. 
:p.The surface can be switched off (see :link reftype=hd res=7378.set surface:elink.), giving a contour-only 
graph&per.  Though it is possible to use :link reftype=hd res=6618.set size:elink. to enlarge the plot to fill 
the screen, more control over the output format can be obtained by writing 
the contour information to a file, and rereading it as a 2-d datafile plot&colon. 
:p.:p.      unset surface
.br
      set contour
.br
      set cntrparam &per.&per.&per.
.br
      set term table
.br
      set out 'filename'
.br
      splot &per.&per.&per.
.br
      set out
.br
      # contour info now in filename
.br
      set term <whatever>
.br
      plot 'filename'
.br
:p.In order to draw contours, the data should be organized as "grid data"&per.  In 
such a file all the points for a single y-isoline are listed, then all the 
points for the next y-isoline, and so on&per.  A single blank line (a line 
containing no characters other than blank spaces and a carriage return and/or 
a line feed) separates one y-isoline from the next&per. 
See also :link reftype=hd res=12482.splot datafile:elink.&per. 
:p.:p.If contours are desired from non-grid data, :link reftype=hd res=4403.set dgrid3d:elink. can be used to 
create an appropriate grid&per.  See :link reftype=hd res=4403.set dgrid3d:elink. for more information&per. 
See also 
contours demo (contours&per.dem) 
and 
contours with user defined levels demo (discrete&per.dem)&per. 
:h3 res=4267. data style
:p.This form of the command is deprecated&per. Please see :link reftype=hd res=6778.set style data:elink.&per. 
:h3 res=4269. datafile 
:p.The :link reftype=hd res=4269.set datafile:elink. command options control interpretation of fields read from 
input data files by the :link reftype=hd res=2402.plot:elink., :link reftype=hd res=12442.splot:elink., and :link reftype=hd res=1781.fit:elink. commands&per.  Three such 
options are currently implemented&per. 
:h4 res=4275. set datafile missing
:p.The :link reftype=hd res=4275.set datafile missing:elink. command allows you to tell :link reftype=hd res=37.gnuplot:elink. what character 
string is used in a data file to denote missing data&per.  Exactly how this missing 
value will be treated depends on the :link reftype=hd res=2845.using:elink. specifier of the :link reftype=hd res=2402.plot:elink. or :link reftype=hd res=12442.splot:elink. 
command&per. 
:p.Syntax&colon. 
:p.      set datafile missing {"<string>"}
.br
      show datafile missing
.br
      unset datafile
.br
:p.Example&colon. 
:p.      # Ignore entries containing IEEE NaN ("Not a Number") code
.br
      set datafile missing "NaN"
.br
:p.Example&colon. 
:p.      set datafile missing "?"
.br
      set style data lines
.br
      plot '-'
.br
         1 10
.br
         2 20
.br
         3 ?
.br
         4 40
.br
         5 50
.br
         e
.br
      plot '-' using 1&colon.2
.br
         1 10
.br
         2 20
.br
         3 ?
.br
         4 40
.br
         5 50
.br
         e
.br
      plot '-' using 1&colon.($2)
.br
         1 10
.br
         2 20
.br
         3 ?
.br
         4 40
.br
         5 50
.br
         e
.br
:p.The first :link reftype=hd res=2402.plot:elink. will recognize only the first datum in the "3 ?" line&per.  It 
will use the single-datum-on-a-line convention that the line number is "x" 
and the datum is "y", so the point will be plotted (in this case erroneously) 
at (2,3)&per. 
:p.The second :link reftype=hd res=2402.plot:elink. will correctly ignore the middle line&per.  The plotted line 
will connect the points at (2,20) and (4,40)&per. 
:p.The third :link reftype=hd res=2402.plot:elink. will also correctly ignore the middle line, but the plotted 
line will not connect the points at (2,20) and (4,40)&per. 
:p.There is no default character for :link reftype=hd res=4275.missing:elink., but in many cases any 
non-parsible string of characters found where a numerical value is expected 
will be treated as missing data&per. 
:p.:h4 res=4333. set datafile separator
:p.The command :hp2.set datafile separator "<char>":ehp2. tells :link reftype=hd res=37.gnuplot:elink. that data fields 
in subsequent input files are separated by <char> rather than by whitespace&per. 
The most common use is to read in csv (comma-separated value) files written  
by spreadsheet or database programs&per. By default data fields are separated by  
whitespace&per. 
:p.Syntax&colon. 
:p.      set datafile separator {"<char>" | whitespace}
.br
:p.Examples&colon. 
:p.      # Input file contains tab-separated fields
.br
      set datafile separator "\t"
.br
:p.:p.      # Input file contains comma-separated values fields
.br
      set datafile separator ","
.br
:h4 res=4351. set datafile commentschars
:p.The :link reftype=hd res=4351.set datafile commentschars:elink. command allows you to tell :link reftype=hd res=37.gnuplot:elink. what 
characters are used in a data file to denote comments&per.  Gnuplot will ignore 
rest of the line behind the specified characters if either of them is the 
first non-blank character on the line&per. 
:p.Syntax&colon. 
:p.      set datafile commentschars {"<string>"}
.br
      show datafile commentschars
.br
      unset commentschars
.br
:p.Default value of the string is "#!" on VMS and "#" otherwise&per. 
:p.Then, the following line in a data file is completely ignored 
:p.    # 1 2 3 4
.br
but the following 
:p.    1 # 3 4
.br
produces rather unexpected plot unless 
:p.    set datafile missing '#'
.br
is specified as well&per. 
:p.Example&colon. 
:p.      set datafile commentschars "#!%"
.br
:h3 res=4376. decimalsign
:p.The :link reftype=hd res=4376.set decimalsign:elink. command selects a decimal sign for numbers printed 
into tic labels or :link reftype=hd res=5235.set label:elink. strings&per. 
:p.Syntax&colon. 
:p.      set decimalsign {<value>}
.br
      unset decimalsign
.br
      show decimalsign
.br
:p.The argument <value> is the string to be used in place of the usual 
decimal point&per. Typical choices include the period, '&per.', and the comma, 
',', but others may be useful, too&per.  If you omit the <value> argument, 
the decimal separator is not modified from the usual default, which is 
a period&per.  Unsetting decimalsign has the same effect as omitting 
<value>&per. 
:p.Example&colon. 
:p.Correct typesetting in most European countries requires&colon. 
:p.      set decimalsign ','
.br
:h3 res=4403. dgrid3d
:p.The :link reftype=hd res=4403.set dgrid3d:elink. command enables, and can set parameters for, non-grid 
to grid data mapping&per. 
:p.Syntax&colon. 
:p.      set dgrid3d {<row_size>} {,{<col_size>} {,<norm>}}
.br
      unset dgrid3d
.br
      show dgrid3d
.br
:p.By default :link reftype=hd res=4403.dgrid3d:elink. is disabled&per.  When enabled, 3-d data read from a file 
are always treated as a scattered data set&per.  A grid with dimensions derived 
from a bounding box of the scattered data and size as specified by the 
row/col_size parameters is created for plotting and contouring&per.  The grid 
is equally spaced in x (rows) and in y (columns); the z values are computed 
as weighted averages of the scattered points' z values&per. 
:p.The third parameter, norm, controls the weighting&colon.  Each data point is 
weighted inversely by its distance from the grid point raised to the norm 
power&per.  (Actually, the weights are given by the inverse of dx^norm + dy^norm, 
where dx and dy are the components of the separation of the grid point from 
each data point&per.  For some norms that are powers of two, specifically 4, 8, 
and 16, the computation is optimized by using the Euclidean distance in the 
weight calculation, (dx^2+dy^2)^norm/2&per.  However, any non-negative integer 
can be used&per.) 
:p.The closer the data point is to a grid point, the more effect it has on 
that grid point and the larger the value of norm the less effect more 
distant data points have on that grid point&per. 
:p.The :link reftype=hd res=4403.dgrid3d:elink. option is a simple low pass filter that converts scattered 
data to a grid data set&per.  More sophisticated approaches to this problem 
exist and should be used to preprocess the data outside :link reftype=hd res=37.gnuplot:elink. if this 
simple solution is found inadequate&per. 
:p.(The z values are found by weighting all data points, not by interpolating 
between nearby data points;  also edge effects may produce unexpected and/or 
undesired results&per.  In some cases, small norm values produce a grid point 
reflecting the average of distant data points rather than a local average, 
while large values of norm may produce "steps" with several grid points 
having the same value as the closest data point, rather than making a smooth 
transition between adjacent data points&per.  Some areas of a grid may be filled 
by extrapolation, to an arbitrary boundary condition&per.  The variables are 
not normalized; consequently the units used for x and y will affect the 
relative weights of points in the x and y directions&per.) 
:p.Examples&colon. 
:p.      set dgrid3d 10,10,1     # defaults
.br
      set dgrid3d ,,4
.br
:p.The first specifies that a grid of size 10 by 10 is to be constructed using 
a norm value of 1 in the weight computation&per.  The second only modifies the 
norm, changing it to 4&per. 
See also 
scatter&per.dem&colon. dgrid3d demo&per. 
:p.:h3 res=4468. dummy
:p.The :link reftype=hd res=4468.set dummy:elink. command changes the default dummy variable names&per. 
:p.Syntax&colon. 
:p.      set dummy {<dummy-var>} {,<dummy-var>}
.br
      show dummy
.br
:p.By default, :link reftype=hd res=37.gnuplot:elink. assumes that the independent, or "dummy", variable for 
the :link reftype=hd res=2402.plot:elink. command is "t" if in parametric or polar mode, or "x" otherwise&per. 
Similarly the independent variables for the :link reftype=hd res=12442.splot:elink. command are "u" and "v" 
in parametric mode (:link reftype=hd res=12442.splot:elink. cannot be used in polar mode), or "x" and "y" 
otherwise&per. 
:p.It may be more convenient to call a dummy variable by a more physically 
meaningful or conventional name&per.  For example, when plotting time functions&colon. 
:p.:p.      set dummy t
.br
      plot sin(t), cos(t)
.br
:p.At least one dummy variable must be set on the command; :link reftype=hd res=4468.set dummy:elink. by itself 
will generate an error message&per. 
:p.Examples&colon. 
:p.      set dummy u,v
.br
      set dummy ,s
.br
:p.The second example sets the second variable to s&per. 
:h3 res=4500. encoding
:p.The :link reftype=hd res=4500.set encoding:elink. command selects a character encoding&per. 
Syntax&colon. 
:p.      set encoding {<value>}
.br
      show encoding
.br
:p.Valid values are 
:p.   default     - tells a terminal to use its default encoding
.br
   iso_8859_1  - the most common Western European font used by many 
.br
                 Unix workstations and by MS-Windows&per. This encoding is
.br
                 known in the PostScript world as 'ISO-Latin1'&per.
.br
   iso_8859_2  - used in Central and Eastern Europe
.br
   iso_8859_15 - a variant of iso_8859_1 that includes the Euro symbol
.br
   cp850       - codepage for OS/2
.br
   cp852       - codepage for OS/2
.br
   cp437       - codepage for MS-DOS
.br
   koi8r       - popular Unix cyrillic encoding
.br
:p.Generally you must set the encoding before setting the terminal type&per. 
Note that encoding is not supported by all terminal drivers and that 
the device must be able to produce the desired non-standard characters&per. 
The PostScript and X11 terminals support all encodings&per. OS/2 Presentation 
Manager switches automatically to codepage 912 for :hp2.iso_8859_2:ehp2.&per. 
:h3 res=4529. fit
:p.The :link reftype=hd res=1781.fit:elink. setting defines where the :link reftype=hd res=1781.fit:elink. command writes its output&per. 
If this option was built into your version of gnuplot, it also controls 
whether parameter errors from the fit will be written into variables&per. 
:p.Syntax&colon. 
:p.      set fit {logfile {"<filename>"}} {{no}errorvariables}
.br
      unset fit
.br
      show fit
.br
:p.The <filename> argument must be enclosed in single or double quotes&per. 
:p.If no filename is given or :hp2.unset fit:ehp2. is used the log file is  
reset to its default value "fit&per.log" or the value of the environmental 
variable :hp2.FIT_LOG:ehp2.&per. 
:p.Users of DOS-like platforms should note that the \ character has 
special significance in double-quoted strings, so single-quotes  
should be used for filenames in different directories, or you have  
to write \\ for each \&per.  Or you can just use forward slashes,  
even though this is DOS&per. 
:p.If the given logfile name ends with a / or \, it is interpreted to be 
a directory name, and the actual filename will be "fit&per.log" in that 
directory&per. 
:p.If the :hp2.errorvariables:ehp2. option is turned on, the error of each fitted 
parameter computed by :link reftype=hd res=1781.fit:elink. will be copied to a user-defined variable 
whose name is formed by appending "_err" to the name of the parameter 
itself&per.  This is useful mainly to put the parameter and its error onto 
a plot of the data and the fitted function, for reference, as in&colon. 
:p.:p.       set fit errorvariables
.br
       fit f(x) 'datafile' using 1&colon.2 via a, b
.br
       print "error of a is&colon.", a_err
.br
       set label 'a=%6&per.2f', a, '+/- %6&per.2f', a_err
.br
       plot 'datafile' using 1&colon.2, f(x)
.br
:h3 res=4570. fontpath
:p.The :link reftype=hd res=4570.fontpath:elink. setting defines additional locations for font files 
searched when including font files&per. Currently only the postscript terminal 
supports :link reftype=hd res=4570.fontpath:elink.&per. If a file cannot be found in the current directory, 
the directories in :link reftype=hd res=4570.fontpath:elink. are tried&per. Further documentation concerning 
the supported file formats is included in the :link reftype=hd res=9859.terminal postscript:elink. section 
of the documentation&per. 
:p.Syntax&colon. 
:p.      set fontpath {"pathlist1" {"pathlist2"&per.&per.&per.}}
.br
      show fontpath
.br
:p.Path names may be entered as single directory names, or as a list of 
path names separated by a platform-specific path separator, eg&per. colon 
('&colon.') on Unix, semicolon (';') on DOS/Windows/OS/2/Amiga platforms&per. 
The :link reftype=hd res=4570.show fontpath:elink., :link reftype=hd res=3434.save:elink. and :hp2.save set:ehp2. commands replace the 
platform-specific separator with a space character (' ') for maximum 
portability&per. If a directory name ends with an exclamation mark ('!') also 
the subdirectories of this directory are searched for font files&per. 
:p.If the environmental variable GNUPLOT_FONTPATH is set, its contents are 
appended to :link reftype=hd res=4570.fontpath:elink.&per.  If it is not set, a system dependent default value 
is used&per. It is set by testing several directories for existence when using 
the fontpath the first time&per. Thus, the first call of :link reftype=hd res=4570.set fontpath:elink., 
:link reftype=hd res=4570.show fontpath:elink., :link reftype=hd res=4570.save fontpath:elink., :link reftype=hd res=2402.plot:elink., or :link reftype=hd res=12442.splot:elink. with embedded font 
files takes a little more time&per. If you want to save this time you may 
set the environmental variable GNUPLOT_FONTPATH since probing is switched 
off, then&per. You can find out which is the default fontpath by using 
:link reftype=hd res=4570.show fontpath:elink.&per. 
:p.However, :link reftype=hd res=4570.show fontpath:elink. prints the contents of user defined fontpath and 
system fontpath separately&per.  Also, the :link reftype=hd res=3434.save:elink. and :hp2.save set:ehp2. commands save 
only the user specified parts of :link reftype=hd res=4570.fontpath:elink., for portability reasons&per. 
:p.Many other terminal drivers access TrueType fonts via the gd library&per. 
For these drivers the font search path is controlled by the environmental 
variable GDFONTPATH&per. 
:h3 res=4612. format
:p.The format of the tic-mark labels can be set with the :link reftype=hd res=4612.set format:elink. command&per. 
:p.Syntax&colon. 
:p.      set format {<axes>} {"<format-string>"}
.br
      set format {<axes>} {'<format-string>'}
.br
      show format
.br
:p.where <axes> is either :hp2.x:ehp2., :hp2.y:ehp2., :hp2.z:ehp2., :hp2.cb:ehp2., :hp2.xy:ehp2., :hp2.x2:ehp2., :hp2.y2:ehp2. or nothing (which is 
the same as :hp2.xy:ehp2.)&per.  The length of the string representing a tic mark (after 
formatting with 'printf') is restricted to 100 characters&per.  If the format 
string is omitted, the format will be returned to the default "%g"&per.  For 
LaTeX users, the format "$%g$" is often desirable&per.  If the empty string "" is 
used, no label will be plotted with each tic, though the tic mark will still 
be plotted&per.  To eliminate all tic marks, use :link reftype=hd res=11968.unset xtics:elink. or :link reftype=hd res=12219.unset ytics:elink.&per. 
:p.Newline (\n) is accepted in the format string&per.  Use double-quotes rather than 
single-quotes to enable such interpretation&per.  See also :link reftype=hd res=1554.syntax:elink.&per. 
:p.The default format for both axes is "%g", but other formats such as "%&per.2f" or 
"%3&per.0em" are often desirable&per.  Anything accepted by 'printf' when given a 
double precision number, and accepted by the terminal, will work&per.  Some other 
options have been added&per.  If the format string looks like a floating point 
format, then :link reftype=hd res=37.gnuplot:elink. tries to construct a reasonable format&per. 
:p.Characters not preceded by "%" are printed verbatim&per.  Thus you can include 
spaces and labels in your format string, such as "%g m", which will put " m" 
after each number&per.  If you want "%" itself, double it&colon. "%g %%"&per. 
:p.See also :link reftype=hd res=11968.set xtics:elink. for more information about tic labels, and 
:link reftype=hd res=4376.set decimalsign:elink. for how to use non-default decimal separators in numbers 
printed this way&per. 
See also 
electron demo (electron&per.dem)&per. 
:h4 res=4654. format specifiers
:p.The acceptable formats (if not in time/date mode) are&colon. 
:p.:table cols=' 9 54'.
:row.
:c.c l &per.
:c.
:row.
:c.Format
:c.Explanation
:row.
:c._
:c.
:row.
:c.%f
:c.floating point notation
:row.
:c.%e or %E
:c.exponential notation; an "e" or "E" before the power
:row.
:c.%g or %G
:c.the shorter of %e (or %E) and %f
:row.
:c.%x or %X
:c.hex
:row.
:c.%o or %O
:c.octal
:row.
:c.%t
:c.mantissa to base 10
:row.
:c.%l
:c.mantissa to base of current logscale
:row.
:c.%s
:c.mantissa to base of current logscale; scientific power
:row.
:c.%T
:c.power to base 10
:row.
:c.%L
:c.power to base of current logscale
:row.
:c.%S
:c.scientific power
:row.
:c.%c
:c.character replacement for scientific power
:row.
:c.%P
:c.multiple of pi
:row.
:c._
:c.
:etable.
:p.A 'scientific' power is one such that the exponent is a multiple of three&per. 
Character replacement of scientific powers (:hp2."%c":ehp2.) has been implemented 
for powers in the range -18 to +18&per.  For numbers outside of this range the 
format reverts to exponential&per. 
:p.Other acceptable modifiers (which come after the "%" but before the format 
specifier) are "-", which left-justifies the number; "+", which forces all 
numbers to be explicitly signed; "#", which places a decimal point after 
floats that have only zeroes following the decimal point; a positive integer, 
which defines the field width; "0" (the digit, not the letter) immediately 
preceding the field width, which indicates that leading zeroes are to be used 
instead of leading blanks; and a decimal point followed by a non-negative 
integer, which defines the precision (the minimum number of digits of an 
integer, or the number of digits following the decimal point of a float)&per. 
:p.Some releases of 'printf' may not support all of these modifiers but may also 
support others; in case of doubt, check the appropriate documentation and 
then experiment&per. 
:p.Examples&colon. 
:p.      set format y "%t"; set ytics (5,10)          # "5&per.0" and "1&per.0"
.br
      set format y "%s"; set ytics (500,1000)      # "500" and "1&per.0"
.br
      set format y "+-12&per.3f"; set ytics(12345)     # "+12345&per.000  "
.br
      set format y "%&per.2t*10^%+03T"; set ytic(12345)# "1&per.23*10^+04"
.br
      set format y "%s*10^{%S}"; set ytic(12345)   # "12&per.345*10^{3}"
.br
      set format y "%s %cg"; set ytic(12345)       # "12&per.345 kg"
.br
      set format y "%&per.0P pi"; set ytic(6&per.283185)   # "2 pi"
.br
      set format y "%&per.0f%%"; set ytic(50)          # "50%"
.br
:p.:p.      set log y 2; set format y '%l'; set ytics (1,2,3)
.br
      #displays "1&per.0", "1&per.0" and "1&per.5" (since 3 is 1&per.5 * 2^1)
.br
:p.There are some problem cases that arise when numbers like 9&per.999 are printed 
with a format that requires both rounding and a power&per. 
:p.If the data type for the axis is time/date, the format string must contain 
valid codes for the 'strftime' function (outside of :link reftype=hd res=37.gnuplot:elink., type "man 
strftime")&per.  See :link reftype=hd res=11451.set timefmt:elink. for a list of the allowed input format codes&per. 
:h4 res=4750. time/date specifiers
:p.In time/date mode, the acceptable formats are&colon. 
:p.:table cols=' 9 40'.
:row.
:c.c l &per.
:c.
:row.
:c.Format
:c.Explanation
:row.
:c._
:c.
:row.
:c.%a
:c.abbreviated name of day of the week
:row.
:c.%A
:c.full name of day of the week
:row.
:c.%b or %h
:c.abbreviated name of the month
:row.
:c.%B
:c.full name of the month
:row.
:c.%d
:c.day of the month, 1--31
:row.
:c.%D
:c.shorthand for "%m/%d/%y"
:row.
:c.%H or %k
:c.hour, 0--24
:row.
:c.%I or %l
:c.hour, 0--12
:row.
:c.%j
:c.day of the year, 1--366
:row.
:c.%m
:c.month, 1--12
:row.
:c.%M
:c.minute, 0--60
:row.
:c.%p
:c."am" or "pm"
:row.
:c.%r
:c.shorthand for "%I&colon.%M&colon.%S %p"
:row.
:c.%R
:c.shorthand for %H&colon.%M"
:row.
:c.%S
:c.second, 0--60
:row.
:c.%T
:c.shorthand for "%H&colon.%M&colon.%S"
:row.
:c.%U
:c.week of the year (week starts on Sunday)
:row.
:c.%w
:c.day of the week, 0--6 (Sunday = 0)
:row.
:c.%W
:c.week of the year (week starts on Monday)
:row.
:c.%y
:c.year, 0-99
:row.
:c.%Y
:c.year, 4-digit
:row.
:c._
:c.
:etable.
:p.Except for the non-numerical formats, these may be preceded by a "0" ("zero", 
not "oh") to pad the field length with leading zeroes, and a positive digit, 
to define the minimum field width (which will be overridden if the specified 
width is not large enough to contain the number)&per.  There is a 24-character 
limit to the length of the printed text; longer strings will be truncated&per. 
:p.Examples&colon. 
:p.Suppose the text is "76/12/25 23&colon.11&colon.11"&per.  Then 
:p.      set format x                 # defaults to "12/25/76" \n "23&colon.11"
.br
      set format x "%A, %d %b %Y"  # "Saturday, 25 Dec 1976"
.br
      set format x "%r %D"         # "11&colon.11&colon.11 pm 12/25/76"
.br
:p.Suppose the text is "98/07/06 05&colon.04&colon.03"&per.  Then 
:p.      set format x "%1y/%2m/%3d %01H&colon.%02M&colon.%03S"  # "98/ 7/  6 5&colon.04&colon.003"
.br
:h3 res=4851. function style
:p.This form of the command is deprecated&per. Please see :link reftype=hd res=6828.set style function:elink.&per. 
:h3 res=4853. functions
:p.The :link reftype=hd res=4853.show functions:elink. command lists all user-defined functions and their 
definitions&per. 
:p.Syntax&colon. 
:p.      show functions
.br
:p.For information about the definition and usage of functions in :link reftype=hd res=37.gnuplot:elink., 
please see :link reftype=hd res=619.expressions:elink.&per. 
See also 
splines as user defined functions (spline&per.dem) 
and 
use of functions and complex variables for airfoils (airfoil&per.dem)&per. 
:h3 res=4872. grid
:p.The :link reftype=hd res=4872.set grid:elink. command allows grid lines to be drawn on the plot&per. 
:p.Syntax&colon. 
:p.      set grid {{no}{m}xtics} {{no}{m}ytics} {{no}{m}ztics}
.br
               {{no}{m}x2tics} {{no}{m}y2tics}
.br
               {{no}{m}cbtics}
.br
               {polar {<angle>}}
.br
               {layerdefault | front | back}
.br
               { {linestyle <major_linestyle>}
.br
                 | {linetype | lt <major_linetype>}
.br
                   {linewidth | lw <major_linewidth>}
.br
                 { , {linestyle | ls <minor_linestyle>}
.br
                     | {linetype | lt <minor_linetype>}
.br
                       {linewidth | lw <minor_linewidth>} } }
.br
      unset grid
.br
      show grid
.br
:p.The grid can be enabled and disabled for the major and/or minor tic 
marks on any axis, and the linetype and linewidth can be specified 
for major and minor grid lines, also via a predefined linestyle, as 
far as the active terminal driver supports this&per. 
:p.Additionally, a polar grid can be selected for 2-d plots---circles are drawn 
to intersect the selected tics, and radial lines are drawn at definable 
intervals&per.  (The interval is given in degrees or radians, depending on the 
:link reftype=hd res=3500.set angles:elink. setting&per.)  Note that a polar grid is no longer automatically 
generated in polar mode&per. 
:p.The pertinent tics must be enabled before :link reftype=hd res=4872.set grid:elink. can draw them; :link reftype=hd res=37.gnuplot:elink. 
will quietly ignore instructions to draw grid lines at non-existent tics, but 
they will appear if the tics are subsequently enabled&per. 
:p.If no linetype is specified for the minor gridlines, the same linetype as the 
major gridlines is used&per.  The default polar angle is 30 degrees&per. 
:p.If :hp2.front:ehp2. is given, the grid is drawn on top of the graphed data&per. If 
:hp2.back:ehp2. is given, the grid is drawn underneath the graphed data&per. Using 
:hp2.front:ehp2. will prevent the grid from being obscured by dense data&per. The 
default setup, :hp2.layerdefault:ehp2., is equivalent to :hp2.back:ehp2. for 2d plots&per.   
In 3D plots the default is to split up the grid and the graph box into  
two layers&colon. one behind, the other in front of the plotted data and 
functions&per. Since :link reftype=hd res=4930.hidden3d:elink. mode does its own sorting, it ignores 
all grid drawing order options and passes the grid lines through the 
hidden line removal machinery instead&per. These options actually affect 
not only the grid, but also the lines output by :link reftype=hd res=3804.set border:elink. and the 
various ticmarks (see :link reftype=hd res=11968.set xtics:elink.)&per. 
:p.Z grid lines are drawn on the bottom of the plot&per.  This looks better if a 
partial box is drawn around the plot---see :link reftype=hd res=3804.set border:elink.&per. 
:h3 res=4930. hidden3d
:p.The :link reftype=hd res=4930.set hidden3d:elink. command enables hidden line removal for surface plotting 
(see :link reftype=hd res=12442.splot:elink.)&per.  Some optional features of the underlying algorithm can also 
be controlled using this command&per. 
:p.Syntax&colon. 
:p.      set hidden3d {defaults} |
.br
                   { {{offset <offset>} | {nooffset}}
.br
                     {trianglepattern <bitpattern>}
.br
                     {{undefined <level>} | {noundefined}}
.br
                     {{no}altdiagonal}
.br
                     {{no}bentover} }
.br
      unset hidden3d
.br
      show hidden3d
.br
:p.In contrast to the usual display in gnuplot, hidden line removal actually 
treats the given function or data grids as real surfaces that can't be seen 
through, so parts behind the surface will be hidden by it&per.  For this to be 
possible, the surface needs to have 'grid structure' (see :link reftype=hd res=12482.splot datafile:elink. 
about this), and it has to be drawn :hp2.with lines:ehp2. or :hp2.with linespoints:ehp2.&per. 
:p.When :link reftype=hd res=4930.hidden3d:elink. is set, both the hidden portion of the surface and possibly 
its contours drawn on the base (see :link reftype=hd res=4208.set contour:elink.) as well as the grid will 
be hidden&per.  Each surface has its hidden parts removed with respect to itself 
and to other surfaces, if more than one surface is plotted&per.  Contours drawn 
on the surface (:hp2.set contour surface:ehp2.) don't work&per.  Labels and arrows are 
always visible and are unaffected&per.  The key is also never hidden by the 
surface&per. 
:p.Functions are evaluated at isoline intersections&per.  The algorithm interpolates 
linearly between function points or data points when determining the visible 
line segments&per.  This means that the appearance of a function may be different 
when plotted with :link reftype=hd res=4930.hidden3d:elink. than when plotted with :link reftype=hd res=4930.nohidden3d:elink. because in 
the latter case functions are evaluated at each sample&per.  Please see 
:link reftype=hd res=6591.set samples:elink. and :link reftype=hd res=5063.set isosamples:elink. for discussion of the difference&per. 
:p.The algorithm used to remove the hidden parts of the surfaces has some 
additional features controllable by this command&per.  Specifying :hp2.defaults:ehp2. will 
set them all to their default settings, as detailed below&per.  If :hp2.defaults:ehp2. is 
not given, only explicitly specified options will be influenced&colon. all others 
will keep their previous values, so you can turn on/off hidden line removal 
via :hp2.set {no}hidden3d:ehp2., without modifying the set of options you chose&per. 
:p.The first option, :hp2.offset:ehp2., influences the linestyle used for lines on the 
'back' side&per.  Normally, they are drawn in a linestyle one index number higher 
than the one used for the front, to make the two sides of the surface 
distinguishable&per.  You can specify a different line style offset to add 
instead of the default 1, by :hp2.offset <offset>:ehp2.&per.  Option :hp2.nooffset:ehp2. stands for 
:hp2.offset 0:ehp2., making the two sides of the surface use the same linestyle&per. 
:p.Next comes the option :hp2.trianglepattern <bitpattern>:ehp2.&per.  <bitpattern> must be 
a number between 0 and 7, interpreted as a bit pattern&per.  Each bit determines 
the visibility of one edge of the triangles each surface is split up into&per. 
Bit 0 is for the 'horizontal' edges of the grid, Bit 1 for the 'vertical' 
ones, and Bit 2 for the diagonals that split each cell of the original grid 
into two triangles&per.  The default pattern is 3, making all horizontal and 
vertical lines visible, but not the diagonals&per.  You may want to choose 7 to 
see those diagonals as well&per. 
:p.The :hp2.undefined <level>:ehp2. option lets you decide what the algorithm is to do 
with data points that are undefined (missing data, or undefined function 
values), or exceed the given x-, y- or z-ranges&per.  Such points can either be 
plotted nevertheless, or taken out of the input data set&per.  All surface 
elements touching a point that is taken out will be taken out as well, thus 
creating a hole in the surface&per.  If <level> = 3, equivalent to option 
:hp2.noundefined:ehp2., no points will be thrown away at all&per.  This may produce all 
kinds of problems elsewhere, so you should avoid this&per.  <level> = 2 will 
throw away undefined points, but keep the out-of-range ones&per.  <level> = 1, 
the default, will get rid of out-of-range points as well&per. 
:p.By specifying :hp2.noaltdiagonal:ehp2., you can override the default handling of a 
special case can occur if :hp2.undefined:ehp2. is active (i&per.e&per. <level> is not 3)&per. 
Each cell of the grid-structured input surface will be divided in two 
triangles along one of its diagonals&per.  Normally, all these diagonals have 
the same orientation relative to the grid&per.  If exactly one of the four cell 
corners is excluded by the :hp2.undefined:ehp2. handler, and this is on the usual 
diagonal, both triangles will be excluded&per.  However if the default setting 
of :hp2.altdiagonal:ehp2. is active, the other diagonal will be chosen for this cell 
instead, minimizing the size of the hole in the surface&per. 
:p.The :hp2.bentover:ehp2. option controls what happens to another special case, this 
time in conjunction with the :hp2.trianglepattern:ehp2.&per.  For rather crumply surfaces, 
it can happen that the two triangles a surface cell is divided into are seen 
from opposite sides (i&per.e&per. the original quadrangle is 'bent over'), as 
illustrated in the following ASCII art&colon. 
:p.:p.                                                              C----B
.br
    original quadrangle&colon.  A--B      displayed quadrangle&colon.     |\   |
.br
      ("set view 0,0")    | /|    ("set view 75,75" perhaps)  | \  |
.br
                          |/ |                                |  \ |
.br
                          C--D                                |   \|
.br
                                                              A    D
.br
:p.If the diagonal edges of the surface cells aren't generally made visible by 
bit 2 of the <bitpattern> there, the edge CB above wouldn't be drawn at all, 
normally, making the resulting display hard to understand&per.  Therefore, the 
default option of :hp2.bentover:ehp2. will turn it visible in this case&per.  If you don't 
want that, you may choose :hp2.nobentover:ehp2. instead&per. 
See also 
hidden line removal demo (hidden&per.dem) 
and 
complex hidden line demo (singulr&per.dem)&per. 
:h3 res=5044. historysize
:p.Note&colon. the command :link reftype=hd res=5044.set historysize:elink. is only available when 
compiled with the gnu readline&per. 
:p.Syntax&colon. 
:p.      set historysize <int>
.br
      unset historysize
.br
:p.When leaving gnuplot, the value of historysize is used for 
truncating the history to at most that much lines&per. The default 
is 500&per. 
:link reftype=hd res=5044.unset historysize:elink. will disable history truncation and thus 
allow an infinite number of lines to be written to the history 
file&per. 
:h3 res=5063. isosamples
:p.The isoline density (grid) for plotting functions as surfaces may be changed 
by the :link reftype=hd res=5063.set isosamples:elink. command&per. 
:p.Syntax&colon. 
:p.      set isosamples <iso_1> {,<iso_2>}
.br
      show isosamples
.br
:p.Each function surface plot will have <iso_1> iso-u lines and <iso_2> iso-v 
lines&per.  If you only specify <iso_1>, <iso_2> will be set to the same value 
as <iso_1>&per.  By default, sampling is set to 10 isolines per u or v axis&per. 
A higher sampling rate will produce more accurate plots, but will take longer&per. 
These parameters have no effect on data file plotting&per. 
:p.An isoline is a curve parameterized by one of the surface parameters while 
the other surface parameter is fixed&per.  Isolines provide a simple means to 
display a surface&per.  By fixing the u parameter of surface s(u,v), the iso-u 
lines of the form c(v) = s(u0,v) are produced, and by fixing the v parameter, 
the iso-v lines of the form c(u) = s(u,v0) are produced&per. 
:p.When a function surface plot is being done without the removal of hidden 
lines, :link reftype=hd res=6591.set samples:elink.  controls the number of points sampled along each 
isoline;  see :link reftype=hd res=6591.set samples:elink. and :link reftype=hd res=4930.set hidden3d:elink.&per. The contour algorithm 
assumes that a function sample occurs at each isoline intersection, so 
change in :link reftype=hd res=6591.samples:elink. as well as :link reftype=hd res=5063.isosamples:elink. may be desired when changing 
the resolution of a function surface/contour&per. 
:h3 res=5094. key
:p.The :link reftype=hd res=5094.set key:elink. enables a key (or legend) describing plots on a plot&per. 
:p.The contents of the key, i&per.e&per., the names given to each plotted data set and 
function and samples of the lines and/or symbols used to represent them, are 
determined by the :link reftype=hd res=3153.title:elink. and :link reftype=hd res=3195.with:elink. options of the {:hp2.s:ehp2.}:link reftype=hd res=2402.plot:elink. command&per. 
Please see :link reftype=hd res=3153.plot title:elink. and :link reftype=hd res=3195.plot with:elink. for more information&per. 
:p.Syntax&colon. 
:p.      set key {on|off} {default}
.br
              {left | right | top | bottom | outside | below | <position>}
.br
              {Left | Right} {{no}reverse}
.br
              {samplen <sample_length>} {spacing <vertical_spacing>}
.br
              {width <width_increment>}
.br
              {height <height_increment>}
.br
              {{no}autotitles}
.br
              {title "<text>"} {{no}enhanced}
.br
              {{no}box { {linestyle | ls <line_style>}
.br
                         | {linetype | lt <line_type>}
.br
                           {linewidth | lw <line_width>}}}
.br
      unset key
.br
      show key
.br
:p.By default the key is placed in the upper right corner of the graph&per.  The 
keywords :hp2.left:ehp2., :hp2.right:ehp2., :hp2.top:ehp2., :hp2.bottom:ehp2., :hp2.outside:ehp2. and :hp2.below:ehp2. may be used 
to place the key in the other corners inside the graph or to the right 
(outside) or below the graph&per.  They may be given alone or combined&per. 
:p.Plots may be drawn with no visible key by requesting :hp2.set key off:ehp2. or 
:link reftype=hd res=5094.unset key:elink.&per. 
:p.Justification of the labels within the key is controlled by :hp2.Left:ehp2. or :hp2.Right:ehp2. 
(default is :hp2.Right:ehp2.)&per.  The text and sample can be reversed (:hp2.reverse:ehp2.) and a 
box can be drawn around the key (:hp2.box {&per.&per.&per.}:ehp2.) in a specified :hp2.linetype:ehp2. 
and :link reftype=hd res=8118.linewidth:elink., or a user-defined :link reftype=hd res=6844.linestyle:elink.&per. Note that not all 
terminal drivers support linewidth selection, though&per. 
:p.The length of the sample line can be controlled by :hp2.samplen:ehp2.&per.  The sample 
length is computed as the sum of the tic length and <sample_length> times the 
character width&per.  :hp2.samplen:ehp2. also affects the positions of point samples in 
the key since these are drawn at the midpoint of the sample line, even if 
the sample line itself is not drawn&per. 
:p.The vertical spacing between lines is controlled by :hp2.spacing:ehp2.&per.  The spacing 
is set equal to the product of the pointsize, the vertical tic size, and 
<vertical_spacing>&per.  The program will guarantee that the vertical spacing is 
no smaller than the character height&per. 
:p.The <width_increment> is a number of character widths to be added to or 
subtracted from the length of the string&per.  This is useful only when you are 
putting a box around the key and you are using control characters in the text&per. 
:link reftype=hd res=37.gnuplot:elink. simply counts the number of characters in the string when computing 
the box width; this allows you to correct it&per. 
:p.The <height_increment> is a number of character heights to be added to or 
subtracted from the height of the key box&per.  This is useful mainly when you are 
putting a box around the key, otherwise it can be used to adjust the vertical 
shift of automatically chosen key position by <height_increment>/2&per. 
:p.All plotted curves of :link reftype=hd res=2402.plot:elink.s and :link reftype=hd res=12442.splot:elink.s are titled according to the 
default option :hp2.autotitles:ehp2.&per. The automatic generation of titles can be 
suppressed by :hp2.noautotitles:ehp2.; then only those titles explicitly defined 
by :hp2.(s)plot &per.&per.&per. title &per.&per.&per.:ehp2. will be drawn&per. 
:p.A title can be put on the key (:hp2.title "<text>":ehp2.)---see also :link reftype=hd res=1554.syntax:elink. for the 
distinction between text in single- or double-quotes&per.  The key title uses the 
same justification as do the plot titles&per. 
:p.An explicitly given title is typeset using enhanced text properties on 
terminals supporting this, see :link reftype=hd res=9958.enhanced text:elink. for more details&per. 
This default behavior can be switched off by the :hp2.noenhanced:ehp2. option&per. 
:p.The defaults for :link reftype=hd res=5094.set key:elink. are :hp2.on:ehp2., :hp2.right:ehp2., :hp2.top:ehp2., :hp2.Right:ehp2., :hp2.noreverse:ehp2., 
:hp2.samplen 4:ehp2., :hp2.spacing 1&per.25:ehp2., :hp2.title "":ehp2., and :hp2.nobox:ehp2.&per.  The default <linetype> 
is the same as that used for the plot borders&per.  Entering :hp2.set key default:ehp2.  
returns the key to its default configuration&per. 
:p.The <position> can be a simple x,y,z as in previous versions, but these can 
be preceded by one of four keywords (:hp2.first:ehp2., :hp2.second:ehp2., :hp2.graph:ehp2., :hp2.screen:ehp2.) 
which selects the coordinate system in which the position of the first sample 
line is specified&per.  See :link reftype=hd res=538.coordinates:elink. for more details&per. 
:p.The key is drawn as a sequence of lines, with one plot described on each 
line&per.  On the right-hand side (or the left-hand side, if :hp2.reverse:ehp2. is 
selected) of each line is a representation that attempts to mimic the way the 
curve is plotted&per.  On the other side of each line is the text description 
(the line title), obtained from the :link reftype=hd res=2402.plot:elink. command&per.  The lines are vertically 
arranged so that an imaginary straight line divides the left- and right-hand 
sides of the key&per.  It is the coordinates of the top of this line that are 
specified with the :link reftype=hd res=5094.set key:elink. command&per.  In a :link reftype=hd res=2402.plot:elink., only the x and y 
coordinates are used to specify the line position&per.  For a :link reftype=hd res=12442.splot:elink., x, y and 
z are all used as a 3-d location mapped using the same mapping as the graph 
itself to form the required 2-d screen position of the imaginary line&per. 
:p.Some or all of the key may be outside of the graph boundary, although this 
may interfere with other labels and may cause an error on some devices&per.  If 
you use the keywords :hp2.outside:ehp2. or :hp2.below:ehp2., :link reftype=hd res=37.gnuplot:elink. makes space for the keys 
and the graph becomes smaller&per.  Putting keys outside to the right, they 
occupy as few columns as possible, and putting them below, as many columns as 
possible (depending of the length of the labels), thus stealing as little 
space from the graph as possible&per. 
:p.When using the TeX or PostScript drivers, or similar drivers where formatting 
information is embedded in the string, :link reftype=hd res=37.gnuplot:elink. is unable to calculate 
correctly the width of the string for key positioning&per.  If the key is to be 
positioned at the left, it may be convenient to use the combination  :hp2.set key 
left Left reverse:ehp2.&per.  The box and gap in the grid will be the width of the 
literal string&per. 
:p.If :link reftype=hd res=12442.splot:elink. is being used to draw contours, the contour labels will be listed 
in the key&per.  If the alignment of these labels is poor or a different number 
of decimal places is desired, the label format can be specified&per.  See 
:link reftype=hd res=3970.set clabel:elink. for details&per. 
:p.Examples&colon. 
:p.This places the key at the default location&colon. 
:p.      set key default
.br
:p.This disables the key&colon. 
:p.      unset key
.br
:p.This places a key at coordinates 2,3&per.5,2 in the default (first) coordinate 
system&colon. 
:p.      set key 2,3&per.5,2
.br
:p.This places the key below the graph&colon. 
:p.      set key below
.br
:p.This places the key in the bottom left corner, left-justifies the text, 
gives it a title, and draws a box around it in linetype 3&colon. 
:p.      set key left bottom Left title 'Legend' box 3
.br
:h3 res=5235. label
:p.Arbitrary labels can be placed on the plot using the :link reftype=hd res=5235.set label:elink. command&per. 
:p.Syntax&colon. 
:p.      set label {<tag>}
.br
                { {"<label text>"{,<value>}} {, &per.&per.&per.}} }
.br
                {at <position>}
.br
                {left | center | right}
.br
                {norotate | rotate {by <degrees>}}
.br
                {font "<name>{,<size>}"}
.br
                {front | back}
.br
                {textcolor <colorspec>}
.br
                {point <pointstyle> {offset x, y} | nopoint}
.br
      unset label {<tag>}
.br
      show label
.br
:p.The <position> is specified by either x,y or x,y,z, and may be preceded by 
:hp2.first:ehp2., :hp2.second:ehp2., :hp2.graph:ehp2., or :hp2.screen:ehp2. to select the coordinate system&per. 
See :link reftype=hd res=538.coordinates:elink. for details&per. 
:p.The tag is an integer that is used to identify the label&per. If no <tag> 
is given, the lowest unused tag value is assigned automatically&per.  The 
tag can be used to delete or modify a specific label&per.  To change any 
attribute of an existing label, use the :link reftype=hd res=5235.set label:elink. command with the 
appropriate tag, and specify the parts of the label to be changed&per. 
:p.The <label text> can optionally contain numbers, generated by 
replacement of printf()-like format specifiers contained in <label 
text>&per.  The number to be used is given by the <value> following the 
text&per.  The same formatting capabilities as for tic labels are 
available&per.  See the help on :link reftype=hd res=4654.format specifiers:elink. for details&per. To 
display more than one distinct <value> with a single label, several 
pairs of <label text> and <value> may be given&per. Note that <value> is 
treated as a constant expression, i&per.e&per. if it contains variables, the 
label text will not change if the variable values are modified, 
later on&per.  The :link reftype=hd res=4376.set decimalsign:elink. option, if active, overrides the 
decimal separator character of numbers entered into label texts&per. 
:p.By default, the text is placed flush left against the point x,y,z&per.  To adjust 
the way the label is positioned with respect to the point x,y,z, add the 
justification parameter, which may be :hp2.left:ehp2., :hp2.right:ehp2. or :hp2.center:ehp2., 
indicating that the point is to be at the left, right or center of the text&per. 
Labels outside the plotted boundaries are permitted but may interfere with 
axis labels or other text&per. 
:p.If :link reftype=hd res=8126.rotate:elink. is given, the label is written vertically (if the terminal can do 
so, of course)&per.  If :hp2.rotate by <degrees>:ehp2. is given, conforming terminals will 
try to write the text at the specified angle; non-conforming terminals will 
treat this as vertical text&per. 
:p.Font and its size can be chosen explicitly by :hp2.font "<name>{,<size>}":ehp2. if the 
terminal supports font settings&per.  Otherwise the default font of the terminal 
will be used&per. 
:p.If :hp2.front:ehp2. is given, the label is written on top of the graphed data&per. If 
:hp2.back:ehp2. is given (the default), the label is written underneath the graphed 
data&per.  Using :hp2.front:ehp2. will prevent a label from being obscured by dense data&per. 
:p.:hp2.Textcolor <colorspec>:ehp2. changes the color of the label text&per. :hp2.<colorspec>:ehp2. is 
either a linetype or a mapping onto the pm3d color palette (available only in 
:link reftype=hd res=12442.splot:elink.), see help for :link reftype=hd res=6136.set palette:elink.&per. 
:p.   :hp2.textcolor:ehp2. may be abbreviated :hp2.tc:ehp2.&per.
.br
   :hp2.tc default:ehp2. resets the text color to its default state&per.
.br
   :hp2.tc lt <n>:ehp2. sets the text color to that of line type <n>&per.
.br
   :hp2.tc palette z:ehp2. selects a palette color corresponding to the label z position&per.
.br
   :hp2.tc palette cb <val>:ehp2. selects a color corresponding to <val> on the colorbar&per.
.br
   :hp2.tc palette fraction <val>:ehp2., with 0<=val<=1, selects a color corresponding to
.br
       the mapping [0&colon.1] to grays/colors of the `palette`&per.
.br
:p.If a <pointstyle> is given, using keywords :hp2.lt:ehp2., :hp2.pt:ehp2. and :hp2.ps:ehp2., see :link reftype=hd res=6679.style:elink., 
a point with the given style and color of the given line type is plotted at 
the label position and the text of the label is displaced slightly&per. 
The displacement defaults to 1, 1 in :link reftype=hd res=6474.pointsize:elink. units and can be 
controlled by the optional :hp2.offset x, y:ehp2.&per. Example&colon. :hp2.offset 2, -3:ehp2. would 
displace the labels 2 * pointsize horizontally and -3 * pointsize vertically 
from the actual coordinate point as given by :hp2.position:ehp2.&per.  The size of the 
point depends also on the setting of :link reftype=hd res=6474.pointsize:elink.&per. 
This option is used by default for placing labels in :link reftype=hd res=5530.mouse:elink. enhanced 
terminals&per.  Use :hp2.nopoint:ehp2. to turn off the drawing of a point near 
the label (this is the default)&per. 
:p.If one (or more) axis is timeseries, the appropriate coordinate should be 
given as a quoted time string according to the :link reftype=hd res=11451.timefmt:elink. format string&per. 
See :link reftype=hd res=11736.set xdata:elink. and :link reftype=hd res=11451.set timefmt:elink.&per. 
:p.The EEPIC, Imagen, LaTeX, and TPIC drivers allow \\ in a string to specify 
a newline&per. 
:p.Examples&colon. 
:p.To set a label at (1,2) to "y=x", use&colon. 
:p.      set label "y=x" at 1,2
.br
:p.To set a Sigma of size 24, from the Symbol font set, at the center of 
the graph, use&colon. 
:p.      set label "S" at graph 0&per.5,0&per.5 center font "Symbol,24"
.br
:p.To set a label "y=x^2" with the right of the text at (2,3,4), and tag the 
label as number 3, use&colon. 
:p.      set label 3 "y=x^2" at 2,3,4 right
.br
:p.To change the preceding label to center justification, use&colon. 
:p.      set label 3 center
.br
:p.To delete label number 2, use&colon. 
:p.      unset label 2
.br
:p.To delete all labels, use&colon. 
:p.      unset label
.br
:p.To show all labels (in tag order), use&colon. 
:p.      show label
.br
:p.To set a label on a graph with a timeseries on the x axis, use, for example&colon. 
:p.      set timefmt "%d/%m/%y,%H&colon.%M"
.br
      set label "Harvest" at "25/8/93",1
.br
:p.To display a freshly fitted parameter on the plot with the data and the 
fitted function, do this after the :link reftype=hd res=1781.fit:elink., but before the :link reftype=hd res=2402.plot:elink.&colon. 
:p.      set label 'a = %3&per.5g',par_a     at 30, 15
.br
      set label 'b = %s*10^%S',par_b  at 30, 20
.br
:p.To set a label displaced a little bit from a small point&colon. 
:p.      set label 'origin' at 0,0 point lt 1 pt 2 ps 3 offset 1,-1
.br
:p.To set a label whose color matches the z value (in this case 5&per.5) of some 
point on a 3D splot colored using pm3d&colon. 
:p.      set label 'text' at 0,0,5&per.5 tc palette z
.br
:p.:h3 res=5372. lmargin
:p.The command :link reftype=hd res=5372.set lmargin:elink. sets the size of the left margin&per. 
Please see :link reftype=hd res=5502.set margin:elink. for details&per. 
:h3 res=5378. loadpath
:p.The :link reftype=hd res=5378.loadpath:elink. setting defines additional locations for data and command 
files searched by the :link reftype=hd res=1710.call:elink., :link reftype=hd res=2338.load:elink., :link reftype=hd res=2402.plot:elink. and :link reftype=hd res=12442.splot:elink. commands&per.  If a 
file cannot be found in the current directory, the directories in 
:link reftype=hd res=5378.loadpath:elink. are tried&per. 
:p.Syntax&colon. 
:p.      set loadpath {"pathlist1" {"pathlist2"&per.&per.&per.}}
.br
      show loadpath
.br
:p.Path names may be entered as single directory names, or as a list of 
path names separated by a platform-specific path separator, eg&per. colon 
('&colon.') on Unix, semicolon (';') on DOS/Windows/OS/2/Amiga platforms&per. 
The :link reftype=hd res=5378.show loadpath:elink., :link reftype=hd res=3434.save:elink. and :hp2.save set:ehp2. commands replace the 
platform-specific separator with a space character (' ') for maximum 
portability&per. 
:p.If the environment variable GNUPLOT_LIB is set, its contents are 
appended to :link reftype=hd res=5378.loadpath:elink.&per.  However, :link reftype=hd res=5378.show loadpath:elink. prints the contents 
of user defined loadpath and system loadpath separately&per.  Also, the 
:link reftype=hd res=3434.save:elink. and :hp2.save set:ehp2. commands save only the user specified parts of 
:link reftype=hd res=5378.loadpath:elink., for portability reasons&per. 
:h3 res=5405. locale
:p.The :link reftype=hd res=5405.locale:elink. setting determines the language with which :hp2.{x,y,z}{d,m}tics:ehp2. 
will write the days and months&per. 
:p.Syntax&colon. 
:p.      set locale {"<locale>"}
.br
:p.<locale> may be any language designation acceptable to your installation&per. 
See your system documentation for the available options&per.  The default value 
is determined from the LANG environment variable&per. 
:h3 res=5418. logscale
:p.Log scaling may be set on the x, y, z, x2 and/or y2 axes&per. 
:p.Syntax&colon. 
:p.      set logscale <axes> <base>
.br
      unset logscale <axes>
.br
      show logscale
.br
:p.where <axes> may be any combinations of :hp2.x:ehp2., :hp2.y:ehp2., :hp2.z:ehp2., and :hp2.cb:ehp2. in any order, 
or :hp2.x2:ehp2. or :hp2.y2:ehp2. and where <base> is the base of the log scaling&per.  If <base> is 
not given, then 10 is assumed&per.  If <axes> is not given, then all axes are 
assumed&per.  :link reftype=hd res=5418.unset logscale:elink. turns off log scaling for the specified axes&per. 
:p.Examples&colon. 
:p.To enable log scaling in both x and z axes&colon. 
:p.      set logscale xz
.br
:p.To enable scaling log base 2 of the y axis&colon. 
:p.      set logscale y 2
.br
:p.To enable z and color log axes for a pm3d plot&colon. 
:p.      set logscale zcb
.br
:p.To disable z axis log scaling&colon. 
:p.      unset logscale z
.br
:h3 res=5454. mapping
:p.If data are provided to :link reftype=hd res=12442.splot:elink. in spherical or cylindrical coordinates, 
the :link reftype=hd res=5454.set mapping:elink. command should be used to instruct :link reftype=hd res=37.gnuplot:elink. how to 
interpret them&per. 
:p.Syntax&colon. 
:p.      set mapping {cartesian | spherical | cylindrical}
.br
:p.A cartesian coordinate system is used by default&per. 
:p.For a spherical coordinate system, the data occupy two or three columns 
(or :link reftype=hd res=2845.using:elink. entries)&per.  The first two are interpreted as the azimuthal 
and polar angles theta and phi (or "longitude" and "latitude"), in the 
units specified by :link reftype=hd res=3500.set angles:elink.&per.  The radius r is taken from the third 
column if there is one, or is set to unity if there is no third column&per. 
The mapping is&colon. 
:p.:p.      x = r * cos(theta) * cos(phi)
.br
      y = r * sin(theta) * cos(phi)
.br
      z = r * sin(phi)
.br
:p.Note that this is a "geographic" spherical system, rather than a "polar" 
one (that is, phi is measured from the equator, rather than the pole)&per. 
:p.For a cylindrical coordinate system, the data again occupy two or three 
columns&per.  The first two are interpreted as theta (in the units specified by 
:link reftype=hd res=3500.set angles:elink.) and z&per.  The radius is either taken from the third column or set 
to unity, as in the spherical case&per.  The mapping is&colon. 
:p.:p.      x = r * cos(theta)
.br
      y = r * sin(theta)
.br
      z = z
.br
:p.The effects of :link reftype=hd res=5454.mapping:elink. can be duplicated with the :link reftype=hd res=2845.using:elink. filter on the 
:link reftype=hd res=12442.splot:elink. command, but :link reftype=hd res=5454.mapping:elink. may be more convenient if many data files are 
to be processed&per.  However even if :link reftype=hd res=5454.mapping:elink. is used, :link reftype=hd res=2845.using:elink. may still be 
necessary if the data in the file are not in the required order&per. 
:p.:link reftype=hd res=5454.mapping:elink. has no effect on :link reftype=hd res=2402.plot:elink.&per. 
world&per.dem&colon. mapping demos&per. 
:h3 res=5502. margin
:p.The computed margins can be overridden by the :link reftype=hd res=5502.set margin:elink. commands&per.  :hp2.show 
margin:ehp2. shows the current settings&per. 
:p.Syntax&colon. 
:p.      set bmargin {<margin>}
.br
      set lmargin {<margin>}
.br
      set rmargin {<margin>}
.br
      set tmargin {<margin>}
.br
      show margin
.br
:p.The units of <margin> are character heights or widths, as appropriate&per.  A 
positive value defines the absolute size of the margin&per.  A negative value 
(or none) causes :link reftype=hd res=37.gnuplot:elink. to revert to the computed value&per.  For 3D plots, 
only the left margin setting has any effect so far&per. 
:p.Normally the margins of a plot are automatically calculated based on tics, 
tic labels, axis labels, the plot title, the timestamp and the size of the 
key if it is outside the borders&per.  If, however, tics are attached to the 
axes (:hp2.set xtics axis:ehp2., for example), neither the tics themselves nor their 
labels will be included in either the margin calculation or the calculation 
of the positions of other text to be written in the margin&per.  This can lead 
to tic labels overwriting other text if the axis is very close to the border&per. 
:h3 res=5530. mouse
:p.The command :link reftype=hd res=5530.set mouse:elink. enables mouse actions&per. Currently the pm, x11, ggi and 
windows terminals are mouse enhanced&per. There are two mouse modes&per. The 2d-graph 
mode works for 2d graphs and for maps (i&per.e&per. splots with :link reftype=hd res=11617.set view:elink. having 
z-rotation 0, 90, 180, 270 or 360 degrees) and it allows tracing the position 
over graph, zooming, annotating graph etc&per. For 3d graphs :link reftype=hd res=12442.splot:elink., the view 
and scaling of the graph can be changed with mouse buttons 1 and 2&per. If 
additionally to these buttons the modifier <ctrl> is hold down, the 
coordinate system only is rotated which is useful for large data sets&per. A 
vertical motion of Button 2 with the shift key hold down changes the 
ticslevel&per. 
:p.Mousing is not available in multiplot mode&per. If multiplot is disabled using 
:link reftype=hd res=5642.unset multiplot:elink. though,  the mouse will be turned on again and acts on the 
last plot (like replot does)&per. 
:p.Syntax&colon. 
:p.      set mouse [doubleclick <ms>] [nodoubleclick] \
.br
                [[no]zoomcoordinates] \
.br
                [[no]polardistance] \
.br
                [format <string>] \
.br
                [clipboardformat <int>/<string>] \
.br
                [mouseformat <int>/<string>] \
.br
                [[no]labels] [labeloptions <string>] \
.br
                [[no]zoomjump] [[no]verbose]
.br
      unset mouse
.br
:p.The doubleclick resolution is given in milliseconds and used for Button 1 
which copies the current mouse position to the :hp2.clipboard:ehp2.&per. If you want that 
to be done by single clicking a value of 0 ms can be used&per. The default value 
is 300 ms&per. 
:p.The option :hp2.zoomcoordinates:ehp2. determines if the coordinates of the zoom box are 
drawn at the edges while zooming&per. This is on by default&per. 
:p.The option :hp2.polardistance:ehp2. determines if the distance to the ruler is also 
shown in polar coordinates&per. This corresponds to the default key binding '5'&per. 
:p.The :link reftype=hd res=4612.format:elink. option takes a fprintf like format string which determines how 
floating point numbers are printed to the drivers window and the clipboard&per. 
The default is "% #g"&per. 
:p.:hp2.clipboardformat:ehp2. and :hp2.mouseformat:ehp2. are used for formatting the text on 
Button1 and Button2 actions -- copying the coordinates to the clipboard and 
temporarily annotating the mouse position&per. This corresponds to the key 
bindings '1', '2', '3', '4' (see the drivers's help window)&per. If the argument 
is a string this string is used as c format specifier and should contain two 
float specifiers, e&per.g&per. :hp2.set mouse mouseformat "mouse = %5&per.2g, %10&per.2f":ehp2.&per. Use 
:hp2.set mouse mouseformat "":ehp2. to turn this string off again&per. 
:p.The following formats are available (format 6 may only be selected if the 
format string was specified already)&colon. 
:p.:p. 0   real coordinates in  brackets e&per.g&per. [1&per.23, 2&per.45]
.br
 1   real coordinates w/o brackets e&per.g&per.  1&per.23, 2&per.45
.br
 2   x == timefmt                       [(as set by :link reftype=hd res=11451.set timefmt:elink.), 2&per.45]
.br
 3   x == date                          [31&per. 12&per. 1999, 2&per.45]
.br
 4   x == time                          [23&colon.59, 2&per.45]
.br
 5   x == date / time                   [31&per. 12&per. 1999 23&colon.59, 2&per.45]
.br
 6   alt&per. format, specified as string   ""
.br
:p.Choose the option :hp2.labels:ehp2. to get real gnuplot labels on Button 2&per. (The 
default is :hp2.nolabels:ehp2. which makes Button 2 drawing only temporary annotations 
at the mouse positions)&per. The labels are drawn with the current setting of 
:hp2.mouseformat:ehp2.&per. :hp2.labeloptions:ehp2. controls which options are passed to the 
:link reftype=hd res=5235.set label:elink. command&per. The default is "pointstyle 1" which will plot a small 
plus at the label position&per.  Note that the pointsize is taken from the 
:link reftype=hd res=6474.set pointsize:elink. command&per. 
Labels can be removed by holding the Ctrl-Key down while clicking with 
Button 2 on the label's point&per. The threshold for how close you must be to the 
label is also determined by the :link reftype=hd res=6474.pointsize:elink.&per. 
:p.If the option :hp2.zoomjump:ehp2. is on, the mouse pointer will be automatically 
offset a small distance after starting a zoom region with button 3&per. This can 
be useful to avoid a tiny (or even empty) zoom region&per. :hp2.zoomjump:ehp2. is off by 
default&per. 
:p.If the option :hp2.verbose:ehp2. is turned on the communication commands are shown 
during execution&per. This option can also be toggled by hitting :hp2.6:ehp2. in the 
driver's window&per. :hp2.verbose:ehp2. is off by default&per. 
:p.Press 'h' in the driver's window for a short summary of the mouse and key 
bindings&per.  This will also display user defined bindings or :hp2.hotkeys:ehp2. which 
can be defined using the :link reftype=hd res=1396.bind:elink. command, see help for :link reftype=hd res=1396.bind:elink.&per.  Note, that user 
defined :hp2.hotkeys:ehp2. may override the default bindings&per. 
:p.Press 'q' in the driver's window to close the window&per. This key cannot be 
overridden with the :link reftype=hd res=1396.bind:elink. command&per. 
:p.See also help for :link reftype=hd res=1396.bind:elink. and :link reftype=hd res=5235.label:elink.&per. 
:h4 res=5626. x11_mouse
:p.X11 mouse support is turned on by default if standard input comes from a  
terminal (tty)&per. Mouse support is turned off if standard input does not  
come from a tty, e&per.g&per. a pipe&per. If you want to use mouse support while writing 
to gnuplot from a pipe, the mouse must be turned on *before* starting the x11 
driver, e&per.g&per. immediately after startup with the explicit command :link reftype=hd res=5530.set mouse:elink.&per. 
Beware&colon. on some UNIX flavours, special input devices as /dev/null might not  
be :hp2.select-able:ehp2.; turning on the mouse when using such devices will hang  
gnuplot&per. 
:p.If multiple X11 plot windows have been opened using the :hp2.set term x11 <n>:ehp2. 
terminal option, then only the current plot window supports the entire  
range of mouse commands and hotkeys&per.  The other windows will, however, 
continue to display mouse coordinates at the lower left&per. 
:h3 res=5642. multiplot
:p.The command :link reftype=hd res=5642.set multiplot:elink. places :link reftype=hd res=37.gnuplot:elink. in the multiplot mode, in which 
several plots are placed on the same page, window, or screen&per. 
:p.Syntax&colon. 
:p.      set multiplot
.br
      unset multiplot
.br
:p.For some terminals, no plot is displayed until the command :link reftype=hd res=5642.unset multiplot:elink. 
is given, which causes the entire page to be drawn and then returns :link reftype=hd res=37.gnuplot:elink. 
to its normal single-plot mode&per.  For other terminals, each separate :link reftype=hd res=2402.plot:elink. 
command produces a plot, but the screen may not be cleared between plots&per. 
:p.Any labels or arrows that have been defined will be drawn for each plot 
according to the current size and origin (unless their coordinates are 
defined in the :hp2.screen:ehp2. system)&per.  Just about everything else that can be 
:link reftype=hd res=3481.set:elink. is applied to each plot, too&per.  If you want something to appear only 
once on the page, for instance a single time stamp, you'll need to put a :hp2.set 
time:ehp2./:hp2.unset time:ehp2. pair around one of the :link reftype=hd res=2402.plot:elink., :link reftype=hd res=12442.splot:elink. or :link reftype=hd res=3344.replot:elink. 
commands within the :link reftype=hd res=5642.set multiplot:elink./:link reftype=hd res=5642.unset multiplot:elink. block&per. 
:p.The commands :link reftype=hd res=5818.set origin:elink. and :link reftype=hd res=6618.set size:elink. must be used to correctly position 
each plot; see :link reftype=hd res=5818.set origin:elink. and :link reftype=hd res=6618.set size:elink. for details of their usage&per. 
:p.Example&colon. 
:p.      set size 0&per.7,0&per.7
.br
      set origin 0&per.1,0&per.1
.br
      set multiplot
.br
      set size 0&per.4,0&per.4
.br
      set origin 0&per.1,0&per.1
.br
      plot sin(x)
.br
      set size 0&per.2,0&per.2
.br
      set origin 0&per.5,0&per.5
.br
      plot cos(x)
.br
      unset multiplot
.br
:p.displays a plot of cos(x) stacked above a plot of sin(x)&per.  Note the initial 
:link reftype=hd res=6618.set size:elink. and :link reftype=hd res=5818.set origin:elink.&per.  While these are not always required, their 
inclusion is recommended&per.  Some terminal drivers require that bounding box 
information be available before any plots can be made, and the form given 
above guarantees that the bounding box will include the entire plot array 
rather than just the bounding box of the first plot&per. 
:p.:link reftype=hd res=6618.set size:elink. and :link reftype=hd res=5818.set origin:elink. refer to the entire plotting area used for each 
plot&per.  If you want to have the axes themselves line up, you can guarantee 
that the margins are the same size with the :link reftype=hd res=5502.set margin:elink. commands&per. 
See :link reftype=hd res=5502.set margin:elink. for their use&per.  Note that the margin settings are absolute, 
in character units, so the appearance of the graph in the remaining space 
will depend on the screen size of the display device, e&per.g&per., perhaps quite 
different on a video display and a printer&per. 
See also 
multiplot demo (multiplt&per.dem)&per. 
:h3 res=5702. mx2tics
:p.Minor tic marks along the x2 (top) axis are controlled by :link reftype=hd res=5702.set mx2tics:elink.&per. 
Please see :link reftype=hd res=5713.set mxtics:elink.&per. 
:h3 res=5713. mxtics
:p.Minor tic marks along the x axis are controlled by :link reftype=hd res=5713.set mxtics:elink.&per.  They can be 
turned off with :link reftype=hd res=5713.unset mxtics:elink.&per.  Similar commands control minor tics along 
the other axes&per. 
:p.Syntax&colon. 
:p.      set mxtics {<freq> | default}
.br
      unset mxtics
.br
      show mxtics
.br
:p.The same syntax applies to :link reftype=hd res=5764.mytics:elink., :link reftype=hd res=5775.mztics:elink., :link reftype=hd res=5702.mx2tics:elink., :link reftype=hd res=5753.my2tics:elink. and 
:hp2.mcbtics:ehp2.&per. 
:p.<freq> is the number of sub-intervals (NOT the number of minor tics) between 
major tics (the default for a linear axis is either two or five 
depending on the major tics, so there are one or four minor 
tics between major tics)&per. Selecting :hp2.default:ehp2. will return the number of minor 
ticks to its default value&per. 
:p.If the axis is logarithmic, the number of sub-intervals will be set to a 
reasonable number by default (based upon the length of a decade)&per.  This will 
be overridden if <freq> is given&per.  However the usual minor tics (2, 3, &per.&per.&per., 
8, 9 between 1 and 10, for example) are obtained by setting <freq> to 10, 
even though there are but nine sub-intervals&per. 
:p.Minor tics can be used only with uniformly spaced major tics&per.  Since major 
tics can be placed arbitrarily by :hp2.set {x|x2|y|y2|z}tics:ehp2., minor tics cannot 
be used if major tics are explicitly :link reftype=hd res=3481.set:elink.&per. 
:p.By default, minor tics are off for linear axes and on for logarithmic axes&per. 
They inherit the settings for :hp2.axis|border:ehp2. and :hp2.{no}mirror:ehp2. specified for 
the major tics&per.  Please see :link reftype=hd res=11968.set xtics:elink. for information about these&per. 
:h3 res=5753. my2tics
:p.Minor tic marks along the y2 (right-hand) axis are controlled by :hp2.set 
my2tics:ehp2.&per.  Please see :link reftype=hd res=5713.set mxtics:elink.&per. 
:h3 res=5764. mytics
:p.Minor tic marks along the y axis are controlled by :link reftype=hd res=5764.set mytics:elink.&per.  Please 
see :link reftype=hd res=5713.set mxtics:elink.&per. 
:h3 res=5775. mztics
:p.Minor tic marks along the z axis are controlled by :link reftype=hd res=5775.set mztics:elink.&per.  Please 
see :link reftype=hd res=5713.set mxtics:elink.&per. 
:h3 res=5786. offsets
:p.Offsets provide a mechanism to put a boundary around the data inside of an 
autoscaled graph&per. 
:p.Syntax&colon. 
:p.      set offsets <left>, <right>, <top>, <bottom>
.br
      unset offsets
.br
      show offsets
.br
:p.Each offset may be a constant or an expression&per.  Each defaults to 0&per.  Left 
and right offsets are given in units of the x axis, top and bottom offsets in 
units of the y axis&per.  A positive offset expands the graph in the specified 
direction, e&per.g&per., a positive bottom offset makes ymin more negative&per.  Negative 
offsets, while permitted, can have unexpected interactions with autoscaling 
and clipping&per. 
:p.Offsets are ignored in :link reftype=hd res=12442.splot:elink.s&per. 
:p.Example&colon. 
:p.      set offsets 0, 0, 2, 2
.br
      plot sin(x)
.br
:p.This graph of sin(x) will have a y range [-3&colon.3] because the function 
will be autoscaled to [-1&colon.1] and the vertical offsets are each two&per. 
:h3 res=5818. origin
:p.The :link reftype=hd res=5818.set origin:elink. command is used to specify the origin of a plotting surface 
(i&per.e&per., the graph and its margins) on the screen&per.  The coordinates are given 
in the :hp2.screen:ehp2. coordinate system (see :link reftype=hd res=538.coordinates:elink. for information about 
this system)&per. 
:p.Syntax&colon. 
:p.      set origin <x-origin>,<y-origin>
.br
:h3 res=5831. output
:p.By default, screens are displayed to the standard output&per. The :link reftype=hd res=5831.set output:elink. 
command redirects the display to the specified file or device&per. 
:p.Syntax&colon. 
:p.      set output {"<filename>"}
.br
      show output
.br
:p.The filename must be enclosed in quotes&per.  If the filename is omitted, any 
output file opened by a previous invocation of :link reftype=hd res=5831.set output:elink. will be closed 
and new output will be sent to STDOUT&per.  (If you give the command :hp2.set output 
"STDOUT":ehp2., your output may be sent to a file named "STDOUT"!  ["May be", not 
"will be", because some terminals, like :link reftype=hd res=10898.x11:elink., ignore :link reftype=hd res=5831.set output:elink.&per.]) 
:p.MSDOS users should note that the \ character has special significance in 
double-quoted strings, so single-quotes should be used for filenames in 
different directories&per. 
:p.When both :link reftype=hd res=7403.set terminal:elink. and :link reftype=hd res=5831.set output:elink. are used together, it is safest to 
give :link reftype=hd res=7403.set terminal:elink. first, because some terminals set a flag which is needed 
in some operating systems&per.  This would be the case, for example, if the 
operating system needs to know whether or not a file is to be formatted in 
order to open it properly&per. 
:p.On machines with popen functions (Unix), output can be piped through a shell 
command if the first non-whitespace character of the filename is '|'&per. 
For instance, 
:p.:p.      set output "|lpr -Plaser filename"
.br
      set output "|lp -dlaser filename"
.br
:p.On MSDOS machines, :hp2.set output "PRN":ehp2. will direct the output to the default 
printer&per.  On VMS, output can be sent directly to any spooled device&per.  It is 
also possible to send the output to DECnet transparent tasks, which allows 
some flexibility&per. 
:h3 res=5872. parametric
:p.The :link reftype=hd res=5872.set parametric:elink. command changes the meaning of :link reftype=hd res=2402.plot:elink. (:link reftype=hd res=12442.splot:elink.) from 
normal functions to parametric functions&per.  The command :link reftype=hd res=5872.unset parametric:elink. 
restores the plotting style to normal, single-valued expression plotting&per. 
:p.Syntax&colon. 
:p.      set parametric
.br
      unset parametric
.br
      show parametric
.br
:p.For 2-d plotting, a parametric function is determined by a pair of parametric 
functions operating on a parameter&per.  An example of a 2-d parametric function 
would be :hp2.plot sin(t),cos(t):ehp2., which draws a circle (if the aspect ratio is 
set correctly---see :link reftype=hd res=6618.set size:elink.)&per.  :link reftype=hd res=37.gnuplot:elink. will display an error message if 
both functions are not provided for a parametric :link reftype=hd res=2402.plot:elink.&per. 
:p.For 3-d plotting, the surface is described as x=f(u,v), y=g(u,v), z=h(u,v)&per. 
Therefore a triplet of functions is required&per.  An example of a 3-d parametric 
function would be :hp2.cos(u)*cos(v),cos(u)*sin(v),sin(u):ehp2., which draws a sphere&per. 
:link reftype=hd res=37.gnuplot:elink. will display an error message if all three functions are not 
provided for a parametric :link reftype=hd res=12442.splot:elink.&per. 
:p.The total set of possible plots is a superset of the simple f(x) style plots, 
since the two functions can describe the x and y values to be computed 
separately&per.  In fact, plots of the type t,f(t) are equivalent to those 
produced with f(x) because the x values are computed using the identity 
function&per.  Similarly, 3-d plots of the type u,v,f(u,v) are equivalent to 
f(x,y)&per. 
:p.Note that the order the parametric functions are specified is xfunction, 
yfunction (and zfunction) and that each operates over the common parametric 
domain&per. 
:p.Also, the :link reftype=hd res=5872.set parametric:elink. function implies a new range of values&per.  Whereas 
the normal f(x) and f(x,y) style plotting assume an xrange and yrange (and 
zrange), the parametric mode additionally specifies a trange, urange, and 
vrange&per.  These ranges may be set directly with :link reftype=hd res=11578.set trange:elink., :link reftype=hd res=11587.set urange:elink., 
and :link reftype=hd res=11659.set vrange:elink., or by specifying the range on the :link reftype=hd res=2402.plot:elink. or :link reftype=hd res=12442.splot:elink. 
commands&per.  Currently the default range for these parametric variables is 
[-5&colon.5]&per.  Setting the ranges to something more meaningful is expected&per. 
:h3 res=5920. plot
:p.The :link reftype=hd res=5920.show plot:elink. command shows the current plotting command as it results 
from the last :link reftype=hd res=2402.plot:elink. and/or :link reftype=hd res=12442.splot:elink. and possible subsequent :link reftype=hd res=3344.replot:elink. commands&per. 
:p.In addition, the :hp2.show plot add2history:ehp2. command adds this current plot 
command into the :link reftype=hd res=2283.history:elink.&per. It is useful if you have used :link reftype=hd res=3344.replot:elink. to add 
more curves to the current plot and you want to edit the whole command now&per. 
:h3 res=5929. pm3d
:p.pm3d is an :link reftype=hd res=12442.splot:elink. style for drawing palette-mapped 3d and 4d data as 
color/gray maps and surfaces&per.  It uses a pm3d algorithm which allows plotting 
gridded as well as non-gridded data without preprocessing, even when the data 
scans do not have the same number of points&per. 
:p.Drawing of color surfaces is available on terminals supporting filled colored 
polygons with color mapping specified by :link reftype=hd res=6136.palette:elink.&per. Currently supported 
terminals include 
:p.:p.  Screen terminals&colon.
.br
    OS/2 Presentation Manager
.br
    X11
.br
    Linux VGA (vgagl)
.br
    GGI
.br
    Windows
.br
    AquaTerm (Mac OS X)
.br
  Files&colon.
.br
    PostScript
.br
    pslatex, pstex, epslatex
.br
    gif, png, jpeg
.br
    (x)fig
.br
    tgif
.br
    cgm
.br
    pdf
.br
    svg
.br
:p.Let us first describe how a map/surface is drawn&per.  The input data come from an 
evaluated function or from an :hp2.splot data file:ehp2.&per.  Each surface consists of a 
sequence of separate scans (isolines)&per.  The pm3d algorithm fills the region 
between two neighbouring points in one scan with another two points in the 
next scan by a gray (or color) according to z-values (or according to an 
additional 'color' column, see help for :link reftype=hd res=2845.using:elink.) of these 4 corners; by default 
the 4 corner values are averaged, but this can be changed by the option  
:hp2.corners2color:ehp2.&per.  In order to get a reasonable surface, the neighbouring scans 
should not cross and the number of points in the neighbouring scans should not 
differ too much; of course, the best plot is with scans having same number of 
points&per.  There are no other requirements (e&per.g&per. the data need not be gridded)&per. 
Another advantage is that the pm3d algorithm does not draw anything outside of 
the input (measured or calculated) region&per. 
:p.Surface coloring works with the following input data&colon. 
:p.1&per. splot of function or of data file with one or three data columns&colon. The  
gray/color scale is obtained by mapping the averaged (or :hp2.corners2color:ehp2.)  
z-coordinate of the four corners of the above-specified quadrangle into the  
range [min_color_z,max_color_z] of :link reftype=hd res=12353.zrange:elink. or :link reftype=hd res=12391.cbrange:elink. providing a gray value 
in the range [0&colon.1]&per.  This value can be used directly as the gray for gray maps&per. 
The normalized gray value can be further mapped into a color---see :link reftype=hd res=6136.set palette:elink. 
for the complete description&per. 
:p.2&per. splot of data file with two or four data columns&colon. The gray/color value is 
obtained by using the last-column coordinate instead of the z-value, thus 
allowing the color and the z-coordinate be mutually independent&per.  This can be 
used for 4d data drawing&per. 
:p.Other notes&colon. 
:p.1&per. The term 'scan' referenced above is used more among physicists than the 
term 'iso_curve' referenced in gnuplot documentation and sources&per.  You measure 
maps recorded one scan after another scan, that's why&per. 
:p.2&per. The 'gray' or 'color' scale is a linear mapping of a continuous variable 
onto a smoothly varying palette of colors&per. The mapping is shown in a  
rectangle next to the main plot&per. This documentation refers to this as a 
"colorbox", and refers to the indexing variable as lying on the colorbox axis&per. 
See :link reftype=hd res=4152.set colorbox:elink., :link reftype=hd res=12391.set cbrange:elink.&per. 
:p.3&per. To use pm3d coloring to generate a two-dimensional plot rather than a 3D  
surface, use :link reftype=hd res=11617.set view map:elink. or :hp2.set pm3d map:ehp2.&per. 
:p.Syntax&colon. 
:p.      set pm3d
.br
      set pm3d {
.br
                 { at <bst combination> }
.br
                 { scansautomatic | scansforward | scansbackward }
.br
                 { flush { begin | center | end } }
.br
                 { ftriangles | noftriangles }
.br
                 { clip1in | clip4in }
.br
                 { corners2color { mean|geomean|median|c1|c2|c3|c4 } }
.br
                 { hidden3d <linestyle> | nohidden3d }
.br
                 { implicit | explicit }
.br
                 { map }
.br
               }
.br
      show pm3d
.br
      unset pm3d
.br
:p.Setting :link reftype=hd res=5929.set pm3d:elink. (i&per.e&per. without options) sets up the default values&per. 
Otherwise, the options can be given in any order&per. 
:p.Color surface can be drawn at the base or top (then it is a gray/color planar 
map) or at z-coordinates of surface points (gray/color surface)&per.  This is 
defined by the :hp2.at:ehp2. option with a string of up to 6 combinations of :hp2.b:ehp2., :hp2.t:ehp2. 
and :hp2.s:ehp2.&per. For instance, :hp2.at b:ehp2. plots at bottom only, :hp2.at st:ehp2. plots firstly 
surface and then top map, while :hp2.at bstbst:ehp2. will never by seriously used&per. 
:p.Colored quadrangles are plotted one after another&per.  When plotting surfaces 
(:hp2.at s:ehp2.), the later quadrangles overlap (overdraw) the previous ones&per. 
(Gnuplot is not virtual reality tool to calculate intersections of filled 
polygon meshes&per.)  You may try to switch between :hp2.scansforward:ehp2. and 
:hp2.scansbackward:ehp2. to force the first scan of the data to be plotted first or 
last&per.  The default is :hp2.scansautomatic:ehp2. where gnuplot makes a guess about scans 
order&per. 
:p.If two subsequent scans do not have same number of points, then it has to be 
decided whether to start taking points for quadrangles from the beginning of 
both scans (:hp2.flush begin:ehp2.), from their ends (:hp2.flush end:ehp2.) or to center them 
(:hp2.flush center:ehp2.)&per.  Note, that :hp2.flush (center|end):ehp2. are incompatible with 
:hp2.scansautomatic:ehp2.&colon. if you specify :hp2.flush center:ehp2. or :hp2.flush end:ehp2. and 
:hp2.scansautomatic:ehp2. is set, it is silently switched to :hp2.scansforward:ehp2.&per. 
:p.If two subsequent scans do not have the same number of points, the option 
:hp2.ftriangles:ehp2. specifies whether color triangles are drawn at the scan tail(s) 
where there are not enough points in either of the scan&per. This can be used to 
draw a smooth map boundary&per. 
:p.Clipping with respect to x, y coordinates of quadrangles can be done in two 
ways&per.  :hp2.clip1in:ehp2.&colon. all 4 points of each quadrangle must be defined and at least 
1 point of the quadrangle must lie in the x and y ranges&per.  :hp2.clip4in:ehp2.&colon. all 4 
points of each quadrangle must lie in the x and y ranges&per. 
:p.There is a single gray/color value associated to each drawn pm3d quadrangle 
(no smooth color change among vertices)&per.  The value is calculated from 
z-coordinates from the surrounding corners according to :hp2.corners2color 
<option>:ehp2.&per.  The options 'mean' (default), 'geomean' and 'median' produce 
various kinds of surface color smoothing&per.  This may not be desired for pixel 
images or for maps with sharp and intense peaks, in which case the options 
'c1', 'c2', 'c3' or 'c4' can be used instead to assign the quadrangle color 
based on the z-coordinate of only one corner&per.  Some experimentation may be 
needed to determine which corner corresponds to 'c1', as the orientation 
depends on the drawing direction&per.  Because the pm3d algorithm does not extend 
the colored surface outside the range of the input data points, the 'c<j>' 
coloring options will result in pixels along two edges of the grid not 
contributing to the color of any quadrangle&per.  For example, applying the pm3d 
algorithm to the 4x4 grid of data points in script :hp2.demo/pm3d&per.dem:ehp2. (please have 
a look) produces only (4-1)x(4-1)=9 colored rectangles&per. 
:p.Another drawing algorithm, which would draw quadrangles around a given node 
by taking corners from averaged (x,y)-coordinates of its surrounding 4 nodes 
while using node's color, could be implemented in the future&per. 
:p.Notice that ranges of z-values and color-values for surfaces are adjustable 
independently by :link reftype=hd res=12353.set zrange:elink., :link reftype=hd res=12391.set cbrange:elink., as well as :link reftype=hd res=5418.set log:elink. for z or 
cb&per.  Maps can be adjusted by the cb-axis only; see also :link reftype=hd res=11617.set view map:elink. and 
:link reftype=hd res=4152.set colorbox:elink.&per. 
:p.The option :link reftype=hd res=4930.hidden3d:elink. takes as the argument a linestyle which must be created 
by :hp2.set style line &per.&per.&per.:ehp2.&per. (The style need not to be present when setting pm3d, 
but it must be present when plotting)&per.  If set, lines are drawn using the 
specified line style, taking into account hidden line removal&per.  This is by 
far more efficient than using the command :link reftype=hd res=4930.set hidden3d:elink. as it doesn't really 
calculate hidden line removal, but just draws the filled polygons in the 
correct order&per. So the recommended choice when using pm3d is 
:p.      set pm3d at s hidden3d 100
.br
      set style line 100 lt 5 lw 0&per.5
.br
      unset hidden3d
.br
      unset surf
.br
      splot x*x+y*y
.br
:p.There used to be an option {transparent|solid} to this command&per.  Now 
you get the same effect from :hp2.set grid {front|layerdefault}:ehp2., 
respectively&per. 
:p.The :hp2.set pm3d map:ehp2. is an abbreviation for :hp2.set pm3d at b:ehp2.; :link reftype=hd res=11617.set view map:elink.; 
:hp2.set style data pm3d:ehp2.; :hp2.set style func pm3d:ehp2.;&per. 
It is used for backwards compatibility, when :link reftype=hd res=11617.set view map:elink. was not available&per. 
Take care that you properly use :link reftype=hd res=12353.zrange:elink. and :link reftype=hd res=12391.cbrange:elink. for input data point 
filtering and color range scaling, respectively; and also :hp2.set (no)surface:ehp2. 
seems to have a (side?) effect&per. 
:p.The coloring setup as well as the color box drawing are determined by 
:link reftype=hd res=6136.set palette:elink.&per.  There can be only one palette for the current plot&per.  Drawing 
of several surfaces with different palettes can be achieved by :link reftype=hd res=5642.multiplot:elink. 
with fixed :link reftype=hd res=5818.origin:elink. and :link reftype=hd res=6618.size:elink.; don't forget to use :hp2.set palette maxcolors:ehp2. 
when your terminal is running out of available colors&per. 
:p.If the option :hp2.implicit:ehp2. is on (which is the default), all surface plots 
will be plotted additionally to the default type, e&per.g&per. 
:p.      splot 'fred&per.dat' with lines, 'lola&per.dat' with lines
.br
would give both plots additionally to a pm3d surface&per. 
If the option :hp2.implicit:ehp2. is off (or :hp2.explicit:ehp2. is on) only plots specified 
by the :hp2.with pm3d:ehp2. attribute are plotted with a pm3d surface, e&per.g&per.&colon. 
:p.      splot 'fred&per.dat' with lines, 'lola&per.dat' with pm3d
.br
would plot 'fred&per.dat' with lines (and only lines) and 'lola&per.dat' with 
a pm3d surface&per. 
If :hp2.explicit:ehp2. is on, you can also switch to the default style :link reftype=hd res=5929.pm3d:elink., e&per.g&per.&colon. 
:p.      set style data pm3d
.br
:p.Note that when plotting several plots, they are plotted in the order given 
on the command line&per. This can be of interest especially for filled surfaces 
which can overwrite and therefore hide part of earlier plots&per. 
:p.If :hp2.with pm3d:ehp2. is specified in the :link reftype=hd res=12442.splot:elink. command line, then it accepts the 
'at' option&per.  The following plots draw three color surfaces at different 
altitudes&colon. 
:p.      set border 4095
.br
      set pm3d at s
.br
      splot 10*x with pm3d at b, x*x-y*y, x*x+y*y with pm3d at t
.br
:p.See also help for :link reftype=hd res=6136.set palette:elink., :link reftype=hd res=12391.set cbrange:elink., :link reftype=hd res=4152.set colorbox:elink., :link reftype=hd res=11292.x11 pm3d:elink. 
and definitely the demo file :hp2.demo/pm3d&per.dem:ehp2.&per. 
:p.:h3 res=6136. palette
:p.Palette is a color storage for use by :link reftype=hd res=5929.pm3d:elink., filled color contours or 
polygons, color histograms, color gradient background, and whatever it is 
or it will be implemented&per.&per.&per.  Here it stands for a palette of smooth 
"continuous" colors or grays, but let's call it just a palette&per. 
:p.Color palettes require terminal entries for filled color polygons and 
palettes of smooth colors, are currently available for terminals listed in 
help for :link reftype=hd res=5929.set pm3d:elink.&per. The range of color values are adjustable independently by 
:link reftype=hd res=12391.set cbrange:elink. and :link reftype=hd res=5418.set log cb:elink.&per. The whole color palette is 
visualized in the :link reftype=hd res=4152.colorbox:elink.&per. 
:p.Syntax&colon. 
:p.      set palette
.br
      set palette {
.br
                 { gray | color }
.br
                 { gamma <gamma> }
.br
                 {   rgbformulae <r>,<g>,<b>
.br
                   | defined { ( <gray1> <color1> {, <grayN> <colorN>}&per.&per.&per. ) }
.br
                   | file '<filename>' {datafile-modifiers}
.br
                   | functions <R>,<G>,<B>
.br
                 }
.br
                 { model { RGB | HSV | CMY | YIQ | XYZ } }
.br
                 { positive | negative }
.br
                 { nops_allcF | ps_allcF }
.br
                 { maxcolors <maxcolors> }
.br
               }
.br
      show palette
.br
      show palette palette <n> {{float | int}}
.br
      show palette gradient
.br
      show palette fit2rgbformulae
.br
      show palette rgbformulae
.br
      show palette colornames
.br
:p.:link reftype=hd res=6136.set palette:elink. (i&per.e&per. without options) sets up the default values&per. 
Otherwise, the options can be given in any order&per. 
:link reftype=hd res=6136.show palette:elink. shows the current palette properties&per. 
:p.:hp2.show palette gradient:ehp2. displays the gradient defining the palette (if 
appropriate)&per.  :hp2.show palette rgbformulae:ehp2. prints the available fixed gray --> 
color transformation formulae&per.  :hp2.show palette colornames:ehp2. prints the 
implemented color names&per. 
:p.:hp2.show palette palette <n>:ehp2. prints to screen or to the file given by 
:link reftype=hd res=5831.set output:elink. table of RGB triplets calculated for the current palette settings 
and a palette having <n> discrete colors&per.  The default wide table can be 
limited to 3 columns of r,g,b float values [0&per.&per.1] or integer values [0&per.&per.255] 
by options float or int, respectively&per.  This way, the current gnuplot color 
palette can be loaded into other imaging applications, for example Octave&per. 
Additionally to this textual list of RGB table, you can enjoy command :link reftype=hd res=12700.test 
palette:elink. to draw graphically the R,G,B profiles for the current palette&per. 
:p.The following options determine the coloring properties&per. 
:p.Figure using this palette can be :hp2.gray:ehp2. or :hp2.color:ehp2.&per.  For instance, in :link reftype=hd res=5929.pm3d:elink. 
color surfaces the gray of each small spot is obtained by mapping the averaged 
z-coordinate of the 4 corners of surface quadrangles into the range 
[min_z,max_z] providing range of grays [0&colon.1]&per. This value can be used directly 
as the gray for gray maps&per. The color map requires a transformation gray --> 
(R,G,B), i&per.e&per. a mapping [0&colon.1] --> ([0&colon.1],[0&colon.1],[0&colon.1])&per. 
:p.Basically two different types of mappings can be used&colon.  Analytic formulae 
to convert gray to color, or discrete mapping tables which are interpolated&per. 
:link reftype=hd res=6256.rgbformulae:elink. and :link reftype=hd res=4853.functions:elink. use analytic formulae whereas :link reftype=hd res=1030.defined:elink. and 
:link reftype=hd res=6380.file:elink. use interpolated tables&per.  :link reftype=hd res=6256.rgbformulae:elink. reduces the size of postscript 
output to a minimum&per. 
:p.The command :hp2.show palette fit2rgbformulae:ehp2. finds the best matching :hp2.set 
palette rgbformulae:ehp2. for the current :link reftype=hd res=6136.set palette:elink.&per. Naturally, it makes sense 
to use it for non-rgbformulae palettes&per. This command can be found useful 
mainly for external programs using the same rgbformulae definition of palettes 
as gnuplot, like zimg&per. 
:p.:hp2.set palette gray:ehp2. switches to a gray only palette&per.  :link reftype=hd res=6256.rgbformulae:elink., :link reftype=hd res=1030.defined:elink., 
:link reftype=hd res=6380.file:elink. and :link reftype=hd res=4853.functions:elink. switch to a color mapping&per.  :hp2.set palette color:ehp2. is an 
easy way to switch back from the gray palette to the last color mapping&per. 
:p.Automatic gamma correction via :hp2.set palette gamma <gamma>:ehp2. can be done for 
gray maps only (:hp2.set palette gray:ehp2.)&per.  Linear mapping to gray is for gamma 
equals 1, see :link reftype=hd res=12700.test palette:elink.&per.  Gamma is ignored for color mappings&per. 
:p.Most terminals support only discrete number of colors (e&per.g&per. 256 colors in 
gif)&per.  All entries of the palette remaining after the default gnuplot linetype 
colors declaration are allocated for pm3d by default&per.  Then :link reftype=hd res=5642.multiplot:elink. could 
fail if there are no more color positions in the terminal available&per.  Then you 
should use :hp2.set palette maxcolors <maxcolors>:ehp2. with a reasonably small value&per. 
This option can also be used to separate levels of z=constant in discrete 
steps, thus to emulate filled contours&per. Default value of 0 stays for 
allocating all remaining entries in the terminal palette or for to use exact 
mapping to RGB&per. 
:p.RGB color space might not be the most useful color space to work in&per.  For 
that reason you may change the color space with :hp2.model:ehp2. to one of :hp2.RGB:ehp2., 
:hp2.HSV:ehp2., :hp2.CMY:ehp2., :hp2.YIQ:ehp2. and :hp2.XYZ:ehp2.&per.  Using color names for :link reftype=hd res=1030.defined:elink. tables and a 
color space other than RGB will result in funny colors&per.  All explanation have 
been written for RGB color space, so please note, that :hp2.R:ehp2. can be :hp2.H:ehp2., :hp2.C:ehp2., 
:hp2.Y:ehp2., or :hp2.X:ehp2., depending on the actual color space (:hp2.G:ehp2. and :hp2.B:ehp2. accordingly)&per. 
:p.All values for all color spaces are limited to [0,1]&per. 
:p.RGB stands for Red, Green and Blue;  CMY stands for Cyan, Magenta and Yellow; 
HSV stands for Hue, Saturation, and Value;  YIQ is the color model used by 
the U&per.S&per. Commercial Color Television Broadcasting, it is basically an RGB 
recoding with downward compatibility for black and white television; 
XYZ are the three primary colors of the color model defined by the 'Commission 
Internationale de l'Eclairage' (CIE)&per. 
For more information on color models see&colon. 
:p.          http&colon.//www&per.cs&per.rit&per.edu/~ncs/color/glossary&per.htm
.br
and 
:p.          http&colon.//cs&per.fit&per.edu/wds/classes/cse5255/cse5255/davis/index&per.html
.br
:p.:h4 res=6256. rgbformulae
:p.For :link reftype=hd res=6256.rgbformulae:elink. three suitable mapping functions have 
to be chosen&per.  This is done via :hp2.rgbformulae <r>,<g>,<b>:ehp2.&per.  The available 
mapping functions are listed by :hp2.show palette rgbformulae:ehp2.&per.  Default is 
:hp2.7,5,15:ehp2., some other examples are :hp2.3,11,6:ehp2., :hp2.21,23,3:ehp2. or :hp2.3,23,21:ehp2.&per.  Negative 
numbers, like :hp2.3,-11,-6:ehp2., mean inverted color (i&per.e&per.  1-gray passed into the 
formula, see also :hp2.positive:ehp2. and :hp2.negative:ehp2. options below)&per. 
:p.Some nice schemes in RGB color space 
:p.   7,5,15   &per.&per.&per. traditional pm3d (black-blue-red-yellow)
.br
   3,11,6   &per.&per.&per. green-red-violet
.br
   23,28,3  &per.&per.&per. ocean (green-blue-white); try also all other permutations
.br
   21,22,23 &per.&per.&per. hot (black-red-yellow-white)
.br
   30,31,32 &per.&per.&per. color printable on gray (black-blue-violet-yellow-white)
.br
   33,13,10 &per.&per.&per. rainbow (blue-green-yellow-red)
.br
   34,35,36 &per.&per.&per. AFM hot (black-red-yellow-white)
.br
:p.A full color palette in HSV color space 
:p.   3,2,2    &per.&per.&per. red-yellow-green-cyan-blue-magenta-red
.br
:p.Please note that even if called :link reftype=hd res=6256.rgbformulae:elink. the formulas might actually 
determine the <H>,<S>,<V> or <X>,<Y>,<Z> or &per.&per.&per. color components as usual&per. 
:p.Use :hp2.positive:ehp2. and :hp2.negative:ehp2. to invert the figure colors&per. 
:p.Note that it is possible to find a set of the best matching rgbformulae for any 
other color scheme by the command 
:p.   show palette fit2rgbformulae
.br
:h4 res=6290. defined
:p.Gray-to-rgb mapping can be manually set by use of :link reftype=hd res=1030.defined:elink.&colon.  A color gradient 
is defined and used to give the rgb values&per.  Such a  gradient is a piecewise 
linear mapping from gray values in [0,1] to the RGB space [0,1]x[0,1]x[0,1]&per. 
You have to specify the gray values and the corresponding RGB values in 
between a linear interpolation shall take place&colon. 
:p.Syntax&colon. 
:p.      set palette  defined { ( <gray1> <color1> {, <grayN> <colorN>}&per.&per.&per. ) }
.br
:p.<grayX> are gray values which are mapped to [0,1] and <colorX> are the 
corresponding rgb colors&per.  The color can be specified in three different 
ways&colon. 
:p.:p.     <color> &colon.=  { <r> <g> <b> | '<color-name>' | '#rrggbb' }
.br
:p.Either by three numbers (each in [0,1]) for red, green and blue, separated by 
whitespace, or the name of the color in quotes or X style color specifiers 
also in quotes&per.  You may freely mix the three types in a gradient definition, 
but the named color "red" will be something strange if RGB is not selected 
as color space&per.  Use :hp2.show palette colornames:ehp2. for a list of known color 
names&per. 
:p.Please note, that even if written as <r>, this might actually be the 
<H> component in HSV color space or <X> in CIE-XYZ space, or &per.&per.&per. 
depending on the selected color model&per. 
:p.The <gray> values have to form an ascending sequence of real numbers; the 
sequence will be automatically rescaled to [0,1]&per. 
:p.:link reftype=hd res=6290.set palette defined:elink. (without a gradient definition in braces) switches to 
RGB color space and uses a preset full-spectrum color gradient&per. 
Use :hp2.show palette gradient:ehp2. to display the gradient&per. 
:p.Examples&colon. 
:p.To produce a gray palette (useless but instructive) use&colon. 
:p.     set palette model RGB
.br
     set palette defined ( 0 "black", 1 "white" )
.br
:p.To produce a blue yellow red palette use (all equivalent)&colon. 
:p.      set palette defined ( 0 "blue", 1 "yellow", 2 "red" )
.br
      set palette defined ( 0 0 0 1, 1 1 1 0, 2 1 0 0 )
.br
      set palette defined ( 0 "#0000ff", 1 "#ffff00", 2 "ff0000" )
.br
:p.To produce some rainbow-like palette use&colon. 
:p.      set palette defined ( 0 "blue", 3 "green", 6 "yellow", 10 "red" )
.br
:p.Full color spectrum within HSV color space&colon. 
:p.      set palette model HSV
.br
      set palette defined ( 0 0 1 1, 1 1 1 1 )
.br
      set palette defined ( 0 0 1 0, 1 0 1 1, 6 0&per.8333 1 1, 7 0&per.8333 0 1)
.br
:p.To produce a palette with few colors only use&colon. 
:p.      set palette model RGB maxcolors 4
.br
      set palette defined ( 0 "blue", 1 "green", 2 "yellow", 3 "red" )
.br
:p.'Traffic light' palette (non-smooth color jumps at gray = 1/3 and 2/3)&per. 
:p.      set palette model RGB
.br
      set palette defined (0 "dark-green", 1 "green", 1 "yellow", \
.br
                           2 "dark-yellow", 2 "red", 3 "dark-red" )
.br
:p.:h4 res=6356. functions
:p.Use :hp2.set palette functions <Rexpr>, <Gexpr>, <Bexpr>:ehp2. to define three formulae 
for the R(gray), G(gray) and B(gray) mapping&per.  The three formulae may depend 
on the variable :hp2.gray:ehp2. which will take values in [0,1] and should also 
produce values in [0,1]&per. 
Please note that <Rexpr> might be a formula for the H-value if HSV color 
space has been chosen (same for all other formulae and color spaces)&per. 
:p.Examples&colon. 
:p.To produce a full color palette use&colon. 
:p.      set palette model HSV functions gray, 1, 1
.br
:p.A nice black to gold palette&colon. 
:p.      set palette model XYZ functions gray**0&per.35, gray**0&per.5, gray**0&per.8
.br
:p.A gamma-corrected black and white palette 
:p.      gamma = 2&per.2
.br
      color(gray) = gray**(1&per./gamma)
.br
      set palette model RGB functions color(gray), color(gray), color(gray)
.br
:p.:h4 res=6380. file
:p.:link reftype=hd res=6380.set palette file:elink. is basically a :hp2.set palette defined (<gradient>):ehp2. where 
<gradient> is read from a datafile&per.  Either 4 columns (gray,R,G,B) or 
just three columns (R,G,B) have to be selected via the :link reftype=hd res=2845.using:elink. data file 
modifier&per.  In the three column case, the line number will be used as gray&per. 
The gray range is automatically rescaled to [0,1]&per.  The file is read as a 
normal data file, so all datafile modifiers can be used&per. 
Please note, that :hp2.R:ehp2. might actually be e&per.g&per. :hp2.H:ehp2. if HSV color space is 
selected&per. 
:p.As usual <filename> may be :hp2.'-':ehp2. which means that the data follow the command 
inline and are terminated by a single :hp2.e:ehp2. on a line of its own&per. 
:p.Use :hp2.show palette gradient:ehp2. to display the gradient&per. 
:p.Examples&colon. 
:p.Read in a palette of RGB triples each in range [0,255]&colon. 
:p.      set palette file 'some-palette' using ($1/255)&colon.($2/255)&colon.($3/255)
.br
:p.Equidistant rainbow (blue-green-yellow-red) palette&colon. 
:p.      set palette model RGB file "-"
.br
      0 0 1
.br
      0 1 0
.br
      1 1 0
.br
      1 0 0
.br
      e
.br
:p.:h4 res=6412. gamma-correction
:p.For gray mappings gamma correction can be turned on by :hp2.set palette gamma 
<gamma>:ehp2.&per.  <gamma> defaults to 1&per.5 which is quite suitable for most 
terminals&per. 
:p.For color mappings no automatic gamma correction is done by gnuplot&per.  But 
you may easily implement gamma correction, here an example for a gray scale 
image by use of explicit functions for the red, green and blue component 
with slightly different values of gamma 
:p.Example&colon. 
:p.      set palette model RGB
.br
      set palette functions gray**0&per.64, gray**0&per.67, gray**0&per.70
.br
:p.To use gamma correction with interpolated gradients specify intermediate 
gray values with appropriate colors&per.  Instead of 
:p.:p.      set palette defined ( 0 0 0 0, 1 1 1 1 )
.br
:p.use e&per.g&per. 
:p.:p.     set palette defined ( 0 0 0 0, 0&per.5 &per.73 &per.73 &per.73, 1 1 1 1 )
.br
:p.or even more intermediate points until the linear interpolation fits the 
"gamma corrected" interpolation well enough&per. 
:p.:h4 res=6442. postscript
:p.In order to reduce the size of postscript files, the gray value and not all 
three calculated r,g,b values are written to the file&per.  Therefore the 
analytical formulae are coded directly in the postscript language as a header 
just before the pm3d drawing, see /g and /cF definitions&per.  Usually, it makes 
sense to write therein definitions of only the 3 formulae used&per.  But for 
multiplot or any other reason you may want to manually edit the 
transformations directly in the postscript file&per.  This is the default option 
:hp2.nops_allcF:ehp2.&per.  Using the option :hp2.ps_allcF:ehp2. writes postscript definitions of 
all formulae&per.  This you may find interesting if you want to edit the 
postscript file in order to have different palettes for different surfaces 
in one graph&per.  Well, you can achieve this functionality by :link reftype=hd res=5642.multiplot:elink. with 
fixed :link reftype=hd res=5818.origin:elink. and :link reftype=hd res=6618.size:elink.&per. 
:p.If pm3d map has been plotted from gridded or almost regular data with an 
output to a postscript file, then it is possible to reduce the size of this 
postscript file up to at about 50% by the enclosed awk script 
:hp2.pm3dCompress&per.awk:ehp2.&per.  This you may find  interesting if you intend to keep the 
file for including it into your publication or before downloading a very large 
file into a slow printer&per. Usage&colon. 
:p.    awk -f pm3dCompress&per.awk thefile&per.ps >smallerfile&per.ps
.br
:p.If pm3d map has been plotted from rectangular gridded data with an output 
to a postscript file, then it is possible to reduce the file size even more 
by the enclosed awk script :hp2.pm3dConvertToImage&per.awk:ehp2.&per.  Usage&colon. 
:p.    awk -f pm3dConvertToImage&per.awk <thefile&per.ps >smallerfile&per.ps
.br
:p.You may manually change the postscript output from gray to color and vice 
versa and change the definition of <maxcolors>&per. 
:p.:h3 res=6474. pointsize
:p.The :link reftype=hd res=6474.set pointsize:elink. command scales the size of the points used in plots&per. 
:p.Syntax&colon. 
:p.      set pointsize <multiplier>
.br
      show pointsize
.br
:p.The default is a multiplier of 1&per.0&per.  Larger pointsizes may be useful to 
make points more visible in bitmapped graphics&per. 
:p.The pointsize of a single plot may be changed on the :link reftype=hd res=2402.plot:elink. command&per. 
See :link reftype=hd res=3195.plot with:elink. for details&per. 
:p.Please note that the pointsize setting is not supported by all terminal 
types&per. 
:h3 res=6494. polar
:p.The :link reftype=hd res=6494.set polar:elink. command changes the meaning of the plot from rectangular 
coordinates to polar coordinates&per. 
:p.Syntax&colon. 
:p.      set polar
.br
      unset polar
.br
      show polar
.br
:p.There have been changes made to polar mode in version 3&per.7, so that scripts 
for :link reftype=hd res=37.gnuplot:elink. versions 3&per.5 and earlier will require modification&per.  The main 
change is that the dummy variable t is used for the angle so that the x and 
y ranges can be controlled independently&per.  Other changes are&colon. 
1) tics are no longer put along the zero axes automatically 
---use :hp2.set xtics axis nomirror:ehp2.; :hp2.set ytics axis nomirror:ehp2.; 
2) the grid, if selected, is not automatically polar 
---use :hp2.set grid polar:ehp2.; 
3) the grid is not labelled with angles 
---use :link reftype=hd res=5235.set label:elink. as necessary&per. 
:p.In polar coordinates, the dummy variable (t) is an angle&per.  The default range 
of t is [0&colon.2*pi], or, if degree units have been selected, to [0&colon.360] (see 
:link reftype=hd res=3500.set angles:elink.)&per. 
:p.The command :link reftype=hd res=6494.unset polar:elink. changes the meaning of the plot back to the default 
rectangular coordinate system&per. 
:p.The :link reftype=hd res=6494.set polar:elink. command is not supported for :link reftype=hd res=12442.splot:elink.s&per.  See the :link reftype=hd res=5454.set mapping:elink. 
command for similar functionality for :link reftype=hd res=12442.splot:elink.s&per. 
:p.While in polar coordinates the meaning of an expression in t is really 
r = f(t), where t is an angle of rotation&per.  The trange controls the domain 
(the angle) of the function, and the x and y ranges control the range of the 
graph in the x and y directions&per.  Each of these ranges, as well as the 
rrange, may be autoscaled or set explicitly&per.  See :link reftype=hd res=11888.set xrange:elink. for details 
of all the :link reftype=hd res=3079.ranges:elink. commands&per. 
:p.Example&colon. 
:p.      set polar
.br
      plot t*sin(t)
.br
      plot [-2*pi&colon.2*pi] [-3&colon.3] [-3&colon.3] t*sin(t)
.br
:p.The first :link reftype=hd res=2402.plot:elink. uses the default polar angular domain of 0 to 2*pi&per.  The 
radius and the size of the graph are scaled automatically&per.  The second :link reftype=hd res=2402.plot:elink. 
expands the domain, and restricts the size of the graph to [-3&colon.3] in both 
directions&per. 
:p.You may want to :hp2.set size square:ehp2. to have :link reftype=hd res=37.gnuplot:elink. try to make the aspect 
ratio equal to unity, so that circles look circular&per. 
See also 
polar demos (polar&per.dem) 
and 
polar data plot (poldat&per.dem)&per. 
:h3 res=6559. print
:p.The :link reftype=hd res=6559.set print:elink. command redirects the output of the :link reftype=hd res=3323.print:elink. command to a file&per. 
:p.Syntax&colon. 
:p.      set print
.br
      set print "-"
.br
      set print "<filename>"
.br
      set print "<filename>" append
.br
      set print "|<shell_command>"
.br
:p.Without "<filename>", the output file is restored to <STDERR>&per.  The <filename> 
"-" means <STDOUT>&per. The :hp2.append:ehp2. flag causes the file to be opened in append 
mode&per.  A <filename> starting with "|" is opened as a pipe to the 
<shell_command> on platforms that support piping&per. 
:h3 res=6577. rmargin
:p.The command :link reftype=hd res=6577.set rmargin:elink. sets the size of the right margin&per. 
Please see :link reftype=hd res=5502.set margin:elink. for details&per. 
:h3 res=6583. rrange
:p.The :link reftype=hd res=6583.set rrange:elink. command sets the range of the radial coordinate for a 
graph in polar mode&per.  Please see :link reftype=hd res=11888.set xrange:elink. for details&per. 
:h3 res=6591. samples
:p.The sampling rate of functions, or for interpolating data, may be changed 
by the :link reftype=hd res=6591.set samples:elink. command&per. 
:p.Syntax&colon. 
:p.      set samples <samples_1> {,<samples_2>}
.br
      show samples
.br
:p.By default, sampling is set to 100 points&per.  A higher sampling rate will 
produce more accurate plots, but will take longer&per.  This parameter has no 
effect on data file plotting unless one of the interpolation/approximation 
options is used&per.  See :link reftype=hd res=2610.plot smooth:elink. re 2-d data and :link reftype=hd res=4049.set cntrparam:elink. and 
:link reftype=hd res=4403.set dgrid3d:elink. re 3-d data&per. 
:p.When a 2-d graph is being done, only the value of <samples_1> is relevant&per. 
:p.When a surface plot is being done without the removal of hidden lines, the 
value of samples specifies the number of samples that are to be evaluated for 
the isolines&per.  Each iso-v line will have <sample_1> samples and each iso-u 
line will have <sample_2> samples&per.  If you only specify <samples_1>, 
<samples_2> will be set to the same value as <samples_1>&per.  See also 
:link reftype=hd res=5063.set isosamples:elink.&per. 
:h3 res=6618. size
:p.The :link reftype=hd res=6618.set size:elink. command scales the displayed size of the plot&per. 
:p.Syntax&colon. 
:p.      set size {{no}square | ratio <r> | noratio} {<xscale>,<yscale>}
.br
      show size
.br
:p.The <xscale> and <yscale> values are the scaling factors for the size of the 
plot, which includes the graph and the margins&per. 
:p.:hp2.ratio:ehp2. causes :link reftype=hd res=37.gnuplot:elink. to try to create a graph with an aspect ratio of <r> 
(the ratio of the y-axis length to the x-axis length) within the portion of 
the plot specified by <xscale> and <yscale>&per. 
:p.The meaning of a negative value for <r> is different&per.  If <r>=-1, gnuplot 
tries to set the scales so that the unit has the same length on both the x 
and y axes (suitable for geographical data, for instance)&per.  If <r>=-2, the 
unit on y has twice the length of the unit on x, and so on&per. 
:p.The success of :link reftype=hd res=37.gnuplot:elink. in producing the requested aspect ratio depends on 
the terminal selected&per.  The graph area will be the largest rectangle of 
aspect ratio <r> that will fit into the specified portion of the output 
(leaving adequate margins, of course)&per. 
:p.:hp2.square:ehp2. is a synonym for :hp2.ratio 1:ehp2.&per. 
:p.Both :hp2.noratio:ehp2. and :hp2.nosquare:ehp2. return the graph to the default aspect ratio 
of the terminal, but do not return <xscale> or <yscale> to their default 
values (1&per.0)&per. 
:p.:hp2.ratio:ehp2. and :hp2.square:ehp2. have no effect on 3-d plots&per. 
:p.:link reftype=hd res=6618.set size:elink. is relative to the default size, which differs from terminal to 
terminal&per.  Since :link reftype=hd res=37.gnuplot:elink. fills as much of the available plotting area as 
possible by default, it is safer to use :link reftype=hd res=6618.set size:elink. to decrease the size of 
a plot than to increase it&per.  See :link reftype=hd res=7403.set terminal:elink. for the default sizes&per. 
:p.On some terminals, changing the size of the plot will result in text being 
misplaced&per. 
:p.Examples&colon. 
:p.To set the size to normal size use&colon. 
:p.      set size 1,1
.br
:p.To make the graph half size and square use&colon. 
:p.      set size square 0&per.5,0&per.5
.br
:p.To make the graph twice as high as wide use&colon. 
:p.      set size ratio 2
.br
:p.See also 
:p. airfoil demo&per.
.br
:h3 res=6679. style
:p.Default plotting styles are chosen with the :link reftype=hd res=6778.set style data:elink. and  
:link reftype=hd res=6828.set style function:elink. commands&per.  See :link reftype=hd res=3195.plot with:elink. for information about how to 
override the default plotting style for individual functions and data sets&per. 
See :link reftype=hd res=6922.plotting styles:elink. for a complete list of styles&per. 
:p.Syntax&colon. 
:p.      set style function <style>
.br
      set style data <style>
.br
      show style function
.br
      show style data
.br
:p.Default styles for specific plotting elements may also be set&per. 
:p.Syntax&colon. 
:p.      set style arrow <n> <arrowstyle>
.br
      set style fill <fillstyle>
.br
      set style line <n> <linestyle>
.br
:p.:h4 res=6701. set style arrow
:p.Each terminal has a default set of arrow and point types, which can be seen 
by using the command :link reftype=hd res=12700.test:elink.&per.  :link reftype=hd res=6701.set style arrow:elink. defines a set of arrow types 
and widths and point types and sizes so that you can refer to them later by 
an index instead of repeating all the information at each invocation&per. 
:p.Syntax&colon. 
:p.      set style arrow <index> {nohead | head | heads}
.br
                              {size <length>,<angle>{,<backangle>}}
.br
                              {filled | empty | nofilled}
.br
                              {front | back}
.br
                              { {linestyle | ls <line_style>}
.br
                                | {linetype | lt <line_type>}
.br
                                  {linewidth | lw <line_width} }
.br
      unset style arrow
.br
      show style arrow
.br
:p.<index> is an integer that identifies the arrowstyle&per. 
:p.Specifying :hp2.nohead:ehp2. produces arrows drawn without a head---a line segment&per. 
This gives you yet another way to draw a line segment on the plot&per.  By 
default, arrows have one head&per. Specifying :hp2.heads:ehp2. draws arrow heads on both 
ends of the line&per. 
:p.Head size can be controlled by :hp2.size <length>,<angle>:ehp2. or  
:hp2.size <length>,<angle>,<backangle>:ehp2. where :hp2.<length>:ehp2. defines length of each  
branch of the arrow head and :hp2.<angle>:ehp2. the angle (in degrees) they make with  
the arrow&per. :hp2.<Length>:ehp2. is in x-axis units; this can be 
changed by :hp2.first:ehp2., :hp2.second:ehp2., :hp2.graph:ehp2. or :hp2.screen:ehp2. before the :hp2.<length>:ehp2.;  
see :link reftype=hd res=538.coordinates:elink. for details&per. 
:hp2.<Backangle>:ehp2. only takes effect when :hp2.filled:ehp2. or :hp2.empty:ehp2. is also used&per. Then,  
:hp2.<backangle>:ehp2. is the angle (in degrees) the back branches make with the  
arrow (in the same direction as :hp2.<angle>:ehp2.)&per. 
The :link reftype=hd res=8586.fig:elink. terminal has a restricted backangle function&per. It supports three 
different angles&per. There are two thresholds&colon. Below 70 degrees, the arrow head 
gets an indented back angle&per. Above 110 degrees, the arrow head has an acute 
back angle&per. Between these thresholds, the back line is straight&per. 
:p.Specifying :hp2.filled:ehp2. produces filled arrow heads (if heads are used)&per.  
Filling is supported on filled-polygon capable terminals, see help of :link reftype=hd res=5929.pm3d:elink. 
for their list, otherwise the arrow heads are closed but not filled&per. 
The same result (closed but not filled arrow head) is reached by specifying 
:hp2.empty:ehp2.&per. 
Further, filling and outline is obviously not supported on terminals drawing 
arrows by their own specific routines, like :link reftype=hd res=9349.metafont:elink., :link reftype=hd res=9445.metapost:elink., :link reftype=hd res=9257.latex:elink.  
or :link reftype=hd res=10467.tgif:elink.&per.  
:p.The line style may be selected from a user-defined list of line styles  
(see :link reftype=hd res=6844.set style line:elink.) or may be defined here by providing values for  
:hp2.<line_type>:ehp2. (an index from the default list of styles) and/or  
:hp2.<line_width>:ehp2. (which is a  multiplier for the default width)&per. 
:p.Note, however, that if a user-defined line style has been selected, its 
properties (type and width) cannot be altered merely by issuing another 
:link reftype=hd res=6701.set style arrow:elink. command with the appropriate index and :hp2.lt:ehp2. or :hp2.lw:ehp2.&per. 
:p.If :hp2.front:ehp2. is given, the arrows are written on top of the graphed data&per. If 
:hp2.back:ehp2. is given (the default), the arrow is written underneath the graphed 
data&per.  Using :hp2.front:ehp2. will prevent a arrow from being obscured by dense data&per. 
:p.Examples&colon. 
:p.To draw an arrow without an arrow head and double width, use&colon. 
:p.      set style arrow 1 nohead lw 2
.br
      set arrow arrowstyle 1
.br
:p.:p. See also :link reftype=hd res=3545.set arrow:elink. for further examples&per.
.br
:p.:h4 res=6778. set style data
:p.The :link reftype=hd res=6778.set style data:elink. command changes the default plotting style for data 
plots&per. 
:p.Syntax&colon. 
:p.      set style data <plotting-style>
.br
      show style data
.br
:p.See :link reftype=hd res=6922.plotting styles:elink. for the choices&per.  If no choice is given, the choices are 
listed&per.  :link reftype=hd res=6778.show style data:elink. shows the current default data plotting style&per. 
:h4 res=6793. set style fill
:p.The :link reftype=hd res=6793.set style fill:elink. command is used to set the style of boxes 
or candlesticks&per. 
:p.Syntax&colon. 
:p.      set style fill {empty | solid {<density>} | pattern {<n>}}
.br
                     {border {<linetype>} | noborder}
.br
:p.The default fillstyle is :hp2.empty:ehp2.&per. 
:p.The :link reftype=hd res=8139.solid:elink. option causes filling with a solid color, if the terminal 
supports that&per. The <density> parameter specifies the intensity of the  
fill color&per. At a <density> of 0&per.0, the box is empty, at <density> of 1&per.0,  
the inner area is of the same color as the current linetype&per.  
Some terminal types can vary the density continuously; others implement  
only a few levels of partial fill&per.  If no <density> parameter is given,  
it defaults to 1&per. 
:p.The :hp2.pattern:ehp2. option causes filling to be done with a fill pattern supplied 
by the terminal driver&per.  The kind and number of available fill patterns  
depend on the terminal driver&per.  If multiple datasets using filled boxes are  
plotted, the pattern cycles through all available pattern types, starting 
from pattern <n>, much as the line type cycles for multiple line plots&per. 
:p.The :hp2.empty:ehp2. option causes filled boxes not to be filled&per. This is the default&per. 
It is equivalent to the :link reftype=hd res=8139.solid:elink. option with a <density> parameter of zero&per. 
:p.By default, :link reftype=hd res=3804.border:elink., the box is bounded by a solid line of the current 
linetype&per. :hp2.border <lt>:ehp2. specifies that a border is to be drawn using 
linetype <lt>&per. :link reftype=hd res=3804.noborder:elink. specifies that no bounding lines are drawn&per. 
:h4 res=6828. set style function
:p.The :link reftype=hd res=6828.set style function:elink. command changes the default plotting style for 
function plots&per. 
:p.Syntax&colon. 
:p.      set style function <plotting-style>
.br
      show style function
.br
:p.See :link reftype=hd res=6922.plotting styles:elink. for the choices&per.  If no choice is given, the choices are 
listed&per.  :link reftype=hd res=6828.show style function:elink. shows the current default function plotting 
style&per. 
:h4 res=6844. set style line
:p.Each terminal has a default set of line and point types, which can be seen 
by using the command :link reftype=hd res=12700.test:elink.&per.  :link reftype=hd res=6844.set style line:elink. defines a set of line types 
and widths and point types and sizes so that you can refer to them later by 
an index instead of repeating all the information at each invocation&per. 
:p.Syntax&colon. 
:p.      set style line <index> {linetype  | lt <line_type>}
.br
                             {linewidth | lw <line_width>}
.br
                             {pointtype | pt <point_type>}
.br
                             {pointsize | ps <point_size>}
.br
                             {palette}
.br
      unset style line
.br
      show style line
.br
:p.The line and point types are taken from the default types for the terminal 
currently in use&per.  The line width and point size are multipliers for the 
default width and size (but note that <point_size> here is unaffected by 
the multiplier given on :link reftype=hd res=6474.set pointsize:elink.)&per. 
:p.The defaults for the line and point types is the index&per.  The defaults for 
the width and size are both unity&per. 
:p.Linestyles created by this mechanism do not replace the default styles; 
both may be used&per. 
:p.Not all terminals support the :link reftype=hd res=8118.linewidth:elink. and :link reftype=hd res=6474.pointsize:elink. features; if 
not supported, the option will be ignored&per. 
:p.Note that this feature is not completely implemented; linestyles defined by 
this mechanism may be used with :link reftype=hd res=2402.plot:elink., :link reftype=hd res=12442.splot:elink., :link reftype=hd res=3344.replot:elink., and :link reftype=hd res=3545.set arrow:elink., 
but not by other commands that allow the default index to be used, such as 
:link reftype=hd res=4872.set grid:elink.&per. 
:p.If gnuplot was built with pm3d support, the special keyword :link reftype=hd res=6136.palette:elink. is 
allowed as :hp2.linetype:ehp2. for splots (the 2d :link reftype=hd res=2402.plot:elink. command ignores :link reftype=hd res=6136.palette:elink.)&per. 
In this case the line color is chosen from a smooth palette which was 
set previously with the command :link reftype=hd res=6136.set palette:elink.&per.  The color value corresponds 
to the z-value (elevation) of the splot&per. 
:p.Example&colon. 
Suppose that the default lines for indices 1, 2, and 3 are red, green, and 
blue, respectively, and the default point shapes for the same indices are a 
square, a cross, and a triangle, respectively&per.  Then 
:p.:p.      set style line 1 lt 2 lw 2 pt 3 ps 0&per.5
.br
:p.defines a new linestyle that is green and twice the default width and a new 
pointstyle that is a half-sized triangle&per.  The commands 
:p.:p.      set style function lines
.br
      plot f(x) lt 3, g(x) ls 1
.br
:p.will create a plot of f(x) using the default blue line and a plot of g(x) 
using the user-defined wide green line&per.  Similarly the commands 
:p.:p.      set style function linespoints
.br
      plot p(x) lt 1 pt 3, q(x) ls 1
.br
:p.will create a plot of p(x) using the default triangles connected by a red 
line and q(x) using small triangles connected by a green line&per. 
:p.:p.      splot sin(sqrt(x*x+y*y))/sqrt(x*x+y*y) w l pal
.br
:p.creates a surface plot using smooth colors according to :link reftype=hd res=6136.palette:elink.&per. Note, 
that this works only on some terminals&per. 
:p.See also :link reftype=hd res=6136.set palette:elink., :link reftype=hd res=5929.set pm3d:elink.&per. 
:p.:h4 res=6922. plotting styles
:p.:p.The commands :link reftype=hd res=6778.set style data:elink. and :link reftype=hd res=6828.set style function:elink. change the  
default plotting style for subsequent :link reftype=hd res=2402.plot:elink. and :link reftype=hd res=12442.splot:elink. commands&per. 
:p.The types used for all line and point styles (i&per.e&per., solid, dash-dot, color, 
etc&per. for lines; circles, squares, crosses, etc&per. for points) will be either 
those specified on the :link reftype=hd res=2402.plot:elink. or :link reftype=hd res=12442.splot:elink. command or will be chosen 
sequentially from the types available to the terminal in use&per.  Use the 
command :link reftype=hd res=12700.test:elink. to see what is available&per. 
:p.None of the styles requiring more than two columns of information 
(e&per.g&per., :link reftype=hd res=2955.errorbars:elink. or :link reftype=hd res=3007.errorlines:elink.) can be used with :link reftype=hd res=12442.splot:elink.s or 
function :link reftype=hd res=2402.plot:elink.s&per. Neither :link reftype=hd res=6991.boxes:elink., :link reftype=hd res=7051.filledcurves:elink. nor any 
of the :link reftype=hd res=7246.steps:elink. styles can be used with :link reftype=hd res=12442.splot:elink.s&per. If an inappropriate style 
is specified, it will be changed to :link reftype=hd res=7237.points:elink.&per. 
:p.For 2-d data with more than two columns, :link reftype=hd res=37.gnuplot:elink. is picky about the 
allowed :link reftype=hd res=2955.errorbars:elink. and :link reftype=hd res=3007.errorlines:elink. styles&per. The :link reftype=hd res=2845.using:elink. option on the 
:link reftype=hd res=2402.plot:elink. command can be used to set up the correct columns for the style 
you want&per. (In this discussion, "column" will be used to refer both to 
a column in the data file and an entry in the :link reftype=hd res=2845.using:elink. list&per.) 
:p.For three columns, only :link reftype=hd res=7274.xerrorbars:elink., :link reftype=hd res=7305.yerrorbars:elink. (or :link reftype=hd res=2955.errorbars:elink.), 
:link reftype=hd res=7325.xerrorlines:elink., :link reftype=hd res=7357.yerrorlines:elink. (or :link reftype=hd res=3007.errorlines:elink.), :link reftype=hd res=6991.boxes:elink.  
and :link reftype=hd res=6968.boxerrorbars:elink. are allowed&per. If another plot style is used, the style 
will be changed to :link reftype=hd res=7305.yerrorbars:elink.&per. The :link reftype=hd res=6968.boxerrorbars:elink. style will 
calculate the boxwidth automatically&per. 
:p.For four columns, only :link reftype=hd res=7274.xerrorbars:elink., :link reftype=hd res=7305.yerrorbars:elink. (or :link reftype=hd res=2955.errorbars:elink.), 
:link reftype=hd res=7286.xyerrorbars:elink., :link reftype=hd res=7325.xerrorlines:elink., :link reftype=hd res=7357.yerrorlines:elink. (or :link reftype=hd res=3007.errorlines:elink.), :link reftype=hd res=7337.xyerrorlines:elink., 
:link reftype=hd res=7088.boxxyerrorbars:elink., and :link reftype=hd res=6968.boxerrorbars:elink. are allowed&per.  An illegal 
style will be changed to :link reftype=hd res=7305.yerrorbars:elink.&per. 
:p.Five-column data allow only the :link reftype=hd res=6968.boxerrorbars:elink., :link reftype=hd res=7152.financebars:elink., and 
:link reftype=hd res=7105.candlesticks:elink. styles&per.  An illegal style will be changed to :link reftype=hd res=6968.boxerrorbars:elink. 
before plotting&per. 
:p.Six- and seven-column data only allow the :link reftype=hd res=7286.xyerrorbars:elink., 
:link reftype=hd res=7337.xyerrorlines:elink., and :link reftype=hd res=7088.boxxyerrorbars:elink. styles&per. Illegal styles will be 
changed to :link reftype=hd res=7286.xyerrorbars:elink. before plotting&per. 
:p.For more information about error bars with and without lines, 
please see :link reftype=hd res=3007.plot errorlines:elink. and :link reftype=hd res=2955.plot errorbars:elink.&per. 
:p.:h5 res=6968. boxerrorbars
:p.The :link reftype=hd res=6968.boxerrorbars:elink. style is only relevant to 2-d data plotting&per.  It is a 
combination of the :link reftype=hd res=6991.boxes:elink. and :link reftype=hd res=7305.yerrorbars:elink. styles&per.  The boxwidth will come 
from the fourth column if the y errors are in the form of "ydelta" and the 
boxwidth was not previously set equal to -2&per.0 (:hp2.set boxwidth -2&per.0:ehp2.) or from 
the fifth column if the y errors are in the form of "ylow yhigh"&per.  The 
special case  :hp2.boxwidth = -2&per.0:ehp2. is for four-column data with y errors in the 
form "ylow yhigh"&per.  In this case the boxwidth will be calculated so that each 
box touches the adjacent boxes&per.  The width will also be calculated in cases 
where three-column data are used&per. 
:p.The box height is determined from the y error in the same way as it is for 
the :link reftype=hd res=7305.yerrorbars:elink. style---either from y-ydelta to y+ydelta or from ylow to 
yhigh, depending on how many data columns are provided&per. 
See also 
errorbar demo&per. 
:h5 res=6991. boxes
:p.The :link reftype=hd res=6991.boxes:elink. style is only relevant to 2-d plotting&per.  It draws a box centered 
about the given x coordinate from the x axis (not the graph border) to the 
given y coordinate&per.  The width of the box is obtained in one of three ways&per. 
If it is a data plot and the data file has a third column, this will be used 
to set the width of the box&per.  If not, if a width has been set using the :hp2.set 
boxwidth:ehp2. command, this will be used&per.  If neither of these is available, the 
width of each box will be calculated automatically so that it touches the 
adjacent boxes&per.  
:p.The interior of the boxes is drawn according to the current fillstyle&per. 
See :link reftype=hd res=6793.set style fill:elink. for details&per.  Alternatively a new fillstyle 
may be specified in the plot command&per. 
:p.For fillstyle :hp2.empty:ehp2. the box is filled with the background color&per. 
:p.For fillstyle :link reftype=hd res=8139.solid:elink. the box is filled with a solid rectangle of the 
current drawing color&per. There is an optional parameter <density> that 
controls the fill density; it runs from 0 (background color) to 1 
(current drawing color)&per. 
:p.For fillstyle :hp2.pattern:ehp2. the box is filled in the current drawing color with 
a pattern, if supported by the terminal driver&per. 
:p.Examples&colon. 
:p.To plot a data file with solid filled boxes with a small vertical space 
separating them (bargraph)&colon. 
:p.:p.      set boxwidth 0&per.9 relative
.br
      set style fill solid 1&per.0
.br
      plot 'file&per.dat' with boxes
.br
:p.To plot a sine and a cosine curve in pattern-filled boxes style&colon. 
:p.:p.      set style fill pattern
.br
      plot sin(x) with boxes, cos(x) with boxes
.br
:p.The sin plot will use pattern 0; the cos plot will use pattern 1&per. 
Any additional plots would cycle through the patterns supported by the 
terminal driver&per. 
:p.To specify explicit fillstyles for each dataset&colon. 
:p.:p.     plot 'file1' with boxes fs solid 0&per.25, \
.br
          'file2' with boxes fs solid 0&per.50, \
.br
          'file3' with boxes fs solid 0&per.75, \
.br
          'file4' with boxes fill pattern 1, \
.br
          'file5' with boxes fill empty
.br
:p.Currently only the following terminal drivers support fillstyles other 
than :hp2.empty:ehp2.&colon. 
x11, windows, pm, postscript, fig, pbm, png, gif, hpdj, hppj, hpljii, hp500c, 
jpeg, nec_cp6, epson_180dpi, epson_60dpi, epson_lx800, okidata, starc and 
tandy_60dpi&per. The BeOS driver (:link reftype=hd res=7599.be:elink.) is untested&per. 
:h5 res=7051. filledcurves
:p.The :link reftype=hd res=7051.filledcurves:elink. style is only relevant to 2-d plotting&per. It draws either 
the current curve closed and filled, or the region between the current curve 
and a given axis, horizontal or vertical line, or a point, filled with the 
current drawing color&per. 
:p.Syntax&colon. 
:p.:p.    set style [data | function] filledcurves [option]
.br
    plot &per.&per.&per. with filledcurves [option]
.br
:p.where the option can be 
:p.:p.    [closed | {x1 | x2 | y1 | y2}[=<a>] | xy=<x>,<y>]
.br
:p.The area is filled between the current curve and 
:p.    filledcurves closed   &per.&per.&per. just filled closed curve,
.br
    filledcurves x1       &per.&per.&per. x1 axis,
.br
    filledcurves x2       &per.&per.&per. x2 axis, etc for y1 and y2 axes,
.br
    filledcurves y1=0     &per.&per.&per. line y=0 (at y1 axis) ie parallel to x1 axis,
.br
    filledcurves y2=42    &per.&per.&per. line y=42 (at y2 axis) ie parallel to x2, etc,
.br
    filledcurves xy=10,20 &per.&per.&per. point 10,20 of x1,y1 axes (arc-like shape)&per.
.br
:p.Note&colon. filling is supported on filled-polygon capable terminals, see help of 
:link reftype=hd res=5929.set pm3d:elink. for their list&per. 
:p.Zoom of a filled curve drawn from a datafile may produce empty or incorrect 
area because gnuplot is clipping points and lines, and not areas&per. 
:p.If the values of <a>, <x>, <y> are out of the drawing boundary, then they 
are moved to the graph boundary&per. Then the actually filled area in the case 
of option xy=<x>,<y> will depend on xrange and yrange&per. 
:h5 res=7088. boxxyerrorbars
:p.The :link reftype=hd res=7088.boxxyerrorbars:elink. style is only relevant to 2-d data plotting&per.  It is a 
combination of the :link reftype=hd res=6991.boxes:elink. and :link reftype=hd res=7286.xyerrorbars:elink. styles&per. 
:p.The box width and height are determined from the x and y errors in the same 
way as they are for the :link reftype=hd res=7286.xyerrorbars:elink. style---either from xlow to xhigh and 
from ylow to yhigh, or from x-xdelta to x+xdelta and from y-ydelta to 
y+ydelta , depending on how many data columns are provided&per. 
:p.If filled-box support is present, then the interior of the boxes is drawn  
according to the current fillstyle&per.  See :link reftype=hd res=6793.set style fill:elink. and :link reftype=hd res=6991.boxes:elink. for  
details&per.  Alternatively a new fillstyle may be specified in the plot command&per. 
:h5 res=7105. candlesticks
:p.The :link reftype=hd res=7105.candlesticks:elink. style can be used for 2-d data plotting of financial 
data or for generating box-and-whisker plots of statistical data&per. 
Five columns of data are required; in order, these should be the x 
coordinate (most likely a date) and the opening, low, high, and closing 
prices&per.  The symbol is a rectangular box, centered horizontally at the x 
coordinate and limited vertically by the opening and closing prices&per.  A 
vertical line segment at the x coordinate extends up from the top of the 
rectangle to the high price and another down to the low&per.  The vertical line 
will be unchanged if the low and high prices are interchanged&per. 
:p.The width of the rectangle can be controlled by the :link reftype=hd res=3927.set boxwidth:elink. command&per. 
For backwards compatibility with earlier gnuplot versions, when the  
boxwidth parameter has not been set then the width of the candlestick 
rectangle is controlled by :hp2.set bars <width>:ehp2.&per. 
:p.By default the rectangle is empty if (open > close), and filled with three 
vertical bars if (close > open)&per. If filled-boxes support is present, then 
the rectangle is colored according to :hp2.set style fill <fillstyle>:ehp2.&per. 
See :link reftype=hd res=3781.set bars:elink. and :link reftype=hd res=7152.financebars:elink.&per.  See also 
finance demos&per. 
:p.Note&colon. To place additional symbols, such as the median value, on a 
box-and-whisker plot requires additional plot commands as in this example&colon. 
:p.:p.  # Data columns&colon. X Min 1stQuartile Median 3rdQuartile Max
.br
  set bars 4&per.0
.br
  set style fill empty
.br
  plot 'stat&per.dat' using 1&colon.3&colon.2&colon.6&colon.5 with candlesticks title 'Quartiles', \
.br
       ''         using 1&colon.4&colon.4&colon.4&colon.4 with candlesticks lt -1 notitle
.br
:p.:p. See :link reftype=hd res=3927.set boxwidth:elink., :link reftype=hd res=3781.set bars:elink. and :link reftype=hd res=6793.set style fill:elink.&per.
.br
:h5 res=7144. dots
:p.The :link reftype=hd res=7144.dots:elink. style plots a tiny dot at each point; this is useful for scatter 
plots with many points&per. 
:h5 res=7152. financebars
:p.The :link reftype=hd res=7152.financebars:elink. style is only relevant for 2-d data plotting of financial 
data&per.  Five columns of data are required; in order, these should be the x 
coordinate (most likely a date) and the opening, low, high, and closing 
prices&per.  The symbol is a vertical line segment, located horizontally at the x 
coordinate and limited vertically by the high and low prices&per.  A horizontal 
tic on the left marks the opening price and one on the right marks the 
closing price&per.  The length of these tics may be changed by :link reftype=hd res=3781.set bars:elink.&per.  The 
symbol will be unchanged if the high and low prices are interchanged&per. 
See :link reftype=hd res=3781.set bars:elink. and :link reftype=hd res=7105.candlesticks:elink., and also the 
finance demo&per. 
:h5 res=7170. fsteps
:p.The :link reftype=hd res=7170.fsteps:elink. style is only relevant to 2-d plotting&per.  It connects consecutive 
points with two line segments&colon. the first from (x1,y1) to (x1,y2) and the 
second from (x1,y2) to (x2,y2)&per. 
See also 
steps demo&per. 
:h5 res=7183. histeps
:p.The :link reftype=hd res=7183.histeps:elink. style is only relevant to 2-d plotting&per.  It is intended for 
plotting histograms&per.  Y-values are assumed to be centered at the x-values; 
the point at x1 is represented as a horizontal line from ((x0+x1)/2,y1) to 
((x1+x2)/2,y1)&per.  The lines representing the end points are extended so that 
the step is centered on at x&per.  Adjacent points are connected by a vertical 
line at their average x, that is, from ((x1+x2)/2,y1) to ((x1+x2)/2,y2)&per. 
:p.If :link reftype=hd res=3652.autoscale:elink. is in effect, it selects the xrange from the data rather than 
the steps, so the end points will appear only half as wide as the others&per. 
See also 
steps demo&per. 
:p.:link reftype=hd res=7183.histeps:elink. is only a plotting style; :link reftype=hd res=37.gnuplot:elink. does not have the ability to 
create bins and determine their population from some data set&per. 
:h5 res=7205. impulses
:p.The :link reftype=hd res=7205.impulses:elink. style displays a vertical line from the x axis (not the graph 
border), or from the grid base for :link reftype=hd res=12442.splot:elink., to each point&per. 
:h5 res=7213. lines
:p.The :link reftype=hd res=7213.lines:elink. style connects adjacent points with straight line segments&per. 
See also :hp2.linetype:ehp2., :link reftype=hd res=8118.linewidth:elink., and :link reftype=hd res=6844.linestyle:elink.&per. 
:h5 res=7221. linespoints
:p.The :link reftype=hd res=7221.linespoints:elink. style does both :link reftype=hd res=7213.lines:elink. and :link reftype=hd res=7237.points:elink., that is, it draws a 
small symbol at each point and then connects adjacent points with straight 
line segments&per.  The command :link reftype=hd res=6474.set pointsize:elink. may be used to change the size of 
the points&per.  See :link reftype=hd res=6474.set pointsize:elink. for its usage&per. 
:p.:link reftype=hd res=7221.linespoints:elink. may be abbreviated :link reftype=hd res=7221.lp:elink.&per. 
:h5 res=7237. points
:p.The :link reftype=hd res=7237.points:elink. style displays a small symbol at each point&per.  The command :hp2.set 
pointsize:ehp2. may be used to change the size of the points&per.  See :link reftype=hd res=6474.set pointsize:elink. 
for its usage&per. 
:h5 res=7246. steps
:p.The :link reftype=hd res=7246.steps:elink. style is only relevant to 2-d plotting&per.  It connects consecutive 
points with two line segments&colon. the first from (x1,y1) to (x2,y1) and the 
second from (x2,y1) to (x2,y2)&per. 
See also 
steps demo&per. 
:h5 res=7259. vectors
:p.The :link reftype=hd res=7259.vectors:elink. style draws a vector from (x,y) to (x+xdelta,y+ydelta)&per.  Thus 
it requires four columns of data&per.  It also draws a small arrowhead at the 
end of the vector&per. 
:p.Example&colon. 
:p.      plot 'file&per.dat' using 1&colon.2&colon.3&colon.4 with vectors head filled lt 2
.br
:p.:hp2.set clip one:ehp2. and :hp2.set clip two:ehp2. affect drawing vectors&per. 
Please see :link reftype=hd res=3996.set clip:elink. and :link reftype=hd res=6701.arrowstyle:elink.&per. 
:h5 res=7274. xerrorbars
:p.The :link reftype=hd res=7274.xerrorbars:elink. style is only relevant to 2-d data plots&per.  :link reftype=hd res=7274.xerrorbars:elink. is 
like :link reftype=hd res=7144.dots:elink., except that a horizontal error bar is also drawn&per.  At each point 
(x,y), a line is drawn from (xlow,y) to (xhigh,y) or from (x-xdelta,y) to 
(x+xdelta,y), depending on how many data columns are provided&per.  A tic mark 
is placed at the ends of the error bar (unless :link reftype=hd res=3781.set bars:elink. is used---see 
:link reftype=hd res=3781.set bars:elink. for details)&per. 
:h5 res=7286. xyerrorbars
:p.The :link reftype=hd res=7286.xyerrorbars:elink. style is only relevant to 2-d data plots&per.  :link reftype=hd res=7286.xyerrorbars:elink. is 
like :link reftype=hd res=7144.dots:elink., except that horizontal and vertical error bars are also drawn&per. 
At each point (x,y), lines are drawn from (x,y-ydelta) to (x,y+ydelta) and 
from (x-xdelta,y) to (x+xdelta,y) or from (x,ylow) to (x,yhigh) and from 
(xlow,y) to (xhigh,y), depending upon the number of data columns provided&per.  A 
tic mark is placed at the ends of the error bar (unless :link reftype=hd res=3781.set bars:elink. is 
used---see :link reftype=hd res=3781.set bars:elink. for details)&per. 
:p.If data are provided in an unsupported mixed form, the :link reftype=hd res=2845.using:elink. filter on the 
:link reftype=hd res=2402.plot:elink. command should be used to set up the appropriate form&per.  For example, 
if the data are of the form (x,y,xdelta,ylow,yhigh), then you can use 
:p.:p.      plot 'data' using 1&colon.2&colon.($1-$3)&colon.($1+$3)&colon.4&colon.5 with xyerrorbars
.br
:h5 res=7305. yerrorbars
:p.The :link reftype=hd res=7305.yerrorbars:elink. (or :link reftype=hd res=2955.errorbars:elink.) style is only relevant to 2-d data plots&per. 
:link reftype=hd res=7305.yerrorbars:elink. is like :link reftype=hd res=7237.points:elink., except that a vertical error bar is also drawn&per. 
At each point (x,y), a line is drawn from (x,y-ydelta) to (x,y+ydelta) or 
from (x,ylow) to (x,yhigh), depending on how many data columns are provided&per. 
A tic mark is placed at the ends of the error bar (unless :link reftype=hd res=3781.set bars:elink. is 
used---see :link reftype=hd res=3781.set bars:elink. for details)&per. 
See also 
errorbar demo&per. 
:h5 res=7325. xerrorlines
:p.The :link reftype=hd res=7325.xerrorlines:elink. style is only relevant to 2-d data plots&per. 
:link reftype=hd res=7325.xerrorlines:elink. is like :link reftype=hd res=7221.linespoints:elink., except that a horizontal error 
line is also drawn&per. At each point (x,y), a line is drawn from (xlow,y) 
to (xhigh,y) or from (x-xdelta,y) to (x+xdelta,y), depending on how 
many data columns are provided&per. A tic mark is placed at the ends of 
the error bar (unless :link reftype=hd res=3781.set bars:elink. is used---see :link reftype=hd res=3781.set bars:elink. for details)&per. 
:h5 res=7337. xyerrorlines
:p.The :link reftype=hd res=7337.xyerrorlines:elink. style is only relevant to 2-d data plots&per. 
:link reftype=hd res=7337.xyerrorlines:elink. is like :link reftype=hd res=7221.linespoints:elink., except that horizontal and 
vertical error bars are also drawn&per. At each point (x,y), lines are 
drawn from (x,y-ydelta) to (x,y+ydelta) and from (x-xdelta,y) to 
(x+xdelta,y) or from (x,ylow) to (x,yhigh) and from (xlow,y) to 
(xhigh,y), depending upon the number of data columns provided&per. A tic 
mark is placed at the ends of the error bar (unless :link reftype=hd res=3781.set bars:elink. is 
used---see :link reftype=hd res=3781.set bars:elink. for details)&per. 
:p.If data are provided in an unsupported mixed form, the :link reftype=hd res=2845.using:elink. filter on the 
:link reftype=hd res=2402.plot:elink. command should be used to set up the appropriate form&per.  For example, 
if the data are of the form (x,y,xdelta,ylow,yhigh), then you can use 
:p.:p.      plot 'data' using 1&colon.2&colon.($1-$3)&colon.($1+$3)&colon.4&colon.5 with xyerrorlines
.br
:h5 res=7357. yerrorlines
:p.The :link reftype=hd res=7357.yerrorlines:elink. (or :link reftype=hd res=3007.errorlines:elink.) style is only relevant to 2-d data 
plots&per. :link reftype=hd res=7357.yerrorlines:elink. is like :link reftype=hd res=7221.linespoints:elink., except that a vertical 
error line is also drawn&per. At each point (x,y), a line is drawn from 
(x,y-ydelta) to (x,y+ydelta) or from (x,ylow) to (x,yhigh), depending 
on how many data columns are provided&per. A tic mark is placed at the 
ends of the error bar (unless :link reftype=hd res=3781.set bars:elink. is used---see :link reftype=hd res=3781.set bars:elink. for 
details)&per. 
See also 
errorbar demo&per. 
:h3 res=7378. surface
:p.The command :link reftype=hd res=7378.set surface:elink. controls the display of surfaces by :link reftype=hd res=12442.splot:elink.&per. 
:p.Syntax&colon. 
:p.      set surface
.br
      unset surface
.br
      show surface
.br
:p.The surface is drawn with the style specified by :link reftype=hd res=3195.with:elink., or else the 
appropriate style, data or function&per. 
:p.Whenever :link reftype=hd res=7378.unset surface:elink. is issued, :link reftype=hd res=12442.splot:elink. will not draw points or lines 
corresponding to the function or data file points&per.  Contours may still be 
drawn on the surface, depending on the :link reftype=hd res=4208.set contour:elink. option&per. :hp2.unset surface; 
set contour base:ehp2. is useful for displaying contours on the grid base&per.  See 
also :link reftype=hd res=4208.set contour:elink.&per. 
:h3 res=7403. terminal
:p.:link reftype=hd res=37.gnuplot:elink. supports many different graphics devices&per.  Use :link reftype=hd res=7403.set terminal:elink. to 
tell :link reftype=hd res=37.gnuplot:elink. what kind of output to generate&per. Use :link reftype=hd res=5831.set output:elink. to redirect 
that output to a file or device&per. 
:p.Syntax&colon. 
:p.      set terminal {<terminal-type> | push | pop}
.br
      show terminal
.br
:p.If <terminal-type> is omitted, :link reftype=hd res=37.gnuplot:elink. will list the available terminal 
types&per.  <terminal-type> may be abbreviated&per. 
:p.If both :link reftype=hd res=7403.set terminal:elink. and :link reftype=hd res=5831.set output:elink. are used together, it is safest to 
give :link reftype=hd res=7403.set terminal:elink. first, because some terminals set a flag which is needed 
in some operating systems&per. 
:p.Several terminals have additional options&per.  For example, see :link reftype=hd res=8235.dumb:elink., 
:link reftype=hd res=9204.iris4d:elink., :link reftype=hd res=9143.hpljii:elink. or :link reftype=hd res=6442.postscript:elink.&per. 
The options used by a previous invocation :hp2.set term <term> <options>:ehp2. of a 
given :hp2.<term>:ehp2. are remembered, thus subsequent :hp2.set term <term>:ehp2. does 
not reset them&per.  This helps in printing, for instance, when switching 
among different terminals---previous options don't have to be repeated&per. 
:p.The command :hp2.set term push:ehp2. remembers the current terminal including its 
settings while :hp2.set term pop:ehp2. restores it&per. This is equivalent to :hp2.save term:ehp2. 
and :hp2.load term:ehp2., but without accessing the filesystem&per. Therefore they can be 
used to achieve platform independent restoring of the terminal after printing, 
for instance&per. After gnuplot's startup, the default terminal or that from 
:link reftype=hd res=1513.startup:elink. file is pushed automatically&per. Therefore portable scripts can rely 
that :hp2.set term pop:ehp2. restores the default terminal on a given platform unless 
another terminal has been pushed explicitly&per. 
:p.This document may describe drivers that are not available to you because they 
were not installed, or it may not describe all the drivers that are available 
to you, depending on its output format&per. 
:h4 res=7445. aed767
:p.The :link reftype=hd res=7445.aed512:elink. and :link reftype=hd res=7445.aed767:elink. terminal drivers support AED graphics terminals&per. 
The two drivers differ only in their horizontal ranges, which are 512 and 
768 pixels, respectively&per.  Their vertical range is 575 pixels&per.  There are 
no options for these drivers&per. 
:h4 res=7462. aifm
:p.Several options may be set in :link reftype=hd res=7462.aifm:elink.---the Adobe Illustrator 3&per.0+ driver&per. 
:p.Syntax&colon. 
:p.      set terminal aifm {<color>} {"<fontname>"} {<fontsize>}
.br
:p.<color> is either :hp2.color:ehp2. or :hp2.monochrome:ehp2.; "<fontname>" is the name of a 
valid PostScript font; <fontsize> is the size of the font in PostScript 
points, before scaling by the :link reftype=hd res=6618.set size:elink. command&per.  Selecting :hp2.default:ehp2. sets 
all options to their default values&colon. :hp2.monochrome:ehp2., "Times-Roman", and 14pt&per. 
:p.Since AI does not really support multiple pages, multiple graphs will be 
drawn directly on top of one another&per.  However, each graph will be grouped 
individually, making it easy to separate them inside AI (just pick them up 
and move them)&per. 
:p.Examples&colon. 
:p.      set term aifm
.br
      set term aifm 22
.br
      set size 0&per.7,1&per.4; set term aifm color "Times-Roman" 14
.br
:h4 res=7488. amiga
:p.The :link reftype=hd res=7488.amiga:elink. terminal, for Commodore Amiga computers, allows the user to 
plot either to a screen (default), or, if Kickstart 3&per.0 or higher is 
installed, to a window on the current public screen&per. The font and its size 
can also be selected&per. 
:p.Syntax&colon. 
:p.      set terminal amiga {screen | window} {"<fontname>"} {<fontsize>}
.br
:p.The default font is 8-point "topaz"&per. 
:p.The screen option uses a virtual screen, so it is possible that the graph 
will be larger than the screen&per. 
:h4 res=7507. apollo
:p.The :link reftype=hd res=7507.apollo:elink. terminal driver supports the Apollo Graphics Primitive Resource 
with rescaling after window resizing&per.  It has no options&per. 
:p.If a fixed-size window is desired, the :link reftype=hd res=9009.gpr:elink. terminal may be used instead&per. 
:h4 res=7518. aqua
:p.This terminal relies on AquaTerm&per.app for display on Mac OS X&per. 
:p.Syntax&colon. 
:p.      set terminal aqua {<n>} {title "<wintitle>"} {size <x> <y>}
.br
                        {fname "<fontface>"} {fsize <fontsize>}
.br
:p.where <n> is the number of the window to draw in (default is 0), 
<wintitle> is the name shown in the title bar (default "Figure <n>"), 
<x> <y> is the size of the plot (default is 846x594 pt = 11&per.75x8&per.25 in)&per. 
:p.Use <fontface> to specify the font to use (default is "Times-Roman"), 
<fontzise> sets the font size (default is 14&per.0 pt)&per. 
:h4 res=7538. atari ST (via AES)
:p.The :link reftype=hd res=7538.atari:elink. terminal has options to set the character size and the screen 
colors&per. 
:p.Syntax&colon. 
:p.      set terminal atari {<fontsize>} {<col0> <col1> &per.&per.&per. <col15>}
.br
:p.The character size must appear if any colors are to be specified&per.  Each of 
the (up to 16) colors is given as a three-digit hex number, where the digits 
represent RED, GREEN and BLUE (in that order)&per.  The range of 0--15 is scaled 
to whatever color range the screen actually has&per.  On a normal ST screen, odd 
and even intensities are the same&per. 
:p.Examples&colon. 
:p.      set terminal atari 4    # use small (6x6) font
.br
      set terminal atari 6 0  # set monochrome screen to white on black
.br
      set terminal atari 13 0 fff f00 f0 f ff f0f
.br
                 # set first seven colors to black, white, red, green,
.br
                 # blue, cyan, and purple and use large font (8x16)&per.
.br
:p.Additionally, if an environment variable GNUCOLORS exists, its contents are 
interpreted as an options string, but an explicit terminal option takes 
precedence&per. 
:h4 res=7567. atari ST (via VDI)
:p.The :link reftype=hd res=7567.vdi:elink. terminal is the same as the :link reftype=hd res=7538.atari:elink. terminal, except that it sends 
output to the screen via the VDI and not into AES-Windows&per. 
:p.The :link reftype=hd res=7567.vdi:elink. terminal has options to set the character size and the screen 
colors&per. 
:p.Syntax&colon. 
:p.      set terminal vdi {<fontsize>} {<col0> <col1> &per.&per.&per. <col15>}
.br
:p.The character size must appear if any colors are to be specified&per.  Each of 
the (up to 16) colors is given as a three-digit hex number, where the digits 
represent RED, GREEN and BLUE (in that order)&per.  The range of 0--15 is scaled 
to whatever color range the screen actually has&per.  On a normal ST screen, odd 
and even intensities are the same&per. 
:p.Examples&colon. 
:p.      set terminal vdi 4    # use small (6x6) font
.br
      set terminal vdi 6 0  # set monochrome screen to white on black
.br
      set terminal vdi 13 0 fff f00 f0 f ff f0f
.br
                 # set first seven colors to black, white, red, green,
.br
                 # blue, cyan, and purple and use large font (8x16)&per.
.br
:p.Additionally, if an environment variable GNUCOLORS exists, its contents are 
interpreted as an options string, but an explicit terminal option takes 
precedence&per. 
:h4 res=7599. be
:p.:link reftype=hd res=37.gnuplot:elink. provides the :link reftype=hd res=7599.be:elink. terminal type for use with X servers&per.  This 
terminal type is set automatically at startup if the :hp2.DISPLAY:ehp2. environment 
variable is set, if the :hp2.TERM:ehp2. environment variable is set to :hp2.xterm:ehp2., or 
if the :hp2.-display:ehp2. command line option is used&per. 
:p.Syntax&colon. 
:p.          set terminal be {reset} {<n>}
.br
:p.Multiple plot windows are supported&colon. :hp2.set terminal be <n>:ehp2. directs the 
output to plot window number n&per.  If n>0, the terminal number will be 
appended to the window title and the icon will be labeled :hp2.gplt <n>:ehp2.&per. 
The active window may distinguished by a change in cursor (from default 
to crosshair&per.) 
:p.Plot windows remain open even when the :link reftype=hd res=37.gnuplot:elink. driver is changed to a 
different device&per.  A plot window can be closed by pressing the letter q 
while that window has input focus, or by choosing :hp2.close:ehp2. from a window 
manager menu&per.  All plot windows can be closed by specifying :link reftype=hd res=3421.reset:elink., which 
actually terminates the subprocess which maintains the windows (unless 
:hp2.-persist:ehp2. was specified)&per. 
:p.Plot windows will automatically be closed at the end of the session 
unless the :hp2.-persist:ehp2. option was given&per. 
:p.The size or aspect ratio of a plot may be changed by resizing the :link reftype=hd res=37.gnuplot:elink. 
window&per. 
:p.Linewidths and pointsizes may be changed from within :link reftype=hd res=37.gnuplot:elink. with 
:hp2.set linestyle:ehp2.&per. 
:p.For terminal type :link reftype=hd res=7599.be:elink., :link reftype=hd res=37.gnuplot:elink. accepts (when initialized) the standard 
X Toolkit options and resources such as geometry, font, and name from the 
command line arguments or a configuration file&per.  See the X(1) man page 
(or its equivalent) for a description of such options&per. 
:p.A number of other :link reftype=hd res=37.gnuplot:elink. options are available for the :link reftype=hd res=7599.be:elink. terminal&per. 
These may be specified either as command-line options when :link reftype=hd res=37.gnuplot:elink. is 
invoked or as resources in the configuration file "&per.Xdefaults"&per.  They are 
set upon initialization and cannot be altered during a :link reftype=hd res=37.gnuplot:elink. session&per. 
:h5 res=7646. command-line_options
:p.In addition to the X Toolkit options, the following options may be specified 
on the command line when starting :link reftype=hd res=37.gnuplot:elink. or as resources in your 
"&per.Xdefaults" file&colon. 
:table cols=' 19 65'.
:row.
:c.c l &per.
:c.
:row.
:c.:hp2.-mono:ehp2.
:c.forces monochrome rendering on color displays&per.
:row.
:c.:hp2.-gray:ehp2.
:c.requests grayscale rendering on grayscale or color displays&per.
:row.
:c.           
:c.(Grayscale displays receive monochrome rendering by default&per.)
:row.
:c.:hp2.-clear:ehp2.
:c.requests that the window be cleared momentarily before a
:row.
:c.                
:c.new plot is displayed&per.
:row.
:c.:hp2.-raise:ehp2.
:c.raises plot window after each plot
:row.
:c.:hp2.-noraise:ehp2.
:c.does not raise plot window after each plot
:row.
:c.:hp2.-persist:ehp2.
:c.plots windows survive after main gnuplot program exits
:etable.
The options are shown above in their command-line syntax&per.  When entered as 
resources in "&per.Xdefaults", they require a different syntax&per. 
:p.Example&colon. 
:p.          gnuplot*gray&colon. on
.br
:p.:link reftype=hd res=37.gnuplot:elink. also provides a command line option (:hp2.-pointsize <v>:ehp2.) and a 
resource, :hp2.gnuplot*pointsize&colon. <v>:ehp2., to control the size of points plotted 
with the :link reftype=hd res=7237.points:elink. plotting style&per.  The value :hp2.v:ehp2. is a real number (greater 
than 0 and less than or equal to ten) used as a scaling factor for point 
sizes&per.  For example, :hp2.-pointsize 2:ehp2. uses points twice the default size, and 
:hp2.-pointsize 0&per.5:ehp2. uses points half the normal size&per. 
:h5 res=7694. monochrome_options
:p.For monochrome displays, :link reftype=hd res=37.gnuplot:elink. does not honor foreground or background 
colors&per.  The default is black-on-white&per.  :hp2.-rv:ehp2. or :hp2.gnuplot*reverseVideo&colon. on:ehp2. 
requests white-on-black&per. 
:p.:h5 res=7703. color_resources
:p.For color displays, :link reftype=hd res=37.gnuplot:elink. honors the following resources (shown here 
with their default values) or the greyscale resources&per.  The values may be 
color names as listed in the BE rgb&per.txt file on your system, hexadecimal 
RGB color specifications (see BE documentation), or a color name followed 
by a comma and an :hp2.intensity:ehp2. value from 0 to 1&per.  For example, :hp2.blue, 0&per.5:ehp2. 
means a half intensity blue&per. 
:table cols=' 33'.
:row.
:c.c l &per.
:row.
:c.gnuplot*background&colon. white
:row.
:c.gnuplot*textColor&colon. black
:row.
:c.gnuplot*borderColor&colon. black
:row.
:c.gnuplot*axisColor&colon. black
:row.
:c.gnuplot*line1Color&colon. red
:row.
:c.gnuplot*line2Color&colon. green
:row.
:c.gnuplot*line3Color&colon. blue
:row.
:c.gnuplot*line4Color&colon. magenta
:row.
:c.gnuplot*line5Color&colon. cyan
:row.
:c.gnuplot*line6Color&colon. sienna
:row.
:c.gnuplot*line7Color&colon. orange
:row.
:c.gnuplot*line8Color&colon. coral
:etable.
:p.The command-line syntax for these is, for example, 
:p.Example&colon. 
:p.          gnuplot -background coral
.br
:p.:h5 res=7760. grayscale_resources
:p.When :hp2.-gray:ehp2. is selected, :link reftype=hd res=37.gnuplot:elink. honors the following resources for 
grayscale or color displays (shown here with their default values)&per.  Note 
that the default background is black&per. 
:table cols=' 32'.
:row.
:c.c l &per.
:row.
:c.gnuplot*background&colon. black
:row.
:c.gnuplot*textGray&colon. white
:row.
:c.gnuplot*borderGray&colon. gray50
:row.
:c.gnuplot*axisGray&colon. gray50
:row.
:c.gnuplot*line1Gray&colon. gray100
:row.
:c.gnuplot*line2Gray&colon. gray60
:row.
:c.gnuplot*line3Gray&colon. gray80
:row.
:c.gnuplot*line4Gray&colon. gray40
:row.
:c.gnuplot*line5Gray&colon. gray90
:row.
:c.gnuplot*line6Gray&colon. gray50
:row.
:c.gnuplot*line7Gray&colon. gray70
:row.
:c.gnuplot*line8Gray&colon. gray30
:etable.
:p.:h5 res=7809. line_resources
:p.:link reftype=hd res=37.gnuplot:elink. honors the following resources for setting the width (in pixels) of 
plot lines (shown here with their default values&per.)  0 or 1 means a minimal 
width line of 1 pixel width&per.  A value of 2 or 3 may improve the appearance of 
some plots&per. 
:table cols=' 28'.
:row.
:c.c l &per.
:row.
:c.gnuplot*borderWidth&colon. 2
:row.
:c.gnuplot*axisWidth&colon. 0
:row.
:c.gnuplot*line1Width&colon. 0
:row.
:c.gnuplot*line2Width&colon. 0
:row.
:c.gnuplot*line3Width&colon. 0
:row.
:c.gnuplot*line4Width&colon. 0
:row.
:c.gnuplot*line5Width&colon. 0
:row.
:c.gnuplot*line6Width&colon. 0
:row.
:c.gnuplot*line7Width&colon. 0
:row.
:c.gnuplot*line8Width&colon. 0
:etable.
:p.:link reftype=hd res=37.gnuplot:elink. honors the following resources for setting the dash style used for 
plotting lines&per.  0 means a solid line&per.  A two-digit number :hp2.jk:ehp2. (:hp2.j:ehp2. and :hp2.k:ehp2. 
are >= 1  and <= 9) means a dashed line with a repeated pattern of :hp2.j:ehp2. pixels 
on followed by :hp2.k:ehp2. pixels off&per.  For example, '16' is a "dotted" line with one 
pixel on followed by six pixels off&per.  More elaborate on/off patterns can be 
specified with a four-digit value&per.  For example, '4441' is four on, four off, 
four on, one off&per.  The default values shown below are for monochrome displays 
or monochrome rendering on color or grayscale displays&per.  For color displays, 
the default for each is 0 (solid line) except for :hp2.axisDashes:ehp2. which defaults 
to a '16' dotted line&per. 
:table cols=' 31'.
:row.
:c.c l &per.
:row.
:c.gnuplot*borderDashes&colon. 0
:row.
:c.gnuplot*axisDashes&colon. 16
:row.
:c.gnuplot*line1Dashes&colon. 0
:row.
:c.gnuplot*line2Dashes&colon. 42
:row.
:c.gnuplot*line3Dashes&colon. 13
:row.
:c.gnuplot*line4Dashes&colon. 44
:row.
:c.gnuplot*line5Dashes&colon. 15
:row.
:c.gnuplot*line6Dashes&colon. 4441
:row.
:c.gnuplot*line7Dashes&colon. 42
:row.
:c.gnuplot*line8Dashes&colon. 13
:etable.
:h4 res=7897. cgi
:p.The :link reftype=hd res=7897.cgi:elink. and :link reftype=hd res=7897.hcgi:elink. terminal drivers support SCO CGI drivers&per.  :link reftype=hd res=7897.hcgi:elink. is for 
printers; the environment variable CGIPRNT must be set&per.  :link reftype=hd res=7897.cgi:elink. may be used 
for either a display or hardcopy; if the environment variable CGIDISP is set, 
then that display is used&per.  Otherwise CGIPRNT is used&per. 
:p.These terminals have no options&per. 
:h4 res=7916. cgm
:p.The :link reftype=hd res=7916.cgm:elink. terminal generates a Computer Graphics Metafile, Version 1&per.  
This file format is a subset of the ANSI X3&per.122-1986 standard entitled 
"Computer Graphics - Metafile for the Storage and Transfer of Picture 
Description Information"&per. 
Several options may be set in :link reftype=hd res=7916.cgm:elink.&per. 
:p.Syntax&colon. 
:p.      set terminal cgm {<mode>} {<color>} {<rotation>} {solid | dashed}
.br
                       {width <plot_width>} {linewidth <line_width>}
.br
                       {"<font>"} {<fontsize>}
.br
                       {<color0> <color1> <color2> &per.&per.&per.}
.br
:p.where <mode> is :hp2.landscape:ehp2., :hp2.portrait:ehp2., or :hp2.default:ehp2.; 
<color> is either :hp2.color:ehp2. or :hp2.monochrome:ehp2.;  
<rotation> is either :link reftype=hd res=8126.rotate:elink. or :hp2.norotate:ehp2.; 
:link reftype=hd res=8139.solid:elink. draws all curves with solid lines, overriding any dashed patterns; 
<plot_width> is the assumed width of the plot in points;  
<line_width> is the line width in points (default 1);  
<font> is the name of a font; and  
<fontsize> is the size of the font in points (default 12)&per. 
:p.By default, :link reftype=hd res=7916.cgm:elink. uses rotated text for the Y axis label&per. 
:p.The first six options can be in any order&per.  Selecting :hp2.default:ehp2. sets all 
options to their default values&per. 
:p.Each color must be of the form 'xrrggbb', where x is the literal 
character 'x' and 'rrggbb' are the red, green and blue components in 
hex&per.  For example, 'x00ff00' is green&per.  The background color is set 
first, then the plotting colors&per. 
Examples&colon. 
:p.      set terminal cgm landscape color rotate dashed width 432 \
.br
                     linewidth 1  'Helvetica Bold' 12       # defaults
.br
      set terminal cgm linewidth 2  14  # wider lines &amp. larger font
.br
      set terminal cgm portrait "Times Italic" 12
.br
      set terminal cgm color solid      # no pesky dashes!
.br
:h5 res=7959. font
:p.The first part of a Computer Graphics Metafile, the metafile description, 
includes a font table&per.  In the picture body, a font is designated by an 
index into this table&per.  By default, this terminal generates a table with 
the following 35 fonts, plus six more with :hp2.italic:ehp2. replaced by 
:hp2.oblique:ehp2., or vice-versa (since at least the Microsoft Office and Corel 
Draw CGM import filters treat :hp2.italic:ehp2. and :hp2.oblique:ehp2. as equivalent)&colon. 
:table cols=' 26'.
:row.
:c.c c l &per.
:row.
:c.CGM fonts
:row.
:c._
:row.
:c.Helvetica
:row.
:c.Helvetica Bold
:row.
:c.Helvetica Oblique
:row.
:c.Helvetica Bold Oblique
:row.
:c.Times Roman
:row.
:c.Times Bold
:row.
:c.Times Italic
:row.
:c.Times Bold Italic
:row.
:c.Courier
:row.
:c.Courier Bold
:row.
:c.Courier Oblique
:row.
:c.Courier Bold Oblique
:row.
:c.Symbol
:row.
:c.Hershey/Cartographic_Roman
:row.
:c.Hershey/Cartographic_Greek
:row.
:c.Hershey/Simplex_Roman
:row.
:c.Hershey/Simplex_Greek
:row.
:c.Hershey/Simplex_Script
:row.
:c.Hershey/Complex_Roman
:row.
:c.Hershey/Complex_Greek
:row.
:c.Hershey/Complex_Script
:row.
:c.Hershey/Complex_Italic
:row.
:c.Hershey/Complex_Cyrillic
:row.
:c.Hershey/Duplex_Roman
:row.
:c.Hershey/Triplex_Roman
:row.
:c.Hershey/Triplex_Italic
:row.
:c.Hershey/Gothic_German
:row.
:c.Hershey/Gothic_English
:row.
:c.Hershey/Gothic_Italian
:row.
:c.Hershey/Symbol_Set_1
:row.
:c.Hershey/Symbol_Set_2
:row.
:c.Hershey/Symbol_Math
:row.
:c.ZapfDingbats
:row.
:c.Script
:row.
:c.15
:etable.
The first thirteen of these fonts are required for WebCGM&per.  The 
Microsoft Office CGM import filter implements the 13 standard fonts 
listed above, and also 'ZapfDingbats' and 'Script'&per.  However, the 
script font may only be accessed under the name '15'&per.  For more on 
Microsoft import filter font substitutions, check its help file which 
you may find here&colon. 
:p.  C&colon.\Program Files\Microsoft Office\Office\Cgmimp32&per.hlp
.br
and/or its configuration file, which you may find here&colon. 
:p.  C&colon.\Program Files\Common Files\Microsoft Shared\Grphflt\Cgmimp32&per.cfg
.br
:p.In the :link reftype=hd res=7403.set term:elink. command, you may specify a font name which does not 
appear in the default font table&per.  In that case, a new font table is 
constructed with the specified font as its first entry&per. You must ensure 
that the spelling, capitalization, and spacing of the name are 
appropriate for the application that will read the CGM file&per.  (Gnuplot 
and any MIL-D-28003A compliant application ignore case in font names&per.) 
If you need to add several new fonts, use several :link reftype=hd res=7403.set term:elink. commands&per. 
:p.Example&colon. 
:p.      set terminal cgm 'Old English'
.br
      set terminal cgm 'Tengwar'
.br
      set terminal cgm 'Arabic'
.br
      set output 'myfile&per.cgm'
.br
      plot &per.&per.&per.
.br
      set output
.br
:p.You cannot introduce a new font in a :link reftype=hd res=5235.set label:elink. command&per.2 fontsize 
Fonts are scaled assuming the page is 6 inches wide&per.  If the :link reftype=hd res=6618.size:elink. 
command is used to change the aspect ratio of the page or the CGM file 
is converted to a different width, the resulting font sizes will be 
scaled up or down accordingly&per.  To change the assumed width, use the 
:link reftype=hd res=8155.width:elink. option&per. 
:h5 res=8118. linewidth
:p.The :link reftype=hd res=8118.linewidth:elink. option sets the width of lines in pt&per.  The default width 
is 1 pt&per.  Scaling is affected by the actual width of the page, as 
discussed under the :hp2.fontsize:ehp2. and :link reftype=hd res=8155.width:elink. options&per. 
:h5 res=8126. rotate
:p.The :hp2.norotate:ehp2. option may be used to disable text rotation&per.  For 
example, the CGM input filter for Word for Windows 6&per.0c can accept 
rotated text, but the DRAW editor within Word cannot&per.  If you edit a 
graph (for example, to label a curve), all rotated text is restored to 
horizontal&per.  The Y axis label will then extend beyond the clip boundary&per. 
With :hp2.norotate:ehp2., the Y axis label starts in a less attractive location, 
but the page can be edited without damage&per.  The :link reftype=hd res=8126.rotate:elink. option confirms 
the default behavior&per. 
:h5 res=8139. solid
:p.The :link reftype=hd res=8139.solid:elink. option may be used to disable dashed line styles in the 
plots&per.  This is useful when color is enabled and the dashing of the 
lines detracts from the appearance of the plot&per. The :hp2.dashed:ehp2. option 
confirms the default behavior, which gives a different dash pattern to 
each curve&per. 
:h5 res=8148. size
:p.Default size of a CGM plot is 32599 units wide and 23457 units high for 
landscape, or 23457 units wide by 32599 units high for portrait&per. 
:h5 res=8155. width
:p.All distances in the CGM file are in abstract units&per.  The application 
that reads the file determines the size of the final plot&per.  By default, 
the width of the final plot is assumed to be 6 inches (15&per.24 cm)&per.  This 
distance is used to calculate the correct font size, and may be changed 
with the :link reftype=hd res=8155.width:elink. option&per.  The keyword should be followed by the width in 
points&per.  (Here, a point is 1/72 inch, as in PostScript&per.  This unit is 
known as a "big point" in TeX&per.)  Gnuplot :link reftype=hd res=619.expressions:elink. can be used to 
convert from other units&per. 
:p.Example&colon. 
:p.      set terminal cgm width 432            # default
.br
      set terminal cgm width 6*72           # same as above
.br
      set terminal cgm width 10/2&per.54*72     # 10 cm wide
.br
:h5 res=8173. nofontlist
:p.The default font table includes the fonts recommended for WebCGM, which 
are compatible with the Computer Graphics Metafile input filter for 
Microsoft Office and Corel Draw&per.  Another application might use 
different fonts and/or different font names, which may not be 
documented&per.  As a workaround, the :link reftype=hd res=8173.nofontlist:elink. option deletes the font 
table from the CGM file&per.  In this case, the reading application should 
use a default table&per.  Gnuplot will still use its own default font table 
to select font indices&per.  Thus, 'Helvetica' will give you an index of 1, 
which should get you the first entry in your application's default font 
table&per. 'Helvetica Bold' will give you its second entry, etc&per. 
:p.The former :hp2.winword6:ehp2. option is now a deprecated synonym for 
:link reftype=hd res=8173.nofontlist:elink.&per.  The problems involving the color and font tables that 
the :hp2.winword6:ehp2. option was intended to work around turned out to be 
gnuplot bugs which have now been fixed&per. 
:h4 res=8197. corel
:p.The :link reftype=hd res=8197.corel:elink. terminal driver supports CorelDraw&per. 
:p.Syntax&colon. 
:p.      set terminal corel {  default
.br
                          | {monochrome | color
.br
                               {"<font>" {<fontsize> 
.br
                                  {<xsize> <ysize> {<linewidth> }}}}}
.br
:p.where the fontsize and linewidth are specified in points and the sizes in 
inches&per.  The defaults are monochrome, "SwitzerlandLight", 22, 8&per.2, 10 and 1&per.2&per. 
:h4 res=8214. debug
:p.This terminal is provided to allow for the debugging of :link reftype=hd res=37.gnuplot:elink.&per.  It is 
likely to be of use only for users who are modifying the source code&per. 
:h4 res=8223. svga
:p.The :link reftype=hd res=8223.svga:elink. terminal driver supports PCs with SVGA graphics&per.  It can only be 
used if it is compiled with DJGPP&per.  Its only option is the font&per. 
:p.Syntax&colon. 
:p.      set terminal svga {"<fontname>"}
.br
:h4 res=8235. dumb
:p.The :link reftype=hd res=8235.dumb:elink. terminal driver has an optional size specification and trailing 
linefeed control&per. 
:p.Syntax&colon. 
:p.      set terminal dumb {[no]feed} {<xsize> <ysize>}
.br
                        {[no]enhanced}
.br
:p.where <xsize> and <ysize> set the size of the dumb terminals&per. Default is 
79 by 24&per. The last newline is printed only if :hp2.feed:ehp2. is enabled&per. 
:p.Examples&colon. 
:p.      set term dumb nofeed
.br
      set term dumb 79 49 # VGA screen---why would anyone do that?
.br
:h4 res=8255. dxf
:p.The :link reftype=hd res=8255.dxf:elink. terminal driver creates pictures that can be imported into AutoCad 
(Release 10&per.x)&per.  It has no options of its own, but some features of its plots 
may be modified by other means&per.  The default size is 120x80 AutoCad units, 
which can be changed by :link reftype=hd res=6618.set size:elink.&per.  :link reftype=hd res=8255.dxf:elink. uses seven colors (white, red, 
yellow, green, cyan, blue and magenta), which can be changed only by 
modifying the source file&per.  If a black-and-white plotting device is used, the 
colors are mapped to differing line thicknesses&per.  See the description of the 
AutoCad print/plot command&per. 
:h4 res=8270. dxy800a
:p.This terminal driver supports the Roland DXY800A plotter&per.  It has no options&per. 
:h4 res=8278. eepic
:p.The :link reftype=hd res=8278.eepic:elink. terminal driver supports the extended LaTeX picture environment&per. 
It is an alternative to the :link reftype=hd res=9257.latex:elink. driver&per. 
:p.The output of this terminal is intended for use with the "eepic&per.sty" macro 
package for LaTeX&per.  To use it, you need "eepic&per.sty", "epic&per.sty" and a 
printer driver that supports the "tpic" \specials&per.  If your printer driver 
doesn't support those \specials, "eepicemu&per.sty" will enable you to use some 
of them&per. 
dvips and dvipdfm do support the "tpic" \specials&per. 
:p.Syntax&colon. 
:p.   set terminal eepic {color, dashed, rotate, small, tiny, default, <fontsize>}
.br
:p.Options&colon. 
You can give options in any order you wish&per. 
'color' causes gnuplot to produce \color{&per.&per.&per.} commands so that the graphs are 
colored&per. Using this option, you must include \usepackage{color} in the preambel 
of your latex document&per. 
'dashed' will allow dashed line types; without this option, only solid lines 
with varying thickness will be used&per. 
'dashed' and 'color' are mutually exclusive; if 'color' is specified, then 'dashed' 
will be ignored&per. 
'rotate' will enable true rotated text (by 90 degrees)&per. Otherwise, rotated text 
will be typeset with letters stacked above each other&per. If you use this option 
you must include \usepackage{graphicx} in the preamble&per. 
'small' will use \scriptsize symbols as point markers (Probably does not work 
with TeX, only LaTeX2e)&per. Default is to use the default math size&per. 
'tiny' uses \scriptscriptstyle symbols&per. 
'default' resets all options to their defaults = no color, no dashed lines, 
pseudo-rotated (stacked) text, large point symbols&per. 
<fontsize> is a number which specifies the font size inside the picture 
environment; the unit is pt (points), i&per.e&per., 10 pt equals approx&per. 3&per.5 mm&per. 
If fontsize is not specified, then all text inside the picture will be set 
in \footnotesize&per. 
:p.Notes&colon. 
Remember to escape the # character (or other chars meaningful to (La-)TeX) 
by \\ (2 backslashes)&per. 
It seems that dashed lines become solid lines when the vertices of a plot 
are too close&per. (I do not know if that is a general problem with the tpic specials, 
or if it is caused by a bug in eepic&per.sty or dvips/dvipdfm&per.) 
The default size of an eepic plot is 5x3 inches, which can be scaled  
by 'set size a,b'&per. 
Points, among other things, are drawn using the LaTeX commands "\Diamond", 
"\Box", etc&per.  These commands no longer belong to the LaTeX2e core; they are 
included in the latexsym package, which is part of the base distribution and 
thus part of any LaTeX implementation&per. Please do not forget to use this package&per. 
Instead of latexsym, you can also include the amssymb package&per. All drivers for LaTeX offer a special way of controlling text positioning&colon. 
If any text string begins with '{', you also need to include a '}' at the 
end of the text, and the whole text will be centered both horizontally and 
vertically&per.  If the text string begins with '[', you need to follow this with 
a position specification (up to two out of t,b,l,r), ']{', the text itself, 
and finally '}'&per.  The text itself may be anything LaTeX can typeset as an 
LR-box&per.  '\rule{}{}'s may help for best positioning&per. 
:p.Examples&colon. 
set term eepic 
:p.  output graphs as eepic macros inside a picture environment;
.br
  \input the resulting file in your LaTeX document&per.
.br
set term eepic color tiny rotate 8 
:p.  eepic macros with \color macros, \scripscriptsize point markers,
.br
  true rotated text, and all text set with 8pt&per.
.br
:p.About label positioning&colon. 
Use gnuplot defaults (mostly sensible, but sometimes not really best)&colon. 
:p.       set title '\LaTeX\ -- $ \gamma $'
.br
Force centering both horizontally and vertically&colon. 
:p.       set label '{\LaTeX\ -- $ \gamma $}' at 0,0
.br
Specify own positioning (top here)&colon. 
:p.       set xlabel '[t]{\LaTeX\ -- $ \gamma $}'
.br
The other label -- account for long ticlabels&colon. 
:p.       set ylabel '[r]{\LaTeX\ -- $ \gamma $\rule{7mm}{0pt}}'
.br
:h4 res=8357. emf
:p.The :link reftype=hd res=8357.emf:elink. terminal generates an Enhanced Metafile Format file&per.  This file 
format is the metafile standard on MS Win32 Systems 
Syntax&colon. 
:p.      set terminal emf {<color>} {solid | dashed}
.br
                       {"<font>"} {<fontsize>}
.br
:p.<color> is either :hp2.color:ehp2. or :hp2.monochrome:ehp2.;  
:link reftype=hd res=8139.solid:elink. draws all curves with solid lines, overriding any dashed patterns; 
<font> is the name of a font; and  
:hp2.<fontsize>:ehp2. is the size of the font in points&per. 
:p.The first two options can be in any order&per.  Selecting :hp2.default:ehp2. sets all 
options to their default values&per. 
:p.Examples&colon. 
:p.      set terminal emf 'Times Roman Italic' 12
.br
      set terminal emf color solid    # no pesky dashes!
.br
:h4 res=8381. emxvga
:p.The :link reftype=hd res=8381.emxvga:elink., :link reftype=hd res=8381.emxvesa:elink. and :link reftype=hd res=8381.vgal:elink. terminal drivers support PCs with SVGA, 
vesa SVGA and VGA graphics boards, respectively&per.  They are intended to be 
compiled with "emx-gcc" under either DOS or OS/2&per.  They also need VESA and 
SVGAKIT maintained by Johannes Martin (JMARTIN@GOOFY&per.ZDV&per.UNI-MAINZ&per.DE) with 
additions by David J&per. Liu (liu@phri&per.nyu&per.edu)&per. 
:p.Syntax&colon. 
:p.      set terminal emxvga
.br
      set terminal emxvesa {vesa-mode}
.br
      set terminal vgal
.br
:p.The only option is the vesa mode for :link reftype=hd res=8381.emxvesa:elink., which defaults to G640x480x256&per. 
:h4 res=8412. epslatex
:p.The :link reftype=hd res=8412.epslatex:elink. driver generates output for further processing by LaTeX&per. 
Syntax&colon. 
:p.      set terminal epslatex {default}
.br
                              {color | monochrome} {solid | dashed}
.br
                              {"<fontname>"} {<fontsize>}
.br
:p.:hp2.default:ehp2. mode sets all options to their defaults&colon. :hp2.monochrome:ehp2., :hp2.dashed:ehp2., 
"default" and 11pt&per. 
Default size of a plot is 5 inches wide and 3 inches high&per. 
:p.:link reftype=hd res=8139.solid:elink. draws all plots with solid lines, overriding any dashed patterns; 
:hp2."<fontname>":ehp2. is the name of font; and :hp2.<fontsize>:ehp2. is 
the size of the font in PostScript points&per. Font selection isn't supported yet&per. 
Font size selection is supported only for the calculation of proper spacing&per. 
The actual LaTeX font at the point of inclusion is taken, so use LaTeX commands 
for changing fonts&per. If you use e&per.g&per. 12pt as font size for your LaTeX documents,  
use '"default" 12' as options&per. 
:p.All drivers for LaTeX offer a special way of controlling text positioning&colon.  
(a) If any text string begins with '{', you also need to include a '}' at the 
end of the text, and the whole text will be centered both horizontally 
and vertically by LaTeX&per.  (b) If the text string begins with '[', you need 
to continue it with&colon. a position specification (up to two out of t,b,l,r), 
']{', the text itself, and finally, '}'&per. The text itself may be anything 
LaTeX can typeset as an LR-box&per. \rule{}{}'s may help for best positioning&per. 
See also the documentation for the :link reftype=hd res=10201.pslatex:elink. terminal driver&per. 
To create multiline labels, use \shortstack, for example 
:p.   set ylabel '[r]{\shortstack{first line \\ second line}}' 
.br
:p.The driver produces two different files, one for the eps part of the figure 
and one for the LaTeX part&per. The name of the eps file is taken from the 
:link reftype=hd res=5831.set output:elink. command&per. The name of the LaTeX file is derived by replacing 
the file extension (normally :hp2.&per.eps:ehp2.) with :hp2.&per.tex:ehp2. instead&per. 
There is no LaTeX output if no output file is given! 
Remember to close the :link reftype=hd res=6380.output file:elink. before leaving :link reftype=hd res=37.gnuplot:elink.&per. 
:p.In your LaTeX documents use '\input{filename}' to include the figure&per. 
The :hp2.&per.eps:ehp2. file is included by the command \includegraphics{&per.&per.&per.}, so you 
must also include \usepackage{graphicx} in the LaTeX preamble&per. 
:p.Pdf files can be made from the eps file using 'epstopdf'&per. If the graphics 
package is properly configured, the LaTeX files can also be processed by 
pdflatex without changes, using the pdf files instead of the eps files&per. 
:h4 res=8462. epson-180dpi
:p.This driver supports a family of Epson printers and derivatives&per. 
:p.:link reftype=hd res=8462.epson-180dpi:elink. and :link reftype=hd res=8462.epson-60dpi:elink. are drivers for Epson LQ-style 24-pin 
printers with resolutions of 180 and 60 dots per inch, respectively&per. 
:p.:link reftype=hd res=8462.epson-lx800:elink. is a generic 9-pin driver appropriate for printers like the 
Epson LX-800, the Star NL-10 and NX-1000, the PROPRINTER, and so forth&per. 
:p.:link reftype=hd res=8462.nec-cp6:elink. is generic 24-pin driver that can be used for printers like the 
NEC CP6 and the Epson LQ-800&per. 
:p.The :link reftype=hd res=8462.okidata:elink. driver supports the 9-pin OKIDATA 320/321 Standard printers&per. 
:p.The :link reftype=hd res=8462.starc:elink. driver is for the Star Color Printer&per. 
:p.The :link reftype=hd res=8462.tandy-60dpi:elink. driver is for the Tandy DMP-130 series of 9-pin, 60-dpi 
printers&per. 
:p.Only :link reftype=hd res=8462.nec-cp6:elink. has any options&per. 
:p.Syntax&colon. 
:p.      set terminal nec-cp6 {monochrome | colour | draft}
.br
:p.which defaults to monochrome&per. 
:p.With each of these drivers, a binary copy is required on a PC to print&per.  Do 
not use :link reftype=hd res=3323.print:elink.---use instead :hp2.copy file /b lpt1&colon.:ehp2.&per. 
:h4 res=8532. excl
:p.The :link reftype=hd res=8532.excl:elink. terminal driver supports Talaris printers such as the EXCL Laser 
printer and the 1590&per.  It has no options&per. 
:h4 res=8541. hercules
:p.These drivers supports PC monitors with autodetected graphics boards&per.  They 
can be used only when compiled with Zortech C/C++&per.  None have options&per. 
:h4 res=8586. fig
:p.The :link reftype=hd res=8586.fig:elink. terminal device generates output in the Fig graphics language&per. 
:p.Syntax&colon. 
:p.      set terminal fig {monochrome | color}
.br
                       {landscape | portrait}
.br
                       {small | big | size <xsize> <ysize>}
.br
                       {metric | inches}
.br
                       {pointsmax <max_points>}
.br
                       {solid | dashed}
.br
                       {fontsize <fsize>}
.br
                       {textnormal | {textspecial texthidden textrigid}}
.br
                       {thickness <units>}
.br
                       {depth <layer>}
.br
                       {version <number>}
.br
:p.:hp2.monochrome:ehp2. and :hp2.color:ehp2. determine whether the picture is black-and-white or 
:hp2.color:ehp2.&per.  :hp2.small:ehp2. and :hp2.big:ehp2. produce a 5x3 or 8x5 inch graph in the default 
:hp2.landscape:ehp2. mode and 3x5 or 5x8 inches in :hp2.portrait:ehp2. mode&per. 
:link reftype=hd res=6618.size:elink. sets (overrides) the size of the drawing 
area to <xsize>*<ysize> in units of inches or centimeters depending on the 
:hp2.inches:ehp2. or :hp2.metric:ehp2. setting in effect&per. 
The latter settings is also used as default units for editing with "xfig"&per. 
:p.:hp2.pointsmax <max_points>:ehp2. sets the maximum number of points per polyline&per. 
:p.:link reftype=hd res=8139.solid:elink. inhibits automatic usage of :hp2.dash:ehp2.ed lines when solid linestyles are 
used up, which otherwise occurs&per. 
:p.:hp2.fontsize:ehp2. sets the size of the text font to <fsize> points&per.  :hp2.textnormal:ehp2. 
resets the text flags and selects postscript fonts, :hp2.textspecial:ehp2. sets the 
text flags for LaTeX specials, :hp2.texthidden:ehp2. sets the hidden flag and 
:hp2.textrigid:ehp2. the rigid flag&per.  
:p.:hp2.depth:ehp2. sets the default depth layer for all lines and text&per.  The default 
depth is 10 to leave room for adding material with "xfig" on top of the 
plot&per. 
:p.:link reftype=hd res=11604.version:elink. sets the format version of the generated fig output&per. Currently 
only versions 3&per.1 and 3&per.2 are supported&per. 
:p.:hp2.thickness:ehp2. sets the default line thickness, which is 1 if not specified&per. 
Overriding the thickness can be achieved by adding a multiple of 100 to the 
:hp2.linetype:ehp2. value for a :link reftype=hd res=2402.plot:elink. command&per.  In a similar way the :hp2.depth:ehp2. 
of plot elements (with respect to the default depth) can be controlled by 
adding a multiple of 1000 to <linetype>&per.  The depth is then <layer> + 
<linetype>/1000 and the thickness is (<linetype>%1000)/100 or, if that is 
zero, the default line thickness&per. 
:p.Additional point-plot symbols are also available with the :link reftype=hd res=8586.fig:elink. driver&per. The 
symbols can be used through :hp2.pointtype:ehp2. values % 100 above 50, with different 
fill intensities controlled by <pointtype> % 5 and outlines in black (for 
<pointtype> % 10 < 5) or in the current color&per.  Available symbols are 
:p.        50 - 59&colon.  circles
.br
        60 - 69&colon.  squares
.br
        70 - 79&colon.  diamonds
.br
        80 - 89&colon.  upwards triangles
.br
        90 - 99&colon.  downwards triangles
.br
The size of these symbols is linked to the font size&per.  The depth of symbols 
is by default one less than the depth for lines to achieve nice error bars&per. 
If <pointtype> is above 1000, the depth is <layer> + <pointtype>/1000-1&per.  If 
<pointtype>%1000 is above 100, the fill color is (<pointtype>%1000)/100-1&per. 
:p.Available fill colors are (from 1 to 9)&colon. black, blue, green, cyan, red, 
magenta, yellow, white and dark blue (in monochrome mode&colon. black for 1 to 6 
and white for 7 to 9)&per. 
:p.See :link reftype=hd res=3195.plot with:elink. for details of <linetype> and <pointtype>&per. 
:p.The :hp2.big:ehp2. option is a substitute for the :hp2.bfig:ehp2. terminal in earlier versions, 
which is no longer supported&per. 
:p.Examples&colon. 
:p.      set terminal fig monochrome small pointsmax 1000  # defaults
.br
:p.:p.      plot 'file&per.dat' with points linetype 102 pointtype 759
.br
would produce circles with a blue outline of width 1 and yellow fill color&per. 
:p.:p.      plot 'file&per.dat' using 1&colon.2&colon.3 with err linetype 1 pointtype 554
.br
would produce errorbars with black lines and circles filled red&per.  These 
circles are one layer above the lines (at depth 9 by default)&per. 
:p.To plot the error bars on top of the circles use 
:p.      plot 'file&per.dat' using 1&colon.2&colon.3 with err linetype 1 pointtype 2554
.br
:h4 res=8677. png (NEW)
:p.Syntax&colon. 
:p.      set terminal png 
.br
             {{no}transparent} {{no}interlace}
.br
             {tiny | small | medium | large | giant}
.br
             {font <face> {<pointsize>}}
.br
             {size <x>,<y>} {{no}crop}
.br
             {{no}enhanced}
.br
             {<color0> <color1> <color2> &per.&per.&per.}
.br
:p.PNG images are created using libgd, with optional support for TrueType 
and Adobe Type 1 fonts via libfreetype&per. Version 1&per.8 or greater of libgd 
is required&per. 
:p.:hp2.transparent:ehp2. instructs the driver to generate transparent PNGs&per.  The first 
color will be the transparent one&per. Default is :hp2.notransparent:ehp2.&per. 
:p.:hp2.interlace:ehp2. instructs the driver to generate interlaced PNGs&per. 
Default is :hp2.nointerlace:ehp2.&per. 
:p.Five basic fonts are supported directly by the gd library&per. These are 
:hp2.tiny:ehp2. (5x8 pixels), :hp2.small:ehp2. (6x12 pixels), :hp2.medium:ehp2., (7x13 Bold),  
:hp2.large:ehp2. (8x16) or :hp2.giant:ehp2. (9x15 pixels)&per. These fonts cannot be scaled 
or rotated (pure horizontal or vertical text only)&per. 
:p.If gnuplot was built with support for TrueType (*&per.ttf) or Adobe Type 1  
(*&per.pfa) fonts, they may be selected using the 'font <face> {<pointsize>}'  
option&per. <face> is either the full pathname to the font file, or a font  
face name that is assumed to be the first part of a filename in one of the  
directories listed in the GDFONTPATH environmental variable&per. That is,  
'set term png font "Face"' will look for a font file named either  
<somedirectory>/Face&per.ttf or <somedirectory>/Face&per.pfa&per. Both TrueType and  
Adobe Type 1 fonts are fully scalable and may be rotated through any angle&per. 
If no font is specified, gnuplot checks the environmental variable  
GNUPLOT_DEFAULT_GDFONT to see if there is a preferred default font&per.  
:p.:link reftype=hd res=9958.enhanced:elink. enables the enhanced text processing features, (subscripts,  
superscripts and mixed fonts)&per. See :link reftype=hd res=9958.enhanced:elink. for more information&per.  
The full enhanced mode syntax is supported by the PNG/JPEG driver itself, 
but some of these features are dependent on which version of the  
underlying libgd library is present, and which fonts are available&per. 
:p.The size <x,y> is given in pixels---it defaults to 640x480&per.  The number of 
pixels can be also modified by scaling with the :link reftype=hd res=6618.set size:elink. command&per. 
:hp2.crop:ehp2. trims blank space from the edges of the completed plot, resulting 
in a smaller final image size&per. Default is :hp2.nocrop:ehp2.&per. 
:p.Each color must be of the form 'xrrggbb', where x is the literal character 
'x' and 'rrggbb' are the red, green and blue components in hex&per.  For example, 
'x00ff00' is green&per.  The background color is set first, then the border 
colors, then the X &amp. Y axis colors, then the plotting colors&per.  The maximum 
number of colors that can be set is 256&per. 
:p.Examples&colon. 
:p.      set terminal png medium size 640,480 \
.br
                       xffffff x000000 x404040 \
.br
                       xff0000 xffa500 x66cdaa xcdb5cd \
.br
                       xadd8e6 x0000ff xdda0dd x9500d3    # defaults
.br
:p.which uses white for the non-transparent background, black for borders, gray 
for the axes, and red, orange, medium aquamarine, thistle 3, light blue, blue, 
plum and dark violet for eight plotting colors&per. 
:p.:p.      set terminal png font arial 14 size 800,600
.br
:p.which searches for a TrueType font with face name 'arial' in the directory 
specified by the environment variable GDFONTPATH and 14pt font size&per. 
:p.:p.      set terminal png transparent xffffff \
.br
                       x000000 x202020 x404040 x606060 \
.br
                       x808080 xA0A0A0 xC0C0C0 xE0E0E0
.br
:p.which uses white for the transparent background, black for borders, dark 
gray for axes, and a gray-scale for the six plotting colors&per. 
:p.:h4 res=8758. jpeg
:p.:p.Syntax&colon. 
:p.      set terminal jpeg 
.br
                       {{no}interlace}
.br
                       {tiny | small | medium | large | giant}
.br
                       {font <face> {<pointsize>}}
.br
                       {size <x>,<y>} {{no}crop}
.br
                       {{no}enhanced}
.br
                       {<color0> <color1> <color2> &per.&per.&per.}
.br
:p.JPEG images are created using libgd, with optional support for TrueType 
fonts via libfreetype&per. 
:p.The :hp2.interlace:ehp2. option creates a progressive JPEG image&per. 
Default is :hp2.nointerlace:ehp2.&per. 
:p.Five basic fonts are supported directly by the gd library&per. These are 
:hp2.tiny:ehp2. (5x8 pixels), :hp2.small:ehp2. (6x12 pixels), :hp2.medium:ehp2., (7x13 Bold),  
:hp2.large:ehp2. (8x16) or :hp2.giant:ehp2. (9x15 pixels)&per. These fonts cannot be scaled 
or rotated (pure horizontal or vertical text only)&per. 
:p.If gnuplot was built with support for TrueType (*&per.ttf) or Adobe Type 1  
(*&per.pfa) fonts, they may be selected using the 'font <face> {<pointsize>}'  
option&per. <face> is either the full pathname to the font file, or a font  
face name that is assumed to be the first part of a filename in one of the  
directories listed in the GDFONTPATH environmental variable&per. That is,  
'set term jpeg font "Face"' will look for a font file named either  
<somedirectory>/Face&per.ttf or <somedirectory>/Face&per.pfa&per. Both TrueType and  
Adobe Type 1 fonts are fully scalable and may be rotated through any angle&per. 
If no font is specified, gnuplot checks the environmental variable  
GNUPLOT_DEFAULT_GDFONT to see if there is a preferred default font&per.  
:p.:link reftype=hd res=9958.enhanced:elink. enables the enhanced text processing features, (subscripts,  
superscripts and mixed fonts)&per. See :link reftype=hd res=9958.enhanced:elink. for more information&per.  
The full enhanced mode syntax is supported by the PNG/JPEG driver itself, 
but some of these features are dependent on which version of the  
underlying libgd library is present, and which fonts are available&per. 
:p.The size <x,y> is given in pixels---it defaults to 640x480&per.  The number of 
pixels can be also modified by scaling with the :link reftype=hd res=6618.set size:elink. command&per. 
:hp2.crop:ehp2. trims blank space from the edges of the completed plot, resulting 
in a smaller final image size&per. Default is :hp2.nocrop:ehp2.&per. 
:p.Each color must be of the form 'xrrggbb', where x is the literal character 
'x' and 'rrggbb' are the red, green and blue components in hex&per.  For example, 
'x00ff00' is green&per.  The background color is set first, then the border 
colors, then the X &amp. Y axis colors, then the plotting colors&per.  The maximum 
number of colors that can be set is 256&per. 
:p.Examples&colon. 
:p.      set terminal jpeg medium size 640,480 \
.br
                       xffffff x000000 x404040 \
.br
                       xff0000 xffa500 x66cdaa xcdb5cd \
.br
                       xadd8e6 x0000ff xdda0dd x9500d3    # defaults
.br
:p.which uses white for the non-transparent background, black for borders, gray 
for the axes, and red, orange, medium aquamarine, thistle 3, light blue, blue, 
plum and dark violet for eight plotting colors&per. 
:p.:p.      set terminal jpeg large font arial size 800,600
.br
:p.which searches for a TrueType font with face name 'arial' in the directory 
specified by the environment variable GDFONTPATH and large (14pt) font size&per. 
:p.:h4 res=8829. ggi
:p.The :link reftype=hd res=8829.ggi:elink. driver can run on different targets as X or svgalib&per. 
:p.Syntax&colon. 
:p.   set terminal ggi [acceleration <integer>] [[mode] {mode}]
.br
:p.In X the window cannot be resized using window manager handles, but the 
mode can be given with the mode option, e&per.g&per.&colon. 
:p. - V1024x768
.br
 - V800x600
.br
 - V640x480
.br
 - V320x200
.br
Please refer to the ggi documentation for other modes&per. The 'mode' keyword 
is optional&per. It is recommended to select the target by environment variables 
as explained in the libggi manual page&per. To get DGA on X, you should for 
example 
:p.   bash> export GGI_DISPLAY=DGA
.br
   csh>  setenv GGI_DISPLAY DGA
.br
:p.'acceleration' is only used for targets which report relative pointer 
motion events (e&per.g&per. DGA) and is a strictly positive integer multiplication 
factor for the relative distances&per.  The default for acceleration is 7&per. 
:p.Examples&colon. 
:p.   set term ggi acc 10
.br
   set term ggi acc 1 mode V1024x768
.br
   set term ggi V1024x768
.br
:h4 res=8862. gif
:p.The :link reftype=hd res=8862.gif:elink. terminal driver generates output in GIF format&per.  It uses Thomas 
Boutell's gd library, which is available from http&colon.//www&per.boutell&per.com/gd/ 
Support for GIF output was removed from the gd library beginning with  
version 1&per.6; newer versions support PNG output instead&per. 
:p.Syntax&colon. 
:p.      set terminal gif {transparent} {interlace}
.br
                       {tiny | small | medium | large | giant}
.br
                       {size <x>,<y>}
.br
                       {<color0> <color1> <color2> &per.&per.&per.}
.br
:p.:hp2.transparent:ehp2. instructs the driver to generate transparent GIFs&per.  The first 
color will be the transparent one&per. 
:p.:hp2.interlace:ehp2. instructs the driver to generate interlaced GIFs&per. 
:p.The choice of fonts is :hp2.tiny:ehp2. (5x8 pixels), :hp2.small:ehp2. (6x12 pixels), :hp2.medium:ehp2. 
(7x13 Bold), :hp2.large:ehp2. (8x16) or :hp2.giant:ehp2. (9x15 pixels) 
:p.The size <x,y> is given in pixels---it defaults to 640x480&per.  The number of 
pixels can be also modified by scaling with the :link reftype=hd res=6618.set size:elink. command&per. 
:p.Each color must be of the form 'xrrggbb', where x is the literal character 
'x' and 'rrggbb' are the red, green and blue components in hex&per.  For example, 
'x00ff00' is green&per.  The background color is set first, then the border 
colors, then the X &amp. Y axis colors, then the plotting colors&per.  The maximum 
number of colors that can be set is 256&per. 
:p.Examples&colon. 
:p.      set terminal gif small size 640,480 \
.br
                       xffffff x000000 x404040 \
.br
                       xff0000 xffa500 x66cdaa xcdb5cd \
.br
                       xadd8e6 x0000ff xdda0dd x9500d3    # defaults
.br
:p.which uses white for the non-transparent background, black for borders, gray 
for the axes, and red, orange, medium aquamarine, thistle 3, light blue, blue, 
plum and dark violet for eight plotting colors&per. 
:p.:p.      set terminal gif transparent xffffff \
.br
                       x000000 x202020 x404040 x606060 \
.br
                       x808080 xA0A0A0 xC0C0C0 xE0E0E0
.br
:p.which uses white for the transparent background, black for borders, dark 
gray for axes, and a gray-scale for the six plotting colors&per. 
:p.The page size is 640x480 pixels&per.  The :link reftype=hd res=8862.gif:elink. driver can create either color 
or monochromatic output, but you have no control over which is produced&per. 
:p.The current version of the :link reftype=hd res=8862.gif:elink. driver does not support animated GIFs&per. 
:h4 res=8918. Gnugraph(GNU plotutils)
:p.The :link reftype=hd res=8918.gnugraph:elink. driver produces device-independent output in the GNU plot 
graphics language&per.  The default size of the PostScript results generated by 
"plot2ps" is 5 x 3 inches; this can be increased up to about 8&per.25 x 8&per.25 by 
:link reftype=hd res=6618.set size:elink.&per. 
:p.Syntax&colon. 
:p.      set terminal gnugraph {"<fontname>"} {<fontsize>}
.br
                            {type <pt>} {size "<size>"}
.br
:p.which defaults to 10-point "Courier"&per. 
:p.For :hp2.type:ehp2., the following options are accepted&colon. :hp2.X:ehp2., :hp2.pnm:ehp2., :link reftype=hd res=8862.gif:elink., :hp2.ai:ehp2., 
:hp2.ps:ehp2., :link reftype=hd res=7916.cgm:elink., :link reftype=hd res=8586.fig:elink., :link reftype=hd res=9066.pcl5:elink., :link reftype=hd res=9066.hpgl:elink., :hp2.tek:ehp2., and :hp2.meta:ehp2. (default)&per. The 
:link reftype=hd res=6618.size:elink. option (default is a4) is passed straight through to plotutils, it's 
the user's responsibility to provide correct values&per. Details can be found 
in the plotutils documentation&per. 
:p.Examples&colon. 
:p.      set terminal gnugraph type hpgl size "a4"
.br
      set terminal gnugraph size "a4,xoffset=-5mm,yoffset=2&per.0cm" type pnm
.br
:p.There is a non-GNU version of the :link reftype=hd res=8918.gnugraph:elink. driver which cannot be compiled 
unless this version is left out&per. 
:h4 res=8948. gpic
:p.The :link reftype=hd res=8948.gpic:elink. terminal driver generates GPIC graphs in the Free Software 
Foundations's "groff" package&per.  The default size is 5 x 3 inches&per.  The only 
option is the origin, which defaults to (0,0)&per. 
:p.Syntax&colon. 
:p.      set terminal gpic {<x> <y>}
.br
:p.where :hp2.x:ehp2. and :hp2.y:ehp2. are in inches&per. 
:p.A simple graph can be formatted using 
:p.:p.      groff -p -mpic -Tps file&per.pic > file&per.ps&per.
.br
:p.The output from pic can be pipe-lined into eqn, so it is possible to put 
complex functions in a graph with the :link reftype=hd res=5235.set label:elink. and :hp2.set {x/y}label:ehp2. 
commands&per.  For instance, 
:p.:p.      set ylab '@space 0 int from 0 to x alpha ( t ) roman d t@'
.br
:p.will label the y axis with a nice integral if formatted with the command&colon. 
:p.:p.      gpic filename&per.pic | geqn -d@@ -Tps | groff -m[macro-package] -Tps
.br
          > filename&per.ps
.br
:p.Figures made this way can be scaled to fit into a document&per.  The pic language 
is easy to understand, so the graphs can be edited by hand if need be&per.  All 
co-ordinates in the pic-file produced by :link reftype=hd res=37.gnuplot:elink. are given as x+gnuplotx 
and y+gnuploty&per.  By default x and y are given the value 0&per.  If this line is 
removed with an editor in a number of files, one can put several graphs in 
one figure like this (default size is 5&per.0x3&per.0 inches)&colon. 
:p.:p.      &per.PS 8&per.0
.br
      x=0;y=3
.br
      copy "figa&per.pic"
.br
      x=5;y=3
.br
      copy "figb&per.pic"
.br
      x=0;y=0
.br
      copy "figc&per.pic"
.br
      x=5;y=0
.br
      copy "figd&per.pic"
.br
      &per.PE
.br
:p.This will produce an 8-inch-wide figure with four graphs in two rows on top 
of each other&per. 
:p.One can also achieve the same thing by the command 
:p.:p.      set terminal gpic x y
.br
:p.for example, using 
:p.:p.      &per.PS 6&per.0
.br
      copy "trig&per.pic"
.br
      &per.PE
.br
:h4 res=9009. gpr
:p.The :link reftype=hd res=9009.gpr:elink. terminal driver supports the Apollo Graphics Primitive Resource 
for a fixed-size window&per.  It has no options&per. 
:p.If a variable window size is desired, use the :link reftype=hd res=7507.apollo:elink. terminal instead&per. 
:h4 res=9020. grass
:p.The :link reftype=hd res=9020.grass:elink. terminal driver gives :link reftype=hd res=37.gnuplot:elink. capabilities to users of the  
GRASS geographic information system&per.  Contact grassp-list@moon&per.cecer&per.army&per.mil 
for more information&per.  Pages are written to the current frame of the GRASS 
Graphics Window&per.  There are no options&per. 
:h4 res=9031. hp2623a
:p.The :link reftype=hd res=9031.hp2623a:elink. terminal driver supports the Hewlett Packard HP2623A&per.  It has 
no options&per. 
:h4 res=9040. hp2648
:p.The :link reftype=hd res=9040.hp2648:elink. terminal driver supports the Hewlett Packard HP2647 and HP2648&per. 
It has no options&per. 
:h4 res=9049. hp500c
:p.The :link reftype=hd res=9049.hp500c:elink. terminal driver supports the Hewlett Packard HP DeskJet 500c&per. 
It has options for resolution and compression&per. 
:p.Syntax&colon. 
:p.      set terminal hp500c {<res>} {<comp>}
.br
:p.where :hp2.res:ehp2. can be 75, 100, 150 or 300 dots per inch and :hp2.comp:ehp2. can be "rle", 
or "tiff"&per.  Any other inputs are replaced by the defaults, which are 75 dpi 
and no compression&per.  Rasterization at the higher resolutions may require a 
large amount of memory&per. 
:h4 res=9066. hpgl
:p.The :link reftype=hd res=9066.hpgl:elink. driver produces HPGL output for devices like the HP7475A plotter&per. 
There are two options which can be set&colon. the number of pens and :hp2.eject:ehp2., 
which tells the plotter to eject a page when done&per.  The default is to use 6 
pens and not to eject the page when done&per. 
:p.The international character sets ISO-8859-1 and CP850 are recognized via 
:hp2.set encoding iso_8859_1:ehp2. or :hp2.set encoding cp850:ehp2. (see :link reftype=hd res=4500.set encoding:elink. for 
details)&per. 
:p.Syntax&colon. 
:p.      set terminal hpgl {<number_of_pens>} {eject}
.br
:p.The selection 
:p.:p.      set terminal hpgl 8 eject
.br
:p.is equivalent to the previous :hp2.hp7550:ehp2. terminal, and the selection 
:p.:p.      set terminal hpgl 4
.br
:p.is equivalent to the previous :hp2.hp7580b:ehp2. terminal&per. 
:p.The :link reftype=hd res=9066.pcl5:elink. driver supports plotters such as the Hewlett-Packard Designjet 
750C, the Hewlett-Packard Laserjet III, and the Hewlett-Packard Laserjet IV&per. 
It actually uses HPGL-2, but there is a name conflict among the terminal 
devices&per.  It has several options which must be specified in the order 
indicated below&colon. 
:p.Syntax&colon. 
:p.      set terminal pcl5 {mode <mode>} {<plotsize>}
.br
          {{color {<number_of_pens>}} | monochrome} {solid | dashed}
.br
          {font <font>} {size <fontsize>} {pspoints | nopspoints}
.br
:p.<mode> is :hp2.landscape:ehp2. or :hp2.portrait:ehp2.&per. <plotsize> is the physical 
plotting size of the plot, which is one of the following&colon. :hp2.letter:ehp2. for 
standard (8 1/2" X 11") displays, :hp2.legal:ehp2. for (8 1/2" X 14") displays, 
:hp2.noextended:ehp2. for (36" X 48") displays (a letter size ratio) or, 
:hp2.extended:ehp2. for (36" X 55") displays (almost a legal size ratio)&per. 
:hp2.color:ehp2. is for multi-pen (i&per.e&per. color) plots, and <number_of_pens> is 
the number of pens (i&per.e&per. colors) used in color plots&per. :hp2.monochrome:ehp2. is for 
one (e&per.g&per. black) pen plots&per. :link reftype=hd res=8139.solid:elink. draws all lines as solid lines, or 
:hp2.dashed:ehp2. will draw lines with different dashed and dotted line patterns&per. 
<font> is :hp2.stick:ehp2., :hp2.univers:ehp2., :hp2.cg_times:ehp2., :hp2.zapf_dingbats:ehp2., :hp2.antique_olive:ehp2., 
:hp2.arial:ehp2., :hp2.courier:ehp2., :hp2.garamond_antigua:ehp2., :hp2.letter_gothic:ehp2., :hp2.cg_omega:ehp2., 
:hp2.albertus:ehp2., :hp2.times_new_roman:ehp2., :hp2.clarendon:ehp2., :hp2.coronet:ehp2., :hp2.marigold:ehp2., 
:hp2.truetype_symbols:ehp2., or :hp2.wingdings:ehp2.&per. <fontsize> is the font size in points&per. 
The point type selection can be the standard default set by specifying 
:hp2.nopspoints:ehp2., or the same set of point types found in the postscript terminal 
by specifying :hp2.pspoints:ehp2.&per. 
:p.Note that built-in support of some of these options is printer device 
dependent&per. For instance, all the fonts are supposedly supported by the HP 
Laserjet IV, but only a few (e&per.g&per. univers, stick) may be supported by the HP 
Laserjet III and the Designjet 750C&per. Also, color obviously won't work on the 
the laserjets since they are monochrome devices&per. 
:p.Defaults&colon. landscape, noextended, color (6 pens), solid, univers, 12 point, 
:p.          and nopspoints&per.
.br
:p.With :link reftype=hd res=9066.pcl5:elink. international characters are handled by the printer; you just put 
the appropriate 8-bit character codes into the text strings&per.  You don't need 
to bother with :link reftype=hd res=4500.set encoding:elink.&per. 
:p.HPGL graphics can be imported by many software packages&per. 
:h4 res=9143. hpljii
:p.The :link reftype=hd res=9143.hpljii:elink. terminal driver supports the HP Laserjet Series II printer&per.  The 
:link reftype=hd res=9143.hpdj:elink. driver supports the HP DeskJet 500 printer&per.  These drivers allow a 
choice of resolutions&per. 
:p.Syntax&colon. 
:p.      set terminal hpljii | hpdj {<res>}
.br
:p.where :hp2.res:ehp2. may be 75, 100, 150 or 300 dots per inch; the default is 75&per. 
Rasterization at the higher resolutions may require a large amount of memory&per. 
:p.The :link reftype=hd res=9049.hp500c:elink. terminal is similar to :link reftype=hd res=9143.hpdj:elink.; :link reftype=hd res=9049.hp500c:elink. additionally supports 
color and compression&per. 
:h4 res=9168. hppj
:p.The :link reftype=hd res=9168.hppj:elink. terminal driver supports the HP PaintJet and HP3630 printers&per.  The 
only option is the choice of font&per. 
:p.Syntax&colon. 
:p.      set terminal hppj {FNT5X9 | FNT9X17 | FNT13X25}
.br
:p.with the middle-sized font (FNT9X17) being the default&per. 
:h4 res=9182. imagen
:p.The :link reftype=hd res=9182.imagen:elink. terminal driver supports Imagen laser printers&per.  It is capable 
of placing multiple graphs on a single page&per. 
:p.Syntax&colon. 
:p.      set terminal imagen {<fontsize>} {portrait | landscape}
.br
                          {[<horiz>,<vert>]}
.br
:p.where :hp2.fontsize:ehp2. defaults to 12 points and the layout defaults to :hp2.landscape:ehp2.&per. 
:hp2.<horiz>:ehp2. and :hp2.<vert>:ehp2. are the number of graphs in the horizontal and 
vertical directions; these default to unity&per. 
:p.Example&colon. 
:p.      set terminal imagen portrait [2,3]
.br
:p.puts six graphs on the page in three rows of two in portrait orientation&per. 
:h4 res=9204. iris4d
:p.The :link reftype=hd res=9204.iris4d:elink. terminal driver supports Silicon Graphics IRIS 4D computers&per. 
Its only option is 8- or 24-bit color depth&per.  The default is 8&per. 
:p.Syntax&colon. 
:p.      set terminal iris4d {8 | 24}
.br
:p.The color depth is not really a choice -- the value appropriate for the 
hardware should be selected&per. 
:p.When using 24-bit mode, the colors can be directly specified via the file 
&per.gnuplot_iris4d that is searched in the current directory and then in the 
home directory specified by the HOME environment variable&per.  This file holds 
RGB values for the background, border, labels and nine plotting colors, in 
that order&per.  For example, here is a file containing the default colors&colon. 
:p.:p.      85   85   85     Background   (dark gray)
.br
      0    0    0      Boundary     (black)
.br
      170  0    170    Labeling     (magenta)
.br
      85   255  255    Plot Color 1 (light cyan)
.br
      170  0    0      Plot Color 2 (red)
.br
      0    170  0      Plot Color 3 (green)
.br
      255  85   255    Plot Color 4 (light magenta)
.br
      255  255  85     Plot Color 5 (yellow)
.br
      255  85   85     Plot Color 6 (light red)
.br
      85   255  85     Plot Color 7 (light green)
.br
      0    170  170    Plot Color 8 (cyan)
.br
      170  170  0      Plot Color 9 (brown)
.br
:p.This file must have exactly 12 lines of RGB triples&per.  No empty lines are 
allowed, and anything after the third number on a line is ignored&per. 
:h4 res=9241. kyo
:p.The :link reftype=hd res=9241.kyo:elink. and :link reftype=hd res=9241.prescribe:elink. terminal drivers support the Kyocera laser printer&per. 
The only difference between the two is that :link reftype=hd res=9241.kyo:elink. uses "Helvetica" whereas 
:link reftype=hd res=9241.prescribe:elink. uses "Courier"&per.  There are no options&per. 
:h4 res=9257. latex
:p.The :link reftype=hd res=9257.latex:elink. and :link reftype=hd res=9257.emtex:elink. drivers allow two options&per. 
:p.Syntax&colon. 
:p.      set terminal latex | emtex {courier | roman | default} {<fontsize>}
.br
:p.:hp2.fontsize:ehp2. may be any size you specify&per.  The default is for the plot to 
inherit its font setting from the embedding document&per. 
:p.Unless your driver is capable of building fonts at any size (e&per.g&per. dvips), 
stick to the standard 10, 11 and 12 point sizes&per. 
:p.METAFONT users beware&colon. METAFONT does not like odd sizes&per. 
:p.All drivers for LaTeX offer a special way of controlling text positioning&colon. 
If any text string begins with '{', you also need to include a '}' at the 
end of the text, and the whole text will be centered both horizontally and 
vertically&per.  If the text string begins with '[', you need to follow this with 
a position specification (up to two out of t,b,l,r), ']{', the text itself, 
and finally '}'&per.  The text itself may be anything LaTeX can typeset as an 
LR-box&per.  '\rule{}{}'s may help for best positioning&per. 
:p.Points, among other things, are drawn using the LaTeX commands "\Diamond" and 
"\Box"&per.  These commands no longer belong to the LaTeX2e core; they are included 
in the latexsym package, which is part of the base distribution and thus part 
of any LaTeX implementation&per.  Please do not forget to use this package&per. 
:p.Examples&colon. 
About label positioning&colon. 
Use gnuplot defaults (mostly sensible, but sometimes not really best)&colon. 
:p.       set title '\LaTeX\ -- $ \gamma $'
.br
Force centering both horizontally and vertically&colon. 
:p.       set label '{\LaTeX\ -- $ \gamma $}' at 0,0
.br
Specify own positioning (top here)&colon. 
:p.       set xlabel '[t]{\LaTeX\ -- $ \gamma $}'
.br
The other label -- account for long ticlabels&colon. 
:p.       set ylabel '[r]{\LaTeX\ -- $ \gamma $\rule{7mm}{0pt}}'
.br
:h4 res=9306. linux
:p.The :link reftype=hd res=9306.linux:elink. driver has no additional options to specify&per.  It looks at the 
environment variable GSVGAMODE for the default mode; if not set, it uses 
1024x768x256 as default mode or, if that is not possible, 640x480x16 
(standard VGA)&per. 
:h4 res=9317. macintosh
:p.Several options may be set in the 'macintosh' driver&per. 
:p.Syntax&colon. 
:p.     set terminal macintosh {singlewin | multiwin} {vertical | novertical}
.br
                            {size <width>, <height> | default}
.br
:p.'singlewin' limits the output to a single window and is useful for animations&per. 
'multiwin' allows multiple windows&per. 
'vertical' is only valid under the gx option&per. With this option, rotated text 
:p.    be drawn vertically&per. novertical turns this option off&per.
.br
 size <width>, <height> overrides the graph size set in the preferences
.br
    dialog until it is cleared with either 'set term mac size default'
.br
    or 'set term mac default'&per.
.br
:p.:p. 'set term mac size default' sets the window size settings to those set in
.br
    the preferences dialog&per.
.br
:p.:p. 'set term mac default' sets all options to their default values&per.
.br
    Default values&colon. nogx, multiwin, novertical&per.
.br
:p.:p. If you generate graphs under the multiwin option and then switch to singlewin,
.br
 the next plot command will cause one more window to be created&per. This new
.br
 window will be reused as long as singlewin is in effect&per. If you switch back
.br
 to multiwin, generate some graphs, and then switch to singlewin again, the
.br
 orginal 'singlewin' window will be resused if it is still open&per. Otherwise
.br
 a new 'singlewin' window will be created&per. The 'singlewin' window is not numbered&per.
.br
:h4 res=9349. mf
:p.The :link reftype=hd res=9349.mf:elink. terminal driver creates an input file to the METAFONT program&per.  Thus a 
figure may be used in the TeX document in the same way as is a character&per. 
:p.To use a picture in a document, the METAFONT program must be run with the 
output file from :link reftype=hd res=37.gnuplot:elink. as input&per.  Thus, the user needs a basic knowledge 
of the font creating process and the procedure for including a new font in a 
document&per.  However, if the METAFONT program is set up properly at the local 
site, an unexperienced user could perform the operation without much trouble&per. 
:p.The text support is based on a METAFONT character set&per.  Currently the 
Computer Modern Roman font set is input, but the user is in principal free to 
choose whatever fonts he or she needs&per.  The METAFONT source files for the 
chosen font must be available&per.  Each character is stored in a separate 
picture variable in METAFONT&per.  These variables may be manipulated (rotated, 
scaled etc&per.) when characters are needed&per.  The drawback is the interpretation 
time in the METAFONT program&per.  On some machines (i&per.e&per. PC) the limited amount 
of memory available may also cause problems if too many pictures are stored&per. 
:p.The :link reftype=hd res=9349.mf:elink. terminal has no options&per. 
:h5 res=9376. METAFONT Instructions
:p.:p.- Set your terminal to METAFONT&colon. 
:p.  set terminal mf
.br
- Select an output-file, e&per.g&per.&colon. 
:p.  set output "myfigures&per.mf"
.br
- Create your pictures&per. Each picture will generate a separate character&per. Its 
default size will be 5*3 inches&per. You can change the size by saying :hp2.set size 
0&per.5,0&per.5:ehp2. or whatever fraction of the default size you want to have&per. 
:p.- Quit :link reftype=hd res=37.gnuplot:elink.&per. 
:p.- Generate a TFM and GF file by running METAFONT on the output of :link reftype=hd res=37.gnuplot:elink.&per. 
Since the picture is quite large (5*3 in), you will have to use a version of 
METAFONT that has a value of at least 150000 for memmax&per.  On Unix systems 
these are conventionally installed under the name bigmf&per.  For the following 
assume that the command virmf stands for a big version of METAFONT&per.  For 
example&colon. 
:p.- Invoke METAFONT&colon. 
:p.    virmf '&amp.plain'
.br
- Select the output device&colon. At the METAFONT prompt ('*') type&colon. 
:p.    \mode&colon.=CanonCX;     % or whatever printer you use
.br
- Optionally select a magnification&colon. 
:p.    mag&colon.=1;             % or whatever you wish
.br
- Input the :link reftype=hd res=37.gnuplot:elink.-file&colon. 
:p.    input myfigures&per.mf
.br
On a typical Unix machine there will usually be a script called "mf" that 
executes virmf '&amp.plain', so you probably can substitute mf for virmf &amp.plain&per. 
This will generate two files&colon. mfput&per.tfm and mfput&per.$$$gf (where $$$ indicates 
the resolution of your device)&per.  The above can be conveniently achieved by 
typing everything on the command line, e&per.g&per.&colon. 
virmf '&amp.plain' '\mode&colon.=CanonCX; mag&colon.=1; input myfigures&per.mf' 
In this case the output files will be named myfigures&per.tfm and 
myfigures&per.300gf&per. 
:p.- Generate a PK file from the GF file using gftopk&colon. 
:p.  gftopk myfigures&per.300gf myfigures&per.300pk
.br
The name of the output file for gftopk depends on the DVI driver you use&per. 
Ask your local TeX administrator about the naming conventions&per.  Next, either 
install the TFM and PK files in the appropriate directories, or set your 
environment variables properly&per.  Usually this involves setting TEXFONTS to 
include the current directory and doing the same thing for the environment 
variable that your DVI driver uses (no standard name here&per.&per.&per.)&per.  This step is 
necessary so that TeX will find the font metric file and your DVI driver will 
find the PK file&per. 
:p.- To include your pictures in your document you have to tell TeX the font&colon. 
:p.  \font\gnufigs=myfigures
.br
Each picture you made is stored in a single character&per.  The first picture is 
character 0, the second is character 1, and so on&per.&per.&per.  After doing the above 
step, you can use the pictures just like any other characters&per.  Therefore, to 
place pictures 1 and 2 centered in your document, all you have to do is&colon. 
:p.  \centerline{\gnufigs\char0}
.br
  \centerline{\gnufigs\char1}
.br
in plain TeX&per.  For LaTeX you can, of course, use the picture environment and 
place the picture wherever you wish by using the \makebox and \put macros&per. 
:p.This conversion saves you a lot of time once you have generated the font; 
TeX handles the pictures as characters and uses minimal time to place them, 
and the documents you make change more often than the pictures do&per.  It also 
saves a lot of TeX memory&per.  One last advantage of using the METAFONT driver 
is that the DVI file really remains device independent, because no \special 
commands are used as in the eepic and tpic drivers&per. 
:h4 res=9445. mp
:p.:p.The :link reftype=hd res=9445.mp:elink. driver produces output intended to be input to the Metapost program&per. 
Running Metapost on the file creates EPS files containing the plots&per. By 
default, Metapost passes all text through TeX&per.  This has the advantage of 
allowing essentially  any TeX symbols in titles and labels&per. 
:p.Syntax&colon. 
:p.   set term mp {color | colour | monochrome}
.br
               {solid | dashed}
.br
               {notex | tex | latex}
.br
               {magnification <magsize>}
.br
               {psnfss | psnfss-version7 | nopsnfss}
.br
               {prologues <value>}
.br
               {a4paper}
.br
               {amstex}
.br
               {"<fontname>"} {<fontsize>}
.br
:p.The option :hp2.color:ehp2. causes lines to be drawn in color (on a printer or display 
that supports it), :hp2.monochrome:ehp2. (or nothing) selects black lines&per.  The option 
:link reftype=hd res=8139.solid:elink. draws solid lines, while :hp2.dashed:ehp2. (or nothing) selects lines with 
different patterns of dashes&per.  If :link reftype=hd res=8139.solid:elink. is selected but :hp2.color:ehp2. is not, 
nearly all lines will be identical&per.  This may occasionally be useful, so it is 
allowed&per. 
:p.The option :hp2.notex:ehp2. bypasses TeX entirely, therefore no TeX code can be used in 
labels under this option&per.  This is intended for use on old plot files or files 
that make frequent use of common characters like :hp2.$:ehp2. and :hp2.%:ehp2. that require 
special handling in TeX&per. 
:p.The option :hp2.tex:ehp2. sets the terminal to output its text for TeX to process&per. 
:p.The option :link reftype=hd res=9257.latex:elink. sets the terminal to output its text for processing by 
LaTeX&per. This allows things like \frac for fractions which LaTeX knows about 
but TeX does not&per.  Note that you must set the environment variable TEX to the 
name of your LaTeX executable (normally latex) if you use this option or use 
:hp2.mpost --tex=<name of LaTeX executable> &per.&per.&per.:ehp2.&per. Otherwise metapost will try and 
use TeX to process the text and it won't work&per. 
:p.Changing font sizes in TeX has no effect on the size of mathematics, and there 
is no foolproof way to make such a change, except by globally  setting a 
magnification factor&per. This is the purpose of the :hp2.magnification:ehp2. option&per. It 
must be followed by a scaling factor&per. All text (NOT the graphs) will be scaled 
by this factor&per. Use this if you have math that you want at some size other 
than the default 10pt&per. Unfortunately, all math will be the same size, but see 
the discussion below on editing the MP output&per. :hp2.mag:ehp2. will also work under 
:hp2.notex:ehp2. but there seems no point in using it as the font size option (below) 
works as well&per. 
:p.The option :hp2.psnfss:ehp2. uses postscript fonts in combination with LaTeX&per. Since 
this option only makes sense, if LaTeX is being used, the :link reftype=hd res=9257.latex:elink. option is selected 
automatically&per. This option includes the following packages for LaTeX&colon. 
inputenc(latin1), fontenc(T1), mathptmx, helvet(scaled=09&per.2), courier, latexsym  
and textcomp&per. 
:p.The option :hp2.psnfss-version7:ehp2. uses also postscript fonts in LaTeX (option :link reftype=hd res=9257.latex:elink. 
is also automatically selected), but uses the following packages with LaTeX&colon. 
inputenc(latin1), fontenc(T1), times, mathptmx, helvet and courier&per. 
:p.The option :hp2.nopsnfss:ehp2. is the default and uses the standard font (cmr10 if not 
otherwise specified)&per. 
:p.The option :hp2.prologues:ehp2. takes a value as an additional argument and adds the line 
:hp2.prologues&colon.=<value>:ehp2. to the metapost file&per. If a value of :hp2.2:ehp2. is specified metapost 
uses postscript fonts to generate the eps-file, so that the result can be viewed 
using e&per.g&per. ghostscript&per. Normally the output of metapost uses TeX fonts and therefore 
has to be included in a (La)TeX file before you can look at it&per. 
:p.The option :hp2.noprologues:ehp2. is the default&per. No additional line specifying the prologue 
will be added&per. 
:p.The option :hp2.a4paper:ehp2. adds a :hp2.[a4paper]:ehp2. to the documentclass&per. Normally letter paper 
is used (default)&per. Since this option is only used in case of LaTeX, the :link reftype=hd res=9257.latex:elink. option 
is selected automatically&per. 
:p.The option :hp2.amstex:ehp2. automatically selects the :link reftype=hd res=9257.latex:elink. option and includes the following 
LaTeX packages&colon. amsfonts, amsmath(intlimits)&per. By default these packages are not 
included&per. 
:p.A name in quotes selects the font that will be used when no explicit font is 
given in a :link reftype=hd res=5235.set label:elink. or :link reftype=hd res=11544.set title:elink.&per.  A name recognized by TeX (a TFM file 
exists) must be used&per.  The default is "cmr10" unless :hp2.notex:ehp2. is selected, 
then it is "pcrr8r" (Courier)&per.  Even under :hp2.notex:ehp2., a TFM file is needed by 
Metapost&per. The file :hp2.pcrr8r&per.tfm:ehp2. is the name given to Courier in LaTeX's psnfss 
package&per.  If you change the font from the :hp2.notex:ehp2. default, choose a font that 
matches the ASCII encoding at least in the range 32-126&per.  :hp2.cmtt10:ehp2. almost 
works, but it has a nonblank character in position 32 (space)&per. 
:p.The size can be any number between 5&per.0 and 99&per.99&per.  If it is omitted, 10&per.0 is 
used&per.  It is advisable to use :hp2.magstep:ehp2. sizes&colon. 10 times an integer or 
half-integer power of 1&per.2, rounded to two decimals, because those are the most 
available sizes of fonts in TeX systems&per. 
:p.All the options are optional&per.  If font information is given, it must be at the 
end, with size (if present) last&per.  The size is needed to select a size for the 
font, even if the font name includes size information&per.  For example, 
:hp2.set term mp "cmtt12":ehp2. selects cmtt12 shrunk to the default size 10&per.  This 
is probably not what you want or you would have used cmtt10&per. 
:p.The following common ascii characters need special treatment in TeX&colon. 
:p.   $, &amp., #, %, _;  |, <, >;  ^, ~,  \, {, and }
.br
The five characters $, #, &amp., _, and % can simply be escaped, e&per.g&per., :hp2.\$:ehp2.&per. 
The three characters <, >, and | can be wrapped in math mode, e&per.g&per., :hp2.$<$:ehp2.&per. 
The remainder require some TeX work-arounds&per.  Any good book on TeX will give 
some guidance&per. 
:p.If you type your labels inside double quotes, backslashes in TeX code need to 
be escaped (doubled)&per. Using single quotes will avoid having to do this, but 
then you cannot use :hp2.\n:ehp2. for line breaks&per.  As of this writing, version 3&per.7 of 
gnuplot processes titles given in a :link reftype=hd res=2402.plot:elink. command differently than in other 
places, and backslashes in TeX commands need to be doubled regardless of the 
style of quotes&per. 
:p.Metapost pictures are typically used in TeX documents&per.  Metapost deals with 
fonts pretty much the same way TeX does, which is different from most other 
document preparation programs&per.  If the picture is included in a LaTeX document 
using the graphics package, or in a plainTeX document via epsf&per.tex, and then 
converted to PostScript with dvips (or other dvi-to-ps converter), the text in 
the plot will usually be handled correctly&per.  However, the text may not appear 
if you send the Metapost output as-is to a PostScript interpreter&per. 
:p.:h5 res=9573. Metapost Instructions
:p.:p.- Set your terminal to Metapost, e&per.g&per.&colon. 
:p.   set terminal mp mono "cmtt12" 12
.br
:p.- Select an output-file, e&per.g&per.&colon. 
:p.   set output "figure&per.mp"
.br
:p.- Create your pictures&per.  Each plot (or multiplot group) will generate a 
separate Metapost beginfig&per.&per.&per.endfig group&per.  Its default size will be 5 by 3 
inches&per.  You can change the size by saying :hp2.set size 0&per.5,0&per.5:ehp2. or whatever 
fraction of the default size you want to have&per. 
:p.- Quit gnuplot&per. 
:p.- Generate EPS files by running Metapost on the output of gnuplot&colon. 
:p.   mpost figure&per.mp  OR  mp figure&per.mp
.br
The name of the Metapost program depends on the system, typically :hp2.mpost:ehp2. for 
a Unix machine and :link reftype=hd res=9445.mp:elink. on many others&per.  Metapost will generate one EPS file 
for each picture&per. 
:p.- To include your pictures in your document you can use the graphics package 
in LaTeX or epsf&per.tex in plainTeX&colon. 
:p.   \usepackage{graphics} % LaTeX
.br
   \input epsf&per.tex       % plainTeX
.br
If you use a driver other than dvips for converting TeX DVI output to PS, you 
may need to add the following line in your LaTeX document&colon. 
:p.   \DeclareGraphicsRule{*}{eps}{*}{}
.br
Each picture you made is in a separate file&per.  The first picture is in, e&per.g&per., 
figure&per.0, the second in figure&per.1, and so on&per.&per.&per.&per.  To place the third picture in 
your document, for example, all you have to do is&colon. 
:p.   \includegraphics{figure&per.2} % LaTeX
.br
   \epsfbox{figure&per.2}         % plainTeX
.br
:p.The advantage, if any, of the mp terminal over a postscript terminal is 
editable output&per.  Considerable effort went into making this output as clean as 
possible&per.  For those knowledgeable in the Metapost language, the default line 
types and colors can be changed by editing the arrays :hp2.lt[]:ehp2. and :hp2.col[]:ehp2.&per. 
The choice of solid vs dashed lines, and color vs black lines can be change by 
changing the values assigned to the booleans :hp2.dashedlines:ehp2. and :hp2.colorlines:ehp2.&per. 
If the default :hp2.tex:ehp2. option was in effect, global changes to the text of 
labels can be achieved by editing the :hp2.vebatimtex&per.&per.&per.etex:ehp2. block&per.  In 
particular, a LaTeX preamble can be added if desired, and then LaTeX's 
built-in size changing commands can be used for maximum flexibility&per. Be sure 
to set the appropriate MP configuration variable to force Metapost to run 
LaTeX instead of plainTeX&per. 
:h4 res=9624. mgr
:p.The :link reftype=hd res=9624.mgr:elink. terminal driver supports the Mgr Window system&per.  It has no options&per. 
:h4 res=9632. mif
:p.The :link reftype=hd res=9632.mif:elink. terminal driver produces Frame Maker MIF format version 3&per.00&per.  It 
plots in MIF Frames with the size 15*10 cm, and plot primitives with the same 
pen will be grouped in the same MIF group&per.  Plot primitives in a :link reftype=hd res=37.gnuplot:elink. 
page will be plotted in a MIF Frame, and several MIF Frames are collected in 
one large MIF Frame&per.  The MIF font used for text is "Times"&per. 
:p.Several options may be set in the MIF 3&per.00 driver&per. 
:p.Syntax&colon. 
:p.      set terminal mif {color | colour | monochrome} {polyline | vectors}
.br
                       {help | ?}
.br
:p.:hp2.colour:ehp2. plots lines with line types >= 0 in colour (MIF sep&per. 2--7) and 
:hp2.monochrome:ehp2. plots all line types in black (MIF sep&per. 0)&per. 
:hp2.polyline:ehp2. plots curves as continuous curves and :link reftype=hd res=7259.vectors:elink. plots curves as 
collections of vectors&per. 
:link reftype=hd res=2266.help:elink. and :hp2.?:ehp2. print online help on standard error output---both print a 
short description of the usage; :link reftype=hd res=2266.help:elink. also lists the options&per. 
:p.Examples&colon. 
:p.      set term mif colour polylines    # defaults
.br
      set term mif                     # defaults
.br
      set term mif vectors
.br
      set term mif help
.br
:h4 res=9663. mtos
:p.The :link reftype=hd res=9663.mtos:elink. terminal has no options&per.  It sends data via a pipe to an external 
program called GPCLIENT&per.  It runs under MULTITOS, Magic 3&per.x, MagicMAC&per. and 
MiNT&per.  If you cannot find GPCLIENT, than mail to dirk@lstm&per.uni-erlangen&per.de&per. 
:h4 res=9673. next
:p.Several options may be set in the next driver&per. 
:p.Syntax&colon. 
:p.      set terminal next {<mode>} {<type> } {<color>} {<dashed>}
.br
                 {"<fontname>"} {<fontsize>} title {"<newtitle>"}
.br
:p.where <mode> is  :hp2.default:ehp2., which sets all options to their defaults; 
<type> is either :hp2.new:ehp2. or :hp2.old:ehp2., where :hp2.old:ehp2. invokes the old single window; 
<color> is either :hp2.color:ehp2. or :hp2.monochrome:ehp2.; 
<dashed> is either :link reftype=hd res=8139.solid:elink. or :hp2.dashed:ehp2.; 
"<fontname>" is the name of a valid PostScript font; 
<fontsize> is the size of the font in PostScript points; and 
<title> is the title for the GnuTerm window&per. 
Defaults are  :hp2.new:ehp2., :hp2.monochrome:ehp2., :hp2.dashed:ehp2., "Helvetica", 14pt&per. 
:p.Examples&colon. 
:p.      set term next default
.br
      set term next 22
.br
      set term next color "Times-Roman" 14
.br
      set term next color "Helvetica" 12 title "MyPlot"
.br
      set term next old
.br
:p.Pointsizes may be changed with :hp2.set linestyle:ehp2.&per. 
:h4 res=9704. Openstep (next)
:p.Several options may be set in the openstep (next) driver&per. 
:p.Syntax&colon. 
:p.      set terminal openstep {<mode>} {<type> } {<color>} {<dashed>}
.br
                 {"<fontname>"} {<fontsize>} title {"<newtitle>"}
.br
:p.where <mode> is  :hp2.default:ehp2., which sets all options to their defaults; 
<type> is either :hp2.new:ehp2. or :hp2.old:ehp2., where :hp2.old:ehp2. invokes the old single window; 
<color> is either :hp2.color:ehp2. or :hp2.monochrome:ehp2.; 
<dashed> is either :link reftype=hd res=8139.solid:elink. or :hp2.dashed:ehp2.; 
"<fontname>" is the name of a valid PostScript font; 
<fontsize> is the size of the font in PostScript points; and 
<title> is the title for the GnuTerm window&per. 
Defaults are  :hp2.new:ehp2., :hp2.monochrome:ehp2., :hp2.dashed:ehp2., "Helvetica", 14pt&per. 
:p.Examples&colon. 
:p.      set term openstep default
.br
      set term openstep 22
.br
      set term openstep color "Times-Roman" 14
.br
      set term openstep color "Helvetica" 12 title "MyPlot"
.br
      set term openstep old
.br
:p.Pointsizes may be changed with :hp2.set linestyle:ehp2.&per. 
:h4 res=9736. pbm
:p.Several options may be set in the :link reftype=hd res=9736.pbm:elink. terminal---the driver for PBMplus&per. 
:p.Syntax&colon. 
:p.      set terminal pbm {<fontsize>} {<mode>}
.br
:p.where <fontsize> is :hp2.small:ehp2., :hp2.medium:ehp2., or :hp2.large:ehp2. and <mode> is :hp2.monochrome:ehp2., 
:hp2.gray:ehp2. or :hp2.color:ehp2.&per.  The default plot size is 640 pixels wide and 480 pixels 
high; this may be changed by :link reftype=hd res=6618.set size:elink.&per. 
:p.The output of the :link reftype=hd res=9736.pbm:elink. driver depends upon <mode>&colon. :hp2.monochrome:ehp2. produces a 
portable bitmap (one bit per pixel), :hp2.gray:ehp2. a portable graymap (three bits 
per pixel) and :hp2.color:ehp2. a portable pixmap (color, four bits per pixel)&per. 
:p.The output of this driver can be used with Jef Poskanzer's excellent PBMPLUS 
package, which provides programs to convert the above PBMPLUS formats to GIF, 
TIFF, MacPaint, Macintosh PICT, PCX, X11 bitmap and many others&per.  PBMPLUS may 
be obtained from ftp&per.x&per.org&per.  The relevant files have names that begin with 
"netpbm-1mar1994&per.p1"; they reside in /contrib/utilities&per.  The package can 
probably also be obtained from one of the many sites that mirrors ftp&per.x&per.org&per. 
:p.Examples&colon. 
:p.      set terminal pbm small monochrome             # defaults
.br
      set size 2,2; set terminal pbm color medium
.br
:h4 res=9766. dospc
:p.The :link reftype=hd res=9766.dospc:elink. terminal driver supports PCs with arbitrary graphics boards, 
which will be automatically detected&per.  It should be used only if you are 
not using the gcc or Zortec C/C++ compilers&per. 
:h4 res=9776. pdf
:p.This terminal produces files in the Adobe Portable Document Format 
(PDF), useable for printing or display with tools like Acrobat Reader 
:p.Syntax&colon. 
:p.      set terminal pdf {fname "<font>"} {fsize <fontsize>}
.br
                       {{no}enhanced}
.br
:p.where <font> is the name of the default font to use (default Helvetica) 
and <fontsize> is the font size (in points, default 12)&per. 
:p.The :link reftype=hd res=9958.enhanced:elink. option enables enhanced text processing features 
(subscripts, superscripts and mixed fonts)&per. See :link reftype=hd res=9958.enhanced:elink. for more 
information&per. Only the core PDF fonts are supported&per. 
:h4 res=9796. pm
:p.The :link reftype=hd res=9796.pm:elink. terminal driver provides an OS/2 Presentation Manager window in 
which the graph is plotted&per.  The window is opened when the first graph is 
plotted&per.  This window has its own online help as well as facilities for 
printing, copying to the clipboard and some line type and color adjustments&per. 
The :link reftype=hd res=5642.multiplot:elink. option is supported&per. 
:p.Syntax&colon. 
:p.      set terminal pm {server {n}} {persist} {widelines} {enhanced} {"title"}
.br
:p.If :hp2.persist:ehp2. is specified, each graph appears in its own window and all 
windows remain open after :link reftype=hd res=37.gnuplot:elink. exits&per.  If :hp2.server:ehp2. is specified, all 
graphs appear in the same window, which remains open when :link reftype=hd res=37.gnuplot:elink. exits&per. 
This option takes an optional numerical argument which specifies an instance 
of the server process&per.  Thus multiple server windows can be in use at the 
same time&per. 
:p.If :hp2.widelines:ehp2. is specified, all plots will be drawn with wide lines&per.  If 
:link reftype=hd res=9958.enhanced:elink. is specified, sub- and superscripts and multiple fonts are 
enabled using the same syntax as the :link reftype=hd res=9958.enhanced postscript:elink. option (see 
:link reftype=hd res=9958.set terminal postscript enhanced:elink. for details)&per.  Font names for the basic 
PostScript fonts may be abbreviated to single letters&per. 
:p.If :link reftype=hd res=3153.title:elink. is specified, it will be used as the title of the plot window&per. 
It will also be used as the name of the server instance, and will override 
the optional numerical argument&per. 
:p.Linewidths may be changed with :hp2.set linestyle:ehp2.&per. 
:h4 res=9830. png (OLD)
:p.The :link reftype=hd res=8677.png:elink. terminal driver supports Portable Network Graphics&per.  This old  
version of the png driver requires the third-party libraries "libpng"  
and "zlib"&per.  There is a newer png driver, with many more features, that 
is preferred if you have libgd version 1&per.8 or newer&per. 
:p.Syntax&colon. 
:p.      set terminal png {small | medium | large}
.br
                       {transparent|notransparent}
.br
                       {picsize <xsize> <ysize>}
.br
                       {monochrome | gray | color}
.br
                       {<color0> <color1> <color2> &per.&per.&per.}
.br
:p.:hp2.transparent:ehp2. instructs the driver to generate transparent PNGs&per.  The first 
color will be the transparent one&per. 
:p.The defaults are :hp2.small:ehp2. (fontsize) and :hp2.color:ehp2.&per.  Default size of the output 
is 640*480 pixel&per. This can be changed by the option :hp2.picsize:ehp2.&per. 
:p.Each <color> must be of the form 'xrrggbb', where x is the literal character 
'x' and 'rrggbb' are the red, green and blue components in hex&per.  For example, 
'x00ff00' is green&per.  The background color is set first, then the border 
color, then the X &amp. Y axis color, then the plotting colors&per.  The maximum 
number of colors that can be set is currently 99&per. 
:h4 res=9859. postscript
:p.Several options may be set in the :link reftype=hd res=6442.postscript:elink. driver&per. 
:p.Syntax&colon. 
:p.      set terminal postscript {<mode>} {enhanced | noenhanced}
.br
                              {color | colour | monochrome}
.br
                              {blacktext | colortext | colourtext}
.br
                              {solid | dashed} {dashlength | dl <DL>}
.br
                              {linewidth | lw <LW>}
.br
                              {<duplexing>}
.br
                              {rounded | butt}
.br
                              {fontfile [add | delete] "<filename>"}
.br
                              {palfuncparam <samples>{,<maxdeviation>}}
.br
                              {"<fontname>"} {<fontsize>}
.br
:p.where <mode> is :hp2.landscape:ehp2., :hp2.portrait:ehp2., :hp2.eps:ehp2. or :hp2.default:ehp2.; 
:link reftype=hd res=9958.enhanced:elink. enables enhanced text mode features (subscripts, 
superscripts and mixed fonts)&per. See :link reftype=hd res=9958.enhanced:elink. for more information&per. 
Option :hp2.color:ehp2. enables color; 
:hp2.blacktext:ehp2. forces all text to be written in black even in color mode; 
:link reftype=hd res=8139.solid:elink. draws all plots with solid lines, overriding any dashed patterns; 
:hp2.dashlength:ehp2. or :hp2.dl:ehp2. scales the length of the dashed-line segments by <DL> 
(which is a floating-point number greater than zero); 
:link reftype=hd res=8118.linewidth:elink. or :hp2.lw:ehp2. scales all linewidths by <LW>; 
<duplexing> is :hp2.defaultplex:ehp2., :hp2.simplex:ehp2. or :hp2.duplex:ehp2. ("duplexing" in 
PostScript is the ability of the printer to print on both sides of the same 
page---don't set this if your printer can't do it); 
:hp2.rounded:ehp2. sets line caps and line joins to be rounded; :hp2.butt:ehp2. is the 
default, butt caps and mitered joins; 
:hp2."<fontname>":ehp2. is the name of a valid PostScript font; and :hp2.<fontsize>:ehp2. is 
the size of the font in PostScript points&per. 
In addition to the standard postscript fonts, an oblique version of the 
Symbol font, useful for mathematics, is defined&per. It is called "Symbol-Oblique"&per. 
:p.:hp2.default:ehp2. mode sets all options to their defaults&colon. :hp2.landscape:ehp2., :hp2.monochrome:ehp2., 
:hp2.dashed:ehp2., :hp2.dl 1&per.0:ehp2., :hp2.lw 1&per.0:ehp2., :hp2.defaultplex:ehp2., :hp2.noenhanced:ehp2., "Helvetica" and 
14pt&per.  Default size of a PostScript plot is 10 inches wide and 7 inches high&per. 
:p.:hp2.palfuncparam:ehp2. is only available if compiled with :link reftype=hd res=5929.pm3d:elink. support&per.  It controls 
how :link reftype=hd res=6356.set palette functions:elink. are encoded as gradients in the output&per. 
Analytic color component functions (set via :link reftype=hd res=6356.set palette functions:elink.) are 
encoded as linear interpolated gradients in the postscript output&colon.  The color 
component functions are sampled at <samples> points and all points are 
removed from this gradient which can be removed without changing the 
resulting colors by more than <maxdeviation>&per.  For almost every useful 
palette you may savely leave the defaults of <samples>=2000 and 
<maxdeviation>=0&per.003 untouched&per. 
:p.:hp2.eps:ehp2. mode generates EPS (Encapsulated PostScript) output, which is just 
regular PostScript with some additional lines that allow the file to be 
imported into a variety of other applications&per.  (The added lines are 
PostScript comment lines, so the file may still be printed by itself&per.)  To 
get EPS output, use the :hp2.eps:ehp2. mode and make only one plot per file&per.  In :hp2.eps:ehp2. 
mode the whole plot, including the fonts, is reduced to half of the default 
size&per. 
:p.Fonts listed by :link reftype=hd res=10089.fontfile:elink. or :hp2.fontfile add:ehp2. encapsulate the font 
definitions of the listed font from a postscript Type 1 or TrueType font 
file directly into the gnuplot output postscript file&per. Thus, the enclosed 
font can be used in labels, titles, etc&per. See the section 
:link reftype=hd res=10089.postscript fontfile:elink. for more details&per. 
With :hp2.fontfile delete:ehp2. a fontfile is deleted from the list of embedded 
files&per. 
:p.Examples&colon. 
:p.      set terminal postscript default       # old postscript
.br
      set terminal postscript enhanced      # old enhpost
.br
      set terminal postscript landscape 22  # old psbig
.br
      set terminal postscript eps 14        # old epsf1
.br
      set terminal postscript eps 22        # old epsf2
.br
      set size 0&per.7,1&per.4; set term post portrait color "Times-Roman" 14
.br
      set term post "VAGRoundedBT_Regular" 14 fontfile "bvrr8a&per.pfa"
.br
:p.Linewidths and pointsizes may be changed with :link reftype=hd res=6844.set style line:elink.&per. 
:p.The :link reftype=hd res=6442.postscript:elink. driver supports about 70 distinct pointtypes, selectable 
through the :hp2.pointtype:ehp2. option on :link reftype=hd res=2402.plot:elink. and :link reftype=hd res=6844.set style line:elink.&per. 
:p.Several possibly useful files about :link reftype=hd res=37.gnuplot:elink.'s PostScript are included 
in the /docs/psdoc subdirectory of the :link reftype=hd res=37.gnuplot:elink. distribution and at the 
distribution sites&per.  These are "ps_symbols&per.gpi" (a :link reftype=hd res=37.gnuplot:elink. command file 
that, when executed, creates the file "ps_symbols&per.ps" which shows all the 
symbols available through the :link reftype=hd res=6442.postscript:elink. terminal), "ps_guide&per.ps" (a 
PostScript file that contains a summary of the enhanced syntax and a page 
showing what the octal codes produce with text and symbol fonts), 
"ps_file&per.doc" (a text file that contains a discussion of the organization 
of a PostScript file written by :link reftype=hd res=37.gnuplot:elink.), and "ps_fontfile_doc&per.tex" 
(a LaTeX file which contains a short documentation concerning the 
encapsulation of LaTeX fonts with a glyph table of the math fonts)&per. 
:p.A PostScript file is editable, so once :link reftype=hd res=37.gnuplot:elink. has created one, you are 
free to modify it to your heart's desire&per.  See the :link reftype=hd res=10064.editing postscript:elink. 
section for some hints&per. 
:h5 res=9958. enhanced postscript
:p.Several terminal types support an enhanced text mode in which  
additional formatting information is embedded in the text string&per. 
:p.:table cols=' 11 13 39'.
:row.
:c.c c l &per.
:c.
:c.
:row.
:c.Control
:c.Examples
:c.Explanation
:row.
:c._
:c.
:c.
:row.
:c.^
:c.a^x
:c.superscript
:row.
:c._
:c.a_x
:c.subscript
:row.
:c. @ 
:c. @x or a@^b_c
:c.phantom box (occupies no width)
:row.
:c. &amp. 
:c. &amp.{space}
:c.inserts space of specified length
:row.
:c. ~ 
:c. ~a{&per.8-}
:c.overprints '-' on 'a', raised by &per.8
:row.
:c.   
:c.   
:c.times the current fontsize
:etable.
:p.Braces can be used to place multiple-character text where a single character 
is expected (e&per.g&per., 2^{10})&per.  To change the font and/or size, use the full 
form&colon.  {/[fontname][=fontsize | *fontscale] text}&per.  Thus {/Symbol=20 G} is a 
20-point GAMMA and {/*0&per.75 K} is a K at three-quarters of whatever fontsize 
is currently in effect&per.  (The '/' character MUST be the first character after 
the '{'&per.) 
:p.If the encoding vector has been changed by :link reftype=hd res=4500.set encoding:elink., the default 
encoding vector can be used instead by following the slash with a dash&per.  This 
is unnecessary if you use the Symbol font, however---since /Symbol uses its 
own encoding vector, :link reftype=hd res=37.gnuplot:elink. will not apply any other encoding vector to 
it&per. 
:p.The phantom box is useful for a@^b_c to align superscripts and subscripts 
but does not work well for overwriting an accent on a letter&per.  (To do the 
latter, it is much better to use 'set encoding iso_8859_1' to change to the 
ISO Latin-1 encoding vector, which contains a large variety of letters with 
accents or other diacritical marks&per.)  Since the box is non-spacing, it is 
sensible to put the shorter of the subscript or superscript in the box (that 
is, after the @)&per. 
:p.Space equal in length to a string can be inserted using the '&amp.' character&per. 
Thus 
:p.        'abc&amp.{def}ghi'
.br
would produce 
:p.        'abc   ghi'&per.
.br
:p.The '~' character causes the next character or bracketed text to be 
overprinted by the following character or bracketed text&per.  The second text 
will be horizontally centered on the first&per.  Thus '~a/' will result in an 'a' 
with a slash through it&per.  You can also shift the second text vertically by 
preceding the second text with a number, which will define the fraction of the 
current fontsize by which the text will be raised or lowered&per.  In this case 
the number and text must be enclosed in brackets because more than one 
character is necessary&per.  If the overprinted text begins with a number, put a 
space between the vertical offset and the text ('~{abc}{&per.5 000}'); otherwise 
no space is needed ('~{abc}{&per.5---}')&per.  You can change the font for one or 
both strings ('~a{&per.5 /*&per.2 o}'---an 'a' with a one-fifth-size 'o' on top---and 
the space between the number and the slash is necessary), but you can't 
change it after the beginning of the string&per.  Neither can you use any other 
special syntax within either string&per.  You can, of course, use control 
characters by escaping them (see below), such as '~a{\^}' 
:p.You can access special symbols numerically by specifying \character-code (in 
octal), e&per.g&per., {/Symbol \245} is the symbol for infinity&per. 
:p.You can escape control characters using \, e&per.g&per.,  \\, \{, and so on&per. 
:p.But be aware that strings in double-quotes are parsed differently than those 
enclosed in single-quotes&per.  The major difference is that backslashes may need 
to be doubled when in double-quoted strings&per. 
:p.Examples (these are hard to describe in words---try them!)&colon. 
:p.      set xlabel 'Time (10^6 {/Symbol m}s)'
.br
      set title '{/Symbol=18 \362@_{/=9&per.6 0}^{/=12 x}} \
.br
                 {/Helvetica e^{-{/Symbol m}^2/2} d}{/Symbol m}'
.br
:p.The file "ps_guide&per.ps" in the /docs/psdoc subdirectory of the :link reftype=hd res=37.gnuplot:elink. source 
distribution contains more examples of the enhanced syntax&per. 
:h5 res=10064. editing postscript
:p.The PostScript language is a very complex language---far too complex to 
describe in any detail in this document&per.  Nevertheless there are some things 
in a PostScript file written by :link reftype=hd res=37.gnuplot:elink. that can be changed without risk of 
introducing fatal errors into the file&per. 
:p.For example, the PostScript statement "/Color true def" (written into the 
file in response to the command :hp2.set terminal postscript color:ehp2.), may be 
altered in an obvious way to generate a black-and-white version of a plot&per. 
Similarly line colors, text colors, line weights and symbol sizes can also be 
altered in straight-forward ways&per.  Text (titles and labels) can be edited to 
correct misspellings or to change fonts&per.  Anything can be repositioned, and 
of course anything can be added or deleted, but modifications such as these 
may require deeper knowledge of the PostScript language&per. 
:p.The organization of a PostScript file written by :link reftype=hd res=37.gnuplot:elink. is discussed in 
the text file "ps_file&per.doc" in the docs/ps subdirectory of the gnuplot 
source distribution&per. 
:h5 res=10089. postscript fontfile
:p.The :link reftype=hd res=10089.fontfile:elink. or :hp2.fontfile add:ehp2. option takes one file name as argument 
and encapsulates this file into the postscript output in order to make 
this font available for text elements (labels, tic marks, titles, etc&per.)&per. 
The :hp2.fontfile delete:ehp2. option also takes one file name as argument&per. It 
deletes this file name from the list of encapsulated files&per. 
:p.The postscript terminal understands some 
font file formats&colon. Type 1 fonts in ASCII file format (extension "&per.pfa"), 
Type 1 fonts in binary file format (extension "&per.pfb"), and TrueType 
fonts (extension "&per.ttf")&per. Pfa files are understood directly, pfb and ttf 
files are converted on the fly if appropriate conversion tools are 
installed (see below)&per. You have to specify the full filename with the 
extension&per. Each :link reftype=hd res=10089.fontfile:elink. option takes exact one font file name&per. This 
option can be used multiple times in order to include more than one font 
file&per. 
:p.The font file is searched in the working directory and in all directories 
listed in the fontpath which is determined by :link reftype=hd res=4570.set fontpath:elink.&per. 
In addition, the fontpath can be set using the environment variable 
GNUPLOT_FONTPATH&per. If this is not set a system dependent default search 
list is used&per. See :link reftype=hd res=4570.set fontpath:elink. for more details&per. 
:p.For using the encapsulated font file you have to specify the font name 
(which normally is not the same as the file name)&per. When embedding a 
font file by using the :link reftype=hd res=10089.fontfile:elink. option in interactive mode, the  
font name is printed on the screen&per. E&per.g&per. 
:p.   Font file 'p052004l&per.pfb' contains the font 'URWPalladioL-Bold'&per. Location&colon.
.br
   /usr/lib/X11/fonts/URW/p052004l&per.pfb
.br
:p.When using pfa or pfb fonts, you can also find it out by looking into the 
font file&per. There is a line similar to "/FontName /URWPalladioL-Bold def"&per. 
The middle string without the slash is the fontname, here 
"URWPalladioL-Bold"&per. 
For TrueType fonts, this is not so easy since the font name is stored in a 
binary format&per. In addition, they often have spaces in the font names which 
is not supported by Type 1 fonts (in which a TrueType is converted on the 
fly)&per. The font names are changed in order to eliminate the spaces in the 
fontnames&per. The easiest way to find out which font name is generated for 
use with gnuplot, start gnuplot in interactive mode and type in 
"set terminal postscript fontfile '<filename&per.ttf>'"&per. 
:p.For converting font files to pfa format the conversion tool has to read 
the font from a file and write it to standard output&per. 
For pfb files "pfbtops" is a tool which can do this&per. If this program 
is installed on your system the on the fly conversion should work&per. 
Just try to encapsulate a pfb file&per. If the compiled in program call does 
not work correctly you can specify how this program is called by 
defining the environment variable GNUPLOT_PFBTOPFA e&per.g&per. to 
"pfbtops %s"&per. The :hp2.%s:ehp2. will be repeated by the font file name and thus 
has to exist in the string&per. 
If you don't want to do the conversion on the fly but get a pfa file of 
the font you can use the tool "pfb2pfa" which is written in simple c 
and should compile with any c compiler&per. 
It is available from many ftp servers, e&per.g&per. 
:p.          ftp&colon.//ftp&per.dante&per.de/tex-archive/fonts/utilities/ps2mf/
.br
In fact, "pfbtopfa" and "pfb2ps" do the same job&per. "pfbtopfa" puts 
the resulting pfa code into a file, whereas "pfbtops" writes it to 
standard output&per. 
:p.TrueType fonts are converted into Type 1 pfa format, e&per.g&per. 
by using the tool "ttf2pt1" which is available from 
:p.          http&colon.//ttf2pt1&per.sourceforge&per.net/
.br
If the builtin conversion does not 
work, the conversion command can be changed by the environment variable 
GNUPLOT_TTFTOPFA&per. For usage with ttf2pt1 it may be set to 
"ttf2pt1 -a -e -W 0 %s - "&per. Here again, :hp2.%s:ehp2. stands for the 
file name&per. 
:p.For special purposes you also can use a pipe (if available for your 
operating system)&per. Therefore you start the file name definition with  
the character "<" and append a program call&per. This program has  
to write pfa data to standard output&per. Thus, a pfa file may be accessed 
by :hp2.set fontfile "< cat garamond&per.pfa":ehp2.&per. 
:p.For example, including Type 1 font files can be used for including the 
postscript output in LaTeX documents&per. The "european computer modern" 
font (which is a variant of the "computer modern" font) is available 
in pfb format from any CTAN server, e&per.g&per. 
:p.          ftp&colon.//ftp&per.dante&per.de/tex-archive/fonts/ps-type1/cm-super/
.br
For example, the file "sfrm1000&per.pfb" contains the normal upright fonts 
with serifs in the design size 10pt (font name "SFRM1000")&per. 
The computer modern fonts, which are still necessary for mathematics, 
are available from 
:p.          ftp&colon.//ftp&per.dante&per.de/tex-archive/fonts/cm/ps-type1/bluesky
.br
With these you can use any character available in TeX&per. However, the 
computer modern fonts have a strange encoding&per. (This is why you should not 
use cmr10&per.pfb for text, but sfrm1000&per.pfb instead&per.) 
The usage of TeX fonts is shown in one of the demos&per. 
The file "ps_fontfile_doc&per.tex" in the /docs/psdoc subdirectory of the 
:link reftype=hd res=37.gnuplot:elink. source distribution contains a table with glyphs of the TeX 
mathfonts&per. 
:p.If the font "CMEX10" is embedded (file "cmex10&per.pfb") gnuplot defines 
the additional font "CMEX10-Baseline"&per. It is shifted vertically in order 
to fit better to the other glyphs (CMEX10 has its baseline at the top of 
the symbols)&per. 
:h4 res=10201. pslatex and pstex
:p.The :link reftype=hd res=10201.pslatex:elink. and :link reftype=hd res=10201.pstex:elink. drivers generate output for further processing by 
LaTeX and TeX, respectively&per.  Figures generated by :link reftype=hd res=10201.pstex:elink. can be included 
in any plain-based format (including LaTeX)&per. 
:p.Syntax&colon. 
:p.      set terminal [pslatex | pstex] {<color>} {<dashed>} {<rotate>}
.br
                                     {auxfile} {<font_size>}
.br
:p.<color> is either :hp2.color:ehp2. or :hp2.monochrome:ehp2.&per.  <dashed> is either :hp2.dashed:ehp2. 
or :link reftype=hd res=8139.solid:elink.&per.  <rotate> is either :link reftype=hd res=8126.rotate:elink. or :hp2.norotate:ehp2. and determines 
if the y-axis label is rotated&per.  <font_size> is the size (in pts) of the 
desired font&per. 
:p.If :hp2.auxfile:ehp2. is specified, it directs the driver to put the PostScript 
commands into an auxiliary file instead of directly into the LaTeX file&per. 
This is useful if your pictures are large enough that dvips cannot handle 
them&per.  The name of the auxiliary PostScript file is derived from the name of 
the TeX file given on the :link reftype=hd res=5831.set output:elink. command; it is determined by replacing 
the trailing :hp2.&per.tex:ehp2. (actually just the final extent in the file name) with 
:hp2.&per.ps:ehp2. in the output file name, or, if the TeX file has no extension, :hp2.&per.ps:ehp2. 
is appended&per.  Remember to close the :link reftype=hd res=6380.output file:elink. before leaving :link reftype=hd res=37.gnuplot:elink.&per. 
The :hp2.&per.ps:ehp2. is included into the :hp2.&per.tex:ehp2. file by a \special{psfile=&per.&per.&per.} command&per. 
If you would rather prefer \includegraphics{&per.&per.&per.}, then use the :link reftype=hd res=8412.epslatex:elink. 
terminal&per. 
:p.All drivers for LaTeX offer a special way of controlling text positioning&colon.  
(a) If any text string begins with '{', you also need to include a '}' at the 
end of the text, and the whole text will be centered both horizontally 
and vertically by LaTeX&per.  (b) If the text string begins with '[', you need 
to continue it with&colon. a position specification (up to two out of t,b,l,r), 
']{', the text itself, and finally, '}'&per. The text itself may be anything 
LaTeX can typeset as an LR-box&per. \rule{}{}'s may help for best positioning&per. 
:p.Examples&colon. 
:p.      set term pslatex monochrome dashed rotate       # set to defaults
.br
To write the PostScript commands into the file "foo&per.ps"&colon. 
:p.      set term pslatex auxfile
.br
      set output "foo&per.tex"; plot &per.&per.&per.; set output
.br
About label positioning&colon. 
Use gnuplot defaults (mostly sensible, but sometimes not really best)&colon. 
:p.       set title '\LaTeX\ -- $ \gamma $'
.br
Force centering both horizontally and vertically&colon. 
:p.       set label '{\LaTeX\ -- $ \gamma $}' at 0,0
.br
Specify own positioning (top here)&colon. 
:p.       set xlabel '[t]{\LaTeX\ -- $ \gamma $}'
.br
The other label -- account for long ticlabels&colon. 
:p.       set ylabel '[r]{\LaTeX\ -- $ \gamma $\rule{7mm}{0pt}}'
.br
:p.Linewidths and pointsizes may be changed with :link reftype=hd res=6844.set style line:elink.&per. 
:h4 res=10263. pstricks
:p.The :link reftype=hd res=10263.pstricks:elink. driver is intended for use with the "pstricks&per.sty" macro 
package for LaTeX&per.  It is an alternative to the :link reftype=hd res=8278.eepic:elink. and :link reftype=hd res=9257.latex:elink. drivers&per. 
You need "pstricks&per.sty", and, of course, a printer that understands 
PostScript, or a converter such as Ghostscript&per. 
:p.PSTricks is available via anonymous ftp from the /pub directory at 
Princeton&per.edu&per.  This driver definitely does not come close to using the full 
capability of the PSTricks package&per. 
:p.Syntax&colon. 
:p.      set terminal pstricks {hacktext | nohacktext} {unit | nounit}
.br
:p.The first option invokes an ugly hack that gives nicer numbers; the second 
has to do with plot scaling&per.  The defaults are :hp2.hacktext:ehp2. and :hp2.nounit:ehp2.&per. 
:h4 res=10284. qms
:p.The :link reftype=hd res=10284.qms:elink. terminal driver supports the QMS/QUIC Laser printer, the Talaris 
1200 and others&per.  It has no options&per. 
:h4 res=10293. regis
:p.The :link reftype=hd res=10293.regis:elink. terminal device generates output in the REGIS graphics language&per. 
It has the option of using 4 (the default) or 16 colors&per. 
:p.Syntax&colon. 
:p.      set terminal regis {4 | 16}
.br
:h4 res=10305. rgip
:p.The :link reftype=hd res=10305.rgip:elink. and :link reftype=hd res=10305.uniplex:elink. terminal drivers support RGIP metafiles&per.  They can 
combine several graphs on a single page, but only one page is allowed in a 
given output file&per. 
:p.Syntax&colon. 
:p.      set terminal rgip | uniplex {portrait | landscape}
.br
                                  {[<horiz>,<vert>]} {<fontsize>}
.br
:p.permissible values for the font size are in the range 1--8, with the default 
being 1&per.  The default layout is landscape&per.  Graphs are placed on the page in 
a :hp2.horiz:ehp2.x:hp2.vert:ehp2. grid, which defaults to [1,1]&per. 
:p.Example&colon. 
:p.      set terminal uniplex portrait [2,3]
.br
:p.puts six graphs on a page in three rows of two in portrait orientation&per. 
:h4 res=10334. sun
:p.The :link reftype=hd res=10334.sun:elink. terminal driver supports the SunView window system&per.  It has no 
options&per. 
:h4 res=10343. svg
:p.This terminal produces files in the W3C Scalable Vector Graphics format&per. 
:p.Syntax&colon. 
:p.      set terminal svg {size <x> <y> {|fixed|dynamic}}
.br
                       {fname "<font>"} {fsize <fontsize>}
.br
                       {{no}enhanced} {fontfile <filename>}
.br
:p.where <x> and <y> are the size of the SVG plot to generate, 
:hp2.dynamic:ehp2. allows a svg-Viewer to resize plot, whereas the default 
setting, :hp2.fixed:ehp2., will request an absolute size&per. 
:p.<font> is the name of the default font to use (default Arial) and 
<fontsize> is the font size (in points, default 12)&per. Gnuplot does not 
currently provide a mechanism for embedding fonts in the output file, 
so svg viewing programs may substitute other fonts when the file is 
displayed&per. 
:p.The svg terminal supports an enhanced text mode, which allows font 
and other formatting commands to be embedded in labels and other text 
strings&per. The enhanced text mode syntax is shared with other gnuplot 
terminal types&per. See :link reftype=hd res=9958.enhanced:elink. for more details&per. 
:p.SVG allows you to embed fonts directly into an SVG document, or to 
provide a hypertext link to the desired font&per. The :link reftype=hd res=10089.fontfile:elink. option 
specifies a local file which is copied into the <defs> section of the 
resulting SVG output file&per.  This file may either itself contain a font, 
or may contain the records necessary to create a hypertext reference to 
the desired font&per. Gnuplot will look for the requested file using the 
directory list in the GNUPLOT_FONTPATH environmental variable&per. 
:h4 res=10379. tek410x
:p.The :link reftype=hd res=10379.tek410x:elink. terminal driver supports the 410x and 420x family of Tektronix 
terminals&per.  It has no options&per. 
:h4 res=10388. table
:p.Instead of producing a graph, the :link reftype=hd res=10388.table:elink. terminal prints out the points on 
which a graph would be based, i&per.e&per., the results of processing the :link reftype=hd res=2402.plot:elink. or 
:link reftype=hd res=12442.splot:elink. command, in a multicolumn ASCII table of X Y {Z} R values&per.  The 
character R takes on one of three values&colon. "i" if the point is in the active 
range, "o" if it is out-of-range, or "u" if it is undefined&per.  The data 
format is determined by the format of the axis labels (see :link reftype=hd res=4612.set format:elink.), 
and the columns are separated by single spaces&per. 
:p.For those times when you want the numbers, you can display them on the 
screen or save them to a file&per.  This can be useful if you want to generate 
contours and then save them for further use, perhaps for plotting with 
:link reftype=hd res=2402.plot:elink.;  see :link reftype=hd res=4208.set contour:elink. for an example&per.  The same method can be used to 
save interpolated data (see :link reftype=hd res=6591.set samples:elink. and :link reftype=hd res=4403.set dgrid3d:elink.)&per. 
:h4 res=10408. tek40
:p.This family of terminal drivers supports a variety of VT-like terminals&per. 
:hp2.tek40xx:ehp2. supports Tektronix 4010 and others as well as most TEK emulators; 
:link reftype=hd res=10408.vttek:elink. supports VT-like tek40xx terminal emulators; :link reftype=hd res=10408.kc-tek40xx:elink. supports 
MS-DOS Kermit Tek4010 terminal emulators in color&colon. :link reftype=hd res=10408.km-tek40xx:elink. supports them 
in monochrome; :link reftype=hd res=10408.selanar:elink. supports Selanar graphics; and :link reftype=hd res=10408.bitgraph:elink. supports 
BBN Bitgraph terminals&per.  None have any options&per. 
:h4 res=10451. texdraw
:p.The :link reftype=hd res=10451.texdraw:elink. terminal driver supports the LaTeX texdraw environment&per.  It is 
intended for use with "texdraw&per.sty" and "texdraw&per.tex" in the texdraw package&per. 
:p.Points, among other things, are drawn using the LaTeX commands "\Diamond" and 
"\Box"&per.  These commands no longer belong to the LaTeX2e core; they are included 
in the latexsym package, which is part of the base distribution and thus part 
of any LaTeX implementation&per.  Please do not forget to use this package&per. 
:p.It has no options&per. 
:h4 res=10467. tgif
:p.Tgif is an X11-based drawing tool---it has nothing to do with GIF&per. 
:p.The :link reftype=hd res=10467.tgif:elink. driver supports different pointsizes (with :link reftype=hd res=6474.set pointsize:elink.), 
different label fonts and font sizes (e&per.g&per. :hp2.set label "Hallo" at x,y font 
"Helvetica,34":ehp2.) and multiple graphs on the page&per.  The proportions of the 
axes are not changed&per. 
:p.Syntax&colon. 
:p.      set terminal tgif {portrait | landscape} {<[x,y]>}
.br
                        {solid | dashed}
.br
                        {"<fontname>"} {<fontsize>}
.br
:p.where <[x,y]> specifies the number of graphs in the x and y directions on the 
page, "<fontname>" is the name of a valid PostScript font, and <fontsize> 
specifies the size of the PostScript font&per.  Defaults are :hp2.portrait:ehp2., :hp2.[1,1]:ehp2., 
:hp2.dashed:ehp2., :hp2."Helvetica":ehp2., and :hp2.18:ehp2.&per. 
:p.The :link reftype=hd res=8139.solid:elink. option is usually prefered if lines are colored, as they often 
are in the editor&per.  Hardcopy will be black-and-white, so :hp2.dashed:ehp2. should be 
chosen for that&per. 
:p.Multiplot is implemented in two different ways&per. 
:p.The first multiplot implementation is the standard gnuplot multiplot feature&colon. 
:p.:p.      set terminal tgif
.br
      set output "file&per.obj"
.br
      set multiplot
.br
      set origin x01,y01
.br
      set size  xs,ys
.br
      plot &per.&per.&per.
.br
           &per.&per.&per.
.br
      set origin x02,y02
.br
      plot &per.&per.&per.
.br
      set nomultiplot
.br
:p.See :link reftype=hd res=5642.set multiplot:elink. for further information&per. 
:p.The second version is the [x,y] option for the driver itself&per.  The advantage 
of this implementation is that everything is scaled and placed automatically 
without the need for setting origins and sizes; the graphs keep their natural 
x/y proportions of 3/2 (or whatever is fixed by :link reftype=hd res=6618.set size:elink.)&per. 
:p.If both multiplot methods are selected, the standard method is chosen and a 
warning message is given&per. 
:p.Examples of single plots (or standard multiplot)&colon. 
:p.      set terminal tgif                  # defaults
.br
      set terminal tgif "Times-Roman" 24
.br
      set terminal tgif landscape
.br
      set terminal tgif landscape solid
.br
:p.Examples using the built-in multiplot mechanism&colon. 
:p.      set terminal tgif portrait [2,4]  # portrait; 2 plots in the x-
.br
                                        # and 4 in the y-direction
.br
      set terminal tgif [1,2]           # portrait; 1 plot in the x-
.br
                                        # and 2 in the y-direction
.br
      set terminal tgif landscape [3,3] # landscape; 3 plots in both
.br
                                        # directions
.br
:h4 res=10533. tkcanvas
:p.This terminal driver generates Tk canvas widget commands based on Tcl/Tk 
(default) or Perl&per.  To use it, rebuild :link reftype=hd res=37.gnuplot:elink. (after uncommenting or 
inserting the appropriate line in "term&per.h"), then 
:p.:p. gnuplot> set term tkcanvas {perltk} {interactive}
.br
 gnuplot> set output 'plot&per.file'
.br
:p.After invoking "wish", execute the following sequence of Tcl/Tk commands&colon. 
:p.:p. % source plot&per.file
.br
 % canvas &per.c
.br
 % pack &per.c
.br
 % gnuplot &per.c
.br
:p.Or, for Perl/Tk use a program like this&colon. 
:p.:p. use Tk;
.br
 my $top = MainWindow->new;
.br
 my $c = $top->Canvas->pack;
.br
 my $gnuplot = do "plot&per.pl";
.br
 $gnuplot->($c);
.br
 MainLoop;
.br
:p.The code generated by :link reftype=hd res=37.gnuplot:elink. creates a procedure called "gnuplot" 
that takes the name of a canvas as its argument&per.  When the procedure is 
called, it clears the canvas, finds the size of the canvas and draws the plot 
in it, scaled to fit&per. 
:p.For 2-dimensional plotting (:link reftype=hd res=2402.plot:elink.) two additional procedures are defined&colon. 
"gnuplot_plotarea" will return a list containing the borders of the plotting 
area "xleft, xright, ytop, ybot" in canvas screen coordinates, while the ranges 
of the two axes "x1min, x1max, y1min, y1max, x2min, x2max, y2min, y2max" in plot 
coordinates can be obtained calling "gnuplot_axisranges"&per. 
If the "interactive" option is specified, mouse clicking on a line segment 
will print the coordinates of its midpoint to stdout&per. Advanced actions 
can happen instead if the user supplies a procedure named 
"user_gnuplot_coordinates", which takes the following arguments&colon. 
"win id x1s y1s x2s y2s x1e y1e x2e y2e x1m y1m x2m y2m", 
the name of the canvas and the id of the line segment followed by the 
coordinates of its start and end point in the two possible axis ranges; the 
coordinates of the midpoint are only filled for logarithmic axes&per. 
:p.The current version of :link reftype=hd res=10533.tkcanvas:elink. supports neither :link reftype=hd res=5642.multiplot:elink. nor :link reftype=hd res=3344.replot:elink.&per. 
:h4 res=10583. tpic
:p.The :link reftype=hd res=10583.tpic:elink. terminal driver supports the LaTeX picture environment with tpic 
\specials&per.  It is an alternative to the :link reftype=hd res=9257.latex:elink. and :link reftype=hd res=8278.eepic:elink. terminal drivers&per. 
Options are the point size, line width, and dot-dash interval&per. 
:p.Syntax&colon. 
:p.      set terminal tpic <pointsize> <linewidth> <interval>
.br
:p.where :link reftype=hd res=6474.pointsize:elink. and :link reftype=hd res=8118.linewidth:elink. are integers in milli-inches and :hp2.interval:ehp2. 
is a float in inches&per.  If a non-positive value is specified, the default is 
chosen&colon. pointsize = 40, linewidth = 6, interval = 0&per.1&per. 
:p.All drivers for LaTeX offer a special way of controlling text positioning&colon. 
If any text string begins with '{', you also need to include a '}' at the 
end of the text, and the whole text will be centered both horizontally 
and vertically by LaTeX&per. --- If the text string begins with '[', you need 
to continue it with&colon. a position specification (up to two out of t,b,l,r), 
']{', the text itself, and finally, '}'&per. The text itself may be anything 
LaTeX can typeset as an LR-box&per. \rule{}{}'s may help for best positioning&per. 
:p.Examples&colon. 
About label positioning&colon. 
Use gnuplot defaults (mostly sensible, but sometimes not really best)&colon. 
:p.       set title '\LaTeX\ -- $ \gamma $'
.br
Force centering both horizontally and vertically&colon. 
:p.       set label '{\LaTeX\ -- $ \gamma $}' at 0,0
.br
Specify own positioning (top here)&colon. 
:p.       set xlabel '[t]{\LaTeX\ -- $ \gamma $}'
.br
The other label -- account for long ticlabels&colon. 
:p.       set ylabel '[r]{\LaTeX\ -- $ \gamma $\rule{7mm}{0pt}}'
.br
:h4 res=10619. unixpc
:p.The :link reftype=hd res=10619.unixpc:elink. terminal driver supports AT&amp.T 3b1 and AT&amp.T 7300 Unix PC&per.  It has 
no options&per. 
:h4 res=10628. vx384
:p.The :link reftype=hd res=10628.vx384:elink. terminal driver supports the Vectrix 384 and Tandy color 
printers&per.  It has no options&per. 
:h4 res=10637. vgagl
:p.The :link reftype=hd res=10637.vgagl:elink. driver is a fast linux console driver with full mouse and pm3d 
support&per.  It looks at the environment variable SVGALIB_DEFAULT_MODE for the 
default mode; if not set, it uses a 256 color mode with the highest 
available resolution&per. 
:p.Syntax&colon. 
:p.   set terminal vgagl \
.br
                background [red] [[green] [blue]] \
.br
                [uniform | interpolate] \
.br
                [mode]
.br
:p.The color mode can also be given with the mode option&per. Both Symbolic 
names as G1024x768x256 and integers are allowed&per. The :hp2.background:ehp2. option 
takes either one or three integers in the range [0, 255]&per. If only one 
integers is supplied, it is taken as gray value for the background&per. 
If three integers are present, the background gets the corresponding 
color&per. 
The (mutually exclusive) options :hp2.interpolate:ehp2. and :hp2.uniform:ehp2. control 
if color interpolation is done while drawing triangles (on by default)&per. 
:p.To get high resolution modes, you will probably have to modify the 
configuration file of libvga, usually /etc/vga/libvga&per.conf&per.  Using 
the VESA fb is a good choice, but this needs to be compiled in the 
kernel&per. 
:p.The vgagl driver uses the first *available* vga mode from the following list&colon. 
:p. - the driver which was supplied when setting vgagl, e&per.g&per. :hp2.set term vgagl
.br
   G1024x768x256:ehp2. would first check, if the G1024x768x256 mode is available&per.
.br
 - the environment variable SVGALIB_DEFAULT_MODE
.br
 - G1024x768x256
.br
 - G800x600x256
.br
 - G640x480x256
.br
 - G320x200x256
.br
 - G1280x1024x256
.br
 - G1152x864x256
.br
 - G1360x768x256
.br
 - G1600x1200x256
.br
:p.:h4 res=10682. VWS
:p.The :link reftype=hd res=10682.VWS:elink. terminal driver supports the VAX Windowing System&per.  It has 
no options&per.  It will sense the display type (monochrome, gray scale, 
or color&per.)  All line styles are plotted as solid lines&per. 
:h4 res=10692. windows
:p.Three options may be set in the :link reftype=hd res=10692.windows:elink. terminal driver&per. 
:p.Syntax&colon. 
:p.      set terminal windows {<color>} {"<fontname>"} {<fontsize>}
.br
:p.where :hp2.<color>:ehp2. is either :hp2.color:ehp2. or :hp2.monochrome:ehp2., :hp2."<fontname>":ehp2. is the 
name of a valid Windows font, and :hp2.<fontsize>:ehp2. is the size of the font in 
points&per. 
:p.Other options may be set with the graph-menu, the initialization file, 
and :hp2.set linestyle:ehp2.&per.  Note that there is one restriction imposed by 
the classic Windows GDI interface&colon. modifiable linewidth only works with 
solid lines, not with dotted or dashed ones&per. 
:p.The Windows version normally terminates immediately as soon as the end of 
any files given as command line arguments is reached (i&per.e&per. in non-interactive 
mode), unless you specify :hp2.-:ehp2. as the last command line option&per. 
It will also not show the text-window at all, in this mode, only the plot&per. 
By giving the optional argument :hp2.-persist:ehp2. (same as for gnuplot under x11; 
former Windows-only options :hp2./noend:ehp2. or :hp2.-noend:ehp2. are still accepted as well), 
will not close gnuplot&per. Contrary to gnuplot on other operating systems, 
gnuplot's interactive command line is accessible after the -persist option&per. 
:h5 res=10721. graph-menu
:p.The :hp2.gnuplot graph:ehp2. window has the following options on a pop-up menu 
accessed by pressing the right mouse button or selecting :hp2.Options:ehp2. from the 
system menu&colon. 
:p.:hp2.Bring to Top:ehp2. when checked brings the graph window to the top after every 
plot&per. 
:p.:hp2.Color:ehp2. when checked enables color linestyles&per.  When unchecked it forces 
monochrome linestyles&per. 
:p.:hp2.Copy to Clipboard:ehp2. copies a bitmap and a Metafile picture&per. 
:p.:hp2.Background&per.&per.&per.:ehp2. sets the window background color&per. 
:p.:hp2.Choose Font&per.&per.&per.:ehp2. selects the font used in the graphics window&per. 
:p.:hp2.Line Styles&per.&per.&per.:ehp2. allows customization of the line colors and styles&per. 
:p.:hp2.Print&per.&per.&per.:ehp2. prints the graphics windows using a Windows printer driver and 
allows selection of the printer and scaling of the output&per.  The output 
produced by :hp2.Print:ehp2. is not as good as that from :link reftype=hd res=37.gnuplot:elink.'s own printer 
drivers&per. 
:p.:hp2.Update wgnuplot&per.ini:ehp2. saves the current window locations, window sizes, text 
window font, text window font size, graph window font, graph window font 
size, background color and linestyles to the initialization file 
:hp2.WGNUPLOT&per.INI:ehp2.&per. 
:h5 res=10754. printing
:p.In order of preference, graphs may be be printed in the following ways&per. 
:p.:hp2.1&per.:ehp2. Use the :link reftype=hd res=37.gnuplot:elink. command :link reftype=hd res=7403.set terminal:elink. to select a printer and :hp2.set 
output:ehp2. to redirect output to a file&per. 
:p.:hp2.2&per.:ehp2. Select the :hp2.Print&per.&per.&per.:ehp2. command from the :hp2.gnuplot graph:ehp2. window&per.  An extra 
command :hp2.screendump:ehp2. does this from the text window&per. 
:p.:hp2.3&per.:ehp2. If :hp2.set output "PRN":ehp2. is used, output will go to a temporary file&per.  When 
you exit from :link reftype=hd res=37.gnuplot:elink. or when you change the output with another :hp2.set 
output:ehp2. command, a dialog box will appear for you to select a printer port&per. 
If you choose OK, the output will be printed on the selected port, passing 
unmodified through the print manager&per.  It is possible to accidentally (or 
deliberately) send printer output meant for one printer to an incompatible 
printer&per. 
:h5 res=10775. text-menu
:p.The :hp2.gnuplot text:ehp2. window has the following options on a pop-up menu accessed 
by pressing the right mouse button or selecting :hp2.Options:ehp2. from the system 
menu&colon. 
:p.:hp2.Copy to Clipboard:ehp2. copies marked text to the clipboard&per. 
:p.:hp2.Paste:ehp2. copies text from the clipboard as if typed by the user&per. 
:p.:hp2.Choose Font&per.&per.&per.:ehp2. selects the font used in the text window&per. 
:p.:hp2.System Colors:ehp2. when selected makes the text window honor the System Colors 
set using the Control Panel&per.  When unselected, text is black or blue on a 
white background&per. 
:p.:hp2.Update wgnuplot&per.ini:ehp2. saves the current text window location, text window 
size, text window font and text window font size to the initialisation file 
:hp2.WGNUPLOT&per.INI:ehp2.&per. 
:p.:hp2.MENU BAR:ehp2. 
:p.If the menu file :hp2.WGNUPLOT&per.MNU:ehp2. is found in the same directory as 
WGNUPLOT&per.EXE, then the menu specified in :hp2.WGNUPLOT&per.MNU:ehp2. will be loaded&per. 
Menu commands&colon. 
:p.[Menu] starts a new menu with the name on the following line&per. 
:p.[EndMenu] ends the current menu&per. 
:p.[--] inserts a horizontal menu separator&per. 
:p.[|] inserts a vertical menu separator&per. 
:p.[Button] puts the next macro on a push button instead of a menu&per. 
:p.Macros take two lines with the macro name (menu entry) on the first line and 
the macro on the second line&per.  Leading spaces are ignored&per.  Macro commands&colon. 
:p.[INPUT] --- Input string with prompt terminated by [EOS] or {ENTER} 
:p.[EOS] --- End Of String terminator&per.  Generates no output&per. 
:p.[OPEN] --- Get name of file to open from list box, with title of list box 
terminated by [EOS], followed by default filename terminated by [EOS] or 
{ENTER}&per.  This uses COMMDLG&per.DLL from Windows 3&per.1&per. 
:p.[SAVE] --- Get name of file to save&per.  Similar to [OPEN] 
:p.Macro character substitutions&colon. 
:p.{ENTER} --- Carriage Return '\r' 
:p.{TAB} --- Tab '\011' 
:p.{ESC} --- Escape '\033' 
:p.{^A} --- '\001' 
:p.&per.&per.&per. 
:p.{^_} --- '\031' 
:p.Macros are limited to 256 characters after expansion&per. 
:h5 res=10843. wgnuplot&per.ini
:p.Windows :link reftype=hd res=37.gnuplot:elink. will read some of its options from the :hp2.[WGNUPLOT]:ehp2. section 
of :hp2.WGNUPLOT&per.INI:ehp2. in the Windows directory&per.  A sample :hp2.WGNUPLOT&per.INI:ehp2. file&colon. 
:p.:p.      [WGNUPLOT]
.br
      TextOrigin=0 0
.br
      TextSize=640 150
.br
      TextFont=Terminal,9
.br
      GraphOrigin=0 150
.br
      GraphSize=640 330
.br
      GraphFont=Arial,10
.br
      GraphColor=1
.br
      GraphToTop=1
.br
      GraphBackground=255 255 255
.br
      Border=0 0 0 0 0
.br
      Axis=192 192 192 2 2
.br
      Line1=0 0 255 0 0
.br
      Line2=0 255 0 0 1
.br
      Line3=255 0 0 0 2
.br
      Line4=255 0 255 0 3
.br
      Line5=0 0 128 0 4
.br
:p.The :hp2.GraphFont:ehp2. entry specifies the font name and size in points&per.  The five 
numbers given in the :hp2.Border:ehp2., :hp2.Axis:ehp2. and :hp2.Line:ehp2. entries are the :hp2.Red:ehp2. 
intensity (0--255), :hp2.Green:ehp2. intensity, :hp2.Blue:ehp2. intensity, :hp2.Color Linestyle:ehp2. 
and :hp2.Mono Linestyle:ehp2.&per.  :hp2.Linestyles:ehp2. are 0=SOLID, 1=DASH, 2=DOT, 3=DASHDOT, 
4=DASHDOTDOT&per.  In the sample :hp2.WGNUPLOT&per.INI:ehp2. file above, Line 2 is a green 
solid line in color mode, or a dashed line in monochrome mode&per.  The default 
line width is 1 pixel&per.  If :hp2.Linestyle:ehp2. is negative, it specifies the width of 
a SOLID line in pixels&per.  Line1 and any linestyle used with the :link reftype=hd res=7237.points:elink. style 
must be SOLID with unit width&per. 
:h5 res=10879. windows3&per.0
:p.Windows 3&per.1 is preferred, but WGNUPLOT will run under Windows 3&per.0 with the 
following restrictions&colon. 
:hp2.1&per.:ehp2. COMMDLG&per.DLL and SHELL&per.DLL (available with Windows 3&per.1 or Borland C++ 
3&per.1) must be in the windows directory&per. 
:p.:hp2.2&per.:ehp2. WGNUPLOT&per.HLP produced by Borland C++ 3&per.1 is in Windows 3&per.1 format&per. 
You need to use the WINHELP&per.EXE supplied with Borland C++ 3&per.1&per. 
:p.:hp2.3&per.:ehp2. It will not run in real mode due to lack of memory&per. 
:p.:hp2.4&per.:ehp2. TrueType fonts are not available in the graph window&per. 
:p.:hp2.5&per.:ehp2. Drag-drop does not work&per. 
:h4 res=10898. x11
:p.:link reftype=hd res=37.gnuplot:elink. provides the :link reftype=hd res=10898.x11:elink. terminal type for use with X servers&per.  This 
terminal type is set automatically at startup if the :hp2.DISPLAY:ehp2. environment 
variable is set, if the :hp2.TERM:ehp2. environment variable is set to :hp2.xterm:ehp2., or 
if the :hp2.-display:ehp2. command line option is used&per. 
:p.Syntax&colon. 
:p.   set terminal x11 [reset] <n> [[no]enhanced] [font <fontspec>]
.br
                    [title "<string>"] [[no]persist] [[no]raise] [close]
.br
:p.Multiple plot windows are supported&colon. :hp2.set terminal x11 <n>:ehp2. directs the 
output to plot window number n&per.  If n>0, the terminal number will be 
appended to the window title (unless a title has been supplied manually) 
and the icon will be labeled :hp2.gplt <n>:ehp2.&per.  The active window may be 
distinguished by a change in cursor (from default to crosshair&per.) 
:p.The x11 terminal support enhanced text mode (see :link reftype=hd res=9958.enhanced:elink.), subject 
to the available fonts&per. In order for font size commands embedded in text 
to have any effect, the default x11 font must be scalable&per. Thus the first 
example below will work as expected, but the second will not&per. 
:p.:p.   set term x11 enhanced font "arial,15" 
.br
   set title '{\=20 Big} Medium {\=5 Small}' 
.br
:p.:p.   set term x11 enhanced font "terminal-14" 
.br
   set title '{\=20 Big} Medium {\=5 Small}' 
.br
:p.Plot windows remain open even when the :link reftype=hd res=37.gnuplot:elink. driver is changed to a 
different device&per.  A plot window can be closed by pressing the letter q 
while that window has input focus, or by choosing :hp2.close:ehp2. from a window 
manager menu&per.  All plot windows can be closed by specifying :link reftype=hd res=3421.reset:elink., which 
actually terminates the subprocess which maintains the windows (unless 
:hp2.-persist:ehp2. was specified)&per.  The :hp2.close:ehp2. command can be used to close 
individual plot windows by number&per.  However, after a :link reftype=hd res=3421.reset:elink., those plot 
windows left due to persist cannot be closed with the command :hp2.close:ehp2.&per. 
A :hp2.close:ehp2. without a number closes the current active plot window&per. 
:p.The gnuplot outboard driver, gnuplot_x11, is searched in a default place 
chosen when the program is compiled&per.  You can override that by defining 
the environment variable GNUPLOT_DRIVER_DIR to point to a different 
location&per. 
:p.Plot windows will automatically be closed at the end of the session 
unless the :hp2.-persist:ehp2. option was given&per. 
:p.The options :hp2.persist:ehp2. and :hp2.raise:ehp2. are unset by default, which means that 
the defaults (persist == no and raise == yes) or the command line options 
-persist / -raise or the Xresources are taken&per.  If [no]persist or 
[no]raise are specified, they will override command line options and 
Xresources&per.  Setting one of these options takes place immediately, so 
the behaviour of an already running driver can be modified&per. 
:p.The option :hp2.title "<title name>":ehp2. will supply the title name of the window 
for the current plot window or plot window <n> if a number is given&per. 
Where (or if) this title is shown depends on your X window manager&per. 
:p.The size or aspect ratio of a plot may be changed by resizing the :link reftype=hd res=37.gnuplot:elink. 
window&per. 
:p.Linewidths and pointsizes may be changed from within :link reftype=hd res=37.gnuplot:elink. with 
:hp2.set linestyle:ehp2.&per. 
:p.For terminal type :link reftype=hd res=10898.x11:elink., :link reftype=hd res=37.gnuplot:elink. accepts (when initialized) the standard 
X Toolkit options and resources such as geometry, font, and name from the 
command line arguments or a configuration file&per.  See the X(1) man page 
(or its equivalent) for a description of such options&per. 
:p.A number of other :link reftype=hd res=37.gnuplot:elink. options are available for the :link reftype=hd res=10898.x11:elink. terminal&per. 
These may be specified either as command-line options when :link reftype=hd res=37.gnuplot:elink. is 
invoked or as resources in the configuration file "&per.Xdefaults"&per.  They are 
set upon initialization and cannot be altered during a :link reftype=hd res=37.gnuplot:elink. session&per. 
(except :hp2.persist:ehp2. and :hp2.raise:ehp2.) 
:h5 res=10977. x11_fonts
:p.Upon initial startup, the default font is taken from the X11 resources 
as set in the system or user &per.Xdefaults file or on the command line&per. 
:p.Example&colon. 
:p.      gnuplot*font&colon. lucidasans-bold-12
.br
A new default font may be specified to the x11 driver from inside 
gnuplot using 
:p.     :hp2.set term x11 font "<fontspec>":ehp2.
.br
The driver first queries the X-server for a font of the exact name given, 
for example :hp2.set term x11 font "lucidasans-10":ehp2.&per. If this query fails, then 
it tries to interpret <fontspec> as "<font>,<size>,<slant>,<weight>"  
and to construct a full X11 font name of the form 
:p.      -*-<font>-<weight>-<s>-*-*-<size>-*-*-*-*-*-<encoding>
.br
:p.:p. <font> is the base name of the font (e&per.g&per. Times or Symbol)
.br
 <size> is the point size (defaults to 12 if not specified)
.br
 <s> is :hp2.i:ehp2. if <slant>=="italic" :hp2.o:ehp2. if <slant>=="oblique" :hp2.r:ehp2. otherwise
.br
 <weight> is :hp2.medium:ehp2. or :hp2.bold:ehp2. if explicitly requested, otherwise :hp2.*:ehp2.
.br
 <encoding> is set based on the current character set (see help for :link reftype=hd res=4500.set encoding:elink.)&per.
.br
So :hp2.set term x11 font "arial,15,italic":ehp2. will be translated to 
-*-arial-*-i-*-*-15-*-*-*-*-*-iso8859-1 (assuming default encoding)&per. 
The <size>, <slant>, and <weight> specifications are all optional&per. 
If you do not specify <slant> or <weight> then you will get whatever font  
variant the font server offers first&per. 
The driver also recognizes some common PostScript font names and 
replaces them with possible X11 or TrueType equivalents&per. 
This same sequence is used to process font requests from :link reftype=hd res=5235.set label:elink.&per. 
:h5 res=11010. command-line_options
:p.In addition to the X Toolkit options, the following options may be specified 
on the command line when starting :link reftype=hd res=37.gnuplot:elink. or as resources in your 
"&per.Xdefaults" file (note that :hp2.raise:ehp2. and :hp2.persist:ehp2. can be overridden 
later by :hp2.set term x11 [no]raise [no]persist):ehp2.&colon. 
:table cols=' 21 65'.
:row.
:c.c l &per.
:c.
:row.
:c.:hp2.-mono:ehp2.
:c.forces monochrome rendering on color displays&per.
:row.
:c.:hp2.-gray:ehp2.
:c.requests grayscale rendering on grayscale or color displays&per.
:row.
:c.       
:c.(Grayscale displays receive monochrome rendering by default&per.)
:row.
:c.:hp2.-clear:ehp2.
:c.requests that the window be cleared momentarily before a
:row.
:c.        
:c.new plot is displayed&per.
:row.
:c.:hp2.-tvtwm:ehp2.
:c.requests that geometry specifications for position of the
:row.
:c.        
:c.window be made relative to the currently displayed portion
:row.
:c.        
:c.of the virtual root&per.
:row.
:c.:hp2.-raise:ehp2.
:c.raises plot window after each plot
:row.
:c.:hp2.-noraise:ehp2.
:c.does not raise plot window after each plot
:row.
:c.:hp2.-novevents:ehp2.
:c.does not process mouse and key events
:row.
:c.:hp2.-persist:ehp2.
:c.plot windows survive after main gnuplot program exits
:etable.
The options are shown above in their command-line syntax&per.  When entered as 
resources in "&per.Xdefaults", they require a different syntax&per. 
:p.Example&colon. 
:p.      gnuplot*gray&colon. on
.br
:p.:link reftype=hd res=37.gnuplot:elink. also provides a command line option (:hp2.-pointsize <v>:ehp2.) and a 
resource, :hp2.gnuplot*pointsize&colon. <v>:ehp2., to control the size of points plotted 
with the :link reftype=hd res=7237.points:elink. plotting style&per.  The value :hp2.v:ehp2. is a real number (greater 
than 0 and less than or equal to ten) used as a scaling factor for point 
sizes&per.  For example, :hp2.-pointsize 2:ehp2. uses points twice the default size, and 
:hp2.-pointsize 0&per.5:ehp2. uses points half the normal size&per. 
:p.The :hp2.-noevents:ehp2. switch disables all mouse and key event processing (except 
for :hp2.q:ehp2. and :hp2.<space>:ehp2. for closing the window)&per. This is useful for programs 
which use the x11 driver independent of the gnuplot main program&per. 
:h5 res=11076. monochrome_options
:p.For monochrome displays, :link reftype=hd res=37.gnuplot:elink. does not honor foreground or background 
colors&per.  The default is black-on-white&per.  :hp2.-rv:ehp2. or :hp2.gnuplot*reverseVideo&colon. on:ehp2. 
requests white-on-black&per. 
:p.:h5 res=11086. color_resources
:p.For color displays, :link reftype=hd res=37.gnuplot:elink. honors the following resources (shown here 
with their default values) or the greyscale resources&per.  The values may be 
color names as listed in the X11 rgb&per.txt file on your system, hexadecimal 
RGB color specifications (see X11 documentation), or a color name followed 
by a comma and an :hp2.intensity:ehp2. value from 0 to 1&per.  For example, :hp2.blue, 0&per.5:ehp2. 
means a half intensity blue&per. 
:table cols=' 33'.
:row.
:c.c l &per.
:row.
:c.gnuplot*background&colon. white
:row.
:c.gnuplot*textColor&colon. black
:row.
:c.gnuplot*borderColor&colon. black
:row.
:c.gnuplot*axisColor&colon. black
:row.
:c.gnuplot*line1Color&colon. red
:row.
:c.gnuplot*line2Color&colon. green
:row.
:c.gnuplot*line3Color&colon. blue
:row.
:c.gnuplot*line4Color&colon. magenta
:row.
:c.gnuplot*line5Color&colon. cyan
:row.
:c.gnuplot*line6Color&colon. sienna
:row.
:c.gnuplot*line7Color&colon. orange
:row.
:c.gnuplot*line8Color&colon. coral
:etable.
:p.The command-line syntax for these is simple only for background, 
which maps directly to the usual X11 toolkit option "-bg"&per.  All 
others can only be set on the command line by use of the generic 
"-xrm" resource override option 
:p.Examples&colon. 
:p.:p.      gnuplot -background coral
.br
to change the background color&per. 
:p.:p.      gnuplot -xrm 'gnuplot*line1Color&colon.blue'
.br
to override the first linetype color&per. 
:p.:h5 res=11152. grayscale_resources
:p.When :hp2.-gray:ehp2. is selected, :link reftype=hd res=37.gnuplot:elink. honors the following resources for 
grayscale or color displays (shown here with their default values)&per.  Note 
that the default background is black&per. 
:table cols=' 32'.
:row.
:c.c l &per.
:row.
:c.gnuplot*background&colon. black
:row.
:c.gnuplot*textGray&colon. white
:row.
:c.gnuplot*borderGray&colon. gray50
:row.
:c.gnuplot*axisGray&colon. gray50
:row.
:c.gnuplot*line1Gray&colon. gray100
:row.
:c.gnuplot*line2Gray&colon. gray60
:row.
:c.gnuplot*line3Gray&colon. gray80
:row.
:c.gnuplot*line4Gray&colon. gray40
:row.
:c.gnuplot*line5Gray&colon. gray90
:row.
:c.gnuplot*line6Gray&colon. gray50
:row.
:c.gnuplot*line7Gray&colon. gray70
:row.
:c.gnuplot*line8Gray&colon. gray30
:etable.
:p.:h5 res=11202. line_resources
:p.:link reftype=hd res=37.gnuplot:elink. honors the following resources for setting the width (in pixels) of 
plot lines (shown here with their default values&per.)  0 or 1 means a minimal 
width line of 1 pixel width&per.  A value of 2 or 3 may improve the appearance of 
some plots&per. 
:table cols=' 28'.
:row.
:c.c l &per.
:row.
:c.gnuplot*borderWidth&colon. 2
:row.
:c.gnuplot*axisWidth&colon. 0
:row.
:c.gnuplot*line1Width&colon. 0
:row.
:c.gnuplot*line2Width&colon. 0
:row.
:c.gnuplot*line3Width&colon. 0
:row.
:c.gnuplot*line4Width&colon. 0
:row.
:c.gnuplot*line5Width&colon. 0
:row.
:c.gnuplot*line6Width&colon. 0
:row.
:c.gnuplot*line7Width&colon. 0
:row.
:c.gnuplot*line8Width&colon. 0
:etable.
:p.:link reftype=hd res=37.gnuplot:elink. honors the following resources for setting the dash style used for 
plotting lines&per.  0 means a solid line&per.  A two-digit number :hp2.jk:ehp2. (:hp2.j:ehp2. and :hp2.k:ehp2. 
are >= 1  and <= 9) means a dashed line with a repeated pattern of :hp2.j:ehp2. pixels 
on followed by :hp2.k:ehp2. pixels off&per.  For example, '16' is a "dotted" line with one 
pixel on followed by six pixels off&per.  More elaborate on/off patterns can be 
specified with a four-digit value&per.  For example, '4441' is four on, four off, 
four on, one off&per.  The default values shown below are for monochrome displays 
or monochrome rendering on color or grayscale displays&per.  For color displays, 
the default for each is 0 (solid line) except for :hp2.axisDashes:ehp2. which defaults 
to a '16' dotted line&per. 
:table cols=' 31'.
:row.
:c.c l &per.
:row.
:c.gnuplot*borderDashes&colon. 0
:row.
:c.gnuplot*axisDashes&colon. 16
:row.
:c.gnuplot*line1Dashes&colon. 0
:row.
:c.gnuplot*line2Dashes&colon. 42
:row.
:c.gnuplot*line3Dashes&colon. 13
:row.
:c.gnuplot*line4Dashes&colon. 44
:row.
:c.gnuplot*line5Dashes&colon. 15
:row.
:c.gnuplot*line6Dashes&colon. 4441
:row.
:c.gnuplot*line7Dashes&colon. 42
:row.
:c.gnuplot*line8Dashes&colon. 13
:etable.
:p.:h5 res=11292. x11 pm3d_resources
:p.Choosing the appropriate visual class and number of colors is a crucial 
point in X11 applications and a bit awkward, since X11 supports six visual 
types in different depths&per. 
:p.By default :link reftype=hd res=37.gnuplot:elink. uses the default visual of the screen&per. The number of 
colors which can be allocated depends on the visual class chosen&per. On a 
visual class with a depth > 12bit, gnuplot starts with a maximal number 
of 0x200 colors&per.  On a visual class with a depth > 8bit (but <= 12 bit) 
the maximal number of colors is 0x100, on <= 8bit displays the maximum 
number of colors is 240 (16 are left for line colors)&per. 
:p.Gnuplot first starts to allocate the maximal number of colors as stated 
above&per.  If this fails, the number of colors is reduced by the factor 2 
until gnuplot gets all colors which are requested&per. If dividing :hp2.maxcolors:ehp2. 
by 2 repeatedly results in a number which is smaller than :hp2.mincolors:ehp2. 
:link reftype=hd res=37.gnuplot:elink. tries to install a private colormap&per. In this case the window 
manager is responsible for swapping colormaps when the pointer is moved 
in and out the x11 driver's window&per. 
:p.The default for :hp2.mincolors:ehp2. is maxcolors / (num_colormaps > 1 ? 2 &colon. 8), 
where num_colormaps is the number of colormaps which are currently used 
by gnuplot (usually 1, if only one x11 window is open)&per. 
:p.Some systems support multiple (different) visual classes together on one 
screen&per. On these systems it might be necessary to force gnuplot to use a 
specific visual class, e&per.g&per. the default visual might be 8bit PseudoColor 
but the screen would also support 24bit TrueColor which would be the 
preferred choice&per. 
:p.The information about an Xserver's capabilities can be obtained with the 
program :hp2.xdpyinfo:ehp2.&per.  For the visual names below you can choose one of 
StaticGray, GrayScale, StaticColor, PseudoColor, TrueColor, DirectColor&per. 
If an Xserver supports a requested visual type at different depths, 
:link reftype=hd res=37.gnuplot:elink. chooses the visual class with the highest depth (deepest)&per. 
If the requested visual class matches the default visual and multiple 
classes of this type are supported, the default visual is preferred&per. 
:p.Example&colon. on an 8bit PseudoColor visual you can force a private color map 
by specifying :hp2.gnuplot*maxcolors&colon. 240:ehp2. and :hp2.gnuplot*mincolors&colon. 240:ehp2.&per. 
:p.:table cols=' 42'.
:row.
:c.c l &per.
:row.
:c.gnuplot*maxcolors&colon.  <integer number>
:row.
:c.gnuplot*mincolors&colon.  <integer number>
:row.
:c.gnuplot*visual&colon.     <visual name>
:etable.
:h4 res=11352. xlib
:p.The :link reftype=hd res=11352.xlib:elink. terminal driver supports the X11 Windows System&per.  It generates 
gnuplot_x11 commands, but sends them to the output file specified by 
:hp2.set output '<filename>':ehp2.&per. :link reftype=hd res=10898.set term x11:elink. is equivalent to 
:hp2.set terminal xlib; set output "|gnuplot_x11 -noevents":ehp2.&per. 
:link reftype=hd res=11352.xlib:elink. takes the same set of options as :link reftype=hd res=10898.x11:elink.&per. 
:h3 res=11364. tics
:p.The :link reftype=hd res=11364.set tics:elink. command can be used to change the tics to be drawn outwards&per. 
:p.Syntax&colon. 
:p.      set tics {<direction>}
.br
      show tics
.br
:p.where <direction> may be :hp2.in:ehp2. (the default) or :hp2.out:ehp2.&per. 
:p.See also :link reftype=hd res=11968.set xtics:elink. for more control of major (labelled) tic marks and 
:link reftype=hd res=5713.set mxtics:elink. for control of minor tic marks&per. 
:h3 res=11380. ticslevel
:p.Using :link reftype=hd res=12442.splot:elink., one can adjust the relative height of the vertical (Z) axis 
using :link reftype=hd res=11380.set ticslevel:elink.&per.  The numeric argument provided specifies the location 
of the bottom of the scale (as a fraction of the z-range) above the xy-plane&per. 
The default value is 0&per.5&per.  Negative values are permitted, but tic labels on 
the three axes may overlap&per. 
:p.To place the xy-plane at a position 'pos' on the z-axis, :link reftype=hd res=11380.ticslevel:elink. should 
be set equal to  (pos - zmin) / (zmin - zmax)&per. 
:p.Syntax&colon. 
:p.      set ticslevel {<level>}
.br
      show tics
.br
:p.See also :link reftype=hd res=11617.set view:elink.&per. 
:h3 res=11400. ticscale
:p.The size of the tic marks can be adjusted with :link reftype=hd res=11400.set ticscale:elink.&per. 
:p.Syntax&colon. 
:p.      set ticscale {<major> {<minor>}}
.br
      show tics
.br
:p.If <minor> is not specified, it is 0&per.5*<major>&per.  The default size is 1&per.0 for 
major tics and 0&per.5 for minor tics&per.  Note that it is possible to have the tic 
marks pointing outward by specifying a negative size&per. 
:h3 res=11415. timestamp
:p.The command :link reftype=hd res=11415.set timestamp:elink. places the time and date of the plot in the left 
margin&per. 
:p.Syntax&colon. 
:p.      set timestamp {"<format>"} {top|bottom} {{no}rotate}
.br
                    {<xoff>}{,<yoff>} {"<font>"}
.br
      unset timestamp
.br
      show timestamp
.br
:p.The format string allows you to choose the format used to write the date and 
time&per.  Its default value is what asctime() uses&colon. "%a %b %d %H&colon.%M&colon.%S %Y" 
(weekday, month name, day of the month, hours, minutes, seconds, four-digit 
year)&per.  With :hp2.top:ehp2. or :hp2.bottom:ehp2. you can place the timestamp at the top or 
bottom of the left margin (default&colon. bottom)&per.  :link reftype=hd res=8126.rotate:elink. lets you write the 
timestamp vertically, if your terminal supports vertical text&per.  The constants 
<xoff> and <yoff> are offsets from the default position given in character 
screen coordinates&per.  <font> is used to specify the font with which the time 
is to be written&per. 
:p.The abbreviation :hp2.time:ehp2. may be used in place of :link reftype=hd res=11415.timestamp:elink.&per. 
:p.Example&colon. 
:p.      set timestamp "%d/%m/%y %H&colon.%M" 80,-2 "Helvetica"
.br
:p.See :link reftype=hd res=11451.set timefmt:elink. for more information about time format strings&per. 
:h3 res=11451. timefmt
:p.This command applies to timeseries where data are composed of dates/times&per. 
It has no meaning unless the command :hp2.set xdata time:ehp2. is given also&per. 
:p.Syntax&colon. 
:p.      set timefmt "<format string>"
.br
      show timefmt
.br
:p.The string argument tells :link reftype=hd res=37.gnuplot:elink. how to read timedata from the datafile&per. 
The valid formats are&colon. 
:p.:table cols=' 9 57'.
:row.
:c.c l &per.
:c.
:row.
:c.Format
:c.Explanation
:row.
:c._
:c.
:row.
:c.%d
:c.day of the month, 1--31
:row.
:c.%m
:c.month of the year, 1--12
:row.
:c.%y
:c.year, 0--99
:row.
:c.%Y
:c.year, 4-digit
:row.
:c.%j
:c.day of the year, 1--365
:row.
:c.%H
:c.hour, 0--24
:row.
:c.%M
:c.minute, 0--60
:row.
:c.%s
:c.seconds since the Unix epoch (1970-01-01 00&colon.00 UTC)
:row.
:c.%S
:c.second, 0--60
:row.
:c.%b
:c.three-character abbreviation of the name of the month
:row.
:c.%B
:c.name of the month
:row.
:c._
:c.
:etable.
Any character is allowed in the string, but must match exactly&per.  \t (tab) is 
recognized&per.  Backslash-octals (\nnn) are converted to char&per.  If there is no 
separating character between the time/date elements, then %d, %m, %y, %H, %M 
and %S read two digits each, %Y reads four digits and %j reads three digits&per. 
%b requires three characters, and %B requires as many as it needs&per. 
:p.Spaces are treated slightly differently&per.  A space in the string stands for 
zero or more whitespace characters in the file&per.  That is, "%H %M" can be used 
to read "1220" and "12     20" as well as "12 20"&per. 
:p.Each set of non-blank characters in the timedata counts as one column in the 
:hp2.using n&colon.n:ehp2. specification&per.  Thus :hp2.11&colon.11  25/12/76  21&per.0:ehp2. consists of three 
columns&per.  To avoid confusion, :link reftype=hd res=37.gnuplot:elink. requires that you provide a complete 
:link reftype=hd res=2845.using:elink. specification if your file contains timedata&per. 
:p.Since :link reftype=hd res=37.gnuplot:elink. cannot read non-numerical text, if the date format includes 
the day or month in words, the format string must exclude this text&per.  But 
it can still be printed with the "%a", "%A", "%b", or "%B" specifier&colon. 
see :link reftype=hd res=4612.set format:elink. for more details about these and other options for printing 
timedata&per.  (:link reftype=hd res=37.gnuplot:elink. will determine the proper month and weekday from the 
numerical values&per.) 
:p.See also :link reftype=hd res=11736.set xdata:elink. and :hp2.Time/date:ehp2. for more information&per. 
:p.Example&colon. 
:p.      set timefmt "%d/%m/%Y\t%H&colon.%M"
.br
tells :link reftype=hd res=37.gnuplot:elink. to read date and time separated by tab&per.  (But look closely at 
your data---what began as a tab may have been converted to spaces somewhere 
along the line; the format string must match what is actually in the file&per.) 
See also 
time data demo&per. 
:h3 res=11544. title
:p.The :link reftype=hd res=11544.set title:elink. command produces a plot title that is centered at the top of 
the plot&per.  :link reftype=hd res=11544.set title:elink. is a special case of :link reftype=hd res=5235.set label:elink.&per. 
:p.Syntax&colon. 
:p.      set title {"<title-text>"} {<xoff>}{,<yoff>} {"<font>{,<size>}"}
.br
                {{textcolor | tc} {lt <line_type> | default}}
.br
      show title
.br
:p.Specifying constants <xoff> or <yoff> as optional offsets for the title will 
move the title <xoff> or <yoff> character screen coordinates (not graph 
coordinates)&per.  For example, ":hp2.set title ,-1:ehp2." will change only the y offset 
of the title, moving the title down by roughly the height of one character&per. 
:p.<font> is used to specify the font with which the title is to be written; 
the units of the font <size> depend upon which terminal is used&per. 
:p.:hp2.textcolor lt <n>:ehp2. sets the text color to that of line type <n>&per. 
:p.:link reftype=hd res=11544.set title:elink. with no parameters clears the title&per. 
:p.See :link reftype=hd res=1554.syntax:elink. for details about the processing of backslash sequences and 
the distinction between single- and double-quotes&per. 
:h3 res=11572. tmargin
:p.The command :link reftype=hd res=11572.set tmargin:elink. sets the size of the top margin&per. 
Please see :link reftype=hd res=5502.set margin:elink. for details&per. 
:h3 res=11578. trange
:p.The :link reftype=hd res=11578.set trange:elink. command sets the parametric range used to compute x and y 
values when in parametric or polar modes&per.  Please see :link reftype=hd res=11888.set xrange:elink. for 
details&per. 
:h3 res=11587. urange
:p.The :link reftype=hd res=11587.set urange:elink. and :link reftype=hd res=11659.set vrange:elink. commands set the parametric ranges used 
to compute x, y, and z values when in :link reftype=hd res=12442.splot:elink. parametric mode&per. 
Please see :link reftype=hd res=11888.set xrange:elink. for details&per. 
:h3 res=11596. variables
:p.The :link reftype=hd res=11596.show variables:elink. command lists all user-defined variables and their 
values&per. 
:p.Syntax&colon. 
:p.      show variables
.br
:h3 res=11604. version
:p.The :link reftype=hd res=11604.show version:elink. command lists the version of gnuplot being run, its last 
modification date, the copyright holders, and email addresses for the FAQ, 
the gnuplot-info mailing list, and reporting bugs--in short, the information 
listed on the screen when the program is invoked interactively&per. 
:p.Syntax&colon. 
:p.      show version {long}
.br
:p.When the :hp2.long:ehp2. option is given, it also lists the operating system, the 
compilation options used when :link reftype=hd res=37.gnuplot:elink. was installed, the location of the 
help file, and (again) the useful email addresses&per. 
:h3 res=11617. view
:p.The :link reftype=hd res=11617.set view:elink. command sets the viewing angle for :link reftype=hd res=12442.splot:elink.s&per.  It controls how 
the 3-d coordinates of the plot are mapped into the 2-d screen space&per.  It 
provides controls for both rotation and scaling of the plotted data, but 
supports orthographic projections only&per.  It supports both 3D projection or 
orthogonal 2D projection into a 2D plot-like map&per. 
:p.Syntax&colon. 
:p.      set view { <rot_x>{,{<rot_z>}{,{<scale>}{,<scale_z>}}} | map }
.br
      show view
.br
:p.where <rot_x> and <rot_z> control the rotation angles (in degrees) in a 
virtual 3-d coordinate system aligned with the screen such that initially 
(that is, before the rotations are performed) the screen horizontal axis is 
x, screen vertical axis is y, and the axis perpendicular to the screen is z&per. 
The first rotation applied is <rot_x> around the x axis&per.  The second rotation 
applied is <rot_z> around the new z axis&per. 
:p.Command :link reftype=hd res=11617.set view map:elink. is used to represent the drawing as a map&per. It can be 
used for :link reftype=hd res=4208.contour:elink. plots, or for color :link reftype=hd res=5929.pm3d:elink. maps&per. In the latter, take care 
that you properly use :link reftype=hd res=12353.zrange:elink. and :link reftype=hd res=12391.cbrange:elink. for input data point filtering 
and color range scaling, respectively&per. 
:p.<rot_x> is bounded to the [0&colon.180] range with a default of 60 degrees, while 
<rot_z> is bounded to the [0&colon.360] range with a default of 30 degrees&per. 
<scale> controls the scaling of the entire :link reftype=hd res=12442.splot:elink., while <scale_z> scales 
the z axis only&per.  Both scales default to 1&per.0&per. 
:p.Examples&colon. 
:p.      set view 60, 30, 1, 1
.br
      set view ,,0&per.5
.br
:p.The first sets all the four default values&per.  The second changes only scale, 
to 0&per.5&per. 
:p.See also :link reftype=hd res=11380.set ticslevel:elink.&per. 
:h3 res=11659. vrange
:p.The :link reftype=hd res=11587.set urange:elink. and :link reftype=hd res=11659.set vrange:elink. commands set the parametric ranges used 
to compute x, y, and z values when in :link reftype=hd res=12442.splot:elink. parametric mode&per. 
Please see :link reftype=hd res=11888.set xrange:elink. for details&per. 
:h3 res=11668. x2data
:p.The :link reftype=hd res=11668.set x2data:elink. command sets data on the x2 (top) axis to timeseries 
(dates/times)&per.  Please see :link reftype=hd res=11736.set xdata:elink.&per. 
:h3 res=11676. x2dtics
:p.The :link reftype=hd res=11676.set x2dtics:elink. command changes tics on the x2 (top) axis to days of the 
week&per.  Please see :link reftype=hd res=11767.set xdtics:elink. for details&per. 
:h3 res=11687. x2label
:p.The :link reftype=hd res=11687.set x2label:elink. command sets the label for the x2 (top) axis&per. 
Please see :link reftype=hd res=11790.set xlabel:elink.&per. 
:h3 res=11695. x2mtics
:p.The :link reftype=hd res=11695.set x2mtics:elink. command changes tics on the x2 (top) axis to months of the 
year&per.  Please see :link reftype=hd res=11865.set xmtics:elink. for details&per. 
:h3 res=11706. x2range
:p.The :link reftype=hd res=11706.set x2range:elink. command sets the horizontal range that will be displayed on 
the x2 (top) axis&per.  Please see :link reftype=hd res=11888.set xrange:elink. for details&per. 
:h3 res=11714. x2tics
:p.The :link reftype=hd res=11714.set x2tics:elink. command controls major (labelled) tics on the x2 (top) axis&per. 
Please see :link reftype=hd res=11968.set xtics:elink. for details&per. 
:h3 res=11725. x2zeroaxis
:p.The :link reftype=hd res=11725.set x2zeroaxis:elink. command draws a line at the origin of the x2 (top) axis 
(y2 = 0)&per.  For details, please see :link reftype=hd res=12296.set zeroaxis:elink.&per. 
:h3 res=11736. xdata
:p.This command sets the datatype on the x axis to time/date&per.  A similar command 
does the same thing for each of the other axes&per. 
:p.Syntax&colon. 
:p.      set xdata {time}
.br
      show xdata
.br
:p.The same syntax applies to :link reftype=hd res=12174.ydata:elink., :link reftype=hd res=12241.zdata:elink., :link reftype=hd res=11668.x2data:elink., :link reftype=hd res=12107.y2data:elink. and :link reftype=hd res=12260.cbdata:elink.&per. 
:p.The :hp2.time:ehp2. option signals that the datatype is indeed time/date&per.  If the 
option is not specified, the datatype reverts to normal&per. 
:p.See :link reftype=hd res=11451.set timefmt:elink. to tell gnuplot how to read date or time data&per.  The 
time/date is converted to seconds from start of the century&per.  There is 
currently only one timefmt, which implies that all the time/date columns must 
conform to this format&per.  Specification of ranges should be supplied as quoted 
strings according to this format to avoid interpretation of the time/date as 
an expression&per. 
:p.The function 'strftime' (type "man strftime" on unix to look it up) is used 
to print tic-mark labels&per.  :link reftype=hd res=37.gnuplot:elink. tries to figure out a reasonable format 
for this  unless the :hp2.set format x "string":ehp2. has supplied something that does 
not look like a decimal format (more than one '%' or neither %f nor %g)&per. 
:p.See also :hp2.Time/date:ehp2. for more information&per. 
:h3 res=11767. xdtics
:p.The :link reftype=hd res=11767.set xdtics:elink. commands converts the x-axis tic marks to days of the week 
where 0=Sun and 6=Sat&per.  Overflows are converted modulo 7 to dates&per.  :hp2.set 
noxdtics:ehp2. returns the labels to their default values&per.  Similar commands do 
the same things for the other axes&per. 
:p.Syntax&colon. 
:p.      set xdtics
.br
      unset xdtics
.br
      show xdtics
.br
:p.The same syntax applies to :link reftype=hd res=12182.ydtics:elink., :link reftype=hd res=12249.zdtics:elink., :link reftype=hd res=11676.x2dtics:elink., :link reftype=hd res=12115.y2dtics:elink. and 
:link reftype=hd res=12267.cbdtics:elink.&per. 
:p.See also the :link reftype=hd res=4612.set format:elink. command&per. 
:h3 res=11790. xlabel
:p.The :link reftype=hd res=11790.set xlabel:elink. command sets the x axis label&per.  Similar commands set labels 
on the other axes&per. 
:p.Syntax&colon. 
:p.      set xlabel {"<label>"} {<xoff>}{,<yoff>} {font "<font>{,<size>}"}
.br
                 {{textcolor | tc} {lt <line_type> | default}}
.br
      show xlabel
.br
:p.The same syntax applies to :link reftype=hd res=11687.x2label:elink., :link reftype=hd res=12193.ylabel:elink., :link reftype=hd res=12125.y2label:elink., :link reftype=hd res=12335.zlabel:elink. and 
:link reftype=hd res=12373.cblabel:elink.&per. 
:p.Specifying the constants <xoff> or <yoff> as optional offsets for a label 
will move it <xoff> or <yoff> character widths or heights&per.  For example, 
":hp2. set xlabel -1:ehp2." will change only the x offset of the xlabel, moving the 
label roughly one character width to the left&per.   The size of a character 
depends on both the font and the terminal&per. 
:p.<font> is used to specify the font in which the label is written; the units 
of the font <size> depend upon which terminal is used&per. 
:p.:hp2.textcolor lt <n>:ehp2. sets the text color to that of line type <n>&per. 
:p.To clear a label, put no options on the command line, e&per.g&per., ":link reftype=hd res=12125.set y2label:elink."&per. 
:p.The default positions of the axis labels are as follows&colon. 
:p.xlabel&colon.  The x-axis label is centered below the bottom axis&per. 
:p.ylabel&colon.  The position of the y-axis label depends on the terminal, and can be 
one of the following three positions&colon. 
:p.1&per. Horizontal text flushed left at the top left of the plot&per.  Terminals that 
cannot rotate text will probably use this method&per.  If :link reftype=hd res=11714.set x2tics:elink. is also 
in use, the ylabel may overwrite the left-most x2tic label&per.  This may be 
remedied by adjusting the ylabel position or the left margin&per. 
:p.2&per. Vertical text centered vertically at the left of the plot&per.  Terminals 
that can rotate text will probably use this method&per. 
:p.3&per. Horizontal text centered vertically at the left of the plot&per.  The EEPIC, 
LaTeX and TPIC drivers use this method&per.  The EEPIC driver will produce a 
stack of characters so as not to overwrite the plot&per. With other drivers 
(such as LaTeX and TPIC), the user probably has to insert line breaks 
using \\ to prevent the ylabel from overwriting the plot&per. 
:p.zlabel&colon. The z-axis label is centered along the z axis and placed in the space 
above the grid level&per. 
:p.cblabel&colon. The color box axis label is centered along the box and placed below 
or right according to horizontal or vertical color box gradient&per. 
:p.y2label&colon. The y2-axis label is placed to the right of the y2 axis&per.  The 
position is terminal-dependent in the same manner as is the y-axis label&per. 
:p.x2label&colon. The x2-axis label is placed above the top axis but below the plot 
title&per.  It is also possible to create an x2-axis label by using new-line 
characters to make a multi-line plot title, e&per.g&per., 
:p.:p.      set title "This is the title\n\nThis is the x2label"
.br
:p.Note that double quotes must be used&per.  The same font will be used for both 
lines, of course&per. 
:p.If you are not satisfied with the default position of an axis label, use :hp2.set 
label:ehp2. instead--that command gives you much more control over where text is 
placed&per. 
:p.Please see :link reftype=hd res=1554.syntax:elink. for further information about backslash processing 
and the difference between single- and double-quoted strings&per. 
:h3 res=11865. xmtics
:p.The :link reftype=hd res=11865.set xmtics:elink. command converts the x-axis tic marks to months of the 
year where 1=Jan and 12=Dec&per.  Overflows are converted modulo 12 to months&per. 
The tics are returned to their default labels by :link reftype=hd res=11865.unset xmtics:elink.&per.  Similar 
commands perform the same duties for the other axes&per. 
:p.Syntax&colon. 
:p.      set xmtics
.br
      unset xmtics
.br
      show xmtics
.br
:p.The same syntax applies to :link reftype=hd res=11695.x2mtics:elink., :link reftype=hd res=12200.ymtics:elink., :link reftype=hd res=12133.y2mtics:elink., :link reftype=hd res=12342.zmtics:elink. and 
:link reftype=hd res=12380.cbmtics:elink.&per. 
:p.See also the :link reftype=hd res=4612.set format:elink. command&per. 
:h3 res=11888. xrange
:p.The :link reftype=hd res=11888.set xrange:elink. command sets the horizontal range that will be displayed&per. 
A similar command exists for each of the other axes, as well as for the 
polar radius r and the parametric variables t, u, and v&per. 
:p.Syntax&colon. 
:p.      set xrange { [{{<min>}&colon.{<max>}}] {{no}reverse} {{no}writeback} }
.br
                 | restore
.br
      show xrange
.br
:p.where <min> and <max> terms are constants, expressions or an asterisk to set 
autoscaling&per.  If the data are time/date, you must give the range as a quoted 
string according to the :link reftype=hd res=11451.set timefmt:elink. format&per.  Any value omitted will not be 
changed&per. 
:p.The same syntax applies to :link reftype=hd res=12211.yrange:elink., :link reftype=hd res=12353.zrange:elink., :link reftype=hd res=11706.x2range:elink., :link reftype=hd res=12144.y2range:elink., :link reftype=hd res=12391.cbrange:elink., 
:link reftype=hd res=6583.rrange:elink., :link reftype=hd res=11578.trange:elink., :link reftype=hd res=11587.urange:elink. and :link reftype=hd res=11659.vrange:elink.&per. 
:p.The :hp2.reverse:ehp2. option reverses the direction of the axis, e&per.g&per., :hp2.set xrange 
[0&colon.1] reverse:ehp2. will produce an axis with 1 on the left and 0 on the right&per. 
This is identical to the axis produced by :hp2.set xrange [1&colon.0]:ehp2., of course&per. 
:hp2.reverse:ehp2. is intended primarily for use with :link reftype=hd res=3652.autoscale:elink.&per. 
:p.The :link reftype=hd res=11888.writeback:elink. option essentially saves the range found by :link reftype=hd res=3652.autoscale:elink. in 
the buffers that would be filled by :link reftype=hd res=11888.set xrange:elink.&per.  This is useful if you wish 
to plot several functions together but have the range determined by only 
some of them&per.  The :link reftype=hd res=11888.writeback:elink. operation is performed during the :link reftype=hd res=2402.plot:elink. 
execution, so it must be specified before that command&per.  To restore, 
the last saved horizontal range use :hp2.set xrange restore:ehp2.&per.  For example, 
:p.:p.      set xrange [-10&colon.10]
.br
      set yrange [] writeback
.br
      plot sin(x)
.br
      set yrange restore
.br
      replot x/2
.br
:p.results in a yrange of [-1&colon.1] as found only from the range of sin(x); the 
[-5&colon.5] range of x/2 is ignored&per.  Executing :link reftype=hd res=12211.show yrange:elink. after each command 
in the above example should help you understand what is going on&per. 
:p.In 2-d, :link reftype=hd res=11888.xrange:elink. and :link reftype=hd res=12211.yrange:elink. determine the extent of the axes, :link reftype=hd res=11578.trange:elink. 
determines the range of the parametric variable in parametric mode or the 
range of the angle in polar mode&per.  Similarly in parametric 3-d, :link reftype=hd res=11888.xrange:elink., 
:link reftype=hd res=12211.yrange:elink., and :link reftype=hd res=12353.zrange:elink. govern the axes and :link reftype=hd res=11587.urange:elink. and :link reftype=hd res=11659.vrange:elink. govern the 
parametric variables&per. 
:p.In polar mode, :link reftype=hd res=6583.rrange:elink. determines the radial range plotted&per.  <rmin> acts as 
an additive constant to the radius, whereas <rmax> acts as a clip to the 
radius---no point with radius greater than <rmax> will be plotted&per.  :link reftype=hd res=11888.xrange:elink. 
and :link reftype=hd res=12211.yrange:elink. are affected---the ranges can be set as if the graph was of 
r(t)-rmin, with rmin added to all the labels&per. 
:p.Any range may be partially or totally autoscaled, although it may not make 
sense to autoscale a parametric variable unless it is plotted with data&per. 
:p.Ranges may also be specified on the :link reftype=hd res=2402.plot:elink. command line&per.  A range given on 
the plot line will be used for that single :link reftype=hd res=2402.plot:elink. command; a range given by 
a :link reftype=hd res=3481.set:elink. command will be used for all subsequent plots that do not specify 
their own ranges&per.  The same holds true for :link reftype=hd res=12442.splot:elink.&per. 
:p.Examples&colon. 
:p.To set the xrange to the default&colon. 
:p.      set xrange [-10&colon.10]
.br
:p.To set the yrange to increase downwards&colon. 
:p.      set yrange [10&colon.-10]
.br
:p.To change zmax to 10 without affecting zmin (which may still be autoscaled)&colon. 
:p.      set zrange [&colon.10]
.br
:p.To autoscale xmin while leaving xmax unchanged&colon. 
:p.      set xrange [*&colon.]
.br
:h3 res=11968. xtics
:p.Fine control of the major (labelled) tics on the x axis is possible with the 
:link reftype=hd res=11968.set xtics:elink. command&per.  The tics may be turned off with the :link reftype=hd res=11968.unset xtics:elink. 
command, and may be turned on (the default state) with :link reftype=hd res=11968.set xtics:elink.&per.  Similar 
commands control the major tics on the y, z, x2 and y2 axes&per. 
:p.Syntax&colon. 
:p.      set xtics {axis | border} {{no}mirror} {{no}rotate {by <ang>}}
.br
                {  autofreq
.br
                 | <incr>
.br
                 | <start>, <incr> {,<end>}
.br
                 | ({"<label>"} <pos> {<level>} {,{"<label>"}&per.&per.&per.) }
.br
                { font "name{,<size>}" }
.br
                { textcolor <colorspec> }
.br
      unset xtics
.br
      show xtics
.br
:p.The same syntax applies to :link reftype=hd res=12219.ytics:elink., :link reftype=hd res=12362.ztics:elink., :link reftype=hd res=11714.x2tics:elink., :link reftype=hd res=12152.y2tics:elink. and :link reftype=hd res=12402.cbtics:elink.&per. 
:p.:hp2.axis:ehp2. or :link reftype=hd res=3804.border:elink. tells :link reftype=hd res=37.gnuplot:elink. to put the tics (both the tics themselves 
and the accompanying labels) along the axis or the border, respectively&per.  If 
the axis is very close to the border, the :hp2.axis:ehp2. option will move the 
tic labels to outside the border&per.  The relevant margin settings will usually 
be sized badly by the automatic layout algorithm in this case&per. 
:p.:hp2.mirror:ehp2. tells :link reftype=hd res=37.gnuplot:elink. to put unlabelled tics at the same positions on the 
opposite border&per.  :hp2.nomirror:ehp2. does what you think it does&per. 
:p.:link reftype=hd res=8126.rotate:elink. asks :link reftype=hd res=37.gnuplot:elink. to rotate the text through 90 degrees, which will be 
done if the terminal driver in use supports text rotation&per.  :hp2.norotate:ehp2. 
cancels this&per. :hp2.rotate by <ang>:ehp2. asks for rotation by <ang> degrees, supported 
by some terminal types&per. 
:p.The defaults are :hp2.border mirror norotate:ehp2. for tics on the x and y axes, and 
:hp2.border nomirror norotate:ehp2. for tics on the x2 and y2 axes&per.  For the z axis, 
the :hp2.{axis | border}:ehp2. option is not available and the default is 
:hp2.nomirror:ehp2.&per.  If you do want to mirror the z-axis tics, you might want to 
create a bit more room for them with :link reftype=hd res=3804.set border:elink.&per. 
:p.:link reftype=hd res=11968.set xtics:elink. with no options restores the default border or axis if xtics are 
being displayed;  otherwise it has no effect&per.  Any previously specified tic 
frequency or position {and labels} are retained&per. 
:p.Positions of the tics are calculated automatically by default or if the 
:hp2.autofreq:ehp2. option is given; otherwise they may be specified in either of 
two forms&colon. 
:p.The implicit <start>, <incr>, <end> form specifies that a series of tics will 
be plotted on the axis between the values <start> and <end> with an increment 
of <incr>&per.  If <end> is not given, it is assumed to be infinity&per.  The 
increment may be negative&per.  If neither <start> nor <end> is given, <start> is 
assumed to be negative infinity, <end> is assumed to be positive infinity, 
and the tics will be drawn at integral multiples of <incr>&per.  If the axis is 
logarithmic, the increment will be used as a multiplicative factor&per. 
:p.The :link reftype=hd res=4872.set grid:elink. options 'front', 'back' and 'layerdefault' affect the drawing 
order of the xtics, too&per. 
:p.Examples&colon. 
:p.Make tics at 0, 0&per.5, 1, 1&per.5, &per.&per.&per., 9&per.5, 10&per. 
:p.      set xtics 0,&per.5,10
.br
:p.Make tics at &per.&per.&per., -10, -5, 0, 5, 10, &per.&per.&per. 
:p.      set xtics 5
.br
:p.Make tics at 1, 100, 1e4, 1e6, 1e8&per. 
:p.      set logscale x; set xtics 1,100,1e8
.br
:p.The explicit ("<label>" <pos> <level>, &per.&per.&per.) form allows arbitrary tic 
positions or non-numeric tic labels&per.  In this form, the tics do not 
need to be listed in numerical order&per.  Each tic has a  
position, optionally with a label&per.  Note that the label is 
a string enclosed by quotes&per.  It may be a constant string, such as 
"hello", may contain formatting information for converting the 
position into its label, such as "%3f clients", or may be empty, ""&per. 
See :link reftype=hd res=4612.set format:elink. for more information&per.  If no string is given, the 
default label (numerical) is used&per. 
:p.An explicit tic mark has a third parameter, the "level"&per.  The default 
is level 0, a major tic&per.  A level of 1 generates a minor tic&per.  If the 
level is specified, then the label must also be supplied&per. 
:p.Examples&colon. 
:p.      set xtics ("low" 0, "medium" 50, "high" 100)
.br
      set xtics (1,2,4,8,16,32,64,128,256,512,1024)
.br
      set ytics ("bottom" 0, "" 10, "top" 20)
.br
      set ytics ("bottom" 0, "" 10 1, "top" 20)
.br
:p.In the second example, all tics are labelled&per.  In the third, only the end 
tics are labelled&per.  In the fourth, the unlabeled tic is a minor tic&per. 
:p.However they are specified, tics will only be plotted when in range&per. 
:p.Format (or omission) of the tic labels is controlled by :link reftype=hd res=4612.set format:elink., unless 
the explicit text of a labels is included in the :hp2.set xtics (:ehp2.<label>:hp2.):ehp2. form&per. 
:p.Minor (unlabelled) tics can be added by the :link reftype=hd res=5713.set mxtics:elink. command&per. 
:p.In case of timeseries data, position values must be given as quoted dates 
or times according to the format :link reftype=hd res=11451.timefmt:elink.&per.  If the <start>, <incr>, <end> 
form is used, <start> and <end> must be given according to :link reftype=hd res=11451.timefmt:elink., but 
<incr> must be in seconds&per.  Times will be written out according to the format 
given on :link reftype=hd res=4612.set format:elink., however&per. 
:p.Examples&colon. 
:p.      set xdata time
.br
      set timefmt "%d/%m"
.br
      set format x "%b %d"
.br
      set xrange ["01/12"&colon."06/12"]
.br
      set xtics "01/12", 172800, "05/12"
.br
:p.:p.      set xdata time
.br
      set timefmt "%d/%m"
.br
      set format x "%b %d"
.br
      set xrange ["01/12"&colon."06/12"]
.br
      set xtics ("01/12", "" "03/12", "05/12")
.br
Both of these will produce tics "Dec 1", "Dec 3", and "Dec 5", but in the 
second example the tic at "Dec 3" will be unlabelled&per. 
:p.:h3 res=12096. xzeroaxis
:p.The :link reftype=hd res=12096.set xzeroaxis:elink. command draws a line at y = 0&per.  For details, 
please see :link reftype=hd res=12296.set zeroaxis:elink.&per. 
:h3 res=12107. y2data
:p.The :link reftype=hd res=12107.set y2data:elink. command sets y2 (right-hand) axis data to timeseries 
(dates/times)&per.  Please see :link reftype=hd res=11736.set xdata:elink.&per. 
:h3 res=12115. y2dtics
:p.The :link reftype=hd res=12115.set y2dtics:elink. command changes tics on the y2 (right-hand) axis to days of 
the week&per.  Please see :link reftype=hd res=11767.set xdtics:elink. for details&per. 
:h3 res=12125. y2label
:p.The :link reftype=hd res=12125.set y2label:elink. command sets the label for the y2 (right-hand) axis&per. 
Please see :link reftype=hd res=11790.set xlabel:elink.&per. 
:h3 res=12133. y2mtics
:p.The :link reftype=hd res=12133.set y2mtics:elink. command changes tics on the y2 (right-hand) axis to months 
of the year&per.  Please see :link reftype=hd res=11865.set xmtics:elink. for details&per. 
:h3 res=12144. y2range
:p.The :link reftype=hd res=12144.set y2range:elink. command sets the vertical range that will be displayed on 
the y2 (right-hand) axis&per.  Please see :link reftype=hd res=11888.set xrange:elink. for details&per. 
:h3 res=12152. y2tics
:p.The :link reftype=hd res=12152.set y2tics:elink. command controls major (labelled) tics on the y2 (right-hand) 
axis&per.  Please see :link reftype=hd res=11968.set xtics:elink. for details&per. 
:h3 res=12163. y2zeroaxis
:p.The :link reftype=hd res=12163.set y2zeroaxis:elink. command draws a line at the origin of the y2 (right-hand) 
axis (x2 = 0)&per.  For details, please see :link reftype=hd res=12296.set zeroaxis:elink.&per. 
:h3 res=12174. ydata
:p.The :link reftype=hd res=12174.set ydata:elink. commands sets y-axis data to timeseries (dates/times)&per. 
Please see :link reftype=hd res=11736.set xdata:elink.&per. 
:h3 res=12182. ydtics
:p.The :link reftype=hd res=12182.set ydtics:elink. command changes tics on the y axis to days of the week&per. 
Please see :link reftype=hd res=11767.set xdtics:elink. for details&per. 
:h3 res=12193. ylabel
:p.This command sets the label for the y axis&per.  Please see :link reftype=hd res=11790.set xlabel:elink.&per. 
:h3 res=12200. ymtics
:p.The :link reftype=hd res=12200.set ymtics:elink. command changes tics on the y axis to months of the year&per. 
Please see :link reftype=hd res=11865.set xmtics:elink. for details&per. 
:h3 res=12211. yrange
:p.The :link reftype=hd res=12211.set yrange:elink. command sets the vertical range that will be displayed on 
the y axis&per.  Please see :link reftype=hd res=11888.set xrange:elink. for details&per. 
:h3 res=12219. ytics
:p.The :link reftype=hd res=12219.set ytics:elink. command controls major (labelled) tics on the y axis&per. 
Please see :link reftype=hd res=11968.set xtics:elink. for details&per. 
:h3 res=12230. yzeroaxis
:p.The :link reftype=hd res=12230.set yzeroaxis:elink. command draws a line at x = 0&per.  For details, 
please see :link reftype=hd res=12296.set zeroaxis:elink.&per. 
:h3 res=12241. zdata
:p.The :link reftype=hd res=12241.set zdata:elink. command sets zaxis data to timeseries (dates/times)&per. 
Please see :link reftype=hd res=11736.set xdata:elink.&per. 
:h3 res=12249. zdtics
:p.The :link reftype=hd res=12249.set zdtics:elink. command changes tics on the z axis to days of the week&per. 
Please see :link reftype=hd res=11767.set xdtics:elink. for details&per. 
:h3 res=12260. cbdata
:p.Set color box axis data to timeseries (dates/times)&per.  Please see :link reftype=hd res=11736.set xdata:elink.&per. 
:h3 res=12267. cbdtics
:p.The :link reftype=hd res=12267.set cbdtics:elink. command changes tics on the color box axis to days of the 
week&per. Please see :link reftype=hd res=11767.set xdtics:elink. for details&per. 
:h3 res=12278. zero
:p.The :link reftype=hd res=12278.zero:elink. value is the default threshold for values approaching 0&per.0&per. 
:p.Syntax&colon. 
:p.      set zero <expression>
.br
      show zero
.br
:p.:link reftype=hd res=37.gnuplot:elink. will not plot a point if its imaginary part is greater in magnitude 
than the :link reftype=hd res=12278.zero:elink. threshold&per.  This threshold is also used in various other 
parts of :link reftype=hd res=37.gnuplot:elink. as a (crude) numerical-error threshold&per.  The default 
:link reftype=hd res=12278.zero:elink. value is 1e-8&per.  :link reftype=hd res=12278.zero:elink. values larger than 1e-3 (the reciprocal of the 
number of pixels in a typical bitmap display) should probably be avoided, but 
it is not unreasonable to set :link reftype=hd res=12278.zero:elink. to 0&per.0&per. 
:h3 res=12296. zeroaxis
:p.The x axis may be drawn by :link reftype=hd res=12096.set xzeroaxis:elink. and removed by :link reftype=hd res=12096.unset xzeroaxis:elink.&per. 
Similar commands behave similarly for the y, x2, and y2 axes&per. 
:p.Syntax&colon. 
:p.      set {x|x2|y|y2|}zeroaxis { {linestyle | ls <line_style>}
.br
                                 | { linetype | lt <line_type>}
.br
                                   { linewidth | lw <line_width>}}
.br
      unset {x|x2|y|y2|}zeroaxis
.br
      show {x|y|}zeroaxis
.br
:p.:p.By default, these options are off&per.  The selected zero axis is drawn 
with a line of type <line_type> and width <line_width> (if supported 
by the terminal driver currently in use), or a user-defined style 
<line_style>&per. 
:p.If no linetype is specified, any zero axes selected will be drawn 
using the axis linetype (linetype 0)&per. 
:p.:link reftype=hd res=12296.set zeroaxis:elink. is equivalent to :hp2.set xzeroaxis; set yzeroaxis:ehp2.&per. 
:hp2.set nozeroaxis:ehp2. is equivalent to :hp2.unset xzeroaxis; unset yzeroaxis:ehp2.&per. 
:p.Examples&colon. 
:p.To simply have the y=0 axis drawn visibly&colon. 
:p.:p.       set xzeroaxis
.br
:p.If you want a thick line in a different color or pattern, instead&colon. 
:p.:p.       set xzeroaxis linetype 3 linewidth 2&per.5
.br
:h3 res=12335. zlabel
:p.This command sets the label for the z axis&per.  Please see :link reftype=hd res=11790.set xlabel:elink.&per. 
:h3 res=12342. zmtics
:p.The :link reftype=hd res=12342.set zmtics:elink. command changes tics on the z axis to months of the year&per. 
Please see :link reftype=hd res=11865.set xmtics:elink. for details&per. 
:h3 res=12353. zrange
:p.The :link reftype=hd res=12353.set zrange:elink. command sets the range that will be displayed on the z axis&per. 
The zrange is used only by :link reftype=hd res=12442.splot:elink. and is ignored by :link reftype=hd res=2402.plot:elink.&per.  Please see 
:link reftype=hd res=11888.set xrange:elink. for details&per. 
:h3 res=12362. ztics
:p.The :link reftype=hd res=12362.set ztics:elink. command controls major (labelled) tics on the z axis&per. 
Please see :link reftype=hd res=11968.set xtics:elink. for details&per. 
:h3 res=12373. cblabel
:p.This command sets the label for the color box axis&per.  Please see :link reftype=hd res=11790.set xlabel:elink.&per. 
:h3 res=12380. cbmtics
:p.The :link reftype=hd res=12380.set cbmtics:elink. command changes tics on the color box axis to months of the 
year&per. Please see :link reftype=hd res=11865.set xmtics:elink. for details&per. 
:h3 res=12391. cbrange
:p.The :link reftype=hd res=12391.set cbrange:elink. command sets the range of z-values which are colored by 
:link reftype=hd res=5929.pm3d:elink. mode of :link reftype=hd res=12442.splot:elink.&per. If the cb-axis is autoscaled, then the :link reftype=hd res=5929.pm3d:elink. / 
:link reftype=hd res=6136.palette:elink. range is taken from :link reftype=hd res=12353.zrange:elink.&per. 
:p.Please see :link reftype=hd res=11888.set xrange:elink. for details on :link reftype=hd res=12391.set cbrange:elink. syntax&per. 
:h3 res=12402. cbtics
:p.The :link reftype=hd res=12402.set cbtics:elink. command controls major (labelled) tics on the color box axis&per. 
Please see :link reftype=hd res=11968.set xtics:elink. for details&per. 
:h2 res=12413. shell
:p.The :link reftype=hd res=12413.shell:elink. command spawns an interactive shell&per.  To return to :link reftype=hd res=37.gnuplot:elink., 
type :hp2.logout:ehp2. if using VMS, :link reftype=hd res=1772.exit:elink. or the END-OF-FILE character if using 
Unix, :hp2.endcli:ehp2. if using AmigaOS, or :link reftype=hd res=1772.exit:elink. if using MS-DOS or OS/2&per. 
:p.There are two ways of spawning a shell command&colon. using :link reftype=hd res=12695.system:elink. command 
or via :hp2.!:ehp2. ($ if using VMS)&per. The former command takes a string as a 
parameter and thus it can be used anywhere among other gnuplot commands, 
while the latter syntax requires to be the only command on the line&per. Control 
will return immediately to :link reftype=hd res=37.gnuplot:elink. after this command is executed&per.  For 
example, in AmigaOS, MS-DOS or OS/2, 
:p.:p.      ! dir
.br
or 
:p.      system "dir"
.br
:p.:p.prints a directory listing and then returns to :link reftype=hd res=37.gnuplot:elink.&per. 
:p.:p.Other examples of the former syntax&colon. 
:p.       system "date"; set time; plot "a&per.dat"
.br
       print=1; if (print) replot; set out; system "lpr x&per.ps"
.br
:p.On an Atari, the :hp2.!:ehp2. command first checks whether a shell is already loaded 
and uses it, if available&per.  This is practical if :link reftype=hd res=37.gnuplot:elink. is run from 
:hp2.gulam:ehp2., for example&per. 
:h2 res=12442. splot
:p.:link reftype=hd res=12442.splot:elink. is the command for drawing 3-d plots (well, actually projections on 
a 2-d surface, but you knew that)&per.  It can create a plot from functions or 
a data file in a manner very similar to the :link reftype=hd res=2402.plot:elink. command&per. 
:p.See :link reftype=hd res=2402.plot:elink. for features common to the :link reftype=hd res=2402.plot:elink. command; only differences are 
discussed in detail here&per.  Note specifically that the :link reftype=hd res=12529.binary:elink. and :link reftype=hd res=12622.matrix:elink. 
options (discussed under "datafile-modifiers") are not available for :link reftype=hd res=2402.plot:elink., 
and :link reftype=hd res=2402.plot:elink.'s :hp2.axes:ehp2. option is not available for :link reftype=hd res=12442.splot:elink.&per. 
:p.Syntax&colon. 
:p.      splot {<ranges>}
.br
            <function> | "<datafile>" {datafile-modifiers}}
.br
            {<title-spec>} {with <style>}
.br
            {, {definitions,} <function> &per.&per.&per.}
.br
:p.where either a <function> or the name of a data file enclosed in quotes is 
supplied&per.  The function can be a mathematical expression, or a triple of 
mathematical expressions in parametric mode&per. 
:p.By default :link reftype=hd res=12442.splot:elink. draws the xy plane completely below the plotted data&per. 
The offset between the lowest ztic and the xy plane can be changed by :hp2.set 
ticslevel:ehp2.&per.  The orientation of a :link reftype=hd res=12442.splot:elink. projection is controlled by 
:link reftype=hd res=11617.set view:elink.&per.  See :link reftype=hd res=11617.set view:elink. and :link reftype=hd res=11380.set ticslevel:elink. for more information&per. 
:p.The syntax for setting ranges on the :link reftype=hd res=12442.splot:elink. command is the same as for 
:link reftype=hd res=2402.plot:elink.&per.  In non-parametric mode, the order in which ranges must be given is 
:link reftype=hd res=11888.xrange:elink., :link reftype=hd res=12211.yrange:elink., and :link reftype=hd res=12353.zrange:elink.&per.  In parametric mode, the order is :link reftype=hd res=11587.urange:elink., 
:link reftype=hd res=11659.vrange:elink., :link reftype=hd res=11888.xrange:elink., :link reftype=hd res=12211.yrange:elink., and :link reftype=hd res=12353.zrange:elink.&per. 
:p.The :link reftype=hd res=3153.title:elink. option is the same as in :link reftype=hd res=2402.plot:elink.&per.  The operation of :link reftype=hd res=3195.with:elink. is also 
the same as in :link reftype=hd res=2402.plot:elink., except that the plotting styles available to :link reftype=hd res=12442.splot:elink. 
are limited to :link reftype=hd res=7213.lines:elink., :link reftype=hd res=7237.points:elink., :link reftype=hd res=7221.linespoints:elink., :link reftype=hd res=7144.dots:elink., and :link reftype=hd res=7205.impulses:elink.;  the 
error-bar capabilities of :link reftype=hd res=2402.plot:elink. are not available for :link reftype=hd res=12442.splot:elink.&per. 
:p.The :link reftype=hd res=2441.datafile:elink. options have more differences&per. 
:p.See also :link reftype=hd res=5920.show plot:elink.&per. 
:h3 res=12482. data-file
:p.As for :link reftype=hd res=2402.plot:elink., discrete data contained in a file can be displayed by 
specifying the name of the data file, enclosed in quotes,  on the :link reftype=hd res=12442.splot:elink. 
command line&per. 
:p.Syntax&colon. 
:p.      splot '<file_name>' {binary | matrix}
.br
                          {index <index list>}
.br
                          {every <every list>}
.br
                          {using <using list>}
.br
:p.The special filenames :hp2."":ehp2. and :hp2."-":ehp2. are permitted, as in :link reftype=hd res=2402.plot:elink.&per. 
:p.In brief, :link reftype=hd res=12529.binary:elink. and :link reftype=hd res=12622.matrix:elink. indicate that the data are in a special 
form, :link reftype=hd res=2585.index:elink. selects which data sets in a multi-data-set file are to be 
plotted, :link reftype=hd res=2515.every:elink. specifies which datalines (subsets) within a single data 
set are to be plotted, and :link reftype=hd res=2845.using:elink. determines how the columns within a single 
record are to be interpreted&per. 
:p.The options :link reftype=hd res=2585.index:elink. and :link reftype=hd res=2515.every:elink. behave the same way as with :link reftype=hd res=2402.plot:elink.;  :link reftype=hd res=2845.using:elink. 
does so also, except that the :link reftype=hd res=2845.using:elink. list must provide three entries 
instead of two&per. 
:p.The :link reftype=hd res=2402.plot:elink. options :link reftype=hd res=2821.thru:elink. and :link reftype=hd res=2610.smooth:elink. are not available for :link reftype=hd res=12442.splot:elink., but 
:link reftype=hd res=4049.cntrparam:elink. and :link reftype=hd res=4403.dgrid3d:elink. provide limited smoothing capabilities&per. 
:p.Data file organization is essentially the same as for :link reftype=hd res=2402.plot:elink., except that 
each point is an (x,y,z) triple&per.  If only a single value is provided, it 
will be used for z, the datablock number will be used for y, and the index 
of the data point in the datablock will be used for x&per.  If two or four values 
are provided, :link reftype=hd res=37.gnuplot:elink. uses the last value for calculating the color in 
pm3d plots&per.  Three values are interpreted as an (x,y,z) triple&per.  Additional 
values are generally used as errors, which can be used by :link reftype=hd res=1781.fit:elink.&per. 
:p.Single blank records separate datablocks in a :link reftype=hd res=12442.splot:elink. datafile; :link reftype=hd res=12442.splot:elink. 
treats datablocks as the equivalent of function y-isolines&per.  No line will 
join points separated by a blank record&per.  If all datablocks contain the same 
number of points, :link reftype=hd res=37.gnuplot:elink. will draw cross-isolines between datablocks, 
connecting corresponding points&per.  This is termed "grid data", and is required 
for drawing a surface, for contouring (:link reftype=hd res=4208.set contour:elink.) and hidden-line removal 
(:link reftype=hd res=4930.set hidden3d:elink.)&per. See also :link reftype=hd res=12639.splot grid_data:elink.&per. 
:p.It is no longer necessary to specify :link reftype=hd res=3051.parametric:elink. mode for three-column 
:link reftype=hd res=12442.splot:elink.s&per. 
:h4 res=12529. binary
:p.:link reftype=hd res=12442.splot:elink. can read binary files written with a specific format (and on a 
system with a compatible binary file representation&per.) 
:p.In previous versions, :link reftype=hd res=37.gnuplot:elink. dynamically detected binary data files&per.  It 
is now necessary to specify the keyword :link reftype=hd res=12529.binary:elink. directly after the filename&per. 
:p.Single precision floats are stored in a binary file as follows&colon. 
:p.:p.      <N+1>  <y0>   <y1>   <y2>  &per.&per.&per.  <yN>
.br
       <x0> <z0,0> <z0,1> <z0,2> &per.&per.&per. <z0,N>
.br
       <x1> <z1,0> <z1,1> <z1,2> &per.&per.&per. <z1,N>
.br
        &colon.      &colon.      &colon.      &colon.   &per.&per.&per.    &colon.
.br
:p.which are converted into triplets&colon. 
:p.      <x0> <y0> <z0,0>
.br
      <x0> <y1> <z0,1>
.br
      <x0> <y2> <z0,2>
.br
       &colon.    &colon.     &colon.
.br
      <x0> <yN> <z0,N>
.br
:p.:p.      <x1> <y0> <z1,0>
.br
      <x1> <y1> <z1,1>
.br
       &colon.    &colon.     &colon.
.br
:p.These triplets are then converted into :link reftype=hd res=37.gnuplot:elink. iso-curves and then 
:link reftype=hd res=37.gnuplot:elink. proceeds in the usual manner to do the rest of the plotting&per. 
:p.A collection of matrix and vector manipulation routines (in C) is provided 
in :hp2.binary&per.c:ehp2.&per.  The routine to write binary data is 
:p.:p.      int fwrite_matrix(file,m,nrl,nrl,ncl,nch,row_title,column_title)
.br
:p.An example of using these routines is provided in the file :hp2.bf_test&per.c:ehp2., which 
generates binary files for the demo file :hp2.demo/binary&per.dem:ehp2.&per. 
:p.The :link reftype=hd res=2585.index:elink. keyword is not supported, since the file format allows only one 
surface per file&per.  The :link reftype=hd res=2515.every:elink. and :link reftype=hd res=2845.using:elink. filters are supported&per.  :link reftype=hd res=2845.using:elink. 
operates as if the data were read in the above triplet form&per. 
See also 
Binary File Splot Demo&per. 
:h4 res=12580. example datafile
:p.A simple example of plotting a 3-d data file is 
:p.:p.      splot 'datafile&per.dat'
.br
:p.where the file "datafile&per.dat" might contain&colon. 
:p.:p.      # The valley of the Gnu&per.
.br
         0 0 10
.br
         0 1 10
.br
         0 2 10
.br
:p.:p.         1 0 10
.br
         1 1 5
.br
         1 2 10
.br
:p.:p.         2 0 10
.br
         2 1 1
.br
         2 2 10
.br
:p.:p.         3 0 10
.br
         3 1 0
.br
         3 2 10
.br
:p.Note that "datafile&per.dat" defines a 4 by 3 grid ( 4 rows of 3 points each )&per. 
Rows (datablocks) are separated by blank records&per. 
:p.Note also that the x value is held constant within each dataline&per.  If you 
instead keep y constant, and plot with hidden-line removal enabled, you will 
find that the surface is drawn 'inside-out'&per. 
:p.Actually for grid data it is not necessary to keep the x values constant 
within a datablock, nor is it necessary to keep the same sequence of y 
values&per.  :link reftype=hd res=37.gnuplot:elink. requires only that the number of points be the same for 
each datablock&per.  However since the surface mesh, from which contours are 
derived, connects sequentially corresponding points, the effect of an 
irregular grid on a surface plot is unpredictable and should be examined 
on a case-by-case basis&per. 
:h4 res=12622. matrix
:p.The :link reftype=hd res=12622.matrix:elink. flag indicates that the ASCII data are stored in matrix format&per. 
The z-values are read in a row at a time, i&per. e&per., 
:p.      z11 z12 z13 z14 &per.&per.&per.
.br
      z21 z22 z23 z24 &per.&per.&per.
.br
      z31 z32 z33 z34 &per.&per.&per.
.br
and so forth&per.  The row and column indices are used for the x- and y-values&per. 
:p.A blank line or comment line ends the matrix, and starts a new 
surface mesh&per. You can select among the meshes inside a file by the 
:link reftype=hd res=2585.index:elink. option to the :link reftype=hd res=12442.splot:elink. command, as usual&per. 
:h3 res=12639. grid_data
:p.The 3D routines are designed for points in a grid format, with one sample, 
datapoint, at each mesh intersection; the datapoints may originate from 
either evaluating a function, see :link reftype=hd res=5063.set isosamples:elink., or reading a datafile, 
see :link reftype=hd res=12482.splot datafile:elink.&per.  The term "isoline" is applied to the mesh lines for 
both functions and data&per.  Note that the mesh need not be rectangular in x 
and y, as it may be parameterized in u and v, see :link reftype=hd res=5063.set isosamples:elink.&per. 
:p.However, :link reftype=hd res=37.gnuplot:elink. does not require that format&per.  In the case of functions, 
'samples' need not be equal to 'isosamples', i&per.e&per., not every x-isoline 
sample need intersect a y-isoline&per. In the case of data files, if there 
are an equal number of scattered data points in each datablock, then 
"isolines" will connect the points in a datablock, and "cross-isolines" 
will connect the corresponding points in each datablock to generate a 
"surface"&per.  In either case, contour and hidden3d modes may give different 
plots than if the points were in the intended format&per.  Scattered data can be 
converted to a {different} grid format with :link reftype=hd res=4403.set dgrid3d:elink.&per. 
:p.The contour code tests for z intensity along a line between a point on a 
y-isoline and the corresponding point in the next y-isoline&per.  Thus a :link reftype=hd res=12442.splot:elink. 
contour of a surface with samples on the x-isolines that do not coincide with 
a y-isoline intersection will ignore such samples&per. Try&colon. 
:p.       set xrange [-pi/2&colon.pi/2]; set yrange [-pi/2&colon.pi/2]
.br
       set style function lp
.br
       set contour
.br
       set isosamples 10,10; set samples 10,10;
.br
       splot cos(x)*cos(y)
.br
       set samples 4,10; replot
.br
       set samples 10,4; replot
.br
:p.:h3 res=12672. splot_overview
:p.:link reftype=hd res=12442.splot:elink. can display a surface as a collection of points, or by connecting 
those points&per.  As with :link reftype=hd res=2402.plot:elink., the points may be read from a data file or 
result from evaluation of a function at specified intervals, see 
:link reftype=hd res=5063.set isosamples:elink.&per.  The surface may be approximated by connecting the points 
with straight line segments, see :link reftype=hd res=7378.set surface:elink., in which case the surface 
can be made opaque with :hp2.set hidden3d&per.:ehp2.  The orientation from which the 3d 
surface is viewed can be changed with :link reftype=hd res=11617.set view:elink.&per. 
:p.Additionally, for points in a grid format, :link reftype=hd res=12442.splot:elink. can interpolate points 
having a common amplitude (see :link reftype=hd res=4208.set contour:elink.) and can then connect those 
new points to display contour lines, either directly with straight-line 
segments or smoothed lines (see :link reftype=hd res=4049.set cntrparam:elink.)&per.  Functions are already 
evaluated in a grid format, determined by :link reftype=hd res=5063.set isosamples:elink. and :link reftype=hd res=6591.set samples:elink., 
while file data must either be in a grid format, as described in :link reftype=hd res=2441.data-file:elink., 
or be used to generate a grid (see :link reftype=hd res=4403.set dgrid3d:elink.)&per. 
:p.Contour lines may be displayed either on the surface or projected onto the 
base&per.  The base projections of the contour lines may be written to a 
file, and then read with :link reftype=hd res=2402.plot:elink., to take advantage of :link reftype=hd res=2402.plot:elink.'s additional 
formatting capabilities&per. 
:h2 res=12695. system
:p.:link reftype=hd res=12695.system:elink. spawns shell to execute a command&per. Please type :link reftype=hd res=12413.help shell:elink. for 
more details&per. 
:h2 res=12700. test
:p.This command graphically tests or presents terminal and palette capabilities&per. 
:p.Syntax&colon. 
:p.      test {terminal | palette [rgb|rbg|grb|gbr|brg|bgr]}
.br
:p.:link reftype=hd res=12700.test:elink. or :hp2.test terminal:ehp2. creates a display of line and point styles and other 
useful things appropriate for and supported by the :link reftype=hd res=7403.terminal:elink. you are just 
using&per. 
:p.:link reftype=hd res=12700.test palette:elink. draws graphically profiles R(z),G(z),B(z), where 0<=z<=1, as 
calculated by the current color :link reftype=hd res=6136.palette:elink.&per. In other words, it is a beautiful 
plot you would have to do yourself with the result of :hp2.show palette palette 256 float:ehp2.&per. 
The optional parameter, a permutation of letters rgb, determines the sequence of 
r,g,b profiles drawn one after the other --- try this yourself for :hp2.set palette 
gray:ehp2.&per. The default sequence is rgb&per. 
:h2 res=12719. unset
:p.Options set using the :link reftype=hd res=3481.set:elink. command may be returned to their default state by 
issuing the corresponding :link reftype=hd res=12719.unset:elink. command&per. 
:p.Example&colon. 
:p.      set xtics mirror rotate by -45 0,10,100
.br
      &per.&per.&per.
.br
      unset xtics
.br
:p.:h2 res=12730. update
:p.This command writes the current values of the fit parameters into the given 
file, formatted as an initial-value file (as described in the :link reftype=hd res=1781.fit:elink.section)&per. 
This is useful for saving the current values for later use or for restarting 
a converged or stopped fit&per. 
:p.Syntax&colon. 
:p.      update <filename> {<filename>}
.br
:p.If a second filename is supplied, the updated values are written to this 
file, and the original parameter file is left unmodified&per. 
:p.Otherwise, if the file already exists, :link reftype=hd res=37.gnuplot:elink. first renames it by 
appending :hp2.&per.old:ehp2. and then opens a new file&per.  That is, ":hp2.update 'fred':ehp2." 
behaves the same as ":hp2.!rename fred fred&per.old; update 'fred&per.old' 'fred':ehp2."&per. 
[On DOS and other systems that use the twelve-character "filename&per.ext" 
naming convention, "ext" will be ":hp2.old:ehp2." and "filename" will be related 
(hopefully recognizably) to the initial name&per.  Renaming is not done at all 
on VMS systems, since they use file-versioning&per.] 
:p.Please see :link reftype=hd res=1781.fit:elink. for more information&per. 
:h1 res=12753. Graphical User Interfaces
:p.Several graphical user interfaces have been written for :link reftype=hd res=37.gnuplot:elink. and one for 
win32 is included in this distribution&per.  In addition, there is a Macintosh 
interface at 
:p.         ftp&colon.//ftp&per.ee&per.gatech&per.edu/pub/mac/gnuplot
.br
:p.:p.Also several X11 interfaces exist&per. 
One of them is called xgfe&per. It uses the Qt library and can be found on 
:p.         http&colon.//www&per.flash&per.net/~dmishee/xgfe/xgfe&per.html
.br
:p.In addition three Tcl/Tk located at the usual Tcl/Tk repositories exist&per. 
:p.Bruce Ravel (ravel@phys&per.washington&per.edu) has written a new version of 
gnuplot-mode for GNU emacs and XEmacs&per. This version is based on 
the gnuplot&per.el file by Gershon Elber&per. 
While the gnuplot CVS repository has its own copy the most recent 
version of this package is available from 
:p.          http&colon.//feff&per.phys&per.washington&per.edu/~ravel/software/gnuplot-mode/
.br
:p.:h1 res=12781. Bugs
:p.Floating point exceptions (floating point number too large/small, divide by 
zero, etc&per.) may occasionally be generated by user defined functions&per.  Some of 
the demos in particular may cause numbers to exceed the floating point range&per. 
Whether the system ignores such exceptions (in which case :link reftype=hd res=37.gnuplot:elink. labels 
the corresponding point as undefined) or aborts :link reftype=hd res=37.gnuplot:elink. depends on the 
compiler/runtime environment&per. 
:p.The bessel functions do not work for complex arguments&per. 
:p.The gamma function does not work for complex arguments&per. 
:p.As of :link reftype=hd res=37.gnuplot:elink. version 3&per.7, all development has been done using ANSI C&per. 
With current operating system, compiler, and library releases, the OS 
specific bugs documented in release 3&per.5, now relegated to :link reftype=hd res=12807.old_bugs:elink., may 
no longer be relevant&per. 
:p.Bugs reported since the current release as well as older ones 
may be located via the official distribution site&colon. 
:p.          http&colon.//www&per.gnuplot&per.info
.br
:p.Please e-mail any bugs to bug-gnuplot mailing list (see :link reftype=hd res=139.Seeking-assistance:elink.)&per. 
:p.:h2 res=12807. Old_bugs
:p.There is a bug in the stdio library for old Sun operating systems (SunOS 
Sys4-3&per.2)&per.  The "%g" format for 'printf' sometimes incorrectly prints numbers 
(e&per.g&per., 200000&per.0 as "2")&per.  Thus, tic mark labels may be incorrect on a Sun4 
version of :link reftype=hd res=37.gnuplot:elink.&per.  A work-around is to rescale the data or use the :hp2.set 
format:ehp2. command to change the tic mark format to "%7&per.0f" or some other 
appropriate format&per.  This appears to have been fixed in SunOS 4&per.0&per. 
:p.Another bug&colon. On a Sun3 under SunOS 4&per.0, and on Sun4's under Sys4-3&per.2 and 
SunOS 4&per.0, the 'sscanf' routine incorrectly parses "00 12" with the format 
"%f %f" and reads 0 and 0 instead of 0 and 12&per.  This affects data input&per.  If 
the data file contains x coordinates that are zero but are specified like 
'00', '000', etc, then you will read the wrong y values&per.  Check any data 
files or upgrade the SunOS&per.  It appears to have been fixed in SunOS 4&per.1&per.1&per. 
:p.Suns appear to overflow when calculating exp(-x) for large x, so :link reftype=hd res=37.gnuplot:elink. 
gets an undefined result&per.  One work-around is to make a user-defined function 
like e(x) = x<-500 ? 0 &colon. exp(x)&per.  This affects plots of Gaussians (exp(-x*x)) 
in particular, since x*x grows quite rapidly&per. 
:p.Microsoft C 5&per.1 has a nasty bug associated with the %g format for 'printf'&per. 
When any of the formats "%&per.2g", "%&per.1g", "%&per.0g", "%&per.g" are used, 'printf' will 
incorrectly print numbers in the range 1e-4 to 1e-1&per.  Numbers that should be 
printed in the %e format are incorrectly printed in the %f format, with the 
wrong number of zeros after the decimal point&per.  To work around this problem, 
use the %e or %f formats explicitly&per. 
:p.:link reftype=hd res=37.gnuplot:elink., when compiled with Microsoft C, did not work correctly on two VGA 
displays that were tested&per.  The CGA, EGA and VGA drivers should probably be 
rewritten to use the Microsoft C graphics library&per.  :link reftype=hd res=37.gnuplot:elink. compiled with 
Borland C++ uses the Turbo C graphics drivers and does work correctly with 
VGA displays&per. 
:p.VAX/VMS 4&per.7 C compiler release 2&per.4 also has a poorly implemented %g format 
for 'printf'&per.  The numbers are printed numerically correct, but may not be in 
the requested format&per.  The K&amp.R second edition says that for the %g format, %e 
is used if the exponent is less than -4 or greater than or equal to the 
precision&per.  The VAX uses %e format if the exponent is less than -1&per.  The VAX 
appears to take no notice of the precision when deciding whether to use %e or 
%f for numbers less than 1&per.  To work around this problem, use the %e or %f 
formats explicitly&per.  From the VAX C 2&per.4 release notes&colon. e,E,f,F,g,G  Result 
will always contain a decimal  point&per.  For g and G, trailing zeros will not 
be removed from the result&per. 
:p.VAX/VMS 5&per.2 C compiler release 3&per.0 has a slightly better implemented %g 
format than release 2&per.4, but not much&per.  Trailing decimal points are now 
removed, but trailing zeros are still not removed from %g numbers in 
exponential format&per. 
:p.The two preceding problems are actually in the libraries rather than in the 
compilers&per.  Thus the problems will occur whether :link reftype=hd res=37.gnuplot:elink. is built using 
either the DEC compiler or some other one (e&per.g&per. the latest gcc)&per. 
:p.ULTRIX X11R3 has a bug that causes the X11 driver to display "every other" 
graph&per.  The bug seems to be fixed in DEC's release of X11R4 so newer releases 
of ULTRIX don't seem to have the problem&per.  Solutions for older sites include 
upgrading the X11 libraries (from DEC or direct from MIT) or defining 
ULTRIX_KLUDGE when compiling the x11&per.trm file&per.  Note that the kludge is not 
an ideal fix, however&per. 
:p.The constant HUGE was incorrectly defined in the NeXT OS 2&per.0 operating 
system&per.  HUGE should be set to 1e38 in plot&per.h&per. This error has been corrected 
in the 2&per.1 version of NeXT OS&per. 
:p.Some older models of HP plotters do not have a page eject command 'PG'&per.  The 
current HPGL driver uses this command in HPGL_reset&per.  This may need to be 
removed for these plotters&per.  The current PCL5 driver uses HPGL/2 for text as 
well as graphics&per.  This should be modified to use scalable PCL fonts&per. 
:p.On the Atari version, it is not possible to send output directly to the 
printer (using :hp2./dev/lp:ehp2. as output file), since CRs are added to LFs in 
binary output&per.  As a work-around, write the output to a file and copy it to 
the printer afterwards using a shell command&per. 
:p.On AIX 4, the literal 'NaNq' in a datafile causes the special internal value 
'not-a-number' to be stored, rather than setting an internal 'undefined' 
flag&per.  A workaround is to use :hp2.set datafile missing 'NaNq':ehp2.&per. 

:euserdoc.
