.if n \{.nr LL +8m
.na \}
.nr PO +0.3i
.so titlepag.ms
.pn 1
.bp
.ta 1.5i 3.0i 4.5i 6.0i 7.5i
\&
.sp 3
.PP
.sp 3
.NH 1
Gnuplot
.sp 1
.LP
.XS
Gnuplot
.XE
.sp 2
.NH 1
Copyright
.sp 1
.LP
.XS
Copyright
.XE
.br
      Copyright (C) 1986 - 1993, 1998, 2004   Thomas Williams, Colin Kelley
.br

Permission to use, copy, and distribute this software and its
documentation for any purpose with or without fee is hereby granted,
provided that the above copyright notice appear in all copies and
that both that copyright notice and this permission notice appear
in supporting documentation.

Permission to modify the software is granted, but not the right to
distribute the complete modified source code.  Modifications are to
be distributed as patches to the released version.  Permission to
distribute binaries produced by compiling modified sources is granted,
provided you
.br
  1. distribute the corresponding source modifications from the
.br
.br
   released version in the form of a patch file along with the binaries,
.br
.br
  2. add special version identification to distinguish your version
.br
.br
   in addition to the base release version number,
.br
.br
  3. provide your name and address as the primary contact for the
.br
.br
   support of your modified version, and
.br
.br
  4. retain our contact information in regard to use of the base
.br
.br
   software.
.br
Permission to distribute the released version of the source code along
with corresponding source modifications in the form of a patch file is
granted with same provisions 2 through 4 for binary distributions.

This software is provided "as is" without express or implied warranty
to the extent permitted by applicable law.


.br
      AUTHORS
.br

.br
      Original Software:
.br
.br
         Thomas Williams,  Colin Kelley.
.br

.br
      Gnuplot 2.0 additions:
.br
.br
         Russell Lang, Dave Kotz, John Campbell.
.br

.br
      Gnuplot 3.0 additions:
.br
.br
         Gershon Elber and many others.
.br

.br
      Gnuplot 4.0 additions:
.br
.br
         See list of contributors at head of this document.
.br
.sp 2
.NH 1
Introduction
.sp 1
.LP
.XS
Introduction
.XE
\fBgnuplot\fR is a command-driven interactive function and data plotting program.
It is case sensitive (commands and function names written in lowercase are
not the same as those written in CAPS).  All command names may be abbreviated
as long as the abbreviation is not ambiguous.  Any number of commands may
appear on a line (with the exception that \fBload\fR or \fBcall\fR must be the final
command), separated by semicolons (;).  Strings are indicated with quotes.
They may be either single or double quotation marks, e.g.,

.br
      load "filename"
.br
.br
      cd 'dir'
.br

although there are some subtle differences (see \fBsyntax\fR for more details).

Any command-line arguments are assumed to be names of files containing
\fBgnuplot\fR commands, with the exception of standard X11 arguments, which are
processed first.  Each file is loaded with the \fBload\fR command, in the order
specified.  \fBgnuplot\fR exits after the last file is processed.  When no load
files are named, \fBgnuplot\fR enters into an interactive mode.  The special
filename "-" is used to denote standard input.  See "help batch/interactive"
for more details.

Many \fBgnuplot\fR commands have multiple options.  These options must appear in
the proper order, although unwanted ones may be omitted in most cases.  Thus
if the entire command is "command a b c", then "command a c" will probably
work, but "command c a" will fail.

Commands may extend over several input lines by ending each line but the last
with a backslash (\\).  The backslash must be the _last_ character on each
line.  The effect is as if the backslash and newline were not there.  That
is, no white space is implied, nor is a comment terminated.  Therefore,
commenting out a continued line comments out the entire command
(see \fBcomments\fR).  But note that if an error occurs somewhere on a multi-line
command, the parser may not be able to locate precisely where the error is
and in that case will not necessarily point to the correct line.

In this document, curly braces ({}) denote optional arguments and a vertical
bar (|) separates mutually exclusive choices.  \fBgnuplot\fR keywords or \fBhelp\fR
topics are indicated by backquotes or \fBboldface\fR (where available).  Angle
brackets (<>) are used to mark replaceable tokens.  In many cases, a default
value of the token will be taken for optional arguments if the token is
omitted, but these cases are not always denoted with braces around the angle
brackets.

For on-line help on any topic, type \fBhelp\fR followed by the name of the topic
or just \fBhelp\fR or \fB?\fR to get a menu of available topics.

The new \fBgnuplot\fR user should begin by reading about \fBplotting\fR (if on-line,
type \fBhelp plotting\fR).

See the simple.dem demo, also available together with other demos on the web page
.br
          http://www.gnuplot.info/demo/simple.html
.br
.sp 2
.NH 1
Seeking-assistance
.sp 1
.LP
.XS
Seeking-assistance
.XE
There is a mailing list for \fBgnuplot\fR users.  Note, however, that the
newsgroup
.br
      comp.graphics.apps.gnuplot
.br
is identical to the mailing list (they both carry the same set of messages).
We prefer that you read the messages through the newsgroup rather than
subscribing to the mailing list.  Instructions for subscribing to gnuplot
mailing lists may be found via the gnuplot development website on SourceForge
.br
          http://sourceforge.net/projects/gnuplot
.br

The address for mailing to list members is:
.br
      gnuplot-info@lists.sourceforge.net
.br

Bug reports and code contributions should be mailed to:
.br
      gnuplot-bugs@lists.sourceforge.net
.br

The list of those interested in beta-test versions is:
.br
      gnuplot-beta@lists.sourceforge.net
.br

There is also the canonical (if occassionally out-of-date) gnuplot web page at

.br
          http://www.gnuplot.info
.br

Before seeking help, please check the

.br
          FAQ (Frequently Asked Questions) list.
.br

When posting a question, please include full details of the version of
\fBgnuplot\fR, the machine, and operating system you are using.  A _small_ script
demonstrating the problem may be useful.  Function plots are preferable to
datafile plots.  If email-ing to gnuplot-info, please state whether or not
you are subscribed to the list, so that users who use news will know to email
a reply to you.  There is a form for such postings on the WWW site.

.sp 2
.NH 1
What is New in Version 4.0
.sp 1
.LP
.XS
What is New in Version 4.0
.XE
The previous official release of gnuplot was version 3.7, with subversions up
to 3.7.3. Gnuplot version 4.0 contains many new features, which were gradually
introduced into a series of development snapshots 3.8a through 3.8k. This
section lists major additions and gives a partial list of changes and minor
new features. Sample gnuplot scripts demonstrating many of these features are
provided in the gnuplot distribution, and are referred to here by name.

.sp 2
.RS
.IP
.NH 2
Mouse and hotkey support in interactive terminals
.sp 1
.LP
.XS
Mouse and hotkey support in interactive terminals
.XE

Interaction with the current plot via mouse and hotkeys is supported for the
X11, OS/2 Presentation Manager, ggi and Windows terminals. See \fBmouse input\fR
for more information on mousing. See help for \fBbind\fR for information on
hotkeys. Also see the documentation for individual mousing terminals \fBggi\fR,
\fBpm\fR, \fBwindows\fR and \fBx11\fR.

Here are briefly some useful hotkeys.
Hit \&'h\&' in the interactive interval for help. Hit \&'m\&' to switch mousing on/off.
Hit \&'g\&' for grid, \&'l\&' for log and \&'e\&' for replot.
Hit \&'r\&' for ruler to measure peak distances (linear scale) or peak ratios (log
scale), and \&'5\&' for polar coordinates inside a map.
Zoom by mouse (MB3), and move in the zoom history by \&'p\&', \&'u\&', \&'n\&'; hit \&'a\&' for
autoscale.
Use other mouse buttons to put current mouse coordinates to clipboard (double
click of MB1), add temporarily or permanently labels to the plot (middle mouse
button MB2).
Rotate a 3D surface by mouse. 
Hit spacebar to switch to the gnuplot command window.

Sample script: mousevariables.dem

.sp 2
.NH 2
New terminal features
.sp 1
.LP
.XS
New terminal features
.XE

\fBaqua\fR: New terminal for Mac OS X. Requires AquaTerm 1.0 or later.

\fBepslatex\fR: New terminal. Prepares eps figures for inclusion in LaTeX
documents.

\fBgif\fR: Support for this terminal has been dropped in favour of the \fBpng\fR
format for legal reasons; under usual configure conditions, old scripts that
request gif will work but will produce a \fBpng\fR file instead.

\fBggi\fR: New full-screen interactive terminal for Linux. Interface to the
General Graphics Interface Library.

\fBpdf\fR: New terminal exporting Adobe Portable Document Format. Requires libpdf.

\fBpng\fR and \fBjpeg\fR: Support for both PNG and JPEG image output is provided by a
new driver via libgd. The new driver supports many more features than the
old png driver, including TrueType fonts. Requires libgd.

\fBpostscript\fR: The PostScript driver now provides an oblique symbol font, and
allows run-time inclusion of embedded PostScript fonts. It also supports
additional character encodings. See \fBpostscript fontfile\fR and \fBset encoding\fR.

Sample script: fontfile.dem

\fBsvg\fR: New terminal exporting Scalable Vector Graphics.

\fBx11\fR: The X-windows driver now allows you to specify fonts, see
\fBset term x11 x11_fonts\fR. There is no longer a limit to the number of x11 plot
windows opened simultaneously, and each plot window can be given its own
title. See \fBset term x11\fR.

.sp 2
.NH 2
New plot style `pm3d`
.sp 1
.LP
.XS
New plot style `pm3d`
.XE

The \fBsplot\fR command is now capable of plotting 2D maps and 3D surfaces 
colored by greyscale or color palettes. See help for \fBset pm3d\fR, \fBset palette\fR, 
\fBset cbrange\fR, \fBset view map\fR, \fBset colorbox\fR and \fBtest palette\fR.

Sample scripts: pm3d.dem pm3dcolors.dem pm3dgamma.dem

.sp 2
.NH 2
New plot style `filledcurves`
.sp 1
.LP
.XS
New plot style `filledcurves`
.XE

The style \fBfilledcurves\fR allows to fill an area between the drawn curve and a
horizontal line.

Sample script: fillcrvs.dem

.sp 2
.NH 2
Filled boxes
.sp 1
.LP
.XS
Filled boxes
.XE

A solid color or patterned fill style can be set for any plot style that 
contains boxes. See \fBboxes\fR, \fBboxerrorbars\fR, \fBboxxyerrorbars\fR,
\fBcandlesticks\fR, \fBset style fill\fR.

Sample scripts: fillstyle.dem candlesticks.dem

.sp 2
.NH 2
New plot option smooth frequency
.sp 1
.LP
.XS
New plot option smooth frequency
.XE

Input data can be filtered through several built-in routines for interpolation
or approximation of data.  See \fBsmooth\fR, \fBfrequency\fR, \fBunique\fR.

Sample scripts: step.dem mgr.dem

.sp 2
.NH 2
Improved text options
.sp 1
.LP
.XS
Improved text options
.XE

Most gnuplot plot commands that produce text labels now accept modifiers to 
specify text color, font, size, and rotation angle. See \fBset label\fR.
Not all terminal types support these options, however.  The enhanced text
mode previously available for the postscript and pm terminals has been
extended to other terminal types as well.  Terminal types currently supported
include dumb, jpeg, pdf, pm, png, postscript, and x11. See \fBenhanced text\fR.

Sample scripts: textcolor.dem textrotate.dem

.sp 2
.NH 2
More text encodings
.sp 1
.LP
.XS
More text encodings
.XE

Several terminals, including \fBpostscript\fR, \fBx11\fR and \fBpm\fR, support additional
text \fBencodings\fR: ISO 8859-1 (Latin 1), ISO 8859-2 (Latin 2), ISO 8859-15 
(variant of 8859-1 with Euro sign), KOI8-R (cyrillic), and miscellaneous
codepages. See \fBencoding\fR for more details.

.sp 2
.NH 2
Arrows
.sp 1
.LP
.XS
Arrows
.XE

Single- or double-ended arrows can be placed on a plot individually from the
command line or from a data file via the \fBplot with vectors\fR style.
See \fBset style arrow\fR, \fBplotting styles vectors\fR.

Sample script: arrowstyle.dem

.sp 2
.NH 2
Data file format
.sp 1
.LP
.XS
Data file format
.XE

The new \fBset datafile\fR command can be used to specify information about the
format of input data files, including the characters used to separate fields, 
to indicate comment lines, and to specify missing data.  Gnuplot now attempts 
to recognize text fields with embedded blanks as single entities based on the 
datafile format settings.  This allows input from csv (comma-separated value)
files such as those exported by spreadsheet programs. See \fBset datafile\fR.

.sp 2
.NH 2
Other changes and additions
.sp 1
.LP
.XS
Other changes and additions
.XE

The preferred syntax to undo a command \fBset <something>\fR is now 
\fBunset <something>\fR rather than \fBset no<something>\fR. The older form has been
deprecated.  Version 4.0 continues to allow the older syntax, but such 
backwards compatibility may be lost in future versions.

Commands of the form \fBset <something> <style>\fR also are deprectated in favor
of the more general form \fBset style <something> <options>\fR.  Many more plot
elements now have style options of their own, including arrows, filled
areas, lines, and points. There are also style settings for input data and
formatting. Please see \fBset style\fR, \fBset decimalsign\fR, and \fBset datafile\fR.

Improved 2D and 3D clipping (hidden lines).

More consistent point styles and other default formatting styles across
all terminals. Please use the \fBtest\fR command to check default styles and
plotting capabilities for the currently selected terminal type.

The \fBset label\fR command supports associated points, and allows you to 
specify point style and text style (font, rotation, etc). User variables
can be included in labels via format specifiers in the label text.
See \fBset label\fR.

New command \fBset view map\fR to select top-view 2D projection of 3D surface plot.

New commands \fBset term push\fR and \fBset term pop\fR to achieve platform
independent restoring of the terminal after printing,

The \fBload\fR and \fBsave\fR commands accept piped input and output, respectively.

The \fBhistory\fR command (for gnuplot with its own readline, not with GNU
readline) now includes several useful options.

The built-in function \fBrand(x)\fR has been modified to allow explicit seeding
of the pseudo-random number generator. See \fBrandom\fR.

The MS Windows package includes an additional executable \fBpgnuplot.exe\fR to
support piping command through standard input, which is otherwise not
available for graphical applications on this system.

.sp 2
.NH 2
Accompanying documentation
.sp 1
.LP
.XS
Accompanying documentation
.XE

In directory docs/psdocs/ you may find new information in the gnuplot output
postscript file guide, list of postscript symbols in different encodings.

Improved FAQ. Please read it before asking your question in a public forum.

There are plenty of new demos *.dem in the demo/ directory. Please run them,
for example by
.br
      load "all.dem"
.br
before asking for help.  Plots produced by the demo scripts can also be viewed
at 
http://www.gnuplot.info/demo/

.sp 2
.RE
.br
.NH 1
Batch/Interactive Operation
.sp 1
.LP
.XS
Batch/Interactive Operation
.XE
\fBgnuplot\fR may be executed in either batch or interactive modes, and the two
may even be mixed together on many systems.

Any command-line arguments are assumed to be names of files containing
\fBgnuplot\fR commands (with the exception of standard X11 arguments, which are
processed first).  Each file is loaded with the \fBload\fR command, in the order
specified.  \fBgnuplot\fR exits after the last file is processed.  When no load
files are named, \fBgnuplot\fR enters into an interactive mode.  The special
filename "-" is used to denote standard input.

Both the \fBexit\fR and \fBquit\fR commands terminate the current command file and
\fBload\fR the next one, until all have been processed.

Examples:

To launch an interactive session:
.br
      gnuplot
.br

To launch a batch session using two command files "input1" and "input2":
.br
      gnuplot input1 input2
.br

To launch an interactive session after an initialization file "header" and
followed by another command file "trailer":
.br
      gnuplot header - trailer
.br
.sp 2
.NH 1
Command-line-editing
.sp 1
.LP
.XS
Command-line-editing
.XE
Command-line editing is supported by the Unix, Atari, VMS, MS-DOS and OS/2
versions of \fBgnuplot\fR.  Also, a history mechanism allows previous commands to
be edited and re-executed.  After the command line has been edited, a newline
or carriage return will enter the entire line without regard to where the
cursor is positioned.

(The readline function in \fBgnuplot\fR is not the same as the readline used in
GNU Bash and GNU Emacs.  If the GNU version is desired, it may be selected
instead of the \fBgnuplot\fR version at compile time.)


The editing commands are as follows:


.EQ
delim $$
.EN
.KS
.TS
center box tab (@) ;
c l .
Character@Function
_
@Line Editing
^B@move back a single character.
^F@move forward a single character.
^A@move to the beginning of the line.
^E@move to the end of the line.
^H, DEL@delete the previous character.
^D@delete the current character.
^K@delete from current position to the end of line.
^L, ^R@redraw line in case it gets trashed.
^U@delete the entire line.
^W@delete from the current word to the end of line.
_
@History
^P@move back through history.
^N@move forward through history.
.TE
.KE
.EQ
delim off
.EN


On the IBM PC, the use of a TSR program such as DOSEDIT or CED may be desired
for line editing.  The default makefile assumes that this is the case;  by
default \fBgnuplot\fR will be compiled with no line-editing capability.  If you
want to use \fBgnuplot\fR\&'s line editing, set READLINE in the makefile and add
readline.obj to the link file.  The following arrow keys may be used on the
IBM PC and Atari versions if readline is used:


.EQ
delim $$
.EN
.KS
.TS
center box tab (@) ;
c l .
Arrow key@Function
_
Left Arrow@same as ^B.
Right Arrow@same as ^F.
Ctrl Left Arrow@same as ^A.
Ctrl Right Arrow@same as ^E.
Up Arrow@same as ^P.
Down Arrow@same as ^N.
_
.TE
.KE
.EQ
delim off
.EN


The Atari version of readline defines some additional key aliases:


.EQ
delim $$
.EN
.KS
.TS
center box tab (@) ;
c l .
Key@Function
_
Undo@same as ^L.
Home@same as ^A.
Ctrl Home@same as ^E.
Esc@same as ^U.
Help@help plus return.
Ctrl Help@help .
_
.TE
.KE
.EQ
delim off
.EN

.sp 2
.NH 1
Comments
.sp 1
.LP
.XS
Comments
.XE
Comments are supported as follows: a \fB#\fR may appear in most places in a line
and \fBgnuplot\fR will ignore the rest of the line.  It will not have this effect
inside quotes, inside numbers (including complex numbers), inside command
substitutions, etc.  In short, it works anywhere it makes sense to work.

See also \fBset datafile commentschars\fR for specifying comment characters in
data files.
.sp 2
.NH 1
Coordinates
.sp 1
.LP
.XS
Coordinates
.XE
The commands \fBset arrow\fR, \fBset key\fR, and \fBset label\fR allow you to draw
something at an arbitrary position on the graph.  This position is specified
by the syntax:

.br
      {<system>} <x>, {<system>} <y> {,{<system>} <z>}
.br

Each <system> can either be \fBfirst\fR, \fBsecond\fR, \fBgraph\fR or \fBscreen\fR.

\fBfirst\fR places the x, y, or z coordinate in the system defined by the left
and bottom axes; \fBsecond\fR places it in the system defined by the second axes
(top and right); \fBgraph\fR specifies the area within the axes---0,0 is bottom
left and 1,1 is top right (for splot, 0,0,0 is bottom left of plotting area;
use negative z to get to the base---see \fBset ticslevel\fR); and \fBscreen\fR
specifies the screen area (the entire area---not just the portion selected by
\fBset size\fR), with 0,0 at bottom left and 1,1 at top right.

If the coordinate system for x is not specified, \fBfirst\fR is used.  If the
system for y is not specified, the one used for x is adopted.

If one (or more) axis is timeseries, the appropriate coordinate should
be given as a quoted time string according to the \fBtimefmt\fR format string.
See \fBset xdata\fR and \fBset timefmt\fR.  \fBgnuplot\fR will also accept an integer
expression, which will be interpreted as seconds from 1 January 2000.
.sp 2
.NH 1
Environment
.sp 1
.LP
.XS
Environment
.XE
A number of shell environment variables are understood by \fBgnuplot\fR.  None of
these are required, but may be useful.

If GNUTERM is defined, it is used as the name of the terminal type to be
used.  This overrides any terminal type sensed by \fBgnuplot\fR on start-up, but
is itself overridden by the .gnuplot (or equivalent) start-up file
(see \fBstart-up\fR) and, of course, by later explicit changes.

On Unix, AmigaOS, AtariTOS, MS-DOS and OS/2, GNUHELP may be defined to be the
pathname of the HELP file (gnuplot.gih).

On VMS, the logical name GNUPLOT$HELP should be defined as the name of the
help library for \fBgnuplot\fR.  The \fBgnuplot\fR help can be put inside any system
help library, allowing access to help from both within and outside \fBgnuplot\fR
if desired.

On Unix, HOME is used as the name of a directory to search for a .gnuplot
file if none is found in the current directory.  On AmigaOS, AtariTOS,
MS-DOS, Windows and OS/2, GNUPLOT is used.  On Windows, the NT-specific
variable USERPROFILE is tried, too. VMS, SYS$LOGIN: is used. Type \fBhelp
start-up\fR.

On Unix, PAGER is used as an output filter for help messages.

On Unix, AtariTOS and AmigaOS, SHELL is used for the \fBshell\fR command.  On
MS-DOS and OS/2, COMSPEC is used for the \fBshell\fR command.

On MS-DOS, if the BGI or Watcom interface is used, PCTRM is used to tell
the maximum resolution supported by your monitor by setting it to
S<max. horizontal resolution>. E.g. if your monitor\&'s maximum resolution is
800x600, then use:
.br
      set PCTRM=S800
.br
If PCTRM is not set, standard VGA is used.

FIT_SCRIPT may be used to specify a \fBgnuplot\fR command to be executed when a
fit is interrupted---see \fBfit\fR.  FIT_LOG specifies the default filename of the
logfile maintained by fit.

GNUPLOT_LIB may be used to define additional search directories for data
and command files. The variable may contain a single directory name, or
a list of directories separated by a platform-specific path separator,
eg. \&':\&' on Unix, or \&';\&' on DOS/Windows/OS/2/Amiga platforms. The contents
of GNUPLOT_LIB are appended to the \fBloadpath\fR variable, but not saved
with the \fBsave\fR and \fBsave set\fR commands.

Several gnuplot terminal drivers access TrueType fonts via the gd library.
For these drivers the font search path is controlled by the environmental
variable GDFONTPATH.  Furthermore, a default font for these drivers may be
set via the environmental variable GNUPLOT_DEFAULT_GDFONT.

The postscript terminal uses its own font search path. It is controlled by
the environmental variable GNUPLOT_FONTPATH. The format is the same as for
GNUPLOT_LIB. The contents of GNUPLOT_FONTPATH are appended to the \fBfontpath\fR
variable, but not saved with the \fBsave\fR and \fBsave set\fR commands.
.sp 2
.NH 1
Expressions
.sp 1
.LP
.XS
Expressions
.XE
In general, any mathematical expression accepted by C, FORTRAN, Pascal, or
BASIC is valid.  The precedence of these operators is determined by the
specifications of the C programming language.  White space (spaces and tabs)
is ignored inside expressions.

Complex constants are expressed as {<real>,<imag>}, where <real> and <imag>
must be numerical constants.  For example, {3,2} represents 3 + 2i; {0,1}
represents \&'i\&' itself.  The curly braces are explicitly required here.

Note that gnuplot uses both "real" and "integer" arithmetic, like FORTRAN and
C.  Integers are entered as "1", "-10", etc; reals as "1.0", "-10.0", "1e1",
3.5e-1, etc.  The most important difference between the two forms is in
division: division of integers truncates: 5/2 = 2; division of reals does
not: 5.0/2.0 = 2.5.  In mixed expressions, integers are "promoted" to reals
before evaluation: 5/2e0 = 2.5.  The result of division of a negative integer
by a positive one may vary among compilers.  Try a test like "print -5/2" to
determine if your system chooses -2 or -3 as the answer.

The integer expression "1/0" may be used to generate an "undefined" flag,
which causes a point to ignored; the \fBternary\fR operator gives an example.

The real and imaginary parts of complex expressions are always real, whatever
the form in which they are entered: in {3,2} the "3" and "2" are reals, not
integers.
.sp 2
.RS
.IP
.NH 2
Functions
.sp 1
.LP
.XS
Functions
.XE
The functions in \fBgnuplot\fR are the same as the corresponding functions in
the Unix math library, except that all functions accept integer, real, and
complex arguments, unless otherwise noted.

For those functions that accept or return angles that may be given in either
degrees or radians (sin(x), cos(x), tan(x), asin(x), acos(x), atan(x),
atan2(x) and arg(z)), the unit may be selected by \fBset angles\fR, which
defaults to radians.


.EQ
delim $$
.EN
.KS
.TS
center box tab (@) ;
c c l .
Function@Arguments@Returns
_
abs(x)@any@absolute value of $x$, $|x|$; same type
abs(x)@complex@length of $x$, $sqrt{roman real (x) sup 2 + roman imag (x) sup 2}$
acos(x)@any@$cos sup -1 x$ (inverse cosine)
acosh(x)@any@$cosh sup -1 x$ (inverse hyperbolic cosine) in radians
arg(x)@complex@the phase of $x$
asin(x)@any@$sin sup -1 x$ (inverse sin)
asinh(x)@any@$sinh sup -1 x$ (inverse hyperbolic sin) in radians
atan(x)@any@$tan sup -1 x$ (inverse tangent)
atan2(y,x)@int or real@$tan sup -1 (y/x)$ (inverse tangent)
atanh(x)@any@$tanh sup -1 x$ (inverse hyperbolic tangent) in radians
besj0(x)@int or real@$j sub 0$ Bessel function of $x$, in radians
besj1(x)@int or real@$j sub 1$ Bessel function of $x$, in radians
besy0(x)@int or real@$y sub 0$ Bessel function of $x$, in radians
besy1(x)@int or real@$y sub 1$ Bessel function of $x$, in radians
ceil(x)@any@$left ceiling x right ceiling$, smallest integer not less than $x$ (real part)
cos(x)@radians@$cos~x$, cosine of $x$
cosh(x)@any@$cosh~x$, hyperbolic cosine of $x$ in radians
erf(x)@any@$erf ( roman real (x))$, error function of real ($x$)
erfc(x)@any@$erfc ( roman real (x))$, 1.0 - error function of real ($x$)
exp(x)@any@$e sup x$, exponential function of $x$
floor(x)@any@$left floor x right floor$, largest integer not greater than $x$ (real part)
gamma(x)@any@$GAMMA ( roman real (x))$, gamma function of real ($x$)
ibeta(p,q,x)@any@$ibeta ( roman real (p,q,x))$, ibeta function of real ($p$,$q$,$x$)
inverf(x)@any@inverse error function real($x$)
igamma(a,x)@any@$igamma ( roman real (a,x))$, igamma function of real ($a$,$x$)
imag(x)@complex@imaginary part of $x$ as a real number
invnorm(x)@any@inverse normal distribution function real($x$)
int(x)@real@integer part of $x$, truncated toward zero
lambertw(x)@real@Lambert W function
lgamma(x)@any@$lgamma ( roman real (x))$, lgamma function of real ($x$)
log(x)@any@$ln~x$, natural logarithm (base $e$) of $x$
log10(x)@any@${log sub 10}~x$, logarithm (base $10$) of $x$
norm(x)@any@$norm(x)$, normal distribution function of real($x$)
rand(x)@any@$rand (x)$, pseudo random number generator
real(x)@any@real part of $x$
sgn(x)@any@1 if $x > 0$, -1 if $x < 0$, 0 if $x = 0$. $roman imag (x)$ ignored
sin(x)@any@$sin~x$, sine of $x$
sinh(x)@any@$sinh~x$, hyperbolic sine of $x$ in radians
sqrt(x)@any@$sqrt x $, square root of $x$
tan(x)@any@$tan~x$, tangent of $x$
tanh(x)@any@$tanh~x$, hyperbolic tangent of $x$ in radians
.TE
.KE
.EQ
delim off
.EN


A few additional functions are also available.


.EQ
delim $$
.EN
.KS
.TS
center box tab (@) ;
c c l .
Function@Arguments@Returns
_
column(x)@int@ column $x$ during datafile manipulation.
defined(X)@variable name@ returns 1 if a variable X is defined, 0 otherwise.
tm_hour(x)@int@the hour
tm_mday(x)@int@the day of the month
tm_min(x)@int@the minute
tm_mon(x)@int@the month
tm_sec(x)@int@the second
tm_wday(x)@int@the day of the week
tm_yday(x)@int@the day of the year
tm_year(x)@int@the year
valid(x)@int@ test validity of column($x$) during datafile manip.
.TE
.KE
.EQ
delim off
.EN

See also 
airfoil.dem: use of functions and complex variables for airfoils demo.

.sp 2
.RS
.IP
.NH 3
Random number generator
.sp 1
.LP
.XS
Random number generator
.XE

The behavior of the built-in function \fBrand(x)\fR has changed as of version 3.8l.
Older scripts that expected rand(x>0) to produce sequential pseudo-random
numbers from the same seeded sequence must be changed to call rand(0) instead.
The current behavior is as follows:
.br
 `rand(0)`  returns a pseudo random number in the interval [0:1] generated
.br
.br
            from the current value of two internal 32-bit seeds. 
.br
.br
 `rand(-1)` resets both seeds to a standard value. 
.br
.br
 `rand(x)`  for x>0 sets both seeds to a value based on the value of x.
.br
.br
 `rand({x,y})` for x>0 sets seed1 to x and seed2 to y.
.br

.sp 2
.RE
.br
.NH 2
Operators
.sp 1
.LP
.XS
Operators
.XE
The operators in \fBgnuplot\fR are the same as the corresponding operators in the
C programming language, except that all operators accept integer, real, and
complex arguments, unless otherwise noted.  The ** operator (exponentiation)
is supported, as in FORTRAN.

Parentheses may be used to change order of evaluation.
.sp 2
.RS
.IP
.NH 3
Unary
.sp 1
.LP
.XS
Unary
.XE
The following is a list of all the unary operators and their usages:


.EQ
delim $$
.EN
.KS
.TS
center box tab (@) ;
.TE
.EQ
delim off
.EN
.TS
center box tab (@) ;
c c l .
Symbol@Example@Explanation
_
-@-a@unary minus
+@+a@unary plus (no-operation)
~@~a@* one's complement
!@!a@* logical negation
!@a!@* factorial
$@$3@* call arg/column during `using` manipulation
_
.TE
.KE
.EQ
delim off
.EN

(*) Starred explanations indicate that the operator requires an integer
argument.

Operator precedence is the same as in Fortran and C.  As in those languages,
parentheses may be used to change the order of operation.  Thus -2**2 = -4,
but (-2)**2 = 4.

The factorial operator returns a real number to allow a greater range.
.sp 2
.NH 3
Binary
.sp 1
.LP
.XS
Binary
.XE
The following is a list of all the binary operators and their usages:


.EQ
delim $$
.EN
.KS
.TS
center box tab (@) ;
c c l .
Symbol@Example@Explanation
_
**@a**b@exponentiation
*@a*b@multiplication
/@a/b@division
%@a%b@* modulo
+@a+b@addition
-@a-b@subtraction
==@a==b@equality
!=@a!=b@inequality
<@a<b@less than
<=@a<=b@less than or equal to
>@a>b@greater than
>=@a>=b@greater than or equal to
&@a&b@* bitwise AND
^@a^b@* bitwise exclusive OR
|@a|b@* bitwise inclusive OR
&&@a&&b@* logical AND
||@a||b@* logical OR
.TE
.KE
.EQ
delim off
.EN

(*) Starred explanations indicate that the operator requires integer
arguments.

Logical AND (&&) and OR (||) short-circuit the way they do in C.  That is,
the second \fB&&\fR operand is not evaluated if the first is false; the second
\fB||\fR operand is not evaluated if the first is true.
.sp 2
.NH 3
Ternary
.sp 1
.LP
.XS
Ternary
.XE
There is a single ternary operator:


.EQ
delim $$
.EN
.KS
.TS
center box tab (@) ;
c c l .
Symbol@Example@Explanation
_
?:@a?b:c@* ternary operation
.TE
.KE
.EQ
delim off
.EN

The ternary operator behaves as it does in C.  The first argument (a), which
must be an integer, is evaluated.  If it is true (non-zero), the second
argument (b) is evaluated and returned; otherwise the third argument (c) is
evaluated and returned.

The ternary operator is very useful both in constructing piecewise functions
and in plotting points only when certain conditions are met.

Examples:

Plot a function that is to equal sin(x) for 0 <= x < 1, 1/x for 1 <= x < 2,
and undefined elsewhere:
.br
      f(x) = 0<=x && x<1 ? sin(x) : 1<=x && x<2 ? 1/x : 1/0
.br
.br
      plot f(x)
.br
Note that \fBgnuplot\fR quietly ignores undefined values, so the final branch of
the function (1/0) will produce no plottable points.  Note also that f(x)
will be plotted as a continuous function across the discontinuity if a line
style is used.  To plot it discontinuously, create separate functions for the
two pieces.  (Parametric functions are also useful for this purpose.)

For data in a file, plot the average of the data in columns 2 and 3 against
the datum in column 1, but only if the datum in column 4 is non-negative:

.br
      plot 'file' using 1:( $4<0 ? 1/0 : ($2+$3)/2 )
.br

Please see \fBplot datafile using\fR for an explanation of the \fBusing\fR syntax.
.sp 2
.RE
.br
.NH 2
User-defined
.sp 1
.LP
.XS
User-defined
.XE
New user-defined variables and functions of one through five variables may
be declared and used anywhere, including on the \fBplot\fR command itself.

User-defined function syntax:
.br
      <func-name>( <dummy1> {,<dummy2>} ... {,<dummy5>} ) = <expression>
.br

where <expression> is defined in terms of <dummy1> through <dummy5>.

User-defined variable syntax:
.br
      <variable-name> = <constant-expression>
.br

Examples:
.br
      w = 2
.br
.br
      q = floor(tan(pi/2 - 0.1))
.br
.br
      f(x) = sin(w*x)
.br
.br
      sinc(x) = sin(pi*x)/(pi*x)
.br
.br
      delta(t) = (t == 0)
.br
.br
      ramp(t) = (t > 0) ? t : 0
.br
.br
      min(a,b) = (a < b) ? a : b
.br
.br
      comb(n,k) = n!/(k!*(n-k)!)
.br
.br
      len3d(x,y,z) = sqrt(x*x+y*y+z*z)
.br
.br
      plot f(x) = sin(x*a), a = 0.2, f(x), a = 0.4, f(x)
.br

Note that the variable \fBpi\fR is already defined.  But it is in no way magic;
you may redefine it to be whatever you like.

Valid names are the same as in most programming languages: they must begin
with a letter, but subsequent characters may be letters, digits, "$", or "_".
Note, however, that the \fBfit\fR mechanism uses several variables with names
that begin "FIT_".  It is safest to avoid using such names.  "FIT_LIMIT",
however, is one that you may wish to redefine. See the documentation
on \fBfit\fR for details.

See \fBshow functions\fR, \fBshow variables\fR, and \fBfit\fR.

.sp 2
.RE
.br
.NH 1
Glossary
.sp 1
.LP
.XS
Glossary
.XE
Throughout this document an attempt has been made to maintain consistency of
nomenclature.  This cannot be wholly successful because as \fBgnuplot\fR has
evolved over time, certain command and keyword names have been adopted that
preclude such perfection.  This section contains explanations of the way
some of these terms are used.

A "page" or "screen" is the entire area addressable by \fBgnuplot\fR.  On a
monitor, it is the full screen; on a plotter, it is a single sheet of paper.

A screen may contain one or more "plots".  A plot is defined by an abscissa
and an ordinate, although these need not actually appear on it, as well as
the margins and any text written therein.

A plot contains one "graph".  A graph is defined by an abscissa and an
ordinate, although these need not actually appear on it.

A graph may contain one or more "lines".  A line is a single function or
data set.  "Line" is also a plotting style.  The word will also be used in
sense "a line of text".  Presumably the context will remove any ambiguity.

The lines on a graph may have individual names.  These may be listed
together with a sample of the plotting style used to represent them in
the "key", sometimes also called the "legend".

The word "title" occurs with multiple meanings in \fBgnuplot\fR.  In this
document, it will always be preceded by the adjective "plot", "line", or
"key" to differentiate among them.

A 2-d graph may have up to four labelled axes.  The names of the four axes
for these usages are "x" for the axis along the bottom border of the plot,
"y" for the left border, "x2" for the top border, and "y2" for the right
border.

A 3-d graph may have up to three labelled axes -- "x", "y" and "z".  It is
not possible to say where on the graph any particular axis will fall because
you can change the direction from which the graph is seen with \fBset view\fR.

When discussing data files, the term "record" will be resurrected and used
to denote a single line of text in the file, that is, the characters between
newline or end-of-record characters.  A "point" is the datum extracted from
a single record.  A "datablock" is a set of points from consecutive records,
delimited by blank records.  A line, when referred to in the context of a
data file, is a subset of a datablock.
.sp 2
.NH 1
Mouse input
.sp 1
.LP
.XS
Mouse input
.XE
The \fBx11\fR, \fBpm\fR, \fBwindows\fR, and \fBggi\fR terminals allow interaction with the
current plot using the mouse. They also support the definition of hotkeys
to activate pre-defined functions by hitting a single key while the mouse
focus is in the active plot window.  It is even possible to combine mouse
input with \fBbatch\fR command scripts, by invoking the command \fBpause mouse\fR
and then using the mouse variables returned by mouse clicking as parameters
for subsequent scripted actions. See \fBbind\fR and \fBmouse variables\fR.  
See also the command \fBset mouse\fR.

.sp 2
.RS
.IP
.NH 2
Bind
.sp 1
.LP
.XS
Bind
.XE
The \fBbind\fR allows defining or redefining a hotkey, i.e. a sequence of gnuplot
commands which will be executed when a certain key or key sequence is pressed
while the driver\&'s window has the input focus. Note that \fBbind\fR is only
available if gnuplot was compiled with \fBmouse\fR support and it is used by all
mouse-capable terminals. Bindings overwrite the builtin bindings (like in
every real editor), except <space> and \&'q\&' which cannot be rebound. Mouse
buttons cannot be rebound.

Note that multikey-bindings with modifiers have to be quoted.

Syntax:
.br
      bind [<key-sequence>] ["<gnuplot commands>"]
.br
.br
      bind!
.br

Examples:

- set bindings:

.br
    bind a "replot"
.br
.br
    bind "ctrl-a" "plot x*x"
.br
.br
    bind "ctrl-alt-a" 'print "great"'
.br
.br
    bind Home "set view 60,30; replot"
.br

- show bindings:
.br
    bind "ctrl-a"          # shows the binding for ctrl-a
.br
.br
    bind                   # shows all bindings
.br

- remove bindings:
.br
    bind "ctrl-alt-a" ""   # removes binding for ctrl-alt-a
.br
.br
                             (note that builtins cannot be removed)
.br
.br
    bind!                  # installs default (builtin) bindings
.br

- bind a key to toggle something:
.br
  v=0
.br
.br
  bind "ctrl-r" "v=v+1;if(v%2)set term x11 noraise; else set term x11 raise"
.br

Modifiers (ctrl / alt) are case insensitive, keys not:
.br
    ctrl-alt-a == CtRl-alT-a
.br
.br
    ctrl-alt-a != ctrl-alt-A
.br

List of modifiers (alt == meta):
.br
    ctrl, alt
.br

List of supported special keys:

.br
   "BackSpace", "Tab", "Linefeed", "Clear", "Return", "Pause", "Scroll_Lock",
.br
.br
   "Sys_Req", "Escape", "Delete", "Home", "Left", "Up", "Right", "Down",
.br
.br
   "PageUp", "PageDown", "End", "Begin",
.br

.br
   "KP_Space", "KP_Tab", "KP_Enter", "KP_F1", "KP_F2", "KP_F3", "KP_F4",
.br
.br
   "KP_Home", "KP_Left", "KP_Up", "KP_Right", "KP_Down", "KP_PageUp",
.br
.br
   "KP_PageDown", "KP_End", "KP_Begin", "KP_Insert", "KP_Delete", "KP_Equal",
.br
.br
   "KP_Multiply", "KP_Add", "KP_Separator", "KP_Subtract", "KP_Decimal",
.br
.br
   "KP_Divide",
.br

.br
   "KP_1" - "KP_9", "F1" - "F12"
.br

See also help for \fBmouse\fR and \fBif\fR.

.sp 2
.NH 2
Mouse_variables
.sp 1
.LP
.XS
Mouse_variables
.XE
When mousing is active, clicking in the active window will set several user
variables that can be accessed from the gnuplot command line. The coordinates
of the mouse at the time of the click are stored in MOUSE_X MOUSE_Y MOUSE_X2
and MOUSE_Y2. The mouse button clicked, and any meta-keys active at that time,
are stored in MOUSE_BUTTON MOUSE_SHIFT MOUSE_ALT and MOUSE_CTRL.  These 
variables are set to undefined at the start of every plot, and only become 
defined in the event of a mouse click in the active plot window. To determine
from a script if the mouse has been clicked in the active plot window, it is
sufficient to test for any one of these variables being defined.

.br
      plot 'something'
.br
.br
      set pause mouse
.br
.br
      if (defined(MOUSE_BUTTON)) call 'something_else'; \\
.br
.br
      else print "No mouse click." 
.br

.sp 2
.RE
.br
.NH 1
Plotting
.sp 1
.LP
.XS
Plotting
.XE
There are three \fBgnuplot\fR commands which actually create a plot: \fBplot\fR,
\fBsplot\fR and \fBreplot\fR.  \fBplot\fR generates 2-d plots, \fBsplot\fR generates 3-d
plots (actually 2-d projections, of course), and \fBreplot\fR appends its
arguments to the previous \fBplot\fR or \fBsplot\fR and executes the modified
command.

Much of the general information about plotting can be found in the discussion
of \fBplot\fR; information specific to 3-d can be found in the \fBsplot\fR section.

\fBplot\fR operates in either rectangular or polar coordinates -- see \fBset polar\fR
for details of the latter.  \fBsplot\fR operates only in rectangular coordinates,
but the \fBset mapping\fR command allows for a few other coordinate systems to be
treated.  In addition, the \fBusing\fR option allows both \fBplot\fR and \fBsplot\fR to
treat almost any coordinate system you\&'d care to define.

\fBplot\fR also lets you use each of the four borders -- x (bottom), x2 (top), y
(left) and y2 (right) -- as an independent axis.  The \fBaxes\fR option lets you
choose which pair of axes a given function or data set is plotted against.  A
full complement of \fBset\fR commands exists to give you complete control over
the scales and labelling of each axis.  Some commands have the name of an
axis built into their names, such as \fBset xlabel\fR.  Other commands have one
or more axis names as options, such as \fBset logscale xy\fR.  Commands and
options controlling the z axis have no effect on 2-d graphs.

\fBsplot\fR can plot surfaces and contours in addition to points and/or lines.
In addition to \fBsplot\fR, see \fBset isosamples\fR for information about defining
the grid for a 3-d function;  \fBsplot datafile\fR for information about the
requisite file structure for 3-d data values; and \fBset contour\fR and
\fBset cntrparam\fR for information about contours.

In \fBsplot\fR, control over the scales and labels of the axes are the same as
with \fBplot\fR, except that commands and options controlling the x2 and y2 axes
have no effect whereas of course those controlling the z axis do take effect.

\fBsplot\fR allows plotting of binary and matrix data, but only for specific
data formats.  See \fBsplot\fR for details.
.sp 2
.NH 1
Start-up
.sp 1
.LP
.XS
Start-up
.XE
When \fBgnuplot\fR is run, it looks for an initialization file to load.
This file is called \fB.gnuplot\fR on Unix and AmigaOS systems, and
\fBGNUPLOT.INI\fR on other systems.  If this file is not found in the
current directory, the program will look for it in the HOME directory
(under AmigaOS, Atari(single)TOS, MS-DOS, Windows and OS/2, the
environment variable \fBGNUPLOT\fR should contain the name of this
directory; on Windows NT, it will use \fBUSERPROFILE\fR if GNUPLOT isn\&'t
defined).  Note: if NOCWDRC is defined during the installation,
\fBgnuplot\fR will not read from the current directory.

If the initialization file is found, \fBgnuplot\fR executes the commands in it.
These may be any legal \fBgnuplot\fR commands, but typically they are limited to
setting the terminal and defining frequently-used functions or variables.
.sp 2
.NH 1
Substitution
.sp 1
.LP
.XS
Substitution
.XE
Command-line substitution is specified by a system command enclosed in
backquotes.  This command is spawned and the output it produces replaces
the name of the command (and backquotes) on the command line.  Some
implementations also support pipes;  see \fBplot datafile special-filenames\fR.

Command-line substitution can be used anywhere on the \fBgnuplot\fR command
line, except inside strings delimited by single quotes.

Example:

This will run the program \fBleastsq\fR and replace \fBleastsq\fR (including
backquotes) on the command line with its output:
.br
      f(x) = `leastsq`
.br

or, in VMS
.br
      f(x) = `run leastsq`
.br

These will generate labels with the current time and userid:
.br
      set label "generated on `date +%Y-%m-%d`by `whoami`" at 1,1
.br
.br
      set timestamp "generated on %Y-%m-%d by `whoami`"
.br

.sp 2
.NH 1
Syntax
.sp 1
.LP
.XS
Syntax
.XE
The general rules of syntax and punctuation in \fBgnuplot\fR are that keywords
and options are order-dependent.  Options and any accompanying parameters are
separated by spaces whereas lists and coordinates are separated by commas.
Ranges are separated by colons and enclosed in brackets [], text and file
names are enclosed in quotes, and a few miscellaneous things are enclosed
in parentheses.  Braces {} are used for a few special purposes.

Commas are used to separate coordinates on the \fBset\fR commands \fBarrow\fR,
\fBkey\fR, and \fBlabel\fR; the list of variables being fitted (the list after the
\fBvia\fR keyword on the \fBfit\fR command); lists of discrete contours or the loop
parameters which specify them on the \fBset cntrparam\fR command; the arguments
of the \fBset\fR commands \fBdgrid3d\fR, \fBdummy\fR, \fBisosamples\fR, \fBoffsets\fR, \fBorigin\fR,
\fBsamples\fR, \fBsize\fR, \fBtime\fR, and \fBview\fR; lists of tics or the loop parameters
which specify them; the offsets for titles and axis labels; parametric
functions to be used to calculate the x, y, and z coordinates on the \fBplot\fR,
\fBreplot\fR and \fBsplot\fR commands; and the complete sets of keywords specifying
individual plots (data sets or functions) on the \fBplot\fR, \fBreplot\fR and \fBsplot\fR
commands.

Parentheses are used to delimit sets of explicit tics (as opposed to loop
parameters) and to indicate computations in the \fBusing\fR filter of the \fBfit\fR,
\fBplot\fR, \fBreplot\fR and \fBsplot\fR commands.

(Parentheses and commas are also used as usual in function notation.)

Brackets are used to delimit ranges, whether they are given on \fBset\fR, \fBplot\fR
or \fBsplot\fR commands.

Colons are used to separate extrema in \fBrange\fR specifications (whether they
are given on \fBset\fR, \fBplot\fR or \fBsplot\fR commands) and to separate entries in
the \fBusing\fR filter of the \fBplot\fR, \fBreplot\fR, \fBsplot\fR and \fBfit\fR commands.

Semicolons are used to separate commands given on a single command line.

Braces are used in text to be specially processed by some terminals, like
\fBpostscript\fR.  They are also used to denote complex numbers: {3,2} = 3 + 2i.

Text may be enclosed in single- or double-quotes.  Backslash processing of
sequences like \\n (newline) and \\345 (octal character code) is performed for
double-quoted strings, but not for single-quoted strings.

The justification is the same for each line of a multi-line string.  Thus the
center-justified string
.br
      "This is the first line of text.\\nThis is the second line."
.br
will produce
.br
                       This is the first line of text.
.br
.br
                          This is the second line.
.br
but
.br
      'This is the first line of text.\\nThis is the second line.'
.br
will produce
.br
          This is the first line of text.\\nThis is the second line.
.br

Filenames may be entered with either single- or double-quotes.  In this
manual the command examples generally single-quote filenames and double-quote
other string tokens for clarity.

At present you should not embed \\n inside {} when using the \fBenhanced postscript\fR
terminal.

The EEPIC, Imagen, Uniplex, LaTeX, and TPIC drivers allow a newline to be
specified by \\\\ in a single-quoted string or \\\\\\\\ in a double-quoted string.

Back-quotes are used to enclose system commands for substitution.
.sp 2
.NH 1
Time/Date data
.sp 1
.LP
.XS
Time/Date data
.XE
\fBgnuplot\fR supports the use of time and/or date information as input data.
This feature is activated by the commands \fBset xdata time\fR, \fBset ydata time\fR,
etc.

Internally all times and dates are converted to the number of seconds from
the year 2000.  The command \fBset timefmt\fR defines the format for all inputs:
data files, ranges, tics, label positions---in short, anything that accepts a
data value must receive it in this format.  Since only one input format can
be in force at a given time, all time/date quantities being input at the same
time must be presented in the same format.  Thus if both x and y data in a
file are time/date, they must be in the same format.

The conversion to and from seconds assumes Universal Time (which is the same
as Greenwich Standard Time).  There is no provision for changing the time
zone or for daylight savings.  If all your data refer to the same time zone
(and are all either daylight or standard) you don\&'t need to worry about these
things.  But if the absolute time is crucial for your application, you\&'ll
need to convert to UT yourself.

Commands like \fBshow xrange\fR will re-interpret the integer according to
\fBtimefmt\fR.  If you change \fBtimefmt\fR, and then \fBshow\fR the quantity again, it
will be displayed in the new \fBtimefmt\fR.  For that matter, if you give the
deactivation command (like \fBset xdata\fR), the quantity will be shown in its
numerical form.

The command \fBset format\fR defines the format that will be used for tic labels,
whether or not the specified axis is time/date.

If time/date information is to be plotted from a file, the \fBusing\fR option
_must_ be used on the \fBplot\fR or \fBsplot\fR command.  These commands simply use
white space to separate columns, but white space may be embedded within the
time/date string.  If you use tabs as a separator, some trial-and-error may
be necessary to discover how your system treats them.

The following example demonstrates time/date plotting.

Suppose the file "data" contains records like

.br
      03/21/95 10:00  6.02e23
.br

This file can be plotted by

.br
      set xdata time
.br
.br
      set timefmt "%m/%d/%y"
.br
.br
      set xrange ["03/21/95":"03/22/95"]
.br
.br
      set format x "%m/%d"
.br
.br
      set timefmt "%m/%d/%y %H:%M"
.br
.br
      plot "data" using 1:3
.br

which will produce xtic labels that look like "03/21".

See the descriptions of each command for more details.
.sp 3
.NH 1
Commands
.sp 1
.LP
.XS
Commands
.XE
This section lists the commands acceptable to \fBgnuplot\fR in alphabetical
order.  Printed versions of this document contain all commands; on-line
versions may not be complete.  Indeed, on some systems there may be no
commands at all listed under this heading.

Note that in most cases unambiguous abbreviations for command names and their
options are permissible, i.e., "\fBp f(x) w li\fR" instead of "\fBplot f(x) with
lines\fR".

In the syntax descriptions, braces ({}) denote optional arguments and a
vertical bar (|) separates mutually exclusive choices.
.sp 2
.NH 1
Cd
.sp 1
.LP
.XS
Cd
.XE
The \fBcd\fR command changes the working directory.

Syntax:
.br
      cd '<directory-name>'
.br

The directory name must be enclosed in quotes.

Examples:
.br
      cd 'subdir'
.br
.br
      cd ".."
.br

DOS users _must_ use single-quotes---backslash [\\] has special significance
inside double-quotes.  For example,
.br
      cd "c:\\newdata"
.br
fails, but
.br
      cd 'c:\\newdata'
.br
works as expected.
.sp 2
.NH 1
Call
.sp 1
.LP
.XS
Call
.XE
The \fBcall\fR command is identical to the load command with one exception: you
can have up to ten additional parameters to the command (delimited according
to the standard parser rules) which can be substituted into the lines read
from the file.  As each line is read from the \fBcall\fRed input file, it is
scanned for the sequence \fB$\fR (dollar-sign) followed by a digit (0--9).  If
found, the sequence is replaced by the corresponding parameter from the
\fBcall\fR command line.  If the parameter was specified as a string in the
\fBcall\fR line, it is substituted without its enclosing quotes.  \fB$\fR followed by
any character other than a digit will be that character.  E.g. use \fB$$\fR to
get a single \fB$\fR.  Providing more than ten parameters on the \fBcall\fR command
line will cause an error.  A parameter that was not provided substitutes as
nothing.  Files being \fBcall\fRed may themselves contain \fBcall\fR or \fBload\fR
commands.

The \fBcall\fR command _must_ be the last command on a multi-command line.

Syntax:
.br
      call "<input-file>" <parameter-0> <parm-1> ... <parm-9>
.br

The name of the input file must be enclosed in quotes, and it is recommended
that parameters are similarly enclosed in quotes (future versions of gnuplot
may treat quoted and unquoted arguments differently).

Example:

If the file \&'calltest.gp\&' contains the line:
.br
      print "p0=$0 p1=$1 p2=$2 p3=$3 p4=$4 p5=$5 p6=$6 p7=x$7x"
.br

entering the command:
.br
      call 'calltest.gp' "abcd" 1.2 + "'quoted'" -- "$2"
.br

will display:
.br
      p0=abcd p1=1.2 p2=+ p3='quoted' p4=- p5=- p6=$2 p7=xx
.br

NOTE: there is a clash in syntax with the datafile \fBusing\fR callback
operator.  Use \fB$$n\fR or \fBcolumn(n)\fR to access column n from a datafile inside
a \fBcall\fRed datafile plot.
.sp 2
.NH 1
Clear
.sp 1
.LP
.XS
Clear
.XE
The \fBclear\fR command erases the current screen or output device as specified
by \fBset output\fR.  This usually generates a formfeed on hardcopy devices.  Use
\fBset terminal\fR to set the device type.

For some terminals \fBclear\fR erases only the portion of the plotting surface
defined by \fBset size\fR, so for these it can be used in conjunction with \fBset
multiplot\fR to create an inset.

Example:
.br
      set multiplot
.br
.br
      plot sin(x)
.br
.br
      set origin 0.5,0.5
.br
.br
      set size 0.4,0.4
.br
.br
      clear
.br
.br
      plot cos(x)
.br
.br
      unset multiplot
.br

Please see \fBset multiplot\fR, \fBset size\fR, and \fBset origin\fR for details of these
commands.
.sp 2
.NH 1
Exit
.sp 1
.LP
.XS
Exit
.XE
The commands \fBexit\fR and \fBquit\fR and the END-OF-FILE character will exit the
current \fBgnuplot\fR command file and \fBload\fR the next one.  See "help
batch/interactive" for more details.

Each of these commands will clear the output device (as does the \fBclear\fR
command) before exiting.
.sp 2
.NH 1
Fit
.sp 1
.LP
.XS
Fit
.XE
The \fBfit\fR command can fit a user-defined function to a set of data points
(x,y) or (x,y,z), using an implementation of the nonlinear least-squares
(NLLS) Marquardt-Levenberg algorithm.  Any user-defined variable occurring in
the function body may serve as a fit parameter, but the return type of the
function must be real.

Syntax:
.br
      fit {[xrange] {[yrange]}} <function> '<datafile>'
.br
.br
          {datafile-modifiers}
.br
.br
          via '<parameter file>' | <var1>{,<var2>,...}
.br

Ranges may be specified to temporarily limit the data which is to be fitted;
any out-of-range data points are ignored. The syntax is
.br
      [{dummy_variable=}{<min>}{:<max>}],
.br
analogous to \fBplot\fR; see \fBplot ranges\fR.

<function> is any valid \fBgnuplot\fR expression, although it is usual to use a
previously user-defined function of the form f(x) or f(x,y).

<datafile> is treated as in the \fBplot\fR command.  All the \fBplot datafile\fR
modifiers (\fBusing\fR, \fBevery\fR,...) except \fBsmooth\fR and the deprecated \fBthru\fR
are applicable to \fBfit\fR. See \fBplot datafile\fR.

The default data formats for fitting functions with a single independent
variable, y=f(x), are {x:}y or x:y:s; those formats can be changed with
the datafile \fBusing\fR qualifier.  The third item (a column number or an
expression), if present, is interpreted as the standard deviation of the
corresponding y value and is used to compute a weight for the datum, 1/s**2.
Otherwise, all data points are weighted equally, with a weight of one.
Note that if you don\&'t specify a \fBusing\fR option at all, no y deviations are
read from the datafile even if it does have a third column, so you\&'ll
always get unit weights.

To fit a function with two independent variables, z=f(x,y), the required
format is \fBusing\fR with four items, x:y:z:s.  The complete format must be
given---no default columns are assumed for a missing token.  Weights for
each data point are evaluated from \&'s\&' as above.  If error estimates are
not available, a constant value can be specified as a constant expression
(see \fBplot datafile using\fR), e.g., \fBusing 1:2:3:(1)\fR.

Multiple datasets may be simultaneously fit with functions of one
independent variable by making y a \&'pseudo-variable\&', e.g., the dataline
number, and fitting as two independent variables.  See \fBfit multi-branch\fR.

The \fBvia\fR qualifier specifies which parameters are to be adjusted, either
directly, or by referencing a parameter file.

Examples:
.br
      f(x) = a*x**2 + b*x + c
.br
.br
      g(x,y) = a*x**2 + b*y**2 + c*x*y
.br
.br
      FIT_LIMIT = 1e-6
.br
.br
      fit f(x) 'measured.dat' via 'start.par'
.br
.br
      fit f(x) 'measured.dat' using 3:($7-5) via 'start.par'
.br
.br
      fit f(x) './data/trash.dat' using 1:2:3 via a, b, c
.br
.br
      fit g(x,y) 'surface.dat' using 1:2:3:(1) via a, b, c
.br

After each iteration step, detailed information about the current state
of the fit is written to the display.  The same information about the
initial and final states is written to a log file, "fit.log".  This file
is always appended to, so as to not lose any previous fit history;  it
should be deleted or renamed as desired. By using the command 
\fBset fit logfile\fR, the name of the log file can be changed.

If gnuplot was built with this option, and you activated it using \fBset fit
errorvariables\fR, the error for each fitted parameter will be stored in
a variable named like the parameter, but with "_err" appended.  Thus the
errors can be used as input for further computations.

The fit may be interrupted by pressing Ctrl-C (any key but Ctrl-C under
MSDOS and Atari Multitasking Systems).  After the current iteration
completes, you have the option to (1) stop the fit and accept the current
parameter values, (2) continue the fit, (3) execute a \fBgnuplot\fR command
as specified by the environment variable FIT_SCRIPT.  The default for
FIT_SCRIPT is \fBreplot\fR, so if you had previously plotted both the data
and the fitting function in one graph, you can display the current state
of the fit.

Once \fBfit\fR has finished, the \fBupdate\fR command may be used to store final
values in a file for subsequent use as a parameter file.   See \fBupdate\fR
for details.
.sp 2
.RS
.IP
.NH 2
Adjustable parameters
.sp 1
.LP
.XS
Adjustable parameters
.XE
There are two ways that \fBvia\fR can specify the parameters to be adjusted,
either directly on the command line or indirectly, by referencing a
parameter file.  The two use different means to set initial values.

Adjustable parameters can be specified by a comma-separated list of variable
names after the \fBvia\fR keyword.  Any variable that is not already defined
is created with an initial value of 1.0.  However, the fit is more likely
to converge rapidly if the variables have been previously declared with more
appropriate starting values.

In a parameter file, each parameter to be varied and a corresponding initial
value are specified, one per line, in the form
.br
      varname = value
.br

Comments, marked by \&'#\&', and blank lines are permissible.  The
special form
.br
      varname = value       # FIXED
.br

means that the variable is treated as a \&'fixed parameter\&', initialized by the
parameter file, but not adjusted by \fBfit\fR.  For clarity, it may be useful to
designate variables as fixed parameters so that their values are reported by
\fBfit\fR.  The keyword \fB# FIXED\fR has to appear in exactly this form.

.sp 2
.NH 2
Short introduction
.sp 1
.LP
.XS
Short introduction
.XE
\fBfit\fR is used to find a set of parameters that \&'best\&' fits your data to your
user-defined function.  The fit is judged on the basis of the sum of the
squared differences or \&'residuals\&' (SSR) between the input data points and
the function values, evaluated at the same places.  This quantity is often
called \&'chisquare\&' (i.e., the Greek letter chi, to the power of 2).  The
algorithm attempts to minimize SSR, or more precisely, WSSR, as the residuals
are \&'weighted\&' by the input data errors (or 1.0) before being squared;
see \fBfit error_estimates\fR for details.

That\&'s why it is called \&'least-squares fitting\&'.  Let\&'s look at an example
to see what is meant by \&'non-linear\&', but first we had better go over some
terms.  Here it is convenient to use z as the dependent variable for
user-defined functions of either one independent variable, z=f(x), or two
independent variables, z=f(x,y).  A parameter is a user-defined variable
that \fBfit\fR will adjust, i.e., an unknown quantity in the function
declaration.  Linearity/non-linearity refers to the relationship of the
dependent variable, z, to the parameters which \fBfit\fR is adjusting, not of
z to the independent variables, x and/or y.  (To be technical, the
second {and higher} derivatives of the fitting function with respect to
the parameters are zero for a linear least-squares problem).

For linear least-squares (LLS), the user-defined function will be a sum of
simple functions, not involving any parameters, each multiplied by one
parameter.  NLLS handles more complicated functions in which parameters can
be used in a large number of ways.  An example that illustrates the
difference between linear and nonlinear least-squares is the Fourier series.
One member may be written as
.br
     z=a*sin(c*x) + b*cos(c*x).
.br
If a and b are the unknown parameters and c is constant, then estimating
values of the parameters is a linear least-squares problem.  However, if
c is an unknown parameter, the problem is nonlinear.

In the linear case, parameter values can be determined by comparatively
simple linear algebra, in one direct step.  However LLS is a special case
which is also solved along with more general NLLS problems by the iterative
procedure that \fBgnuplot\fR uses.  \fBfit\fR attempts to find the minimum by doing
a search.  Each step (iteration) calculates WSSR with a new set of parameter
values.  The Marquardt-Levenberg algorithm selects the parameter values for
the next iteration.  The process continues until a preset criterion is met,
either (1) the fit has "converged" (the relative change in WSSR is less than
FIT_LIMIT), or (2) it reaches a preset iteration count limit, FIT_MAXITER
(see \fBfit control variables\fR).  The fit may also be interrupted
and subsequently halted from the keyboard (see \fBfit\fR).

Often the function to be fitted will be based on a model (or theory) that
attempts to describe or predict the behaviour of the data.  Then \fBfit\fR can
be used to find values for the free parameters of the model, to determine
how well the data fits the model, and to estimate an error range for each
parameter.  See \fBfit error_estimates\fR.

Alternatively, in curve-fitting, functions are selected independent of
a model (on the basis of experience as to which are likely to describe
the trend of the data with the desired resolution and a minimum number
of parameters*functions.)  The \fBfit\fR solution then provides an analytic
representation of the curve.

However, if all you really want is a smooth curve through your data points,
the \fBsmooth\fR option to \fBplot\fR may be what you\&'ve been looking for rather
than \fBfit\fR.
.sp 2
.NH 2
Error estimates
.sp 1
.LP
.XS
Error estimates
.XE
In \fBfit\fR, the term "error" is used in two different contexts, data error
estimates and parameter error estimates.

Data error estimates are used to calculate the relative weight of each data
point when determining the weighted sum of squared residuals, WSSR or
chisquare.  They can affect the parameter estimates, since they determine
how much influence the deviation of each data point from the fitted function
has on the final values.  Some of the \fBfit\fR output information, including
the parameter error estimates, is more meaningful if accurate data error
estimates have been provided.

The \&'statistical overview\&' describes some of the \fBfit\fR output and gives some
background for the \&'practical guidelines\&'.
.sp 2
.RS
.IP
.NH 3
Statistical overview
.sp 1
.LP
.XS
Statistical overview
.XE
The theory of non-linear least-squares (NLLS) is generally described in terms
of a normal distribution of errors, that is, the input data is assumed to be
a sample from a population having a given mean and a Gaussian (normal)
distribution about the mean with a given standard deviation.  For a sample of
sufficiently large size, and knowing the population standard deviation, one
can use the statistics of the chisquare distribution to describe a "goodness
of fit" by looking at the variable often called "chisquare".  Here, it is
sufficient to say that a reduced chisquare (chisquare/degrees of freedom,
where degrees of freedom is the number of datapoints less the number of
parameters being fitted) of 1.0 is an indication that the weighted sum of
squared deviations between the fitted function and the data points is the
same as that expected for a random sample from a population characterized by
the function with the current value of the parameters and the given standard
deviations.

If the standard deviation for the population is not constant, as in counting
statistics where variance = counts, then each point should be individually
weighted when comparing the observed sum of deviations and the expected sum
of deviations.

At the conclusion \fBfit\fR reports \&'stdfit\&', the standard deviation of the fit,
which is the rms of the residuals, and the variance of the residuals, also
called \&'reduced chisquare\&' when the data points are weighted.  The number of
degrees of freedom (the number of data points minus the number of fitted
parameters) is used in these estimates because the parameters used in
calculating the residuals of the datapoints were obtained from the same data.

To estimate confidence levels for the parameters, one can use the minimum
chisquare obtained from the fit and chisquare statistics to determine the
value of chisquare corresponding to the desired confidence level, but
considerably more calculation is required to determine the combinations of
parameters which produce such values.

Rather than determine confidence intervals, \fBfit\fR reports parameter error
estimates which are readily obtained from the variance-covariance matrix
after the final iteration.  By convention, these estimates are called
"standard errors" or "asymptotic standard errors", since they are calculated
in the same way as the standard errors (standard deviation of each parameter)
of a linear least-squares problem, even though the statistical conditions for
designating the quantity calculated to be a standard deviation are not
generally valid for the NLLS problem.  The asymptotic standard errors are
generally over-optimistic and should not be used for determining confidence
levels, but are useful for qualitative purposes.

The final solution also produces a correlation matrix, which gives an
indication of the correlation of parameters in the region of the solution;
if one parameter is changed, increasing chisquare, does changing another
compensate?  The main diagonal elements, autocorrelation, are all 1; if
all parameters were independent, all other elements would be nearly 0.  Two
variables which completely compensate each other would have an off-diagonal
element of unit magnitude, with a sign depending on whether the relation is
proportional or inversely proportional.  The smaller the magnitudes of the
off-diagonal elements, the closer the estimates of the standard deviation
of each parameter would be to the asymptotic standard error.
.sp 2
.NH 3
Practical guidelines
.sp 1
.LP
.XS
Practical guidelines
.XE
If you have a basis for assigning weights to each data point, doing so lets
you make use of additional knowledge about your measurements, e.g., take into
account that some points may be more reliable than others.  That may affect
the final values of the parameters.

Weighting the data provides a basis for interpreting the additional \fBfit\fR
output after the last iteration.  Even if you weight each point equally,
estimating an average standard deviation rather than using a weight of 1
makes WSSR a dimensionless variable, as chisquare is by definition.

Each fit iteration will display information which can be used to evaluate
the progress of the fit.  (An \&'*\&' indicates that it did not find a smaller
WSSR and is trying again.)  The \&'sum of squares of residuals\&', also called
\&\&'chisquare\&', is the WSSR between the data and your fitted function; \fBfit\fR
has minimized that.  At this stage, with weighted data, chisquare is expected
to approach the number of degrees of freedom (data points minus parameters).
The WSSR can be used to calculate the reduced chisquare (WSSR/ndf) or stdfit,
the standard deviation of the fit, sqrt(WSSR/ndf).  Both of these are
reported for the final WSSR.

If the data are unweighted, stdfit is the rms value of the deviation of the
data from the fitted function, in user units.

If you supplied valid data errors, the number of data points is large enough,
and the model is correct, the reduced chisquare should be about unity.  (For
details, look up the \&'chi-squared distribution\&' in your favourite statistics
reference.)  If so, there are additional tests, beyond the scope of this
overview, for determining how well the model fits the data.

A reduced chisquare much larger than 1.0 may be due to incorrect data error
estimates, data errors not normally distributed, systematic measurement
errors, \&'outliers\&', or an incorrect model function.  A plot of the residuals,
e.g., \fBplot \&'datafile\&' using 1:($2-f($1))\fR, may help to show any systematic
trends.  Plotting both the data points and the function may help to suggest
another model.

Similarly, a reduced chisquare less than 1.0 indicates WSSR is less than that
expected for a random sample from the function with normally distributed
errors.  The data error estimates may be too large, the statistical
assumptions may not be justified, or the model function may be too general,
fitting fluctuations in a particular sample in addition to the underlying
trends.  In the latter case, a simpler function may be more appropriate.

You\&'ll have to get used to both \fBfit\fR and the kind of problems you apply it
to before you can relate the standard errors to some more practical estimates
of parameter uncertainties or evaluate the significance of the correlation
matrix.

Note that \fBfit\fR, in common with most NLLS implementations, minimizes the
weighted sum of squared distances (y-f(x))**2.  It does not provide any means
to account for "errors" in the values of x, only in y.  Also, any "outliers"
(data points outside the normal distribution of the model) will have an
exaggerated effect on the solution.
.sp 2
.RE
.br
.NH 2
Fit controlling
.sp 1
.LP
.XS
Fit controlling
.XE
There are a number of \fBgnuplot\fR variables that can be defined to affect
\fBfit\fR.  Those which can be defined once \fBgnuplot\fR is running are listed
under \&'control_variables\&' while those defined before starting \fBgnuplot\fR
are listed under \&'environment_variables\&'.
.sp 2
.RS
.IP
.NH 3
Control variables
.sp 1
.LP
.XS
Control variables
.XE
The default epsilon limit (1e-5) may be changed by declaring a value for
.br
      FIT_LIMIT
.br
When the sum of squared residuals changes between two iteration steps by
a factor less than this number (epsilon), the fit is considered to have
\&\&'converged\&'.

The maximum number of iterations may be limited by declaring a value for
.br
      FIT_MAXITER
.br
A value of 0 (or not defining it at all)  means that there is no limit.

If you need even more control about the algorithm, and know the
Marquardt-Levenberg algorithm well, there are some more variables to
influence it. The startup value of \fBlambda\fR is normally calculated
automatically from the ML-matrix, but if you want to, you may provide
your own one with
.br
      FIT_START_LAMBDA
.br
Specifying FIT_START_LAMBDA as zero or less will re-enable the automatic
selection. The variable
.br
      FIT_LAMBDA_FACTOR
.br
gives the factor by which \fBlambda\fR is increased or decreased whenever
the chi-squared target function increased or decreased significantly.
Setting FIT_LAMBDA_FACTOR to zero re-enables the default factor of
10.0.

Other variables with the FIT_ prefix may be added to \fBfit\fR, so it is safer
not to use that prefix for user-defined variables.

The variables FIT_SKIP and FIT_INDEX were used by earlier releases of
\fBgnuplot\fR with a \&'fit\&' patch called \fBgnufit\fR and are no longer available.
The datafile \fBevery\fR modifier provides the functionality of FIT_SKIP.
FIT_INDEX was used for multi-branch fitting, but multi-branch fitting of
one independent variable is now done as a pseudo-3D fit in which the
second independent variable and \fBusing\fR are used to specify the branch.
See \fBfit multi-branch\fR.
.sp 2
.NH 3
Environment variables
.sp 1
.LP
.XS
Environment variables
.XE
The environment variables must be defined before \fBgnuplot\fR is executed; how
to do so depends on your operating system.

.br
      FIT_LOG
.br
changes the name (and/or path) of the file to which the fit log will be
written from the default of "fit.log" in the working directory. The default
value can be overwritten using the command \fBset fitlogfile\fR.

.br
      FIT_SCRIPT
.br
specifies a command that may be executed after an user interrupt. The default
is \fBreplot\fR, but a \fBplot\fR or \fBload\fR command may be useful to display a plot
customized to highlight the progress of the fit.
.sp 2
.RE
.br
.NH 2
Multi-branch
.sp 1
.LP
.XS
Multi-branch
.XE
In multi-branch fitting, multiple data sets can be simultaneously fit with
functions of one independent variable having common parameters by minimizing
the total WSSR.  The function and parameters (branch) for each data set are
selected by using a \&'pseudo-variable\&', e.g., either the dataline number (a
\&\&'column\&' index of -1) or the datafile index (-2), as the second independent
variable.

Example:  Given two exponential decays of the form, z=f(x), each describing
a different data set but having a common decay time, estimate the values of
the parameters.  If the datafile has the format x:z:s, then
.br
     f(x,y) = (y==0) ? a*exp(-x/tau) : b*exp(-x/tau)
.br
.br
     fit f(x,y) 'datafile' using  1:-1:2:3  via a, b, tau
.br

For a more complicated example, see the file "hexa.fnc" used by the
"fit.dem" demo.

Appropriate weighting may be required since unit weights may cause one
branch to predominate if there is a difference in the scale of the dependent
variable.  Fitting each branch separately, using the multi-branch solution
as initial values, may give an indication as to the relative effect of each
branch on the joint solution.
.sp 2
.NH 2
Starting values
.sp 1
.LP
.XS
Starting values
.XE
Nonlinear fitting is not guaranteed to converge to the global optimum (the
solution with the smallest sum of squared residuals, SSR), and can get stuck
at a local minimum.  The routine has no way to determine that;  it is up to
you to judge whether this has happened.

\fBfit\fR may, and often will get "lost" if started far from a solution, where
SSR is large and changing slowly as the parameters are varied, or it may
reach a numerically unstable region (e.g., too large a number causing a
floating point overflow) which results in an "undefined value" message
or \fBgnuplot\fR halting.

To improve the chances of finding the global optimum, you should set the
starting values at least roughly in the vicinity of the solution, e.g.,
within an order of magnitude, if possible.  The closer your starting values
are to the solution, the less chance of stopping at another minimum.  One way
to find starting values is to plot data and the fitting function on the same
graph and change parameter values and \fBreplot\fR until reasonable similarity
is reached.  The same plot is also useful to check whether the fit stopped at
a minimum with a poor fit.

Of course, a reasonably good fit is not proof there is not a "better" fit (in
either a statistical sense, characterized by an improved goodness-of-fit
criterion, or a physical sense, with a solution more consistent with the
model.)  Depending on the problem, it may be desirable to \fBfit\fR with various
sets of starting values, covering a reasonable range for each parameter.
.sp 2
.NH 2
Tips
.sp 1
.LP
.XS
Tips
.XE
Here are some tips to keep in mind to get the most out of \fBfit\fR.  They\&'re not
very organized, so you\&'ll have to read them several times until their essence
has sunk in.

The two forms of the \fBvia\fR argument to \fBfit\fR serve two largely distinct
purposes.  The \fBvia "file"\fR form is best used for (possibly unattended) batch
operation, where you just supply the startup values in a file and can later
use \fBupdate\fR to copy the results back into another (or the same) parameter
file.

The \fBvia var1, var2, ...\fR form is best used interactively, where the command
history mechanism may be used to edit the list of parameters to be fitted or
to supply new startup values for the next try.  This is particularly useful
for hard problems, where a direct fit to all parameters at once won\&'t work
without good starting values.  To find such, you can iterate several times,
fitting only some of the parameters, until the values are close enough to the
goal that the final fit to all parameters at once will work.

Make sure that there is no mutual dependency among parameters of the function
you are fitting.  For example, don\&'t try to fit a*exp(x+b), because
a*exp(x+b)=a*exp(b)*exp(x).  Instead, fit either a*exp(x) or exp(x+b).

A technical issue:  the parameters must not be too different in magnitude.
The larger the ratio of the largest and the smallest absolute parameter
values, the slower the fit will converge.  If the ratio is close to or above
the inverse of the machine floating point precision, it may take next to
forever to converge, or refuse to converge at all.  You will have to adapt
your function to avoid this, e.g., replace \&'parameter\&' by \&'1e9*parameter\&' in
the function definition, and divide the starting value by 1e9.

If you can write your function as a linear combination of simple functions
weighted by the parameters to be fitted, by all means do so.  That helps a
lot, because the problem is no longer nonlinear and should converge with only
a small number of iterations, perhaps just one.

Some prescriptions for analysing data, given in practical experimentation
courses, may have you first fit some functions to your data, perhaps in a
multi-step process of accounting for several aspects of the underlying
theory one by one, and then extract the information you really wanted from
the fitting parameters of those functions.  With \fBfit\fR, this may often be
done in one step by writing the model function directly in terms of the
desired parameters.  Transforming data can also quite often be avoided,
though sometimes at the cost of a more difficult fit problem.  If you think
this contradicts the previous paragraph about simplifying the fit function,
you are correct.

A "singular matrix" message indicates that this implementation of the
Marquardt-Levenberg algorithm can\&'t calculate parameter values for the next
iteration.  Try different starting values, writing the function in another
form, or a simpler function.

Finally, a nice quote from the manual of another fitting package (fudgit),
that kind of summarizes all these issues:  "Nonlinear fitting is an art!"
.sp 2
.RE
.br
.NH 1
Help
.sp 1
.LP
.XS
Help
.XE
The \fBhelp\fR command displays on-line help. To specify information on a
particular topic use the syntax:

.br
      help {<topic>}
.br

If <topic> is not specified, a short message is printed about \fBgnuplot\fR.
After help for the requested topic is given, a menu of subtopics is given;
help for a subtopic may be requested by typing its name, extending the help
request.  After that subtopic has been printed, the request may be extended
again or you may go back one level to the previous topic.  Eventually, the
\fBgnuplot\fR command line will return.

If a question mark (?) is given as the topic, the list of topics currently
available is printed on the screen.
.sp 2
.NH 1
History
.sp 1
.LP
.XS
History
.XE
\fBhistory\fR command lists or saves previous entries in the history of the
command line editing, or executes an entry.

Here you find \&'usage by examples\&':

.br
      history               # show the complete history
.br
.br
      history 5             # show last 5 entries in the history
.br
.br
      history quiet 5       # show last 5 entries without entry numbers
.br
.br
      history "hist.gp"     # write the complete history to file hist.gp
.br
.br
      history "hist.gp" append # append the complete history to file hist.gp
.br
.br
      history 10 "hist.gp"  # write last 10 commands to file hist.gp
.br
.br
      history 10 "|head -5 >>diary.gp" # write 5 history commands using pipe
.br
.br
      history ?load         # show all history entries starting with "load"
.br
.br
      history ?"set c"      # like above, several words enclosed in quotes
.br
.br
      hi !reread            # execute last entry starting with "reread"
.br
.br
      hist !"set xr"        # like above, several words enclosed in quotes
.br
.br
      hi !hi                # guess yourself :-))
.br

On systems which support a popen function (Unix), the output of history can be
piped through an external program by starting the file name with a \&'|\&', as one
of the above examples demonstrates.
.sp 2
.NH 1
If
.sp 1
.LP
.XS
If
.XE
The \fBif\fR command allows commands to be executed conditionally.

Syntax:
.br
      if (<condition>) <command-line> [; else if (<condition>) ...; else ...]
.br

<condition> will be evaluated.  If it is true (non-zero), then the command(s)
of the <command-line> will be executed.  If <condition> is false (zero), then
the entire <command-line> is ignored until the next occurrence of \fBelse\fR.
Note that use of \fB;\fR to allow multiple commands on the same line will
_not_ end the conditionalized commands.

Examples:
.br
      pi=3
.br
.br
      if (pi!=acos(-1)) print "?Fixing pi!"; pi=acos(-1); print pi
.br
will display:
.br
      ?Fixing pi!
.br
.br
      3.14159265358979
.br
but
.br
      if (1==2) print "Never see this"; print "Or this either"
.br
will not display anything.

else:
.br
      v=0
.br
.br
      v=v+1; if (v%2) print "2" ; else if (v%3) print "3"; else print "fred"
.br
(repeat the last line repeatedly!)

See \fBreread\fR for an example of how \fBif\fR and \fBreread\fR can be used together to
perform a loop.
.sp 2
.NH 1
Load
.sp 1
.LP
.XS
Load
.XE
The \fBload\fR command executes each line of the specified input file as if it
had been typed in interactively.  Files created by the \fBsave\fR command can
later be \fBload\fRed.  Any text file containing valid commands can be created
and then executed by the \fBload\fR command.  Files being \fBload\fRed may themselves
contain \fBload\fR or \fBcall\fR commands.  See \fBcomments\fR for information about
comments in commands.  To \fBload\fR with arguments, see \fBcall\fR.

The \fBload\fR command _must_ be the last command on a multi-command line.

Syntax:
.br
      load "<input-file>"
.br

The name of the input file must be enclosed in quotes.

The special filename "-" may be used to \fBload\fR commands from standard input.
This allows a \fBgnuplot\fR command file to accept some commands from standard
input.  Please see "help batch/interactive" for more details.

On some systems which support a popen function (Unix), the load file can be
read from a pipe by starting the file name with a \&'<\&'.

Examples:
.br
      load 'work.gnu'
.br
.br
      load "func.dat"
.br
.br
      load "< loadfile_generator.sh"
.br

The \fBload\fR command is performed implicitly on any file names given as
arguments to \fBgnuplot\fR.  These are loaded in the order specified, and
then \fBgnuplot\fR exits.
.sp 2
.NH 1
Pause
.sp 1
.LP
.XS
Pause
.XE
The \fBpause\fR command displays any text associated with the command and then
waits a specified amount of time or until the carriage return is pressed.
\fBpause\fR is especially useful in conjunction with \fBload\fR files.

Syntax:
.br
      pause <time> {"<string>"}
.br
.br
      pause mouse {"<string>"}
.br

<time> may be any constant or expression.  Choosing -1 will wait until a
carriage return is hit, zero (0) won\&'t pause at all, and a positive number
will wait the specified number of seconds.  The time is rounded to an integer
number of seconds if subsecond time resolution is not supported by the given
platform.  \fBpause 0\fR is synonymous with \fBprint\fR.

If the current terminal supports mousing, then \fBpause mouse\fR will terminate
on either a mouse click or on ctrl-C.  For all other terminals, or if mousing
is not active, \fBpause mouse\fR is equivalent to \fBpause -1\fR.

Note: Since \fBpause\fR communicates with the operating system rather than the
graphics, it may behave differently with different device drivers (depending
upon how text and graphics are mixed).

Examples:
.br
      pause -1    # Wait until a carriage return is hit
.br
.br
      pause 3     # Wait three seconds
.br
.br
      pause -1  "Hit return to continue"
.br
.br
      pause 10  "Isn't this pretty?  It's a cubic spline."
.br
.br
      pause mouse "Click mouse on selected data point"
.br

.sp 2
.NH 1
Plot
.sp 1
.LP
.XS
Plot
.XE
\fBplot\fR is the primary command for drawing plots with \fBgnuplot\fR.  It creates
plots of functions and data in many, many ways.  \fBplot\fR is used to draw 2-d
functions and data; \fBsplot\fR draws 2-d projections of 3-d surfaces and data.
\fBplot\fR and \fBsplot\fR contain many common features; see \fBsplot\fR for differences.
Note specifically that \fBsplot\fR\&'s \fBbinary\fR and \fBmatrix\fR options do not exist
for \fBplot\fR, and \fBplot\fR\&'s \fBaxes\fR option does not exist for \fBsplot\fR.

Syntax:
.br
      plot {<ranges>}
.br
.br
           {<function> | {"<datafile>" {datafile-modifiers}}}
.br
.br
           {axes <axes>} {<title-spec>} {with <style>}
.br
.br
           {, {definitions,} <function> ...}
.br

where either a <function> or the name of a data file enclosed in quotes is
supplied.  A function is a mathematical expression or a pair of mathematical
expressions in parametric mode.  The expressions may be defined completely or
in part earlier in the stream of \fBgnuplot\fR commands (see \fBuser-defined\fR).

It is also possible to define functions and parameters on the \fBplot\fR command
itself.  This is done merely by isolating them from other items with commas.

There are four possible sets of axes available; the keyword <axes> is used to
select the axes for which a particular line should be scaled.  \fBx1y1\fR refers
to the axes on the bottom and left; \fBx2y2\fR to those on the top and right;
\fBx1y2\fR to those on the bottom and right; and \fBx2y1\fR to those on the top and
left.  Ranges specified on the \fBplot\fR command apply only to the first set of
axes (bottom left).

Examples:
.br
      plot sin(x)
.br
.br
      plot f(x) = sin(x*a), a = .2, f(x), a = .4, f(x)
.br
.br
      plot [t=1:10] [-pi:pi*2] tan(t), \\
.br
.br
           "data.1" using (tan($2)):($3/$4) smooth csplines \\
.br
.br
                    axes x1y2 notitle with lines 5
.br

See also \fBshow plot\fR.
.sp 2
.RS
.IP
.NH 2
Data-file
.sp 1
.LP
.XS
Data-file
.XE
Discrete data contained in a file can be displayed by specifying the name of
the data file (enclosed in single or double quotes) on the \fBplot\fR command line.

Syntax:
.br
      plot '<file_name>' {index <index list>}
.br
.br
                            {every <every list>}
.br
.br
                            {thru <thru expression>}
.br
.br
                            {using <using list>}
.br
.br
                            {smooth <option>}
.br

The modifiers \fBindex\fR, \fBevery\fR, \fBthru\fR, \fBusing\fR, and \fBsmooth\fR are discussed
separately.  In brief, \fBindex\fR selects which data sets in a multi-data-set
file are to be plotted, \fBevery\fR specifies which points within a single data
set are to be plotted, \fBusing\fR determines how the columns within a single
record are to be interpreted (\fBthru\fR is a special case of \fBusing\fR), and
\fBsmooth\fR allows for simple interpolation and approximation.  (\fBsplot\fR has a
similar syntax, but does not support the \fBsmooth\fR and \fBthru\fR options.)

Data files should contain at least one data point per record (\fBusing\fR
can select one data point from the record). Records beginning with \fB#\fR
(and also with \fB!\fR on VMS) will be treated as comments and ignored.
Each data point represents an (x,y) pair. For \fBplot\fRs with error bars or
error bars with lines (see \fBset style errorbars\fR or \fBset style errorlines\fR),
each data point is (x,y,ydelta), (x,y,ylow,yhigh),
(x,y,xdelta), (x,y,xlow,xhigh), or (x,y,xlow,xhigh,ylow,yhigh).

In all cases, the numbers of each record of a data file must be separated
by white space (one or more blanks or tabs) unless a format specifier is
provided by the \fBusing\fR option. This white space divides each record into
columns. However, whitespace inside a pair of double quotes is ignored when
counting columns, so the following datafile line has three columns:
.br
      1.0 "second column" 3.0
.br

Data may be written in exponential format with the exponent preceded by the
letter e, E, d, D, q, or Q.

Only one column (the y value) need be provided.  If x is omitted, \fBgnuplot\fR
provides integer values starting at 0.

In datafiles, blank records (records with no characters other than blanks and
a newline and/or carriage return) are significant---pairs of blank records
separate \fBindex\fRes (see \fBplot datafile index\fR).  Data separated by double
blank records are treated as if they were in separate data files.

Single blank records designate discontinuities in a \fBplot\fR; no line will join
points separated by a blank records (if they are plotted with a line style).

If autoscaling has been enabled (\fBset autoscale\fR), the axes are automatically
extended to include all datapoints, with a whole number of tic marks if tics
are being drawn.  This has two consequences: i) For \fBsplot\fR, the corner of
the surface may not coincide with the corner of the base.  In this case, no
vertical line is drawn.  ii) When plotting data with the same x range on a
dual-axis graph, the x coordinates may not coincide if the x2tics are not
being drawn.  This is because the x axis has been autoextended to a whole
number of tics, but the x2 axis has not.  The following example illustrates
the problem:

.br
      reset; plot '-', '-' axes x2y1
.br
.br
      1 1
.br
.br
      19 19
.br
.br
      e
.br
.br
      1 1
.br
.br
      19 19
.br
.br
      e
.br

To avoid this, you can use the \fBfixmin\fR/\fBfixmax\fR feature of the
\fBset autoscale\fR command, which turns off the automatic extension of the
axis range upto the next tic mark.
.sp 2
.RS
.IP
.NH 3
Every
.sp 1
.LP
.XS
Every
.XE
The \fBevery\fR keyword allows a periodic sampling of a data set to be plotted.

In the discussion a "point" is a datum defined by a single record in the
file; "block" here will mean the same thing as "datablock" (see \fBglossary\fR).

Syntax:
.br
      plot 'file' every {<point_incr>}
.br
.br
                          {:{<block_incr>}
.br
.br
                            {:{<start_point>}
.br
.br
                              {:{<start_block>}
.br
.br
                                {:{<end_point>}
.br
.br
                                  {:<end_block>}}}}}
.br

The data points to be plotted are selected according to a loop from
<\fBstart_point\fR> to <\fBend_point\fR> with increment <\fBpoint_incr\fR> and the
blocks according to a loop from <\fBstart_block\fR> to <\fBend_block\fR> with
increment <\fBblock_incr\fR>.

The first datum in each block is numbered \&'0\&', as is the first block in the
file.

Note that records containing unplottable information are counted.

Any of the numbers can be omitted; the increments default to unity, the start
values to the first point or block, and the end values to the last point or
block.  If \fBevery\fR is not specified, all points in all lines are plotted.

Examples:
.br
      every :::3::3    # selects just the fourth block ('0' is first)
.br
.br
      every :::::9     # selects the first 10 blocks
.br
.br
      every 2:2        # selects every other point in every other block
.br
.br
      every ::5::15    # selects points 5 through 15 in each block
.br

See
,
, and
\&.
.sp 2
.NH 3
Example datafile
.sp 1
.LP
.XS
Example datafile
.XE
This example plots the data in the file "population.dat" and a theoretical
curve:

.br
      pop(x) = 103*exp((1965-x)/10)
.br
.br
      plot [1960:1990] 'population.dat', pop(x)
.br

The file "population.dat" might contain:

.br
      # Gnu population in Antarctica since 1965
.br
.br
         1965   103
.br
.br
         1970   55
.br
.br
         1975   34
.br
.br
         1980   24
.br
.br
         1985   10
.br

.sp 2
.NH 3
Index
.sp 1
.LP
.XS
Index
.XE
The \fBindex\fR keyword allows only some of the data sets in a multi-data-set
file to be plotted.

Syntax:
.br
      plot 'file' index <m>{{:<n>}:<p>}
.br

Data sets are separated by pairs of blank records.  \fBindex <m>\fR selects only
set <m>; \fBindex <m>:<n>\fR selects sets in the range <m> to <n>; and \fBindex
<m>:<n>:<p>\fR selects indices <m>, <m>+<p>, <m>+2<p>, etc., but stopping at
<n>.  Following C indexing, the index 0 is assigned to the first data set in
the file.  Specifying too large an index results in an error message.  If
\fBindex\fR is not specified, all sets are plotted as a single data set.

Example:
.br
      plot 'file' index 4:5
.br

.sp 2
.NH 3
Smooth
.sp 1
.LP
.XS
Smooth
.XE
\fBgnuplot\fR includes a few general-purpose routines for interpolation and
approximation of data; these are grouped under the \fBsmooth\fR option.  More
sophisticated data processing may be performed by preprocessing the data
externally or by using \fBfit\fR with an appropriate model.

Syntax:
.br
      smooth {unique | frequency | csplines | acsplines | bezier | sbezier}
.br

\fBunique\fR and \fBfrequency\fR plot the data after making them monotonic.  Each of
the other routines uses the data to determine the coefficients of a
continuous curve between the endpoints of the data.  This curve is then
plotted in the same manner as a function, that is, by finding its value at
uniform intervals along the abscissa (see \fBset samples\fR) and connecting these
points with straight line segments (if a line style is chosen).

If \fBautoscale\fR is in effect, the ranges will be computed such that the
plotted curve lies within the borders of the graph.

If \fBautoscale\fR is not in effect, and the smooth option is either \fBacspline\fR
or \fBcspline\fR, the sampling of the generated curve is
done across the intersection of the x range covered by the input data and
the fixed abscissa range as defined by \fBset xrange\fR.

If too few points are available to allow the selected option to be applied,
an error message is produced.  The minimum number is one for \fBunique\fR and
\fBfrequency\fR, four for \fBacsplines\fR, and three for the others.

The \fBsmooth\fR options have no effect on function plots.
.sp 2
.RS
.IP
.NH 4
Acsplines
.sp 1
.LP
.XS
Acsplines
.XE
The \fBacsplines\fR option approximates the data with a "natural smoothing spline".
After the data are made monotonic in x (see \fBsmooth unique\fR), a curve is
piecewise constructed from segments of cubic polynomials whose coefficients
are found by the weighting the data points; the weights are taken from the
third column in the data file.  That default can be modified by the third
entry in the \fBusing\fR list, e.g.,
.br
      plot 'data-file' using 1:2:(1.0) smooth acsplines
.br

Qualitatively, the absolute magnitude of the weights determines the number
of segments used to construct the curve.  If the weights are large, the
effect of each datum is large and the curve approaches that produced by
connecting consecutive points with natural cubic splines.  If the weights are
small, the curve is composed of fewer segments and thus is smoother; the
limiting case is the single segment produced by a weighted linear least
squares fit to all the data.  The smoothing weight can be expressed in terms
of errors as a statistical weight for a point divided by a "smoothing factor"
for the curve so that (standard) errors in the file can be used as smoothing
weights.

Example:
.br
      sw(x,S)=1/(x*x*S)
.br
.br
      plot 'data_file' using 1:2:(sw($3,100)) smooth acsplines
.br
.sp 2
.NH 4
Bezier
.sp 1
.LP
.XS
Bezier
.XE
The \fBbezier\fR option approximates the data with a Bezier curve of degree n
(the number of data points) that connects the endpoints.
.sp 2
.NH 4
Csplines
.sp 1
.LP
.XS
Csplines
.XE
The \fBcsplines\fR option connects consecutive points by natural cubic splines
after rendering the data monotonic (see \fBsmooth unique\fR).
.sp 2
.NH 4
Sbezier
.sp 1
.LP
.XS
Sbezier
.XE
The \fBsbezier\fR option first renders the data monotonic (\fBunique\fR) and then
applies the \fBbezier\fR algorithm.
.sp 2
.NH 4
Unique
.sp 1
.LP
.XS
Unique
.XE
The \fBunique\fR option makes the data monotonic in x; points with the same
x-value are replaced by a single point having the average y-value.  The
resulting points are then connected by straight line segments.
demos
.sp 2
.NH 4
Frequency
.sp 1
.LP
.XS
Frequency
.XE
The \fBfrequency\fR option makes the data monotonic in x; points with the same
x-value are replaced by a single point having the summed y-values.  The
resulting points are then connected by straight line segments.
.sp 2
.RE
.br
.NH 3
Special-filenames
.sp 1
.LP
.XS
Special-filenames
.XE
A special filename of \fB\&'-\&'\fR specifies that the data are inline; i.e., they
follow the command.  Only the data follow the command; \fBplot\fR options like
filters, titles, and line styles remain on the \fBplot\fR command line.  This is
similar to << in unix shell script, and $DECK in VMS DCL.  The data are
entered as though they are being read from a file, one data point per record.
The letter "e" at the start of the first column terminates data entry.  The
\fBusing\fR option can be applied to these data---using it to filter them through
a function might make sense, but selecting columns probably doesn\&'t!

\fB\&'-\&'\fR is intended for situations where it is useful to have data and commands
together, e.g., when \fBgnuplot\fR is run as a sub-process of some front-end
application.  Some of the demos, for example, might use this feature.  While
\fBplot\fR options such as \fBindex\fR and \fBevery\fR are recognized, their use forces
you to enter data that won\&'t be used.  For example, while

.br
      plot '-' index 0, '-' index 1
.br
.br
      2
.br
.br
      4
.br
.br
      6
.br


.br
      10
.br
.br
      12
.br
.br
      14
.br
.br
      e
.br
.br
      2
.br
.br
      4
.br
.br
      6
.br


.br
      10
.br
.br
      12
.br
.br
      14
.br
.br
      e
.br

does indeed work,

.br
      plot '-', '-'
.br
.br
      2
.br
.br
      4
.br
.br
      6
.br
.br
      e
.br
.br
      10
.br
.br
      12
.br
.br
      14
.br
.br
      e
.br

is a lot easier to type.

If you use \fB\&'-\&'\fR with \fBreplot\fR, you may need to enter the data more than once
(see \fBreplot\fR).

A blank filename (\&'\&') specifies that the previous filename should be reused.
This can be useful with things like

.br
      plot 'a/very/long/filename' using 1:2, '' using 1:3, '' using 1:4
.br

(If you use both \fB\&'-\&'\fR and \fB\&'\&'\fR on the same \fBplot\fR command, you\&'ll need to
have two sets of inline data, as in the example above.)

On some computer systems with a popen function (Unix), the datafile can be
piped through a shell command by starting the file name with a \&'<\&'.  For
example,

.br
      pop(x) = 103*exp(-x/10)
.br
.br
      plot "< awk '{print $1-1965, $2}' population.dat", pop(x)
.br

would plot the same information as the first population example but with
years since 1965 as the x axis.  If you want to execute this example, you
have to delete all comments from the data file above or substitute the
following command for the first part of the command above (the part up to
the comma):

.br
      plot "< awk '$0 !~ /^#/ {print $1-1965, $2}' population.dat"
.br

While this approach is most flexible, it is possible to achieve simple
filtering with the \fBusing\fR or \fBthru\fR keywords.
.sp 2
.NH 3
Thru
.sp 1
.LP
.XS
Thru
.XE
The \fBthru\fR function is provided for backward compatibility.

Syntax:
.br
      plot 'file' thru f(x)
.br

It is equivalent to:

.br
      plot 'file' using 1:(f($2))
.br

While the latter appears more complex, it is much more flexible.  The more
natural

.br
      plot 'file' thru f(y)
.br

also works (i.e. you can use y as the dummy variable).

\fBthru\fR is parsed for \fBsplot\fR and \fBfit\fR but has no effect.
.sp 2
.NH 3
Using
.sp 1
.LP
.XS
Using
.XE
The most common datafile modifier is \fBusing\fR.

Syntax:
.br
      plot 'file' using {<entry> {:<entry> {:<entry> ...}}} {'format'}
.br

If a format is specified, each datafile record is read using the C library\&'s
\&\&'scanf\&' function, with the specified format string.  Otherwise the record is
read and broken into columns at spaces or tabs.  A format cannot be specified
if time-format data is being used (this must be done by \fBset data time\fR).

The resulting array of data is then sorted into columns according to the
entries.  Each <entry> may be a simple column number, which selects the
datum, an expression enclosed in parentheses, or empty.  The expression can
use $1 to access the first item read, $2 for the second item, and so on.  It
can also use \fBcolumn(x)\fR and \fBvalid(x)\fR where x is an arbitrary expression
resulting in an integer.  \fBcolumn(x)\fR returns the x\&'th datum; \fBvalid(x)\fR
tests that the datum in the x\&'th column is a valid number.  A column number
of 0 generates a number increasing (from zero) with each point, and is reset
upon encountering two blank records.  A column number of -1 gives the
dataline number, which starts at 0, increments at single blank records, and
is reset at double blank records.  A column number of -2 gives the index
number, which is incremented only when two blank records are found.  An empty
<entry> will default to its order in the list of entries.  For example,
\fBusing ::4\fR is interpreted as \fBusing 1:2:4\fR.

N.B.---the \fBcall\fR command also uses $\&'s as a special character.  See \fBcall\fR
for details about how to include a column number in a \fBcall\fR argument list.

If the \fBusing\fR list has but a single entry, that <entry> will be used for y
and the data point number is used for x; for example, "\fBplot \&'file\&' using 1\fR"
is identical to "\fBplot \&'file\&' using 0:1\fR".  If the \fBusing\fR list has two
entries, these will be used for x and y.  Additional entries are usually
errors in x and/or y.  See \fBset style\fR for details about plotting styles that
make use of error information, and \fBfit\fR for use of error information in
curve fitting.

\&\&'scanf\&' accepts several numerical specifications but \fBgnuplot\fR requires all
inputs to be double-precision floating-point variables, so \fBlf\fR is the only
permissible specifier.  \&'scanf\&' expects to see white space---a blank, tab
("\\t"), newline ("\\n"), or formfeed ("\\f")---between numbers; anything else
in the input stream must be explicitly skipped.

Note that the use of "\\t", "\\n", or "\\f" requires use of double-quotes
rather than single-quotes.

Examples:

This creates a plot of the sum of the 2nd and 3rd data against the first:
The format string specifies comma- rather than space-separated columns.
The same result could be achieved by specifying \fBset datafile separator ","\fR.
.br
      plot 'file' using 1:($2+$3) '%lf,%lf,%lf'
.br

In this example the data are read from the file "MyData" using a more
complicated format:
.br
      plot 'MyData' using "%*lf%lf%*20[^\\n]%lf"
.br

The meaning of this format is:

.br
      %*lf        ignore a number
.br
.br
      %lf         read a double-precision number (x by default)
.br
.br
      %*20[^\\n]   ignore 20 non-newline characters
.br
.br
      %lf         read a double-precision number (y by default)
.br

One trick is to use the ternary \fB?:\fR operator to filter data:

.br
      plot 'file' using 1:($3>10 ? $2 : 1/0)
.br

which plots the datum in column two against that in column one provided
the datum in column three exceeds ten.  \fB1/0\fR is undefined; \fBgnuplot\fR
quietly ignores undefined points, so unsuitable points are suppressed.

In fact, you can use a constant expression for the column number, provided it
doesn\&'t start with an opening parenthesis; constructs like \fBusing
0+(complicated expression)\fR can be used.  The crucial point is that the
expression is evaluated once if it doesn\&'t start with a left parenthesis, or
once for each data point read if it does.

If timeseries data are being used, the time can span multiple columns.  The
starting column should be specified.  Note that the spaces within the time
must be included when calculating starting columns for other data.  E.g., if
the first element on a line is a time with an embedded space, the y value
should be specified as column three.

It should be noted that \fBplot \&'file\&'\fR, \fBplot \&'file\&' using 1:2\fR, and \fBplot
\&\&'file\&' using ($1):($2)\fR can be subtly different: 1) if \fBfile\fR has some lines
with one column and some with two, the first will invent x values when they
are missing, the second will quietly ignore the lines with one column, and
the third will store an undefined value for lines with one point (so that in
a plot with lines, no line joins points across the bad point); 2) if a line
contains text at the first column, the first will abort the plot on an error,
but the second and third should quietly skip the garbage.

In fact, it is often possible to plot a file with lots of lines of garbage at
the top simply by specifying

.br
      plot 'file' using 1:2
.br

However, if you want to leave text in your data files, it is safer to put the
comment character (#) in the first column of the text lines.
Feeble using demos.
.sp 2
.RE
.br
.NH 2
Errorbars
.sp 1
.LP
.XS
Errorbars
.XE
Error bars are supported for 2-d data file plots by reading one to four
additional columns (or \fBusing\fR entries); these additional values are used in
different ways by the various errorbar styles.

In the default situation, \fBgnuplot\fR expects to see three, four, or six
numbers on each line of the data file---either

.br
      (x, y, ydelta),
.br
.br
      (x, y, ylow, yhigh),
.br
.br
      (x, y, xdelta),
.br
.br
      (x, y, xlow, xhigh),
.br
.br
      (x, y, xdelta, ydelta), or
.br
.br
      (x, y, xlow, xhigh, ylow, yhigh).
.br

The x coordinate must be specified.  The order of the numbers must be
exactly as given above, though the \fBusing\fR qualifier can manipulate the order
and provide values for missing columns.  For example,

.br
      plot 'file' with errorbars
.br
.br
      plot 'file' using 1:2:(sqrt($1)) with xerrorbars
.br
.br
      plot 'file' using 1:2:($1-$3):($1+$3):4:5 with xyerrorbars
.br

The last example is for a file containing an unsupported combination of
relative x and absolute y errors.  The \fBusing\fR entry generates absolute x min
and max from the relative error.

The y error bar is a vertical line plotted from (x, ylow) to (x,
yhigh). If ydelta is specified instead of ylow and yhigh, ylow = y -
ydelta and yhigh = y + ydelta are derived. If there are only two
numbers on the record, yhigh and ylow are both set to y. The x error
bar is a horizontal line computed in the same fashion. To get lines
plotted between the data points, \fBplot\fR the data file twice, once with
errorbars and once with lines (but remember to use the \fBnotitle\fR
option on one to avoid two entries in the key). Alternately, use the
errorlines command (see \fBerrorlines\fR).

The error bars have crossbars at each end unless \fBset bars\fR is used
(see \fBset bars\fR for details).

If autoscaling is on, the ranges will be adjusted to include the error bars.
See also
errorbar demos.

See \fBplot using\fR, \fBplot with\fR, and \fBset style\fR for more information.
.sp 2
.NH 2
Errorlines
.sp 1
.LP
.XS
Errorlines
.XE
Lines with error bars are supported for 2-d data file plots by reading
one to four additional columns (or \fBusing\fR entries); these additional
values are used in different ways by the various errorlines styles.

In the default situation, \fBgnuplot\fR expects to see three, four, or six
numbers on each line of the data file---either

.br
      (x, y, ydelta),
.br
.br
      (x, y, ylow, yhigh),
.br
.br
      (x, y, xdelta),
.br
.br
      (x, y, xlow, xhigh),
.br
.br
      (x, y, xdelta, ydelta), or
.br
.br
      (x, y, xlow, xhigh, ylow, yhigh).
.br

The x coordinate must be specified. The order of the numbers must be
exactly as given above, though the \fBusing\fR qualifier can manipulate
the order and provide values for missing columns. For example,

.br
      plot 'file' with errorlines
.br
.br
      plot 'file' using 1:2:(sqrt($1)) with xerrorlines
.br
.br
      plot 'file' using 1:2:($1-$3):($1+$3):4:5 with xyerrorlines
.br

The last example is for a file containing an unsupported combination
of relative x and absolute y errors. The \fBusing\fR entry generates
absolute x min and max from the relative error.

The y error bar is a vertical line plotted from (x, ylow) to (x,
yhigh). If ydelta is specified instead of ylow and yhigh, ylow = y -
ydelta and yhigh = y + ydelta are derived. If there are only two
numbers on the record, yhigh and ylow are both set to y. The x error
bar is a horizontal line computed in the same fashion.

The error bars have crossbars at each end unless \fBset bars\fR is used
(see \fBset bars\fR for details).

If autoscaling is on, the ranges will be adjusted to include the error bars.

See \fBplot using\fR, \fBplot with\fR, and \fBset style\fR for more information.
.sp 2
.NH 2
Parametric
.sp 1
.LP
.XS
Parametric
.XE
When in parametric mode (\fBset parametric\fR) mathematical expressions must be
given in pairs for \fBplot\fR and in triplets for \fBsplot\fR.

Examples:
.br
      plot sin(t),t**2
.br
.br
      splot cos(u)*cos(v),cos(u)*sin(v),sin(u)
.br

Data files are plotted as before, except any preceding parametric function
must be fully specified before a data file is given as a plot.  In other
words, the x parametric function (\fBsin(t)\fR above) and the y parametric
function (\fBt**2\fR above) must not be interrupted with any modifiers or data
functions; doing so will generate a syntax error stating that the parametric
function is not fully specified.

Other modifiers, such as \fBwith\fR and \fBtitle\fR, may be specified only after the
parametric function has been completed:

.br
      plot sin(t),t**2 title 'Parametric example' with linespoints
.br

See also
Parametric Mode Demos.
.sp 2
.NH 2
Ranges
.sp 1
.LP
.XS
Ranges
.XE
The optional ranges specify the region of the graph that will be displayed.

Syntax:
.br
      [{<dummy-var>=}{{<min>}:{<max>}}]
.br
.br
      [{{<min>}:{<max>}}]
.br

The first form applies to the independent variable (\fBxrange\fR or \fBtrange\fR, if
in parametric mode).  The second form applies to the dependent variable
\fByrange\fR (and \fBxrange\fR, too, if in parametric mode).  <dummy-var> is a new
name for the independent variable.  (The defaults may be changed with \fBset
dummy\fR.)  The optional <min> and <max> terms can be constant expressions or *.

In non-parametric mode, the order in which ranges must be given is \fBxrange\fR
and \fByrange\fR.

In parametric mode, the order for the \fBplot\fR command is \fBtrange\fR, \fBxrange\fR,
and \fByrange\fR.  The following \fBplot\fR command shows setting the \fBtrange\fR to
[-pi:pi], the \fBxrange\fR to [-1.3:1.3] and the \fByrange\fR to [-1:1] for the
duration of the graph:

.br
      plot [-pi:pi] [-1.3:1.3] [-1:1] sin(t),t**2
.br

Note that the x2range and y2range cannot be specified here---\fBset x2range\fR
and \fBset y2range\fR must be used.

Ranges are interpreted in the order listed above for the appropriate mode.
Once all those needed are specified, no further ones must be listed, but
unneeded ones cannot be skipped---use an empty range \fB[]\fR as a placeholder.

\fB*\fR can be used to allow autoscaling of either of min and max.  See also
\fBset autoscale\fR.

Ranges specified on the \fBplot\fR or \fBsplot\fR command line affect only that
graph; use the \fBset xrange\fR, \fBset yrange\fR, etc., commands to change the
default ranges for future graphs.

With time data, you must provide the range (in the same manner as the time
appears in the datafile) within quotes.  \fBgnuplot\fR uses the \fBtimefmt\fR string
to read the value---see \fBset timefmt\fR.

Examples:

This uses the current ranges:
.br
      plot cos(x)
.br

This sets the x range only:
.br
      plot [-10:30] sin(pi*x)/(pi*x)
.br

This is the same, but uses t as the dummy-variable:
.br
      plot [t = -10 :30]  sin(pi*t)/(pi*t)
.br

This sets both the x and y ranges:
.br
      plot [-pi:pi] [-3:3]  tan(x), 1/x
.br

This sets only the y range, and turns off autoscaling on both axes:
.br
      plot [ ] [-2:sin(5)*-8] sin(x)**besj0(x)
.br

This sets xmax and ymin only:
.br
      plot [:200] [-pi:]  exp(sin(x))
.br

This sets the x range for a timeseries:
.br
      set timefmt "%d/%m/%y %H:%M"
.br
.br
      plot ["1/6/93 12:00":"5/6/93 12:00"] 'timedata.dat'
.br

See also
ranges demo.
.sp 2
.NH 2
Title
.sp 1
.LP
.XS
Title
.XE
A line title for each function and data set appears in the key, accompanied
by a sample of the line and/or symbol used to represent it.  It can be
changed by using the \fBtitle\fR option.

Syntax:
.br
      title "<title>" | notitle
.br

where <title> is the new title of the line and must be enclosed in quotes.
The quotes will not be shown in the key.  A special character may be given as
a backslash followed by its octal value ("\\345").  The tab character "\\t" is
understood.  Note that backslash processing occurs only for strings enclosed
in double quotes---use single quotes to prevent such processing.  The newline
character "\\n" is not processed in key entries in either type of string.

The line title and sample can be omitted from the key by using the keyword
\fBnotitle\fR.  A null title (\fBtitle \&'\&'\fR) is equivalent to \fBnotitle\fR.  If only
the sample is wanted, use one or more blanks (\fBtitle \&' \&'\fR).

If \fBkey autotitles\fR is set (which is the default) and neither \fBtitle\fR nor
\fBnotitle\fR are specified the line title is the function name or the file name as
it appears on the \fBplot\fR command.  If it is a file name, any datafile modifiers
specified will be included in the default title.

The layout of the key itself (position, title justification, etc.) can be
controlled by \fBset key\fR.  Please see \fBset key\fR for details.

Examples:

This plots y=x with the title \&'x\&':
.br
      plot x
.br

This plots x squared with title "x^2" and file "data.1" with title
"measured data":
.br
      plot x**2 title "x^2", 'data.1' t "measured data"
.br

This puts an untitled circular border around a polar graph:
.br
      set polar; plot my_function(t), 1 notitle
.br
.sp 2
.NH 2
With
.sp 1
.LP
.XS
With
.XE
Functions and data may be displayed in one of a large number of styles.
The \fBwith\fR keyword provides the means of selection.

Syntax:
.br
      with <style> { {linestyle | ls <line_style>}
.br
.br
                     | {{linetype  | lt <line_type>}
.br
.br
                        {linewidth | lw <line_width>}
.br
.br
                        {pointtype | pt <point_type>}
.br
.br
                        {pointsize | ps <point_size>}
.br
.br
                        {fill | fs <fillstyle>}
.br
.br
                        {palette}}
.br
.br
                   }
.br

where <style> is either \fBlines\fR, \fBpoints\fR, \fBlinespoints\fR, \fBimpulses\fR,
\fBdots\fR, \fBsteps\fR, \fBfsteps\fR, \fBhisteps\fR, \fBerrorbars\fR, \fBxerrorbars\fR,
\fByerrorbars\fR, \fBxyerrorbars\fR, \fBerrorlines\fR, \fBxerrorlines\fR, \fByerrorlines\fR,
\fBxyerrorlines\fR, \fBboxes\fR, \fBfilledcurves\fR, \fBboxerrorbars\fR,
\fBboxxyerrorbars\fR, \fBfinancebars\fR, \fBcandlesticks\fR, \fBvectors\fR or \fBpm3d\fR. Some
of these styles require additional information. See \fBplotting styles\fR for
details of each style.  \fBfill\fR is relevant only to certain 2D plots
(currently \fBboxes\fR \fBboxxyerrorbars\fR and \fBcandlesticks\fR).  
Note that \fBfilledcurves\fR and \fBpm3d\fR can take an additional option not 
listed above (the latter only when used in the \fBsplot\fR command)---see 
their help or examples below for more details.

Default styles are chosen with the \fBset style function\fR and \fBset style data\fR
commands.

By default, each function and data file will use a different line type and
point type, up to the maximum number of available types.  All terminal
drivers support at least six different point types, and re-use them, in
order, if more are required.  The LaTeX driver supplies an additional six
point types (all variants of a circle), and thus will only repeat after 12
curves are plotted with points.  The PostScript drivers (\fBpostscript\fR)
supplies a total of 64.

If you wish to choose the line or point type for a single plot, <line_type>
and <point_type> may be specified.  These are positive integer constants (or
expressions) that specify the line type and point type to be used for the
plot.  Use \fBtest\fR to display the types available for your terminal.

You may also scale the line width and point size for a plot by using
<line_width> and <point_size>, which are specified relative to the default
values for each terminal.  The pointsize may also be altered
globally---see \fBset pointsize\fR for details.  But note that both <point_size>
as set here and  as set by \fBset pointsize\fR multiply the default point
size---their effects are  not cumulative.  That is,
\fBset pointsize 2; plot x w p ps 3\fR will use points three times default size,
not six.

If you have defined specific line type/width and point type/size combinations
with \fBset style line\fR, one of these may be selected by setting <line_style> to
the index of the desired style.

If gnuplot was built with \fBpm3d\fR support, the special keyword \fBpalette\fR is
allowed for smooth color change of lines, points and dots in \fBsplots\fR. The
color is chosen from a smooth palette which was set previously with the
command \fBset palette\fR. The color value corresponds to the z-value of the
point coordinates or to the color coordinate if specified by the 4th parameter
in \fBusing\fR. The 2d \fBplot\fR command ignores this option.

The keywords may be abbreviated as indicated.

Note that the \fBlinewidth\fR, \fBpointsize\fR and \fBpalette\fR options are not supported
by all terminals.

Examples:

This plots sin(x) with impulses:
.br
      plot sin(x) with impulses
.br

This plots x with points, x**2 with the default:
.br
      plot x w points, x**2
.br

This plots tan(x) with the default function style, file "data.1" with lines:
.br
      plot [ ] [-2:5] tan(x), 'data.1' with l
.br

This plots "leastsq.dat" with impulses:
.br
      plot 'leastsq.dat' w i
.br

This plots the data file "population" with boxes:
.br
      plot 'population' with boxes
.br

This plots "exper.dat" with errorbars and lines connecting the points
(errorbars require three or four columns):
.br
      plot 'exper.dat' w lines, 'exper.dat' notitle w errorbars
.br

Another way to plot "exper.dat" with errorlines (errorbars require three
or four columns):
.br
      plot 'exper.dat' w errorlines
.br

This plots sin(x) and cos(x) with linespoints, using the same line type but
different point types:
.br
      plot sin(x) with linesp lt 1 pt 3, cos(x) with linesp lt 1 pt 4
.br

This plots file "data" with points of type 3 and twice usual size:
.br
      plot 'data' with points pointtype 3 pointsize 2
.br

This plots two data sets with lines differing only by weight:
.br
      plot 'd1' t "good" w l lt 2 lw 3, 'd2' t "bad" w l lt 2 lw 1
.br

This plots filled curve of x*x and a color stripe:
.br
      plot x*x with filledcurve closed, 40 with filledcurve y1=10
.br

This plots x*x and a color box:
.br
      plot x*x, (x>=-5 && x<=5 ? 40 : 1/0) with filledcurve y1=10 lt 8
.br

This plots a surface with color lines:
.br
      splot x*x-y*y with line palette
.br

This plots two color surfaces at different altitudes:
.br
      splot x*x-y*y with pm3d, x*x+y*y with pm3d at t
.br

See \fBset style\fR to change the default styles. See also
styles demos.
.sp 2
.RE
.br
.NH 1
Print
.sp 1
.LP
.XS
Print
.XE
The \fBprint\fR command prints the value of <expression> to the screen.  It is
synonymous with \fBpause 0\fR.  <expression> may be anything that \fBgnuplot\fR can
evaluate that produces a number, or it can be a string.

Syntax:
.br
      print <expression> {, <expression>, ...}
.br

See \fBexpressions\fR.  The output file can be set with \fBset print\fR.
.sp 2
.NH 1
Pwd
.sp 1
.LP
.XS
Pwd
.XE
The \fBpwd\fR command prints the name of the working directory to the screen.
.sp 2
.NH 1
Quit
.sp 1
.LP
.XS
Quit
.XE
The \fBexit\fR and \fBquit\fR commands and END-OF-FILE character will exit \fBgnuplot\fR.
Each of these commands will clear the output device (as does the \fBclear\fR
command) before exiting.
.sp 2
.NH 1
Replot
.sp 1
.LP
.XS
Replot
.XE
The \fBreplot\fR command without arguments repeats the last \fBplot\fR or \fBsplot\fR
command.  This can be useful for viewing a plot with different \fBset\fR options,
or when generating the same plot for several devices.

Arguments specified after a \fBreplot\fR command will be added onto the last
\fBplot\fR or \fBsplot\fR command (with an implied \&',\&' separator) before it is
repeated.  \fBreplot\fR accepts the same arguments as the \fBplot\fR and \fBsplot\fR
commands except that ranges cannot be specified.  Thus you can use \fBreplot\fR
to plot a function against the second axes if the previous command was \fBplot\fR
but not if it was \fBsplot\fR, and similarly you can use \fBreplot\fR to add a plot
from a binary file only if the previous command was \fBsplot\fR.

N.B.---use of

.br
      plot '-' ; ... ; replot
.br

is not recommended.  \fBgnuplot\fR does not store the inline data internally, so
since \fBreplot\fR appends new information to the previous \fBplot\fR and then
executes the modified command, the \fB\&'-\&'\fR from the initial \fBplot\fR will expect
to read inline data again.

Note that \fBreplot\fR does not work in \fBmultiplot\fR mode, since it reproduces
only the last plot rather than the entire screen.

See also \fBcommand-line-editing\fR for ways to edit the last \fBplot\fR (\fBsplot\fR)
command.

See also \fBshow plot\fR to show the whole current plotting command, and the
possibility to copy it into the \fBhistory\fR.
.sp 2
.NH 1
Reread
.sp 1
.LP
.XS
Reread
.XE
The \fBreread\fR command causes the current \fBgnuplot\fR command file, as specified
by a \fBload\fR command or on the command line, to be reset to its starting
point before further commands are read from it.  This essentially implements
an endless loop of the commands from the beginning of the command file to
the \fBreread\fR command.  (But this is not necessarily a disaster---\fBreread\fR can
be very useful when used in conjunction with \fBif\fR.  See \fBif\fR for details.)
The \fBreread\fR command has no effect if input from standard input.

Examples:

Suppose the file "looper" contains the commands
.br
      a=a+1
.br
.br
      plot sin(x*a)
.br
.br
      pause -1
.br
.br
      if(a<5) reread
.br
and from within \fBgnuplot\fR you submit the commands
.br
      a=0
.br
.br
      load 'looper'
.br
The result will be four plots (separated by the \fBpause\fR message).

Suppose the file "data" contains six columns of numbers with a total yrange
from 0 to 10; the first is x and the next are five different functions of x.
Suppose also that the file "plotter" contains the commands
.br
      c_p = c_p+1
.br
.br
      plot "$0" using 1:c_p with lines linetype c_p
.br
.br
      if(c_p <  n_p) reread
.br
and from within \fBgnuplot\fR you submit the commands
.br
      n_p=6
.br
.br
      c_p=1
.br
.br
      unset key
.br
.br
      set yrange [0:10]
.br
.br
      set multiplot
.br
.br
      call 'plotter' 'data'
.br
.br
      unset multiplot
.br
The result is a single graph consisting of five plots.  The yrange must be
set explicitly to guarantee that the five separate graphs (drawn on top of
each other in multiplot mode) will have exactly the same axes.  The linetype
must be specified; otherwise all the plots would be drawn with the same type.
See also
Reread Animation Demo (animate.dem).
.sp 2
.NH 1
Reset
.sp 1
.LP
.XS
Reset
.XE
The \fBreset\fR command causes all graph-related options that can be set with the
\fBset\fR command to take on their default values.  This command is useful, e.g.,
to restore the default graph settings at the end of a command file, or to
return to a defined state after lots of settings have been changed within a
command file.  Please refer to the \fBset\fR command to see the default values
that the various options take.

The following \fBset\fR commands do not change the graph status and are thus left
unchanged: the terminal set with \fBset term\fR, the output file set with \fBset
output\fR and directory paths set with \fBset loadpath\fR and \fBset fontpath\fR.
.sp 2
.NH 1
Save
.sp 1
.LP
.XS
Save
.XE
The \fBsave\fR command saves user-defined functions, variables, the \fBset
term\fR status, all \fBset\fR options, or all of these, plus the last \fBplot\fR
(\fBsplot\fR) command to the specified file.

Syntax:
.br
      save  {<option>} '<filename>'
.br

where <option> is \fBfunctions\fR, \fBvariables\fR, \fBterminal\fR or \fBset\fR. If
no option is used, \fBgnuplot\fR saves functions, variables, \fBset\fR
options and the last \fBplot\fR (\fBsplot\fR) command.

\fBsave\fRd files are written in text format and may be read by the
\fBload\fR command. For \fBsave\fR with the \fBset\fR option or without any
option, the \fBterminal\fR choice and the \fBoutput\fR filename are written
out as a comment, to get an output file that works in other
installations of gnuplot, without changes and without risk of
unwillingly overwriting files.

\fBsave terminal\fR will write out just the \fBterminal\fR status, without
the comment marker in front of it. This is mainly useful for
switching the \fBterminal\fR setting for a short while, and getting back
to the previously set terminal, afterwards, by loading the saved
\fBterminal\fR status. Note that for a single gnuplot session you may
rather use the other method of saving and restoring current terminal
by the commands \fBset term push\fR and \fBset term pop\fR, see \fBset term\fR.

The filename must be enclosed in quotes.

The special filename "-" may be used to \fBsave\fR commands to standard output.
On systems which support a popen function (Unix), the output of save can be
piped through an external program by starting the file name with a \&'|\&'.
This provides a consistent interface to \fBgnuplot\fR\&'s internal settings to
programs which communicate with \fBgnuplot\fR through a pipe.  Please see
"help batch/interactive" for more details.

Examples:
.br
      save 'work.gnu'
.br
.br
      save functions 'func.dat'
.br
.br
      save var 'var.dat'
.br
.br
      save set 'options.dat'
.br
.br
      save term 'myterm.gnu'
.br
.br
      save '-'
.br
.br
      save '|grep title >t.gp'
.br
.sp 2
.NH 1
Set-show
.sp 1
.LP
.XS
Set-show
.XE
The \fBset\fR command can be used to set _lots_ of options.  No screen is
drawn, however, until a \fBplot\fR, \fBsplot\fR, or \fBreplot\fR command is given.

The \fBshow\fR command shows their settings;  \fBshow all\fR shows all the
settings.

Options changed using \fBset\fR can be returned to the default state by giving the 
corresponding \fBunset\fR command.  See also the \fBreset\fR command, which returns
all settable parameters to default values.

If a variable contains time/date data, \fBshow\fR will display it according to
the format currently defined by \fBset timefmt\fR, even if that was not in effect
when the variable was initially defined.
.sp 2
.RS
.IP
.NH 2
Angles
.sp 1
.LP
.XS
Angles
.XE
By default, \fBgnuplot\fR assumes the independent variable in polar graphs is in
units of radians.  If \fBset angles degrees\fR is specified before \fBset polar\fR,
then the default range is [0:360] and the independent variable has units of
degrees.  This is particularly useful for plots of data files.  The angle
setting also applies to 3-d mapping as set via the \fBset mapping\fR command.

Syntax:
.br
      set angles {degrees | radians}
.br
.br
      show angles
.br

The angle specified in \fBset grid polar\fR is also read and displayed in the
units specified by \fBset angles\fR.

\fBset angles\fR also affects the arguments of the machine-defined functions
sin(x), cos(x) and tan(x), and the outputs of asin(x), acos(x), atan(x),
atan2(x), and arg(x).  It has no effect on the arguments of hyperbolic
functions or Bessel functions.  However, the output arguments of inverse
hyperbolic functions of complex arguments are affected; if these functions
are used, \fBset angles radians\fR must be in effect to maintain consistency
between input and output arguments.

.br
      x={1.0,0.1}
.br
.br
      set angles radians
.br
.br
      y=sinh(x)
.br
.br
      print y         #prints {1.16933, 0.154051}
.br
.br
      print asinh(y)  #prints {1.0, 0.1}
.br
but
.br
      set angles degrees
.br
.br
      y=sinh(x)
.br
.br
      print y         #prints {1.16933, 0.154051}
.br
.br
      print asinh(y)  #prints {57.29578, 5.729578}
.br
See also
poldat.dem: polar plot using \fBset angles\fR demo.
.sp 2
.NH 2
Arrow
.sp 1
.LP
.XS
Arrow
.XE
Arbitrary arrows can be placed on a plot using the \fBset arrow\fR command.

Syntax:
.br
      set arrow {<tag>} {from <position>} {to|rto <position>}
.br
.br
                { {arrowstyle | as <arrow_style>}
.br
.br
                  | {nohead | head | heads}
.br
.br
                    {size <length>,<angle>}
.br
.br
                    {filled | nofilled}
.br
.br
                    {front | back}
.br
.br
                    { {linestyle | ls <line_style>}
.br
.br
                      | {linetype | lt <line_type>}
.br
.br
                        {linewidth | lw <line_width} } }
.br
.br
      unset arrow {<tag>}
.br
.br
      show arrow {<tag>}
.br

<tag> is an integer that identifies the arrow.  If no tag is given, the
lowest unused tag value is assigned automatically.  The tag can be used to
delete or change a specific arrow.  To change any attribute of an existing
arrow, use the \fBset arrow\fR command with the appropriate tag and specify the
parts of the arrow to be changed.

The <position>s are specified by either x,y or x,y,z, and may be preceded by
\fBfirst\fR, \fBsecond\fR, \fBgraph\fR, or \fBscreen\fR to select the coordinate system.
Unspecified coordinates default to 0.  The endpoints can be specified in
one of four coordinate systems---\fBfirst\fR or \fBsecond\fR axes, \fBgraph\fR or
\fBscreen\fR.  See \fBcoordinates\fR for details.  A coordinate system specifier
does not carry over from the "from" position to the "to" position.  Arrows
outside the screen boundaries are permitted but may cause device errors.
If the endpoint is specified by "rto" instead of "to" it is drawn relatively
to the start point.

Specifying \fBnohead\fR produces an arrow drawn without a head---a line segment.
This gives you yet another way to draw a line segment on the plot.  By
default, arrows have heads. Specifying \fBheads\fR draws arrow heads on both
ends of the line.

Head size can be controlled by \fBsize <length>,<angle>\fR, where <length>
defines length of each branch of the arrow head and <angle> the angle (in
degrees) they make with the arrow. <Length> is in x-axis units; this can be
changed by \fBfirst\fR, \fBsecond\fR, \fBgraph\fR or \fBscreen\fR before the <length>;
see \fBcoordinates\fR for details.

Specifying \fBfilled\fR produces filled arrow heads (if heads are used).
Filling is supported on filled-polygon capable terminals, see help of \fBpm3d\fR
for their list, otherwise the arrow heads are closed but not filled.
Further, filling is obviously not supported on terminals drawing arrows by
their own specific routines, like \fBfig\fR, \fBmetafont\fR, \fBmetapost\fR, \fBlatex\fR or
\fBtgif\fR.

The line style may be selected from a user-defined list of line styles
(see \fBset style line\fR) or may be defined here by providing values for
<line_type> (an index from the default list of styles) and/or <line_width>
(which is a  multiplier for the default width).

Note, however, that if a user-defined line style has been selected, its
properties (type and width) cannot be altered merely by issuing another
\fBset arrow\fR command with the appropriate index and \fBlt\fR or \fBlw\fR.

If \fBfront\fR is given, the arrow is written on top of the graphed data. If
\fBback\fR is given (the default), the arrow is written underneath the graphed
data.  Using \fBfront\fR will prevent an arrow from being obscured by dense data.

Examples:

To set an arrow pointing from the origin to (1,2) with user-defined style 5,
use:
.br
      set arrow to 1,2 ls 5
.br

To set an arrow from bottom left of plotting area to (-5,5,3), and tag the
arrow number 3, use:
.br
      set arrow 3 from graph 0,0 to -5,5,3
.br

To change the preceding arrow to end at 1,1,1, without an arrow head and
double its width, use:
.br
      set arrow 3 to 1,1,1 nohead lw 2
.br

To draw a vertical line from the bottom to the top of the graph at x=3, use:
.br
      set arrow from 3, graph 0 to 3, graph 1 nohead
.br

To draw a vertical arrow with T-shape ends, use:
.br
      set arrow 3 from 0,-5 to 0,5 heads size screen 0.1,90
.br

To draw an arrow relatively to the start point, where the relative distances
are given in graph coordinates, use:
.br
      set arrow from 0,-5 rto graph 0.1,0.1
.br

To delete arrow number 2, use:
.br
      unset arrow 2
.br

To delete all arrows, use:
.br
      unset arrow
.br

To show all arrows (in tag order), use:
.br
      show arrow
.br
See also 
arrows demos.
.sp 2
.NH 2
Autoscale
.sp 1
.LP
.XS
Autoscale
.XE
Autoscaling may be set individually on the x, y or z axis or globally on all
axes. The default is to autoscale all axes.

Syntax:
.br
      set autoscale {<axes>{|min|max|fixmin|fixmax|fix} | fix | keepfix}
.br
.br
      unset autoscale {<axes>}
.br
.br
      show autoscale
.br

where <axes> is either \fBx\fR, \fBy\fR, \fBz\fR, \fBcb\fR, \fBx2\fR, \fBy2\fR or \fBxy\fR.  A keyword with
\fBmin\fR or \fBmax\fR appended (this cannot be done with \fBxy\fR) tells \fBgnuplot\fR to
autoscale just the minimum or maximum of that axis.  If no keyword is given,
all axes are autoscaled.

A keyword with \fBfixmin\fR, \fBfixmax\fR or \fBfix\fR appended tells gnuplot to disable
extension of the axis range to the next tic mark position, for autoscaled
axes using equidistant tics; \fBset autoscale fix\fR sets this for all axes.
Command \fBset autoscale keepfix\fR autoscales all axes while keeping the fix
settings.

When autoscaling, the axis range is automatically computed and the dependent
axis (y for a \fBplot\fR and z for \fBsplot\fR) is scaled to include the range of the
function or data being plotted.

If autoscaling of the dependent axis (y or z) is not set, the current y or z
range is used.

Autoscaling the independent variables (x for \fBplot\fR and x,y for \fBsplot\fR) is a
request to set the domain to match any data file being plotted.  If there are
no data files, autoscaling an independent variable has no effect.  In other
words, in the absence of a data file, functions alone do not affect the x
range (or the y range if plotting z = f(x,y)).

Please see \fBset xrange\fR for additional information about ranges.

The behavior of autoscaling remains consistent in parametric mode, (see
\fBset parametric\fR).  However, there are more dependent variables and hence more
control over x, y, and z axis scales.  In parametric mode, the independent or
dummy variable is t for \fBplot\fRs and u,v for \fBsplot\fRs.  \fBautoscale\fR in
parametric mode, then, controls all ranges (t, u, v, x, y, and z) and allows
x, y, and z to be fully autoscaled.

Autoscaling works the same way for polar mode as it does for parametric mode
for \fBplot\fR, with the extension that in polar mode \fBset dummy\fR can be used to
change the independent variable from t (see \fBset dummy\fR).

When tics are displayed on second axes but no plot has been specified for
those axes, x2range and y2range are inherited from xrange and yrange.  This
is done _before_ xrange and yrange are autoextended to a whole number of
tics, which can cause unexpected results.  You can use the \fBfixmin\fR
or \fBfixmax\fR options to avoid this.

Examples:

This sets autoscaling of the y axis (other axes are not affected):
.br
      set autoscale y
.br

This sets autoscaling only for the minimum of the y axis (the maximum of the
y axis and the other axes are not affected):
.br
      set autoscale ymin
.br

This disables extension of the x2 axis tics to the next tic mark,
thus keeping the exact range as found in the plotted data and functions:
.br
      set autoscale x2fixmin
.br
.br
      set autoscale x2fixmax
.br

This sets autoscaling of the x and y axes:
.br
      set autoscale xy
.br

This sets autoscaling of the x, y, z, x2 and y2 axes:
.br
      set autoscale
.br

This disables autoscaling of the x, y, z, x2 and y2 axes:
.br
      unset autoscale
.br

This disables autoscaling of the z axis only:
.br
      unset autoscale z
.br
.sp 2
.RS
.IP
.NH 3
Parametric mode
.sp 1
.LP
.XS
Parametric mode
.XE
When in parametric mode (\fBset parametric\fR), the xrange is as fully scalable
as the y range.  In other words, in parametric mode the x axis can be
automatically scaled to fit the range of the parametric function that is
being plotted.  Of course, the y axis can also be automatically scaled just
as in the non-parametric case.  If autoscaling on the x axis is not set, the
current x range is used.

Data files are plotted the same in parametric and non-parametric mode.
However, there is a difference in mixed function and data plots: in
non-parametric mode with autoscaled x, the x range of the datafile controls
the x range of the functions; in parametric mode it has no influence.

For completeness a last command \fBset autoscale t\fR is accepted.  However, the
effect of this "scaling" is very minor.  When \fBgnuplot\fR determines that the
t range would be empty, it makes a small adjustment if autoscaling is true.
Otherwise, \fBgnuplot\fR gives an error.  Such behavior may, in fact, not be very
useful and the command \fBset autoscale t\fR is certainly questionable.

\fBsplot\fR extends the above ideas as you would expect.  If autoscaling is set,
then x, y, and z ranges are computed and each axis scaled to fit the
resulting data.
.sp 2
.NH 3
Polar mode
.sp 1
.LP
.XS
Polar mode
.XE
When in polar mode (\fBset polar\fR), the xrange and the yrange are both found
from the polar coordinates, and thus they can both be automatically scaled.
In other words, in polar mode both the x and y axes can be automatically
scaled to fit the ranges of the polar function that is being plotted.

When plotting functions in polar mode, the rrange may be autoscaled.  When
plotting data files in polar mode, the trange may also be autoscaled.  Note
that if the trange is contained within one quadrant, autoscaling will produce
a polar plot of only that single quadrant.

Explicitly setting one or two ranges but not others may lead to unexpected
results.
See also
polar demos.
.sp 2
.RE
.br
.NH 2
Bars
.sp 1
.LP
.XS
Bars
.XE
The \fBset bars\fR command controls the tics at the ends of error bars,
and also the width of the boxes in plot styles candlesticks and
financebars.

Syntax:
.br
      set bars {small | large | <size>}
.br
.br
      unset bars
.br
.br
      show bars
.br

\fBsmall\fR is a synonym for 0.0, and \fBlarge\fR for 1.0.
The default is 1.0 if no size is given.
.sp 2
.NH 2
Bmargin
.sp 1
.LP
.XS
Bmargin
.XE
The command \fBset bmargin\fR sets the size of the bottom margin.
Please see \fBset margin\fR for details.
.sp 2
.NH 2
Border
.sp 1
.LP
.XS
Border
.XE
The \fBset border\fR and \fBunset border\fR commands control the display of the graph
borders for the \fBplot\fR and \fBsplot\fR commands.  Note that the borders do not
necessarily coincide with the axes; with \fBplot\fR they often do, but with
\fBsplot\fR they usually do not.

Syntax:
.br
      set border {<integer> { {linestyle | ls <line_style>}
.br
.br
                              | {linetype | lt <line_type> }
.br
.br
                                {linewidth | lw <line_width>} } }
.br
.br
      unset border
.br
.br
      show border
.br

With a \fBsplot\fR displayed in an arbitrary orientation, like \fBset view 56,103\fR,
the four corners of the x-y plane can be referred to as "front", "back",
"left" and "right".  A similar set of four corners exist for the top surface,
of course.  Thus the border connecting, say, the back and right corners of the
x-y plane is the "bottom right back" border, and the border connecting the top
and bottom front corners is the "front vertical".  (This nomenclature is
defined solely to allow the reader to figure out the table that follows.)

The borders are encoded in a 12-bit integer: the bottom four bits control the
border for \fBplot\fR and the sides of the base for \fBsplot\fR; the next four bits
control the verticals in \fBsplot\fR; the top four bits control the edges on top
of the \fBsplot\fR.  In detail, \fB<integer>\fR should be the sum of the appropriate
entries from the following table:


.EQ
delim $$
.EN
.KS
.TS
center box tab (@) ;
c c c .
Bit@plot@splot
_
1@bottom@bottom left front
2@left@bottom left back
4@top@bottom right front
8@right@bottom right back
16@no effect@left vertical
32@no effect@back vertical
64@no effect@right vertical
128@no effect@front vertical
256@no effect@top left back
512@no effect@top right back
1024@no effect@top left front
2048@no effect@top right front
.TE
.KE
.EQ
delim off
.EN


Various bits or combinations of bits may be added together in the command.

The default is 31, which is all four sides for \fBplot\fR, and base and z axis
for \fBsplot\fR.

Using the optional <line_style>, <line_type> and <line_width> specifiers, the
way the border lines are drawn can be influenced (limited by what the current
terminal driver supports).

For \fBplot\fR, tics may be drawn on edges other than bottom and left by enabling
the second axes -- see \fBset xtics\fR for details.

If a \fBsplot\fR draws only on the base, as is the case with "\fBunset surface; set
contour base\fR", then the verticals and the top are not drawn even if they are
specified.

The \fBset grid\fR options \&'back\&', \&'front\&' and \&'layerdefault\&' also
control the order in which the border lines are drawn with respect to
the output of the plotted data.

Examples:

Draw default borders:
.br
      set border
.br

Draw only the left and bottom (\fBplot\fR) or both front and back bottom left
(\fBsplot\fR) borders:
.br
      set border 3
.br

Draw a complete box around a \fBsplot\fR:
.br
      set border 4095
.br

Draw a topless box around a \fBsplot\fR, omitting the front vertical:
.br
      set border 127+256+512 # or set border 1023-128
.br

Draw only the top and right borders for a \fBplot\fR and label them as axes:
.br
      unset xtics; unset ytics; set x2tics; set y2tics; set border 12
.br

See also
borders demo.
.sp 2
.NH 2
Boxwidth
.sp 1
.LP
.XS
Boxwidth
.XE
The \fBset boxwidth\fR command is used to set the default width of boxes in the
\fBboxes\fR, \fBboxerrorbars\fR and \fBcandlesticks\fR styles.

Syntax:
.br
      set boxwidth {<width>} {absolute|relative}
.br
.br
      show boxwidth
.br

If a data file is plotted without the width being specified in the third,
fourth, or fifth column (or \fBusing\fR entry), or if a function is plotted, the
width of each box is set by the \fBset boxwidth\fR command.  (If a width is given
both in the file and by the \fBset boxwidth\fR command, the one in the file is
used.)  If the width is not specified in one of these ways, the width of each
box will be calculated automatically so that it touches the adjacent boxes.
\fBrelative\fR indicates, that the specified boxwidth is a scaling factor for
the automatically calculated boxwidth, otherwise the boxwidth is taken as an
\fBabsolute\fR value (which is the default). In a four-column data set, the fourth
column will be interpreted as the box width unless the width is set to -2.0,
in which case the width will be calculated automatically.  See
\fBset style boxerrorbars\fR for more details.

To set the box width to automatic use the command
.br
      set boxwidth
.br

or, for four-column data,
.br
      set boxwidth -2
.br

The same effect can be achieved with the \fBusing\fR keyword in \fBplot\fR:
.br
      plot 'file' using 1:2:3:4:(-2)
.br

To set the box width to half of the automatic size use
.br
      set boxwidth 0.5 relative
.br

To set the box width to an absolute value of 2 use
.br
      set boxwidth 2 absolute
.br

or, if you didn\&'t specify a relative boxwidth before,
.br
      set boxwidth 2
.br
.sp 2
.NH 2
Clabel
.sp 1
.LP
.XS
Clabel
.XE
\fBgnuplot\fR will vary the linetype used for each contour level when clabel is
set.  When this option on (the default), a legend labels each linestyle with
the z level it represents.  It is not possible at present to separate the
contour labels from the surface key.

Syntax:
.br
      set clabel {'<format>'}
.br
.br
      unset clabel
.br
.br
      show clabel
.br

The default for the format string is %8.3g, which gives three decimal places.
This may produce poor label alignment if the key is altered from its default
configuration.

The first contour linetype, or only contour linetype when clabel is off, is
the surface linetype +1; contour points are the same style as surface points.

See also \fBset contour\fR.
.sp 2
.NH 2
Clip
.sp 1
.LP
.XS
Clip
.XE
\fBgnuplot\fR can clip data points and lines that are near the boundaries of a
graph.

Syntax:
.br
      set clip <clip-type>
.br
.br
      unset clip <clip-type>
.br
.br
      show clip
.br

Three clip types for points and lines are supported by \fBgnuplot\fR: \fBpoints\fR, 
\fBone\fR, and \fBtwo\fR. One, two, or all three clip types may be active for a 
single graph.
Note that clipping of color filled quadrangles drawn by \fBpm3d\fR maps and 
surfaces is not controlled by this command, but by \fBset pm3d clip1in\fR and
\fBset pm3d clip4in\fR.

The \fBpoints\fR clip type forces \fBgnuplot\fR to clip (actually, not plot at all)
data points that fall within but too close to the boundaries.  This is done
so that large symbols used for points will not extend outside the boundary
lines.  Without clipping points near the boundaries, the plot may look bad.
Adjusting the x and y ranges may give similar results.

Setting the \fBone\fR clip type causes \fBgnuplot\fR to draw a line segment which has
only one of its two endpoints within the graph.  Only the in-range portion of
the line is drawn.  The alternative is to not draw any portion of the line
segment.

Some lines may have both endpoints out of range, but pass through the graph.
Setting the \fBtwo\fR clip-type allows the visible portion of these lines to be
drawn.

In no case is a line drawn outside the graph.

The defaults are \fBnoclip points\fR, \fBclip one\fR, and \fBnoclip two\fR.

To check the state of all forms of clipping, use
.br
      show clip
.br

For backward compatibility with older versions, the following forms are also
permitted:
.br
      set clip
.br
.br
      unset clip
.br

\fBset clip\fR is synonymous with \fBset clip points\fR; \fBunset clip\fR turns off all
three types of clipping.
.sp 2
.NH 2
Cntrparam
.sp 1
.LP
.XS
Cntrparam
.XE
\fBset cntrparam\fR controls the generation of contours and their smoothness for
a contour plot. \fBshow contour\fR displays current settings of \fBcntrparam\fR as
well as \fBcontour\fR.

Syntax:
.br
      set cntrparam { { linear
.br
.br
                      | cubicspline
.br
.br
                      | bspline
.br
.br
                      | points <n>
.br
.br
                      | order <n>
.br
.br
                      | levels { auto {<n>} | <n>
.br
.br
                                 | discrete <z1> {,<z2>{,<z3>...}}
.br
.br
                                 | incremental <start>, <incr> {,<end>}
.br
.br
                               }
.br
.br
                      }
.br
.br
                    }
.br
.br
      show contour
.br

This command has two functions.  First, it sets the values of z for which
contour points are to be determined (by linear interpolation between data
points or function isosamples.)  Second, it controls the way contours are
drawn between the points determined to be of equal z.  <n> should be an
integral constant expression and <z1>, <z2> ... any constant expressions.
The parameters are:

\fBlinear\fR, \fBcubicspline\fR, \fBbspline\fR---Controls type of approximation or
interpolation.  If \fBlinear\fR, then straight line segments connect points of
equal z magnitude.  If \fBcubicspline\fR, then piecewise-linear contours are
interpolated between the same equal z points to form somewhat smoother
contours, but which may undulate.  If \fBbspline\fR, a guaranteed-smoother curve
is drawn, which only approximates the position of the points of equal-z.

\fBpoints\fR---Eventually all drawings are done with piecewise-linear strokes.
This number controls the number of line segments used to approximate the
\fBbspline\fR or \fBcubicspline\fR curve.  Number of cubicspline or bspline
segments (strokes) = \fBpoints\fR * number of linear segments.

\fBorder\fR---Order of the bspline approximation to be used.  The bigger this
order is, the smoother the resulting contour.  (Of course, higher order
bspline curves will move further away from the original piecewise linear
data.)  This option is relevant for \fBbspline\fR mode only.  Allowed values are
integers in the range from 2 (linear) to 10.

\fBlevels\fR--- Selection of contour levels,  controlled by \fBauto\fR (default),
\fBdiscrete\fR, \fBincremental\fR, and <n>, number of contour levels, limited to
.br
 MAX_DISCRETE_LEVELS as defined in plot.h (30 is standard.)
.br

For \fBauto\fR, <n> specifies a nominal number of levels; the actual number will
be adjusted to give simple labels. If the surface is bounded by zmin and zmax,
contours will be generated at integer multiples of dz between zmin and zmax,
where dz is 1, 2, or 5 times some power of ten (like the step between two
tic marks).

For \fBlevels discrete\fR, contours will be generated at z = <z1>, <z2> ... as
specified; the number of discrete levels sets the number of contour levels.
In \fBdiscrete\fR mode, any \fBset cntrparam levels <n>\fR are ignored.

For \fBincremental\fR, contours are generated at values of z beginning at <start>
and increasing by <increment>, until the number of contours is reached. <end>
is used to determine the number of contour levels, which will be changed by
any subsequent \fBset cntrparam levels <n>\fR.

If the command \fBset cntrparam\fR is given without any arguments specified,  the
defaults are used: linear, 5 points, order 4, 5 auto levels.

Examples:
.br
      set cntrparam bspline
.br
.br
      set cntrparam points 7
.br
.br
      set cntrparam order 10
.br

To select levels automatically, 5 if the level increment criteria are met:
.br
      set cntrparam levels auto 5
.br

To specify discrete levels at .1, .37, and .9:
.br
      set cntrparam levels discrete .1,1/exp(1),.9
.br

To specify levels from 0 to 4 with increment 1:
.br
      set cntrparam levels incremental  0,1,4
.br

To set the number of levels to 10 (changing an incremental end or possibly
the number of auto levels):
.br
      set cntrparam levels 10
.br

To set the start and increment while retaining the number of levels:
.br
      set cntrparam levels incremental 100,50
.br

See also \fBset contour\fR for control of where the contours are drawn, and
\fBset clabel\fR for control of the format of the contour labels and linetypes.

See also
contours demo (contours.dem)
and
contours with user defined levels demo (discrete.dem).
.sp 2
.NH 2
Color box
.sp 1
.LP
.XS
Color box
.XE

The color scheme, i.e. the gradient of the smooth color with min_z and
max_z values of \fBpm3d\fR\&'s \fBpalette\fR, is drawn in a color box unless \fBunset
colorbox\fR.

.br
      set colorbox
.br
.br
      set colorbox {
.br
.br
                 { vertical | horizontal }
.br
.br
                 { default | user }
.br
.br
                 { origin x, y }
.br
.br
                 { size x, y }
.br
.br
                 { noborder | bdefault | border [line style] }
.br
.br
               }
.br
.br
      show colorbox
.br
.br
      unset colorbox
.br

Colorbox position can be \fBdefault\fR or \fBuser\fR.  If the latter is specified the
values as given with the \fBorigin\fR and \fBsize\fR subcommands are used.

\fBvertical\fR and \fBhorizontal\fR switches the orientation of the color
gradient.

\fBorigin x, y\fR and \fBsize x, y\fR are used only in combination with the \fBuser\fR
option. The x and y values must be given in screen coordinates (as everything
else did not seem to make sense) that is between [0 - 1]. Try for example:
.br
    set colorbox horiz user origin .1,.02 size .8,.04
.br
which will draw a horizontal gradient somewhere at the bottom of the graph.

\fBborder\fR turns the border on (this is the default). \fBnoborder\fR turns the border
off. If an positive integer argument is given after \fBborder\fR, it is used as a
line style tag which is used for drawing the border, e.g.:
.br
    set style line 2604 linetype -1 linewidth .4
.br
.br
    set colorbox border 2604
.br
will use line style \fB2604\fR, a thin line with the default border color (-1)
for drawing the border. \fBbdefault\fR (which is the default) will use the default
border line style for drawing the border of the color box.

The axis of the color box is called \fBcb\fR and it is controlled by means of the
usual axes commands, i.e. \fBset/unset/show\fR with \fBcbrange\fR, \fB[m]cbtics\fR,
\fBformat cb\fR, \fBgrid [m]cb\fR, \fBcblabel\fR, and perhaps even \fBcbdata\fR, \fB[no]cbdtics\fR,
\fB[no]cbmtics\fR.

\fBset colorbox\fR without any parameter switches the position to default.
\fBunset colorbox\fR resets the default parameters for the colorbox and switches
the colorbox off.

See also help for \fBset pm3d\fR, \fBset palette\fR, \fBx11 pm3d\fR, and \fBset style line\fR.

.sp 2
.NH 2
Contour
.sp 1
.LP
.XS
Contour
.XE
\fBset contour\fR enables contour drawing for surfaces. This option is available
for \fBsplot\fR only.

Syntax:
.br
      set contour {base | surface | both}
.br
.br
      unset contour
.br
.br
      show contour
.br

The three options specify where to draw the contours: \fBbase\fR draws the
contours on the grid base where the x/ytics are placed, \fBsurface\fR draws the
contours on the surfaces themselves, and \fBboth\fR draws the contours on both
the base and the surface.  If no option is provided, the default is \fBbase\fR.

See also \fBset cntrparam\fR for the parameters that affect the drawing of
contours, and \fBset clabel\fR for control of labelling of the contours.

The surface can be switched off (see \fBset surface\fR), giving a contour-only
graph.  Though it is possible to use \fBset size\fR to enlarge the plot to fill
the screen, more control over the output format can be obtained by writing
the contour information to a file, and rereading it as a 2-d datafile plot:

.br
      unset surface
.br
.br
      set contour
.br
.br
      set cntrparam ...
.br
.br
      set term table
.br
.br
      set out 'filename'
.br
.br
      splot ...
.br
.br
      set out
.br
.br
      # contour info now in filename
.br
.br
      set term <whatever>
.br
.br
      plot 'filename'
.br

In order to draw contours, the data should be organized as "grid data".  In
such a file all the points for a single y-isoline are listed, then all the
points for the next y-isoline, and so on.  A single blank line (a line
containing no characters other than blank spaces and a carriage return and/or
a line feed) separates one y-isoline from the next.
See also \fBsplot datafile\fR.


If contours are desired from non-grid data, \fBset dgrid3d\fR can be used to
create an appropriate grid.  See \fBset dgrid3d\fR for more information.
See also
contours demo (contours.dem)
and
contours with user defined levels demo (discrete.dem).
.sp 2
.NH 2
Data style
.sp 1
.LP
.XS
Data style
.XE
This form of the command is deprecated. Please see \fBset style data\fR.
.sp 2
.NH 2
Datafile 
.sp 1
.LP
.XS
Datafile 
.XE
The \fBset datafile\fR command options control interpretation of fields read from
input data files by the \fBplot\fR, \fBsplot\fR, and \fBfit\fR commands.  Three such
options are currently implemented.
.sp 2
.RS
.IP
.NH 3
Set datafile missing
.sp 1
.LP
.XS
Set datafile missing
.XE
The \fBset datafile missing\fR command allows you to tell \fBgnuplot\fR what character
string is used in a data file to denote missing data.  Exactly how this missing
value will be treated depends on the \fBusing\fR specifier of the \fBplot\fR or \fBsplot\fR
command.

Syntax:
.br
      set datafile missing {"<string>"}
.br
.br
      show datafile missing
.br
.br
      unset datafile
.br

Example:
.br
      # Ignore entries containing IEEE NaN ("Not a Number") code
.br
.br
      set datafile missing "NaN"
.br

Example:
.br
      set datafile missing "?"
.br
.br
      set style data lines
.br
.br
      plot '-'
.br
.br
         1 10
.br
.br
         2 20
.br
.br
         3 ?
.br
.br
         4 40
.br
.br
         5 50
.br
.br
         e
.br
.br
      plot '-' using 1:2
.br
.br
         1 10
.br
.br
         2 20
.br
.br
         3 ?
.br
.br
         4 40
.br
.br
         5 50
.br
.br
         e
.br
.br
      plot '-' using 1:($2)
.br
.br
         1 10
.br
.br
         2 20
.br
.br
         3 ?
.br
.br
         4 40
.br
.br
         5 50
.br
.br
         e
.br

The first \fBplot\fR will recognize only the first datum in the "3 ?" line.  It
will use the single-datum-on-a-line convention that the line number is "x"
and the datum is "y", so the point will be plotted (in this case erroneously)
at (2,3).

The second \fBplot\fR will correctly ignore the middle line.  The plotted line
will connect the points at (2,20) and (4,40).

The third \fBplot\fR will also correctly ignore the middle line, but the plotted
line will not connect the points at (2,20) and (4,40).

There is no default character for \fBmissing\fR, but in many cases any
non-parsible string of characters found where a numerical value is expected
will be treated as missing data.

.sp 2
.NH 3
Set datafile separator
.sp 1
.LP
.XS
Set datafile separator
.XE
The command \fBset datafile separator "<char>"\fR tells \fBgnuplot\fR that data fields
in subsequent input files are separated by <char> rather than by whitespace.
The most common use is to read in csv (comma-separated value) files written 
by spreadsheet or database programs. By default data fields are separated by 
whitespace.

Syntax:
.br
      set datafile separator {"<char>" | whitespace}
.br

Examples:
.br
      # Input file contains tab-separated fields
.br
.br
      set datafile separator "\\t"
.br

.br
      # Input file contains comma-separated values fields
.br
.br
      set datafile separator ","
.br
.sp 2
.NH 3
Set datafile commentschars
.sp 1
.LP
.XS
Set datafile commentschars
.XE
The \fBset datafile commentschars\fR command allows you to tell \fBgnuplot\fR what
characters are used in a data file to denote comments.  Gnuplot will ignore
rest of the line behind the specified characters if either of them is the
first non-blank character on the line.

Syntax:
.br
      set datafile commentschars {"<string>"}
.br
.br
      show datafile commentschars
.br
.br
      unset commentschars
.br

Default value of the string is "#!" on VMS and "#" otherwise.

Then, the following line in a data file is completely ignored
.br
    # 1 2 3 4
.br
but the following
.br
    1 # 3 4
.br
produces rather unexpected plot unless
.br
    set datafile missing '#'
.br
is specified as well.

Example:
.br
      set datafile commentschars "#!%"
.br
.sp 2
.RE
.br
.NH 2
Decimalsign
.sp 1
.LP
.XS
Decimalsign
.XE
The \fBset decimalsign\fR command selects a decimal sign for numbers printed
into tic labels or \fBset label\fR strings.

Syntax:
.br
      set decimalsign {<value>}
.br
.br
      unset decimalsign
.br
.br
      show decimalsign
.br

The argument <value> is the string to be used in place of the usual
decimal point. Typical choices include the period, \&'.\&', and the comma,
\&\&',\&', but others may be useful, too.  If you omit the <value> argument,
the decimal separator is not modified from the usual default, which is
a period.  Unsetting decimalsign has the same effect as omitting
<value>.

Example:

Correct typesetting in most European countries requires:
.br
      set decimalsign ','
.br
.sp 2
.NH 2
Dgrid3d
.sp 1
.LP
.XS
Dgrid3d
.XE
The \fBset dgrid3d\fR command enables, and can set parameters for, non-grid
to grid data mapping.

Syntax:
.br
      set dgrid3d {<row_size>} {,{<col_size>} {,<norm>}}
.br
.br
      unset dgrid3d
.br
.br
      show dgrid3d
.br

By default \fBdgrid3d\fR is disabled.  When enabled, 3-d data read from a file
are always treated as a scattered data set.  A grid with dimensions derived
from a bounding box of the scattered data and size as specified by the
row/col_size parameters is created for plotting and contouring.  The grid
is equally spaced in x (rows) and in y (columns); the z values are computed
as weighted averages of the scattered points\&' z values.

The third parameter, norm, controls the weighting:  Each data point is
weighted inversely by its distance from the grid point raised to the norm
power.  (Actually, the weights are given by the inverse of dx^norm + dy^norm,
where dx and dy are the components of the separation of the grid point from
each data point.  For some norms that are powers of two, specifically 4, 8,
and 16, the computation is optimized by using the Euclidean distance in the
weight calculation, (dx^2+dy^2)^norm/2.  However, any non-negative integer
can be used.)

The closer the data point is to a grid point, the more effect it has on
that grid point and the larger the value of norm the less effect more
distant data points have on that grid point.

The \fBdgrid3d\fR option is a simple low pass filter that converts scattered
data to a grid data set.  More sophisticated approaches to this problem
exist and should be used to preprocess the data outside \fBgnuplot\fR if this
simple solution is found inadequate.

(The z values are found by weighting all data points, not by interpolating
between nearby data points;  also edge effects may produce unexpected and/or
undesired results.  In some cases, small norm values produce a grid point
reflecting the average of distant data points rather than a local average,
while large values of norm may produce "steps" with several grid points
having the same value as the closest data point, rather than making a smooth
transition between adjacent data points.  Some areas of a grid may be filled
by extrapolation, to an arbitrary boundary condition.  The variables are
not normalized; consequently the units used for x and y will affect the
relative weights of points in the x and y directions.)

Examples:
.br
      set dgrid3d 10,10,1     # defaults
.br
.br
      set dgrid3d ,,4
.br

The first specifies that a grid of size 10 by 10 is to be constructed using
a norm value of 1 in the weight computation.  The second only modifies the
norm, changing it to 4.
See also
scatter.dem: dgrid3d demo.

.sp 2
.NH 2
Dummy
.sp 1
.LP
.XS
Dummy
.XE
The \fBset dummy\fR command changes the default dummy variable names.

Syntax:
.br
      set dummy {<dummy-var>} {,<dummy-var>}
.br
.br
      show dummy
.br

By default, \fBgnuplot\fR assumes that the independent, or "dummy", variable for
the \fBplot\fR command is "t" if in parametric or polar mode, or "x" otherwise.
Similarly the independent variables for the \fBsplot\fR command are "u" and "v"
in parametric mode (\fBsplot\fR cannot be used in polar mode), or "x" and "y"
otherwise.

It may be more convenient to call a dummy variable by a more physically
meaningful or conventional name.  For example, when plotting time functions:

.br
      set dummy t
.br
.br
      plot sin(t), cos(t)
.br

At least one dummy variable must be set on the command; \fBset dummy\fR by itself
will generate an error message.

Examples:
.br
      set dummy u,v
.br
.br
      set dummy ,s
.br

The second example sets the second variable to s.
.sp 2
.NH 2
Encoding
.sp 1
.LP
.XS
Encoding
.XE
The \fBset encoding\fR command selects a character encoding.
Syntax:
.br
      set encoding {<value>}
.br
.br
      show encoding
.br

Valid values are
.br
   default     - tells a terminal to use its default encoding
.br
.br
   iso_8859_1  - the most common Western European font used by many 
.br
.br
                 Unix workstations and by MS-Windows. This encoding is
.br
.br
                 known in the PostScript world as 'ISO-Latin1'.
.br
.br
   iso_8859_2  - used in Central and Eastern Europe
.br
.br
   iso_8859_15 - a variant of iso_8859_1 that includes the Euro symbol
.br
.br
   cp850       - codepage for OS/2
.br
.br
   cp852       - codepage for OS/2
.br
.br
   cp437       - codepage for MS-DOS
.br
.br
   koi8r       - popular Unix cyrillic encoding
.br

Generally you must set the encoding before setting the terminal type.
Note that encoding is not supported by all terminal drivers and that
the device must be able to produce the desired non-standard characters.
The PostScript and X11 terminals support all encodings. OS/2 Presentation
Manager switches automatically to codepage 912 for \fBiso_8859_2\fR.
.sp 2
.NH 2
Fit
.sp 1
.LP
.XS
Fit
.XE
The \fBfit\fR setting defines where the \fBfit\fR command writes its output.
If this option was built into your version of gnuplot, it also controls
whether parameter errors from the fit will be written into variables.

Syntax:
.br
      set fit {logfile {"<filename>"}} {{no}errorvariables}
.br
.br
      unset fit
.br
.br
      show fit
.br

The <filename> argument must be enclosed in single or double quotes.

If no filename is given or \fBunset fit\fR is used the log file is 
reset to its default value "fit.log" or the value of the environmental
variable \fBFIT_LOG\fR.

Users of DOS-like platforms should note that the \\ character has
special significance in double-quoted strings, so single-quotes 
should be used for filenames in different directories, or you have 
to write \\\\ for each \\.  Or you can just use forward slashes, 
even though this is DOS.

If the given logfile name ends with a / or \\, it is interpreted to be
a directory name, and the actual filename will be "fit.log" in that
directory.

If the \fBerrorvariables\fR option is turned on, the error of each fitted
parameter computed by \fBfit\fR will be copied to a user-defined variable
whose name is formed by appending "_err" to the name of the parameter
itself.  This is useful mainly to put the parameter and its error onto
a plot of the data and the fitted function, for reference, as in:

.br
       set fit errorvariables
.br
.br
       fit f(x) 'datafile' using 1:2 via a, b
.br
.br
       print "error of a is:", a_err
.br
.br
       set label 'a=%6.2f', a, '+/- %6.2f', a_err
.br
.br
       plot 'datafile' using 1:2, f(x)
.br
.sp 2
.NH 2
Fontpath
.sp 1
.LP
.XS
Fontpath
.XE
The \fBfontpath\fR setting defines additional locations for font files
searched when including font files. Currently only the postscript terminal
supports \fBfontpath\fR. If a file cannot be found in the current directory,
the directories in \fBfontpath\fR are tried. Further documentation concerning
the supported file formats is included in the \fBterminal postscript\fR section
of the documentation.

Syntax:
.br
      set fontpath {"pathlist1" {"pathlist2"...}}
.br
.br
      show fontpath
.br

Path names may be entered as single directory names, or as a list of
path names separated by a platform-specific path separator, eg. colon
(\&':\&') on Unix, semicolon (\&';\&') on DOS/Windows/OS/2/Amiga platforms.
The \fBshow fontpath\fR, \fBsave\fR and \fBsave set\fR commands replace the
platform-specific separator with a space character (\&' \&') for maximum
portability. If a directory name ends with an exclamation mark (\&'!\&') also
the subdirectories of this directory are searched for font files.

If the environmental variable GNUPLOT_FONTPATH is set, its contents are
appended to \fBfontpath\fR.  If it is not set, a system dependent default value
is used. It is set by testing several directories for existence when using
the fontpath the first time. Thus, the first call of \fBset fontpath\fR,
\fBshow fontpath\fR, \fBsave fontpath\fR, \fBplot\fR, or \fBsplot\fR with embedded font
files takes a little more time. If you want to save this time you may
set the environmental variable GNUPLOT_FONTPATH since probing is switched
off, then. You can find out which is the default fontpath by using
\fBshow fontpath\fR.

However, \fBshow fontpath\fR prints the contents of user defined fontpath and
system fontpath separately.  Also, the \fBsave\fR and \fBsave set\fR commands save
only the user specified parts of \fBfontpath\fR, for portability reasons.

Many other terminal drivers access TrueType fonts via the gd library.
For these drivers the font search path is controlled by the environmental
variable GDFONTPATH.
.sp 2
.NH 2
Format
.sp 1
.LP
.XS
Format
.XE
The format of the tic-mark labels can be set with the \fBset format\fR command.

Syntax:
.br
      set format {<axes>} {"<format-string>"}
.br
.br
      set format {<axes>} {'<format-string>'}
.br
.br
      show format
.br

where <axes> is either \fBx\fR, \fBy\fR, \fBz\fR, \fBcb\fR, \fBxy\fR, \fBx2\fR, \fBy2\fR or nothing (which is
the same as \fBxy\fR).  The length of the string representing a tic mark (after
formatting with \&'printf\&') is restricted to 100 characters.  If the format
string is omitted, the format will be returned to the default "%g".  For
LaTeX users, the format "$%g$" is often desirable.  If the empty string "" is
used, no label will be plotted with each tic, though the tic mark will still
be plotted.  To eliminate all tic marks, use \fBunset xtics\fR or \fBunset ytics\fR.

Newline (\\n) is accepted in the format string.  Use double-quotes rather than
single-quotes to enable such interpretation.  See also \fBsyntax\fR.

The default format for both axes is "%g", but other formats such as "%.2f" or
"%3.0em" are often desirable.  Anything accepted by \&'printf\&' when given a
double precision number, and accepted by the terminal, will work.  Some other
options have been added.  If the format string looks like a floating point
format, then \fBgnuplot\fR tries to construct a reasonable format.

Characters not preceded by "%" are printed verbatim.  Thus you can include
spaces and labels in your format string, such as "%g m", which will put " m"
after each number.  If you want "%" itself, double it: "%g %%".

See also \fBset xtics\fR for more information about tic labels, and
\fBset decimalsign\fR for how to use non-default decimal separators in numbers
printed this way.
See also
electron demo (electron.dem).
.sp 2
.RS
.IP
.NH 3
Format specifiers
.sp 1
.LP
.XS
Format specifiers
.XE
The acceptable formats (if not in time/date mode) are:


.EQ
delim $$
.EN
.KS
.TS
center box tab (@) ;
c l .
Format@Explanation
_
%f@floating point notation
%e or %E@exponential notation; an "e" or "E" before the power
%g or %G@the shorter of %e (or %E) and %f
%x or %X@hex
%o or %O@octal
%t@mantissa to base 10
%l@mantissa to base of current logscale
%s@mantissa to base of current logscale; scientific power
%T@power to base 10
%L@power to base of current logscale
%S@scientific power
%c@character replacement for scientific power
%P@multiple of pi
_
.TE
.KE
.EQ
delim off
.EN


A \&'scientific\&' power is one such that the exponent is a multiple of three.
Character replacement of scientific powers (\fB"%c"\fR) has been implemented
for powers in the range -18 to +18.  For numbers outside of this range the
format reverts to exponential.

Other acceptable modifiers (which come after the "%" but before the format
specifier) are "-", which left-justifies the number; "+", which forces all
numbers to be explicitly signed; "#", which places a decimal point after
floats that have only zeroes following the decimal point; a positive integer,
which defines the field width; "0" (the digit, not the letter) immediately
preceding the field width, which indicates that leading zeroes are to be used
instead of leading blanks; and a decimal point followed by a non-negative
integer, which defines the precision (the minimum number of digits of an
integer, or the number of digits following the decimal point of a float).

Some releases of \&'printf\&' may not support all of these modifiers but may also
support others; in case of doubt, check the appropriate documentation and
then experiment.

Examples:
.br
      set format y "%t"; set ytics (5,10)          # "5.0" and "1.0"
.br
.br
      set format y "%s"; set ytics (500,1000)      # "500" and "1.0"
.br
.br
      set format y "+-12.3f"; set ytics(12345)     # "+12345.000  "
.br
.br
      set format y "%.2t*10^%+03T"; set ytic(12345)# "1.23*10^+04"
.br
.br
      set format y "%s*10^{%S}"; set ytic(12345)   # "12.345*10^{3}"
.br
.br
      set format y "%s %cg"; set ytic(12345)       # "12.345 kg"
.br
.br
      set format y "%.0P pi"; set ytic(6.283185)   # "2 pi"
.br
.br
      set format y "%.0f%%"; set ytic(50)          # "50%"
.br

.br
      set log y 2; set format y '%l'; set ytics (1,2,3)
.br
.br
      #displays "1.0", "1.0" and "1.5" (since 3 is 1.5 * 2^1)
.br

There are some problem cases that arise when numbers like 9.999 are printed
with a format that requires both rounding and a power.

If the data type for the axis is time/date, the format string must contain
valid codes for the \&'strftime\&' function (outside of \fBgnuplot\fR, type "man
strftime").  See \fBset timefmt\fR for a list of the allowed input format codes.
.sp 2
.NH 3
Time/date specifiers
.sp 1
.LP
.XS
Time/date specifiers
.XE
In time/date mode, the acceptable formats are:


.EQ
delim $$
.EN
.KS
.TS
center box tab (@) ;
c l .
Format@Explanation
_
%a@abbreviated name of day of the week
%A@full name of day of the week
%b or %h@abbreviated name of the month
%B@full name of the month
%d@day of the month, 1--31
%D@shorthand for "%m/%d/%y"
%H or %k@hour, 0--24
%I or %l@hour, 0--12
%j@day of the year, 1--366
%m@month, 1--12
%M@minute, 0--60
%p@"am" or "pm"
%r@shorthand for "%I:%M:%S %p"
%R@shorthand for %H:%M"
%S@second, 0--60
%T@shorthand for "%H:%M:%S"
%U@week of the year (week starts on Sunday)
%w@day of the week, 0--6 (Sunday = 0)
%W@week of the year (week starts on Monday)
%y@year, 0-99
%Y@year, 4-digit
_
.TE
.KE
.EQ
delim off
.EN


Except for the non-numerical formats, these may be preceded by a "0" ("zero",
not "oh") to pad the field length with leading zeroes, and a positive digit,
to define the minimum field width (which will be overridden if the specified
width is not large enough to contain the number).  There is a 24-character
limit to the length of the printed text; longer strings will be truncated.

Examples:

Suppose the text is "76/12/25 23:11:11".  Then
.br
      set format x                 # defaults to "12/25/76" \\n "23:11"
.br
.br
      set format x "%A, %d %b %Y"  # "Saturday, 25 Dec 1976"
.br
.br
      set format x "%r %D"         # "11:11:11 pm 12/25/76"
.br

Suppose the text is "98/07/06 05:04:03".  Then
.br
      set format x "%1y/%2m/%3d %01H:%02M:%03S"  # "98/ 7/  6 5:04:003"
.br
.sp 2
.RE
.br
.NH 2
Function style
.sp 1
.LP
.XS
Function style
.XE
This form of the command is deprecated. Please see \fBset style function\fR.
.sp 2
.NH 2
Functions
.sp 1
.LP
.XS
Functions
.XE
The \fBshow functions\fR command lists all user-defined functions and their
definitions.

Syntax:
.br
      show functions
.br

For information about the definition and usage of functions in \fBgnuplot\fR,
please see \fBexpressions\fR.
See also
splines as user defined functions (spline.dem)
and
use of functions and complex variables for airfoils (airfoil.dem).
.sp 2
.NH 2
Grid
.sp 1
.LP
.XS
Grid
.XE
The \fBset grid\fR command allows grid lines to be drawn on the plot.

Syntax:
.br
      set grid {{no}{m}xtics} {{no}{m}ytics} {{no}{m}ztics}
.br
.br
               {{no}{m}x2tics} {{no}{m}y2tics}
.br
.br
               {{no}{m}cbtics}
.br
.br
               {polar {<angle>}}
.br
.br
               {layerdefault | front | back}
.br
.br
               { {linestyle <major_linestyle>}
.br
.br
                 | {linetype | lt <major_linetype>}
.br
.br
                   {linewidth | lw <major_linewidth>}
.br
.br
                 { , {linestyle | ls <minor_linestyle>}
.br
.br
                     | {linetype | lt <minor_linetype>}
.br
.br
                       {linewidth | lw <minor_linewidth>} } }
.br
.br
      unset grid
.br
.br
      show grid
.br

The grid can be enabled and disabled for the major and/or minor tic
marks on any axis, and the linetype and linewidth can be specified
for major and minor grid lines, also via a predefined linestyle, as
far as the active terminal driver supports this.

Additionally, a polar grid can be selected for 2-d plots---circles are drawn
to intersect the selected tics, and radial lines are drawn at definable
intervals.  (The interval is given in degrees or radians, depending on the
\fBset angles\fR setting.)  Note that a polar grid is no longer automatically
generated in polar mode.

The pertinent tics must be enabled before \fBset grid\fR can draw them; \fBgnuplot\fR
will quietly ignore instructions to draw grid lines at non-existent tics, but
they will appear if the tics are subsequently enabled.

If no linetype is specified for the minor gridlines, the same linetype as the
major gridlines is used.  The default polar angle is 30 degrees.

If \fBfront\fR is given, the grid is drawn on top of the graphed data. If
\fBback\fR is given, the grid is drawn underneath the graphed data. Using
\fBfront\fR will prevent the grid from being obscured by dense data. The
default setup, \fBlayerdefault\fR, is equivalent to \fBback\fR for 2d plots.  
In 3D plots the default is to split up the grid and the graph box into 
two layers: one behind, the other in front of the plotted data and
functions. Since \fBhidden3d\fR mode does its own sorting, it ignores
all grid drawing order options and passes the grid lines through the
hidden line removal machinery instead. These options actually affect
not only the grid, but also the lines output by \fBset border\fR and the
various ticmarks (see \fBset xtics\fR).

Z grid lines are drawn on the bottom of the plot.  This looks better if a
partial box is drawn around the plot---see \fBset border\fR.
.sp 2
.NH 2
Hidden3d
.sp 1
.LP
.XS
Hidden3d
.XE
The \fBset hidden3d\fR command enables hidden line removal for surface plotting
(see \fBsplot\fR).  Some optional features of the underlying algorithm can also
be controlled using this command.

Syntax:
.br
      set hidden3d {defaults} |
.br
.br
                   { {{offset <offset>} | {nooffset}}
.br
.br
                     {trianglepattern <bitpattern>}
.br
.br
                     {{undefined <level>} | {noundefined}}
.br
.br
                     {{no}altdiagonal}
.br
.br
                     {{no}bentover} }
.br
.br
      unset hidden3d
.br
.br
      show hidden3d
.br

In contrast to the usual display in gnuplot, hidden line removal actually
treats the given function or data grids as real surfaces that can\&'t be seen
through, so parts behind the surface will be hidden by it.  For this to be
possible, the surface needs to have \&'grid structure\&' (see \fBsplot datafile\fR
about this), and it has to be drawn \fBwith lines\fR or \fBwith linespoints\fR.

When \fBhidden3d\fR is set, both the hidden portion of the surface and possibly
its contours drawn on the base (see \fBset contour\fR) as well as the grid will
be hidden.  Each surface has its hidden parts removed with respect to itself
and to other surfaces, if more than one surface is plotted.  Contours drawn
on the surface (\fBset contour surface\fR) don\&'t work.  Labels and arrows are
always visible and are unaffected.  The key is also never hidden by the
surface.

Functions are evaluated at isoline intersections.  The algorithm interpolates
linearly between function points or data points when determining the visible
line segments.  This means that the appearance of a function may be different
when plotted with \fBhidden3d\fR than when plotted with \fBnohidden3d\fR because in
the latter case functions are evaluated at each sample.  Please see
\fBset samples\fR and \fBset isosamples\fR for discussion of the difference.

The algorithm used to remove the hidden parts of the surfaces has some
additional features controllable by this command.  Specifying \fBdefaults\fR will
set them all to their default settings, as detailed below.  If \fBdefaults\fR is
not given, only explicitly specified options will be influenced: all others
will keep their previous values, so you can turn on/off hidden line removal
via \fBset {no}hidden3d\fR, without modifying the set of options you chose.

The first option, \fBoffset\fR, influences the linestyle used for lines on the
\&\&'back\&' side.  Normally, they are drawn in a linestyle one index number higher
than the one used for the front, to make the two sides of the surface
distinguishable.  You can specify a different line style offset to add
instead of the default 1, by \fBoffset <offset>\fR.  Option \fBnooffset\fR stands for
\fBoffset 0\fR, making the two sides of the surface use the same linestyle.

Next comes the option \fBtrianglepattern <bitpattern>\fR.  <bitpattern> must be
a number between 0 and 7, interpreted as a bit pattern.  Each bit determines
the visibility of one edge of the triangles each surface is split up into.
Bit 0 is for the \&'horizontal\&' edges of the grid, Bit 1 for the \&'vertical\&'
ones, and Bit 2 for the diagonals that split each cell of the original grid
into two triangles.  The default pattern is 3, making all horizontal and
vertical lines visible, but not the diagonals.  You may want to choose 7 to
see those diagonals as well.

The \fBundefined <level>\fR option lets you decide what the algorithm is to do
with data points that are undefined (missing data, or undefined function
values), or exceed the given x-, y- or z-ranges.  Such points can either be
plotted nevertheless, or taken out of the input data set.  All surface
elements touching a point that is taken out will be taken out as well, thus
creating a hole in the surface.  If <level> = 3, equivalent to option
\fBnoundefined\fR, no points will be thrown away at all.  This may produce all
kinds of problems elsewhere, so you should avoid this.  <level> = 2 will
throw away undefined points, but keep the out-of-range ones.  <level> = 1,
the default, will get rid of out-of-range points as well.

By specifying \fBnoaltdiagonal\fR, you can override the default handling of a
special case can occur if \fBundefined\fR is active (i.e. <level> is not 3).
Each cell of the grid-structured input surface will be divided in two
triangles along one of its diagonals.  Normally, all these diagonals have
the same orientation relative to the grid.  If exactly one of the four cell
corners is excluded by the \fBundefined\fR handler, and this is on the usual
diagonal, both triangles will be excluded.  However if the default setting
of \fBaltdiagonal\fR is active, the other diagonal will be chosen for this cell
instead, minimizing the size of the hole in the surface.

The \fBbentover\fR option controls what happens to another special case, this
time in conjunction with the \fBtrianglepattern\fR.  For rather crumply surfaces,
it can happen that the two triangles a surface cell is divided into are seen
from opposite sides (i.e. the original quadrangle is \&'bent over\&'), as
illustrated in the following ASCII art:

.br
                                                              C----B
.br
.br
    original quadrangle:  A--B      displayed quadrangle:     |\\   |
.br
.br
      ("set view 0,0")    | /|    ("set view 75,75" perhaps)  | \\  |
.br
.br
                          |/ |                                |  \\ |
.br
.br
                          C--D                                |   \\|
.br
.br
                                                              A    D
.br

If the diagonal edges of the surface cells aren\&'t generally made visible by
bit 2 of the <bitpattern> there, the edge CB above wouldn\&'t be drawn at all,
normally, making the resulting display hard to understand.  Therefore, the
default option of \fBbentover\fR will turn it visible in this case.  If you don\&'t
want that, you may choose \fBnobentover\fR instead.
See also
hidden line removal demo (hidden.dem)
and
complex hidden line demo (singulr.dem).
.sp 2
.NH 2
Historysize
.sp 1
.LP
.XS
Historysize
.XE
Note: the command \fBset historysize\fR is only available when
compiled with the gnu readline.

Syntax:
.br
      set historysize <int>
.br
.br
      unset historysize
.br

When leaving gnuplot, the value of historysize is used for
truncating the history to at most that much lines. The default
is 500.
\fBunset historysize\fR will disable history truncation and thus
allow an infinite number of lines to be written to the history
file.
.sp 2
.NH 2
Isosamples
.sp 1
.LP
.XS
Isosamples
.XE
The isoline density (grid) for plotting functions as surfaces may be changed
by the \fBset isosamples\fR command.

Syntax:
.br
      set isosamples <iso_1> {,<iso_2>}
.br
.br
      show isosamples
.br

Each function surface plot will have <iso_1> iso-u lines and <iso_2> iso-v
lines.  If you only specify <iso_1>, <iso_2> will be set to the same value
as <iso_1>.  By default, sampling is set to 10 isolines per u or v axis.
A higher sampling rate will produce more accurate plots, but will take longer.
These parameters have no effect on data file plotting.

An isoline is a curve parameterized by one of the surface parameters while
the other surface parameter is fixed.  Isolines provide a simple means to
display a surface.  By fixing the u parameter of surface s(u,v), the iso-u
lines of the form c(v) = s(u0,v) are produced, and by fixing the v parameter,
the iso-v lines of the form c(u) = s(u,v0) are produced.

When a function surface plot is being done without the removal of hidden
lines, \fBset samples\fR  controls the number of points sampled along each
isoline;  see \fBset samples\fR and \fBset hidden3d\fR. The contour algorithm
assumes that a function sample occurs at each isoline intersection, so
change in \fBsamples\fR as well as \fBisosamples\fR may be desired when changing
the resolution of a function surface/contour.
.sp 2
.NH 2
Key
.sp 1
.LP
.XS
Key
.XE
The \fBset key\fR enables a key (or legend) describing plots on a plot.

The contents of the key, i.e., the names given to each plotted data set and
function and samples of the lines and/or symbols used to represent them, are
determined by the \fBtitle\fR and \fBwith\fR options of the {\fBs\fR}\fBplot\fR command.
Please see \fBplot title\fR and \fBplot with\fR for more information.

Syntax:
.br
      set key {on|off} {default}
.br
.br
              {left | right | top | bottom | outside | below | <position>}
.br
.br
              {Left | Right} {{no}reverse}
.br
.br
              {samplen <sample_length>} {spacing <vertical_spacing>}
.br
.br
              {width <width_increment>}
.br
.br
              {height <height_increment>}
.br
.br
              {{no}autotitles}
.br
.br
              {title "<text>"} {{no}enhanced}
.br
.br
              {{no}box { {linestyle | ls <line_style>}
.br
.br
                         | {linetype | lt <line_type>}
.br
.br
                           {linewidth | lw <line_width>}}}
.br
.br
      unset key
.br
.br
      show key
.br

By default the key is placed in the upper right corner of the graph.  The
keywords \fBleft\fR, \fBright\fR, \fBtop\fR, \fBbottom\fR, \fBoutside\fR and \fBbelow\fR may be used
to place the key in the other corners inside the graph or to the right
(outside) or below the graph.  They may be given alone or combined.

Plots may be drawn with no visible key by requesting \fBset key off\fR or
\fBunset key\fR.

Justification of the labels within the key is controlled by \fBLeft\fR or \fBRight\fR
(default is \fBRight\fR).  The text and sample can be reversed (\fBreverse\fR) and a
box can be drawn around the key (\fBbox {...}\fR) in a specified \fBlinetype\fR
and \fBlinewidth\fR, or a user-defined \fBlinestyle\fR. Note that not all
terminal drivers support linewidth selection, though.

The length of the sample line can be controlled by \fBsamplen\fR.  The sample
length is computed as the sum of the tic length and <sample_length> times the
character width.  \fBsamplen\fR also affects the positions of point samples in
the key since these are drawn at the midpoint of the sample line, even if
the sample line itself is not drawn.

The vertical spacing between lines is controlled by \fBspacing\fR.  The spacing
is set equal to the product of the pointsize, the vertical tic size, and
<vertical_spacing>.  The program will guarantee that the vertical spacing is
no smaller than the character height.

The <width_increment> is a number of character widths to be added to or
subtracted from the length of the string.  This is useful only when you are
putting a box around the key and you are using control characters in the text.
\fBgnuplot\fR simply counts the number of characters in the string when computing
the box width; this allows you to correct it.

The <height_increment> is a number of character heights to be added to or
subtracted from the height of the key box.  This is useful mainly when you are
putting a box around the key, otherwise it can be used to adjust the vertical
shift of automatically chosen key position by <height_increment>/2.

All plotted curves of \fBplot\fRs and \fBsplot\fRs are titled according to the
default option \fBautotitles\fR. The automatic generation of titles can be
suppressed by \fBnoautotitles\fR; then only those titles explicitly defined
by \fB(s)plot ... title ...\fR will be drawn.

A title can be put on the key (\fBtitle "<text>"\fR)---see also \fBsyntax\fR for the
distinction between text in single- or double-quotes.  The key title uses the
same justification as do the plot titles.

An explicitly given title is typeset using enhanced text properties on
terminals supporting this, see \fBenhanced text\fR for more details.
This default behavior can be switched off by the \fBnoenhanced\fR option.

The defaults for \fBset key\fR are \fBon\fR, \fBright\fR, \fBtop\fR, \fBRight\fR, \fBnoreverse\fR,
\fBsamplen 4\fR, \fBspacing 1.25\fR, \fBtitle ""\fR, and \fBnobox\fR.  The default <linetype>
is the same as that used for the plot borders.  Entering \fBset key default\fR 
returns the key to its default configuration.

The <position> can be a simple x,y,z as in previous versions, but these can
be preceded by one of four keywords (\fBfirst\fR, \fBsecond\fR, \fBgraph\fR, \fBscreen\fR)
which selects the coordinate system in which the position of the first sample
line is specified.  See \fBcoordinates\fR for more details.

The key is drawn as a sequence of lines, with one plot described on each
line.  On the right-hand side (or the left-hand side, if \fBreverse\fR is
selected) of each line is a representation that attempts to mimic the way the
curve is plotted.  On the other side of each line is the text description
(the line title), obtained from the \fBplot\fR command.  The lines are vertically
arranged so that an imaginary straight line divides the left- and right-hand
sides of the key.  It is the coordinates of the top of this line that are
specified with the \fBset key\fR command.  In a \fBplot\fR, only the x and y
coordinates are used to specify the line position.  For a \fBsplot\fR, x, y and
z are all used as a 3-d location mapped using the same mapping as the graph
itself to form the required 2-d screen position of the imaginary line.

Some or all of the key may be outside of the graph boundary, although this
may interfere with other labels and may cause an error on some devices.  If
you use the keywords \fBoutside\fR or \fBbelow\fR, \fBgnuplot\fR makes space for the keys
and the graph becomes smaller.  Putting keys outside to the right, they
occupy as few columns as possible, and putting them below, as many columns as
possible (depending of the length of the labels), thus stealing as little
space from the graph as possible.

When using the TeX or PostScript drivers, or similar drivers where formatting
information is embedded in the string, \fBgnuplot\fR is unable to calculate
correctly the width of the string for key positioning.  If the key is to be
positioned at the left, it may be convenient to use the combination  \fBset key
left Left reverse\fR.  The box and gap in the grid will be the width of the
literal string.

If \fBsplot\fR is being used to draw contours, the contour labels will be listed
in the key.  If the alignment of these labels is poor or a different number
of decimal places is desired, the label format can be specified.  See
\fBset clabel\fR for details.

Examples:

This places the key at the default location:
.br
      set key default
.br

This disables the key:
.br
      unset key
.br

This places a key at coordinates 2,3.5,2 in the default (first) coordinate
system:
.br
      set key 2,3.5,2
.br

This places the key below the graph:
.br
      set key below
.br

This places the key in the bottom left corner, left-justifies the text,
gives it a title, and draws a box around it in linetype 3:
.br
      set key left bottom Left title 'Legend' box 3
.br
.sp 2
.NH 2
Label
.sp 1
.LP
.XS
Label
.XE
Arbitrary labels can be placed on the plot using the \fBset label\fR command.

Syntax:
.br
      set label {<tag>}
.br
.br
                { {"<label text>"{,<value>}} {, ...}} }
.br
.br
                {at <position>}
.br
.br
                {left | center | right}
.br
.br
                {norotate | rotate {by <degrees>}}
.br
.br
                {font "<name>{,<size>}"}
.br
.br
                {front | back}
.br
.br
                {textcolor <colorspec>}
.br
.br
                {point <pointstyle> {offset x, y} | nopoint}
.br
.br
      unset label {<tag>}
.br
.br
      show label
.br

The <position> is specified by either x,y or x,y,z, and may be preceded by
\fBfirst\fR, \fBsecond\fR, \fBgraph\fR, or \fBscreen\fR to select the coordinate system.
See \fBcoordinates\fR for details.

The tag is an integer that is used to identify the label. If no <tag>
is given, the lowest unused tag value is assigned automatically.  The
tag can be used to delete or modify a specific label.  To change any
attribute of an existing label, use the \fBset label\fR command with the
appropriate tag, and specify the parts of the label to be changed.

The <label text> can optionally contain numbers, generated by
replacement of printf()-like format specifiers contained in <label
text>.  The number to be used is given by the <value> following the
text.  The same formatting capabilities as for tic labels are
available.  See the help on \fBformat specifiers\fR for details. To
display more than one distinct <value> with a single label, several
pairs of <label text> and <value> may be given. Note that <value> is
treated as a constant expression, i.e. if it contains variables, the
label text will not change if the variable values are modified,
later on.  The \fBset decimalsign\fR option, if active, overrides the
decimal separator character of numbers entered into label texts.

By default, the text is placed flush left against the point x,y,z.  To adjust
the way the label is positioned with respect to the point x,y,z, add the
justification parameter, which may be \fBleft\fR, \fBright\fR or \fBcenter\fR,
indicating that the point is to be at the left, right or center of the text.
Labels outside the plotted boundaries are permitted but may interfere with
axis labels or other text.

If \fBrotate\fR is given, the label is written vertically (if the terminal can do
so, of course).  If \fBrotate by <degrees>\fR is given, conforming terminals will
try to write the text at the specified angle; non-conforming terminals will
treat this as vertical text.

Font and its size can be chosen explicitly by \fBfont "<name>{,<size>}"\fR if the
terminal supports font settings.  Otherwise the default font of the terminal
will be used.

If \fBfront\fR is given, the label is written on top of the graphed data. If
\fBback\fR is given (the default), the label is written underneath the graphed
data.  Using \fBfront\fR will prevent a label from being obscured by dense data.

\fBTextcolor <colorspec>\fR changes the color of the label text. \fB<colorspec>\fR is
either a linetype or a mapping onto the pm3d color palette (available only in
\fBsplot\fR), see help for \fBset palette\fR.
.br
   `textcolor` may be abbreviated `tc`.
.br
.br
   `tc default` resets the text color to its default state.
.br
.br
   `tc lt <n>` sets the text color to that of line type <n>.
.br
.br
   `tc palette z` selects a palette color corresponding to the label z position.
.br
.br
   `tc palette cb <val>` selects a color corresponding to <val> on the colorbar.
.br
.br
   `tc palette fraction <val>`, with 0<=val<=1, selects a color corresponding to
.br
.br
       the mapping [0:1] to grays/colors of the `palette`.
.br

If a <pointstyle> is given, using keywords \fBlt\fR, \fBpt\fR and \fBps\fR, see \fBstyle\fR,
a point with the given style and color of the given line type is plotted at
the label position and the text of the label is displaced slightly.
The displacement defaults to 1, 1 in \fBpointsize\fR units and can be
controlled by the optional \fBoffset x, y\fR. Example: \fBoffset 2, -3\fR would
displace the labels 2 * pointsize horizontally and -3 * pointsize vertically
from the actual coordinate point as given by \fBposition\fR.  The size of the
point depends also on the setting of \fBpointsize\fR.
This option is used by default for placing labels in \fBmouse\fR enhanced
terminals.  Use \fBnopoint\fR to turn off the drawing of a point near
the label (this is the default).

If one (or more) axis is timeseries, the appropriate coordinate should be
given as a quoted time string according to the \fBtimefmt\fR format string.
See \fBset xdata\fR and \fBset timefmt\fR.

The EEPIC, Imagen, LaTeX, and TPIC drivers allow \\\\ in a string to specify
a newline.

Examples:

To set a label at (1,2) to "y=x", use:
.br
      set label "y=x" at 1,2
.br

To set a Sigma of size 24, from the Symbol font set, at the center of
the graph, use:
.br
      set label "S" at graph 0.5,0.5 center font "Symbol,24"
.br

To set a label "y=x^2" with the right of the text at (2,3,4), and tag the
label as number 3, use:
.br
      set label 3 "y=x^2" at 2,3,4 right
.br

To change the preceding label to center justification, use:
.br
      set label 3 center
.br

To delete label number 2, use:
.br
      unset label 2
.br

To delete all labels, use:
.br
      unset label
.br

To show all labels (in tag order), use:
.br
      show label
.br

To set a label on a graph with a timeseries on the x axis, use, for example:
.br
      set timefmt "%d/%m/%y,%H:%M"
.br
.br
      set label "Harvest" at "25/8/93",1
.br

To display a freshly fitted parameter on the plot with the data and the
fitted function, do this after the \fBfit\fR, but before the \fBplot\fR:
.br
      set label 'a = %3.5g',par_a     at 30, 15
.br
.br
      set label 'b = %s*10^%S',par_b  at 30, 20
.br

To set a label displaced a little bit from a small point:
.br
      set label 'origin' at 0,0 point lt 1 pt 2 ps 3 offset 1,-1
.br

To set a label whose color matches the z value (in this case 5.5) of some
point on a 3D splot colored using pm3d:
.br
      set label 'text' at 0,0,5.5 tc palette z
.br

.sp 2
.NH 2
Lmargin
.sp 1
.LP
.XS
Lmargin
.XE
The command \fBset lmargin\fR sets the size of the left margin.
Please see \fBset margin\fR for details.
.sp 2
.NH 2
Loadpath
.sp 1
.LP
.XS
Loadpath
.XE
The \fBloadpath\fR setting defines additional locations for data and command
files searched by the \fBcall\fR, \fBload\fR, \fBplot\fR and \fBsplot\fR commands.  If a
file cannot be found in the current directory, the directories in
\fBloadpath\fR are tried.

Syntax:
.br
      set loadpath {"pathlist1" {"pathlist2"...}}
.br
.br
      show loadpath
.br

Path names may be entered as single directory names, or as a list of
path names separated by a platform-specific path separator, eg. colon
(\&':\&') on Unix, semicolon (\&';\&') on DOS/Windows/OS/2/Amiga platforms.
The \fBshow loadpath\fR, \fBsave\fR and \fBsave set\fR commands replace the
platform-specific separator with a space character (\&' \&') for maximum
portability.

If the environment variable GNUPLOT_LIB is set, its contents are
appended to \fBloadpath\fR.  However, \fBshow loadpath\fR prints the contents
of user defined loadpath and system loadpath separately.  Also, the
\fBsave\fR and \fBsave set\fR commands save only the user specified parts of
\fBloadpath\fR, for portability reasons.
.sp 2
.NH 2
Locale
.sp 1
.LP
.XS
Locale
.XE
The \fBlocale\fR setting determines the language with which \fB{x,y,z}{d,m}tics\fR
will write the days and months.

Syntax:
.br
      set locale {"<locale>"}
.br

<locale> may be any language designation acceptable to your installation.
See your system documentation for the available options.  The default value
is determined from the LANG environment variable.
.sp 2
.NH 2
Logscale
.sp 1
.LP
.XS
Logscale
.XE
Log scaling may be set on the x, y, z, x2 and/or y2 axes.

Syntax:
.br
      set logscale <axes> <base>
.br
.br
      unset logscale <axes>
.br
.br
      show logscale
.br

where <axes> may be any combinations of \fBx\fR, \fBy\fR, \fBz\fR, and \fBcb\fR in any order,
or \fBx2\fR or \fBy2\fR and where <base> is the base of the log scaling.  If <base> is
not given, then 10 is assumed.  If <axes> is not given, then all axes are
assumed.  \fBunset logscale\fR turns off log scaling for the specified axes.

Examples:

To enable log scaling in both x and z axes:
.br
      set logscale xz
.br

To enable scaling log base 2 of the y axis:
.br
      set logscale y 2
.br

To enable z and color log axes for a pm3d plot:
.br
      set logscale zcb
.br

To disable z axis log scaling:
.br
      unset logscale z
.br
.sp 2
.NH 2
Mapping
.sp 1
.LP
.XS
Mapping
.XE
If data are provided to \fBsplot\fR in spherical or cylindrical coordinates,
the \fBset mapping\fR command should be used to instruct \fBgnuplot\fR how to
interpret them.

Syntax:
.br
      set mapping {cartesian | spherical | cylindrical}
.br

A cartesian coordinate system is used by default.

For a spherical coordinate system, the data occupy two or three columns
(or \fBusing\fR entries).  The first two are interpreted as the azimuthal
and polar angles theta and phi (or "longitude" and "latitude"), in the
units specified by \fBset angles\fR.  The radius r is taken from the third
column if there is one, or is set to unity if there is no third column.
The mapping is:

.br
      x = r * cos(theta) * cos(phi)
.br
.br
      y = r * sin(theta) * cos(phi)
.br
.br
      z = r * sin(phi)
.br

Note that this is a "geographic" spherical system, rather than a "polar"
one (that is, phi is measured from the equator, rather than the pole).

For a cylindrical coordinate system, the data again occupy two or three
columns.  The first two are interpreted as theta (in the units specified by
\fBset angles\fR) and z.  The radius is either taken from the third column or set
to unity, as in the spherical case.  The mapping is:

.br
      x = r * cos(theta)
.br
.br
      y = r * sin(theta)
.br
.br
      z = z
.br

The effects of \fBmapping\fR can be duplicated with the \fBusing\fR filter on the
\fBsplot\fR command, but \fBmapping\fR may be more convenient if many data files are
to be processed.  However even if \fBmapping\fR is used, \fBusing\fR may still be
necessary if the data in the file are not in the required order.

\fBmapping\fR has no effect on \fBplot\fR.
world.dem: mapping demos.
.sp 2
.NH 2
Margin
.sp 1
.LP
.XS
Margin
.XE
The computed margins can be overridden by the \fBset margin\fR commands.  \fBshow
margin\fR shows the current settings.

Syntax:
.br
      set bmargin {<margin>}
.br
.br
      set lmargin {<margin>}
.br
.br
      set rmargin {<margin>}
.br
.br
      set tmargin {<margin>}
.br
.br
      show margin
.br

The units of <margin> are character heights or widths, as appropriate.  A
positive value defines the absolute size of the margin.  A negative value
(or none) causes \fBgnuplot\fR to revert to the computed value.  For 3D plots,
only the left margin setting has any effect so far.

Normally the margins of a plot are automatically calculated based on tics,
tic labels, axis labels, the plot title, the timestamp and the size of the
key if it is outside the borders.  If, however, tics are attached to the
axes (\fBset xtics axis\fR, for example), neither the tics themselves nor their
labels will be included in either the margin calculation or the calculation
of the positions of other text to be written in the margin.  This can lead
to tic labels overwriting other text if the axis is very close to the border.
.sp 2
.NH 2
Mouse
.sp 1
.LP
.XS
Mouse
.XE
The command \fBset mouse\fR enables mouse actions. Currently the pm, x11, ggi and
windows terminals are mouse enhanced. There are two mouse modes. The 2d-graph
mode works for 2d graphs and for maps (i.e. splots with \fBset view\fR having
z-rotation 0, 90, 180, 270 or 360 degrees) and it allows tracing the position
over graph, zooming, annotating graph etc. For 3d graphs \fBsplot\fR, the view
and scaling of the graph can be changed with mouse buttons 1 and 2. If
additionally to these buttons the modifier <ctrl> is hold down, the
coordinate system only is rotated which is useful for large data sets. A
vertical motion of Button 2 with the shift key hold down changes the
ticslevel.

Mousing is not available in multiplot mode. If multiplot is disabled using
\fBunset multiplot\fR though,  the mouse will be turned on again and acts on the
last plot (like replot does).

Syntax:
.br
      set mouse [doubleclick <ms>] [nodoubleclick] \\
.br
.br
                [[no]zoomcoordinates] \\
.br
.br
                [[no]polardistance] \\
.br
.br
                [format <string>] \\
.br
.br
                [clipboardformat <int>/<string>] \\
.br
.br
                [mouseformat <int>/<string>] \\
.br
.br
                [[no]labels] [labeloptions <string>] \\
.br
.br
                [[no]zoomjump] [[no]verbose]
.br
.br
      unset mouse
.br

The doubleclick resolution is given in milliseconds and used for Button 1
which copies the current mouse position to the \fBclipboard\fR. If you want that
to be done by single clicking a value of 0 ms can be used. The default value
is 300 ms.

The option \fBzoomcoordinates\fR determines if the coordinates of the zoom box are
drawn at the edges while zooming. This is on by default.

The option \fBpolardistance\fR determines if the distance to the ruler is also
shown in polar coordinates. This corresponds to the default key binding \&'5\&'.

The \fBformat\fR option takes a fprintf like format string which determines how
floating point numbers are printed to the drivers window and the clipboard.
The default is "% #g".

\fBclipboardformat\fR and \fBmouseformat\fR are used for formatting the text on
Button1 and Button2 actions -- copying the coordinates to the clipboard and
temporarily annotating the mouse position. This corresponds to the key
bindings \&'1\&', \&'2\&', \&'3\&', \&'4\&' (see the drivers\&'s help window). If the argument
is a string this string is used as c format specifier and should contain two
float specifiers, e.g. \fBset mouse mouseformat "mouse = %5.2g, %10.2f"\fR. Use
\fBset mouse mouseformat ""\fR to turn this string off again.

The following formats are available (format 6 may only be selected if the
format string was specified already):

.br
 0   real coordinates in  brackets e.g. [1.23, 2.45]
.br
.br
 1   real coordinates w/o brackets e.g.  1.23, 2.45
.br
.br
 2   x == timefmt                       [(as set by `set timefmt`), 2.45]
.br
.br
 3   x == date                          [31. 12. 1999, 2.45]
.br
.br
 4   x == time                          [23:59, 2.45]
.br
.br
 5   x == date / time                   [31. 12. 1999 23:59, 2.45]
.br
.br
 6   alt. format, specified as string   ""
.br

Choose the option \fBlabels\fR to get real gnuplot labels on Button 2. (The
default is \fBnolabels\fR which makes Button 2 drawing only temporary annotations
at the mouse positions). The labels are drawn with the current setting of
\fBmouseformat\fR. \fBlabeloptions\fR controls which options are passed to the
\fBset label\fR command. The default is "pointstyle 1" which will plot a small
plus at the label position.  Note that the pointsize is taken from the
\fBset pointsize\fR command.
Labels can be removed by holding the Ctrl-Key down while clicking with
Button 2 on the label\&'s point. The threshold for how close you must be to the
label is also determined by the \fBpointsize\fR.

If the option \fBzoomjump\fR is on, the mouse pointer will be automatically
offset a small distance after starting a zoom region with button 3. This can
be useful to avoid a tiny (or even empty) zoom region. \fBzoomjump\fR is off by
default.

If the option \fBverbose\fR is turned on the communication commands are shown
during execution. This option can also be toggled by hitting \fB6\fR in the
driver\&'s window. \fBverbose\fR is off by default.

Press \&'h\&' in the driver\&'s window for a short summary of the mouse and key
bindings.  This will also display user defined bindings or \fBhotkeys\fR which
can be defined using the \fBbind\fR command, see help for \fBbind\fR.  Note, that user
defined \fBhotkeys\fR may override the default bindings.

Press \&'q\&' in the driver\&'s window to close the window. This key cannot be
overridden with the \fBbind\fR command.

See also help for \fBbind\fR and \fBlabel\fR.
.sp 2
.RS
.IP
.NH 3
X11_mouse
.sp 1
.LP
.XS
X11_mouse
.XE
X11 mouse support is turned on by default if standard input comes from a 
terminal (tty). Mouse support is turned off if standard input does not 
come from a tty, e.g. a pipe. If you want to use mouse support while writing
to gnuplot from a pipe, the mouse must be turned on *before* starting the x11
driver, e.g. immediately after startup with the explicit command \fBset mouse\fR.
Beware: on some UNIX flavours, special input devices as /dev/null might not 
be \fBselect-able\fR; turning on the mouse when using such devices will hang 
gnuplot.

If multiple X11 plot windows have been opened using the \fBset term x11 <n>\fR
terminal option, then only the current plot window supports the entire 
range of mouse commands and hotkeys.  The other windows will, however,
continue to display mouse coordinates at the lower left.
.sp 2
.RE
.br
.NH 2
Multiplot
.sp 1
.LP
.XS
Multiplot
.XE
The command \fBset multiplot\fR places \fBgnuplot\fR in the multiplot mode, in which
several plots are placed on the same page, window, or screen.

Syntax:
.br
      set multiplot
.br
.br
      unset multiplot
.br

For some terminals, no plot is displayed until the command \fBunset multiplot\fR
is given, which causes the entire page to be drawn and then returns \fBgnuplot\fR
to its normal single-plot mode.  For other terminals, each separate \fBplot\fR
command produces a plot, but the screen may not be cleared between plots.

Any labels or arrows that have been defined will be drawn for each plot
according to the current size and origin (unless their coordinates are
defined in the \fBscreen\fR system).  Just about everything else that can be
\fBset\fR is applied to each plot, too.  If you want something to appear only
once on the page, for instance a single time stamp, you\&'ll need to put a \fBset
time\fR/\fBunset time\fR pair around one of the \fBplot\fR, \fBsplot\fR or \fBreplot\fR
commands within the \fBset multiplot\fR/\fBunset multiplot\fR block.

The commands \fBset origin\fR and \fBset size\fR must be used to correctly position
each plot; see \fBset origin\fR and \fBset size\fR for details of their usage.

Example:
.br
      set size 0.7,0.7
.br
.br
      set origin 0.1,0.1
.br
.br
      set multiplot
.br
.br
      set size 0.4,0.4
.br
.br
      set origin 0.1,0.1
.br
.br
      plot sin(x)
.br
.br
      set size 0.2,0.2
.br
.br
      set origin 0.5,0.5
.br
.br
      plot cos(x)
.br
.br
      unset multiplot
.br

displays a plot of cos(x) stacked above a plot of sin(x).  Note the initial
\fBset size\fR and \fBset origin\fR.  While these are not always required, their
inclusion is recommended.  Some terminal drivers require that bounding box
information be available before any plots can be made, and the form given
above guarantees that the bounding box will include the entire plot array
rather than just the bounding box of the first plot.

\fBset size\fR and \fBset origin\fR refer to the entire plotting area used for each
plot.  If you want to have the axes themselves line up, you can guarantee
that the margins are the same size with the \fBset margin\fR commands.
See \fBset margin\fR for their use.  Note that the margin settings are absolute,
in character units, so the appearance of the graph in the remaining space
will depend on the screen size of the display device, e.g., perhaps quite
different on a video display and a printer.
See also
multiplot demo (multiplt.dem).
.sp 2
.NH 2
Mx2tics
.sp 1
.LP
.XS
Mx2tics
.XE
Minor tic marks along the x2 (top) axis are controlled by \fBset mx2tics\fR.
Please see \fBset mxtics\fR.
.sp 2
.NH 2
Mxtics
.sp 1
.LP
.XS
Mxtics
.XE
Minor tic marks along the x axis are controlled by \fBset mxtics\fR.  They can be
turned off with \fBunset mxtics\fR.  Similar commands control minor tics along
the other axes.

Syntax:
.br
      set mxtics {<freq> | default}
.br
.br
      unset mxtics
.br
.br
      show mxtics
.br

The same syntax applies to \fBmytics\fR, \fBmztics\fR, \fBmx2tics\fR, \fBmy2tics\fR and
\fBmcbtics\fR.

<freq> is the number of sub-intervals (NOT the number of minor tics) between
major tics (the default for a linear axis is either two or five
depending on the major tics, so there are one or four minor
tics between major tics). Selecting \fBdefault\fR will return the number of minor
ticks to its default value.

If the axis is logarithmic, the number of sub-intervals will be set to a
reasonable number by default (based upon the length of a decade).  This will
be overridden if <freq> is given.  However the usual minor tics (2, 3, ...,
8, 9 between 1 and 10, for example) are obtained by setting <freq> to 10,
even though there are but nine sub-intervals.

Minor tics can be used only with uniformly spaced major tics.  Since major
tics can be placed arbitrarily by \fBset {x|x2|y|y2|z}tics\fR, minor tics cannot
be used if major tics are explicitly \fBset\fR.

By default, minor tics are off for linear axes and on for logarithmic axes.
They inherit the settings for \fBaxis|border\fR and \fB{no}mirror\fR specified for
the major tics.  Please see \fBset xtics\fR for information about these.
.sp 2
.NH 2
My2tics
.sp 1
.LP
.XS
My2tics
.XE
Minor tic marks along the y2 (right-hand) axis are controlled by \fBset
my2tics\fR.  Please see \fBset mxtics\fR.
.sp 2
.NH 2
Mytics
.sp 1
.LP
.XS
Mytics
.XE
Minor tic marks along the y axis are controlled by \fBset mytics\fR.  Please
see \fBset mxtics\fR.
.sp 2
.NH 2
Mztics
.sp 1
.LP
.XS
Mztics
.XE
Minor tic marks along the z axis are controlled by \fBset mztics\fR.  Please
see \fBset mxtics\fR.
.sp 2
.NH 2
Offsets
.sp 1
.LP
.XS
Offsets
.XE
Offsets provide a mechanism to put a boundary around the data inside of an
autoscaled graph.

Syntax:
.br
      set offsets <left>, <right>, <top>, <bottom>
.br
.br
      unset offsets
.br
.br
      show offsets
.br

Each offset may be a constant or an expression.  Each defaults to 0.  Left
and right offsets are given in units of the x axis, top and bottom offsets in
units of the y axis.  A positive offset expands the graph in the specified
direction, e.g., a positive bottom offset makes ymin more negative.  Negative
offsets, while permitted, can have unexpected interactions with autoscaling
and clipping.

Offsets are ignored in \fBsplot\fRs.

Example:
.br
      set offsets 0, 0, 2, 2
.br
.br
      plot sin(x)
.br

This graph of sin(x) will have a y range [-3:3] because the function
will be autoscaled to [-1:1] and the vertical offsets are each two.
.sp 2
.NH 2
Origin
.sp 1
.LP
.XS
Origin
.XE
The \fBset origin\fR command is used to specify the origin of a plotting surface
(i.e., the graph and its margins) on the screen.  The coordinates are given
in the \fBscreen\fR coordinate system (see \fBcoordinates\fR for information about
this system).

Syntax:
.br
      set origin <x-origin>,<y-origin>
.br
.sp 2
.NH 2
Output
.sp 1
.LP
.XS
Output
.XE
By default, screens are displayed to the standard output. The \fBset output\fR
command redirects the display to the specified file or device.

Syntax:
.br
      set output {"<filename>"}
.br
.br
      show output
.br

The filename must be enclosed in quotes.  If the filename is omitted, any
output file opened by a previous invocation of \fBset output\fR will be closed
and new output will be sent to STDOUT.  (If you give the command \fBset output
"STDOUT"\fR, your output may be sent to a file named "STDOUT"!  ["May be", not
"will be", because some terminals, like \fBx11\fR, ignore \fBset output\fR.])

MSDOS users should note that the \\ character has special significance in
double-quoted strings, so single-quotes should be used for filenames in
different directories.

When both \fBset terminal\fR and \fBset output\fR are used together, it is safest to
give \fBset terminal\fR first, because some terminals set a flag which is needed
in some operating systems.  This would be the case, for example, if the
operating system needs to know whether or not a file is to be formatted in
order to open it properly.

On machines with popen functions (Unix), output can be piped through a shell
command if the first non-whitespace character of the filename is \&'|\&'.
For instance,

.br
      set output "|lpr -Plaser filename"
.br
.br
      set output "|lp -dlaser filename"
.br

On MSDOS machines, \fBset output "PRN"\fR will direct the output to the default
printer.  On VMS, output can be sent directly to any spooled device.  It is
also possible to send the output to DECnet transparent tasks, which allows
some flexibility.
.sp 2
.NH 2
Parametric
.sp 1
.LP
.XS
Parametric
.XE
The \fBset parametric\fR command changes the meaning of \fBplot\fR (\fBsplot\fR) from
normal functions to parametric functions.  The command \fBunset parametric\fR
restores the plotting style to normal, single-valued expression plotting.

Syntax:
.br
      set parametric
.br
.br
      unset parametric
.br
.br
      show parametric
.br

For 2-d plotting, a parametric function is determined by a pair of parametric
functions operating on a parameter.  An example of a 2-d parametric function
would be \fBplot sin(t),cos(t)\fR, which draws a circle (if the aspect ratio is
set correctly---see \fBset size\fR).  \fBgnuplot\fR will display an error message if
both functions are not provided for a parametric \fBplot\fR.

For 3-d plotting, the surface is described as x=f(u,v), y=g(u,v), z=h(u,v).
Therefore a triplet of functions is required.  An example of a 3-d parametric
function would be \fBcos(u)*cos(v),cos(u)*sin(v),sin(u)\fR, which draws a sphere.
\fBgnuplot\fR will display an error message if all three functions are not
provided for a parametric \fBsplot\fR.

The total set of possible plots is a superset of the simple f(x) style plots,
since the two functions can describe the x and y values to be computed
separately.  In fact, plots of the type t,f(t) are equivalent to those
produced with f(x) because the x values are computed using the identity
function.  Similarly, 3-d plots of the type u,v,f(u,v) are equivalent to
f(x,y).

Note that the order the parametric functions are specified is xfunction,
yfunction (and zfunction) and that each operates over the common parametric
domain.

Also, the \fBset parametric\fR function implies a new range of values.  Whereas
the normal f(x) and f(x,y) style plotting assume an xrange and yrange (and
zrange), the parametric mode additionally specifies a trange, urange, and
vrange.  These ranges may be set directly with \fBset trange\fR, \fBset urange\fR,
and \fBset vrange\fR, or by specifying the range on the \fBplot\fR or \fBsplot\fR
commands.  Currently the default range for these parametric variables is
[-5:5].  Setting the ranges to something more meaningful is expected.
.sp 2
.NH 2
Plot
.sp 1
.LP
.XS
Plot
.XE
The \fBshow plot\fR command shows the current plotting command as it results
from the last \fBplot\fR and/or \fBsplot\fR and possible subsequent \fBreplot\fR commands.

In addition, the \fBshow plot add2history\fR command adds this current plot
command into the \fBhistory\fR. It is useful if you have used \fBreplot\fR to add
more curves to the current plot and you want to edit the whole command now.
.sp 2
.NH 2
Pm3d
.sp 1
.LP
.XS
Pm3d
.XE
pm3d is an \fBsplot\fR style for drawing palette-mapped 3d and 4d data as
color/gray maps and surfaces.  It uses a pm3d algorithm which allows plotting
gridded as well as non-gridded data without preprocessing, even when the data
scans do not have the same number of points.

Drawing of color surfaces is available on terminals supporting filled colored
polygons with color mapping specified by \fBpalette\fR. Currently supported
terminals include

.br
  Screen terminals:
.br
.br
    OS/2 Presentation Manager
.br
.br
    X11
.br
.br
    Linux VGA (vgagl)
.br
.br
    GGI
.br
.br
    Windows
.br
.br
    AquaTerm (Mac OS X)
.br
.br
  Files:
.br
.br
    PostScript
.br
.br
    pslatex, pstex, epslatex
.br
.br
    gif, png, jpeg
.br
.br
    (x)fig
.br
.br
    tgif
.br
.br
    cgm
.br
.br
    pdf
.br
.br
    svg
.br

Let us first describe how a map/surface is drawn.  The input data come from an
evaluated function or from an \fBsplot data file\fR.  Each surface consists of a
sequence of separate scans (isolines).  The pm3d algorithm fills the region
between two neighbouring points in one scan with another two points in the
next scan by a gray (or color) according to z-values (or according to an
additional \&'color\&' column, see help for \fBusing\fR) of these 4 corners; by default
the 4 corner values are averaged, but this can be changed by the option 
\fBcorners2color\fR.  In order to get a reasonable surface, the neighbouring scans
should not cross and the number of points in the neighbouring scans should not
differ too much; of course, the best plot is with scans having same number of
points.  There are no other requirements (e.g. the data need not be gridded).
Another advantage is that the pm3d algorithm does not draw anything outside of
the input (measured or calculated) region.

Surface coloring works with the following input data:

1. splot of function or of data file with one or three data columns: The 
gray/color scale is obtained by mapping the averaged (or \fBcorners2color\fR) 
z-coordinate of the four corners of the above-specified quadrangle into the 
range [min_color_z,max_color_z] of \fBzrange\fR or \fBcbrange\fR providing a gray value
in the range [0:1].  This value can be used directly as the gray for gray maps.
The normalized gray value can be further mapped into a color---see \fBset palette\fR
for the complete description.

2. splot of data file with two or four data columns: The gray/color value is
obtained by using the last-column coordinate instead of the z-value, thus
allowing the color and the z-coordinate be mutually independent.  This can be
used for 4d data drawing.

Other notes:

1. The term \&'scan\&' referenced above is used more among physicists than the
term \&'iso_curve\&' referenced in gnuplot documentation and sources.  You measure
maps recorded one scan after another scan, that\&'s why.

2. The \&'gray\&' or \&'color\&' scale is a linear mapping of a continuous variable
onto a smoothly varying palette of colors. The mapping is shown in a 
rectangle next to the main plot. This documentation refers to this as a
"colorbox", and refers to the indexing variable as lying on the colorbox axis.
See \fBset colorbox\fR, \fBset cbrange\fR.

3. To use pm3d coloring to generate a two-dimensional plot rather than a 3D 
surface, use \fBset view map\fR or \fBset pm3d map\fR.

Syntax:
.br
      set pm3d
.br
.br
      set pm3d {
.br
.br
                 { at <bst combination> }
.br
.br
                 { scansautomatic | scansforward | scansbackward }
.br
.br
                 { flush { begin | center | end } }
.br
.br
                 { ftriangles | noftriangles }
.br
.br
                 { clip1in | clip4in }
.br
.br
                 { corners2color { mean|geomean|median|c1|c2|c3|c4 } }
.br
.br
                 { hidden3d <linestyle> | nohidden3d }
.br
.br
                 { implicit | explicit }
.br
.br
                 { map }
.br
.br
               }
.br
.br
      show pm3d
.br
.br
      unset pm3d
.br

Setting \fBset pm3d\fR (i.e. without options) sets up the default values.
Otherwise, the options can be given in any order.

Color surface can be drawn at the base or top (then it is a gray/color planar
map) or at z-coordinates of surface points (gray/color surface).  This is
defined by the \fBat\fR option with a string of up to 6 combinations of \fBb\fR, \fBt\fR
and \fBs\fR. For instance, \fBat b\fR plots at bottom only, \fBat st\fR plots firstly
surface and then top map, while \fBat bstbst\fR will never by seriously used.

Colored quadrangles are plotted one after another.  When plotting surfaces
(\fBat s\fR), the later quadrangles overlap (overdraw) the previous ones.
(Gnuplot is not virtual reality tool to calculate intersections of filled
polygon meshes.)  You may try to switch between \fBscansforward\fR and
\fBscansbackward\fR to force the first scan of the data to be plotted first or
last.  The default is \fBscansautomatic\fR where gnuplot makes a guess about scans
order.

If two subsequent scans do not have same number of points, then it has to be
decided whether to start taking points for quadrangles from the beginning of
both scans (\fBflush begin\fR), from their ends (\fBflush end\fR) or to center them
(\fBflush center\fR).  Note, that \fBflush (center|end)\fR are incompatible with
\fBscansautomatic\fR: if you specify \fBflush center\fR or \fBflush end\fR and
\fBscansautomatic\fR is set, it is silently switched to \fBscansforward\fR.

If two subsequent scans do not have the same number of points, the option
\fBftriangles\fR specifies whether color triangles are drawn at the scan tail(s)
where there are not enough points in either of the scan. This can be used to
draw a smooth map boundary.

Clipping with respect to x, y coordinates of quadrangles can be done in two
ways.  \fBclip1in\fR: all 4 points of each quadrangle must be defined and at least
1 point of the quadrangle must lie in the x and y ranges.  \fBclip4in\fR: all 4
points of each quadrangle must lie in the x and y ranges.

There is a single gray/color value associated to each drawn pm3d quadrangle
(no smooth color change among vertices).  The value is calculated from
z-coordinates from the surrounding corners according to \fBcorners2color
<option>\fR.  The options \&'mean\&' (default), \&'geomean\&' and \&'median\&' produce
various kinds of surface color smoothing.  This may not be desired for pixel
images or for maps with sharp and intense peaks, in which case the options
\&\&'c1\&', \&'c2\&', \&'c3\&' or \&'c4\&' can be used instead to assign the quadrangle color
based on the z-coordinate of only one corner.  Some experimentation may be
needed to determine which corner corresponds to \&'c1\&', as the orientation
depends on the drawing direction.  Because the pm3d algorithm does not extend
the colored surface outside the range of the input data points, the \&'c<j>\&'
coloring options will result in pixels along two edges of the grid not
contributing to the color of any quadrangle.  For example, applying the pm3d
algorithm to the 4x4 grid of data points in script \fBdemo/pm3d.dem\fR (please have
a look) produces only (4-1)x(4-1)=9 colored rectangles.

Another drawing algorithm, which would draw quadrangles around a given node
by taking corners from averaged (x,y)-coordinates of its surrounding 4 nodes
while using node\&'s color, could be implemented in the future.

Notice that ranges of z-values and color-values for surfaces are adjustable
independently by \fBset zrange\fR, \fBset cbrange\fR, as well as \fBset log\fR for z or
cb.  Maps can be adjusted by the cb-axis only; see also \fBset view map\fR and
\fBset colorbox\fR.

The option \fBhidden3d\fR takes as the argument a linestyle which must be created
by \fBset style line ...\fR. (The style need not to be present when setting pm3d,
but it must be present when plotting).  If set, lines are drawn using the
specified line style, taking into account hidden line removal.  This is by
far more efficient than using the command \fBset hidden3d\fR as it doesn\&'t really
calculate hidden line removal, but just draws the filled polygons in the
correct order. So the recommended choice when using pm3d is
.br
      set pm3d at s hidden3d 100
.br
.br
      set style line 100 lt 5 lw 0.5
.br
.br
      unset hidden3d
.br
.br
      unset surf
.br
.br
      splot x*x+y*y
.br

There used to be an option {transparent|solid} to this command.  Now
you get the same effect from \fBset grid {front|layerdefault}\fR,
respectively.

The \fBset pm3d map\fR is an abbreviation for \fBset pm3d at b\fR; \fBset view map\fR;
\fBset style data pm3d\fR; \fBset style func pm3d\fR;.
It is used for backwards compatibility, when \fBset view map\fR was not available.
Take care that you properly use \fBzrange\fR and \fBcbrange\fR for input data point
filtering and color range scaling, respectively; and also \fBset (no)surface\fR
seems to have a (side?) effect.

The coloring setup as well as the color box drawing are determined by
\fBset palette\fR.  There can be only one palette for the current plot.  Drawing
of several surfaces with different palettes can be achieved by \fBmultiplot\fR
with fixed \fBorigin\fR and \fBsize\fR; don\&'t forget to use \fBset palette maxcolors\fR
when your terminal is running out of available colors.

If the option \fBimplicit\fR is on (which is the default), all surface plots
will be plotted additionally to the default type, e.g.
.br
      splot 'fred.dat' with lines, 'lola.dat' with lines
.br
would give both plots additionally to a pm3d surface.
If the option \fBimplicit\fR is off (or \fBexplicit\fR is on) only plots specified
by the \fBwith pm3d\fR attribute are plotted with a pm3d surface, e.g.:
.br
      splot 'fred.dat' with lines, 'lola.dat' with pm3d
.br
would plot \&'fred.dat\&' with lines (and only lines) and \&'lola.dat\&' with
a pm3d surface.
If \fBexplicit\fR is on, you can also switch to the default style \fBpm3d\fR, e.g.:
.br
      set style data pm3d
.br

Note that when plotting several plots, they are plotted in the order given
on the command line. This can be of interest especially for filled surfaces
which can overwrite and therefore hide part of earlier plots.

If \fBwith pm3d\fR is specified in the \fBsplot\fR command line, then it accepts the
\&\&'at\&' option.  The following plots draw three color surfaces at different
altitudes:
.br
      set border 4095
.br
.br
      set pm3d at s
.br
.br
      splot 10*x with pm3d at b, x*x-y*y, x*x+y*y with pm3d at t
.br

See also help for \fBset palette\fR, \fBset cbrange\fR, \fBset colorbox\fR, \fBx11 pm3d\fR
and definitely the demo file \fBdemo/pm3d.dem\fR.

.sp 2
.NH 2
Palette
.sp 1
.LP
.XS
Palette
.XE
Palette is a color storage for use by \fBpm3d\fR, filled color contours or
polygons, color histograms, color gradient background, and whatever it is
or it will be implemented...  Here it stands for a palette of smooth
"continuous" colors or grays, but let\&'s call it just a palette.

Color palettes require terminal entries for filled color polygons and
palettes of smooth colors, are currently available for terminals listed in
help for \fBset pm3d\fR. The range of color values are adjustable independently by
\fBset cbrange\fR and \fBset log cb\fR. The whole color palette is
visualized in the \fBcolorbox\fR.

Syntax:
.br
      set palette
.br
.br
      set palette {
.br
.br
                 { gray | color }
.br
.br
                 { gamma <gamma> }
.br
.br
                 {   rgbformulae <r>,<g>,<b>
.br
.br
                   | defined { ( <gray1> <color1> {, <grayN> <colorN>}... ) }
.br
.br
                   | file '<filename>' {datafile-modifiers}
.br
.br
                   | functions <R>,<G>,<B>
.br
.br
                 }
.br
.br
                 { model { RGB | HSV | CMY | YIQ | XYZ } }
.br
.br
                 { positive | negative }
.br
.br
                 { nops_allcF | ps_allcF }
.br
.br
                 { maxcolors <maxcolors> }
.br
.br
               }
.br
.br
      show palette
.br
.br
      show palette palette <n> {{float | int}}
.br
.br
      show palette gradient
.br
.br
      show palette fit2rgbformulae
.br
.br
      show palette rgbformulae
.br
.br
      show palette colornames
.br

\fBset palette\fR (i.e. without options) sets up the default values.
Otherwise, the options can be given in any order.
\fBshow palette\fR shows the current palette properties.

\fBshow palette gradient\fR displays the gradient defining the palette (if
appropriate).  \fBshow palette rgbformulae\fR prints the available fixed gray -->
color transformation formulae.  \fBshow palette colornames\fR prints the
implemented color names.

\fBshow palette palette <n>\fR prints to screen or to the file given by
\fBset output\fR table of RGB triplets calculated for the current palette settings
and a palette having <n> discrete colors.  The default wide table can be
limited to 3 columns of r,g,b float values [0..1] or integer values [0..255]
by options float or int, respectively.  This way, the current gnuplot color
palette can be loaded into other imaging applications, for example Octave.
Additionally to this textual list of RGB table, you can enjoy command \fBtest
palette\fR to draw graphically the R,G,B profiles for the current palette.

The following options determine the coloring properties.

Figure using this palette can be \fBgray\fR or \fBcolor\fR.  For instance, in \fBpm3d\fR
color surfaces the gray of each small spot is obtained by mapping the averaged
z-coordinate of the 4 corners of surface quadrangles into the range
[min_z,max_z] providing range of grays [0:1]. This value can be used directly
as the gray for gray maps. The color map requires a transformation gray -->
(R,G,B), i.e. a mapping [0:1] --> ([0:1],[0:1],[0:1]).

Basically two different types of mappings can be used:  Analytic formulae
to convert gray to color, or discrete mapping tables which are interpolated.
\fBrgbformulae\fR and \fBfunctions\fR use analytic formulae whereas \fBdefined\fR and
\fBfile\fR use interpolated tables.  \fBrgbformulae\fR reduces the size of postscript
output to a minimum.

The command \fBshow palette fit2rgbformulae\fR finds the best matching \fBset
palette rgbformulae\fR for the current \fBset palette\fR. Naturally, it makes sense
to use it for non-rgbformulae palettes. This command can be found useful
mainly for external programs using the same rgbformulae definition of palettes
as gnuplot, like zimg.

\fBset palette gray\fR switches to a gray only palette.  \fBrgbformulae\fR, \fBdefined\fR,
\fBfile\fR and \fBfunctions\fR switch to a color mapping.  \fBset palette color\fR is an
easy way to switch back from the gray palette to the last color mapping.

Automatic gamma correction via \fBset palette gamma <gamma>\fR can be done for
gray maps only (\fBset palette gray\fR).  Linear mapping to gray is for gamma
equals 1, see \fBtest palette\fR.  Gamma is ignored for color mappings.

Most terminals support only discrete number of colors (e.g. 256 colors in
gif).  All entries of the palette remaining after the default gnuplot linetype
colors declaration are allocated for pm3d by default.  Then \fBmultiplot\fR could
fail if there are no more color positions in the terminal available.  Then you
should use \fBset palette maxcolors <maxcolors>\fR with a reasonably small value.
This option can also be used to separate levels of z=constant in discrete
steps, thus to emulate filled contours. Default value of 0 stays for
allocating all remaining entries in the terminal palette or for to use exact
mapping to RGB.

RGB color space might not be the most useful color space to work in.  For
that reason you may change the color space with \fBmodel\fR to one of \fBRGB\fR,
\fBHSV\fR, \fBCMY\fR, \fBYIQ\fR and \fBXYZ\fR.  Using color names for \fBdefined\fR tables and a
color space other than RGB will result in funny colors.  All explanation have
been written for RGB color space, so please note, that \fBR\fR can be \fBH\fR, \fBC\fR,
\fBY\fR, or \fBX\fR, depending on the actual color space (\fBG\fR and \fBB\fR accordingly).

All values for all color spaces are limited to [0,1].

RGB stands for Red, Green and Blue;  CMY stands for Cyan, Magenta and Yellow;
HSV stands for Hue, Saturation, and Value;  YIQ is the color model used by
the U.S. Commercial Color Television Broadcasting, it is basically an RGB
recoding with downward compatibility for black and white television;
XYZ are the three primary colors of the color model defined by the \&'Commission
Internationale de l\&'Eclairage\&' (CIE).
For more information on color models see:
.br
          http://www.cs.rit.edu/~ncs/color/glossary.htm
.br
and
.br
          http://cs.fit.edu/wds/classes/cse5255/cse5255/davis/index.html
.br

.sp 2
.RS
.IP
.NH 3
Rgbformulae
.sp 1
.LP
.XS
Rgbformulae
.XE
For \fBrgbformulae\fR three suitable mapping functions have
to be chosen.  This is done via \fBrgbformulae <r>,<g>,<b>\fR.  The available
mapping functions are listed by \fBshow palette rgbformulae\fR.  Default is
\fB7,5,15\fR, some other examples are \fB3,11,6\fR, \fB21,23,3\fR or \fB3,23,21\fR.  Negative
numbers, like \fB3,-11,-6\fR, mean inverted color (i.e.  1-gray passed into the
formula, see also \fBpositive\fR and \fBnegative\fR options below).

Some nice schemes in RGB color space
.br
   7,5,15   ... traditional pm3d (black-blue-red-yellow)
.br
.br
   3,11,6   ... green-red-violet
.br
.br
   23,28,3  ... ocean (green-blue-white); try also all other permutations
.br
.br
   21,22,23 ... hot (black-red-yellow-white)
.br
.br
   30,31,32 ... color printable on gray (black-blue-violet-yellow-white)
.br
.br
   33,13,10 ... rainbow (blue-green-yellow-red)
.br
.br
   34,35,36 ... AFM hot (black-red-yellow-white)
.br

A full color palette in HSV color space
.br
   3,2,2    ... red-yellow-green-cyan-blue-magenta-red
.br

Please note that even if called \fBrgbformulae\fR the formulas might actually
determine the <H>,<S>,<V> or <X>,<Y>,<Z> or ... color components as usual.

Use \fBpositive\fR and \fBnegative\fR to invert the figure colors.

Note that it is possible to find a set of the best matching rgbformulae for any
other color scheme by the command
.br
   show palette fit2rgbformulae
.br
.sp 2
.NH 3
Defined
.sp 1
.LP
.XS
Defined
.XE
Gray-to-rgb mapping can be manually set by use of \fBdefined\fR:  A color gradient
is defined and used to give the rgb values.  Such a  gradient is a piecewise
linear mapping from gray values in [0,1] to the RGB space [0,1]x[0,1]x[0,1].
You have to specify the gray values and the corresponding RGB values in
between a linear interpolation shall take place:

Syntax:
.br
      set palette  defined { ( <gray1> <color1> {, <grayN> <colorN>}... ) }
.br

<grayX> are gray values which are mapped to [0,1] and <colorX> are the
corresponding rgb colors.  The color can be specified in three different
ways:

.br
     <color> :=  { <r> <g> <b> | '<color-name>' | '#rrggbb' }
.br

Either by three numbers (each in [0,1]) for red, green and blue, separated by
whitespace, or the name of the color in quotes or X style color specifiers
also in quotes.  You may freely mix the three types in a gradient definition,
but the named color "red" will be something strange if RGB is not selected
as color space.  Use \fBshow palette colornames\fR for a list of known color
names.

Please note, that even if written as <r>, this might actually be the
<H> component in HSV color space or <X> in CIE-XYZ space, or ...
depending on the selected color model.

The <gray> values have to form an ascending sequence of real numbers; the
sequence will be automatically rescaled to [0,1].

\fBset palette defined\fR (without a gradient definition in braces) switches to
RGB color space and uses a preset full-spectrum color gradient.
Use \fBshow palette gradient\fR to display the gradient.

Examples:

To produce a gray palette (useless but instructive) use:
.br
     set palette model RGB
.br
.br
     set palette defined ( 0 "black", 1 "white" )
.br

To produce a blue yellow red palette use (all equivalent):
.br
      set palette defined ( 0 "blue", 1 "yellow", 2 "red" )
.br
.br
      set palette defined ( 0 0 0 1, 1 1 1 0, 2 1 0 0 )
.br
.br
      set palette defined ( 0 "#0000ff", 1 "#ffff00", 2 "ff0000" )
.br

To produce some rainbow-like palette use:
.br
      set palette defined ( 0 "blue", 3 "green", 6 "yellow", 10 "red" )
.br

Full color spectrum within HSV color space:
.br
      set palette model HSV
.br
.br
      set palette defined ( 0 0 1 1, 1 1 1 1 )
.br
.br
      set palette defined ( 0 0 1 0, 1 0 1 1, 6 0.8333 1 1, 7 0.8333 0 1)
.br

To produce a palette with few colors only use:
.br
      set palette model RGB maxcolors 4
.br
.br
      set palette defined ( 0 "blue", 1 "green", 2 "yellow", 3 "red" )
.br

\&\&'Traffic light\&' palette (non-smooth color jumps at gray = 1/3 and 2/3).
.br
      set palette model RGB
.br
.br
      set palette defined (0 "dark-green", 1 "green", 1 "yellow", \\
.br
.br
                           2 "dark-yellow", 2 "red", 3 "dark-red" )
.br

.sp 2
.NH 3
Functions
.sp 1
.LP
.XS
Functions
.XE
Use \fBset palette functions <Rexpr>, <Gexpr>, <Bexpr>\fR to define three formulae
for the R(gray), G(gray) and B(gray) mapping.  The three formulae may depend
on the variable \fBgray\fR which will take values in [0,1] and should also
produce values in [0,1].
Please note that <Rexpr> might be a formula for the H-value if HSV color
space has been chosen (same for all other formulae and color spaces).

Examples:

To produce a full color palette use:
.br
      set palette model HSV functions gray, 1, 1
.br

A nice black to gold palette:
.br
      set palette model XYZ functions gray**0.35, gray**0.5, gray**0.8
.br

A gamma-corrected black and white palette
.br
      gamma = 2.2
.br
.br
      color(gray) = gray**(1./gamma)
.br
.br
      set palette model RGB functions color(gray), color(gray), color(gray)
.br

.sp 2
.NH 3
File
.sp 1
.LP
.XS
File
.XE
\fBset palette file\fR is basically a \fBset palette defined (<gradient>)\fR where
<gradient> is read from a datafile.  Either 4 columns (gray,R,G,B) or
just three columns (R,G,B) have to be selected via the \fBusing\fR data file
modifier.  In the three column case, the line number will be used as gray.
The gray range is automatically rescaled to [0,1].  The file is read as a
normal data file, so all datafile modifiers can be used.
Please note, that \fBR\fR might actually be e.g. \fBH\fR if HSV color space is
selected.

As usual <filename> may be \fB\&'-\&'\fR which means that the data follow the command
inline and are terminated by a single \fBe\fR on a line of its own.

Use \fBshow palette gradient\fR to display the gradient.

Examples:

Read in a palette of RGB triples each in range [0,255]:
.br
      set palette file 'some-palette' using ($1/255):($2/255):($3/255)
.br

Equidistant rainbow (blue-green-yellow-red) palette:
.br
      set palette model RGB file "-"
.br
.br
      0 0 1
.br
.br
      0 1 0
.br
.br
      1 1 0
.br
.br
      1 0 0
.br
.br
      e
.br

.sp 2
.NH 3
Gamma-correction
.sp 1
.LP
.XS
Gamma-correction
.XE
For gray mappings gamma correction can be turned on by \fBset palette gamma
<gamma>\fR.  <gamma> defaults to 1.5 which is quite suitable for most
terminals.

For color mappings no automatic gamma correction is done by gnuplot.  But
you may easily implement gamma correction, here an example for a gray scale
image by use of explicit functions for the red, green and blue component
with slightly different values of gamma

Example:
.br
      set palette model RGB
.br
.br
      set palette functions gray**0.64, gray**0.67, gray**0.70
.br

To use gamma correction with interpolated gradients specify intermediate
gray values with appropriate colors.  Instead of

.br
      set palette defined ( 0 0 0 0, 1 1 1 1 )
.br

use e.g.

.br
     set palette defined ( 0 0 0 0, 0.5 .73 .73 .73, 1 1 1 1 )
.br

or even more intermediate points until the linear interpolation fits the
"gamma corrected" interpolation well enough.

.sp 2
.NH 3
Postscript
.sp 1
.LP
.XS
Postscript
.XE
In order to reduce the size of postscript files, the gray value and not all
three calculated r,g,b values are written to the file.  Therefore the
analytical formulae are coded directly in the postscript language as a header
just before the pm3d drawing, see /g and /cF definitions.  Usually, it makes
sense to write therein definitions of only the 3 formulae used.  But for
multiplot or any other reason you may want to manually edit the
transformations directly in the postscript file.  This is the default option
\fBnops_allcF\fR.  Using the option \fBps_allcF\fR writes postscript definitions of
all formulae.  This you may find interesting if you want to edit the
postscript file in order to have different palettes for different surfaces
in one graph.  Well, you can achieve this functionality by \fBmultiplot\fR with
fixed \fBorigin\fR and \fBsize\fR.

If pm3d map has been plotted from gridded or almost regular data with an
output to a postscript file, then it is possible to reduce the size of this
postscript file up to at about 50% by the enclosed awk script
\fBpm3dCompress.awk\fR.  This you may find  interesting if you intend to keep the
file for including it into your publication or before downloading a very large
file into a slow printer. Usage:
.br
    awk -f pm3dCompress.awk thefile.ps >smallerfile.ps
.br

If pm3d map has been plotted from rectangular gridded data with an output
to a postscript file, then it is possible to reduce the file size even more
by the enclosed awk script \fBpm3dConvertToImage.awk\fR.  Usage:
.br
    awk -f pm3dConvertToImage.awk <thefile.ps >smallerfile.ps
.br

You may manually change the postscript output from gray to color and vice
versa and change the definition of <maxcolors>.

.sp 2
.RE
.br
.NH 2
Pointsize
.sp 1
.LP
.XS
Pointsize
.XE
The \fBset pointsize\fR command scales the size of the points used in plots.

Syntax:
.br
      set pointsize <multiplier>
.br
.br
      show pointsize
.br

The default is a multiplier of 1.0.  Larger pointsizes may be useful to
make points more visible in bitmapped graphics.

The pointsize of a single plot may be changed on the \fBplot\fR command.
See \fBplot with\fR for details.

Please note that the pointsize setting is not supported by all terminal
types.
.sp 2
.NH 2
Polar
.sp 1
.LP
.XS
Polar
.XE
The \fBset polar\fR command changes the meaning of the plot from rectangular
coordinates to polar coordinates.

Syntax:
.br
      set polar
.br
.br
      unset polar
.br
.br
      show polar
.br

There have been changes made to polar mode in version 3.7, so that scripts
for \fBgnuplot\fR versions 3.5 and earlier will require modification.  The main
change is that the dummy variable t is used for the angle so that the x and
y ranges can be controlled independently.  Other changes are:
1) tics are no longer put along the zero axes automatically
---use \fBset xtics axis nomirror\fR; \fBset ytics axis nomirror\fR;
2) the grid, if selected, is not automatically polar
---use \fBset grid polar\fR;
3) the grid is not labelled with angles
---use \fBset label\fR as necessary.

In polar coordinates, the dummy variable (t) is an angle.  The default range
of t is [0:2*pi], or, if degree units have been selected, to [0:360] (see
\fBset angles\fR).

The command \fBunset polar\fR changes the meaning of the plot back to the default
rectangular coordinate system.

The \fBset polar\fR command is not supported for \fBsplot\fRs.  See the \fBset mapping\fR
command for similar functionality for \fBsplot\fRs.

While in polar coordinates the meaning of an expression in t is really
r = f(t), where t is an angle of rotation.  The trange controls the domain
(the angle) of the function, and the x and y ranges control the range of the
graph in the x and y directions.  Each of these ranges, as well as the
rrange, may be autoscaled or set explicitly.  See \fBset xrange\fR for details
of all the \fBranges\fR commands.

Example:
.br
      set polar
.br
.br
      plot t*sin(t)
.br
.br
      plot [-2*pi:2*pi] [-3:3] [-3:3] t*sin(t)
.br

The first \fBplot\fR uses the default polar angular domain of 0 to 2*pi.  The
radius and the size of the graph are scaled automatically.  The second \fBplot\fR
expands the domain, and restricts the size of the graph to [-3:3] in both
directions.

You may want to \fBset size square\fR to have \fBgnuplot\fR try to make the aspect
ratio equal to unity, so that circles look circular.
See also
polar demos (polar.dem)
and
polar data plot (poldat.dem).
.sp 2
.NH 2
Print
.sp 1
.LP
.XS
Print
.XE
The \fBset print\fR command redirects the output of the \fBprint\fR command to a file.

Syntax:
.br
      set print
.br
.br
      set print "-"
.br
.br
      set print "<filename>"
.br
.br
      set print "<filename>" append
.br
.br
      set print "|<shell_command>"
.br

Without "<filename>", the output file is restored to <STDERR>.  The <filename>
"-" means <STDOUT>. The \fBappend\fR flag causes the file to be opened in append
mode.  A <filename> starting with "|" is opened as a pipe to the
<shell_command> on platforms that support piping.
.sp 2
.NH 2
Rmargin
.sp 1
.LP
.XS
Rmargin
.XE
The command \fBset rmargin\fR sets the size of the right margin.
Please see \fBset margin\fR for details.
.sp 2
.NH 2
Rrange
.sp 1
.LP
.XS
Rrange
.XE
The \fBset rrange\fR command sets the range of the radial coordinate for a
graph in polar mode.  Please see \fBset xrange\fR for details.
.sp 2
.NH 2
Samples
.sp 1
.LP
.XS
Samples
.XE
The sampling rate of functions, or for interpolating data, may be changed
by the \fBset samples\fR command.

Syntax:
.br
      set samples <samples_1> {,<samples_2>}
.br
.br
      show samples
.br

By default, sampling is set to 100 points.  A higher sampling rate will
produce more accurate plots, but will take longer.  This parameter has no
effect on data file plotting unless one of the interpolation/approximation
options is used.  See \fBplot smooth\fR re 2-d data and \fBset cntrparam\fR and
\fBset dgrid3d\fR re 3-d data.

When a 2-d graph is being done, only the value of <samples_1> is relevant.

When a surface plot is being done without the removal of hidden lines, the
value of samples specifies the number of samples that are to be evaluated for
the isolines.  Each iso-v line will have <sample_1> samples and each iso-u
line will have <sample_2> samples.  If you only specify <samples_1>,
<samples_2> will be set to the same value as <samples_1>.  See also
\fBset isosamples\fR.
.sp 2
.NH 2
Size
.sp 1
.LP
.XS
Size
.XE
The \fBset size\fR command scales the displayed size of the plot.

Syntax:
.br
      set size {{no}square | ratio <r> | noratio} {<xscale>,<yscale>}
.br
.br
      show size
.br

The <xscale> and <yscale> values are the scaling factors for the size of the
plot, which includes the graph and the margins.

\fBratio\fR causes \fBgnuplot\fR to try to create a graph with an aspect ratio of <r>
(the ratio of the y-axis length to the x-axis length) within the portion of
the plot specified by <xscale> and <yscale>.

The meaning of a negative value for <r> is different.  If <r>=-1, gnuplot
tries to set the scales so that the unit has the same length on both the x
and y axes (suitable for geographical data, for instance).  If <r>=-2, the
unit on y has twice the length of the unit on x, and so on.

The success of \fBgnuplot\fR in producing the requested aspect ratio depends on
the terminal selected.  The graph area will be the largest rectangle of
aspect ratio <r> that will fit into the specified portion of the output
(leaving adequate margins, of course).

\fBsquare\fR is a synonym for \fBratio 1\fR.

Both \fBnoratio\fR and \fBnosquare\fR return the graph to the default aspect ratio
of the terminal, but do not return <xscale> or <yscale> to their default
values (1.0).

\fBratio\fR and \fBsquare\fR have no effect on 3-d plots.

\fBset size\fR is relative to the default size, which differs from terminal to
terminal.  Since \fBgnuplot\fR fills as much of the available plotting area as
possible by default, it is safer to use \fBset size\fR to decrease the size of
a plot than to increase it.  See \fBset terminal\fR for the default sizes.

On some terminals, changing the size of the plot will result in text being
misplaced.

Examples:

To set the size to normal size use:
.br
      set size 1,1
.br

To make the graph half size and square use:
.br
      set size square 0.5,0.5
.br

To make the graph twice as high as wide use:
.br
      set size ratio 2
.br

See also
.br
 airfoil demo.
.br
.sp 2
.NH 2
Style
.sp 1
.LP
.XS
Style
.XE
Default plotting styles are chosen with the \fBset style data\fR and 
\fBset style function\fR commands.  See \fBplot with\fR for information about how to
override the default plotting style for individual functions and data sets.
See \fBplotting styles\fR for a complete list of styles.

Syntax:
.br
      set style function <style>
.br
.br
      set style data <style>
.br
.br
      show style function
.br
.br
      show style data
.br

Default styles for specific plotting elements may also be set.

Syntax:
.br
      set style arrow <n> <arrowstyle>
.br
.br
      set style fill <fillstyle>
.br
.br
      set style line <n> <linestyle>
.br

.sp 2
.RS
.IP
.NH 3
Set style arrow
.sp 1
.LP
.XS
Set style arrow
.XE
Each terminal has a default set of arrow and point types, which can be seen
by using the command \fBtest\fR.  \fBset style arrow\fR defines a set of arrow types
and widths and point types and sizes so that you can refer to them later by
an index instead of repeating all the information at each invocation.

Syntax:
.br
      set style arrow <index> {nohead | head | heads}
.br
.br
                              {size <length>,<angle>{,<backangle>}}
.br
.br
                              {filled | empty | nofilled}
.br
.br
                              {front | back}
.br
.br
                              { {linestyle | ls <line_style>}
.br
.br
                                | {linetype | lt <line_type>}
.br
.br
                                  {linewidth | lw <line_width} }
.br
.br
      unset style arrow
.br
.br
      show style arrow
.br

<index> is an integer that identifies the arrowstyle.

Specifying \fBnohead\fR produces arrows drawn without a head---a line segment.
This gives you yet another way to draw a line segment on the plot.  By
default, arrows have one head. Specifying \fBheads\fR draws arrow heads on both
ends of the line.

Head size can be controlled by \fBsize <length>,<angle>\fR or 
\fBsize <length>,<angle>,<backangle>\fR where \fB<length>\fR defines length of each 
branch of the arrow head and \fB<angle>\fR the angle (in degrees) they make with 
the arrow. \fB<Length>\fR is in x-axis units; this can be
changed by \fBfirst\fR, \fBsecond\fR, \fBgraph\fR or \fBscreen\fR before the \fB<length>\fR; 
see \fBcoordinates\fR for details.
\fB<Backangle>\fR only takes effect when \fBfilled\fR or \fBempty\fR is also used. Then, 
\fB<backangle>\fR is the angle (in degrees) the back branches make with the 
arrow (in the same direction as \fB<angle>\fR).
The \fBfig\fR terminal has a restricted backangle function. It supports three
different angles. There are two thresholds: Below 70 degrees, the arrow head
gets an indented back angle. Above 110 degrees, the arrow head has an acute
back angle. Between these thresholds, the back line is straight.

Specifying \fBfilled\fR produces filled arrow heads (if heads are used). 
Filling is supported on filled-polygon capable terminals, see help of \fBpm3d\fR
for their list, otherwise the arrow heads are closed but not filled.
The same result (closed but not filled arrow head) is reached by specifying
\fBempty\fR.
Further, filling and outline is obviously not supported on terminals drawing
arrows by their own specific routines, like \fBmetafont\fR, \fBmetapost\fR, \fBlatex\fR 
or \fBtgif\fR. 

The line style may be selected from a user-defined list of line styles 
(see \fBset style line\fR) or may be defined here by providing values for 
\fB<line_type>\fR (an index from the default list of styles) and/or 
\fB<line_width>\fR (which is a  multiplier for the default width).

Note, however, that if a user-defined line style has been selected, its
properties (type and width) cannot be altered merely by issuing another
\fBset style arrow\fR command with the appropriate index and \fBlt\fR or \fBlw\fR.

If \fBfront\fR is given, the arrows are written on top of the graphed data. If
\fBback\fR is given (the default), the arrow is written underneath the graphed
data.  Using \fBfront\fR will prevent a arrow from being obscured by dense data.

Examples:

To draw an arrow without an arrow head and double width, use:
.br
      set style arrow 1 nohead lw 2
.br
.br
      set arrow arrowstyle 1
.br

.br
 See also `set arrow` for further examples.
.br

.sp 2
.NH 3
Set style data
.sp 1
.LP
.XS
Set style data
.XE
The \fBset style data\fR command changes the default plotting style for data
plots.

Syntax:
.br
      set style data <plotting-style>
.br
.br
      show style data
.br

See \fBplotting styles\fR for the choices.  If no choice is given, the choices are
listed.  \fBshow style data\fR shows the current default data plotting style.
.sp 2
.NH 3
Set style fill
.sp 1
.LP
.XS
Set style fill
.XE
The \fBset style fill\fR command is used to set the style of boxes
or candlesticks.

Syntax:
.br
      set style fill {empty | solid {<density>} | pattern {<n>}}
.br
.br
                     {border {<linetype>} | noborder}
.br

The default fillstyle is \fBempty\fR.

The \fBsolid\fR option causes filling with a solid color, if the terminal
supports that. The <density> parameter specifies the intensity of the 
fill color. At a <density> of 0.0, the box is empty, at <density> of 1.0, 
the inner area is of the same color as the current linetype. 
Some terminal types can vary the density continuously; others implement 
only a few levels of partial fill.  If no <density> parameter is given, 
it defaults to 1.

The \fBpattern\fR option causes filling to be done with a fill pattern supplied
by the terminal driver.  The kind and number of available fill patterns 
depend on the terminal driver.  If multiple datasets using filled boxes are 
plotted, the pattern cycles through all available pattern types, starting
from pattern <n>, much as the line type cycles for multiple line plots.

The \fBempty\fR option causes filled boxes not to be filled. This is the default.
It is equivalent to the \fBsolid\fR option with a <density> parameter of zero.

By default, \fBborder\fR, the box is bounded by a solid line of the current
linetype. \fBborder <lt>\fR specifies that a border is to be drawn using
linetype <lt>. \fBnoborder\fR specifies that no bounding lines are drawn.
.sp 2
.NH 3
Set style function
.sp 1
.LP
.XS
Set style function
.XE
The \fBset style function\fR command changes the default plotting style for
function plots.

Syntax:
.br
      set style function <plotting-style>
.br
.br
      show style function
.br

See \fBplotting styles\fR for the choices.  If no choice is given, the choices are
listed.  \fBshow style function\fR shows the current default function plotting
style.
.sp 2
.NH 3
Set style line
.sp 1
.LP
.XS
Set style line
.XE
Each terminal has a default set of line and point types, which can be seen
by using the command \fBtest\fR.  \fBset style line\fR defines a set of line types
and widths and point types and sizes so that you can refer to them later by
an index instead of repeating all the information at each invocation.

Syntax:
.br
      set style line <index> {linetype  | lt <line_type>}
.br
.br
                             {linewidth | lw <line_width>}
.br
.br
                             {pointtype | pt <point_type>}
.br
.br
                             {pointsize | ps <point_size>}
.br
.br
                             {palette}
.br
.br
      unset style line
.br
.br
      show style line
.br

The line and point types are taken from the default types for the terminal
currently in use.  The line width and point size are multipliers for the
default width and size (but note that <point_size> here is unaffected by
the multiplier given on \fBset pointsize\fR).

The defaults for the line and point types is the index.  The defaults for
the width and size are both unity.

Linestyles created by this mechanism do not replace the default styles;
both may be used.

Not all terminals support the \fBlinewidth\fR and \fBpointsize\fR features; if
not supported, the option will be ignored.

Note that this feature is not completely implemented; linestyles defined by
this mechanism may be used with \fBplot\fR, \fBsplot\fR, \fBreplot\fR, and \fBset arrow\fR,
but not by other commands that allow the default index to be used, such as
\fBset grid\fR.

If gnuplot was built with pm3d support, the special keyword \fBpalette\fR is
allowed as \fBlinetype\fR for splots (the 2d \fBplot\fR command ignores \fBpalette\fR).
In this case the line color is chosen from a smooth palette which was
set previously with the command \fBset palette\fR.  The color value corresponds
to the z-value (elevation) of the splot.

Example:
Suppose that the default lines for indices 1, 2, and 3 are red, green, and
blue, respectively, and the default point shapes for the same indices are a
square, a cross, and a triangle, respectively.  Then

.br
      set style line 1 lt 2 lw 2 pt 3 ps 0.5
.br

defines a new linestyle that is green and twice the default width and a new
pointstyle that is a half-sized triangle.  The commands

.br
      set style function lines
.br
.br
      plot f(x) lt 3, g(x) ls 1
.br

will create a plot of f(x) using the default blue line and a plot of g(x)
using the user-defined wide green line.  Similarly the commands

.br
      set style function linespoints
.br
.br
      plot p(x) lt 1 pt 3, q(x) ls 1
.br

will create a plot of p(x) using the default triangles connected by a red
line and q(x) using small triangles connected by a green line.

.br
      splot sin(sqrt(x*x+y*y))/sqrt(x*x+y*y) w l pal
.br

creates a surface plot using smooth colors according to \fBpalette\fR. Note,
that this works only on some terminals.

See also \fBset palette\fR, \fBset pm3d\fR.

.sp 2
.NH 3
Plotting styles
.sp 1
.LP
.XS
Plotting styles
.XE

The commands \fBset style data\fR and \fBset style function\fR change the 
default plotting style for subsequent \fBplot\fR and \fBsplot\fR commands.

The types used for all line and point styles (i.e., solid, dash-dot, color,
etc. for lines; circles, squares, crosses, etc. for points) will be either
those specified on the \fBplot\fR or \fBsplot\fR command or will be chosen
sequentially from the types available to the terminal in use.  Use the
command \fBtest\fR to see what is available.

None of the styles requiring more than two columns of information
(e.g., \fBerrorbars\fR or \fBerrorlines\fR) can be used with \fBsplot\fRs or
function \fBplot\fRs. Neither \fBboxes\fR, \fBfilledcurves\fR nor any
of the \fBsteps\fR styles can be used with \fBsplot\fRs. If an inappropriate style
is specified, it will be changed to \fBpoints\fR.

For 2-d data with more than two columns, \fBgnuplot\fR is picky about the
allowed \fBerrorbars\fR and \fBerrorlines\fR styles. The \fBusing\fR option on the
\fBplot\fR command can be used to set up the correct columns for the style
you want. (In this discussion, "column" will be used to refer both to
a column in the data file and an entry in the \fBusing\fR list.)

For three columns, only \fBxerrorbars\fR, \fByerrorbars\fR (or \fBerrorbars\fR),
\fBxerrorlines\fR, \fByerrorlines\fR (or \fBerrorlines\fR), \fBboxes\fR 
and \fBboxerrorbars\fR are allowed. If another plot style is used, the style
will be changed to \fByerrorbars\fR. The \fBboxerrorbars\fR style will
calculate the boxwidth automatically.

For four columns, only \fBxerrorbars\fR, \fByerrorbars\fR (or \fBerrorbars\fR),
\fBxyerrorbars\fR, \fBxerrorlines\fR, \fByerrorlines\fR (or \fBerrorlines\fR), \fBxyerrorlines\fR,
\fBboxxyerrorbars\fR, and \fBboxerrorbars\fR are allowed.  An illegal
style will be changed to \fByerrorbars\fR.

Five-column data allow only the \fBboxerrorbars\fR, \fBfinancebars\fR, and
\fBcandlesticks\fR styles.  An illegal style will be changed to \fBboxerrorbars\fR
before plotting.

Six- and seven-column data only allow the \fBxyerrorbars\fR,
\fBxyerrorlines\fR, and \fBboxxyerrorbars\fR styles. Illegal styles will be
changed to \fBxyerrorbars\fR before plotting.

For more information about error bars with and without lines,
please see \fBplot errorlines\fR and \fBplot errorbars\fR.

.sp 2
.RS
.IP
.NH 4
Boxerrorbars
.sp 1
.LP
.XS
Boxerrorbars
.XE
The \fBboxerrorbars\fR style is only relevant to 2-d data plotting.  It is a
combination of the \fBboxes\fR and \fByerrorbars\fR styles.  The boxwidth will come
from the fourth column if the y errors are in the form of "ydelta" and the
boxwidth was not previously set equal to -2.0 (\fBset boxwidth -2.0\fR) or from
the fifth column if the y errors are in the form of "ylow yhigh".  The
special case  \fBboxwidth = -2.0\fR is for four-column data with y errors in the
form "ylow yhigh".  In this case the boxwidth will be calculated so that each
box touches the adjacent boxes.  The width will also be calculated in cases
where three-column data are used.

The box height is determined from the y error in the same way as it is for
the \fByerrorbars\fR style---either from y-ydelta to y+ydelta or from ylow to
yhigh, depending on how many data columns are provided.
See also
errorbar demo.
.sp 2
.NH 4
Boxes
.sp 1
.LP
.XS
Boxes
.XE
The \fBboxes\fR style is only relevant to 2-d plotting.  It draws a box centered
about the given x coordinate from the x axis (not the graph border) to the
given y coordinate.  The width of the box is obtained in one of three ways.
If it is a data plot and the data file has a third column, this will be used
to set the width of the box.  If not, if a width has been set using the \fBset
boxwidth\fR command, this will be used.  If neither of these is available, the
width of each box will be calculated automatically so that it touches the
adjacent boxes. 

The interior of the boxes is drawn according to the current fillstyle.
See \fBset style fill\fR for details.  Alternatively a new fillstyle
may be specified in the plot command.

For fillstyle \fBempty\fR the box is filled with the background color.

For fillstyle \fBsolid\fR the box is filled with a solid rectangle of the
current drawing color. There is an optional parameter <density> that
controls the fill density; it runs from 0 (background color) to 1
(current drawing color).

For fillstyle \fBpattern\fR the box is filled in the current drawing color with
a pattern, if supported by the terminal driver.

Examples:

To plot a data file with solid filled boxes with a small vertical space
separating them (bargraph):

.br
      set boxwidth 0.9 relative
.br
.br
      set style fill solid 1.0
.br
.br
      plot 'file.dat' with boxes
.br

To plot a sine and a cosine curve in pattern-filled boxes style:

.br
      set style fill pattern
.br
.br
      plot sin(x) with boxes, cos(x) with boxes
.br

The sin plot will use pattern 0; the cos plot will use pattern 1.
Any additional plots would cycle through the patterns supported by the
terminal driver.

To specify explicit fillstyles for each dataset:

.br
     plot 'file1' with boxes fs solid 0.25, \\
.br
.br
          'file2' with boxes fs solid 0.50, \\
.br
.br
          'file3' with boxes fs solid 0.75, \\
.br
.br
          'file4' with boxes fill pattern 1, \\
.br
.br
          'file5' with boxes fill empty
.br

Currently only the following terminal drivers support fillstyles other
than \fBempty\fR:
x11, windows, pm, postscript, fig, pbm, png, gif, hpdj, hppj, hpljii, hp500c,
jpeg, nec_cp6, epson_180dpi, epson_60dpi, epson_lx800, okidata, starc and
tandy_60dpi. The BeOS driver (\fBbe\fR) is untested.
.sp 2
.NH 4
Filledcurves
.sp 1
.LP
.XS
Filledcurves
.XE
The \fBfilledcurves\fR style is only relevant to 2-d plotting. It draws either
the current curve closed and filled, or the region between the current curve
and a given axis, horizontal or vertical line, or a point, filled with the
current drawing color.

Syntax:

.br
    set style [data | function] filledcurves [option]
.br
.br
    plot ... with filledcurves [option]
.br

where the option can be

.br
    [closed | {x1 | x2 | y1 | y2}[=<a>] | xy=<x>,<y>]
.br

The area is filled between the current curve and
.br
    filledcurves closed   ... just filled closed curve,
.br
.br
    filledcurves x1       ... x1 axis,
.br
.br
    filledcurves x2       ... x2 axis, etc for y1 and y2 axes,
.br
.br
    filledcurves y1=0     ... line y=0 (at y1 axis) ie parallel to x1 axis,
.br
.br
    filledcurves y2=42    ... line y=42 (at y2 axis) ie parallel to x2, etc,
.br
.br
    filledcurves xy=10,20 ... point 10,20 of x1,y1 axes (arc-like shape).
.br

Note: filling is supported on filled-polygon capable terminals, see help of
\fBset pm3d\fR for their list.

Zoom of a filled curve drawn from a datafile may produce empty or incorrect
area because gnuplot is clipping points and lines, and not areas.

If the values of <a>, <x>, <y> are out of the drawing boundary, then they
are moved to the graph boundary. Then the actually filled area in the case
of option xy=<x>,<y> will depend on xrange and yrange.
.sp 2
.NH 4
Boxxyerrorbars
.sp 1
.LP
.XS
Boxxyerrorbars
.XE
The \fBboxxyerrorbars\fR style is only relevant to 2-d data plotting.  It is a
combination of the \fBboxes\fR and \fBxyerrorbars\fR styles.

The box width and height are determined from the x and y errors in the same
way as they are for the \fBxyerrorbars\fR style---either from xlow to xhigh and
from ylow to yhigh, or from x-xdelta to x+xdelta and from y-ydelta to
y+ydelta , depending on how many data columns are provided.

If filled-box support is present, then the interior of the boxes is drawn 
according to the current fillstyle.  See \fBset style fill\fR and \fBboxes\fR for 
details.  Alternatively a new fillstyle may be specified in the plot command.
.sp 2
.NH 4
Candlesticks
.sp 1
.LP
.XS
Candlesticks
.XE
The \fBcandlesticks\fR style can be used for 2-d data plotting of financial
data or for generating box-and-whisker plots of statistical data.
Five columns of data are required; in order, these should be the x
coordinate (most likely a date) and the opening, low, high, and closing
prices.  The symbol is a rectangular box, centered horizontally at the x
coordinate and limited vertically by the opening and closing prices.  A
vertical line segment at the x coordinate extends up from the top of the
rectangle to the high price and another down to the low.  The vertical line
will be unchanged if the low and high prices are interchanged.

The width of the rectangle can be controlled by the \fBset boxwidth\fR command.
For backwards compatibility with earlier gnuplot versions, when the 
boxwidth parameter has not been set then the width of the candlestick
rectangle is controlled by \fBset bars <width>\fR.

By default the rectangle is empty if (open > close), and filled with three
vertical bars if (close > open). If filled-boxes support is present, then
the rectangle is colored according to \fBset style fill <fillstyle>\fR.
See \fBset bars\fR and \fBfinancebars\fR.  See also
finance demos.

Note: To place additional symbols, such as the median value, on a
box-and-whisker plot requires additional plot commands as in this example:

.br
  # Data columns: X Min 1stQuartile Median 3rdQuartile Max
.br
.br
  set bars 4.0
.br
.br
  set style fill empty
.br
.br
  plot 'stat.dat' using 1:3:2:6:5 with candlesticks title 'Quartiles', \\
.br
.br
       ''         using 1:4:4:4:4 with candlesticks lt -1 notitle
.br

.br
 See `set boxwidth`, `set bars` and `set style fill`.
.br
.sp 2
.NH 4
Dots
.sp 1
.LP
.XS
Dots
.XE
The \fBdots\fR style plots a tiny dot at each point; this is useful for scatter
plots with many points.
.sp 2
.NH 4
Financebars
.sp 1
.LP
.XS
Financebars
.XE
The \fBfinancebars\fR style is only relevant for 2-d data plotting of financial
data.  Five columns of data are required; in order, these should be the x
coordinate (most likely a date) and the opening, low, high, and closing
prices.  The symbol is a vertical line segment, located horizontally at the x
coordinate and limited vertically by the high and low prices.  A horizontal
tic on the left marks the opening price and one on the right marks the
closing price.  The length of these tics may be changed by \fBset bars\fR.  The
symbol will be unchanged if the high and low prices are interchanged.
See \fBset bars\fR and \fBcandlesticks\fR, and also the
finance demo.
.sp 2
.NH 4
Fsteps
.sp 1
.LP
.XS
Fsteps
.XE
The \fBfsteps\fR style is only relevant to 2-d plotting.  It connects consecutive
points with two line segments: the first from (x1,y1) to (x1,y2) and the
second from (x1,y2) to (x2,y2).
See also
steps demo.
.sp 2
.NH 4
Histeps
.sp 1
.LP
.XS
Histeps
.XE
The \fBhisteps\fR style is only relevant to 2-d plotting.  It is intended for
plotting histograms.  Y-values are assumed to be centered at the x-values;
the point at x1 is represented as a horizontal line from ((x0+x1)/2,y1) to
((x1+x2)/2,y1).  The lines representing the end points are extended so that
the step is centered on at x.  Adjacent points are connected by a vertical
line at their average x, that is, from ((x1+x2)/2,y1) to ((x1+x2)/2,y2).

If \fBautoscale\fR is in effect, it selects the xrange from the data rather than
the steps, so the end points will appear only half as wide as the others.
See also
steps demo.

\fBhisteps\fR is only a plotting style; \fBgnuplot\fR does not have the ability to
create bins and determine their population from some data set.
.sp 2
.NH 4
Impulses
.sp 1
.LP
.XS
Impulses
.XE
The \fBimpulses\fR style displays a vertical line from the x axis (not the graph
border), or from the grid base for \fBsplot\fR, to each point.
.sp 2
.NH 4
Lines
.sp 1
.LP
.XS
Lines
.XE
The \fBlines\fR style connects adjacent points with straight line segments.
See also \fBlinetype\fR, \fBlinewidth\fR, and \fBlinestyle\fR.
.sp 2
.NH 4
Linespoints
.sp 1
.LP
.XS
Linespoints
.XE
The \fBlinespoints\fR style does both \fBlines\fR and \fBpoints\fR, that is, it draws a
small symbol at each point and then connects adjacent points with straight
line segments.  The command \fBset pointsize\fR may be used to change the size of
the points.  See \fBset pointsize\fR for its usage.

\fBlinespoints\fR may be abbreviated \fBlp\fR.
.sp 2
.NH 4
Points
.sp 1
.LP
.XS
Points
.XE
The \fBpoints\fR style displays a small symbol at each point.  The command \fBset
pointsize\fR may be used to change the size of the points.  See \fBset pointsize\fR
for its usage.
.sp 2
.NH 4
Steps
.sp 1
.LP
.XS
Steps
.XE
The \fBsteps\fR style is only relevant to 2-d plotting.  It connects consecutive
points with two line segments: the first from (x1,y1) to (x2,y1) and the
second from (x2,y1) to (x2,y2).
See also
steps demo.
.sp 2
.NH 4
Vectors
.sp 1
.LP
.XS
Vectors
.XE
The \fBvectors\fR style draws a vector from (x,y) to (x+xdelta,y+ydelta).  Thus
it requires four columns of data.  It also draws a small arrowhead at the
end of the vector.

Example:
.br
      plot 'file.dat' using 1:2:3:4 with vectors head filled lt 2
.br

\fBset clip one\fR and \fBset clip two\fR affect drawing vectors.
Please see \fBset clip\fR and \fBarrowstyle\fR.
.sp 2
.NH 4
Xerrorbars
.sp 1
.LP
.XS
Xerrorbars
.XE
The \fBxerrorbars\fR style is only relevant to 2-d data plots.  \fBxerrorbars\fR is
like \fBdots\fR, except that a horizontal error bar is also drawn.  At each point
(x,y), a line is drawn from (xlow,y) to (xhigh,y) or from (x-xdelta,y) to
(x+xdelta,y), depending on how many data columns are provided.  A tic mark
is placed at the ends of the error bar (unless \fBset bars\fR is used---see
\fBset bars\fR for details).
.sp 2
.NH 4
Xyerrorbars
.sp 1
.LP
.XS
Xyerrorbars
.XE
The \fBxyerrorbars\fR style is only relevant to 2-d data plots.  \fBxyerrorbars\fR is
like \fBdots\fR, except that horizontal and vertical error bars are also drawn.
At each point (x,y), lines are drawn from (x,y-ydelta) to (x,y+ydelta) and
from (x-xdelta,y) to (x+xdelta,y) or from (x,ylow) to (x,yhigh) and from
(xlow,y) to (xhigh,y), depending upon the number of data columns provided.  A
tic mark is placed at the ends of the error bar (unless \fBset bars\fR is
used---see \fBset bars\fR for details).

If data are provided in an unsupported mixed form, the \fBusing\fR filter on the
\fBplot\fR command should be used to set up the appropriate form.  For example,
if the data are of the form (x,y,xdelta,ylow,yhigh), then you can use

.br
      plot 'data' using 1:2:($1-$3):($1+$3):4:5 with xyerrorbars
.br
.sp 2
.NH 4
Yerrorbars
.sp 1
.LP
.XS
Yerrorbars
.XE
The \fByerrorbars\fR (or \fBerrorbars\fR) style is only relevant to 2-d data plots.
\fByerrorbars\fR is like \fBpoints\fR, except that a vertical error bar is also drawn.
At each point (x,y), a line is drawn from (x,y-ydelta) to (x,y+ydelta) or
from (x,ylow) to (x,yhigh), depending on how many data columns are provided.
A tic mark is placed at the ends of the error bar (unless \fBset bars\fR is
used---see \fBset bars\fR for details).
See also
errorbar demo.
.sp 2
.NH 4
Xerrorlines
.sp 1
.LP
.XS
Xerrorlines
.XE
The \fBxerrorlines\fR style is only relevant to 2-d data plots.
\fBxerrorlines\fR is like \fBlinespoints\fR, except that a horizontal error
line is also drawn. At each point (x,y), a line is drawn from (xlow,y)
to (xhigh,y) or from (x-xdelta,y) to (x+xdelta,y), depending on how
many data columns are provided. A tic mark is placed at the ends of
the error bar (unless \fBset bars\fR is used---see \fBset bars\fR for details).
.sp 2
.NH 4
Xyerrorlines
.sp 1
.LP
.XS
Xyerrorlines
.XE
The \fBxyerrorlines\fR style is only relevant to 2-d data plots.
\fBxyerrorlines\fR is like \fBlinespoints\fR, except that horizontal and
vertical error bars are also drawn. At each point (x,y), lines are
drawn from (x,y-ydelta) to (x,y+ydelta) and from (x-xdelta,y) to
(x+xdelta,y) or from (x,ylow) to (x,yhigh) and from (xlow,y) to
(xhigh,y), depending upon the number of data columns provided. A tic
mark is placed at the ends of the error bar (unless \fBset bars\fR is
used---see \fBset bars\fR for details).

If data are provided in an unsupported mixed form, the \fBusing\fR filter on the
\fBplot\fR command should be used to set up the appropriate form.  For example,
if the data are of the form (x,y,xdelta,ylow,yhigh), then you can use

.br
      plot 'data' using 1:2:($1-$3):($1+$3):4:5 with xyerrorlines
.br
.sp 2
.NH 4
Yerrorlines
.sp 1
.LP
.XS
Yerrorlines
.XE
The \fByerrorlines\fR (or \fBerrorlines\fR) style is only relevant to 2-d data
plots. \fByerrorlines\fR is like \fBlinespoints\fR, except that a vertical
error line is also drawn. At each point (x,y), a line is drawn from
(x,y-ydelta) to (x,y+ydelta) or from (x,ylow) to (x,yhigh), depending
on how many data columns are provided. A tic mark is placed at the
ends of the error bar (unless \fBset bars\fR is used---see \fBset bars\fR for
details).
See also
errorbar demo.
.sp 2
.RE
.br
.RE
.br
.NH 2
Surface
.sp 1
.LP
.XS
Surface
.XE
The command \fBset surface\fR controls the display of surfaces by \fBsplot\fR.

Syntax:
.br
      set surface
.br
.br
      unset surface
.br
.br
      show surface
.br

The surface is drawn with the style specified by \fBwith\fR, or else the
appropriate style, data or function.

Whenever \fBunset surface\fR is issued, \fBsplot\fR will not draw points or lines
corresponding to the function or data file points.  Contours may still be
drawn on the surface, depending on the \fBset contour\fR option. \fBunset surface;
set contour base\fR is useful for displaying contours on the grid base.  See
also \fBset contour\fR.
.sp 2
.NH 2
Terminal
.sp 1
.LP
.XS
Terminal
.XE
\fBgnuplot\fR supports many different graphics devices.  Use \fBset terminal\fR to
tell \fBgnuplot\fR what kind of output to generate. Use \fBset output\fR to redirect
that output to a file or device.

Syntax:
.br
      set terminal {<terminal-type> | push | pop}
.br
.br
      show terminal
.br

If <terminal-type> is omitted, \fBgnuplot\fR will list the available terminal
types.  <terminal-type> may be abbreviated.

If both \fBset terminal\fR and \fBset output\fR are used together, it is safest to
give \fBset terminal\fR first, because some terminals set a flag which is needed
in some operating systems.

Several terminals have additional options.  For example, see \fBdumb\fR,
\fBiris4d\fR, \fBhpljii\fR or \fBpostscript\fR.
The options used by a previous invocation \fBset term <term> <options>\fR of a
given \fB<term>\fR are remembered, thus subsequent \fBset term <term>\fR does
not reset them.  This helps in printing, for instance, when switching
among different terminals---previous options don\&'t have to be repeated.

The command \fBset term push\fR remembers the current terminal including its
settings while \fBset term pop\fR restores it. This is equivalent to \fBsave term\fR
and \fBload term\fR, but without accessing the filesystem. Therefore they can be
used to achieve platform independent restoring of the terminal after printing,
for instance. After gnuplot\&'s startup, the default terminal or that from
\fBstartup\fR file is pushed automatically. Therefore portable scripts can rely
that \fBset term pop\fR restores the default terminal on a given platform unless
another terminal has been pushed explicitly.

This document may describe drivers that are not available to you because they
were not installed, or it may not describe all the drivers that are available
to you, depending on its output format.
.sp 2
.RS
.IP
.NH 3
Aed767
.sp 1
.LP
.XS
Aed767
.XE
The \fBaed512\fR and \fBaed767\fR terminal drivers support AED graphics terminals.
The two drivers differ only in their horizontal ranges, which are 512 and
768 pixels, respectively.  Their vertical range is 575 pixels.  There are
no options for these drivers.
.sp 2
.NH 3
Aifm
.sp 1
.LP
.XS
Aifm
.XE
Several options may be set in \fBaifm\fR---the Adobe Illustrator 3.0+ driver.

Syntax:
.br
      set terminal aifm {<color>} {"<fontname>"} {<fontsize>}
.br

<color> is either \fBcolor\fR or \fBmonochrome\fR; "<fontname>" is the name of a
valid PostScript font; <fontsize> is the size of the font in PostScript
points, before scaling by the \fBset size\fR command.  Selecting \fBdefault\fR sets
all options to their default values: \fBmonochrome\fR, "Times-Roman", and 14pt.

Since AI does not really support multiple pages, multiple graphs will be
drawn directly on top of one another.  However, each graph will be grouped
individually, making it easy to separate them inside AI (just pick them up
and move them).

Examples:
.br
      set term aifm
.br
.br
      set term aifm 22
.br
.br
      set size 0.7,1.4; set term aifm color "Times-Roman" 14
.br
.sp 2
.NH 3
Amiga
.sp 1
.LP
.XS
Amiga
.XE
The \fBamiga\fR terminal, for Commodore Amiga computers, allows the user to
plot either to a screen (default), or, if Kickstart 3.0 or higher is
installed, to a window on the current public screen. The font and its size
can also be selected.

Syntax:
.br
      set terminal amiga {screen | window} {"<fontname>"} {<fontsize>}
.br

The default font is 8-point "topaz".

The screen option uses a virtual screen, so it is possible that the graph
will be larger than the screen.
.sp 2
.NH 3
Apollo
.sp 1
.LP
.XS
Apollo
.XE
The \fBapollo\fR terminal driver supports the Apollo Graphics Primitive Resource
with rescaling after window resizing.  It has no options.

If a fixed-size window is desired, the \fBgpr\fR terminal may be used instead.
.sp 2
.NH 3
Aqua
.sp 1
.LP
.XS
Aqua
.XE
This terminal relies on AquaTerm.app for display on Mac OS X.

Syntax:
.br
      set terminal aqua {<n>} {title "<wintitle>"} {size <x> <y>}
.br
.br
                        {fname "<fontface>"} {fsize <fontsize>}
.br

where <n> is the number of the window to draw in (default is 0),
<wintitle> is the name shown in the title bar (default "Figure <n>"),
<x> <y> is the size of the plot (default is 846x594 pt = 11.75x8.25 in).

Use <fontface> to specify the font to use (default is "Times-Roman"),
<fontzise> sets the font size (default is 14.0 pt).
.sp 2
.NH 3
Atari ST (via AES)
.sp 1
.LP
.XS
Atari ST (via AES)
.XE
The \fBatari\fR terminal has options to set the character size and the screen
colors.

Syntax:
.br
      set terminal atari {<fontsize>} {<col0> <col1> ... <col15>}
.br

The character size must appear if any colors are to be specified.  Each of
the (up to 16) colors is given as a three-digit hex number, where the digits
represent RED, GREEN and BLUE (in that order).  The range of 0--15 is scaled
to whatever color range the screen actually has.  On a normal ST screen, odd
and even intensities are the same.

Examples:
.br
      set terminal atari 4    # use small (6x6) font
.br
.br
      set terminal atari 6 0  # set monochrome screen to white on black
.br
.br
      set terminal atari 13 0 fff f00 f0 f ff f0f
.br
.br
                 # set first seven colors to black, white, red, green,
.br
.br
                 # blue, cyan, and purple and use large font (8x16).
.br

Additionally, if an environment variable GNUCOLORS exists, its contents are
interpreted as an options string, but an explicit terminal option takes
precedence.
.sp 2
.NH 3
Be
.sp 1
.LP
.XS
Be
.XE
\fBgnuplot\fR provides the \fBbe\fR terminal type for use with X servers.  This
terminal type is set automatically at startup if the \fBDISPLAY\fR environment
variable is set, if the \fBTERM\fR environment variable is set to \fBxterm\fR, or
if the \fB-display\fR command line option is used.

Syntax:
.br
          set terminal be {reset} {<n>}
.br

Multiple plot windows are supported: \fBset terminal be <n>\fR directs the
output to plot window number n.  If n>0, the terminal number will be
appended to the window title and the icon will be labeled \fBgplt <n>\fR.
The active window may distinguished by a change in cursor (from default
to crosshair.)

Plot windows remain open even when the \fBgnuplot\fR driver is changed to a
different device.  A plot window can be closed by pressing the letter q
while that window has input focus, or by choosing \fBclose\fR from a window
manager menu.  All plot windows can be closed by specifying \fBreset\fR, which
actually terminates the subprocess which maintains the windows (unless
\fB-persist\fR was specified).

Plot windows will automatically be closed at the end of the session
unless the \fB-persist\fR option was given.

The size or aspect ratio of a plot may be changed by resizing the \fBgnuplot\fR
window.

Linewidths and pointsizes may be changed from within \fBgnuplot\fR with
\fBset linestyle\fR.

For terminal type \fBbe\fR, \fBgnuplot\fR accepts (when initialized) the standard
X Toolkit options and resources such as geometry, font, and name from the
command line arguments or a configuration file.  See the X(1) man page
(or its equivalent) for a description of such options.

A number of other \fBgnuplot\fR options are available for the \fBbe\fR terminal.
These may be specified either as command-line options when \fBgnuplot\fR is
invoked or as resources in the configuration file ".Xdefaults".  They are
set upon initialization and cannot be altered during a \fBgnuplot\fR session.
.sp 2
.RS
.IP
.NH 4
Command-line_options
.sp 1
.LP
.XS
Command-line_options
.XE
In addition to the X Toolkit options, the following options may be specified
on the command line when starting \fBgnuplot\fR or as resources in your
".Xdefaults" file:

.EQ
delim $$
.EN
.KS
.TS
center box tab (@) ;
c l .
`-mono`@forces monochrome rendering on color displays.
`-gray`@requests grayscale rendering on grayscale or color displays.
           @(Grayscale displays receive monochrome rendering by default.)
`-clear`@requests that the window be cleared momentarily before a
                @new plot is displayed.
`-raise`@raises plot window after each plot
`-noraise`@does not raise plot window after each plot
`-persist`@plots windows survive after main gnuplot program exits
.TE
.KE
.EQ
delim off
.EN

The options are shown above in their command-line syntax.  When entered as
resources in ".Xdefaults", they require a different syntax.

Example:
.br
          gnuplot*gray: on
.br

\fBgnuplot\fR also provides a command line option (\fB-pointsize <v>\fR) and a
resource, \fBgnuplot*pointsize: <v>\fR, to control the size of points plotted
with the \fBpoints\fR plotting style.  The value \fBv\fR is a real number (greater
than 0 and less than or equal to ten) used as a scaling factor for point
sizes.  For example, \fB-pointsize 2\fR uses points twice the default size, and
\fB-pointsize 0.5\fR uses points half the normal size.
.sp 2
.NH 4
Monochrome_options
.sp 1
.LP
.XS
Monochrome_options
.XE
For monochrome displays, \fBgnuplot\fR does not honor foreground or background
colors.  The default is black-on-white.  \fB-rv\fR or \fBgnuplot*reverseVideo: on\fR
requests white-on-black.

.sp 2
.NH 4
Color_resources
.sp 1
.LP
.XS
Color_resources
.XE
For color displays, \fBgnuplot\fR honors the following resources (shown here
with their default values) or the greyscale resources.  The values may be
color names as listed in the BE rgb.txt file on your system, hexadecimal
RGB color specifications (see BE documentation), or a color name followed
by a comma and an \fBintensity\fR value from 0 to 1.  For example, \fBblue, 0.5\fR
means a half intensity blue.

.EQ
delim $$
.EN
.KS
.TS
center box tab (@) ;
c l .
@gnuplot*background: white
@gnuplot*textColor: black
@gnuplot*borderColor: black
@gnuplot*axisColor: black
@gnuplot*line1Color: red
@gnuplot*line2Color: green
@gnuplot*line3Color: blue
@gnuplot*line4Color: magenta
@gnuplot*line5Color: cyan
@gnuplot*line6Color: sienna
@gnuplot*line7Color: orange
@gnuplot*line8Color: coral
.TE
.KE
.EQ
delim off
.EN


The command-line syntax for these is, for example,

Example:
.br
          gnuplot -background coral
.br

.sp 2
.NH 4
Grayscale_resources
.sp 1
.LP
.XS
Grayscale_resources
.XE
When \fB-gray\fR is selected, \fBgnuplot\fR honors the following resources for
grayscale or color displays (shown here with their default values).  Note
that the default background is black.

.EQ
delim $$
.EN
.KS
.TS
center box tab (@) ;
c l .
@gnuplot*background: black
@gnuplot*textGray: white
@gnuplot*borderGray: gray50
@gnuplot*axisGray: gray50
@gnuplot*line1Gray: gray100
@gnuplot*line2Gray: gray60
@gnuplot*line3Gray: gray80
@gnuplot*line4Gray: gray40
@gnuplot*line5Gray: gray90
@gnuplot*line6Gray: gray50
@gnuplot*line7Gray: gray70
@gnuplot*line8Gray: gray30
.TE
.KE
.EQ
delim off
.EN


.sp 2
.NH 4
Line_resources
.sp 1
.LP
.XS
Line_resources
.XE
\fBgnuplot\fR honors the following resources for setting the width (in pixels) of
plot lines (shown here with their default values.)  0 or 1 means a minimal
width line of 1 pixel width.  A value of 2 or 3 may improve the appearance of
some plots.

.EQ
delim $$
.EN
.KS
.TS
center box tab (@) ;
c l .
@gnuplot*borderWidth: 2
@gnuplot*axisWidth: 0
@gnuplot*line1Width: 0
@gnuplot*line2Width: 0
@gnuplot*line3Width: 0
@gnuplot*line4Width: 0
@gnuplot*line5Width: 0
@gnuplot*line6Width: 0
@gnuplot*line7Width: 0
@gnuplot*line8Width: 0
.TE
.KE
.EQ
delim off
.EN


\fBgnuplot\fR honors the following resources for setting the dash style used for
plotting lines.  0 means a solid line.  A two-digit number \fBjk\fR (\fBj\fR and \fBk\fR
are >= 1  and <= 9) means a dashed line with a repeated pattern of \fBj\fR pixels
on followed by \fBk\fR pixels off.  For example, \&'16\&' is a "dotted" line with one
pixel on followed by six pixels off.  More elaborate on/off patterns can be
specified with a four-digit value.  For example, \&'4441\&' is four on, four off,
four on, one off.  The default values shown below are for monochrome displays
or monochrome rendering on color or grayscale displays.  For color displays,
the default for each is 0 (solid line) except for \fBaxisDashes\fR which defaults
to a \&'16\&' dotted line.

.EQ
delim $$
.EN
.KS
.TS
center box tab (@) ;
c l .
@gnuplot*borderDashes: 0
@gnuplot*axisDashes: 16
@gnuplot*line1Dashes: 0
@gnuplot*line2Dashes: 42
@gnuplot*line3Dashes: 13
@gnuplot*line4Dashes: 44
@gnuplot*line5Dashes: 15
@gnuplot*line6Dashes: 4441
@gnuplot*line7Dashes: 42
@gnuplot*line8Dashes: 13
.TE
.KE
.EQ
delim off
.EN

.sp 2
.RE
.br
.NH 3
Cgi
.sp 1
.LP
.XS
Cgi
.XE
The \fBcgi\fR and \fBhcgi\fR terminal drivers support SCO CGI drivers.  \fBhcgi\fR is for
printers; the environment variable CGIPRNT must be set.  \fBcgi\fR may be used
for either a display or hardcopy; if the environment variable CGIDISP is set,
then that display is used.  Otherwise CGIPRNT is used.

These terminals have no options.
.sp 2
.NH 3
Cgm
.sp 1
.LP
.XS
Cgm
.XE
The \fBcgm\fR terminal generates a Computer Graphics Metafile, Version 1. 
This file format is a subset of the ANSI X3.122-1986 standard entitled
"Computer Graphics - Metafile for the Storage and Transfer of Picture
Description Information".
Several options may be set in \fBcgm\fR.

Syntax:
.br
      set terminal cgm {<mode>} {<color>} {<rotation>} {solid | dashed}
.br
.br
                       {width <plot_width>} {linewidth <line_width>}
.br
.br
                       {"<font>"} {<fontsize>}
.br
.br
                       {<color0> <color1> <color2> ...}
.br

where <mode> is \fBlandscape\fR, \fBportrait\fR, or \fBdefault\fR;
<color> is either \fBcolor\fR or \fBmonochrome\fR; 
<rotation> is either \fBrotate\fR or \fBnorotate\fR;
\fBsolid\fR draws all curves with solid lines, overriding any dashed patterns;
<plot_width> is the assumed width of the plot in points; 
<line_width> is the line width in points (default 1); 
<font> is the name of a font; and 
<fontsize> is the size of the font in points (default 12).

By default, \fBcgm\fR uses rotated text for the Y axis label.

The first six options can be in any order.  Selecting \fBdefault\fR sets all
options to their default values.

Each color must be of the form \&'xrrggbb\&', where x is the literal
character \&'x\&' and \&'rrggbb\&' are the red, green and blue components in
hex.  For example, \&'x00ff00\&' is green.  The background color is set
first, then the plotting colors.
Examples:
.br
      set terminal cgm landscape color rotate dashed width 432 \\
.br
.br
                     linewidth 1  'Helvetica Bold' 12       # defaults
.br
.br
      set terminal cgm linewidth 2  14  # wider lines & larger font
.br
.br
      set terminal cgm portrait "Times Italic" 12
.br
.br
      set terminal cgm color solid      # no pesky dashes!
.br
.sp 2
.RS
.IP
.NH 4
Font
.sp 1
.LP
.XS
Font
.XE
The first part of a Computer Graphics Metafile, the metafile description,
includes a font table.  In the picture body, a font is designated by an
index into this table.  By default, this terminal generates a table with
the following 35 fonts, plus six more with \fBitalic\fR replaced by
\fBoblique\fR, or vice-versa (since at least the Microsoft Office and Corel
Draw CGM import filters treat \fBitalic\fR and \fBoblique\fR as equivalent):

.EQ
delim $$
.EN
.KS
.TS
center box tab (@) ;
c c l .
@@CGM fonts
_
@@Helvetica
@@Helvetica Bold
@@Helvetica Oblique
@@Helvetica Bold Oblique
@@Times Roman
@@Times Bold
@@Times Italic
@@Times Bold Italic
@@Courier
@@Courier Bold
@@Courier Oblique
@@Courier Bold Oblique
@@Symbol
@@Hershey/Cartographic_Roman
@@Hershey/Cartographic_Greek
@@Hershey/Simplex_Roman
@@Hershey/Simplex_Greek
@@Hershey/Simplex_Script
@@Hershey/Complex_Roman
@@Hershey/Complex_Greek
@@Hershey/Complex_Script
@@Hershey/Complex_Italic
@@Hershey/Complex_Cyrillic
@@Hershey/Duplex_Roman
@@Hershey/Triplex_Roman
@@Hershey/Triplex_Italic
@@Hershey/Gothic_German
@@Hershey/Gothic_English
@@Hershey/Gothic_Italian
@@Hershey/Symbol_Set_1
@@Hershey/Symbol_Set_2
@@Hershey/Symbol_Math
@@ZapfDingbats
@@Script
@@15
.TE
.KE
.EQ
delim off
.EN

The first thirteen of these fonts are required for WebCGM.  The
Microsoft Office CGM import filter implements the 13 standard fonts
listed above, and also \&'ZapfDingbats\&' and \&'Script\&'.  However, the
script font may only be accessed under the name \&'15\&'.  For more on
Microsoft import filter font substitutions, check its help file which
you may find here:
.br
  C:\\Program Files\\Microsoft Office\\Office\\Cgmimp32.hlp
.br
and/or its configuration file, which you may find here:
.br
  C:\\Program Files\\Common Files\\Microsoft Shared\\Grphflt\\Cgmimp32.cfg
.br

In the \fBset term\fR command, you may specify a font name which does not
appear in the default font table.  In that case, a new font table is
constructed with the specified font as its first entry. You must ensure
that the spelling, capitalization, and spacing of the name are
appropriate for the application that will read the CGM file.  (Gnuplot
and any MIL-D-28003A compliant application ignore case in font names.)
If you need to add several new fonts, use several \fBset term\fR commands.

Example:
.br
      set terminal cgm 'Old English'
.br
.br
      set terminal cgm 'Tengwar'
.br
.br
      set terminal cgm 'Arabic'
.br
.br
      set output 'myfile.cgm'
.br
.br
      plot ...
.br
.br
      set output
.br

You cannot introduce a new font in a \fBset label\fR command.2 fontsize
Fonts are scaled assuming the page is 6 inches wide.  If the \fBsize\fR
command is used to change the aspect ratio of the page or the CGM file
is converted to a different width, the resulting font sizes will be
scaled up or down accordingly.  To change the assumed width, use the
\fBwidth\fR option.
.sp 2
.NH 4
Linewidth
.sp 1
.LP
.XS
Linewidth
.XE
The \fBlinewidth\fR option sets the width of lines in pt.  The default width
is 1 pt.  Scaling is affected by the actual width of the page, as
discussed under the \fBfontsize\fR and \fBwidth\fR options.
.sp 2
.NH 4
Rotate
.sp 1
.LP
.XS
Rotate
.XE
The \fBnorotate\fR option may be used to disable text rotation.  For
example, the CGM input filter for Word for Windows 6.0c can accept
rotated text, but the DRAW editor within Word cannot.  If you edit a
graph (for example, to label a curve), all rotated text is restored to
horizontal.  The Y axis label will then extend beyond the clip boundary.
With \fBnorotate\fR, the Y axis label starts in a less attractive location,
but the page can be edited without damage.  The \fBrotate\fR option confirms
the default behavior.
.sp 2
.NH 4
Solid
.sp 1
.LP
.XS
Solid
.XE
The \fBsolid\fR option may be used to disable dashed line styles in the
plots.  This is useful when color is enabled and the dashing of the
lines detracts from the appearance of the plot. The \fBdashed\fR option
confirms the default behavior, which gives a different dash pattern to
each curve.
.sp 2
.NH 4
Size
.sp 1
.LP
.XS
Size
.XE
Default size of a CGM plot is 32599 units wide and 23457 units high for
landscape, or 23457 units wide by 32599 units high for portrait.
.sp 2
.NH 4
Width
.sp 1
.LP
.XS
Width
.XE
All distances in the CGM file are in abstract units.  The application
that reads the file determines the size of the final plot.  By default,
the width of the final plot is assumed to be 6 inches (15.24 cm).  This
distance is used to calculate the correct font size, and may be changed
with the \fBwidth\fR option.  The keyword should be followed by the width in
points.  (Here, a point is 1/72 inch, as in PostScript.  This unit is
known as a "big point" in TeX.)  Gnuplot \fBexpressions\fR can be used to
convert from other units.

Example:
.br
      set terminal cgm width 432            # default
.br
.br
      set terminal cgm width 6*72           # same as above
.br
.br
      set terminal cgm width 10/2.54*72     # 10 cm wide
.br
.sp 2
.NH 4
Nofontlist
.sp 1
.LP
.XS
Nofontlist
.XE
The default font table includes the fonts recommended for WebCGM, which
are compatible with the Computer Graphics Metafile input filter for
Microsoft Office and Corel Draw.  Another application might use
different fonts and/or different font names, which may not be
documented.  As a workaround, the \fBnofontlist\fR option deletes the font
table from the CGM file.  In this case, the reading application should
use a default table.  Gnuplot will still use its own default font table
to select font indices.  Thus, \&'Helvetica\&' will give you an index of 1,
which should get you the first entry in your application\&'s default font
table. \&'Helvetica Bold\&' will give you its second entry, etc.

The former \fBwinword6\fR option is now a deprecated synonym for
\fBnofontlist\fR.  The problems involving the color and font tables that
the \fBwinword6\fR option was intended to work around turned out to be
gnuplot bugs which have now been fixed.
.sp 2
.RE
.br
.NH 3
Corel
.sp 1
.LP
.XS
Corel
.XE
The \fBcorel\fR terminal driver supports CorelDraw.

Syntax:
.br
      set terminal corel {  default
.br
.br
                          | {monochrome | color
.br
.br
                               {"<font>" {<fontsize> 
.br
.br
                                  {<xsize> <ysize> {<linewidth> }}}}}
.br

where the fontsize and linewidth are specified in points and the sizes in
inches.  The defaults are monochrome, "SwitzerlandLight", 22, 8.2, 10 and 1.2.
.sp 2
.NH 3
Debug
.sp 1
.LP
.XS
Debug
.XE
This terminal is provided to allow for the debugging of \fBgnuplot\fR.  It is
likely to be of use only for users who are modifying the source code.
.sp 2
.NH 3
Dospc
.sp 1
.LP
.XS
Dospc
.XE
The \fBdospc\fR terminal driver supports PCs with arbitrary graphics boards,
which will be automatically detected.  It should be used only if you are
not using the gcc or Zortec C/C++ compilers.
.sp 2
.NH 3
Dumb
.sp 1
.LP
.XS
Dumb
.XE
The \fBdumb\fR terminal driver has an optional size specification and trailing
linefeed control.

Syntax:
.br
      set terminal dumb {[no]feed} {<xsize> <ysize>}
.br
.br
                        {[no]enhanced}
.br

where <xsize> and <ysize> set the size of the dumb terminals. Default is
79 by 24. The last newline is printed only if \fBfeed\fR is enabled.

Examples:
.br
      set term dumb nofeed
.br
.br
      set term dumb 79 49 # VGA screen---why would anyone do that?
.br
.sp 2
.NH 3
Dxf
.sp 1
.LP
.XS
Dxf
.XE
The \fBdxf\fR terminal driver creates pictures that can be imported into AutoCad
(Release 10.x).  It has no options of its own, but some features of its plots
may be modified by other means.  The default size is 120x80 AutoCad units,
which can be changed by \fBset size\fR.  \fBdxf\fR uses seven colors (white, red,
yellow, green, cyan, blue and magenta), which can be changed only by
modifying the source file.  If a black-and-white plotting device is used, the
colors are mapped to differing line thicknesses.  See the description of the
AutoCad print/plot command.
.sp 2
.NH 3
Dxy800a
.sp 1
.LP
.XS
Dxy800a
.XE
This terminal driver supports the Roland DXY800A plotter.  It has no options.
.sp 2
.NH 3
Eepic
.sp 1
.LP
.XS
Eepic
.XE
The \fBeepic\fR terminal driver supports the extended LaTeX picture environment.
It is an alternative to the \fBlatex\fR driver.

The output of this terminal is intended for use with the "eepic.sty" macro
package for LaTeX.  To use it, you need "eepic.sty", "epic.sty" and a
printer driver that supports the "tpic" \\specials.  If your printer driver
doesn\&'t support those \\specials, "eepicemu.sty" will enable you to use some
of them.
dvips and dvipdfm do support the "tpic" \\specials.

Syntax:
.br
   set terminal eepic {color, dashed, rotate, small, tiny, default, <fontsize>}
.br

Options:
You can give options in any order you wish.
\&\&'color\&' causes gnuplot to produce \\color{...} commands so that the graphs are
colored. Using this option, you must include \\usepackage{color} in the preambel
of your latex document.
\&\&'dashed\&' will allow dashed line types; without this option, only solid lines
with varying thickness will be used.
\&\&'dashed\&' and \&'color\&' are mutually exclusive; if \&'color\&' is specified, then \&'dashed\&'
will be ignored.
\&\&'rotate\&' will enable true rotated text (by 90 degrees). Otherwise, rotated text
will be typeset with letters stacked above each other. If you use this option
you must include \\usepackage{graphicx} in the preamble.
\&\&'small\&' will use \\scriptsize symbols as point markers (Probably does not work
with TeX, only LaTeX2e). Default is to use the default math size.
\&\&'tiny\&' uses \\scriptscriptstyle symbols.
\&\&'default\&' resets all options to their defaults = no color, no dashed lines,
pseudo-rotated (stacked) text, large point symbols.
<fontsize> is a number which specifies the font size inside the picture
environment; the unit is pt (points), i.e., 10 pt equals approx. 3.5 mm.
If fontsize is not specified, then all text inside the picture will be set
in \\footnotesize.

Notes:
Remember to escape the # character (or other chars meaningful to (La-)TeX)
by \\\\ (2 backslashes).
It seems that dashed lines become solid lines when the vertices of a plot
are too close. (I do not know if that is a general problem with the tpic specials,
or if it is caused by a bug in eepic.sty or dvips/dvipdfm.)
The default size of an eepic plot is 5x3 inches, which can be scaled 
by \&'set size a,b\&'.
Points, among other things, are drawn using the LaTeX commands "\\Diamond",
"\\Box", etc.  These commands no longer belong to the LaTeX2e core; they are
included in the latexsym package, which is part of the base distribution and
thus part of any LaTeX implementation. Please do not forget to use this package.
Instead of latexsym, you can also include the amssymb package. All drivers for LaTeX offer a special way of controlling text positioning:
If any text string begins with \&'{\&', you also need to include a \&'}\&' at the
end of the text, and the whole text will be centered both horizontally and
vertically.  If the text string begins with \&'[\&', you need to follow this with
a position specification (up to two out of t,b,l,r), \&']{\&', the text itself,
and finally \&'}\&'.  The text itself may be anything LaTeX can typeset as an
LR-box.  \&'\\rule{}{}\&'s may help for best positioning.

Examples:
set term eepic
.br
  output graphs as eepic macros inside a picture environment;
.br
.br
  \\input the resulting file in your LaTeX document.
.br
set term eepic color tiny rotate 8
.br
  eepic macros with \\color macros, \\scripscriptsize point markers,
.br
.br
  true rotated text, and all text set with 8pt.
.br

About label positioning:
Use gnuplot defaults (mostly sensible, but sometimes not really best):
.br
       set title '\\LaTeX\\ -- $ \\gamma $'
.br
Force centering both horizontally and vertically:
.br
       set label '{\\LaTeX\\ -- $ \\gamma $}' at 0,0
.br
Specify own positioning (top here):
.br
       set xlabel '[t]{\\LaTeX\\ -- $ \\gamma $}'
.br
The other label -- account for long ticlabels:
.br
       set ylabel '[r]{\\LaTeX\\ -- $ \\gamma $\\rule{7mm}{0pt}}'
.br
.sp 2
.NH 3
Emf
.sp 1
.LP
.XS
Emf
.XE
The \fBemf\fR terminal generates an Enhanced Metafile Format file.  This file
format is the metafile standard on MS Win32 Systems
Syntax:
.br
      set terminal emf {<color>} {solid | dashed}
.br
.br
                       {"<font>"} {<fontsize>}
.br

<color> is either \fBcolor\fR or \fBmonochrome\fR; 
\fBsolid\fR draws all curves with solid lines, overriding any dashed patterns;
<font> is the name of a font; and 
\fB<fontsize>\fR is the size of the font in points.

The first two options can be in any order.  Selecting \fBdefault\fR sets all
options to their default values.

Examples:
.br
      set terminal emf 'Times Roman Italic' 12
.br
.br
      set terminal emf color solid    # no pesky dashes!
.br
.sp 2
.NH 3
Emxvga
.sp 1
.LP
.XS
Emxvga
.XE
The \fBemxvga\fR, \fBemxvesa\fR and \fBvgal\fR terminal drivers support PCs with SVGA,
vesa SVGA and VGA graphics boards, respectively.  They are intended to be
compiled with "emx-gcc" under either DOS or OS/2.  They also need VESA and
SVGAKIT maintained by Johannes Martin (JMARTIN@GOOFY.ZDV.UNI-MAINZ.DE) with
additions by David J. Liu (liu@phri.nyu.edu).

Syntax:
.br
      set terminal emxvga
.br
.br
      set terminal emxvesa {vesa-mode}
.br
.br
      set terminal vgal
.br

The only option is the vesa mode for \fBemxvesa\fR, which defaults to G640x480x256.
.sp 2
.NH 3
Epslatex
.sp 1
.LP
.XS
Epslatex
.XE
The \fBepslatex\fR driver generates output for further processing by LaTeX.
Syntax:
.br
      set terminal epslatex {default}
.br
.br
                              {color | monochrome} {solid | dashed}
.br
.br
                              {"<fontname>"} {<fontsize>}
.br

\fBdefault\fR mode sets all options to their defaults: \fBmonochrome\fR, \fBdashed\fR,
"default" and 11pt.
Default size of a plot is 5 inches wide and 3 inches high.

\fBsolid\fR draws all plots with solid lines, overriding any dashed patterns;
\fB"<fontname>"\fR is the name of font; and \fB<fontsize>\fR is
the size of the font in PostScript points. Font selection isn\&'t supported yet.
Font size selection is supported only for the calculation of proper spacing.
The actual LaTeX font at the point of inclusion is taken, so use LaTeX commands
for changing fonts. If you use e.g. 12pt as font size for your LaTeX documents, 
use \&'"default" 12\&' as options.

All drivers for LaTeX offer a special way of controlling text positioning: 
(a) If any text string begins with \&'{\&', you also need to include a \&'}\&' at the
end of the text, and the whole text will be centered both horizontally
and vertically by LaTeX.  (b) If the text string begins with \&'[\&', you need
to continue it with: a position specification (up to two out of t,b,l,r),
\&\&']{\&', the text itself, and finally, \&'}\&'. The text itself may be anything
LaTeX can typeset as an LR-box. \\rule{}{}\&'s may help for best positioning.
See also the documentation for the \fBpslatex\fR terminal driver.
To create multiline labels, use \\shortstack, for example
.br
   set ylabel '[r]{\\shortstack{first line \\\\ second line}}' 
.br

The driver produces two different files, one for the eps part of the figure
and one for the LaTeX part. The name of the eps file is taken from the
\fBset output\fR command. The name of the LaTeX file is derived by replacing
the file extension (normally \fB.eps\fR) with \fB.tex\fR instead.
There is no LaTeX output if no output file is given!
Remember to close the \fBoutput file\fR before leaving \fBgnuplot\fR.

In your LaTeX documents use \&'\\input{filename}\&' to include the figure.
The \fB.eps\fR file is included by the command \\includegraphics{...}, so you
must also include \\usepackage{graphicx} in the LaTeX preamble.

Pdf files can be made from the eps file using \&'epstopdf\&'. If the graphics
package is properly configured, the LaTeX files can also be processed by
pdflatex without changes, using the pdf files instead of the eps files.
.sp 2
.NH 3
Epson-180dpi
.sp 1
.LP
.XS
Epson-180dpi
.XE
This driver supports a family of Epson printers and derivatives.

\fBepson-180dpi\fR and \fBepson-60dpi\fR are drivers for Epson LQ-style 24-pin
printers with resolutions of 180 and 60 dots per inch, respectively.

\fBepson-lx800\fR is a generic 9-pin driver appropriate for printers like the
Epson LX-800, the Star NL-10 and NX-1000, the PROPRINTER, and so forth.

\fBnec-cp6\fR is generic 24-pin driver that can be used for printers like the
NEC CP6 and the Epson LQ-800.

The \fBokidata\fR driver supports the 9-pin OKIDATA 320/321 Standard printers.

The \fBstarc\fR driver is for the Star Color Printer.

The \fBtandy-60dpi\fR driver is for the Tandy DMP-130 series of 9-pin, 60-dpi
printers.

Only \fBnec-cp6\fR has any options.

Syntax:
.br
      set terminal nec-cp6 {monochrome | colour | draft}
.br

which defaults to monochrome.

With each of these drivers, a binary copy is required on a PC to print.  Do
not use \fBprint\fR---use instead \fBcopy file /b lpt1:\fR.
.sp 2
.NH 3
Excl
.sp 1
.LP
.XS
Excl
.XE
The \fBexcl\fR terminal driver supports Talaris printers such as the EXCL Laser
printer and the 1590.  It has no options.
.sp 2
.NH 3
Fig
.sp 1
.LP
.XS
Fig
.XE
The \fBfig\fR terminal device generates output in the Fig graphics language.

Syntax:
.br
      set terminal fig {monochrome | color}
.br
.br
                       {landscape | portrait}
.br
.br
                       {small | big | size <xsize> <ysize>}
.br
.br
                       {metric | inches}
.br
.br
                       {pointsmax <max_points>}
.br
.br
                       {solid | dashed}
.br
.br
                       {fontsize <fsize>}
.br
.br
                       {textnormal | {textspecial texthidden textrigid}}
.br
.br
                       {thickness <units>}
.br
.br
                       {depth <layer>}
.br
.br
                       {version <number>}
.br

\fBmonochrome\fR and \fBcolor\fR determine whether the picture is black-and-white or
\fBcolor\fR.  \fBsmall\fR and \fBbig\fR produce a 5x3 or 8x5 inch graph in the default
\fBlandscape\fR mode and 3x5 or 5x8 inches in \fBportrait\fR mode.
\fBsize\fR sets (overrides) the size of the drawing
area to <xsize>*<ysize> in units of inches or centimeters depending on the
\fBinches\fR or \fBmetric\fR setting in effect.
The latter settings is also used as default units for editing with "xfig".

\fBpointsmax <max_points>\fR sets the maximum number of points per polyline.

\fBsolid\fR inhibits automatic usage of \fBdash\fRed lines when solid linestyles are
used up, which otherwise occurs.

\fBfontsize\fR sets the size of the text font to <fsize> points.  \fBtextnormal\fR
resets the text flags and selects postscript fonts, \fBtextspecial\fR sets the
text flags for LaTeX specials, \fBtexthidden\fR sets the hidden flag and
\fBtextrigid\fR the rigid flag. 

\fBdepth\fR sets the default depth layer for all lines and text.  The default
depth is 10 to leave room for adding material with "xfig" on top of the
plot.

\fBversion\fR sets the format version of the generated fig output. Currently
only versions 3.1 and 3.2 are supported.

\fBthickness\fR sets the default line thickness, which is 1 if not specified.
Overriding the thickness can be achieved by adding a multiple of 100 to the
\fBlinetype\fR value for a \fBplot\fR command.  In a similar way the \fBdepth\fR
of plot elements (with respect to the default depth) can be controlled by
adding a multiple of 1000 to <linetype>.  The depth is then <layer> +
<linetype>/1000 and the thickness is (<linetype>%1000)/100 or, if that is
zero, the default line thickness.

Additional point-plot symbols are also available with the \fBfig\fR driver. The
symbols can be used through \fBpointtype\fR values % 100 above 50, with different
fill intensities controlled by <pointtype> % 5 and outlines in black (for
<pointtype> % 10 < 5) or in the current color.  Available symbols are
.br
        50 - 59:  circles
.br
.br
        60 - 69:  squares
.br
.br
        70 - 79:  diamonds
.br
.br
        80 - 89:  upwards triangles
.br
.br
        90 - 99:  downwards triangles
.br
The size of these symbols is linked to the font size.  The depth of symbols
is by default one less than the depth for lines to achieve nice error bars.
If <pointtype> is above 1000, the depth is <layer> + <pointtype>/1000-1.  If
<pointtype>%1000 is above 100, the fill color is (<pointtype>%1000)/100-1.

Available fill colors are (from 1 to 9): black, blue, green, cyan, red,
magenta, yellow, white and dark blue (in monochrome mode: black for 1 to 6
and white for 7 to 9).

See \fBplot with\fR for details of <linetype> and <pointtype>.

The \fBbig\fR option is a substitute for the \fBbfig\fR terminal in earlier versions,
which is no longer supported.

Examples:
.br
      set terminal fig monochrome small pointsmax 1000  # defaults
.br

.br
      plot 'file.dat' with points linetype 102 pointtype 759
.br
would produce circles with a blue outline of width 1 and yellow fill color.

.br
      plot 'file.dat' using 1:2:3 with err linetype 1 pointtype 554
.br
would produce errorbars with black lines and circles filled red.  These
circles are one layer above the lines (at depth 9 by default).

To plot the error bars on top of the circles use
.br
      plot 'file.dat' using 1:2:3 with err linetype 1 pointtype 2554
.br
.sp 2
.NH 3
Ggi
.sp 1
.LP
.XS
Ggi
.XE
The \fBggi\fR driver can run on different targets as X or svgalib.

Syntax:
.br
   set terminal ggi [acceleration <integer>] [[mode] {mode}]
.br

In X the window cannot be resized using window manager handles, but the
mode can be given with the mode option, e.g.:
.br
 - V1024x768
.br
.br
 - V800x600
.br
.br
 - V640x480
.br
.br
 - V320x200
.br
Please refer to the ggi documentation for other modes. The \&'mode\&' keyword
is optional. It is recommended to select the target by environment variables
as explained in the libggi manual page. To get DGA on X, you should for
example
.br
   bash> export GGI_DISPLAY=DGA
.br
.br
   csh>  setenv GGI_DISPLAY DGA
.br

\&\&'acceleration\&' is only used for targets which report relative pointer
motion events (e.g. DGA) and is a strictly positive integer multiplication
factor for the relative distances.  The default for acceleration is 7.

Examples:
.br
   set term ggi acc 10
.br
.br
   set term ggi acc 1 mode V1024x768
.br
.br
   set term ggi V1024x768
.br
.sp 2
.NH 3
Gif
.sp 1
.LP
.XS
Gif
.XE
The \fBgif\fR terminal driver generates output in GIF format.  It uses Thomas
Boutell\&'s gd library, which is available from http://www.boutell.com/gd/
Support for GIF output was removed from the gd library beginning with 
version 1.6; newer versions support PNG output instead.

Syntax:
.br
      set terminal gif {transparent} {interlace}
.br
.br
                       {tiny | small | medium | large | giant}
.br
.br
                       {size <x>,<y>}
.br
.br
                       {<color0> <color1> <color2> ...}
.br

\fBtransparent\fR instructs the driver to generate transparent GIFs.  The first
color will be the transparent one.

\fBinterlace\fR instructs the driver to generate interlaced GIFs.

The choice of fonts is \fBtiny\fR (5x8 pixels), \fBsmall\fR (6x12 pixels), \fBmedium\fR
(7x13 Bold), \fBlarge\fR (8x16) or \fBgiant\fR (9x15 pixels)

The size <x,y> is given in pixels---it defaults to 640x480.  The number of
pixels can be also modified by scaling with the \fBset size\fR command.

Each color must be of the form \&'xrrggbb\&', where x is the literal character
\&\&'x\&' and \&'rrggbb\&' are the red, green and blue components in hex.  For example,
\&\&'x00ff00\&' is green.  The background color is set first, then the border
colors, then the X & Y axis colors, then the plotting colors.  The maximum
number of colors that can be set is 256.

Examples:
.br
      set terminal gif small size 640,480 \\
.br
.br
                       xffffff x000000 x404040 \\
.br
.br
                       xff0000 xffa500 x66cdaa xcdb5cd \\
.br
.br
                       xadd8e6 x0000ff xdda0dd x9500d3    # defaults
.br

which uses white for the non-transparent background, black for borders, gray
for the axes, and red, orange, medium aquamarine, thistle 3, light blue, blue,
plum and dark violet for eight plotting colors.

.br
      set terminal gif transparent xffffff \\
.br
.br
                       x000000 x202020 x404040 x606060 \\
.br
.br
                       x808080 xA0A0A0 xC0C0C0 xE0E0E0
.br

which uses white for the transparent background, black for borders, dark
gray for axes, and a gray-scale for the six plotting colors.

The page size is 640x480 pixels.  The \fBgif\fR driver can create either color
or monochromatic output, but you have no control over which is produced.

The current version of the \fBgif\fR driver does not support animated GIFs.
.sp 2
.NH 3
Gnugraph(GNU plotutils)
.sp 1
.LP
.XS
Gnugraph(GNU plotutils)
.XE
The \fBgnugraph\fR driver produces device-independent output in the GNU plot
graphics language.  The default size of the PostScript results generated by
"plot2ps" is 5 x 3 inches; this can be increased up to about 8.25 x 8.25 by
\fBset size\fR.

Syntax:
.br
      set terminal gnugraph {"<fontname>"} {<fontsize>}
.br
.br
                            {type <pt>} {size "<size>"}
.br

which defaults to 10-point "Courier".

For \fBtype\fR, the following options are accepted: \fBX\fR, \fBpnm\fR, \fBgif\fR, \fBai\fR,
\fBps\fR, \fBcgm\fR, \fBfig\fR, \fBpcl5\fR, \fBhpgl\fR, \fBtek\fR, and \fBmeta\fR (default). The
\fBsize\fR option (default is a4) is passed straight through to plotutils, it\&'s
the user\&'s responsibility to provide correct values. Details can be found
in the plotutils documentation.

Examples:
.br
      set terminal gnugraph type hpgl size "a4"
.br
.br
      set terminal gnugraph size "a4,xoffset=-5mm,yoffset=2.0cm" type pnm
.br

There is a non-GNU version of the \fBgnugraph\fR driver which cannot be compiled
unless this version is left out.
.sp 2
.NH 3
Gpic
.sp 1
.LP
.XS
Gpic
.XE
The \fBgpic\fR terminal driver generates GPIC graphs in the Free Software
Foundations\&'s "groff" package.  The default size is 5 x 3 inches.  The only
option is the origin, which defaults to (0,0).

Syntax:
.br
      set terminal gpic {<x> <y>}
.br

where \fBx\fR and \fBy\fR are in inches.

A simple graph can be formatted using

.br
      groff -p -mpic -Tps file.pic > file.ps.
.br

The output from pic can be pipe-lined into eqn, so it is possible to put
complex functions in a graph with the \fBset label\fR and \fBset {x/y}label\fR
commands.  For instance,

.br
      set ylab '@space 0 int from 0 to x alpha ( t ) roman d t@'
.br

will label the y axis with a nice integral if formatted with the command:

.br
      gpic filename.pic | geqn -d@@ -Tps | groff -m[macro-package] -Tps
.br
.br
          > filename.ps
.br

Figures made this way can be scaled to fit into a document.  The pic language
is easy to understand, so the graphs can be edited by hand if need be.  All
co-ordinates in the pic-file produced by \fBgnuplot\fR are given as x+gnuplotx
and y+gnuploty.  By default x and y are given the value 0.  If this line is
removed with an editor in a number of files, one can put several graphs in
one figure like this (default size is 5.0x3.0 inches):

.br
      .PS 8.0
.br
.br
      x=0;y=3
.br
.br
      copy "figa.pic"
.br
.br
      x=5;y=3
.br
.br
      copy "figb.pic"
.br
.br
      x=0;y=0
.br
.br
      copy "figc.pic"
.br
.br
      x=5;y=0
.br
.br
      copy "figd.pic"
.br
.br
      .PE
.br

This will produce an 8-inch-wide figure with four graphs in two rows on top
of each other.

One can also achieve the same thing by the command

.br
      set terminal gpic x y
.br

for example, using

.br
      .PS 6.0
.br
.br
      copy "trig.pic"
.br
.br
      .PE
.br
.sp 2
.NH 3
Gpr
.sp 1
.LP
.XS
Gpr
.XE
The \fBgpr\fR terminal driver supports the Apollo Graphics Primitive Resource
for a fixed-size window.  It has no options.

If a variable window size is desired, use the \fBapollo\fR terminal instead.
.sp 2
.NH 3
Grass
.sp 1
.LP
.XS
Grass
.XE
The \fBgrass\fR terminal driver gives \fBgnuplot\fR capabilities to users of the 
GRASS geographic information system.  Contact grassp-list@moon.cecer.army.mil
for more information.  Pages are written to the current frame of the GRASS
Graphics Window.  There are no options.
.sp 2
.NH 3
Hercules
.sp 1
.LP
.XS
Hercules
.XE
These drivers supports PC monitors with autodetected graphics boards.  They
can be used only when compiled with Zortech C/C++.  None have options.
.sp 2
.NH 3
Hp2623a
.sp 1
.LP
.XS
Hp2623a
.XE
The \fBhp2623a\fR terminal driver supports the Hewlett Packard HP2623A.  It has
no options.
.sp 2
.NH 3
Hp2648
.sp 1
.LP
.XS
Hp2648
.XE
The \fBhp2648\fR terminal driver supports the Hewlett Packard HP2647 and HP2648.
It has no options.
.sp 2
.NH 3
Hp500c
.sp 1
.LP
.XS
Hp500c
.XE
The \fBhp500c\fR terminal driver supports the Hewlett Packard HP DeskJet 500c.
It has options for resolution and compression.

Syntax:
.br
      set terminal hp500c {<res>} {<comp>}
.br

where \fBres\fR can be 75, 100, 150 or 300 dots per inch and \fBcomp\fR can be "rle",
or "tiff".  Any other inputs are replaced by the defaults, which are 75 dpi
and no compression.  Rasterization at the higher resolutions may require a
large amount of memory.
.sp 2
.NH 3
Hpgl
.sp 1
.LP
.XS
Hpgl
.XE
The \fBhpgl\fR driver produces HPGL output for devices like the HP7475A plotter.
There are two options which can be set: the number of pens and \fBeject\fR,
which tells the plotter to eject a page when done.  The default is to use 6
pens and not to eject the page when done.

The international character sets ISO-8859-1 and CP850 are recognized via
\fBset encoding iso_8859_1\fR or \fBset encoding cp850\fR (see \fBset encoding\fR for
details).

Syntax:
.br
      set terminal hpgl {<number_of_pens>} {eject}
.br

The selection

.br
      set terminal hpgl 8 eject
.br

is equivalent to the previous \fBhp7550\fR terminal, and the selection

.br
      set terminal hpgl 4
.br

is equivalent to the previous \fBhp7580b\fR terminal.

The \fBpcl5\fR driver supports plotters such as the Hewlett-Packard Designjet
750C, the Hewlett-Packard Laserjet III, and the Hewlett-Packard Laserjet IV.
It actually uses HPGL-2, but there is a name conflict among the terminal
devices.  It has several options which must be specified in the order
indicated below:

Syntax:
.br
      set terminal pcl5 {mode <mode>} {<plotsize>}
.br
.br
          {{color {<number_of_pens>}} | monochrome} {solid | dashed}
.br
.br
          {font <font>} {size <fontsize>} {pspoints | nopspoints}
.br

<mode> is \fBlandscape\fR or \fBportrait\fR. <plotsize> is the physical
plotting size of the plot, which is one of the following: \fBletter\fR for
standard (8 1/2" X 11") displays, \fBlegal\fR for (8 1/2" X 14") displays,
\fBnoextended\fR for (36" X 48") displays (a letter size ratio) or,
\fBextended\fR for (36" X 55") displays (almost a legal size ratio).
\fBcolor\fR is for multi-pen (i.e. color) plots, and <number_of_pens> is
the number of pens (i.e. colors) used in color plots. \fBmonochrome\fR is for
one (e.g. black) pen plots. \fBsolid\fR draws all lines as solid lines, or
\fBdashed\fR will draw lines with different dashed and dotted line patterns.
<font> is \fBstick\fR, \fBunivers\fR, \fBcg_times\fR, \fBzapf_dingbats\fR, \fBantique_olive\fR,
\fBarial\fR, \fBcourier\fR, \fBgaramond_antigua\fR, \fBletter_gothic\fR, \fBcg_omega\fR,
\fBalbertus\fR, \fBtimes_new_roman\fR, \fBclarendon\fR, \fBcoronet\fR, \fBmarigold\fR,
\fBtruetype_symbols\fR, or \fBwingdings\fR. <fontsize> is the font size in points.
The point type selection can be the standard default set by specifying
\fBnopspoints\fR, or the same set of point types found in the postscript terminal
by specifying \fBpspoints\fR.

Note that built-in support of some of these options is printer device
dependent. For instance, all the fonts are supposedly supported by the HP
Laserjet IV, but only a few (e.g. univers, stick) may be supported by the HP
Laserjet III and the Designjet 750C. Also, color obviously won\&'t work on the
the laserjets since they are monochrome devices.

Defaults: landscape, noextended, color (6 pens), solid, univers, 12 point,
.br
          and nopspoints.
.br

With \fBpcl5\fR international characters are handled by the printer; you just put
the appropriate 8-bit character codes into the text strings.  You don\&'t need
to bother with \fBset encoding\fR.

HPGL graphics can be imported by many software packages.
.sp 2
.NH 3
Hpljii
.sp 1
.LP
.XS
Hpljii
.XE
The \fBhpljii\fR terminal driver supports the HP Laserjet Series II printer.  The
\fBhpdj\fR driver supports the HP DeskJet 500 printer.  These drivers allow a
choice of resolutions.

Syntax:
.br
      set terminal hpljii | hpdj {<res>}
.br

where \fBres\fR may be 75, 100, 150 or 300 dots per inch; the default is 75.
Rasterization at the higher resolutions may require a large amount of memory.

The \fBhp500c\fR terminal is similar to \fBhpdj\fR; \fBhp500c\fR additionally supports
color and compression.
.sp 2
.NH 3
Hppj
.sp 1
.LP
.XS
Hppj
.XE
The \fBhppj\fR terminal driver supports the HP PaintJet and HP3630 printers.  The
only option is the choice of font.

Syntax:
.br
      set terminal hppj {FNT5X9 | FNT9X17 | FNT13X25}
.br

with the middle-sized font (FNT9X17) being the default.
.sp 2
.NH 3
Imagen
.sp 1
.LP
.XS
Imagen
.XE
The \fBimagen\fR terminal driver supports Imagen laser printers.  It is capable
of placing multiple graphs on a single page.

Syntax:
.br
      set terminal imagen {<fontsize>} {portrait | landscape}
.br
.br
                          {[<horiz>,<vert>]}
.br

where \fBfontsize\fR defaults to 12 points and the layout defaults to \fBlandscape\fR.
\fB<horiz>\fR and \fB<vert>\fR are the number of graphs in the horizontal and
vertical directions; these default to unity.

Example:
.br
      set terminal imagen portrait [2,3]
.br

puts six graphs on the page in three rows of two in portrait orientation.
.sp 2
.NH 3
Iris4d
.sp 1
.LP
.XS
Iris4d
.XE
The \fBiris4d\fR terminal driver supports Silicon Graphics IRIS 4D computers.
Its only option is 8- or 24-bit color depth.  The default is 8.

Syntax:
.br
      set terminal iris4d {8 | 24}
.br

The color depth is not really a choice -- the value appropriate for the
hardware should be selected.

When using 24-bit mode, the colors can be directly specified via the file
\&.gnuplot_iris4d that is searched in the current directory and then in the
home directory specified by the HOME environment variable.  This file holds
RGB values for the background, border, labels and nine plotting colors, in
that order.  For example, here is a file containing the default colors:

.br
      85   85   85     Background   (dark gray)
.br
.br
      0    0    0      Boundary     (black)
.br
.br
      170  0    170    Labeling     (magenta)
.br
.br
      85   255  255    Plot Color 1 (light cyan)
.br
.br
      170  0    0      Plot Color 2 (red)
.br
.br
      0    170  0      Plot Color 3 (green)
.br
.br
      255  85   255    Plot Color 4 (light magenta)
.br
.br
      255  255  85     Plot Color 5 (yellow)
.br
.br
      255  85   85     Plot Color 6 (light red)
.br
.br
      85   255  85     Plot Color 7 (light green)
.br
.br
      0    170  170    Plot Color 8 (cyan)
.br
.br
      170  170  0      Plot Color 9 (brown)
.br

This file must have exactly 12 lines of RGB triples.  No empty lines are
allowed, and anything after the third number on a line is ignored.
.sp 2
.NH 3
Jpeg
.sp 1
.LP
.XS
Jpeg
.XE

Syntax:
.br
      set terminal jpeg 
.br
.br
                       {{no}interlace}
.br
.br
                       {tiny | small | medium | large | giant}
.br
.br
                       {font <face> {<pointsize>}}
.br
.br
                       {size <x>,<y>} {{no}crop}
.br
.br
                       {{no}enhanced}
.br
.br
                       {<color0> <color1> <color2> ...}
.br

JPEG images are created using libgd, with optional support for TrueType
fonts via libfreetype.

The \fBinterlace\fR option creates a progressive JPEG image.
Default is \fBnointerlace\fR.

Five basic fonts are supported directly by the gd library. These are
\fBtiny\fR (5x8 pixels), \fBsmall\fR (6x12 pixels), \fBmedium\fR, (7x13 Bold), 
\fBlarge\fR (8x16) or \fBgiant\fR (9x15 pixels). These fonts cannot be scaled
or rotated (pure horizontal or vertical text only).

If gnuplot was built with support for TrueType (*.ttf) or Adobe Type 1 
(*.pfa) fonts, they may be selected using the \&'font <face> {<pointsize>}\&' 
option. <face> is either the full pathname to the font file, or a font 
face name that is assumed to be the first part of a filename in one of the 
directories listed in the GDFONTPATH environmental variable. That is, 
\&\&'set term jpeg font "Face"\&' will look for a font file named either 
<somedirectory>/Face.ttf or <somedirectory>/Face.pfa. Both TrueType and 
Adobe Type 1 fonts are fully scalable and may be rotated through any angle.
If no font is specified, gnuplot checks the environmental variable 
GNUPLOT_DEFAULT_GDFONT to see if there is a preferred default font. 

\fBenhanced\fR enables the enhanced text processing features, (subscripts, 
superscripts and mixed fonts). See \fBenhanced\fR for more information. 
The full enhanced mode syntax is supported by the PNG/JPEG driver itself,
but some of these features are dependent on which version of the 
underlying libgd library is present, and which fonts are available.

The size <x,y> is given in pixels---it defaults to 640x480.  The number of
pixels can be also modified by scaling with the \fBset size\fR command.
\fBcrop\fR trims blank space from the edges of the completed plot, resulting
in a smaller final image size. Default is \fBnocrop\fR.

Each color must be of the form \&'xrrggbb\&', where x is the literal character
\&\&'x\&' and \&'rrggbb\&' are the red, green and blue components in hex.  For example,
\&\&'x00ff00\&' is green.  The background color is set first, then the border
colors, then the X & Y axis colors, then the plotting colors.  The maximum
number of colors that can be set is 256.

Examples:
.br
      set terminal jpeg medium size 640,480 \\
.br
.br
                       xffffff x000000 x404040 \\
.br
.br
                       xff0000 xffa500 x66cdaa xcdb5cd \\
.br
.br
                       xadd8e6 x0000ff xdda0dd x9500d3    # defaults
.br

which uses white for the non-transparent background, black for borders, gray
for the axes, and red, orange, medium aquamarine, thistle 3, light blue, blue,
plum and dark violet for eight plotting colors.

.br
      set terminal jpeg large font arial size 800,600
.br

which searches for a TrueType font with face name \&'arial\&' in the directory
specified by the environment variable GDFONTPATH and large (14pt) font size.

.sp 2
.NH 3
Kyo
.sp 1
.LP
.XS
Kyo
.XE
The \fBkyo\fR and \fBprescribe\fR terminal drivers support the Kyocera laser printer.
The only difference between the two is that \fBkyo\fR uses "Helvetica" whereas
\fBprescribe\fR uses "Courier".  There are no options.
.sp 2
.NH 3
Latex
.sp 1
.LP
.XS
Latex
.XE
The \fBlatex\fR and \fBemtex\fR drivers allow two options.

Syntax:
.br
      set terminal latex | emtex {courier | roman | default} {<fontsize>}
.br

\fBfontsize\fR may be any size you specify.  The default is for the plot to
inherit its font setting from the embedding document.

Unless your driver is capable of building fonts at any size (e.g. dvips),
stick to the standard 10, 11 and 12 point sizes.

METAFONT users beware: METAFONT does not like odd sizes.

All drivers for LaTeX offer a special way of controlling text positioning:
If any text string begins with \&'{\&', you also need to include a \&'}\&' at the
end of the text, and the whole text will be centered both horizontally and
vertically.  If the text string begins with \&'[\&', you need to follow this with
a position specification (up to two out of t,b,l,r), \&']{\&', the text itself,
and finally \&'}\&'.  The text itself may be anything LaTeX can typeset as an
LR-box.  \&'\\rule{}{}\&'s may help for best positioning.

Points, among other things, are drawn using the LaTeX commands "\\Diamond" and
"\\Box".  These commands no longer belong to the LaTeX2e core; they are included
in the latexsym package, which is part of the base distribution and thus part
of any LaTeX implementation.  Please do not forget to use this package.

Examples:
About label positioning:
Use gnuplot defaults (mostly sensible, but sometimes not really best):
.br
       set title '\\LaTeX\\ -- $ \\gamma $'
.br
Force centering both horizontally and vertically:
.br
       set label '{\\LaTeX\\ -- $ \\gamma $}' at 0,0
.br
Specify own positioning (top here):
.br
       set xlabel '[t]{\\LaTeX\\ -- $ \\gamma $}'
.br
The other label -- account for long ticlabels:
.br
       set ylabel '[r]{\\LaTeX\\ -- $ \\gamma $\\rule{7mm}{0pt}}'
.br
.sp 2
.NH 3
Linux
.sp 1
.LP
.XS
Linux
.XE
The \fBlinux\fR driver has no additional options to specify.  It looks at the
environment variable GSVGAMODE for the default mode; if not set, it uses
1024x768x256 as default mode or, if that is not possible, 640x480x16
(standard VGA).
.sp 2
.NH 3
Macintosh
.sp 1
.LP
.XS
Macintosh
.XE
Several options may be set in the \&'macintosh\&' driver.

Syntax:
.br
     set terminal macintosh {singlewin | multiwin} {vertical | novertical}
.br
.br
                            {size <width>, <height> | default}
.br

\&\&'singlewin\&' limits the output to a single window and is useful for animations.
\&\&'multiwin\&' allows multiple windows.
\&\&'vertical\&' is only valid under the gx option. With this option, rotated text
.br
    be drawn vertically. novertical turns this option off.
.br
.br
 size <width>, <height> overrides the graph size set in the preferences
.br
.br
    dialog until it is cleared with either 'set term mac size default'
.br
.br
    or 'set term mac default'.
.br

.br
 'set term mac size default' sets the window size settings to those set in
.br
.br
    the preferences dialog.
.br

.br
 'set term mac default' sets all options to their default values.
.br
.br
    Default values: nogx, multiwin, novertical.
.br

.br
 If you generate graphs under the multiwin option and then switch to singlewin,
.br
.br
 the next plot command will cause one more window to be created. This new
.br
.br
 window will be reused as long as singlewin is in effect. If you switch back
.br
.br
 to multiwin, generate some graphs, and then switch to singlewin again, the
.br
.br
 orginal 'singlewin' window will be resused if it is still open. Otherwise
.br
.br
 a new 'singlewin' window will be created. The 'singlewin' window is not numbered.
.br
.sp 2
.NH 3
Mf
.sp 1
.LP
.XS
Mf
.XE
The \fBmf\fR terminal driver creates an input file to the METAFONT program.  Thus a
figure may be used in the TeX document in the same way as is a character.

To use a picture in a document, the METAFONT program must be run with the
output file from \fBgnuplot\fR as input.  Thus, the user needs a basic knowledge
of the font creating process and the procedure for including a new font in a
document.  However, if the METAFONT program is set up properly at the local
site, an unexperienced user could perform the operation without much trouble.

The text support is based on a METAFONT character set.  Currently the
Computer Modern Roman font set is input, but the user is in principal free to
choose whatever fonts he or she needs.  The METAFONT source files for the
chosen font must be available.  Each character is stored in a separate
picture variable in METAFONT.  These variables may be manipulated (rotated,
scaled etc.) when characters are needed.  The drawback is the interpretation
time in the METAFONT program.  On some machines (i.e. PC) the limited amount
of memory available may also cause problems if too many pictures are stored.

The \fBmf\fR terminal has no options.
.sp 2
.RS
.IP
.NH 4
METAFONT Instructions
.sp 1
.LP
.XS
METAFONT Instructions
.XE

- Set your terminal to METAFONT:
.br
  set terminal mf
.br
- Select an output-file, e.g.:
.br
  set output "myfigures.mf"
.br
- Create your pictures. Each picture will generate a separate character. Its
default size will be 5*3 inches. You can change the size by saying \fBset size
0.5,0.5\fR or whatever fraction of the default size you want to have.

- Quit \fBgnuplot\fR.

- Generate a TFM and GF file by running METAFONT on the output of \fBgnuplot\fR.
Since the picture is quite large (5*3 in), you will have to use a version of
METAFONT that has a value of at least 150000 for memmax.  On Unix systems
these are conventionally installed under the name bigmf.  For the following
assume that the command virmf stands for a big version of METAFONT.  For
example:

- Invoke METAFONT:
.br
    virmf '&plain'
.br
- Select the output device: At the METAFONT prompt (\&'*\&') type:
.br
    \\mode:=CanonCX;     % or whatever printer you use
.br
- Optionally select a magnification:
.br
    mag:=1;             % or whatever you wish
.br
- Input the \fBgnuplot\fR-file:
.br
    input myfigures.mf
.br
On a typical Unix machine there will usually be a script called "mf" that
executes virmf \&'&plain\&', so you probably can substitute mf for virmf &plain.
This will generate two files: mfput.tfm and mfput.$$$gf (where $$$ indicates
the resolution of your device).  The above can be conveniently achieved by
typing everything on the command line, e.g.:
virmf \&'&plain\&' \&'\\mode:=CanonCX; mag:=1; input myfigures.mf\&'
In this case the output files will be named myfigures.tfm and
myfigures.300gf.

- Generate a PK file from the GF file using gftopk:
.br
  gftopk myfigures.300gf myfigures.300pk
.br
The name of the output file for gftopk depends on the DVI driver you use.
Ask your local TeX administrator about the naming conventions.  Next, either
install the TFM and PK files in the appropriate directories, or set your
environment variables properly.  Usually this involves setting TEXFONTS to
include the current directory and doing the same thing for the environment
variable that your DVI driver uses (no standard name here...).  This step is
necessary so that TeX will find the font metric file and your DVI driver will
find the PK file.

- To include your pictures in your document you have to tell TeX the font:
.br
  \\font\\gnufigs=myfigures
.br
Each picture you made is stored in a single character.  The first picture is
character 0, the second is character 1, and so on...  After doing the above
step, you can use the pictures just like any other characters.  Therefore, to
place pictures 1 and 2 centered in your document, all you have to do is:
.br
  \\centerline{\\gnufigs\\char0}
.br
.br
  \\centerline{\\gnufigs\\char1}
.br
in plain TeX.  For LaTeX you can, of course, use the picture environment and
place the picture wherever you wish by using the \\makebox and \\put macros.

This conversion saves you a lot of time once you have generated the font;
TeX handles the pictures as characters and uses minimal time to place them,
and the documents you make change more often than the pictures do.  It also
saves a lot of TeX memory.  One last advantage of using the METAFONT driver
is that the DVI file really remains device independent, because no \\special
commands are used as in the eepic and tpic drivers.
.sp 2
.RE
.br
.NH 3
Mgr
.sp 1
.LP
.XS
Mgr
.XE
The \fBmgr\fR terminal driver supports the Mgr Window system.  It has no options.
.sp 2
.NH 3
Mif
.sp 1
.LP
.XS
Mif
.XE
The \fBmif\fR terminal driver produces Frame Maker MIF format version 3.00.  It
plots in MIF Frames with the size 15*10 cm, and plot primitives with the same
pen will be grouped in the same MIF group.  Plot primitives in a \fBgnuplot\fR
page will be plotted in a MIF Frame, and several MIF Frames are collected in
one large MIF Frame.  The MIF font used for text is "Times".

Several options may be set in the MIF 3.00 driver.

Syntax:
.br
      set terminal mif {color | colour | monochrome} {polyline | vectors}
.br
.br
                       {help | ?}
.br

\fBcolour\fR plots lines with line types >= 0 in colour (MIF sep. 2--7) and
\fBmonochrome\fR plots all line types in black (MIF sep. 0).
\fBpolyline\fR plots curves as continuous curves and \fBvectors\fR plots curves as
collections of vectors.
\fBhelp\fR and \fB?\fR print online help on standard error output---both print a
short description of the usage; \fBhelp\fR also lists the options.

Examples:
.br
      set term mif colour polylines    # defaults
.br
.br
      set term mif                     # defaults
.br
.br
      set term mif vectors
.br
.br
      set term mif help
.br
.sp 2
.NH 3
Mp
.sp 1
.LP
.XS
Mp
.XE

The \fBmp\fR driver produces output intended to be input to the Metapost program.
Running Metapost on the file creates EPS files containing the plots. By
default, Metapost passes all text through TeX.  This has the advantage of
allowing essentially  any TeX symbols in titles and labels.

Syntax:
.br
   set term mp {color | colour | monochrome}
.br
.br
               {solid | dashed}
.br
.br
               {notex | tex | latex}
.br
.br
               {magnification <magsize>}
.br
.br
               {psnfss | psnfss-version7 | nopsnfss}
.br
.br
               {prologues <value>}
.br
.br
               {a4paper}
.br
.br
               {amstex}
.br
.br
               {"<fontname>"} {<fontsize>}
.br

The option \fBcolor\fR causes lines to be drawn in color (on a printer or display
that supports it), \fBmonochrome\fR (or nothing) selects black lines.  The option
\fBsolid\fR draws solid lines, while \fBdashed\fR (or nothing) selects lines with
different patterns of dashes.  If \fBsolid\fR is selected but \fBcolor\fR is not,
nearly all lines will be identical.  This may occasionally be useful, so it is
allowed.

The option \fBnotex\fR bypasses TeX entirely, therefore no TeX code can be used in
labels under this option.  This is intended for use on old plot files or files
that make frequent use of common characters like \fB$\fR and \fB%\fR that require
special handling in TeX.

The option \fBtex\fR sets the terminal to output its text for TeX to process.

The option \fBlatex\fR sets the terminal to output its text for processing by
LaTeX. This allows things like \\frac for fractions which LaTeX knows about
but TeX does not.  Note that you must set the environment variable TEX to the
name of your LaTeX executable (normally latex) if you use this option or use
\fBmpost --tex=<name of LaTeX executable> ...\fR. Otherwise metapost will try and
use TeX to process the text and it won\&'t work.

Changing font sizes in TeX has no effect on the size of mathematics, and there
is no foolproof way to make such a change, except by globally  setting a
magnification factor. This is the purpose of the \fBmagnification\fR option. It
must be followed by a scaling factor. All text (NOT the graphs) will be scaled
by this factor. Use this if you have math that you want at some size other
than the default 10pt. Unfortunately, all math will be the same size, but see
the discussion below on editing the MP output. \fBmag\fR will also work under
\fBnotex\fR but there seems no point in using it as the font size option (below)
works as well.

The option \fBpsnfss\fR uses postscript fonts in combination with LaTeX. Since
this option only makes sense, if LaTeX is being used, the \fBlatex\fR option is selected
automatically. This option includes the following packages for LaTeX:
inputenc(latin1), fontenc(T1), mathptmx, helvet(scaled=09.2), courier, latexsym 
and textcomp.

The option \fBpsnfss-version7\fR uses also postscript fonts in LaTeX (option \fBlatex\fR
is also automatically selected), but uses the following packages with LaTeX:
inputenc(latin1), fontenc(T1), times, mathptmx, helvet and courier.

The option \fBnopsnfss\fR is the default and uses the standard font (cmr10 if not
otherwise specified).

The option \fBprologues\fR takes a value as an additional argument and adds the line
\fBprologues:=<value>\fR to the metapost file. If a value of \fB2\fR is specified metapost
uses postscript fonts to generate the eps-file, so that the result can be viewed
using e.g. ghostscript. Normally the output of metapost uses TeX fonts and therefore
has to be included in a (La)TeX file before you can look at it.

The option \fBnoprologues\fR is the default. No additional line specifying the prologue
will be added.

The option \fBa4paper\fR adds a \fB[a4paper]\fR to the documentclass. Normally letter paper
is used (default). Since this option is only used in case of LaTeX, the \fBlatex\fR option
is selected automatically.

The option \fBamstex\fR automatically selects the \fBlatex\fR option and includes the following
LaTeX packages: amsfonts, amsmath(intlimits). By default these packages are not
included.

A name in quotes selects the font that will be used when no explicit font is
given in a \fBset label\fR or \fBset title\fR.  A name recognized by TeX (a TFM file
exists) must be used.  The default is "cmr10" unless \fBnotex\fR is selected,
then it is "pcrr8r" (Courier).  Even under \fBnotex\fR, a TFM file is needed by
Metapost. The file \fBpcrr8r.tfm\fR is the name given to Courier in LaTeX\&'s psnfss
package.  If you change the font from the \fBnotex\fR default, choose a font that
matches the ASCII encoding at least in the range 32-126.  \fBcmtt10\fR almost
works, but it has a nonblank character in position 32 (space).

The size can be any number between 5.0 and 99.99.  If it is omitted, 10.0 is
used.  It is advisable to use \fBmagstep\fR sizes: 10 times an integer or
half-integer power of 1.2, rounded to two decimals, because those are the most
available sizes of fonts in TeX systems.

All the options are optional.  If font information is given, it must be at the
end, with size (if present) last.  The size is needed to select a size for the
font, even if the font name includes size information.  For example,
\fBset term mp "cmtt12"\fR selects cmtt12 shrunk to the default size 10.  This
is probably not what you want or you would have used cmtt10.

The following common ascii characters need special treatment in TeX:
.br
   $, &, #, %, _;  |, <, >;  ^, ~,  \\, {, and }
.br
The five characters $, #, &, _, and % can simply be escaped, e.g., \fB\\$\fR.
The three characters <, >, and | can be wrapped in math mode, e.g., \fB$<$\fR.
The remainder require some TeX work-arounds.  Any good book on TeX will give
some guidance.

If you type your labels inside double quotes, backslashes in TeX code need to
be escaped (doubled). Using single quotes will avoid having to do this, but
then you cannot use \fB\\n\fR for line breaks.  As of this writing, version 3.7 of
gnuplot processes titles given in a \fBplot\fR command differently than in other
places, and backslashes in TeX commands need to be doubled regardless of the
style of quotes.

Metapost pictures are typically used in TeX documents.  Metapost deals with
fonts pretty much the same way TeX does, which is different from most other
document preparation programs.  If the picture is included in a LaTeX document
using the graphics package, or in a plainTeX document via epsf.tex, and then
converted to PostScript with dvips (or other dvi-to-ps converter), the text in
the plot will usually be handled correctly.  However, the text may not appear
if you send the Metapost output as-is to a PostScript interpreter.

.sp 2
.RS
.IP
.NH 4
Metapost Instructions
.sp 1
.LP
.XS
Metapost Instructions
.XE

- Set your terminal to Metapost, e.g.:
.br
   set terminal mp mono "cmtt12" 12
.br

- Select an output-file, e.g.:
.br
   set output "figure.mp"
.br

- Create your pictures.  Each plot (or multiplot group) will generate a
separate Metapost beginfig...endfig group.  Its default size will be 5 by 3
inches.  You can change the size by saying \fBset size 0.5,0.5\fR or whatever
fraction of the default size you want to have.

- Quit gnuplot.

- Generate EPS files by running Metapost on the output of gnuplot:
.br
   mpost figure.mp  OR  mp figure.mp
.br
The name of the Metapost program depends on the system, typically \fBmpost\fR for
a Unix machine and \fBmp\fR on many others.  Metapost will generate one EPS file
for each picture.

- To include your pictures in your document you can use the graphics package
in LaTeX or epsf.tex in plainTeX:
.br
   \\usepackage{graphics} % LaTeX
.br
.br
   \\input epsf.tex       % plainTeX
.br
If you use a driver other than dvips for converting TeX DVI output to PS, you
may need to add the following line in your LaTeX document:
.br
   \\DeclareGraphicsRule{*}{eps}{*}{}
.br
Each picture you made is in a separate file.  The first picture is in, e.g.,
figure.0, the second in figure.1, and so on....  To place the third picture in
your document, for example, all you have to do is:
.br
   \\includegraphics{figure.2} % LaTeX
.br
.br
   \\epsfbox{figure.2}         % plainTeX
.br

The advantage, if any, of the mp terminal over a postscript terminal is
editable output.  Considerable effort went into making this output as clean as
possible.  For those knowledgeable in the Metapost language, the default line
types and colors can be changed by editing the arrays \fBlt[]\fR and \fBcol[]\fR.
The choice of solid vs dashed lines, and color vs black lines can be change by
changing the values assigned to the booleans \fBdashedlines\fR and \fBcolorlines\fR.
If the default \fBtex\fR option was in effect, global changes to the text of
labels can be achieved by editing the \fBvebatimtex...etex\fR block.  In
particular, a LaTeX preamble can be added if desired, and then LaTeX\&'s
built-in size changing commands can be used for maximum flexibility. Be sure
to set the appropriate MP configuration variable to force Metapost to run
LaTeX instead of plainTeX.
.sp 2
.RE
.br
.NH 3
Mtos
.sp 1
.LP
.XS
Mtos
.XE
The \fBmtos\fR terminal has no options.  It sends data via a pipe to an external
program called GPCLIENT.  It runs under MULTITOS, Magic 3.x, MagicMAC. and
MiNT.  If you cannot find GPCLIENT, than mail to dirk@lstm.uni-erlangen.de.
.sp 2
.NH 3
Next
.sp 1
.LP
.XS
Next
.XE
Several options may be set in the next driver.

Syntax:
.br
      set terminal next {<mode>} {<type> } {<color>} {<dashed>}
.br
.br
                 {"<fontname>"} {<fontsize>} title {"<newtitle>"}
.br

where <mode> is  \fBdefault\fR, which sets all options to their defaults;
<type> is either \fBnew\fR or \fBold\fR, where \fBold\fR invokes the old single window;
<color> is either \fBcolor\fR or \fBmonochrome\fR;
<dashed> is either \fBsolid\fR or \fBdashed\fR;
"<fontname>" is the name of a valid PostScript font;
<fontsize> is the size of the font in PostScript points; and
<title> is the title for the GnuTerm window.
Defaults are  \fBnew\fR, \fBmonochrome\fR, \fBdashed\fR, "Helvetica", 14pt.

Examples:
.br
      set term next default
.br
.br
      set term next 22
.br
.br
      set term next color "Times-Roman" 14
.br
.br
      set term next color "Helvetica" 12 title "MyPlot"
.br
.br
      set term next old
.br

Pointsizes may be changed with \fBset linestyle\fR.
.sp 2
.NH 3
Openstep (next)
.sp 1
.LP
.XS
Openstep (next)
.XE
Several options may be set in the openstep (next) driver.

Syntax:
.br
      set terminal openstep {<mode>} {<type> } {<color>} {<dashed>}
.br
.br
                 {"<fontname>"} {<fontsize>} title {"<newtitle>"}
.br

where <mode> is  \fBdefault\fR, which sets all options to their defaults;
<type> is either \fBnew\fR or \fBold\fR, where \fBold\fR invokes the old single window;
<color> is either \fBcolor\fR or \fBmonochrome\fR;
<dashed> is either \fBsolid\fR or \fBdashed\fR;
"<fontname>" is the name of a valid PostScript font;
<fontsize> is the size of the font in PostScript points; and
<title> is the title for the GnuTerm window.
Defaults are  \fBnew\fR, \fBmonochrome\fR, \fBdashed\fR, "Helvetica", 14pt.

Examples:
.br
      set term openstep default
.br
.br
      set term openstep 22
.br
.br
      set term openstep color "Times-Roman" 14
.br
.br
      set term openstep color "Helvetica" 12 title "MyPlot"
.br
.br
      set term openstep old
.br

Pointsizes may be changed with \fBset linestyle\fR.
.sp 2
.NH 3
Pbm
.sp 1
.LP
.XS
Pbm
.XE
Several options may be set in the \fBpbm\fR terminal---the driver for PBMplus.

Syntax:
.br
      set terminal pbm {<fontsize>} {<mode>}
.br

where <fontsize> is \fBsmall\fR, \fBmedium\fR, or \fBlarge\fR and <mode> is \fBmonochrome\fR,
\fBgray\fR or \fBcolor\fR.  The default plot size is 640 pixels wide and 480 pixels
high; this may be changed by \fBset size\fR.

The output of the \fBpbm\fR driver depends upon <mode>: \fBmonochrome\fR produces a
portable bitmap (one bit per pixel), \fBgray\fR a portable graymap (three bits
per pixel) and \fBcolor\fR a portable pixmap (color, four bits per pixel).

The output of this driver can be used with Jef Poskanzer\&'s excellent PBMPLUS
package, which provides programs to convert the above PBMPLUS formats to GIF,
TIFF, MacPaint, Macintosh PICT, PCX, X11 bitmap and many others.  PBMPLUS may
be obtained from ftp.x.org.  The relevant files have names that begin with
"netpbm-1mar1994.p1"; they reside in /contrib/utilities.  The package can
probably also be obtained from one of the many sites that mirrors ftp.x.org.

Examples:
.br
      set terminal pbm small monochrome             # defaults
.br
.br
      set size 2,2; set terminal pbm color medium
.br
.sp 2
.NH 3
Pdf
.sp 1
.LP
.XS
Pdf
.XE
This terminal produces files in the Adobe Portable Document Format
(PDF), useable for printing or display with tools like Acrobat Reader

Syntax:
.br
      set terminal pdf {fname "<font>"} {fsize <fontsize>}
.br
.br
                       {{no}enhanced}
.br

where <font> is the name of the default font to use (default Helvetica)
and <fontsize> is the font size (in points, default 12).

The \fBenhanced\fR option enables enhanced text processing features
(subscripts, superscripts and mixed fonts). See \fBenhanced\fR for more
information. Only the core PDF fonts are supported.
.sp 2
.NH 3
Pm
.sp 1
.LP
.XS
Pm
.XE
The \fBpm\fR terminal driver provides an OS/2 Presentation Manager window in
which the graph is plotted.  The window is opened when the first graph is
plotted.  This window has its own online help as well as facilities for
printing, copying to the clipboard and some line type and color adjustments.
The \fBmultiplot\fR option is supported.

Syntax:
.br
      set terminal pm {server {n}} {persist} {widelines} {enhanced} {"title"}
.br

If \fBpersist\fR is specified, each graph appears in its own window and all
windows remain open after \fBgnuplot\fR exits.  If \fBserver\fR is specified, all
graphs appear in the same window, which remains open when \fBgnuplot\fR exits.
This option takes an optional numerical argument which specifies an instance
of the server process.  Thus multiple server windows can be in use at the
same time.

If \fBwidelines\fR is specified, all plots will be drawn with wide lines.  If
\fBenhanced\fR is specified, sub- and superscripts and multiple fonts are
enabled using the same syntax as the \fBenhanced postscript\fR option (see
\fBset terminal postscript enhanced\fR for details).  Font names for the basic
PostScript fonts may be abbreviated to single letters.

If \fBtitle\fR is specified, it will be used as the title of the plot window.
It will also be used as the name of the server instance, and will override
the optional numerical argument.

Linewidths may be changed with \fBset linestyle\fR.
.sp 2
.NH 3
Png (NEW)
.sp 1
.LP
.XS
Png (NEW)
.XE
Syntax:
.br
      set terminal png 
.br
.br
             {{no}transparent} {{no}interlace}
.br
.br
             {tiny | small | medium | large | giant}
.br
.br
             {font <face> {<pointsize>}}
.br
.br
             {size <x>,<y>} {{no}crop}
.br
.br
             {{no}enhanced}
.br
.br
             {<color0> <color1> <color2> ...}
.br

PNG images are created using libgd, with optional support for TrueType
and Adobe Type 1 fonts via libfreetype. Version 1.8 or greater of libgd
is required.

\fBtransparent\fR instructs the driver to generate transparent PNGs.  The first
color will be the transparent one. Default is \fBnotransparent\fR.

\fBinterlace\fR instructs the driver to generate interlaced PNGs.
Default is \fBnointerlace\fR.

Five basic fonts are supported directly by the gd library. These are
\fBtiny\fR (5x8 pixels), \fBsmall\fR (6x12 pixels), \fBmedium\fR, (7x13 Bold), 
\fBlarge\fR (8x16) or \fBgiant\fR (9x15 pixels). These fonts cannot be scaled
or rotated (pure horizontal or vertical text only).

If gnuplot was built with support for TrueType (*.ttf) or Adobe Type 1 
(*.pfa) fonts, they may be selected using the \&'font <face> {<pointsize>}\&' 
option. <face> is either the full pathname to the font file, or a font 
face name that is assumed to be the first part of a filename in one of the 
directories listed in the GDFONTPATH environmental variable. That is, 
\&\&'set term png font "Face"\&' will look for a font file named either 
<somedirectory>/Face.ttf or <somedirectory>/Face.pfa. Both TrueType and 
Adobe Type 1 fonts are fully scalable and may be rotated through any angle.
If no font is specified, gnuplot checks the environmental variable 
GNUPLOT_DEFAULT_GDFONT to see if there is a preferred default font. 

\fBenhanced\fR enables the enhanced text processing features, (subscripts, 
superscripts and mixed fonts). See \fBenhanced\fR for more information. 
The full enhanced mode syntax is supported by the PNG/JPEG driver itself,
but some of these features are dependent on which version of the 
underlying libgd library is present, and which fonts are available.

The size <x,y> is given in pixels---it defaults to 640x480.  The number of
pixels can be also modified by scaling with the \fBset size\fR command.
\fBcrop\fR trims blank space from the edges of the completed plot, resulting
in a smaller final image size. Default is \fBnocrop\fR.

Each color must be of the form \&'xrrggbb\&', where x is the literal character
\&\&'x\&' and \&'rrggbb\&' are the red, green and blue components in hex.  For example,
\&\&'x00ff00\&' is green.  The background color is set first, then the border
colors, then the X & Y axis colors, then the plotting colors.  The maximum
number of colors that can be set is 256.

Examples:
.br
      set terminal png medium size 640,480 \\
.br
.br
                       xffffff x000000 x404040 \\
.br
.br
                       xff0000 xffa500 x66cdaa xcdb5cd \\
.br
.br
                       xadd8e6 x0000ff xdda0dd x9500d3    # defaults
.br

which uses white for the non-transparent background, black for borders, gray
for the axes, and red, orange, medium aquamarine, thistle 3, light blue, blue,
plum and dark violet for eight plotting colors.

.br
      set terminal png font arial 14 size 800,600
.br

which searches for a TrueType font with face name \&'arial\&' in the directory
specified by the environment variable GDFONTPATH and 14pt font size.

.br
      set terminal png transparent xffffff \\
.br
.br
                       x000000 x202020 x404040 x606060 \\
.br
.br
                       x808080 xA0A0A0 xC0C0C0 xE0E0E0
.br

which uses white for the transparent background, black for borders, dark
gray for axes, and a gray-scale for the six plotting colors.

.sp 2
.NH 3
Png (OLD)
.sp 1
.LP
.XS
Png (OLD)
.XE
The \fBpng\fR terminal driver supports Portable Network Graphics.  This old 
version of the png driver requires the third-party libraries "libpng" 
and "zlib".  There is a newer png driver, with many more features, that
is preferred if you have libgd version 1.8 or newer.

Syntax:
.br
      set terminal png {small | medium | large}
.br
.br
                       {transparent|notransparent}
.br
.br
                       {picsize <xsize> <ysize>}
.br
.br
                       {monochrome | gray | color}
.br
.br
                       {<color0> <color1> <color2> ...}
.br

\fBtransparent\fR instructs the driver to generate transparent PNGs.  The first
color will be the transparent one.

The defaults are \fBsmall\fR (fontsize) and \fBcolor\fR.  Default size of the output
is 640*480 pixel. This can be changed by the option \fBpicsize\fR.

Each <color> must be of the form \&'xrrggbb\&', where x is the literal character
\&\&'x\&' and \&'rrggbb\&' are the red, green and blue components in hex.  For example,
\&\&'x00ff00\&' is green.  The background color is set first, then the border
color, then the X & Y axis color, then the plotting colors.  The maximum
number of colors that can be set is currently 99.
.sp 2
.NH 3
Postscript
.sp 1
.LP
.XS
Postscript
.XE
Several options may be set in the \fBpostscript\fR driver.

Syntax:
.br
      set terminal postscript {<mode>} {enhanced | noenhanced}
.br
.br
                              {color | colour | monochrome}
.br
.br
                              {blacktext | colortext | colourtext}
.br
.br
                              {solid | dashed} {dashlength | dl <DL>}
.br
.br
                              {linewidth | lw <LW>}
.br
.br
                              {<duplexing>}
.br
.br
                              {rounded | butt}
.br
.br
                              {fontfile [add | delete] "<filename>"}
.br
.br
                              {palfuncparam <samples>{,<maxdeviation>}}
.br
.br
                              {"<fontname>"} {<fontsize>}
.br

where <mode> is \fBlandscape\fR, \fBportrait\fR, \fBeps\fR or \fBdefault\fR;
\fBenhanced\fR enables enhanced text mode features (subscripts,
superscripts and mixed fonts). See \fBenhanced\fR for more information.
Option \fBcolor\fR enables color;
\fBblacktext\fR forces all text to be written in black even in color mode;
\fBsolid\fR draws all plots with solid lines, overriding any dashed patterns;
\fBdashlength\fR or \fBdl\fR scales the length of the dashed-line segments by <DL>
(which is a floating-point number greater than zero);
\fBlinewidth\fR or \fBlw\fR scales all linewidths by <LW>;
<duplexing> is \fBdefaultplex\fR, \fBsimplex\fR or \fBduplex\fR ("duplexing" in
PostScript is the ability of the printer to print on both sides of the same
page---don\&'t set this if your printer can\&'t do it);
\fBrounded\fR sets line caps and line joins to be rounded; \fBbutt\fR is the
default, butt caps and mitered joins;
\fB"<fontname>"\fR is the name of a valid PostScript font; and \fB<fontsize>\fR is
the size of the font in PostScript points.
In addition to the standard postscript fonts, an oblique version of the
Symbol font, useful for mathematics, is defined. It is called "Symbol-Oblique".

\fBdefault\fR mode sets all options to their defaults: \fBlandscape\fR, \fBmonochrome\fR,
\fBdashed\fR, \fBdl 1.0\fR, \fBlw 1.0\fR, \fBdefaultplex\fR, \fBnoenhanced\fR, "Helvetica" and
14pt.  Default size of a PostScript plot is 10 inches wide and 7 inches high.

\fBpalfuncparam\fR is only available if compiled with \fBpm3d\fR support.  It controls
how \fBset palette functions\fR are encoded as gradients in the output.
Analytic color component functions (set via \fBset palette functions\fR) are
encoded as linear interpolated gradients in the postscript output:  The color
component functions are sampled at <samples> points and all points are
removed from this gradient which can be removed without changing the
resulting colors by more than <maxdeviation>.  For almost every useful
palette you may savely leave the defaults of <samples>=2000 and
<maxdeviation>=0.003 untouched.

\fBeps\fR mode generates EPS (Encapsulated PostScript) output, which is just
regular PostScript with some additional lines that allow the file to be
imported into a variety of other applications.  (The added lines are
PostScript comment lines, so the file may still be printed by itself.)  To
get EPS output, use the \fBeps\fR mode and make only one plot per file.  In \fBeps\fR
mode the whole plot, including the fonts, is reduced to half of the default
size.

Fonts listed by \fBfontfile\fR or \fBfontfile add\fR encapsulate the font
definitions of the listed font from a postscript Type 1 or TrueType font
file directly into the gnuplot output postscript file. Thus, the enclosed
font can be used in labels, titles, etc. See the section
\fBpostscript fontfile\fR for more details.
With \fBfontfile delete\fR a fontfile is deleted from the list of embedded
files.

Examples:
.br
      set terminal postscript default       # old postscript
.br
.br
      set terminal postscript enhanced      # old enhpost
.br
.br
      set terminal postscript landscape 22  # old psbig
.br
.br
      set terminal postscript eps 14        # old epsf1
.br
.br
      set terminal postscript eps 22        # old epsf2
.br
.br
      set size 0.7,1.4; set term post portrait color "Times-Roman" 14
.br
.br
      set term post "VAGRoundedBT_Regular" 14 fontfile "bvrr8a.pfa"
.br

Linewidths and pointsizes may be changed with \fBset style line\fR.

The \fBpostscript\fR driver supports about 70 distinct pointtypes, selectable
through the \fBpointtype\fR option on \fBplot\fR and \fBset style line\fR.

Several possibly useful files about \fBgnuplot\fR\&'s PostScript are included
in the /docs/psdoc subdirectory of the \fBgnuplot\fR distribution and at the
distribution sites.  These are "ps_symbols.gpi" (a \fBgnuplot\fR command file
that, when executed, creates the file "ps_symbols.ps" which shows all the
symbols available through the \fBpostscript\fR terminal), "ps_guide.ps" (a
PostScript file that contains a summary of the enhanced syntax and a page
showing what the octal codes produce with text and symbol fonts),
"ps_file.doc" (a text file that contains a discussion of the organization
of a PostScript file written by \fBgnuplot\fR), and "ps_fontfile_doc.tex"
(a LaTeX file which contains a short documentation concerning the
encapsulation of LaTeX fonts with a glyph table of the math fonts).

A PostScript file is editable, so once \fBgnuplot\fR has created one, you are
free to modify it to your heart\&'s desire.  See the \fBediting postscript\fR
section for some hints.
.sp 2
.RS
.IP
.NH 4
Enhanced postscript
.sp 1
.LP
.XS
Enhanced postscript
.XE
Several terminal types support an enhanced text mode in which 
additional formatting information is embedded in the text string.


.EQ
delim $$
.EN
.KS
.TS
center box tab (@) ;
c c l .
.TE
.TS
center box tab ($) ;
c c l .
Control$Examples$Explanation
_
^$a^x$superscript
\&_$a\&_x$subscript
 @ $ @x or a\&@^b\&_c$phantom box (occupies no width)
 & $ &{space}$inserts space of specified length
 ~ $ ~a{.8-}$overprints '-' on 'a', raised by .8
   $   $times the current fontsize
.TE
.KE
.EQ
delim off
.EN


Braces can be used to place multiple-character text where a single character
is expected (e.g., 2^{10}).  To change the font and/or size, use the full
form:  {/[fontname][=fontsize | *fontscale] text}.  Thus {/Symbol=20 G} is a
20-point GAMMA and {/*0.75 K} is a K at three-quarters of whatever fontsize
is currently in effect.  (The \&'/\&' character MUST be the first character after
the \&'{\&'.)

If the encoding vector has been changed by \fBset encoding\fR, the default
encoding vector can be used instead by following the slash with a dash.  This
is unnecessary if you use the Symbol font, however---since /Symbol uses its
own encoding vector, \fBgnuplot\fR will not apply any other encoding vector to
it.

The phantom box is useful for a@^b_c to align superscripts and subscripts
but does not work well for overwriting an accent on a letter.  (To do the
latter, it is much better to use \&'set encoding iso_8859_1\&' to change to the
ISO Latin-1 encoding vector, which contains a large variety of letters with
accents or other diacritical marks.)  Since the box is non-spacing, it is
sensible to put the shorter of the subscript or superscript in the box (that
is, after the @).

Space equal in length to a string can be inserted using the \&'&\&' character.
Thus
.br
        'abc&{def}ghi'
.br
would produce
.br
        'abc   ghi'.
.br

The \&'~\&' character causes the next character or bracketed text to be
overprinted by the following character or bracketed text.  The second text
will be horizontally centered on the first.  Thus \&'~a/\&' will result in an \&'a\&'
with a slash through it.  You can also shift the second text vertically by
preceding the second text with a number, which will define the fraction of the
current fontsize by which the text will be raised or lowered.  In this case
the number and text must be enclosed in brackets because more than one
character is necessary.  If the overprinted text begins with a number, put a
space between the vertical offset and the text (\&'~{abc}{.5 000}\&'); otherwise
no space is needed (\&'~{abc}{.5---}\&').  You can change the font for one or
both strings (\&'~a{.5 /*.2 o}\&'---an \&'a\&' with a one-fifth-size \&'o\&' on top---and
the space between the number and the slash is necessary), but you can\&'t
change it after the beginning of the string.  Neither can you use any other
special syntax within either string.  You can, of course, use control
characters by escaping them (see below), such as \&'~a{\\^}\&'

You can access special symbols numerically by specifying \\character-code (in
octal), e.g., {/Symbol \\245} is the symbol for infinity.

You can escape control characters using \\, e.g.,  \\\\, \\{, and so on.

But be aware that strings in double-quotes are parsed differently than those
enclosed in single-quotes.  The major difference is that backslashes may need
to be doubled when in double-quoted strings.

Examples (these are hard to describe in words---try them!):
.br
      set xlabel 'Time (10^6 {/Symbol m}s)'
.br
.br
      set title '{/Symbol=18 \\362@_{/=9.6 0}^{/=12 x}} \\
.br
.br
                 {/Helvetica e^{-{/Symbol m}^2/2} d}{/Symbol m}'
.br

The file "ps_guide.ps" in the /docs/psdoc subdirectory of the \fBgnuplot\fR source
distribution contains more examples of the enhanced syntax.
.sp 2
.NH 4
Editing postscript
.sp 1
.LP
.XS
Editing postscript
.XE
The PostScript language is a very complex language---far too complex to
describe in any detail in this document.  Nevertheless there are some things
in a PostScript file written by \fBgnuplot\fR that can be changed without risk of
introducing fatal errors into the file.

For example, the PostScript statement "/Color true def" (written into the
file in response to the command \fBset terminal postscript color\fR), may be
altered in an obvious way to generate a black-and-white version of a plot.
Similarly line colors, text colors, line weights and symbol sizes can also be
altered in straight-forward ways.  Text (titles and labels) can be edited to
correct misspellings or to change fonts.  Anything can be repositioned, and
of course anything can be added or deleted, but modifications such as these
may require deeper knowledge of the PostScript language.

The organization of a PostScript file written by \fBgnuplot\fR is discussed in
the text file "ps_file.doc" in the docs/ps subdirectory of the gnuplot
source distribution.
.sp 2
.NH 4
Postscript fontfile
.sp 1
.LP
.XS
Postscript fontfile
.XE
The \fBfontfile\fR or \fBfontfile add\fR option takes one file name as argument
and encapsulates this file into the postscript output in order to make
this font available for text elements (labels, tic marks, titles, etc.).
The \fBfontfile delete\fR option also takes one file name as argument. It
deletes this file name from the list of encapsulated files.

The postscript terminal understands some
font file formats: Type 1 fonts in ASCII file format (extension ".pfa"),
Type 1 fonts in binary file format (extension ".pfb"), and TrueType
fonts (extension ".ttf"). Pfa files are understood directly, pfb and ttf
files are converted on the fly if appropriate conversion tools are
installed (see below). You have to specify the full filename with the
extension. Each \fBfontfile\fR option takes exact one font file name. This
option can be used multiple times in order to include more than one font
file.

The font file is searched in the working directory and in all directories
listed in the fontpath which is determined by \fBset fontpath\fR.
In addition, the fontpath can be set using the environment variable
GNUPLOT_FONTPATH. If this is not set a system dependent default search
list is used. See \fBset fontpath\fR for more details.

For using the encapsulated font file you have to specify the font name
(which normally is not the same as the file name). When embedding a
font file by using the \fBfontfile\fR option in interactive mode, the 
font name is printed on the screen. E.g.
.br
   Font file 'p052004l.pfb' contains the font 'URWPalladioL-Bold'. Location:
.br
.br
   /usr/lib/X11/fonts/URW/p052004l.pfb
.br

When using pfa or pfb fonts, you can also find it out by looking into the
font file. There is a line similar to "/FontName /URWPalladioL-Bold def".
The middle string without the slash is the fontname, here
"URWPalladioL-Bold".
For TrueType fonts, this is not so easy since the font name is stored in a
binary format. In addition, they often have spaces in the font names which
is not supported by Type 1 fonts (in which a TrueType is converted on the
fly). The font names are changed in order to eliminate the spaces in the
fontnames. The easiest way to find out which font name is generated for
use with gnuplot, start gnuplot in interactive mode and type in
"set terminal postscript fontfile \&'<filename.ttf>\&'".

For converting font files to pfa format the conversion tool has to read
the font from a file and write it to standard output.
For pfb files "pfbtops" is a tool which can do this. If this program
is installed on your system the on the fly conversion should work.
Just try to encapsulate a pfb file. If the compiled in program call does
not work correctly you can specify how this program is called by
defining the environment variable GNUPLOT_PFBTOPFA e.g. to
"pfbtops %s". The \fB%s\fR will be repeated by the font file name and thus
has to exist in the string.
If you don\&'t want to do the conversion on the fly but get a pfa file of
the font you can use the tool "pfb2pfa" which is written in simple c
and should compile with any c compiler.
It is available from many ftp servers, e.g.
.br
          ftp://ftp.dante.de/tex-archive/fonts/utilities/ps2mf/
.br
In fact, "pfbtopfa" and "pfb2ps" do the same job. "pfbtopfa" puts
the resulting pfa code into a file, whereas "pfbtops" writes it to
standard output.

TrueType fonts are converted into Type 1 pfa format, e.g.
by using the tool "ttf2pt1" which is available from
.br
          http://ttf2pt1.sourceforge.net/
.br
If the builtin conversion does not
work, the conversion command can be changed by the environment variable
GNUPLOT_TTFTOPFA. For usage with ttf2pt1 it may be set to
"ttf2pt1 -a -e -W 0 %s - ". Here again, \fB%s\fR stands for the
file name.

For special purposes you also can use a pipe (if available for your
operating system). Therefore you start the file name definition with 
the character "<" and append a program call. This program has 
to write pfa data to standard output. Thus, a pfa file may be accessed
by \fBset fontfile "< cat garamond.pfa"\fR.

For example, including Type 1 font files can be used for including the
postscript output in LaTeX documents. The "european computer modern"
font (which is a variant of the "computer modern" font) is available
in pfb format from any CTAN server, e.g.
.br
          ftp://ftp.dante.de/tex-archive/fonts/ps-type1/cm-super/
.br
For example, the file "sfrm1000.pfb" contains the normal upright fonts
with serifs in the design size 10pt (font name "SFRM1000").
The computer modern fonts, which are still necessary for mathematics,
are available from
.br
          ftp://ftp.dante.de/tex-archive/fonts/cm/ps-type1/bluesky
.br
With these you can use any character available in TeX. However, the
computer modern fonts have a strange encoding. (This is why you should not
use cmr10.pfb for text, but sfrm1000.pfb instead.)
The usage of TeX fonts is shown in one of the demos.
The file "ps_fontfile_doc.tex" in the /docs/psdoc subdirectory of the
\fBgnuplot\fR source distribution contains a table with glyphs of the TeX
mathfonts.

If the font "CMEX10" is embedded (file "cmex10.pfb") gnuplot defines
the additional font "CMEX10-Baseline". It is shifted vertically in order
to fit better to the other glyphs (CMEX10 has its baseline at the top of
the symbols).
.sp 2
.RE
.br
.NH 3
Pslatex and pstex
.sp 1
.LP
.XS
Pslatex and pstex
.XE
The \fBpslatex\fR and \fBpstex\fR drivers generate output for further processing by
LaTeX and TeX, respectively.  Figures generated by \fBpstex\fR can be included
in any plain-based format (including LaTeX).

Syntax:
.br
      set terminal [pslatex | pstex] {<color>} {<dashed>} {<rotate>}
.br
.br
                                     {auxfile} {<font_size>}
.br

<color> is either \fBcolor\fR or \fBmonochrome\fR.  <dashed> is either \fBdashed\fR
or \fBsolid\fR.  <rotate> is either \fBrotate\fR or \fBnorotate\fR and determines
if the y-axis label is rotated.  <font_size> is the size (in pts) of the
desired font.

If \fBauxfile\fR is specified, it directs the driver to put the PostScript
commands into an auxiliary file instead of directly into the LaTeX file.
This is useful if your pictures are large enough that dvips cannot handle
them.  The name of the auxiliary PostScript file is derived from the name of
the TeX file given on the \fBset output\fR command; it is determined by replacing
the trailing \fB.tex\fR (actually just the final extent in the file name) with
\fB.ps\fR in the output file name, or, if the TeX file has no extension, \fB.ps\fR
is appended.  Remember to close the \fBoutput file\fR before leaving \fBgnuplot\fR.
The \fB.ps\fR is included into the \fB.tex\fR file by a \\special{psfile=...} command.
If you would rather prefer \\includegraphics{...}, then use the \fBepslatex\fR
terminal.

All drivers for LaTeX offer a special way of controlling text positioning: 
(a) If any text string begins with \&'{\&', you also need to include a \&'}\&' at the
end of the text, and the whole text will be centered both horizontally
and vertically by LaTeX.  (b) If the text string begins with \&'[\&', you need
to continue it with: a position specification (up to two out of t,b,l,r),
\&\&']{\&', the text itself, and finally, \&'}\&'. The text itself may be anything
LaTeX can typeset as an LR-box. \\rule{}{}\&'s may help for best positioning.

Examples:
.br
      set term pslatex monochrome dashed rotate       # set to defaults
.br
To write the PostScript commands into the file "foo.ps":
.br
      set term pslatex auxfile
.br
.br
      set output "foo.tex"; plot ...; set output
.br
About label positioning:
Use gnuplot defaults (mostly sensible, but sometimes not really best):
.br
       set title '\\LaTeX\\ -- $ \\gamma $'
.br
Force centering both horizontally and vertically:
.br
       set label '{\\LaTeX\\ -- $ \\gamma $}' at 0,0
.br
Specify own positioning (top here):
.br
       set xlabel '[t]{\\LaTeX\\ -- $ \\gamma $}'
.br
The other label -- account for long ticlabels:
.br
       set ylabel '[r]{\\LaTeX\\ -- $ \\gamma $\\rule{7mm}{0pt}}'
.br

Linewidths and pointsizes may be changed with \fBset style line\fR.
.sp 2
.NH 3
Pstricks
.sp 1
.LP
.XS
Pstricks
.XE
The \fBpstricks\fR driver is intended for use with the "pstricks.sty" macro
package for LaTeX.  It is an alternative to the \fBeepic\fR and \fBlatex\fR drivers.
You need "pstricks.sty", and, of course, a printer that understands
PostScript, or a converter such as Ghostscript.

PSTricks is available via anonymous ftp from the /pub directory at
Princeton.edu.  This driver definitely does not come close to using the full
capability of the PSTricks package.

Syntax:
.br
      set terminal pstricks {hacktext | nohacktext} {unit | nounit}
.br

The first option invokes an ugly hack that gives nicer numbers; the second
has to do with plot scaling.  The defaults are \fBhacktext\fR and \fBnounit\fR.
.sp 2
.NH 3
Qms
.sp 1
.LP
.XS
Qms
.XE
The \fBqms\fR terminal driver supports the QMS/QUIC Laser printer, the Talaris
1200 and others.  It has no options.
.sp 2
.NH 3
Regis
.sp 1
.LP
.XS
Regis
.XE
The \fBregis\fR terminal device generates output in the REGIS graphics language.
It has the option of using 4 (the default) or 16 colors.

Syntax:
.br
      set terminal regis {4 | 16}
.br
.sp 2
.NH 3
Rgip
.sp 1
.LP
.XS
Rgip
.XE
The \fBrgip\fR and \fBuniplex\fR terminal drivers support RGIP metafiles.  They can
combine several graphs on a single page, but only one page is allowed in a
given output file.

Syntax:
.br
      set terminal rgip | uniplex {portrait | landscape}
.br
.br
                                  {[<horiz>,<vert>]} {<fontsize>}
.br

permissible values for the font size are in the range 1--8, with the default
being 1.  The default layout is landscape.  Graphs are placed on the page in
a \fBhoriz\fRx\fBvert\fR grid, which defaults to [1,1].

Example:
.br
      set terminal uniplex portrait [2,3]
.br

puts six graphs on a page in three rows of two in portrait orientation.
.sp 2
.NH 3
Sun
.sp 1
.LP
.XS
Sun
.XE
The \fBsun\fR terminal driver supports the SunView window system.  It has no
options.
.sp 2
.NH 3
Svg
.sp 1
.LP
.XS
Svg
.XE
This terminal produces files in the W3C Scalable Vector Graphics format.

Syntax:
.br
      set terminal svg {size <x> <y> {|fixed|dynamic}}
.br
.br
                       {fname "<font>"} {fsize <fontsize>}
.br
.br
                       {{no}enhanced} {fontfile <filename>}
.br

where <x> and <y> are the size of the SVG plot to generate,
\fBdynamic\fR allows a svg-Viewer to resize plot, whereas the default
setting, \fBfixed\fR, will request an absolute size.

<font> is the name of the default font to use (default Arial) and
<fontsize> is the font size (in points, default 12). Gnuplot does not
currently provide a mechanism for embedding fonts in the output file,
so svg viewing programs may substitute other fonts when the file is
displayed.

The svg terminal supports an enhanced text mode, which allows font
and other formatting commands to be embedded in labels and other text
strings. The enhanced text mode syntax is shared with other gnuplot
terminal types. See \fBenhanced\fR for more details.

SVG allows you to embed fonts directly into an SVG document, or to
provide a hypertext link to the desired font. The \fBfontfile\fR option
specifies a local file which is copied into the <defs> section of the
resulting SVG output file.  This file may either itself contain a font,
or may contain the records necessary to create a hypertext reference to
the desired font. Gnuplot will look for the requested file using the
directory list in the GNUPLOT_FONTPATH environmental variable.
.sp 2
.NH 3
Svga
.sp 1
.LP
.XS
Svga
.XE
The \fBsvga\fR terminal driver supports PCs with SVGA graphics.  It can only be
used if it is compiled with DJGPP.  Its only option is the font.

Syntax:
.br
      set terminal svga {"<fontname>"}
.br
.sp 2
.NH 3
Table
.sp 1
.LP
.XS
Table
.XE
Instead of producing a graph, the \fBtable\fR terminal prints out the points on
which a graph would be based, i.e., the results of processing the \fBplot\fR or
\fBsplot\fR command, in a multicolumn ASCII table of X Y {Z} R values.  The
character R takes on one of three values: "i" if the point is in the active
range, "o" if it is out-of-range, or "u" if it is undefined.  The data
format is determined by the format of the axis labels (see \fBset format\fR),
and the columns are separated by single spaces.

For those times when you want the numbers, you can display them on the
screen or save them to a file.  This can be useful if you want to generate
contours and then save them for further use, perhaps for plotting with
\fBplot\fR;  see \fBset contour\fR for an example.  The same method can be used to
save interpolated data (see \fBset samples\fR and \fBset dgrid3d\fR).
.sp 2
.NH 3
Tek40
.sp 1
.LP
.XS
Tek40
.XE
This family of terminal drivers supports a variety of VT-like terminals.
\fBtek40xx\fR supports Tektronix 4010 and others as well as most TEK emulators;
\fBvttek\fR supports VT-like tek40xx terminal emulators; \fBkc-tek40xx\fR supports
MS-DOS Kermit Tek4010 terminal emulators in color: \fBkm-tek40xx\fR supports them
in monochrome; \fBselanar\fR supports Selanar graphics; and \fBbitgraph\fR supports
BBN Bitgraph terminals.  None have any options.
.sp 2
.NH 3
Tek410x
.sp 1
.LP
.XS
Tek410x
.XE
The \fBtek410x\fR terminal driver supports the 410x and 420x family of Tektronix
terminals.  It has no options.
.sp 2
.NH 3
Texdraw
.sp 1
.LP
.XS
Texdraw
.XE
The \fBtexdraw\fR terminal driver supports the LaTeX texdraw environment.  It is
intended for use with "texdraw.sty" and "texdraw.tex" in the texdraw package.

Points, among other things, are drawn using the LaTeX commands "\\Diamond" and
"\\Box".  These commands no longer belong to the LaTeX2e core; they are included
in the latexsym package, which is part of the base distribution and thus part
of any LaTeX implementation.  Please do not forget to use this package.

It has no options.
.sp 2
.NH 3
Tgif
.sp 1
.LP
.XS
Tgif
.XE
Tgif is an X11-based drawing tool---it has nothing to do with GIF.

The \fBtgif\fR driver supports different pointsizes (with \fBset pointsize\fR),
different label fonts and font sizes (e.g. \fBset label "Hallo" at x,y font
"Helvetica,34"\fR) and multiple graphs on the page.  The proportions of the
axes are not changed.

Syntax:
.br
      set terminal tgif {portrait | landscape} {<[x,y]>}
.br
.br
                        {solid | dashed}
.br
.br
                        {"<fontname>"} {<fontsize>}
.br

where <[x,y]> specifies the number of graphs in the x and y directions on the
page, "<fontname>" is the name of a valid PostScript font, and <fontsize>
specifies the size of the PostScript font.  Defaults are \fBportrait\fR, \fB[1,1]\fR,
\fBdashed\fR, \fB"Helvetica"\fR, and \fB18\fR.

The \fBsolid\fR option is usually prefered if lines are colored, as they often
are in the editor.  Hardcopy will be black-and-white, so \fBdashed\fR should be
chosen for that.

Multiplot is implemented in two different ways.

The first multiplot implementation is the standard gnuplot multiplot feature:

.br
      set terminal tgif
.br
.br
      set output "file.obj"
.br
.br
      set multiplot
.br
.br
      set origin x01,y01
.br
.br
      set size  xs,ys
.br
.br
      plot ...
.br
.br
           ...
.br
.br
      set origin x02,y02
.br
.br
      plot ...
.br
.br
      set nomultiplot
.br

See \fBset multiplot\fR for further information.

The second version is the [x,y] option for the driver itself.  The advantage
of this implementation is that everything is scaled and placed automatically
without the need for setting origins and sizes; the graphs keep their natural
x/y proportions of 3/2 (or whatever is fixed by \fBset size\fR).

If both multiplot methods are selected, the standard method is chosen and a
warning message is given.

Examples of single plots (or standard multiplot):
.br
      set terminal tgif                  # defaults
.br
.br
      set terminal tgif "Times-Roman" 24
.br
.br
      set terminal tgif landscape
.br
.br
      set terminal tgif landscape solid
.br

Examples using the built-in multiplot mechanism:
.br
      set terminal tgif portrait [2,4]  # portrait; 2 plots in the x-
.br
.br
                                        # and 4 in the y-direction
.br
.br
      set terminal tgif [1,2]           # portrait; 1 plot in the x-
.br
.br
                                        # and 2 in the y-direction
.br
.br
      set terminal tgif landscape [3,3] # landscape; 3 plots in both
.br
.br
                                        # directions
.br
.sp 2
.NH 3
Tkcanvas
.sp 1
.LP
.XS
Tkcanvas
.XE
This terminal driver generates Tk canvas widget commands based on Tcl/Tk
(default) or Perl.  To use it, rebuild \fBgnuplot\fR (after uncommenting or
inserting the appropriate line in "term.h"), then

.br
 gnuplot> set term tkcanvas {perltk} {interactive}
.br
.br
 gnuplot> set output 'plot.file'
.br

After invoking "wish", execute the following sequence of Tcl/Tk commands:

.br
 % source plot.file
.br
.br
 % canvas .c
.br
.br
 % pack .c
.br
.br
 % gnuplot .c
.br

Or, for Perl/Tk use a program like this:

.br
 use Tk;
.br
.br
 my $top = MainWindow->new;
.br
.br
 my $c = $top->Canvas->pack;
.br
.br
 my $gnuplot = do "plot.pl";
.br
.br
 $gnuplot->($c);
.br
.br
 MainLoop;
.br

The code generated by \fBgnuplot\fR creates a procedure called "gnuplot"
that takes the name of a canvas as its argument.  When the procedure is
called, it clears the canvas, finds the size of the canvas and draws the plot
in it, scaled to fit.

For 2-dimensional plotting (\fBplot\fR) two additional procedures are defined:
"gnuplot_plotarea" will return a list containing the borders of the plotting
area "xleft, xright, ytop, ybot" in canvas screen coordinates, while the ranges
of the two axes "x1min, x1max, y1min, y1max, x2min, x2max, y2min, y2max" in plot
coordinates can be obtained calling "gnuplot_axisranges".
If the "interactive" option is specified, mouse clicking on a line segment
will print the coordinates of its midpoint to stdout. Advanced actions
can happen instead if the user supplies a procedure named
"user_gnuplot_coordinates", which takes the following arguments:
"win id x1s y1s x2s y2s x1e y1e x2e y2e x1m y1m x2m y2m",
the name of the canvas and the id of the line segment followed by the
coordinates of its start and end point in the two possible axis ranges; the
coordinates of the midpoint are only filled for logarithmic axes.

The current version of \fBtkcanvas\fR supports neither \fBmultiplot\fR nor \fBreplot\fR.
.sp 2
.NH 3
Tpic
.sp 1
.LP
.XS
Tpic
.XE
The \fBtpic\fR terminal driver supports the LaTeX picture environment with tpic
\\specials.  It is an alternative to the \fBlatex\fR and \fBeepic\fR terminal drivers.
Options are the point size, line width, and dot-dash interval.

Syntax:
.br
      set terminal tpic <pointsize> <linewidth> <interval>
.br

where \fBpointsize\fR and \fBlinewidth\fR are integers in milli-inches and \fBinterval\fR
is a float in inches.  If a non-positive value is specified, the default is
chosen: pointsize = 40, linewidth = 6, interval = 0.1.

All drivers for LaTeX offer a special way of controlling text positioning:
If any text string begins with \&'{\&', you also need to include a \&'}\&' at the
end of the text, and the whole text will be centered both horizontally
and vertically by LaTeX. --- If the text string begins with \&'[\&', you need
to continue it with: a position specification (up to two out of t,b,l,r),
\&\&']{\&', the text itself, and finally, \&'}\&'. The text itself may be anything
LaTeX can typeset as an LR-box. \\rule{}{}\&'s may help for best positioning.

Examples:
About label positioning:
Use gnuplot defaults (mostly sensible, but sometimes not really best):
.br
       set title '\\LaTeX\\ -- $ \\gamma $'
.br
Force centering both horizontally and vertically:
.br
       set label '{\\LaTeX\\ -- $ \\gamma $}' at 0,0
.br
Specify own positioning (top here):
.br
       set xlabel '[t]{\\LaTeX\\ -- $ \\gamma $}'
.br
The other label -- account for long ticlabels:
.br
       set ylabel '[r]{\\LaTeX\\ -- $ \\gamma $\\rule{7mm}{0pt}}'
.br
.sp 2
.NH 3
Unixpc
.sp 1
.LP
.XS
Unixpc
.XE
The \fBunixpc\fR terminal driver supports AT&T 3b1 and AT&T 7300 Unix PC.  It has
no options.
.sp 2
.NH 3
Unixplot
.sp 1
.LP
.XS
Unixplot
.XE
The \fBunixplot\fR terminal driver generates output in the Unix "plot" graphics
language.  It has no options.

This terminal cannot be compiled if the GNU version of plot is to be used;
in that case, use the \fBgnugraph\fR terminal instead.
.sp 2
.NH 3
Atari ST (via VDI)
.sp 1
.LP
.XS
Atari ST (via VDI)
.XE
The \fBvdi\fR terminal is the same as the \fBatari\fR terminal, except that it sends
output to the screen via the VDI and not into AES-Windows.

The \fBvdi\fR terminal has options to set the character size and the screen
colors.

Syntax:
.br
      set terminal vdi {<fontsize>} {<col0> <col1> ... <col15>}
.br

The character size must appear if any colors are to be specified.  Each of
the (up to 16) colors is given as a three-digit hex number, where the digits
represent RED, GREEN and BLUE (in that order).  The range of 0--15 is scaled
to whatever color range the screen actually has.  On a normal ST screen, odd
and even intensities are the same.

Examples:
.br
      set terminal vdi 4    # use small (6x6) font
.br
.br
      set terminal vdi 6 0  # set monochrome screen to white on black
.br
.br
      set terminal vdi 13 0 fff f00 f0 f ff f0f
.br
.br
                 # set first seven colors to black, white, red, green,
.br
.br
                 # blue, cyan, and purple and use large font (8x16).
.br

Additionally, if an environment variable GNUCOLORS exists, its contents are
interpreted as an options string, but an explicit terminal option takes
precedence.
.sp 2
.NH 3
Vgagl
.sp 1
.LP
.XS
Vgagl
.XE
The \fBvgagl\fR driver is a fast linux console driver with full mouse and pm3d
support.  It looks at the environment variable SVGALIB_DEFAULT_MODE for the
default mode; if not set, it uses a 256 color mode with the highest
available resolution.

Syntax:
.br
   set terminal vgagl \\
.br
.br
                background [red] [[green] [blue]] \\
.br
.br
                [uniform | interpolate] \\
.br
.br
                [mode]
.br

The color mode can also be given with the mode option. Both Symbolic
names as G1024x768x256 and integers are allowed. The \fBbackground\fR option
takes either one or three integers in the range [0, 255]. If only one
integers is supplied, it is taken as gray value for the background.
If three integers are present, the background gets the corresponding
color.
The (mutually exclusive) options \fBinterpolate\fR and \fBuniform\fR control
if color interpolation is done while drawing triangles (on by default).

To get high resolution modes, you will probably have to modify the
configuration file of libvga, usually /etc/vga/libvga.conf.  Using
the VESA fb is a good choice, but this needs to be compiled in the
kernel.

The vgagl driver uses the first *available* vga mode from the following list:
.br
 - the driver which was supplied when setting vgagl, e.g. `set term vgagl
.br
.br
   G1024x768x256` would first check, if the G1024x768x256 mode is available.
.br
.br
 - the environment variable SVGALIB_DEFAULT_MODE
.br
.br
 - G1024x768x256
.br
.br
 - G800x600x256
.br
.br
 - G640x480x256
.br
.br
 - G320x200x256
.br
.br
 - G1280x1024x256
.br
.br
 - G1152x864x256
.br
.br
 - G1360x768x256
.br
.br
 - G1600x1200x256
.br

.sp 2
.NH 3
VWS
.sp 1
.LP
.XS
VWS
.XE
The \fBVWS\fR terminal driver supports the VAX Windowing System.  It has
no options.  It will sense the display type (monochrome, gray scale,
or color.)  All line styles are plotted as solid lines.
.sp 2
.NH 3
Vx384
.sp 1
.LP
.XS
Vx384
.XE
The \fBvx384\fR terminal driver supports the Vectrix 384 and Tandy color
printers.  It has no options.
.sp 2
.NH 3
Windows
.sp 1
.LP
.XS
Windows
.XE
Three options may be set in the \fBwindows\fR terminal driver.

Syntax:
.br
      set terminal windows {<color>} {"<fontname>"} {<fontsize>}
.br

where \fB<color>\fR is either \fBcolor\fR or \fBmonochrome\fR, \fB"<fontname>"\fR is the
name of a valid Windows font, and \fB<fontsize>\fR is the size of the font in
points.

Other options may be set with the graph-menu, the initialization file,
and \fBset linestyle\fR.  Note that there is one restriction imposed by
the classic Windows GDI interface: modifiable linewidth only works with
solid lines, not with dotted or dashed ones.

The Windows version normally terminates immediately as soon as the end of
any files given as command line arguments is reached (i.e. in non-interactive
mode), unless you specify \fB-\fR as the last command line option.
It will also not show the text-window at all, in this mode, only the plot.
By giving the optional argument \fB-persist\fR (same as for gnuplot under x11;
former Windows-only options \fB/noend\fR or \fB-noend\fR are still accepted as well),
will not close gnuplot. Contrary to gnuplot on other operating systems,
gnuplot\&'s interactive command line is accessible after the -persist option.
.sp 2
.RS
.IP
.NH 4
Graph-menu
.sp 1
.LP
.XS
Graph-menu
.XE
The \fBgnuplot graph\fR window has the following options on a pop-up menu
accessed by pressing the right mouse button or selecting \fBOptions\fR from the
system menu:

\fBBring to Top\fR when checked brings the graph window to the top after every
plot.

\fBColor\fR when checked enables color linestyles.  When unchecked it forces
monochrome linestyles.

\fBCopy to Clipboard\fR copies a bitmap and a Metafile picture.

\fBBackground...\fR sets the window background color.

\fBChoose Font...\fR selects the font used in the graphics window.

\fBLine Styles...\fR allows customization of the line colors and styles.

\fBPrint...\fR prints the graphics windows using a Windows printer driver and
allows selection of the printer and scaling of the output.  The output
produced by \fBPrint\fR is not as good as that from \fBgnuplot\fR\&'s own printer
drivers.

\fBUpdate wgnuplot.ini\fR saves the current window locations, window sizes, text
window font, text window font size, graph window font, graph window font
size, background color and linestyles to the initialization file
\fBWGNUPLOT.INI\fR.
.sp 2
.NH 4
Printing
.sp 1
.LP
.XS
Printing
.XE
In order of preference, graphs may be be printed in the following ways.

\fB1.\fR Use the \fBgnuplot\fR command \fBset terminal\fR to select a printer and \fBset
output\fR to redirect output to a file.

\fB2.\fR Select the \fBPrint...\fR command from the \fBgnuplot graph\fR window.  An extra
command \fBscreendump\fR does this from the text window.

\fB3.\fR If \fBset output "PRN"\fR is used, output will go to a temporary file.  When
you exit from \fBgnuplot\fR or when you change the output with another \fBset
output\fR command, a dialog box will appear for you to select a printer port.
If you choose OK, the output will be printed on the selected port, passing
unmodified through the print manager.  It is possible to accidentally (or
deliberately) send printer output meant for one printer to an incompatible
printer.
.sp 2
.NH 4
Text-menu
.sp 1
.LP
.XS
Text-menu
.XE
The \fBgnuplot text\fR window has the following options on a pop-up menu accessed
by pressing the right mouse button or selecting \fBOptions\fR from the system
menu:

\fBCopy to Clipboard\fR copies marked text to the clipboard.

\fBPaste\fR copies text from the clipboard as if typed by the user.

\fBChoose Font...\fR selects the font used in the text window.

\fBSystem Colors\fR when selected makes the text window honor the System Colors
set using the Control Panel.  When unselected, text is black or blue on a
white background.

\fBUpdate wgnuplot.ini\fR saves the current text window location, text window
size, text window font and text window font size to the initialisation file
\fBWGNUPLOT.INI\fR.

\fBMENU BAR\fR

If the menu file \fBWGNUPLOT.MNU\fR is found in the same directory as
WGNUPLOT.EXE, then the menu specified in \fBWGNUPLOT.MNU\fR will be loaded.
Menu commands:

[Menu] starts a new menu with the name on the following line.

[EndMenu] ends the current menu.

[--] inserts a horizontal menu separator.

[|] inserts a vertical menu separator.

[Button] puts the next macro on a push button instead of a menu.

Macros take two lines with the macro name (menu entry) on the first line and
the macro on the second line.  Leading spaces are ignored.  Macro commands:

[INPUT] --- Input string with prompt terminated by [EOS] or {ENTER}

[EOS] --- End Of String terminator.  Generates no output.

[OPEN] --- Get name of file to open from list box, with title of list box
terminated by [EOS], followed by default filename terminated by [EOS] or
{ENTER}.  This uses COMMDLG.DLL from Windows 3.1.

[SAVE] --- Get name of file to save.  Similar to [OPEN]

Macro character substitutions:

{ENTER} --- Carriage Return \&'\\r\&'

{TAB} --- Tab \&'\\011\&'

{ESC} --- Escape \&'\\033\&'

{^A} --- \&'\\001\&'

\&...

{^_} --- \&'\\031\&'

Macros are limited to 256 characters after expansion.
.sp 2
.NH 4
Wgnuplot.ini
.sp 1
.LP
.XS
Wgnuplot.ini
.XE
Windows \fBgnuplot\fR will read some of its options from the \fB[WGNUPLOT]\fR section
of \fBWGNUPLOT.INI\fR in the Windows directory.  A sample \fBWGNUPLOT.INI\fR file:

.br
      [WGNUPLOT]
.br
.br
      TextOrigin=0 0
.br
.br
      TextSize=640 150
.br
.br
      TextFont=Terminal,9
.br
.br
      GraphOrigin=0 150
.br
.br
      GraphSize=640 330
.br
.br
      GraphFont=Arial,10
.br
.br
      GraphColor=1
.br
.br
      GraphToTop=1
.br
.br
      GraphBackground=255 255 255
.br
.br
      Border=0 0 0 0 0
.br
.br
      Axis=192 192 192 2 2
.br
.br
      Line1=0 0 255 0 0
.br
.br
      Line2=0 255 0 0 1
.br
.br
      Line3=255 0 0 0 2
.br
.br
      Line4=255 0 255 0 3
.br
.br
      Line5=0 0 128 0 4
.br

The \fBGraphFont\fR entry specifies the font name and size in points.  The five
numbers given in the \fBBorder\fR, \fBAxis\fR and \fBLine\fR entries are the \fBRed\fR
intensity (0--255), \fBGreen\fR intensity, \fBBlue\fR intensity, \fBColor Linestyle\fR
and \fBMono Linestyle\fR.  \fBLinestyles\fR are 0=SOLID, 1=DASH, 2=DOT, 3=DASHDOT,
4=DASHDOTDOT.  In the sample \fBWGNUPLOT.INI\fR file above, Line 2 is a green
solid line in color mode, or a dashed line in monochrome mode.  The default
line width is 1 pixel.  If \fBLinestyle\fR is negative, it specifies the width of
a SOLID line in pixels.  Line1 and any linestyle used with the \fBpoints\fR style
must be SOLID with unit width.
.sp 2
.NH 4
Windows3.0
.sp 1
.LP
.XS
Windows3.0
.XE
Windows 3.1 is preferred, but WGNUPLOT will run under Windows 3.0 with the
following restrictions:
\fB1.\fR COMMDLG.DLL and SHELL.DLL (available with Windows 3.1 or Borland C++
3.1) must be in the windows directory.

\fB2.\fR WGNUPLOT.HLP produced by Borland C++ 3.1 is in Windows 3.1 format.
You need to use the WINHELP.EXE supplied with Borland C++ 3.1.

\fB3.\fR It will not run in real mode due to lack of memory.

\fB4.\fR TrueType fonts are not available in the graph window.

\fB5.\fR Drag-drop does not work.
.sp 2
.RE
.br
.NH 3
X11
.sp 1
.LP
.XS
X11
.XE
\fBgnuplot\fR provides the \fBx11\fR terminal type for use with X servers.  This
terminal type is set automatically at startup if the \fBDISPLAY\fR environment
variable is set, if the \fBTERM\fR environment variable is set to \fBxterm\fR, or
if the \fB-display\fR command line option is used.

Syntax:
.br
   set terminal x11 [reset] <n> [[no]enhanced] [font <fontspec>]
.br
.br
                    [title "<string>"] [[no]persist] [[no]raise] [close]
.br

Multiple plot windows are supported: \fBset terminal x11 <n>\fR directs the
output to plot window number n.  If n>0, the terminal number will be
appended to the window title (unless a title has been supplied manually)
and the icon will be labeled \fBgplt <n>\fR.  The active window may be
distinguished by a change in cursor (from default to crosshair.)

The x11 terminal support enhanced text mode (see \fBenhanced\fR), subject
to the available fonts. In order for font size commands embedded in text
to have any effect, the default x11 font must be scalable. Thus the first
example below will work as expected, but the second will not.

.br
   set term x11 enhanced font "arial,15" 
.br
.br
   set title '{\\=20 Big} Medium {\\=5 Small}' 
.br

.br
   set term x11 enhanced font "terminal-14" 
.br
.br
   set title '{\\=20 Big} Medium {\\=5 Small}' 
.br

Plot windows remain open even when the \fBgnuplot\fR driver is changed to a
different device.  A plot window can be closed by pressing the letter q
while that window has input focus, or by choosing \fBclose\fR from a window
manager menu.  All plot windows can be closed by specifying \fBreset\fR, which
actually terminates the subprocess which maintains the windows (unless
\fB-persist\fR was specified).  The \fBclose\fR command can be used to close
individual plot windows by number.  However, after a \fBreset\fR, those plot
windows left due to persist cannot be closed with the command \fBclose\fR.
A \fBclose\fR without a number closes the current active plot window.

The gnuplot outboard driver, gnuplot_x11, is searched in a default place
chosen when the program is compiled.  You can override that by defining
the environment variable GNUPLOT_DRIVER_DIR to point to a different
location.

Plot windows will automatically be closed at the end of the session
unless the \fB-persist\fR option was given.

The options \fBpersist\fR and \fBraise\fR are unset by default, which means that
the defaults (persist == no and raise == yes) or the command line options
-persist / -raise or the Xresources are taken.  If [no]persist or
[no]raise are specified, they will override command line options and
Xresources.  Setting one of these options takes place immediately, so
the behaviour of an already running driver can be modified.

The option \fBtitle "<title name>"\fR will supply the title name of the window
for the current plot window or plot window <n> if a number is given.
Where (or if) this title is shown depends on your X window manager.

The size or aspect ratio of a plot may be changed by resizing the \fBgnuplot\fR
window.

Linewidths and pointsizes may be changed from within \fBgnuplot\fR with
\fBset linestyle\fR.

For terminal type \fBx11\fR, \fBgnuplot\fR accepts (when initialized) the standard
X Toolkit options and resources such as geometry, font, and name from the
command line arguments or a configuration file.  See the X(1) man page
(or its equivalent) for a description of such options.

A number of other \fBgnuplot\fR options are available for the \fBx11\fR terminal.
These may be specified either as command-line options when \fBgnuplot\fR is
invoked or as resources in the configuration file ".Xdefaults".  They are
set upon initialization and cannot be altered during a \fBgnuplot\fR session.
(except \fBpersist\fR and \fBraise\fR)
.sp 2
.RS
.IP
.NH 4
X11_fonts
.sp 1
.LP
.XS
X11_fonts
.XE
Upon initial startup, the default font is taken from the X11 resources
as set in the system or user .Xdefaults file or on the command line.

Example:
.br
      gnuplot*font: lucidasans-bold-12
.br
A new default font may be specified to the x11 driver from inside
gnuplot using
.br
     `set term x11 font "<fontspec>"`
.br
The driver first queries the X-server for a font of the exact name given,
for example \fBset term x11 font "lucidasans-10"\fR. If this query fails, then
it tries to interpret <fontspec> as "<font>,<size>,<slant>,<weight>" 
and to construct a full X11 font name of the form
.br
      -*-<font>-<weight>-<s>-*-*-<size>-*-*-*-*-*-<encoding>
.br

.br
 <font> is the base name of the font (e.g. Times or Symbol)
.br
.br
 <size> is the point size (defaults to 12 if not specified)
.br
.br
 <s> is `i` if <slant>=="italic" `o` if <slant>=="oblique" `r` otherwise
.br
.br
 <weight> is `medium` or `bold` if explicitly requested, otherwise `*`
.br
.br
 <encoding> is set based on the current character set (see help for `set encoding`).
.br
So \fBset term x11 font "arial,15,italic"\fR will be translated to
-*-arial-*-i-*-*-15-*-*-*-*-*-iso8859-1 (assuming default encoding).
The <size>, <slant>, and <weight> specifications are all optional.
If you do not specify <slant> or <weight> then you will get whatever font 
variant the font server offers first.
The driver also recognizes some common PostScript font names and
replaces them with possible X11 or TrueType equivalents.
This same sequence is used to process font requests from \fBset label\fR.
.sp 2
.NH 4
Command-line_options
.sp 1
.LP
.XS
Command-line_options
.XE
In addition to the X Toolkit options, the following options may be specified
on the command line when starting \fBgnuplot\fR or as resources in your
".Xdefaults" file (note that \fBraise\fR and \fBpersist\fR can be overridden
later by \fBset term x11 [no]raise [no]persist)\fR:

.EQ
delim $$
.EN
.KS
.TS
center box tab (@) ;
c l .
`-mono`@forces monochrome rendering on color displays.
`-gray`@requests grayscale rendering on grayscale or color displays.
       @(Grayscale displays receive monochrome rendering by default.)
`-clear`@requests that the window be cleared momentarily before a
        @new plot is displayed.
`-tvtwm`@requests that geometry specifications for position of the
        @window be made relative to the currently displayed portion
        @of the virtual root.
`-raise`@raises plot window after each plot
`-noraise`@does not raise plot window after each plot
`-novevents`@does not process mouse and key events
`-persist`@plot windows survive after main gnuplot program exits
.TE
.KE
.EQ
delim off
.EN

The options are shown above in their command-line syntax.  When entered as
resources in ".Xdefaults", they require a different syntax.

Example:
.br
      gnuplot*gray: on
.br

\fBgnuplot\fR also provides a command line option (\fB-pointsize <v>\fR) and a
resource, \fBgnuplot*pointsize: <v>\fR, to control the size of points plotted
with the \fBpoints\fR plotting style.  The value \fBv\fR is a real number (greater
than 0 and less than or equal to ten) used as a scaling factor for point
sizes.  For example, \fB-pointsize 2\fR uses points twice the default size, and
\fB-pointsize 0.5\fR uses points half the normal size.

The \fB-noevents\fR switch disables all mouse and key event processing (except
for \fBq\fR and \fB<space>\fR for closing the window). This is useful for programs
which use the x11 driver independent of the gnuplot main program.
.sp 2
.NH 4
Monochrome_options
.sp 1
.LP
.XS
Monochrome_options
.XE
For monochrome displays, \fBgnuplot\fR does not honor foreground or background
colors.  The default is black-on-white.  \fB-rv\fR or \fBgnuplot*reverseVideo: on\fR
requests white-on-black.

.sp 2
.NH 4
Color_resources
.sp 1
.LP
.XS
Color_resources
.XE
For color displays, \fBgnuplot\fR honors the following resources (shown here
with their default values) or the greyscale resources.  The values may be
color names as listed in the X11 rgb.txt file on your system, hexadecimal
RGB color specifications (see X11 documentation), or a color name followed
by a comma and an \fBintensity\fR value from 0 to 1.  For example, \fBblue, 0.5\fR
means a half intensity blue.

.EQ
delim $$
.EN
.KS
.TS
center box tab (@) ;
c l .
@gnuplot*background: white
@gnuplot*textColor: black
@gnuplot*borderColor: black
@gnuplot*axisColor: black
@gnuplot*line1Color: red
@gnuplot*line2Color: green
@gnuplot*line3Color: blue
@gnuplot*line4Color: magenta
@gnuplot*line5Color: cyan
@gnuplot*line6Color: sienna
@gnuplot*line7Color: orange
@gnuplot*line8Color: coral
.TE
.KE
.EQ
delim off
.EN


The command-line syntax for these is simple only for background,
which maps directly to the usual X11 toolkit option "-bg".  All
others can only be set on the command line by use of the generic
"-xrm" resource override option

Examples:

.br
      gnuplot -background coral
.br
to change the background color.

.br
      gnuplot -xrm 'gnuplot*line1Color:blue'
.br
to override the first linetype color.

.sp 2
.NH 4
Grayscale_resources
.sp 1
.LP
.XS
Grayscale_resources
.XE
When \fB-gray\fR is selected, \fBgnuplot\fR honors the following resources for
grayscale or color displays (shown here with their default values).  Note
that the default background is black.

.EQ
delim $$
.EN
.KS
.TS
center box tab (@) ;
c l .
@gnuplot*background: black
@gnuplot*textGray: white
@gnuplot*borderGray: gray50
@gnuplot*axisGray: gray50
@gnuplot*line1Gray: gray100
@gnuplot*line2Gray: gray60
@gnuplot*line3Gray: gray80
@gnuplot*line4Gray: gray40
@gnuplot*line5Gray: gray90
@gnuplot*line6Gray: gray50
@gnuplot*line7Gray: gray70
@gnuplot*line8Gray: gray30
.TE
.KE
.EQ
delim off
.EN


.sp 2
.NH 4
Line_resources
.sp 1
.LP
.XS
Line_resources
.XE
\fBgnuplot\fR honors the following resources for setting the width (in pixels) of
plot lines (shown here with their default values.)  0 or 1 means a minimal
width line of 1 pixel width.  A value of 2 or 3 may improve the appearance of
some plots.

.EQ
delim $$
.EN
.KS
.TS
center box tab (@) ;
c l .
@gnuplot*borderWidth: 2
@gnuplot*axisWidth: 0
@gnuplot*line1Width: 0
@gnuplot*line2Width: 0
@gnuplot*line3Width: 0
@gnuplot*line4Width: 0
@gnuplot*line5Width: 0
@gnuplot*line6Width: 0
@gnuplot*line7Width: 0
@gnuplot*line8Width: 0
.TE
.KE
.EQ
delim off
.EN


\fBgnuplot\fR honors the following resources for setting the dash style used for
plotting lines.  0 means a solid line.  A two-digit number \fBjk\fR (\fBj\fR and \fBk\fR
are >= 1  and <= 9) means a dashed line with a repeated pattern of \fBj\fR pixels
on followed by \fBk\fR pixels off.  For example, \&'16\&' is a "dotted" line with one
pixel on followed by six pixels off.  More elaborate on/off patterns can be
specified with a four-digit value.  For example, \&'4441\&' is four on, four off,
four on, one off.  The default values shown below are for monochrome displays
or monochrome rendering on color or grayscale displays.  For color displays,
the default for each is 0 (solid line) except for \fBaxisDashes\fR which defaults
to a \&'16\&' dotted line.

.EQ
delim $$
.EN
.KS
.TS
center box tab (@) ;
c l .
@gnuplot*borderDashes: 0
@gnuplot*axisDashes: 16
@gnuplot*line1Dashes: 0
@gnuplot*line2Dashes: 42
@gnuplot*line3Dashes: 13
@gnuplot*line4Dashes: 44
@gnuplot*line5Dashes: 15
@gnuplot*line6Dashes: 4441
@gnuplot*line7Dashes: 42
@gnuplot*line8Dashes: 13
.TE
.KE
.EQ
delim off
.EN


.sp 2
.NH 4
X11 pm3d_resources
.sp 1
.LP
.XS
X11 pm3d_resources
.XE
Choosing the appropriate visual class and number of colors is a crucial
point in X11 applications and a bit awkward, since X11 supports six visual
types in different depths.

By default \fBgnuplot\fR uses the default visual of the screen. The number of
colors which can be allocated depends on the visual class chosen. On a
visual class with a depth > 12bit, gnuplot starts with a maximal number
of 0x200 colors.  On a visual class with a depth > 8bit (but <= 12 bit)
the maximal number of colors is 0x100, on <= 8bit displays the maximum
number of colors is 240 (16 are left for line colors).

Gnuplot first starts to allocate the maximal number of colors as stated
above.  If this fails, the number of colors is reduced by the factor 2
until gnuplot gets all colors which are requested. If dividing \fBmaxcolors\fR
by 2 repeatedly results in a number which is smaller than \fBmincolors\fR
\fBgnuplot\fR tries to install a private colormap. In this case the window
manager is responsible for swapping colormaps when the pointer is moved
in and out the x11 driver\&'s window.

The default for \fBmincolors\fR is maxcolors / (num_colormaps > 1 ? 2 : 8),
where num_colormaps is the number of colormaps which are currently used
by gnuplot (usually 1, if only one x11 window is open).

Some systems support multiple (different) visual classes together on one
screen. On these systems it might be necessary to force gnuplot to use a
specific visual class, e.g. the default visual might be 8bit PseudoColor
but the screen would also support 24bit TrueColor which would be the
preferred choice.

The information about an Xserver\&'s capabilities can be obtained with the
program \fBxdpyinfo\fR.  For the visual names below you can choose one of
StaticGray, GrayScale, StaticColor, PseudoColor, TrueColor, DirectColor.
If an Xserver supports a requested visual type at different depths,
\fBgnuplot\fR chooses the visual class with the highest depth (deepest).
If the requested visual class matches the default visual and multiple
classes of this type are supported, the default visual is preferred.

Example: on an 8bit PseudoColor visual you can force a private color map
by specifying \fBgnuplot*maxcolors: 240\fR and \fBgnuplot*mincolors: 240\fR.


.EQ
delim $$
.EN
.KS
.TS
center box tab (@) ;
c l .
@gnuplot*maxcolors:  <integer number>
@gnuplot*mincolors:  <integer number>
@gnuplot*visual:     <visual name>
.TE
.KE
.EQ
delim off
.EN

.sp 2
.RE
.br
.NH 3
Xlib
.sp 1
.LP
.XS
Xlib
.XE
The \fBxlib\fR terminal driver supports the X11 Windows System.  It generates
gnuplot_x11 commands, but sends them to the output file specified by
\fBset output \&'<filename>\&'\fR. \fBset term x11\fR is equivalent to
\fBset terminal xlib; set output "|gnuplot_x11 -noevents"\fR.
\fBxlib\fR takes the same set of options as \fBx11\fR.
.sp 2
.RE
.br
.NH 2
Tics
.sp 1
.LP
.XS
Tics
.XE
The \fBset tics\fR command can be used to change the tics to be drawn outwards.

Syntax:
.br
      set tics {<direction>}
.br
.br
      show tics
.br

where <direction> may be \fBin\fR (the default) or \fBout\fR.

See also \fBset xtics\fR for more control of major (labelled) tic marks and
\fBset mxtics\fR for control of minor tic marks.
.sp 2
.NH 2
Ticslevel
.sp 1
.LP
.XS
Ticslevel
.XE
Using \fBsplot\fR, one can adjust the relative height of the vertical (Z) axis
using \fBset ticslevel\fR.  The numeric argument provided specifies the location
of the bottom of the scale (as a fraction of the z-range) above the xy-plane.
The default value is 0.5.  Negative values are permitted, but tic labels on
the three axes may overlap.

To place the xy-plane at a position \&'pos\&' on the z-axis, \fBticslevel\fR should
be set equal to  (pos - zmin) / (zmin - zmax).

Syntax:
.br
      set ticslevel {<level>}
.br
.br
      show tics
.br

See also \fBset view\fR.
.sp 2
.NH 2
Ticscale
.sp 1
.LP
.XS
Ticscale
.XE
The size of the tic marks can be adjusted with \fBset ticscale\fR.

Syntax:
.br
      set ticscale {<major> {<minor>}}
.br
.br
      show tics
.br

If <minor> is not specified, it is 0.5*<major>.  The default size is 1.0 for
major tics and 0.5 for minor tics.  Note that it is possible to have the tic
marks pointing outward by specifying a negative size.
.sp 2
.NH 2
Timestamp
.sp 1
.LP
.XS
Timestamp
.XE
The command \fBset timestamp\fR places the time and date of the plot in the left
margin.

Syntax:
.br
      set timestamp {"<format>"} {top|bottom} {{no}rotate}
.br
.br
                    {<xoff>}{,<yoff>} {"<font>"}
.br
.br
      unset timestamp
.br
.br
      show timestamp
.br

The format string allows you to choose the format used to write the date and
time.  Its default value is what asctime() uses: "%a %b %d %H:%M:%S %Y"
(weekday, month name, day of the month, hours, minutes, seconds, four-digit
year).  With \fBtop\fR or \fBbottom\fR you can place the timestamp at the top or
bottom of the left margin (default: bottom).  \fBrotate\fR lets you write the
timestamp vertically, if your terminal supports vertical text.  The constants
<xoff> and <yoff> are offsets from the default position given in character
screen coordinates.  <font> is used to specify the font with which the time
is to be written.

The abbreviation \fBtime\fR may be used in place of \fBtimestamp\fR.

Example:
.br
      set timestamp "%d/%m/%y %H:%M" 80,-2 "Helvetica"
.br

See \fBset timefmt\fR for more information about time format strings.
.sp 2
.NH 2
Timefmt
.sp 1
.LP
.XS
Timefmt
.XE
This command applies to timeseries where data are composed of dates/times.
It has no meaning unless the command \fBset xdata time\fR is given also.

Syntax:
.br
      set timefmt "<format string>"
.br
.br
      show timefmt
.br

The string argument tells \fBgnuplot\fR how to read timedata from the datafile.
The valid formats are:


.EQ
delim $$
.EN
.KS
.TS
center box tab (@) ;
c l .
Format@Explanation
_
%d@day of the month, 1--31
%m@month of the year, 1--12
%y@year, 0--99
%Y@year, 4-digit
%j@day of the year, 1--365
%H@hour, 0--24
%M@minute, 0--60
%s@seconds since the Unix epoch (1970-01-01 00:00 UTC)
%S@second, 0--60
%b@three-character abbreviation of the name of the month
%B@name of the month
_
.TE
.KE
.EQ
delim off
.EN

Any character is allowed in the string, but must match exactly.  \\t (tab) is
recognized.  Backslash-octals (\\nnn) are converted to char.  If there is no
separating character between the time/date elements, then %d, %m, %y, %H, %M
and %S read two digits each, %Y reads four digits and %j reads three digits.
%b requires three characters, and %B requires as many as it needs.

Spaces are treated slightly differently.  A space in the string stands for
zero or more whitespace characters in the file.  That is, "%H %M" can be used
to read "1220" and "12     20" as well as "12 20".

Each set of non-blank characters in the timedata counts as one column in the
\fBusing n:n\fR specification.  Thus \fB11:11  25/12/76  21.0\fR consists of three
columns.  To avoid confusion, \fBgnuplot\fR requires that you provide a complete
\fBusing\fR specification if your file contains timedata.

Since \fBgnuplot\fR cannot read non-numerical text, if the date format includes
the day or month in words, the format string must exclude this text.  But
it can still be printed with the "%a", "%A", "%b", or "%B" specifier:
see \fBset format\fR for more details about these and other options for printing
timedata.  (\fBgnuplot\fR will determine the proper month and weekday from the
numerical values.)

See also \fBset xdata\fR and \fBTime/date\fR for more information.

Example:
.br
      set timefmt "%d/%m/%Y\\t%H:%M"
.br
tells \fBgnuplot\fR to read date and time separated by tab.  (But look closely at
your data---what began as a tab may have been converted to spaces somewhere
along the line; the format string must match what is actually in the file.)
See also
time data demo.
.sp 2
.NH 2
Title
.sp 1
.LP
.XS
Title
.XE
The \fBset title\fR command produces a plot title that is centered at the top of
the plot.  \fBset title\fR is a special case of \fBset label\fR.

Syntax:
.br
      set title {"<title-text>"} {<xoff>}{,<yoff>} {"<font>{,<size>}"}
.br
.br
                {{textcolor | tc} {lt <line_type> | default}}
.br
.br
      show title
.br

Specifying constants <xoff> or <yoff> as optional offsets for the title will
move the title <xoff> or <yoff> character screen coordinates (not graph
coordinates).  For example, "\fBset title ,-1\fR" will change only the y offset
of the title, moving the title down by roughly the height of one character.

<font> is used to specify the font with which the title is to be written;
the units of the font <size> depend upon which terminal is used.

\fBtextcolor lt <n>\fR sets the text color to that of line type <n>.

\fBset title\fR with no parameters clears the title.

See \fBsyntax\fR for details about the processing of backslash sequences and
the distinction between single- and double-quotes.
.sp 2
.NH 2
Tmargin
.sp 1
.LP
.XS
Tmargin
.XE
The command \fBset tmargin\fR sets the size of the top margin.
Please see \fBset margin\fR for details.
.sp 2
.NH 2
Trange
.sp 1
.LP
.XS
Trange
.XE
The \fBset trange\fR command sets the parametric range used to compute x and y
values when in parametric or polar modes.  Please see \fBset xrange\fR for
details.
.sp 2
.NH 2
Urange
.sp 1
.LP
.XS
Urange
.XE
The \fBset urange\fR and \fBset vrange\fR commands set the parametric ranges used
to compute x, y, and z values when in \fBsplot\fR parametric mode.
Please see \fBset xrange\fR for details.
.sp 2
.NH 2
Variables
.sp 1
.LP
.XS
Variables
.XE
The \fBshow variables\fR command lists all user-defined variables and their
values.

Syntax:
.br
      show variables
.br
.sp 2
.NH 2
Version
.sp 1
.LP
.XS
Version
.XE
The \fBshow version\fR command lists the version of gnuplot being run, its last
modification date, the copyright holders, and email addresses for the FAQ,
the gnuplot-info mailing list, and reporting bugs--in short, the information
listed on the screen when the program is invoked interactively.

Syntax:
.br
      show version {long}
.br

When the \fBlong\fR option is given, it also lists the operating system, the
compilation options used when \fBgnuplot\fR was installed, the location of the
help file, and (again) the useful email addresses.
.sp 2
.NH 2
View
.sp 1
.LP
.XS
View
.XE
The \fBset view\fR command sets the viewing angle for \fBsplot\fRs.  It controls how
the 3-d coordinates of the plot are mapped into the 2-d screen space.  It
provides controls for both rotation and scaling of the plotted data, but
supports orthographic projections only.  It supports both 3D projection or
orthogonal 2D projection into a 2D plot-like map.

Syntax:
.br
      set view { <rot_x>{,{<rot_z>}{,{<scale>}{,<scale_z>}}} | map }
.br
.br
      show view
.br

where <rot_x> and <rot_z> control the rotation angles (in degrees) in a
virtual 3-d coordinate system aligned with the screen such that initially
(that is, before the rotations are performed) the screen horizontal axis is
x, screen vertical axis is y, and the axis perpendicular to the screen is z.
The first rotation applied is <rot_x> around the x axis.  The second rotation
applied is <rot_z> around the new z axis.

Command \fBset view map\fR is used to represent the drawing as a map. It can be
used for \fBcontour\fR plots, or for color \fBpm3d\fR maps. In the latter, take care
that you properly use \fBzrange\fR and \fBcbrange\fR for input data point filtering
and color range scaling, respectively.

<rot_x> is bounded to the [0:180] range with a default of 60 degrees, while
<rot_z> is bounded to the [0:360] range with a default of 30 degrees.
<scale> controls the scaling of the entire \fBsplot\fR, while <scale_z> scales
the z axis only.  Both scales default to 1.0.

Examples:
.br
      set view 60, 30, 1, 1
.br
.br
      set view ,,0.5
.br

The first sets all the four default values.  The second changes only scale,
to 0.5.

See also \fBset ticslevel\fR.
.sp 2
.NH 2
Vrange
.sp 1
.LP
.XS
Vrange
.XE
The \fBset urange\fR and \fBset vrange\fR commands set the parametric ranges used
to compute x, y, and z values when in \fBsplot\fR parametric mode.
Please see \fBset xrange\fR for details.
.sp 2
.NH 2
X2data
.sp 1
.LP
.XS
X2data
.XE
The \fBset x2data\fR command sets data on the x2 (top) axis to timeseries
(dates/times).  Please see \fBset xdata\fR.
.sp 2
.NH 2
X2dtics
.sp 1
.LP
.XS
X2dtics
.XE
The \fBset x2dtics\fR command changes tics on the x2 (top) axis to days of the
week.  Please see \fBset xdtics\fR for details.
.sp 2
.NH 2
X2label
.sp 1
.LP
.XS
X2label
.XE
The \fBset x2label\fR command sets the label for the x2 (top) axis.
Please see \fBset xlabel\fR.
.sp 2
.NH 2
X2mtics
.sp 1
.LP
.XS
X2mtics
.XE
The \fBset x2mtics\fR command changes tics on the x2 (top) axis to months of the
year.  Please see \fBset xmtics\fR for details.
.sp 2
.NH 2
X2range
.sp 1
.LP
.XS
X2range
.XE
The \fBset x2range\fR command sets the horizontal range that will be displayed on
the x2 (top) axis.  Please see \fBset xrange\fR for details.
.sp 2
.NH 2
X2tics
.sp 1
.LP
.XS
X2tics
.XE
The \fBset x2tics\fR command controls major (labelled) tics on the x2 (top) axis.
Please see \fBset xtics\fR for details.
.sp 2
.NH 2
X2zeroaxis
.sp 1
.LP
.XS
X2zeroaxis
.XE
The \fBset x2zeroaxis\fR command draws a line at the origin of the x2 (top) axis
(y2 = 0).  For details, please see \fBset zeroaxis\fR.
.sp 2
.NH 2
Xdata
.sp 1
.LP
.XS
Xdata
.XE
This command sets the datatype on the x axis to time/date.  A similar command
does the same thing for each of the other axes.

Syntax:
.br
      set xdata {time}
.br
.br
      show xdata
.br

The same syntax applies to \fBydata\fR, \fBzdata\fR, \fBx2data\fR, \fBy2data\fR and \fBcbdata\fR.

The \fBtime\fR option signals that the datatype is indeed time/date.  If the
option is not specified, the datatype reverts to normal.

See \fBset timefmt\fR to tell gnuplot how to read date or time data.  The
time/date is converted to seconds from start of the century.  There is
currently only one timefmt, which implies that all the time/date columns must
conform to this format.  Specification of ranges should be supplied as quoted
strings according to this format to avoid interpretation of the time/date as
an expression.

The function \&'strftime\&' (type "man strftime" on unix to look it up) is used
to print tic-mark labels.  \fBgnuplot\fR tries to figure out a reasonable format
for this  unless the \fBset format x "string"\fR has supplied something that does
not look like a decimal format (more than one \&'%\&' or neither %f nor %g).

See also \fBTime/date\fR for more information.
.sp 2
.NH 2
Xdtics
.sp 1
.LP
.XS
Xdtics
.XE
The \fBset xdtics\fR commands converts the x-axis tic marks to days of the week
where 0=Sun and 6=Sat.  Overflows are converted modulo 7 to dates.  \fBset
noxdtics\fR returns the labels to their default values.  Similar commands do
the same things for the other axes.

Syntax:
.br
      set xdtics
.br
.br
      unset xdtics
.br
.br
      show xdtics
.br

The same syntax applies to \fBydtics\fR, \fBzdtics\fR, \fBx2dtics\fR, \fBy2dtics\fR and
\fBcbdtics\fR.

See also the \fBset format\fR command.
.sp 2
.NH 2
Xlabel
.sp 1
.LP
.XS
Xlabel
.XE
The \fBset xlabel\fR command sets the x axis label.  Similar commands set labels
on the other axes.

Syntax:
.br
      set xlabel {"<label>"} {<xoff>}{,<yoff>} {font "<font>{,<size>}"}
.br
.br
                 {{textcolor | tc} {lt <line_type> | default}}
.br
.br
      show xlabel
.br

The same syntax applies to \fBx2label\fR, \fBylabel\fR, \fBy2label\fR, \fBzlabel\fR and
\fBcblabel\fR.

Specifying the constants <xoff> or <yoff> as optional offsets for a label
will move it <xoff> or <yoff> character widths or heights.  For example,
"\fB set xlabel -1\fR" will change only the x offset of the xlabel, moving the
label roughly one character width to the left.   The size of a character
depends on both the font and the terminal.

<font> is used to specify the font in which the label is written; the units
of the font <size> depend upon which terminal is used.

\fBtextcolor lt <n>\fR sets the text color to that of line type <n>.

To clear a label, put no options on the command line, e.g., "\fBset y2label\fR".

The default positions of the axis labels are as follows:

xlabel:  The x-axis label is centered below the bottom axis.

ylabel:  The position of the y-axis label depends on the terminal, and can be
one of the following three positions:

1. Horizontal text flushed left at the top left of the plot.  Terminals that
cannot rotate text will probably use this method.  If \fBset x2tics\fR is also
in use, the ylabel may overwrite the left-most x2tic label.  This may be
remedied by adjusting the ylabel position or the left margin.

2. Vertical text centered vertically at the left of the plot.  Terminals
that can rotate text will probably use this method.

3. Horizontal text centered vertically at the left of the plot.  The EEPIC,
LaTeX and TPIC drivers use this method.  The EEPIC driver will produce a
stack of characters so as not to overwrite the plot. With other drivers
(such as LaTeX and TPIC), the user probably has to insert line breaks
using \\\\ to prevent the ylabel from overwriting the plot.

zlabel: The z-axis label is centered along the z axis and placed in the space
above the grid level.

cblabel: The color box axis label is centered along the box and placed below
or right according to horizontal or vertical color box gradient.

y2label: The y2-axis label is placed to the right of the y2 axis.  The
position is terminal-dependent in the same manner as is the y-axis label.

x2label: The x2-axis label is placed above the top axis but below the plot
title.  It is also possible to create an x2-axis label by using new-line
characters to make a multi-line plot title, e.g.,

.br
      set title "This is the title\\n\\nThis is the x2label"
.br

Note that double quotes must be used.  The same font will be used for both
lines, of course.

If you are not satisfied with the default position of an axis label, use \fBset
label\fR instead--that command gives you much more control over where text is
placed.

Please see \fBsyntax\fR for further information about backslash processing
and the difference between single- and double-quoted strings.
.sp 2
.NH 2
Xmtics
.sp 1
.LP
.XS
Xmtics
.XE
The \fBset xmtics\fR command converts the x-axis tic marks to months of the
year where 1=Jan and 12=Dec.  Overflows are converted modulo 12 to months.
The tics are returned to their default labels by \fBunset xmtics\fR.  Similar
commands perform the same duties for the other axes.

Syntax:
.br
      set xmtics
.br
.br
      unset xmtics
.br
.br
      show xmtics
.br

The same syntax applies to \fBx2mtics\fR, \fBymtics\fR, \fBy2mtics\fR, \fBzmtics\fR and
\fBcbmtics\fR.

See also the \fBset format\fR command.
.sp 2
.NH 2
Xrange
.sp 1
.LP
.XS
Xrange
.XE
The \fBset xrange\fR command sets the horizontal range that will be displayed.
A similar command exists for each of the other axes, as well as for the
polar radius r and the parametric variables t, u, and v.

Syntax:
.br
      set xrange { [{{<min>}:{<max>}}] {{no}reverse} {{no}writeback} }
.br
.br
                 | restore
.br
.br
      show xrange
.br

where <min> and <max> terms are constants, expressions or an asterisk to set
autoscaling.  If the data are time/date, you must give the range as a quoted
string according to the \fBset timefmt\fR format.  Any value omitted will not be
changed.

The same syntax applies to \fByrange\fR, \fBzrange\fR, \fBx2range\fR, \fBy2range\fR, \fBcbrange\fR,
\fBrrange\fR, \fBtrange\fR, \fBurange\fR and \fBvrange\fR.

The \fBreverse\fR option reverses the direction of the axis, e.g., \fBset xrange
[0:1] reverse\fR will produce an axis with 1 on the left and 0 on the right.
This is identical to the axis produced by \fBset xrange [1:0]\fR, of course.
\fBreverse\fR is intended primarily for use with \fBautoscale\fR.

The \fBwriteback\fR option essentially saves the range found by \fBautoscale\fR in
the buffers that would be filled by \fBset xrange\fR.  This is useful if you wish
to plot several functions together but have the range determined by only
some of them.  The \fBwriteback\fR operation is performed during the \fBplot\fR
execution, so it must be specified before that command.  To restore,
the last saved horizontal range use \fBset xrange restore\fR.  For example,

.br
      set xrange [-10:10]
.br
.br
      set yrange [] writeback
.br
.br
      plot sin(x)
.br
.br
      set yrange restore
.br
.br
      replot x/2
.br

results in a yrange of [-1:1] as found only from the range of sin(x); the
[-5:5] range of x/2 is ignored.  Executing \fBshow yrange\fR after each command
in the above example should help you understand what is going on.

In 2-d, \fBxrange\fR and \fByrange\fR determine the extent of the axes, \fBtrange\fR
determines the range of the parametric variable in parametric mode or the
range of the angle in polar mode.  Similarly in parametric 3-d, \fBxrange\fR,
\fByrange\fR, and \fBzrange\fR govern the axes and \fBurange\fR and \fBvrange\fR govern the
parametric variables.

In polar mode, \fBrrange\fR determines the radial range plotted.  <rmin> acts as
an additive constant to the radius, whereas <rmax> acts as a clip to the
radius---no point with radius greater than <rmax> will be plotted.  \fBxrange\fR
and \fByrange\fR are affected---the ranges can be set as if the graph was of
r(t)-rmin, with rmin added to all the labels.

Any range may be partially or totally autoscaled, although it may not make
sense to autoscale a parametric variable unless it is plotted with data.

Ranges may also be specified on the \fBplot\fR command line.  A range given on
the plot line will be used for that single \fBplot\fR command; a range given by
a \fBset\fR command will be used for all subsequent plots that do not specify
their own ranges.  The same holds true for \fBsplot\fR.

Examples:

To set the xrange to the default:
.br
      set xrange [-10:10]
.br

To set the yrange to increase downwards:
.br
      set yrange [10:-10]
.br

To change zmax to 10 without affecting zmin (which may still be autoscaled):
.br
      set zrange [:10]
.br

To autoscale xmin while leaving xmax unchanged:
.br
      set xrange [*:]
.br
.sp 2
.NH 2
Xtics
.sp 1
.LP
.XS
Xtics
.XE
Fine control of the major (labelled) tics on the x axis is possible with the
\fBset xtics\fR command.  The tics may be turned off with the \fBunset xtics\fR
command, and may be turned on (the default state) with \fBset xtics\fR.  Similar
commands control the major tics on the y, z, x2 and y2 axes.

Syntax:
.br
      set xtics {axis | border} {{no}mirror} {{no}rotate {by <ang>}}
.br
.br
                {  autofreq
.br
.br
                 | <incr>
.br
.br
                 | <start>, <incr> {,<end>}
.br
.br
                 | ({"<label>"} <pos> {<level>} {,{"<label>"}...) }
.br
.br
                { font "name{,<size>}" }
.br
.br
                { textcolor <colorspec> }
.br
.br
      unset xtics
.br
.br
      show xtics
.br

The same syntax applies to \fBytics\fR, \fBztics\fR, \fBx2tics\fR, \fBy2tics\fR and \fBcbtics\fR.

\fBaxis\fR or \fBborder\fR tells \fBgnuplot\fR to put the tics (both the tics themselves
and the accompanying labels) along the axis or the border, respectively.  If
the axis is very close to the border, the \fBaxis\fR option will move the
tic labels to outside the border.  The relevant margin settings will usually
be sized badly by the automatic layout algorithm in this case.

\fBmirror\fR tells \fBgnuplot\fR to put unlabelled tics at the same positions on the
opposite border.  \fBnomirror\fR does what you think it does.

\fBrotate\fR asks \fBgnuplot\fR to rotate the text through 90 degrees, which will be
done if the terminal driver in use supports text rotation.  \fBnorotate\fR
cancels this. \fBrotate by <ang>\fR asks for rotation by <ang> degrees, supported
by some terminal types.

The defaults are \fBborder mirror norotate\fR for tics on the x and y axes, and
\fBborder nomirror norotate\fR for tics on the x2 and y2 axes.  For the z axis,
the \fB{axis | border}\fR option is not available and the default is
\fBnomirror\fR.  If you do want to mirror the z-axis tics, you might want to
create a bit more room for them with \fBset border\fR.

\fBset xtics\fR with no options restores the default border or axis if xtics are
being displayed;  otherwise it has no effect.  Any previously specified tic
frequency or position {and labels} are retained.

Positions of the tics are calculated automatically by default or if the
\fBautofreq\fR option is given; otherwise they may be specified in either of
two forms:

The implicit <start>, <incr>, <end> form specifies that a series of tics will
be plotted on the axis between the values <start> and <end> with an increment
of <incr>.  If <end> is not given, it is assumed to be infinity.  The
increment may be negative.  If neither <start> nor <end> is given, <start> is
assumed to be negative infinity, <end> is assumed to be positive infinity,
and the tics will be drawn at integral multiples of <incr>.  If the axis is
logarithmic, the increment will be used as a multiplicative factor.

The \fBset grid\fR options \&'front\&', \&'back\&' and \&'layerdefault\&' affect the drawing
order of the xtics, too.

Examples:

Make tics at 0, 0.5, 1, 1.5, ..., 9.5, 10.
.br
      set xtics 0,.5,10
.br

Make tics at ..., -10, -5, 0, 5, 10, ...
.br
      set xtics 5
.br

Make tics at 1, 100, 1e4, 1e6, 1e8.
.br
      set logscale x; set xtics 1,100,1e8
.br

The explicit ("<label>" <pos> <level>, ...) form allows arbitrary tic
positions or non-numeric tic labels.  In this form, the tics do not
need to be listed in numerical order.  Each tic has a 
position, optionally with a label.  Note that the label is
a string enclosed by quotes.  It may be a constant string, such as
"hello", may contain formatting information for converting the
position into its label, such as "%3f clients", or may be empty, "".
See \fBset format\fR for more information.  If no string is given, the
default label (numerical) is used.

An explicit tic mark has a third parameter, the "level".  The default
is level 0, a major tic.  A level of 1 generates a minor tic.  If the
level is specified, then the label must also be supplied.

Examples:
.br
      set xtics ("low" 0, "medium" 50, "high" 100)
.br
.br
      set xtics (1,2,4,8,16,32,64,128,256,512,1024)
.br
.br
      set ytics ("bottom" 0, "" 10, "top" 20)
.br
.br
      set ytics ("bottom" 0, "" 10 1, "top" 20)
.br

In the second example, all tics are labelled.  In the third, only the end
tics are labelled.  In the fourth, the unlabeled tic is a minor tic.

However they are specified, tics will only be plotted when in range.

Format (or omission) of the tic labels is controlled by \fBset format\fR, unless
the explicit text of a labels is included in the \fBset xtics (\fR<label>\fB)\fR form.

Minor (unlabelled) tics can be added by the \fBset mxtics\fR command.

In case of timeseries data, position values must be given as quoted dates
or times according to the format \fBtimefmt\fR.  If the <start>, <incr>, <end>
form is used, <start> and <end> must be given according to \fBtimefmt\fR, but
<incr> must be in seconds.  Times will be written out according to the format
given on \fBset format\fR, however.

Examples:
.br
      set xdata time
.br
.br
      set timefmt "%d/%m"
.br
.br
      set format x "%b %d"
.br
.br
      set xrange ["01/12":"06/12"]
.br
.br
      set xtics "01/12", 172800, "05/12"
.br

.br
      set xdata time
.br
.br
      set timefmt "%d/%m"
.br
.br
      set format x "%b %d"
.br
.br
      set xrange ["01/12":"06/12"]
.br
.br
      set xtics ("01/12", "" "03/12", "05/12")
.br
Both of these will produce tics "Dec 1", "Dec 3", and "Dec 5", but in the
second example the tic at "Dec 3" will be unlabelled.

.sp 2
.NH 2
Xzeroaxis
.sp 1
.LP
.XS
Xzeroaxis
.XE
The \fBset xzeroaxis\fR command draws a line at y = 0.  For details,
please see \fBset zeroaxis\fR.
.sp 2
.NH 2
Y2data
.sp 1
.LP
.XS
Y2data
.XE
The \fBset y2data\fR command sets y2 (right-hand) axis data to timeseries
(dates/times).  Please see \fBset xdata\fR.
.sp 2
.NH 2
Y2dtics
.sp 1
.LP
.XS
Y2dtics
.XE
The \fBset y2dtics\fR command changes tics on the y2 (right-hand) axis to days of
the week.  Please see \fBset xdtics\fR for details.
.sp 2
.NH 2
Y2label
.sp 1
.LP
.XS
Y2label
.XE
The \fBset y2label\fR command sets the label for the y2 (right-hand) axis.
Please see \fBset xlabel\fR.
.sp 2
.NH 2
Y2mtics
.sp 1
.LP
.XS
Y2mtics
.XE
The \fBset y2mtics\fR command changes tics on the y2 (right-hand) axis to months
of the year.  Please see \fBset xmtics\fR for details.
.sp 2
.NH 2
Y2range
.sp 1
.LP
.XS
Y2range
.XE
The \fBset y2range\fR command sets the vertical range that will be displayed on
the y2 (right-hand) axis.  Please see \fBset xrange\fR for details.
.sp 2
.NH 2
Y2tics
.sp 1
.LP
.XS
Y2tics
.XE
The \fBset y2tics\fR command controls major (labelled) tics on the y2 (right-hand)
axis.  Please see \fBset xtics\fR for details.
.sp 2
.NH 2
Y2zeroaxis
.sp 1
.LP
.XS
Y2zeroaxis
.XE
The \fBset y2zeroaxis\fR command draws a line at the origin of the y2 (right-hand)
axis (x2 = 0).  For details, please see \fBset zeroaxis\fR.
.sp 2
.NH 2
Ydata
.sp 1
.LP
.XS
Ydata
.XE
The \fBset ydata\fR commands sets y-axis data to timeseries (dates/times).
Please see \fBset xdata\fR.
.sp 2
.NH 2
Ydtics
.sp 1
.LP
.XS
Ydtics
.XE
The \fBset ydtics\fR command changes tics on the y axis to days of the week.
Please see \fBset xdtics\fR for details.
.sp 2
.NH 2
Ylabel
.sp 1
.LP
.XS
Ylabel
.XE
This command sets the label for the y axis.  Please see \fBset xlabel\fR.
.sp 2
.NH 2
Ymtics
.sp 1
.LP
.XS
Ymtics
.XE
The \fBset ymtics\fR command changes tics on the y axis to months of the year.
Please see \fBset xmtics\fR for details.
.sp 2
.NH 2
Yrange
.sp 1
.LP
.XS
Yrange
.XE
The \fBset yrange\fR command sets the vertical range that will be displayed on
the y axis.  Please see \fBset xrange\fR for details.
.sp 2
.NH 2
Ytics
.sp 1
.LP
.XS
Ytics
.XE
The \fBset ytics\fR command controls major (labelled) tics on the y axis.
Please see \fBset xtics\fR for details.
.sp 2
.NH 2
Yzeroaxis
.sp 1
.LP
.XS
Yzeroaxis
.XE
The \fBset yzeroaxis\fR command draws a line at x = 0.  For details,
please see \fBset zeroaxis\fR.
.sp 2
.NH 2
Zdata
.sp 1
.LP
.XS
Zdata
.XE
The \fBset zdata\fR command sets zaxis data to timeseries (dates/times).
Please see \fBset xdata\fR.
.sp 2
.NH 2
Zdtics
.sp 1
.LP
.XS
Zdtics
.XE
The \fBset zdtics\fR command changes tics on the z axis to days of the week.
Please see \fBset xdtics\fR for details.
.sp 2
.NH 2
Cbdata
.sp 1
.LP
.XS
Cbdata
.XE
Set color box axis data to timeseries (dates/times).  Please see \fBset xdata\fR.
.sp 2
.NH 2
Cbdtics
.sp 1
.LP
.XS
Cbdtics
.XE
The \fBset cbdtics\fR command changes tics on the color box axis to days of the
week. Please see \fBset xdtics\fR for details.
.sp 2
.NH 2
Zero
.sp 1
.LP
.XS
Zero
.XE
The \fBzero\fR value is the default threshold for values approaching 0.0.

Syntax:
.br
      set zero <expression>
.br
.br
      show zero
.br

\fBgnuplot\fR will not plot a point if its imaginary part is greater in magnitude
than the \fBzero\fR threshold.  This threshold is also used in various other
parts of \fBgnuplot\fR as a (crude) numerical-error threshold.  The default
\fBzero\fR value is 1e-8.  \fBzero\fR values larger than 1e-3 (the reciprocal of the
number of pixels in a typical bitmap display) should probably be avoided, but
it is not unreasonable to set \fBzero\fR to 0.0.
.sp 2
.NH 2
Zeroaxis
.sp 1
.LP
.XS
Zeroaxis
.XE
The x axis may be drawn by \fBset xzeroaxis\fR and removed by \fBunset xzeroaxis\fR.
Similar commands behave similarly for the y, x2, and y2 axes.

Syntax:
.br
      set {x|x2|y|y2|}zeroaxis { {linestyle | ls <line_style>}
.br
.br
                                 | { linetype | lt <line_type>}
.br
.br
                                   { linewidth | lw <line_width>}}
.br
.br
      unset {x|x2|y|y2|}zeroaxis
.br
.br
      show {x|y|}zeroaxis
.br


By default, these options are off.  The selected zero axis is drawn
with a line of type <line_type> and width <line_width> (if supported
by the terminal driver currently in use), or a user-defined style
<line_style>.

If no linetype is specified, any zero axes selected will be drawn
using the axis linetype (linetype 0).

\fBset zeroaxis\fR is equivalent to \fBset xzeroaxis; set yzeroaxis\fR.
\fBset nozeroaxis\fR is equivalent to \fBunset xzeroaxis; unset yzeroaxis\fR.

Examples:

To simply have the y=0 axis drawn visibly:

.br
       set xzeroaxis
.br

If you want a thick line in a different color or pattern, instead:

.br
       set xzeroaxis linetype 3 linewidth 2.5
.br
.sp 2
.NH 2
Zlabel
.sp 1
.LP
.XS
Zlabel
.XE
This command sets the label for the z axis.  Please see \fBset xlabel\fR.
.sp 2
.NH 2
Zmtics
.sp 1
.LP
.XS
Zmtics
.XE
The \fBset zmtics\fR command changes tics on the z axis to months of the year.
Please see \fBset xmtics\fR for details.
.sp 2
.NH 2
Zrange
.sp 1
.LP
.XS
Zrange
.XE
The \fBset zrange\fR command sets the range that will be displayed on the z axis.
The zrange is used only by \fBsplot\fR and is ignored by \fBplot\fR.  Please see
\fBset xrange\fR for details.
.sp 2
.NH 2
Ztics
.sp 1
.LP
.XS
Ztics
.XE
The \fBset ztics\fR command controls major (labelled) tics on the z axis.
Please see \fBset xtics\fR for details.
.sp 2
.NH 2
Cblabel
.sp 1
.LP
.XS
Cblabel
.XE
This command sets the label for the color box axis.  Please see \fBset xlabel\fR.
.sp 2
.NH 2
Cbmtics
.sp 1
.LP
.XS
Cbmtics
.XE
The \fBset cbmtics\fR command changes tics on the color box axis to months of the
year. Please see \fBset xmtics\fR for details.
.sp 2
.NH 2
Cbrange
.sp 1
.LP
.XS
Cbrange
.XE
The \fBset cbrange\fR command sets the range of z-values which are colored by
\fBpm3d\fR mode of \fBsplot\fR. If the cb-axis is autoscaled, then the \fBpm3d\fR /
\fBpalette\fR range is taken from \fBzrange\fR.

Please see \fBset xrange\fR for details on \fBset cbrange\fR syntax.
.sp 2
.NH 2
Cbtics
.sp 1
.LP
.XS
Cbtics
.XE
The \fBset cbtics\fR command controls major (labelled) tics on the color box axis.
Please see \fBset xtics\fR for details.
.sp 2
.RE
.br
.NH 1
Shell
.sp 1
.LP
.XS
Shell
.XE
The \fBshell\fR command spawns an interactive shell.  To return to \fBgnuplot\fR,
type \fBlogout\fR if using VMS, \fBexit\fR or the END-OF-FILE character if using
Unix, \fBendcli\fR if using AmigaOS, or \fBexit\fR if using MS-DOS or OS/2.

There are two ways of spawning a shell command: using \fBsystem\fR command
or via \fB!\fR ($ if using VMS). The former command takes a string as a
parameter and thus it can be used anywhere among other gnuplot commands,
while the latter syntax requires to be the only command on the line. Control
will return immediately to \fBgnuplot\fR after this command is executed.  For
example, in AmigaOS, MS-DOS or OS/2,

.br
      ! dir
.br
or
.br
      system "dir"
.br


prints a directory listing and then returns to \fBgnuplot\fR.


Other examples of the former syntax:
.br
       system "date"; set time; plot "a.dat"
.br
.br
       print=1; if (print) replot; set out; system "lpr x.ps"
.br

On an Atari, the \fB!\fR command first checks whether a shell is already loaded
and uses it, if available.  This is practical if \fBgnuplot\fR is run from
\fBgulam\fR, for example.
.sp 2
.NH 1
Splot
.sp 1
.LP
.XS
Splot
.XE
\fBsplot\fR is the command for drawing 3-d plots (well, actually projections on
a 2-d surface, but you knew that).  It can create a plot from functions or
a data file in a manner very similar to the \fBplot\fR command.

See \fBplot\fR for features common to the \fBplot\fR command; only differences are
discussed in detail here.  Note specifically that the \fBbinary\fR and \fBmatrix\fR
options (discussed under "datafile-modifiers") are not available for \fBplot\fR,
and \fBplot\fR\&'s \fBaxes\fR option is not available for \fBsplot\fR.

Syntax:
.br
      splot {<ranges>}
.br
.br
            <function> | "<datafile>" {datafile-modifiers}}
.br
.br
            {<title-spec>} {with <style>}
.br
.br
            {, {definitions,} <function> ...}
.br

where either a <function> or the name of a data file enclosed in quotes is
supplied.  The function can be a mathematical expression, or a triple of
mathematical expressions in parametric mode.

By default \fBsplot\fR draws the xy plane completely below the plotted data.
The offset between the lowest ztic and the xy plane can be changed by \fBset
ticslevel\fR.  The orientation of a \fBsplot\fR projection is controlled by
\fBset view\fR.  See \fBset view\fR and \fBset ticslevel\fR for more information.

The syntax for setting ranges on the \fBsplot\fR command is the same as for
\fBplot\fR.  In non-parametric mode, the order in which ranges must be given is
\fBxrange\fR, \fByrange\fR, and \fBzrange\fR.  In parametric mode, the order is \fBurange\fR,
\fBvrange\fR, \fBxrange\fR, \fByrange\fR, and \fBzrange\fR.

The \fBtitle\fR option is the same as in \fBplot\fR.  The operation of \fBwith\fR is also
the same as in \fBplot\fR, except that the plotting styles available to \fBsplot\fR
are limited to \fBlines\fR, \fBpoints\fR, \fBlinespoints\fR, \fBdots\fR, and \fBimpulses\fR;  the
error-bar capabilities of \fBplot\fR are not available for \fBsplot\fR.

The \fBdatafile\fR options have more differences.

See also \fBshow plot\fR.
.sp 2
.RS
.IP
.NH 2
Data-file
.sp 1
.LP
.XS
Data-file
.XE
As for \fBplot\fR, discrete data contained in a file can be displayed by
specifying the name of the data file, enclosed in quotes,  on the \fBsplot\fR
command line.

Syntax:
.br
      splot '<file_name>' {binary | matrix}
.br
.br
                          {index <index list>}
.br
.br
                          {every <every list>}
.br
.br
                          {using <using list>}
.br

The special filenames \fB""\fR and \fB"-"\fR are permitted, as in \fBplot\fR.

In brief, \fBbinary\fR and \fBmatrix\fR indicate that the data are in a special
form, \fBindex\fR selects which data sets in a multi-data-set file are to be
plotted, \fBevery\fR specifies which datalines (subsets) within a single data
set are to be plotted, and \fBusing\fR determines how the columns within a single
record are to be interpreted.

The options \fBindex\fR and \fBevery\fR behave the same way as with \fBplot\fR;  \fBusing\fR
does so also, except that the \fBusing\fR list must provide three entries
instead of two.

The \fBplot\fR options \fBthru\fR and \fBsmooth\fR are not available for \fBsplot\fR, but
\fBcntrparam\fR and \fBdgrid3d\fR provide limited smoothing capabilities.

Data file organization is essentially the same as for \fBplot\fR, except that
each point is an (x,y,z) triple.  If only a single value is provided, it
will be used for z, the datablock number will be used for y, and the index
of the data point in the datablock will be used for x.  If two or four values
are provided, \fBgnuplot\fR uses the last value for calculating the color in
pm3d plots.  Three values are interpreted as an (x,y,z) triple.  Additional
values are generally used as errors, which can be used by \fBfit\fR.

Single blank records separate datablocks in a \fBsplot\fR datafile; \fBsplot\fR
treats datablocks as the equivalent of function y-isolines.  No line will
join points separated by a blank record.  If all datablocks contain the same
number of points, \fBgnuplot\fR will draw cross-isolines between datablocks,
connecting corresponding points.  This is termed "grid data", and is required
for drawing a surface, for contouring (\fBset contour\fR) and hidden-line removal
(\fBset hidden3d\fR). See also \fBsplot grid_data\fR.

It is no longer necessary to specify \fBparametric\fR mode for three-column
\fBsplot\fRs.
.sp 2
.RS
.IP
.NH 3
Binary
.sp 1
.LP
.XS
Binary
.XE
\fBsplot\fR can read binary files written with a specific format (and on a
system with a compatible binary file representation.)

In previous versions, \fBgnuplot\fR dynamically detected binary data files.  It
is now necessary to specify the keyword \fBbinary\fR directly after the filename.

Single precision floats are stored in a binary file as follows:

.br
      <N+1>  <y0>   <y1>   <y2>  ...  <yN>
.br
.br
       <x0> <z0,0> <z0,1> <z0,2> ... <z0,N>
.br
.br
       <x1> <z1,0> <z1,1> <z1,2> ... <z1,N>
.br
.br
        :      :      :      :   ...    :
.br

which are converted into triplets:
.br
      <x0> <y0> <z0,0>
.br
.br
      <x0> <y1> <z0,1>
.br
.br
      <x0> <y2> <z0,2>
.br
.br
       :    :     :
.br
.br
      <x0> <yN> <z0,N>
.br

.br
      <x1> <y0> <z1,0>
.br
.br
      <x1> <y1> <z1,1>
.br
.br
       :    :     :
.br

These triplets are then converted into \fBgnuplot\fR iso-curves and then
\fBgnuplot\fR proceeds in the usual manner to do the rest of the plotting.

A collection of matrix and vector manipulation routines (in C) is provided
in \fBbinary.c\fR.  The routine to write binary data is

.br
      int fwrite_matrix(file,m,nrl,nrl,ncl,nch,row_title,column_title)
.br

An example of using these routines is provided in the file \fBbf_test.c\fR, which
generates binary files for the demo file \fBdemo/binary.dem\fR.

The \fBindex\fR keyword is not supported, since the file format allows only one
surface per file.  The \fBevery\fR and \fBusing\fR filters are supported.  \fBusing\fR
operates as if the data were read in the above triplet form.
See also
Binary File Splot Demo.
.sp 2
.NH 3
Example datafile
.sp 1
.LP
.XS
Example datafile
.XE
A simple example of plotting a 3-d data file is

.br
      splot 'datafile.dat'
.br

where the file "datafile.dat" might contain:

.br
      # The valley of the Gnu.
.br
.br
         0 0 10
.br
.br
         0 1 10
.br
.br
         0 2 10
.br

.br
         1 0 10
.br
.br
         1 1 5
.br
.br
         1 2 10
.br

.br
         2 0 10
.br
.br
         2 1 1
.br
.br
         2 2 10
.br

.br
         3 0 10
.br
.br
         3 1 0
.br
.br
         3 2 10
.br

Note that "datafile.dat" defines a 4 by 3 grid ( 4 rows of 3 points each ).
Rows (datablocks) are separated by blank records.

Note also that the x value is held constant within each dataline.  If you
instead keep y constant, and plot with hidden-line removal enabled, you will
find that the surface is drawn \&'inside-out\&'.

Actually for grid data it is not necessary to keep the x values constant
within a datablock, nor is it necessary to keep the same sequence of y
values.  \fBgnuplot\fR requires only that the number of points be the same for
each datablock.  However since the surface mesh, from which contours are
derived, connects sequentially corresponding points, the effect of an
irregular grid on a surface plot is unpredictable and should be examined
on a case-by-case basis.
.sp 2
.NH 3
Matrix
.sp 1
.LP
.XS
Matrix
.XE
The \fBmatrix\fR flag indicates that the ASCII data are stored in matrix format.
The z-values are read in a row at a time, i. e.,
.br
      z11 z12 z13 z14 ...
.br
.br
      z21 z22 z23 z24 ...
.br
.br
      z31 z32 z33 z34 ...
.br
and so forth.  The row and column indices are used for the x- and y-values.

A blank line or comment line ends the matrix, and starts a new
surface mesh. You can select among the meshes inside a file by the
\fBindex\fR option to the \fBsplot\fR command, as usual.
.sp 2
.RE
.br
.NH 2
Grid_data
.sp 1
.LP
.XS
Grid_data
.XE
The 3D routines are designed for points in a grid format, with one sample,
datapoint, at each mesh intersection; the datapoints may originate from
either evaluating a function, see \fBset isosamples\fR, or reading a datafile,
see \fBsplot datafile\fR.  The term "isoline" is applied to the mesh lines for
both functions and data.  Note that the mesh need not be rectangular in x
and y, as it may be parameterized in u and v, see \fBset isosamples\fR.

However, \fBgnuplot\fR does not require that format.  In the case of functions,
\&\&'samples\&' need not be equal to \&'isosamples\&', i.e., not every x-isoline
sample need intersect a y-isoline. In the case of data files, if there
are an equal number of scattered data points in each datablock, then
"isolines" will connect the points in a datablock, and "cross-isolines"
will connect the corresponding points in each datablock to generate a
"surface".  In either case, contour and hidden3d modes may give different
plots than if the points were in the intended format.  Scattered data can be
converted to a {different} grid format with \fBset dgrid3d\fR.

The contour code tests for z intensity along a line between a point on a
y-isoline and the corresponding point in the next y-isoline.  Thus a \fBsplot\fR
contour of a surface with samples on the x-isolines that do not coincide with
a y-isoline intersection will ignore such samples. Try:
.br
       set xrange [-pi/2:pi/2]; set yrange [-pi/2:pi/2]
.br
.br
       set style function lp
.br
.br
       set contour
.br
.br
       set isosamples 10,10; set samples 10,10;
.br
.br
       splot cos(x)*cos(y)
.br
.br
       set samples 4,10; replot
.br
.br
       set samples 10,4; replot
.br

.sp 2
.NH 2
Splot_overview
.sp 1
.LP
.XS
Splot_overview
.XE
\fBsplot\fR can display a surface as a collection of points, or by connecting
those points.  As with \fBplot\fR, the points may be read from a data file or
result from evaluation of a function at specified intervals, see
\fBset isosamples\fR.  The surface may be approximated by connecting the points
with straight line segments, see \fBset surface\fR, in which case the surface
can be made opaque with \fBset hidden3d.\fR  The orientation from which the 3d
surface is viewed can be changed with \fBset view\fR.

Additionally, for points in a grid format, \fBsplot\fR can interpolate points
having a common amplitude (see \fBset contour\fR) and can then connect those
new points to display contour lines, either directly with straight-line
segments or smoothed lines (see \fBset cntrparam\fR).  Functions are already
evaluated in a grid format, determined by \fBset isosamples\fR and \fBset samples\fR,
while file data must either be in a grid format, as described in \fBdata-file\fR,
or be used to generate a grid (see \fBset dgrid3d\fR).

Contour lines may be displayed either on the surface or projected onto the
base.  The base projections of the contour lines may be written to a
file, and then read with \fBplot\fR, to take advantage of \fBplot\fR\&'s additional
formatting capabilities.
.sp 2
.RE
.br
.NH 1
System
.sp 1
.LP
.XS
System
.XE
\fBsystem\fR spawns shell to execute a command. Please type \fBhelp shell\fR for
more details.
.sp 2
.NH 1
Test
.sp 1
.LP
.XS
Test
.XE
This command graphically tests or presents terminal and palette capabilities.

Syntax:
.br
      test {terminal | palette [rgb|rbg|grb|gbr|brg|bgr]}
.br

\fBtest\fR or \fBtest terminal\fR creates a display of line and point styles and other
useful things appropriate for and supported by the \fBterminal\fR you are just
using.

\fBtest palette\fR draws graphically profiles R(z),G(z),B(z), where 0<=z<=1, as
calculated by the current color \fBpalette\fR. In other words, it is a beautiful
plot you would have to do yourself with the result of \fBshow palette palette 256 float\fR.
The optional parameter, a permutation of letters rgb, determines the sequence of
r,g,b profiles drawn one after the other --- try this yourself for \fBset palette
gray\fR. The default sequence is rgb.
.sp 2
.NH 1
Unset
.sp 1
.LP
.XS
Unset
.XE
Options set using the \fBset\fR command may be returned to their default state by
issuing the corresponding \fBunset\fR command.

Example:
.br
      set xtics mirror rotate by -45 0,10,100
.br
.br
      ...
.br
.br
      unset xtics
.br

.sp 2
.NH 1
Update
.sp 1
.LP
.XS
Update
.XE
This command writes the current values of the fit parameters into the given
file, formatted as an initial-value file (as described in the \fBfit\fRsection).
This is useful for saving the current values for later use or for restarting
a converged or stopped fit.

Syntax:
.br
      update <filename> {<filename>}
.br

If a second filename is supplied, the updated values are written to this
file, and the original parameter file is left unmodified.

Otherwise, if the file already exists, \fBgnuplot\fR first renames it by
appending \fB.old\fR and then opens a new file.  That is, "\fBupdate \&'fred\&'\fR"
behaves the same as "\fB!rename fred fred.old; update \&'fred.old\&' \&'fred\&'\fR".
[On DOS and other systems that use the twelve-character "filename.ext"
naming convention, "ext" will be "\fBold\fR" and "filename" will be related
(hopefully recognizably) to the initial name.  Renaming is not done at all
on VMS systems, since they use file-versioning.]

Please see \fBfit\fR for more information.
.sp 3
.NH 1
Graphical User Interfaces
.sp 1
.LP
.XS
Graphical User Interfaces
.XE
Several graphical user interfaces have been written for \fBgnuplot\fR and one for
win32 is included in this distribution.  In addition, there is a Macintosh
interface at
.br
         ftp://ftp.ee.gatech.edu/pub/mac/gnuplot
.br


Also several X11 interfaces exist.
One of them is called xgfe. It uses the Qt library and can be found on
.br
         http://www.flash.net/~dmishee/xgfe/xgfe.html
.br

In addition three Tcl/Tk located at the usual Tcl/Tk repositories exist.

Bruce Ravel (ravel@phys.washington.edu) has written a new version of
gnuplot-mode for GNU emacs and XEmacs. This version is based on
the gnuplot.el file by Gershon Elber.
While the gnuplot CVS repository has its own copy the most recent
version of this package is available from
.br
          http://feff.phys.washington.edu/~ravel/software/gnuplot-mode/
.br

.sp 3
.NH 1
Bugs
.sp 1
.LP
.XS
Bugs
.XE
Floating point exceptions (floating point number too large/small, divide by
zero, etc.) may occasionally be generated by user defined functions.  Some of
the demos in particular may cause numbers to exceed the floating point range.
Whether the system ignores such exceptions (in which case \fBgnuplot\fR labels
the corresponding point as undefined) or aborts \fBgnuplot\fR depends on the
compiler/runtime environment.

The bessel functions do not work for complex arguments.

The gamma function does not work for complex arguments.

As of \fBgnuplot\fR version 3.7, all development has been done using ANSI C.
With current operating system, compiler, and library releases, the OS
specific bugs documented in release 3.5, now relegated to \fBold_bugs\fR, may
no longer be relevant.

Bugs reported since the current release as well as older ones
may be located via the official distribution site:
.br
          http://www.gnuplot.info
.br

Please e-mail any bugs to bug-gnuplot mailing list (see \fBSeeking-assistance\fR).

.sp 2
.NH 1
Old_bugs
.sp 1
.LP
.XS
Old_bugs
.XE
There is a bug in the stdio library for old Sun operating systems (SunOS
Sys4-3.2).  The "%g" format for \&'printf\&' sometimes incorrectly prints numbers
(e.g., 200000.0 as "2").  Thus, tic mark labels may be incorrect on a Sun4
version of \fBgnuplot\fR.  A work-around is to rescale the data or use the \fBset
format\fR command to change the tic mark format to "%7.0f" or some other
appropriate format.  This appears to have been fixed in SunOS 4.0.

Another bug: On a Sun3 under SunOS 4.0, and on Sun4\&'s under Sys4-3.2 and
SunOS 4.0, the \&'sscanf\&' routine incorrectly parses "00 12" with the format
"%f %f" and reads 0 and 0 instead of 0 and 12.  This affects data input.  If
the data file contains x coordinates that are zero but are specified like
\&\&'00\&', \&'000\&', etc, then you will read the wrong y values.  Check any data
files or upgrade the SunOS.  It appears to have been fixed in SunOS 4.1.1.

Suns appear to overflow when calculating exp(-x) for large x, so \fBgnuplot\fR
gets an undefined result.  One work-around is to make a user-defined function
like e(x) = x<-500 ? 0 : exp(x).  This affects plots of Gaussians (exp(-x*x))
in particular, since x*x grows quite rapidly.

Microsoft C 5.1 has a nasty bug associated with the %g format for \&'printf\&'.
When any of the formats "%.2g", "%.1g", "%.0g", "%.g" are used, \&'printf\&' will
incorrectly print numbers in the range 1e-4 to 1e-1.  Numbers that should be
printed in the %e format are incorrectly printed in the %f format, with the
wrong number of zeros after the decimal point.  To work around this problem,
use the %e or %f formats explicitly.

\fBgnuplot\fR, when compiled with Microsoft C, did not work correctly on two VGA
displays that were tested.  The CGA, EGA and VGA drivers should probably be
rewritten to use the Microsoft C graphics library.  \fBgnuplot\fR compiled with
Borland C++ uses the Turbo C graphics drivers and does work correctly with
VGA displays.

VAX/VMS 4.7 C compiler release 2.4 also has a poorly implemented %g format
for \&'printf\&'.  The numbers are printed numerically correct, but may not be in
the requested format.  The K&R second edition says that for the %g format, %e
is used if the exponent is less than -4 or greater than or equal to the
precision.  The VAX uses %e format if the exponent is less than -1.  The VAX
appears to take no notice of the precision when deciding whether to use %e or
%f for numbers less than 1.  To work around this problem, use the %e or %f
formats explicitly.  From the VAX C 2.4 release notes: e,E,f,F,g,G  Result
will always contain a decimal  point.  For g and G, trailing zeros will not
be removed from the result.

VAX/VMS 5.2 C compiler release 3.0 has a slightly better implemented %g
format than release 2.4, but not much.  Trailing decimal points are now
removed, but trailing zeros are still not removed from %g numbers in
exponential format.

The two preceding problems are actually in the libraries rather than in the
compilers.  Thus the problems will occur whether \fBgnuplot\fR is built using
either the DEC compiler or some other one (e.g. the latest gcc).

ULTRIX X11R3 has a bug that causes the X11 driver to display "every other"
graph.  The bug seems to be fixed in DEC\&'s release of X11R4 so newer releases
of ULTRIX don\&'t seem to have the problem.  Solutions for older sites include
upgrading the X11 libraries (from DEC or direct from MIT) or defining
ULTRIX_KLUDGE when compiling the x11.trm file.  Note that the kludge is not
an ideal fix, however.

The constant HUGE was incorrectly defined in the NeXT OS 2.0 operating
system.  HUGE should be set to 1e38 in plot.h. This error has been corrected
in the 2.1 version of NeXT OS.

Some older models of HP plotters do not have a page eject command \&'PG\&'.  The
current HPGL driver uses this command in HPGL_reset.  This may need to be
removed for these plotters.  The current PCL5 driver uses HPGL/2 for text as
well as graphics.  This should be modified to use scalable PCL fonts.

On the Atari version, it is not possible to send output directly to the
printer (using \fB/dev/lp\fR as output file), since CRs are added to LFs in
binary output.  As a work-around, write the output to a file and copy it to
the printer afterwards using a shell command.

On AIX 4, the literal \&'NaNq\&' in a datafile causes the special internal value
\&\&'not-a-number\&' to be stored, rather than setting an internal \&'undefined\&'
flag.  A workaround is to use \fBset datafile missing \&'NaNq\&'\fR.
.pn 1
.ds RH %
.af % i
.bp
.PX
